/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.2.3(84e204b238a1eff25d4c6f611fdcd76a494005a7)
 * Released under the MIT license
 * https://github.com/Microsoft/vscode/blob/master/LICENSE.txt
 *-----------------------------------------------------------*/

define("vs/languages/sass/common/sassWorker.nls.zh-tw", {
	"vs/languages/sass/common/parser/sassErrors": [
		"必須是 \'from\'",
		"必須是 \'through\' 或 \'to\'",
		"必須是 \'in\'",
	],
	"vs/languages/sass/common/services/intelliSense": [
		"取得色彩的紅色元件。",
		"取得色彩的綠色元件。",
		"取得色彩的藍色元件。",
		"將兩個色彩混合在一起。",
		"取得色彩的色調元件。",
		"取得色彩的飽和元件。",
		"取得色彩的亮度元件。",
		"變更色彩的色調。",
		"讓色彩較淺。",
		"讓色彩較深。",
		"讓色彩較飽和。",
		"讓色彩較不飽和。",
		"將色彩轉換成灰階。",
		"傳回色彩的互補色。",
		"傳回色彩的反轉。",
		"取得色彩的不透明度元件。",
		"變更色彩的 Alpha 元件。",
		"讓色彩較不透明。",
		"讓色彩較不透明。",
		"讓色彩較透明。",
		"增加或減少色彩的一或多個元件。",
		"流暢地調整色彩的一或多個屬性。",
		"變更色彩的一或多個屬性。",
		"將色彩轉換成 IE 篩選了解的格式。",
		"將選取器巢狀到彼此的下方，就像是在樣式表中巢狀一樣。",
		"將選取器彼此附加在一起，之間不含空格。",
		"在 $selector 內以 $extender 擴充 $extendee。",
		"在 $selector 內以 $replacement 取代 $original。",
		"整合兩個選取器以產生與兩者相符之項目相符的選取器。",
		"傳回 $super 是否符合 $sub 符合的所有項目，而且可能更多。",
		"傳回組成複合選取器的簡單選取器。",
		"將選取器剖析為 & 傳回的格式。",
		"從字串中移除引號。",
		"為字串加上引號。",
		"傳回字串中的字元數。",
		"將 $insert 插入 $index 的 $string 中。",
		"傳回 $string 中第一個出現之 $substring 的索引。",
		"從 $string 擷取子字串。",
		"將字串轉換成大寫。",
		"將字串轉換成小寫。",
		"將無單位的數字轉換成百分比。",
		"將數字四捨五入到最近的整數。",
		"將數字無條件進位到下一個整數。",
		"將數字無條件捨去到上一個整數。",
		"傳回數字的絕對值。",
		"求解幾個數字的最小值。",
		"求解幾個數字的最大值。",
		"傳回亂數。",
		"傳回清單長度。",
		"傳回清單中的特定項目。",
		"取代清單中的第 n 個項目。",
		"將兩個清單聯結成一個清單。",
		"將單一值附加至清單結尾。",
		"將數個清單合併成一個多維度清單。",
		"傳回清單中的值位置。",
		"傳回清單的分隔符號。",
		"傳回與指定索引鍵相關聯之對應中的值。",
		"將兩個對應合併成一個新對應。",
		"傳回已移除索引鍵的新對應。",
		"傳回對應中所有索引鍵的清單。",
		"傳回對應中所有值的清單。",
		"傳回對應是否具有與指定索引鍵相關聯的值。",
		"傳回傳遞至採用變數引數之函式的關鍵字。",
		"傳回目前的 SASS 執行階段中是否存在某項功能。",
		"傳回具有指定名稱的變數在目前範圍中是否存在。",
		"傳回具有指定名稱的變數在全域範圍中是否存在。",
		"傳回具有指定名稱的功能是否存在。",
		"傳回具有指定名稱的 mixin 是否存在。",
		"傳回以字串表示的值，就像是在 SASS 中表示一樣。",
		"傳回值的類型。",
		"傳回與數字相關聯的單位。",
		"傳回數字是否有單位。",
		"傳回兩個數字是否可相加、相減或比較。",
		"以動態方式呼叫 SASS 函式。",
	]
});