/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.2.3(84e204b238a1eff25d4c6f611fdcd76a494005a7)
 * Released under the MIT license
 * https://github.com/Microsoft/vscode/blob/master/LICENSE.txt
 *-----------------------------------------------------------*/
define("vs/base/common/arrays",["require","exports"],function(e,t){"use strict";function r(e,t){return void 0===t&&(t=0),e[e.length-(1+t)]}function n(e,t){for(var r=0,n=e.length;n>r;r++)t(e[r],function(){e.splice(r,1),r--,n--})}function o(e,t,r){if(e.length!==t.length)return!1;for(var n=0,o=e.length;o>n;n++)if(!r(e[n],t[n]))return!1;return!0}function i(e,t,r){for(var n=0,o=e.length-1;o>=n;){var i=(n+o)/2|0,s=r(e[i],t);if(0>s)n=i+1;else{if(!(s>0))return i;o=i-1}}return-(n+1)}function s(e,t){var r=0,n=e.length;if(0===n)return 0;for(;n>r;){var o=Math.floor((r+n)/2);t(e[o])?n=o:r=o+1}return r}function a(e,t){var r=new Array;if(t)for(var n={},o=0;o<e.length;o++)for(var i=0;i<e[o].length;i++){var s=e[o][i],a=t(s);n.hasOwnProperty(a)||(n[a]=!0,r.push(s))}else for(var o=0,u=e.length;u>o;o++)r.push.apply(r,e[o]);return r}function u(e){return e?e.filter(function(e){return!!e}):e}function c(e,t){return e.indexOf(t)>=0}function l(e,t,r){var n=e[t],o=e[r];e[t]=o,e[r]=n}function f(e,t,r){e.splice(r,0,e.splice(t,1)[0])}function p(e){return!Array.isArray(e)||0===e.length}function h(e,t){if(!t)return e.filter(function(t,r){return e.indexOf(t)===r});var r=Object.create(null);return e.filter(function(e){var n=t(e);return r[n]?!1:(r[n]=!0,!0)})}function d(e){var t=Object.create(null);return function(r){var n=e(r);return t[n]?!1:(t[n]=!0,!0)}}function v(e,t){for(var r=0;r<e.length;r++){var n=e[r];if(t(n))return r}return-1}function m(e,t,r){void 0===r&&(r=null);var n=v(e,t);return 0>n?r:e[n]}function g(e,t,r){void 0===r&&(r=function(e,t){return e===t});for(var n=0,o=0,i=Math.min(e.length,t.length);i>o&&r(e[o],t[o]);o++)n++;return n}function _(e){return e.reduce(function(e,t){return e.concat(t)},[])}function y(e,t,r){void 0===r&&(r=[]);for(var n=0;e>n;n++)r[n]=t();return r}t.tail=r,t.forEach=n,t.equals=o,t.binarySearch=i,t.findFirst=s,t.merge=a,t.coalesce=u,t.contains=c,t.swap=l,t.move=f,t.isFalsyOrEmpty=p,t.distinct=h,t.uniqueFilter=d,t.firstIndex=v,t.first=m,t.commonPrefixLength=g,t.flatten=_,t.fill=y});var __extends=this&&this.__extends||function(e,t){function r(){this.constructor=e}for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n]);e.prototype=null===t?Object.create(t):(r.prototype=t.prototype,new r)};define("vs/base/common/map",["require","exports"],function(e,t){"use strict";var r=function(){function e(){this.map=Object.create(null),this._size=0}return Object.defineProperty(e.prototype,"size",{get:function(){return this._size},enumerable:!0,configurable:!0}),e.prototype.get=function(e){var t=this.peek(e);return t?t:null},e.prototype.keys=function(){var e=[];for(var t in this.map)e.push(this.map[t].key);return e},e.prototype.entries=function(){var e=[];for(var t in this.map)e.push(this.map[t]);return e},e.prototype.set=function(e,t){return this.get(e)?!1:(this.push(e,t),!0)},e.prototype["delete"]=function(e){var t=this.get(e);return t?(this.pop(e),t):null},e.prototype.has=function(e){return!!this.get(e)},e.prototype.clear=function(){this.map=Object.create(null),this._size=0},e.prototype.push=function(e,t){var r={key:e,value:t};this.map[e.toString()]=r,this._size++},e.prototype.pop=function(e){delete this.map[e.toString()],this._size--},e.prototype.peek=function(e){var t=this.map[e.toString()];return t?t.value:null},e}();t.SimpleMap=r;var n=function(){function e(e,t){void 0===e&&(e=Number.MAX_VALUE),void 0===t&&(t=1),this.limit=e,this.map=Object.create(null),this._size=0,this.ratio=e*t}return Object.defineProperty(e.prototype,"size",{get:function(){return this._size},enumerable:!0,configurable:!0}),e.prototype.set=function(e,t){if(this.map[e])return!1;var r={key:e,value:t};return this.push(r),this._size>this.limit&&this.trim(),!0},e.prototype.get=function(e){var t=this.map[e];return t?t.value:null},e.prototype["delete"]=function(e){var t=this.map[e];return t?(this.map[e]=void 0,this._size--,t.next?t.next.prev=t.prev:this.head=t.prev,t.prev?t.prev.next=t.next:this.tail=t.next,t.value):null},e.prototype.has=function(e){return!!this.map[e]},e.prototype.clear=function(){this.map=Object.create(null),this._size=0,this.head=null,this.tail=null},e.prototype.push=function(e){this.head&&(e.prev=this.head,this.head.next=e),this.tail||(this.tail=e),this.head=e,this.map[e.key]=e,this._size++},e.prototype.trim=function(){if(this.tail)if(this.ratio<this.limit)for(var e=0,t=this.tail;t.next;){if(this.map[t.key]=void 0,this._size--,e===this.ratio){this.tail=t.next,this.tail.prev=null;break}t=t.next,e++}else this.map[this.tail.key]=void 0,this._size--,this.tail=this.tail.next,this.tail.prev=null},e}();t.LinkedMap=n;var o=function(e){function t(t){e.call(this,t)}return __extends(t,e),t.prototype.get=function(e){var t=this.map[e];return t?(this["delete"](e),this.push(t),t.value):null},t}(n);t.LRUCache=o}),define("vs/base/common/platform",["require","exports"],function(e,t){"use strict";function r(){return"undefined"!=typeof _.Worker}var n=!1,o=!1,i=!1,s=!1,a=!1,u=!1,c=!1,l=void 0,f=void 0;if(t.LANGUAGE_DEFAULT="en","object"==typeof process){n="win32"===process.platform,o="darwin"===process.platform,i="linux"===process.platform,s=!n&&0===process.getuid();var p=process.env.VSCODE_NLS_CONFIG;if(p)try{var h=JSON.parse(p),d=h.availableLanguages["*"];l=h.locale,f=d?d:t.LANGUAGE_DEFAULT}catch(v){}a=!0}else if("object"==typeof navigator){var m=navigator.userAgent;n=m.indexOf("Windows")>=0,o=m.indexOf("Macintosh")>=0,i=m.indexOf("Linux")>=0,u=!0,l=navigator.language,f=l,c=!!self.QUnit}!function(e){e[e.Web=0]="Web",e[e.Mac=1]="Mac",e[e.Linux=2]="Linux",e[e.Windows=3]="Windows"}(t.Platform||(t.Platform={}));var g=t.Platform;t._platform=g.Web,a&&(o?t._platform=g.Mac:n?t._platform=g.Windows:i&&(t._platform=g.Linux)),t.isWindows=n,t.isMacintosh=o,t.isLinux=i,t.isRootUser=s,t.isNative=a,t.isWeb=u,t.isQunit=c,t.platform=t._platform,t.language=f,t.locale=l;var _="object"==typeof self?self:global;t.globals=_,t.hasWebWorkerSupport=r,t.setTimeout=_.setTimeout.bind(_),t.clearTimeout=_.clearTimeout.bind(_),t.setInterval=_.setInterval.bind(_),t.clearInterval=_.clearInterval.bind(_)}),define("vs/base/common/strings",["require","exports","vs/base/common/map"],function(e,t,r){"use strict";function n(e,t,r){void 0===r&&(r="0");for(var n=""+e,o=[n],i=n.length;t>i;i++)o.push(r);return o.reverse().join("")}function o(e){for(var t=[],r=1;r<arguments.length;r++)t[r-1]=arguments[r];return 0===t.length?e:e.replace(U,function(e,r){var n=parseInt(r,10);return isNaN(n)||0>n||n>=t.length?e:t[n]})}function i(e){return e.replace(/[<|>|&]/g,function(e){switch(e){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return e}})}function s(e){return e.replace(/[\-\\\{\}\*\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&")}function a(e,t){void 0===t&&(t=" ");var r=u(e,t);return c(r,t)}function u(e,t){if(!e||!t)return e;var r=t.length;if(0===r||0===e.length)return e;for(var n=0,o=-1;(o=e.indexOf(t,n))===n;)n+=r;return e.substring(n)}function c(e,t){if(!e||!t)return e;var r=t.length,n=e.length;if(0===r||0===n)return e;for(var o=n,i=-1;;){if(i=e.lastIndexOf(t,o-1),-1===i||i+r!==o)break;if(0===i)return"";o=i}return e.substring(0,o)}function l(e){return e.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}function f(e){return e.replace(/\*/g,"")}function p(e,t){if(e.length<t.length)return!1;for(var r=0;r<t.length;r++)if(e[r]!==t[r])return!1;return!0}function h(e,t){var r=e.length-t.length;return r>0?e.lastIndexOf(t)===r:0===r?e===t:!1}function d(e,t,r,n,o){if(""===e)throw new Error("Cannot create regex from empty string");t||(e=e.replace(/[\-\\\{\}\*\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&")),n&&(/\B/.test(e.charAt(0))||(e="\\b"+e),/\B/.test(e.charAt(e.length-1))||(e+="\\b"));var i="";return o&&(i+="g"),r||(i+="i"),new RegExp(e,i)}function v(e,t,r,n){if(""===e)return null;var o=null;try{o=d(e,t,r,n,!0)}catch(i){return null}try{if(m(o))return null}catch(i){return null}return o}function m(e){if("^"===e.source||"^$"===e.source||"$"===e.source)return!1;var t=e.exec("");return t&&0===e.lastIndex}function g(e){if(!t.canNormalize||!e)return e;var r=N.get(e);if(r)return r;var n;return n=I.test(e)?e.normalize("NFC"):e,N.set(e,n),n}function _(e){for(var t=0,r=e.length;r>t;t++)if(" "!==e.charAt(t)&&"	"!==e.charAt(t))return t;return-1}function y(e){for(var t=0,r=e.length;r>t;t++)if(" "!==e.charAt(t)&&"	"!==e.charAt(t))return e.substring(0,t);return e}function b(e,t){void 0===t&&(t=e.length-1);for(var r=t;r>=0;r--)if(" "!==e.charAt(r)&&"	"!==e.charAt(r))return r;return-1}function w(e,t){return e.localeCompare(t)}function E(e){return e>=97&&122>=e||e>=65&&90>=e}function x(e,t){var r=e.length,n=t.length;if(r!==n)return!1;for(var o=0;r>o;o++){var i=e.charCodeAt(o),s=t.charCodeAt(o);if(i!==s)if(E(i)&&E(s)){var a=Math.abs(i-s);if(0!==a&&32!==a)return!1}else if(String.fromCharCode(i).toLocaleLowerCase()!==String.fromCharCode(s).toLocaleLowerCase())return!1}return!0}function S(e,t){var r,n=Math.min(e.length,t.length);for(r=0;n>r;r++)if(e.charCodeAt(r)!==t.charCodeAt(r))return r;return n}function P(e,t){var r,n=Math.min(e.length,t.length),o=e.length-1,i=t.length-1;for(r=0;n>r;r++)if(e.charCodeAt(o-r)!==t.charCodeAt(i-r))return r;return n}function O(e){return e=+e,e>=11904&&55215>=e||e>=63744&&64255>=e||e>=65281&&65374>=e}function k(e,t,r){void 0===r&&(r=4);var n=Math.abs(e.length-t.length);if(n>r)return 0;var o,i,s=[],a=[];for(o=0;o<t.length+1;++o)a.push(0);for(o=0;o<e.length+1;++o)s.push(a);for(o=1;o<e.length+1;++o)for(i=1;i<t.length+1;++i)e[o-1]===t[i-1]?s[o][i]=s[o-1][i-1]+1:s[o][i]=Math.max(s[o-1][i],s[o][i-1]);return s[e.length][t.length]-Math.sqrt(n)}function j(e){for(var t,r=/\r\n|\r|\n/g,n=[0];t=r.exec(e);)n.push(r.lastIndex);return n}function A(e,r){if(e.length<r)return e;for(var n=e.split(/\b/),o=0,i=n.length-1;i>=0;i--)if(o+=n[i].length,o>r){n.splice(0,i);break}return n.join(t.empty).replace(/^\s/,t.empty)}function C(e){return e&&(e=e.replace(H,""),e=e.replace(R,"\n"),e=e.replace(q,""),e=e.replace(z,"")),e}function T(e){return e&&e.length>0&&e.charCodeAt(0)===F}function M(e,t,r){var n=e.length+t.length;return n>r&&(e="..."+e.substr(n-r)),e+=t.length>r?t.substr(t.length-r):t}function L(e){return btoa(encodeURIComponent(e))}function W(e,t){for(var r="",n=0;t>n;n++)r+=e;return r}t.empty="",t.pad=n;var U=/{(\d+)}/g;t.format=o,t.escape=i,t.escapeRegExpCharacters=s,t.trim=a,t.ltrim=u,t.rtrim=c,t.convertSimple2RegExpPattern=l,t.stripWildcards=f,t.startsWith=p,t.endsWith=h,t.createRegExp=d,t.createSafeRegExp=v,t.regExpLeadsToEndlessLoop=m,t.canNormalize="function"==typeof"".normalize;var I=/[^\u0000-\u0080]/,N=new r.LinkedMap(1e4);t.normalizeNFC=g,t.firstNonWhitespaceIndex=_,t.getLeadingWhitespace=y,t.lastNonWhitespaceIndex=b,t.localeCompare=w,t.equalsIgnoreCase=x,t.commonPrefixLength=S,t.commonSuffixLength=P,t.isFullWidthCharacter=O,t.difference=k,t.computeLineStarts=j,t.lcut=A;var H=/\x1B\x5B[12]?K/g,R=/\xA/g,q=/\x1b\[\d+m/g,z=/\x1b\[0?m/g;t.removeAnsiEscapeCodes=C;var F=65279;t.UTF8_BOM_CHARACTER=String.fromCharCode(F),t.startsWithUTF8BOM=T,t.appendWithLimit=M,t.safeBtoa=L,t.repeat=W}),define("vs/base/common/types",["require","exports"],function(e,t){"use strict";function r(e){return Array.isArray?Array.isArray(e):!(!e||typeof e.length!==m.number||e.constructor!==Array)}function n(e){return typeof e===m.string||e instanceof String}function o(e){return r(e)&&e.every(function(e){return n(e)})}function i(e){return!(typeof e!==m.object||null===e||Array.isArray(e)||e instanceof RegExp||e instanceof Date)}function s(e){return(typeof e===m.number||e instanceof Number)&&!isNaN(e)}function a(e){return e===!0||e===!1}function u(e){return typeof e===m.undefined}function c(e){return u(e)||null===e}function l(e){if(!i(e))return!1;for(var t in e)if(g.call(e,t))return!1;return!0}function f(e){return typeof e===m["function"]}function p(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];return e&&e.length>0&&e.every(f)}function h(e,t){for(var r=Math.min(e.length,t.length),n=0;r>n;n++)d(e[n],t[n])}function d(e,t){if(n(t)){if(typeof e!==t)throw new Error("argument does not match constraint: typeof "+t)}else if(f(t)){if(e instanceof t)return;if(e&&e.constructor===t)return;if(1===t.length&&t.call(void 0,e)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}function v(e){for(var t=[],r=1;r<arguments.length;r++)t[r-1]=arguments[r];var n=Object.create(e.prototype);return e.apply(n,t),n}var m={number:"number",string:"string",undefined:"undefined",object:"object","function":"function"};t.isArray=r,t.isString=n,t.isStringArray=o,t.isObject=i,t.isNumber=s,t.isBoolean=a,t.isUndefined=u,t.isUndefinedOrNull=c;var g=Object.prototype.hasOwnProperty;t.isEmptyObject=l,t.isFunction=f,t.areFunctions=p,t.validateConstraints=h,t.validateConstraint=d,t.create=v});var __extends=this&&this.__extends||function(e,t){function r(){this.constructor=e}for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n]);e.prototype=null===t?Object.create(t):(r.prototype=t.prototype,new r)};define("vs/base/common/lifecycle",["require","exports","./types"],function(e,t,r){"use strict";function n(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];var n=e[0];return r.isArray(n)&&(e=n),e.forEach(function(e){return e&&e.dispose()}),[]}function o(e){return{dispose:function(){return n(e)}}}function i(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];return o(e.map(function(e){return{dispose:e}}))}t.empty=Object.freeze({dispose:function(){}}),t.dispose=n,t.combinedDisposable=o,t.toDisposable=i;var s=function(){function e(){this._toDispose=[]}return e.prototype.dispose=function(){this._toDispose=n(this._toDispose)},e.prototype._register=function(e){return this._toDispose.push(e),e},e}();t.Disposable=s;var a=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),t.prototype.add=function(e){if(!Array.isArray(e))return this._register(e);for(var t=0,r=e;t<r.length;t++){var n=r[t];return this._register(n)}},t}(s);t.Disposables=a}),define("vs/base/common/objects",["require","exports","vs/base/common/types"],function(e,t,r){"use strict";function n(e){if(!e||"object"!=typeof e)return e;if(e instanceof RegExp)return e;var t=Array.isArray(e)?[]:{};return Object.keys(e).forEach(function(r){e[r]&&"object"==typeof e[r]?t[r]=n(e[r]):t[r]=e[r]}),t}function o(e){if(!e||"object"!=typeof e)return e;var t=Array.isArray(e)?[]:{};return Object.getOwnPropertyNames(e).forEach(function(r){e[r]&&"object"==typeof e[r]?t[r]=o(e[r]):t[r]=e[r]}),t}function i(e,t){return s(e,t,[])}function s(e,t,n){if(r.isUndefinedOrNull(e))return e;var o=t(e);if("undefined"!=typeof o)return o;if(r.isArray(e)){for(var i=[],a=0;a<e.length;a++)i.push(s(e[a],t,n));return i}if(r.isObject(e)){if(n.indexOf(e)>=0)throw new Error("Cannot clone recursive data-structure");n.push(e);var u={};for(var c in e)g.call(e,c)&&(u[c]=s(e[c],t,n));return n.pop(),u}return e}function a(e,t,n){return void 0===n&&(n=!0),r.isObject(e)?(r.isObject(t)&&Object.keys(t).forEach(function(o){o in e?n&&(r.isObject(e[o])&&r.isObject(t[o])?a(e[o],t[o],n):e[o]=t[o]):e[o]=t[o]}),e):t}function u(e){for(var t=[],r=1;r<arguments.length;r++)t[r-1]=arguments[r];return t.forEach(function(t){return Object.keys(t).forEach(function(r){return e[r]=t[r]})}),e}function c(e,t,r){return void 0===r&&(r=function(e){return e}),e.reduce(function(e,n){return u(e,(o={},o[t(n)]=r(n),o));var o},Object.create(null))}function l(e,t){if(e===t)return!0;if(null===e||void 0===e||null===t||void 0===t)return!1;if(typeof e!=typeof t)return!1;if("object"!=typeof e)return!1;if(Array.isArray(e)!==Array.isArray(t))return!1;var r,n;if(Array.isArray(e)){if(e.length!==t.length)return!1;for(r=0;r<e.length;r++)if(!l(e[r],t[r]))return!1}else{var o=[];for(n in e)o.push(n);o.sort();var i=[];for(n in t)i.push(n);if(i.sort(),!l(o,i))return!1;for(r=0;r<o.length;r++)if(!l(e[o[r]],t[o[r]]))return!1}return!0}function f(e,t,r){"undefined"==typeof e[t]&&(e[t]=r)}function p(e){for(var t={},r=0;r<e.length;++r)t[e[r]]=!0;return t}function h(e,t){void 0===t&&(t=!1),t&&(e=e.map(function(e){return e.toLowerCase()}));var r=p(e);return t?function(e){return void 0!==r[e.toLowerCase()]&&r.hasOwnProperty(e.toLowerCase())}:function(e){return void 0!==r[e]&&r.hasOwnProperty(e)}}function d(e,t){for(var r in e)e.hasOwnProperty(r)&&(t[r]=e[r]);t=t||function(){};var n=e.prototype,o=t.prototype;t.prototype=Object.create(n);for(var r in o)o.hasOwnProperty(r)&&Object.defineProperty(t.prototype,r,Object.getOwnPropertyDescriptor(o,r));Object.defineProperty(t.prototype,"constructor",{value:t,writable:!0,configurable:!0,enumerable:!0})}function v(e){var t=[];return JSON.stringify(e,function(e,n){if(r.isObject(n)||Array.isArray(n)){if(-1!==t.indexOf(n))return"[Circular]";t.push(n)}return n})}function m(e,t,r){void 0===r&&(r=null);var n=t(e);return"undefined"==typeof n?r:n}t.clone=n,t.deepClone=o;var g=Object.prototype.hasOwnProperty;t.cloneAndChange=i,t.mixin=a,t.assign=u,t.toObject=c,t.equals=l,t.ensureProperty=f,t.arrayToHash=p,t.createKeywordMatcher=h,t.derive=d,t.safeStringify=v,t.getOrDefault=m}),"undefined"==typeof WinJS&&(!function(e){e.setImmediate||("undefined"!=typeof process&&"function"==typeof process.nextTick?e.setImmediate=function(e){return process.nextTick(e)}:e.setImmediate=function(e){return setTimeout(e,0)})}(this),function(e,t){"use strict";function r(e,r){var n,o,i,s=Object.keys(r);for(o=0,i=s.length;i>o;o++){var a=s[o],u=95!==a.charCodeAt(0),c=r[a];!c||"object"!=typeof c||c.value===t&&"function"!=typeof c.get&&"function"!=typeof c.set?u?e[a]=c:(n=n||{},n[a]={value:c,enumerable:u,configurable:!0,writable:!0}):(c.enumerable===t&&(c.enumerable=u),n=n||{},n[a]=c)}n&&Object.defineProperties(e,n)}!function(t){function n(e,t,n){for(var o=e,i=t.split("."),s=0,a=i.length;a>s;s++){var u=i[s];o[u]||Object.defineProperty(o,u,{value:{},writable:!1,enumerable:!0,configurable:!0}),o=o[u]}return n&&r(o,n),o}function o(t,r){return n(e,t,r)}e[t]||(e[t]=Object.create(Object.prototype));var i=e[t];i.Namespace||(i.Namespace=Object.create(Object.prototype)),Object.defineProperties(i.Namespace,{defineWithParent:{value:n,writable:!0,enumerable:!0,configurable:!0},define:{value:o,writable:!0,enumerable:!0,configurable:!0}})}("WinJS"),function(e){function t(t,n,o){return t=t||function(){},e.Utilities.markSupportedForProcessing(t),n&&r(t.prototype,n),o&&r(t,o),t}function n(n,o,i,s){if(n){o=o||function(){};var a=n.prototype;return o.prototype=Object.create(a),e.Utilities.markSupportedForProcessing(o),Object.defineProperty(o.prototype,"constructor",{value:o,writable:!0,configurable:!0,enumerable:!0}),i&&r(o.prototype,i),s&&r(o,s),o}return t(o,i,s)}function o(e){e=e||function(){};var t,n;for(t=1,n=arguments.length;n>t;t++)r(e.prototype,arguments[t]);return e}e.Namespace.define("WinJS.Class",{define:t,derive:n,mix:o})}(e.WinJS)}(this),function(e,t){"use strict";function r(e){return e}function n(e,t,r){return e.split(".").reduce(function(e,t){return e?r(e[t]):null},t)}var o=!!e.Windows,i={notSupportedForProcessing:"Value is not supported within a declarative processing context, if you want it to be supported mark it using WinJS.Utilities.markSupportedForProcessing. The value was: '{0}'"};t.Namespace.define("WinJS.Utilities",{_setHasWinRT:{value:function(e){o=e},configurable:!1,writable:!1,enumerable:!1},hasWinRT:{get:function(){return o},configurable:!1,enumerable:!0},_getMemberFiltered:n,getMember:function(t,o){return t?n(t,o||e,r):null},ready:function(r,n){return new t.Promise(function(o,i){function s(){if(r)try{r(),o()}catch(e){i(e)}else o()}var a=t.Utilities.testReadyState;a||(a=e.document?document.readyState:"complete"),"complete"===a||e.document&&null!==document.body?n?e.setImmediate(s):s():e.addEventListener("DOMContentLoaded",s,!1)})},strictProcessing:{get:function(){return!0},configurable:!1,enumerable:!0},markSupportedForProcessing:{value:function(e){return e.supportedForProcessing=!0,e},configurable:!1,writable:!1,enumerable:!0},requireSupportedForProcessing:{value:function(r){var n=!0;switch(n=n&&!(r===e),n=n&&!(r===e.location),n=n&&!(r instanceof HTMLIFrameElement),n=n&&!("function"==typeof r&&!r.supportedForProcessing),e.frames.length){case 0:break;case 1:n=n&&!(r===e.frames[0]);break;default:for(var o=0,s=e.frames.length;n&&s>o;o++)n=n&&!(r===e.frames[o])}if(n)return r;throw new t.ErrorFromName("WinJS.Utilities.requireSupportedForProcessing",t.Resources._formatString(i.notSupportedForProcessing,r))},configurable:!1,writable:!1,enumerable:!0}}),t.Namespace.define("WinJS",{validation:!1,strictProcessing:{value:function(){},configurable:!1,writable:!1,enumerable:!1}})}(this,this.WinJS),function(e){"use strict";function t(e,t,r){var n=e;return"function"==typeof n&&(n=n()),(r&&i.test(r)?"":r?r+": ":"")+(t?t.replace(o,":")+": ":"")+n}function r(t,r,n){var o=e.Utilities.formatLog(t,r,n);console[n&&i.test(n)?n:"log"](o)}function n(e){return e.replace(/[-[\]{}()*+?.,\\^$|#]/g,"\\$&")}var o=/\s+/g,i=/^(error|warn|info|log)$/;e.Namespace.define("WinJS.Utilities",{startLog:function(t){t=t||{},"string"==typeof t&&(t={tags:t});var i=t.type&&new RegExp("^("+n(t.type).replace(o," ").split(" ").join("|")+")$"),s=t.excludeTags&&new RegExp("(^|\\s)("+n(t.excludeTags).replace(o," ").split(" ").join("|")+")(\\s|$)","i"),a=t.tags&&new RegExp("(^|\\s)("+n(t.tags).replace(o," ").split(" ").join("|")+")(\\s|$)","i"),u=t.action||r;if(!(i||s||a||e.log))return void(e.log=u);var c=function(e,t,r){i&&!i.test(r)||s&&s.test(t)||a&&!a.test(t)||u(e,t,r),c.next&&c.next(e,t,r)};c.next=e.log,e.log=c},stopLog:function(){delete e.log},formatLog:t})}(this.WinJS),function(e,t){"use strict";function r(e){var t="_on"+e+"state";return{get:function(){var e=this[t];return e&&e.userHandler},set:function(r){var n=this[t];r?(n||(n={wrapper:function(e){return n.userHandler(e)},userHandler:r},Object.defineProperty(this,t,{value:n,enumerable:!1,writable:!0,configurable:!0}),this.addEventListener(e,n.wrapper,!1)),n.userHandler=r):n&&(this.removeEventListener(e,n.wrapper,!1),this[t]=null)},enumerable:!0}}function n(e){for(var t={},n=0,o=arguments.length;o>n;n++){var i=arguments[n];t["on"+i]=r(i)}return t}var o=e.Class.define(function(e,t,r){this.detail=t,this.target=r,this.timeStamp=Date.now(),this.type=e},{bubbles:{value:!1,writable:!1},cancelable:{value:!1,writable:!1},currentTarget:{get:function(){return this.target}},defaultPrevented:{get:function(){return this._preventDefaultCalled}},trusted:{value:!1,writable:!1},eventPhase:{value:0,writable:!1},target:null,timeStamp:null,type:null,preventDefault:function(){this._preventDefaultCalled=!0},stopImmediatePropagation:function(){this._stopImmediatePropagationCalled=!0},stopPropagation:function(){}},{supportedForProcessing:!1}),i={_listeners:null,addEventListener:function(e,t,r){r=r||!1,this._listeners=this._listeners||{};for(var n=this._listeners[e]=this._listeners[e]||[],o=0,i=n.length;i>o;o++){var s=n[o];if(s.useCapture===r&&s.listener===t)return}n.push({listener:t,useCapture:r})},dispatchEvent:function(e,t){var r=this._listeners&&this._listeners[e];if(r){var n=new o(e,t,this);r=r.slice(0,r.length);for(var i=0,s=r.length;s>i&&!n._stopImmediatePropagationCalled;i++)r[i].listener(n);return n.defaultPrevented||!1}return!1},removeEventListener:function(e,t,r){r=r||!1;var n=this._listeners&&this._listeners[e];if(n)for(var o=0,i=n.length;i>o;o++){var s=n[o];if(s.listener===t&&s.useCapture===r){n.splice(o,1),0===n.length&&delete this._listeners[e];break}}}};e.Namespace.define("WinJS.Utilities",{_createEventProperty:r,createEventProperties:n,eventMixin:i})}(this.WinJS),function(e,t,r){"use strict";var n,o=!1,i="contextchanged",s=t.Class.mix(t.Class.define(null,{},{supportedForProcessing:!1}),t.Utilities.eventMixin),a=new s,u={malformedFormatStringInput:"Malformed, did you mean to escape your '{0}'?"};t.Namespace.define("WinJS.Resources",{addEventListener:function(e,r,n){if(t.Utilities.hasWinRT&&!o&&e===i)try{Windows.ApplicationModel.Resources.Core.ResourceManager.current.defaultContext.qualifierValues.addEventListener("mapchanged",function(e){t.Resources.dispatchEvent(i,{qualifier:e.key,changed:e.target[e.key]})},!1),o=!0}catch(s){}a.addEventListener(e,r,n)},removeEventListener:a.removeEventListener.bind(a),dispatchEvent:a.dispatchEvent.bind(a),_formatString:function(e){var r=arguments;return r.length>1&&(e=e.replace(/({{)|(}})|{(\d+)}|({)|(})/g,function(e,n,o,i,s,a){if(s||a)throw t.Resources._formatString(u.malformedFormatStringInput,s||a);return n&&"{"||o&&"}"||r[(0|i)+1]})),e},_getStringWinRT:function(e){if(!n){var t=Windows.ApplicationModel.Resources.Core.ResourceManager.current.mainResourceMap;try{n=t.getSubtree("Resources")}catch(o){}n||(n=t)}var i,s,a;try{a=n.getValue(e),a&&(i=a.valueAsString,i===r&&(i=a.toString()))}catch(o){}if(!i)return{value:e,empty:!0};try{s=a.getQualifierValue("Language")}catch(o){return{value:i}}return{value:i,lang:s}},_getStringJS:function(t){var r=e.strings&&e.strings[t];return"string"==typeof r&&(r={value:r}),r||{value:t,empty:!0}}}),Object.defineProperties(t.Resources,t.Utilities.createEventProperties(i));var c;t.Resources.getString=function(e){return(c=c||(t.Utilities.hasWinRT?t.Resources._getStringWinRT:t.Resources._getStringJS))(e)}}(this,this.WinJS),function(e,t,r){"use strict";function n(){}function o(e,t){var r;r=t&&"object"==typeof t&&"function"==typeof t.then?T:U,e._value=t,e._setState(r)}function i(e,t,r,n,o,i){return{exception:e,error:t,promise:r,handler:i,id:n,parent:o}}function s(e,t,r,n){var o=r._isException,s=r._errorId;return i(o?t:null,o?null:t,e,s,r,n)}function a(e,t,r){var n=r._isException,o=r._errorId;return g(e,o,n),i(n?t:null,n?null:t,e,o,r)}function u(e,t){var r=++R;return g(e,r),i(null,t,e,r)}function c(e,t){var r=++R;return g(e,r,!0),i(t,null,e,r)}function l(e,t,r,n){m(e,{c:t,e:r,p:n})}function f(e,t,r,n){e._value=t,d(e,t,r,n),e._setState(N)}function p(e,t){var r=e._value,n=e._listeners;if(n){e._listeners=null;var o,i;for(o=0,i=Array.isArray(n)?n.length:1;i>o;o++){var s=1===i?n:n[o],a=s.c,u=s.promise;if(u){try{u._setCompleteValue(a?a(r):r)}catch(c){u._setExceptionValue(c)}u._state!==T&&u._listeners&&t.push(u)}else D.prototype.done.call(e,a)}}}function h(e,t){var r=e._value,n=e._listeners;if(n){e._listeners=null;var o,i;for(o=0,i=Array.isArray(n)?n.length:1;i>o;o++){var a=1===i?n:n[o],u=a.e,c=a.promise;if(c){try{u?(u.handlesOnError||d(c,r,s,e,u),c._setCompleteValue(u(r))):c._setChainedErrorValue(r,e)}catch(l){c._setExceptionValue(l)}c._state!==T&&c._listeners&&t.push(c)}else V.prototype.done.call(e,null,u)}}}function d(e,t,r,n,o){if(S._listeners[P]){if(t instanceof Error&&t.message===O)return;S.dispatchEvent(P,r(e,t,n,o))}}function v(e,t){var r=e._listeners;if(r){var n,o;for(n=0,o=Array.isArray(r)?r.length:1;o>n;n++){var i=1===o?r:r[n],s=i.p;if(s)try{s(t)}catch(a){}i.c||i.e||!i.promise||i.promise._progress(t)}}}function m(e,t){var r=e._listeners;r?(r=Array.isArray(r)?r:[r],r.push(t)):r=t,e._listeners=r}function g(e,t,r){e._isException=r||!1,e._errorId=t}function _(e,t,r,n){e._value=t,d(e,t,r,n),e._setState(H)}function y(e,t){var r;r=t&&"object"==typeof t&&"function"==typeof t.then?T:I,e._value=t,e._setState(r)}function b(e,t,r,n){var o=new F(e);return m(e,{promise:o,c:t,e:r,p:n}),o}function w(e){var r;return new t.Promise(function(t){e?r=setTimeout(t,e):setImmediate(t)},function(){r&&clearTimeout(r)})}function E(e,t){var r=function(){t.cancel()},n=function(){e.cancel()};return e.then(r),t.then(n,n),t}e.Debug&&(e.Debug.setNonUserCodeExceptions=!0);var x=t.Class.mix(t.Class.define(null,{},{supportedForProcessing:!1}),t.Utilities.eventMixin),S=new x;S._listeners={};var P="error",O="Canceled",k=!1,j={promise:1,thenPromise:2,errorPromise:4,exceptionPromise:8,completePromise:16};j.all=j.promise|j.thenPromise|j.errorPromise|j.exceptionPromise|j.completePromise;var A,C,T,M,L,W,U,I,N,H,R=1;A={name:"created",enter:function(e){e._setState(C)},cancel:n,done:n,then:n,_completed:n,_error:n,_notify:n,_progress:n,_setCompleteValue:n,_setErrorValue:n},C={name:"working",enter:n,cancel:function(e){e._setState(L)},done:l,then:b,_completed:o,_error:f,_notify:n,_progress:v,_setCompleteValue:y,_setErrorValue:_},T={name:"waiting",enter:function(e){var t=e._value,r=function(n){t._errorId?e._chainedError(n,t):(d(e,n,s,t,r),e._error(n))};r.handlesOnError=!0,t.then(e._completed.bind(e),r,e._progress.bind(e))},cancel:function(e){e._setState(M)},done:l,then:b,_completed:o,_error:f,_notify:n,_progress:v,_setCompleteValue:y,_setErrorValue:_},M={name:"waiting_canceled",enter:function(e){e._setState(W);var t=e._value;t.cancel&&t.cancel()},cancel:n,done:l,then:b,_completed:o,_error:f,_notify:n,_progress:v,_setCompleteValue:y,_setErrorValue:_},L={name:"canceled",enter:function(e){e._setState(W),e._cancelAction()},cancel:n,done:l,then:b,_completed:o,_error:f,_notify:n,_progress:v,_setCompleteValue:y,_setErrorValue:_},W={name:"canceling",enter:function(e){var t=new Error(O);t.name=t.message,e._value=t,e._setState(N)},cancel:n,done:n,then:n,_completed:n,_error:n,_notify:n,_progress:n,_setCompleteValue:n,_setErrorValue:n},U={name:"complete_notify",enter:function(e){if(e.done=D.prototype.done,e.then=D.prototype.then,e._listeners)for(var t,r=[e];r.length;)t=r.pop(),t._state._notify(t,r);e._setState(I)},cancel:n,done:null,then:null,_completed:n,_error:n,_notify:p,_progress:n,_setCompleteValue:n,_setErrorValue:n},I={name:"success",enter:function(e){e.done=D.prototype.done,e.then=D.prototype.then,e._cleanupAction()},cancel:n,done:null,then:null,_completed:n,_error:n,_notify:p,_progress:n,_setCompleteValue:n,_setErrorValue:n},N={name:"error_notify",enter:function(e){if(e.done=V.prototype.done,e.then=V.prototype.then,e._listeners)for(var t,r=[e];r.length;)t=r.pop(),t._state._notify(t,r);e._setState(H)},cancel:n,done:null,then:null,_completed:n,_error:n,_notify:h,_progress:n,_setCompleteValue:n,_setErrorValue:n},H={name:"error",enter:function(e){e.done=V.prototype.done,e.then=V.prototype.then,e._cleanupAction()},cancel:n,done:null,then:null,_completed:n,_error:n,_notify:h,_progress:n,_setCompleteValue:n,_setErrorValue:n};var q,z=t.Class.define(null,{_listeners:null,_nextState:null,_state:null,_value:null,cancel:function(){this._state.cancel(this),this._run()},done:function(e,t,r){this._state.done(this,e,t,r)},then:function(e,t,r){return this._state.then(this,e,t,r)},_chainedError:function(e,t){var r=this._state._error(this,e,a,t);return this._run(),r},_completed:function(e){var t=this._state._completed(this,e);return this._run(),t},_error:function(e){var t=this._state._error(this,e,u);return this._run(),t},_progress:function(e){this._state._progress(this,e)},_setState:function(e){this._nextState=e},_setCompleteValue:function(e){this._state._setCompleteValue(this,e),this._run()},_setChainedErrorValue:function(e,t){var r=this._state._setErrorValue(this,e,a,t);return this._run(),r},_setExceptionValue:function(e){var t=this._state._setErrorValue(this,e,c);return this._run(),t},_run:function(){for(;this._nextState;)this._state=this._nextState,this._nextState=null,this._state.enter(this)}},{supportedForProcessing:!1}),F=t.Class.derive(z,function(e){k&&(k===!0||k&j.thenPromise)&&(this._stack=t.Promise._getStack()),this._creator=e,this._setState(A),this._run()},{_creator:null,_cancelAction:function(){this._creator&&this._creator.cancel()},_cleanupAction:function(){this._creator=null}},{supportedForProcessing:!1}),V=t.Class.define(function(e){k&&(k===!0||k&j.errorPromise)&&(this._stack=t.Promise._getStack()),this._value=e,d(this,e,u)},{cancel:function(){},done:function(e,t){var r=this._value;if(t)try{t.handlesOnError||d(null,r,s,this,t);var n=t(r);return void(n&&"object"==typeof n&&"function"==typeof n.done&&n.done())}catch(o){r=o}r instanceof Error&&r.message===O||setImmediate(function(){throw r})},then:function(e,t){if(!t)return this;var r,n=this._value;try{t.handlesOnError||d(null,n,s,this,t),r=new D(t(n))}catch(o){r=o===n?this:new J(o)}return r}},{supportedForProcessing:!1}),J=t.Class.derive(V,function(e){k&&(k===!0||k&j.exceptionPromise)&&(this._stack=t.Promise._getStack()),
this._value=e,d(this,e,c)},{},{supportedForProcessing:!1}),D=t.Class.define(function(e){if(k&&(k===!0||k&j.completePromise)&&(this._stack=t.Promise._getStack()),e&&"object"==typeof e&&"function"==typeof e.then){var r=new F(null);return r._setCompleteValue(e),r}this._value=e},{cancel:function(){},done:function(e){if(e)try{var t=e(this._value);t&&"object"==typeof t&&"function"==typeof t.done&&t.done()}catch(r){setImmediate(function(){throw r})}},then:function(e){try{var t=e?e(this._value):this._value;return t===this._value?this:new D(t)}catch(r){return new J(r)}}},{supportedForProcessing:!1}),$=t.Class.derive(z,function(e,r){k&&(k===!0||k&j.promise)&&(this._stack=t.Promise._getStack()),this._oncancel=r,this._setState(A),this._run();try{var n=this._completed.bind(this),o=this._error.bind(this),i=this._progress.bind(this);e(n,o,i)}catch(s){this._setExceptionValue(s)}},{_oncancel:null,_cancelAction:function(){try{if(!this._oncancel)throw new Error("Promise did not implement oncancel");this._oncancel()}catch(e){e.message,e.stack;S.dispatchEvent("error",e)}},_cleanupAction:function(){this._oncancel=null}},{addEventListener:function(e,t,r){S.addEventListener(e,t,r)},any:function(e){return new $(function(r,n,o){var i=Object.keys(e);Array.isArray(e)?[]:{};0===i.length&&r();var s=0;i.forEach(function(o){$.as(e[o]).then(function(){r({key:o,value:e[o]})},function(a){return a instanceof Error&&a.name===O?void(++s===i.length&&r(t.Promise.cancel)):void n({key:o,value:e[o]})})})},function(){var t=Object.keys(e);t.forEach(function(t){var r=$.as(e[t]);"function"==typeof r.cancel&&r.cancel()})})},as:function(e){return e&&"object"==typeof e&&"function"==typeof e.then?e:new D(e)},cancel:{get:function(){return q=q||new V(new t.ErrorFromName(O))}},dispatchEvent:function(e,t){return S.dispatchEvent(e,t)},is:function(e){return e&&"object"==typeof e&&"function"==typeof e.then},join:function(e){return new $(function(n,o,i){var s=Object.keys(e),a=Array.isArray(e)?[]:{},u=Array.isArray(e)?[]:{},c=0,l=s.length,f=function(e){if(0===--l){var r=Object.keys(a).length;if(0===r)n(u);else{var c=0;s.forEach(function(e){var t=a[e];t instanceof Error&&t.name===O&&c++}),c===r?n(t.Promise.cancel):o(a)}}else i({Key:e,Done:!0})};return s.forEach(function(t){var n=e[t];n===r?c++:$.then(n,function(e){u[t]=e,f(t)},function(e){a[t]=e,f(t)})}),l-=c,0===l?void n(u):void 0},function(){Object.keys(e).forEach(function(t){var r=$.as(e[t]);"function"==typeof r.cancel&&r.cancel()})})},removeEventListener:function(e,t,r){S.removeEventListener(e,t,r)},supportedForProcessing:!1,then:function(e,t,r,n){return $.as(e).then(t,r,n)},thenEach:function(e,t,r,n){var o=Array.isArray(e)?[]:{};return Object.keys(e).forEach(function(i){o[i]=$.as(e[i]).then(t,r,n)}),$.join(o)},timeout:function(e,t){var r=w(e);return t?E(r,t):r},wrap:function(e){return new D(e)},wrapError:function(e){return new V(e)},_veryExpensiveTagWithStack:{get:function(){return k},set:function(e){k=e}},_veryExpensiveTagWithStack_tag:j,_getStack:function(){if(Debug.debuggerEnabled)try{throw new Error}catch(e){return e.stack}}});Object.defineProperties($,t.Utilities.createEventProperties(P));var B=t.Class.derive(z,function(e){this._oncancel=e,this._setState(A),this._run()},{_cancelAction:function(){this._oncancel&&this._oncancel()},_cleanupAction:function(){this._oncancel=null}},{supportedForProcessing:!1}),G=t.Class.define(function(e){this._promise=new B(e)},{promise:{get:function(){return this._promise}},cancel:function(){this._promise.cancel()},complete:function(e){this._promise._completed(e)},error:function(e){this._promise._error(e)},progress:function(e){this._promise._progress(e)}},{supportedForProcessing:!1});t.Namespace.define("WinJS",{Promise:$,_Signal:G})}(this,this.WinJS),function(e,t){"use strict";t.Namespace.define("WinJS",{ErrorFromName:t.Class.derive(Error,function(e,t){this.name=e,this.message=t||e},{},{supportedForProcessing:!1})})}(this,this.WinJS),function(e){"use strict";e.Namespace.define("WinJS",{xhr:function(t){var r;return new e.Promise(function(e,n,o){r=new XMLHttpRequest,r.onreadystatechange=function(){r._canceled||(4===r.readyState?(r.status>=200&&r.status<300||1223===r.status?e(r):n(r),r.onreadystatechange=function(){}):o(r))},r.open(t.type||"GET",t.url,!0,t.user,t.password),r.responseType=t.responseType||"",Object.keys(t.headers||{}).forEach(function(e){r.setRequestHeader(e,t.headers[e])}),t.customRequestInitializer&&t.customRequestInitializer(r),r.send(t.data)},function(){r._canceled=!0,r.abort()})}})}(this.WinJS),function(e,t,r){"use strict";var n,o,i,s,a,u,c={nonStaticHTML:"Unable to add dynamic content. A script attempted to inject dynamic content, or elements previously modified dynamically, that might be unsafe. For example, using the innerHTML property or the document.write method to add a script element will generate this exception. If the content is safe and from a trusted source, use a method to explicitly manipulate elements and attributes, such as createElement, or use setInnerHTMLUnsafe (or other unsafe method)."};n=o=function(e,t){e.innerHTML=t},i=s=function(e,t){e.outerHTML=t},a=u=function(e,t,r){e.insertAdjacentHTML(t,r)};var l=e.MSApp;if(l)o=function(e,t){l.execUnsafeLocalFunction(function(){e.innerHTML=t})},s=function(e,t){l.execUnsafeLocalFunction(function(){e.outerHTML=t})},u=function(e,t,r){l.execUnsafeLocalFunction(function(){e.insertAdjacentHTML(t,r)})};else if(e.msIsStaticHTML){var f=function(r){if(!e.msIsStaticHTML(r))throw new t.ErrorFromName("WinJS.Utitilies.NonStaticHTML",c.nonStaticHTML)};n=function(e,t){f(t),e.innerHTML=t},i=function(e,t){f(t),e.outerHTML=t},a=function(e,t,r){f(r),e.insertAdjacentHTML(t,r)}}t.Namespace.define("WinJS.Utilities",{setInnerHTML:n,setInnerHTMLUnsafe:o,setOuterHTML:i,setOuterHTMLUnsafe:s,insertAdjacentHTML:a,insertAdjacentHTMLUnsafe:u})}(this,this.WinJS)),function(e){"undefined"==typeof exports&&"function"==typeof define&&define.amd?define("vs/base/common/winjs.base.raw",e.WinJS):module.exports=e.WinJS}(this),define("vs/nls!vs/base/common/errors",["vs/nls","vs/nls!vs/base/common/worker/simpleWorker"],function(e,t){return e.create("vs/base/common/errors",t)}),define("vs/base/common/errors",["require","exports","vs/nls!vs/base/common/errors","vs/base/common/objects","vs/base/common/platform","vs/base/common/types","vs/base/common/arrays","vs/base/common/strings"],function(e,t,r,n,o,i,s,a){"use strict";function u(e){t.errorHandler.setUnexpectedErrorHandler(e)}function c(e){m(e)||t.errorHandler.onUnexpectedError(e)}function l(e){return e.then(null,c)}function f(e){if(e instanceof Error){var t=e.name,r=e.message,n=e.stacktrace||e.stack;return{$isError:!0,name:t,message:r,stack:n}}return e}function p(e,t){var r=new P(e);return t?r.verboseMessage:r.message}function h(e,t){return e.message?t&&(e.stack||e.stacktrace)?r.localize(7,null,d(e),e.stack||e.stacktrace):d(e):r.localize(8,null)}function d(e){return"string"==typeof e.code&&"number"==typeof e.errno&&"string"==typeof e.syscall?r.localize(9,null,e.message):e.message}function v(e,t){if(void 0===e&&(e=null),void 0===t&&(t=!1),!e)return r.localize(10,null);if(Array.isArray(e)){var n=s.coalesce(e),o=v(n[0],t);return n.length>1?r.localize(11,null,o,n.length):o}if(i.isString(e))return e;if(!i.isUndefinedOrNull(e.status))return p(e,t);if(e.detail){var a=e.detail;if(a.error){if(a.error&&!i.isUndefinedOrNull(a.error.status))return p(a.error,t);if(!i.isArray(a.error))return h(a.error,t);for(var u=0;u<a.error.length;u++)if(a.error[u]&&!i.isUndefinedOrNull(a.error[u].status))return p(a.error[u],t)}if(a.exception)return i.isUndefinedOrNull(a.exception.status)?h(a.exception,t):p(a.exception,t)}return e.stack?h(e,t):e.message?e.message:r.localize(12,null)}function m(e){return e instanceof Error&&e.name===O&&e.message===O}function g(){var e=new Error(O);return e.name=e.message,e}function _(){return new Error(r.localize(13,null))}function y(e){return e?new Error(r.localize(14,null,e)):new Error(r.localize(15,null))}function b(e){return e?new Error(r.localize(16,null,e)):new Error(r.localize(17,null))}function w(e){return e?new Error("readonly property '"+e+" cannot be changed'"):new Error("readonly property cannot be changed")}function E(e){return o.isWeb?new Error(r.localize(18,null)):new Error(r.localize(19,null,JSON.stringify(e)))}function x(e,t){void 0===t&&(t={});var r=new Error(e);return i.isNumber(t.severity)&&(r.severity=t.severity),t.actions&&(r.actions=t.actions),r}var S=function(){function e(){this.listeners=[],this.unexpectedErrorHandler=function(e){o.setTimeout(function(){if(e.stack)throw new Error(e.message+"\n\n"+e.stack);throw e},0)}}return e.prototype.addListener=function(e){var t=this;return this.listeners.push(e),function(){t._removeListener(e)}},e.prototype.emit=function(e){this.listeners.forEach(function(t){t(e)})},e.prototype._removeListener=function(e){this.listeners.splice(this.listeners.indexOf(e),1)},e.prototype.setUnexpectedErrorHandler=function(e){this.unexpectedErrorHandler=e},e.prototype.getUnexpectedErrorHandler=function(){return this.unexpectedErrorHandler},e.prototype.onUnexpectedError=function(e){this.unexpectedErrorHandler(e),this.emit(e)},e}();t.ErrorHandler=S,t.errorHandler=new S,t.setUnexpectedErrorHandler=u,t.onUnexpectedError=c,t.onUnexpectedPromiseError=l,t.transformErrorForSerialization=f;var P=function(){function e(e){this.status=e.status,this.statusText=e.statusText,this.name="ConnectionError";try{this.responseText=e.responseText}catch(t){this.responseText=""}if(this.errorMessage=null,this.errorCode=null,this.errorObject=null,this.responseText)try{var r=JSON.parse(this.responseText);this.errorMessage=r.message,this.errorCode=r.code,this.errorObject=r}catch(n){}}return Object.defineProperty(e.prototype,"message",{get:function(){return this.connectionErrorToMessage(this,!1)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"verboseMessage",{get:function(){return this.connectionErrorToMessage(this,!0)},enumerable:!0,configurable:!0}),e.prototype.connectionErrorDetailsToMessage=function(e,t){var n=e.errorCode,o=e.errorMessage;return null!==n&&null!==o?r.localize(0,null,a.rtrim(o,"."),n):null!==o?o:t&&null!==e.responseText?e.responseText:null},e.prototype.connectionErrorToMessage=function(e,t){var n=this.connectionErrorDetailsToMessage(e,t);return 401===e.status?null!==n?r.localize(1,null,n):r.localize(2,null):n?n:e.status>0&&null!==e.statusText?t&&null!==e.responseText&&e.responseText.length>0?r.localize(3,null,e.statusText,e.status,e.responseText):r.localize(4,null,e.statusText,e.status):t&&null!==e.responseText&&e.responseText.length>0?r.localize(5,null,e.responseText):r.localize(6,null)},e}();t.ConnectionError=P,n.derive(Error,P),t.toErrorMessage=v;var O="Canceled";t.isPromiseCanceledError=m,t.canceled=g,t.notImplemented=_,t.illegalArgument=y,t.illegalState=b,t.readonly=w,t.loaderError=E,t.create=x}),define("vs/base/common/winjs.base",["./winjs.base.raw","vs/base/common/errors"],function(e,t){"use strict";function r(e){var r=e.detail,n=r.id;return r.parent?void(r.handler&&i&&delete i[n]):(i[n]=r,void(1===Object.keys(i).length&&setTimeout(function(){var e=i;i={},Object.keys(e).forEach(function(r){var n=e[r];n.exception?t.onUnexpectedError(n.exception):n.error&&t.onUnexpectedError(n.error),console.log("WARNING: Promise with no error callback:"+n.id),console.log(n),n.exception&&console.log(n.exception.stack)})},0)))}function n(e,t,r){var n,i,s,a=new o.Promise(function(e,t,r){n=e,i=t,s=r},function(){e.cancel()});return e.then(function(e){t&&t(e),n(e)},function(e){r&&r(e),i(e)},s),a}var o=e,i={};return o.Promise.addEventListener("error",r),{decoratePromise:n,Class:o.Class,xhr:o.xhr,Promise:o.Promise,TPromise:o.Promise,PPromise:o.Promise,Utilities:o.Utilities}});var __extends=this&&this.__extends||function(e,t){function r(){this.constructor=e}for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n]);e.prototype=null===t?Object.create(t):(r.prototype=t.prototype,new r)};define("vs/base/common/worker/simpleWorker",["require","exports","vs/base/common/errors","vs/base/common/lifecycle","vs/base/common/winjs.base"],function(e,t,r,n,o){"use strict";function i(e){return new c(e)}var s="$initialize",a=function(){function e(e){this._workerId=-1,this._handler=e,this._lastSentReq=0,this._pendingReplies=Object.create(null)}return e.prototype.setWorkerId=function(e){this._workerId=e},e.prototype.sendMessage=function(e,t){var r=String(++this._lastSentReq),n={c:null,e:null},i=new o.TPromise(function(e,t,r){n.c=e,n.e=t},function(){});return this._pendingReplies[r]=n,this._send({vsWorker:this._workerId,req:r,method:e,args:t}),i},e.prototype.handleMessage=function(e){var t;try{t=JSON.parse(e)}catch(r){}t.vsWorker&&(-1!==this._workerId&&t.vsWorker!==this._workerId||this._handleMessage(t))},e.prototype._handleMessage=function(e){var t=this;if(e.seq){var n=e;if(!this._pendingReplies[n.seq])return void console.warn("Got reply to unknown seq");var o=this._pendingReplies[n.seq];if(delete this._pendingReplies[n.seq],n.err){var i=n.err;return n.err.$isError&&(i=new Error,i.name=n.err.name,i.message=n.err.message,i.stack=n.err.stack),void o.e(i)}return void o.c(n.res)}var s=e,a=s.req,u=this._handler.handleMessage(s.method,s.args);u.then(function(e){t._send({vsWorker:t._workerId,seq:a,res:e,err:void 0})},function(e){t._send({vsWorker:t._workerId,seq:a,res:void 0,err:r.transformErrorForSerialization(e)})})},e.prototype._send=function(e){var t=JSON.stringify(e);this._handler.sendMessage(t)},e}(),u=function(e){function t(t,r,n){var i=this;e.call(this),this._lastRequestTimestamp=-1,this._worker=this._register(t.create("vs/base/common/worker/simpleWorker",function(e){i._protocol.handleMessage(e)})),this._protocol=new a({sendMessage:function(e){i._worker.postMessage(e)},handleMessage:function(e,t){return o.TPromise.as(null)}}),this._protocol.setWorkerId(this._worker.getId());var u=null,c=window.require;"function"==typeof c.getConfig?u=c.getConfig():"undefined"!=typeof window.requirejs&&(u=window.requirejs.s.contexts._.config);var l=null,f=null;this._lazyProxy=new o.TPromise(function(e,t,r){l=e,f=t},function(){}),this._onModuleLoaded=this._protocol.sendMessage(s,[this._worker.getId(),r,u]),this._onModuleLoaded.then(function(e){for(var t={},r=0;r<e.length;r++)t[e[r]]=h(e[r],p);l(t)},function(e){f(e),i._onError("Worker failed to load "+r,e)});var p=function(e,t){return i._request(e,t)},h=function(e,t){return function(){var r=Array.prototype.slice.call(arguments,0);return t(e,r)}};if(this._proxy={},n)for(var d in n.prototype)n.prototype.hasOwnProperty(d)&&"function"==typeof n.prototype[d]&&(this._proxy[d]=h(d,p))}return __extends(t,e),t.prototype.get=function(){return this._proxy},t.prototype.getProxyObject=function(){return this._lazyProxy},t.prototype.getLastRequestTimestamp=function(){return this._lastRequestTimestamp},t.prototype._request=function(e,t){var r=this;return new o.TPromise(function(n,o,i){r._onModuleLoaded.then(function(){r._lastRequestTimestamp=Date.now(),r._protocol.sendMessage(e,t).then(n,o)},o)},function(){})},t.prototype._onError=function(e,t){console.error(e),console.info(t)},t}(n.Disposable);t.SimpleWorkerClient=u;var c=function(){function t(e){var t=this;this._protocol=new a({sendMessage:function(t){e(t)},handleMessage:function(e,r){return t._handleMessage(e,r)}})}return t.prototype.onmessage=function(e){this._protocol.handleMessage(e)},t.prototype._handleMessage=function(e,t){if(e===s)return this.initialize(t[0],t[1],t[2]);if(!this._requestHandler||"function"!=typeof this._requestHandler[e])return o.TPromise.wrapError(new Error("Missing requestHandler or method: "+e));try{return o.TPromise.as(this._requestHandler[e].apply(this._requestHandler,t))}catch(r){return o.TPromise.wrapError(r)}},t.prototype.initialize=function(t,r,n){var i=this;if(this._protocol.setWorkerId(t),n){"undefined"!=typeof n.baseUrl&&delete n.baseUrl,"undefined"!=typeof n.paths&&"undefined"!=typeof n.paths.vs&&delete n.paths.vs;var s=n["vs/nls"];s&&s.pseudo&&e(["vs/nls"],function(e){e.setPseudoTranslation(s.pseudo)}),n.catchError=!0,self.require.config(n)}var a,u,c=new o.TPromise(function(e,t,r){a=e,u=t});return e([r],function(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];var r=e[0];i._requestHandler=r.create();var n=[];for(var o in i._requestHandler)"function"==typeof i._requestHandler[o]&&n.push(o);a(n)},u),c},t}();t.SimpleWorkerServer=c,t.create=i});
//# sourceMappingURL=../../../../../min-maps/vs/base/common/worker/simpleWorker.js.map