/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.2.3(84e204b238a1eff25d4c6f611fdcd76a494005a7)
 * Released under the MIT license
 * https://github.com/Microsoft/vscode/blob/master/LICENSE.txt
 *-----------------------------------------------------------*/
define("vs/base/common/arrays",["require","exports"],function(e,t){"use strict";function r(e,t){return void 0===t&&(t=0),e[e.length-(1+t)]}function n(e,t){for(var r=0,n=e.length;n>r;r++)t(e[r],function(){e.splice(r,1),r--,n--})}function i(e,t,r){if(e.length!==t.length)return!1;for(var n=0,i=e.length;i>n;n++)if(!r(e[n],t[n]))return!1;return!0}function o(e,t,r){for(var n=0,i=e.length-1;i>=n;){var o=(n+i)/2|0,s=r(e[o],t);if(0>s)n=o+1;else{if(!(s>0))return o;i=o-1}}return-(n+1)}function s(e,t){var r=0,n=e.length;if(0===n)return 0;for(;n>r;){var i=Math.floor((r+n)/2);t(e[i])?n=i:r=i+1}return r}function a(e,t){var r=new Array;if(t)for(var n={},i=0;i<e.length;i++)for(var o=0;o<e[i].length;o++){var s=e[i][o],a=t(s);n.hasOwnProperty(a)||(n[a]=!0,r.push(s))}else for(var i=0,u=e.length;u>i;i++)r.push.apply(r,e[i]);return r}function u(e){return e?e.filter(function(e){return!!e}):e}function c(e,t){return e.indexOf(t)>=0}function l(e,t,r){var n=e[t],i=e[r];e[t]=i,e[r]=n}function f(e,t,r){e.splice(r,0,e.splice(t,1)[0])}function p(e){return!Array.isArray(e)||0===e.length}function h(e,t){if(!t)return e.filter(function(t,r){return e.indexOf(t)===r});var r=Object.create(null);return e.filter(function(e){var n=t(e);return r[n]?!1:(r[n]=!0,!0)})}function d(e){var t=Object.create(null);return function(r){var n=e(r);return t[n]?!1:(t[n]=!0,!0)}}function m(e,t){for(var r=0;r<e.length;r++){var n=e[r];if(t(n))return r}return-1}function v(e,t,r){void 0===r&&(r=null);var n=m(e,t);return 0>n?r:e[n]}function g(e,t,r){void 0===r&&(r=function(e,t){return e===t});for(var n=0,i=0,o=Math.min(e.length,t.length);o>i&&r(e[i],t[i]);i++)n++;return n}function y(e){return e.reduce(function(e,t){return e.concat(t)},[])}function _(e,t,r){void 0===r&&(r=[]);for(var n=0;e>n;n++)r[n]=t();return r}t.tail=r,t.forEach=n,t.equals=i,t.binarySearch=o,t.findFirst=s,t.merge=a,t.coalesce=u,t.contains=c,t.swap=l,t.move=f,t.isFalsyOrEmpty=p,t.distinct=h,t.uniqueFilter=d,t.firstIndex=m,t.first=v,t.commonPrefixLength=g,t.flatten=y,t.fill=_});var __extends=this&&this.__extends||function(e,t){function r(){this.constructor=e}for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n]);e.prototype=null===t?Object.create(t):(r.prototype=t.prototype,new r)};define("vs/base/common/map",["require","exports"],function(e,t){"use strict";var r=function(){function e(){this.map=Object.create(null),this._size=0}return Object.defineProperty(e.prototype,"size",{get:function(){return this._size},enumerable:!0,configurable:!0}),e.prototype.get=function(e){var t=this.peek(e);return t?t:null},e.prototype.keys=function(){var e=[];for(var t in this.map)e.push(this.map[t].key);return e},e.prototype.entries=function(){var e=[];for(var t in this.map)e.push(this.map[t]);return e},e.prototype.set=function(e,t){return this.get(e)?!1:(this.push(e,t),!0)},e.prototype["delete"]=function(e){var t=this.get(e);return t?(this.pop(e),t):null},e.prototype.has=function(e){return!!this.get(e)},e.prototype.clear=function(){this.map=Object.create(null),this._size=0},e.prototype.push=function(e,t){var r={key:e,value:t};this.map[e.toString()]=r,this._size++},e.prototype.pop=function(e){delete this.map[e.toString()],this._size--},e.prototype.peek=function(e){var t=this.map[e.toString()];return t?t.value:null},e}();t.SimpleMap=r;var n=function(){function e(e,t){void 0===e&&(e=Number.MAX_VALUE),void 0===t&&(t=1),this.limit=e,this.map=Object.create(null),this._size=0,this.ratio=e*t}return Object.defineProperty(e.prototype,"size",{get:function(){return this._size},enumerable:!0,configurable:!0}),e.prototype.set=function(e,t){if(this.map[e])return!1;var r={key:e,value:t};return this.push(r),this._size>this.limit&&this.trim(),!0},e.prototype.get=function(e){var t=this.map[e];return t?t.value:null},e.prototype["delete"]=function(e){var t=this.map[e];return t?(this.map[e]=void 0,this._size--,t.next?t.next.prev=t.prev:this.head=t.prev,t.prev?t.prev.next=t.next:this.tail=t.next,t.value):null},e.prototype.has=function(e){return!!this.map[e]},e.prototype.clear=function(){this.map=Object.create(null),this._size=0,this.head=null,this.tail=null},e.prototype.push=function(e){this.head&&(e.prev=this.head,this.head.next=e),this.tail||(this.tail=e),this.head=e,this.map[e.key]=e,this._size++},e.prototype.trim=function(){if(this.tail)if(this.ratio<this.limit)for(var e=0,t=this.tail;t.next;){if(this.map[t.key]=void 0,this._size--,e===this.ratio){this.tail=t.next,this.tail.prev=null;break}t=t.next,e++}else this.map[this.tail.key]=void 0,this._size--,this.tail=this.tail.next,this.tail.prev=null},e}();t.LinkedMap=n;var i=function(e){function t(t){e.call(this,t)}return __extends(t,e),t.prototype.get=function(e){var t=this.map[e];return t?(this["delete"](e),this.push(t),t.value):null},t}(n);t.LRUCache=i}),define("vs/base/common/platform",["require","exports"],function(e,t){"use strict";function r(){return"undefined"!=typeof y.Worker}var n=!1,i=!1,o=!1,s=!1,a=!1,u=!1,c=!1,l=void 0,f=void 0;if(t.LANGUAGE_DEFAULT="en","object"==typeof process){n="win32"===process.platform,i="darwin"===process.platform,o="linux"===process.platform,s=!n&&0===process.getuid();var p=process.env.VSCODE_NLS_CONFIG;if(p)try{var h=JSON.parse(p),d=h.availableLanguages["*"];l=h.locale,f=d?d:t.LANGUAGE_DEFAULT}catch(m){}a=!0}else if("object"==typeof navigator){var v=navigator.userAgent;n=v.indexOf("Windows")>=0,i=v.indexOf("Macintosh")>=0,o=v.indexOf("Linux")>=0,u=!0,l=navigator.language,f=l,c=!!self.QUnit}!function(e){e[e.Web=0]="Web",e[e.Mac=1]="Mac",e[e.Linux=2]="Linux",e[e.Windows=3]="Windows"}(t.Platform||(t.Platform={}));var g=t.Platform;t._platform=g.Web,a&&(i?t._platform=g.Mac:n?t._platform=g.Windows:o&&(t._platform=g.Linux)),t.isWindows=n,t.isMacintosh=i,t.isLinux=o,t.isRootUser=s,t.isNative=a,t.isWeb=u,t.isQunit=c,t.platform=t._platform,t.language=f,t.locale=l;var y="object"==typeof self?self:global;t.globals=y,t.hasWebWorkerSupport=r,t.setTimeout=y.setTimeout.bind(y),t.clearTimeout=y.clearTimeout.bind(y),t.setInterval=y.setInterval.bind(y),t.clearInterval=y.clearInterval.bind(y)}),define("vs/base/common/strings",["require","exports","vs/base/common/map"],function(e,t,r){"use strict";function n(e,t,r){void 0===r&&(r="0");for(var n=""+e,i=[n],o=n.length;t>o;o++)i.push(r);return i.reverse().join("")}function i(e){for(var t=[],r=1;r<arguments.length;r++)t[r-1]=arguments[r];return 0===t.length?e:e.replace(U,function(e,r){var n=parseInt(r,10);return isNaN(n)||0>n||n>=t.length?e:t[n]})}function o(e){return e.replace(/[<|>|&]/g,function(e){switch(e){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return e}})}function s(e){return e.replace(/[\-\\\{\}\*\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&")}function a(e,t){void 0===t&&(t=" ");var r=u(e,t);return c(r,t)}function u(e,t){if(!e||!t)return e;var r=t.length;if(0===r||0===e.length)return e;for(var n=0,i=-1;(i=e.indexOf(t,n))===n;)n+=r;return e.substring(n)}function c(e,t){if(!e||!t)return e;var r=t.length,n=e.length;if(0===r||0===n)return e;for(var i=n,o=-1;;){if(o=e.lastIndexOf(t,i-1),-1===o||o+r!==i)break;if(0===o)return"";i=o}return e.substring(0,i)}function l(e){return e.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}function f(e){return e.replace(/\*/g,"")}function p(e,t){if(e.length<t.length)return!1;for(var r=0;r<t.length;r++)if(e[r]!==t[r])return!1;return!0}function h(e,t){var r=e.length-t.length;return r>0?e.lastIndexOf(t)===r:0===r?e===t:!1}function d(e,t,r,n,i){if(""===e)throw new Error("Cannot create regex from empty string");t||(e=e.replace(/[\-\\\{\}\*\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&")),n&&(/\B/.test(e.charAt(0))||(e="\\b"+e),/\B/.test(e.charAt(e.length-1))||(e+="\\b"));var o="";return i&&(o+="g"),r||(o+="i"),new RegExp(e,o)}function m(e,t,r,n){if(""===e)return null;var i=null;try{i=d(e,t,r,n,!0)}catch(o){return null}try{if(v(i))return null}catch(o){return null}return i}function v(e){if("^"===e.source||"^$"===e.source||"$"===e.source)return!1;var t=e.exec("");return t&&0===e.lastIndex}function g(e){if(!t.canNormalize||!e)return e;var r=W.get(e);if(r)return r;var n;return n=I.test(e)?e.normalize("NFC"):e,W.set(e,n),n}function y(e){for(var t=0,r=e.length;r>t;t++)if(" "!==e.charAt(t)&&"	"!==e.charAt(t))return t;return-1}function _(e){for(var t=0,r=e.length;r>t;t++)if(" "!==e.charAt(t)&&"	"!==e.charAt(t))return e.substring(0,t);return e}function b(e,t){void 0===t&&(t=e.length-1);for(var r=t;r>=0;r--)if(" "!==e.charAt(r)&&"	"!==e.charAt(r))return r;return-1}function E(e,t){return e.localeCompare(t)}function w(e){return e>=97&&122>=e||e>=65&&90>=e}function x(e,t){var r=e.length,n=t.length;if(r!==n)return!1;for(var i=0;r>i;i++){var o=e.charCodeAt(i),s=t.charCodeAt(i);if(o!==s)if(w(o)&&w(s)){var a=Math.abs(o-s);if(0!==a&&32!==a)return!1}else if(String.fromCharCode(o).toLocaleLowerCase()!==String.fromCharCode(s).toLocaleLowerCase())return!1}return!0}function P(e,t){var r,n=Math.min(e.length,t.length);for(r=0;n>r;r++)if(e.charCodeAt(r)!==t.charCodeAt(r))return r;return n}function S(e,t){var r,n=Math.min(e.length,t.length),i=e.length-1,o=t.length-1;for(r=0;n>r;r++)if(e.charCodeAt(i-r)!==t.charCodeAt(o-r))return r;return n}function O(e){return e=+e,e>=11904&&55215>=e||e>=63744&&64255>=e||e>=65281&&65374>=e}function C(e,t,r){void 0===r&&(r=4);var n=Math.abs(e.length-t.length);if(n>r)return 0;var i,o,s=[],a=[];for(i=0;i<t.length+1;++i)a.push(0);for(i=0;i<e.length+1;++i)s.push(a);for(i=1;i<e.length+1;++i)for(o=1;o<t.length+1;++o)e[i-1]===t[o-1]?s[i][o]=s[i-1][o-1]+1:s[i][o]=Math.max(s[i-1][o],s[i][o-1]);return s[e.length][t.length]-Math.sqrt(n)}function A(e){for(var t,r=/\r\n|\r|\n/g,n=[0];t=r.exec(e);)n.push(r.lastIndex);return n}function j(e,r){if(e.length<r)return e;for(var n=e.split(/\b/),i=0,o=n.length-1;o>=0;o--)if(i+=n[o].length,i>r){n.splice(0,o);break}return n.join(t.empty).replace(/^\s/,t.empty)}function T(e){return e&&(e=e.replace(q,""),e=e.replace(N,"\n"),e=e.replace(H,""),e=e.replace(F,"")),e}function M(e){return e&&e.length>0&&e.charCodeAt(0)===z}function L(e,t,r){var n=e.length+t.length;return n>r&&(e="..."+e.substr(n-r)),e+=t.length>r?t.substr(t.length-r):t}function R(e){return btoa(encodeURIComponent(e))}function k(e,t){for(var r="",n=0;t>n;n++)r+=e;return r}t.empty="",t.pad=n;var U=/{(\d+)}/g;t.format=i,t.escape=o,t.escapeRegExpCharacters=s,t.trim=a,t.ltrim=u,t.rtrim=c,t.convertSimple2RegExpPattern=l,t.stripWildcards=f,t.startsWith=p,t.endsWith=h,t.createRegExp=d,t.createSafeRegExp=m,t.regExpLeadsToEndlessLoop=v,t.canNormalize="function"==typeof"".normalize;var I=/[^\u0000-\u0080]/,W=new r.LinkedMap(1e4);t.normalizeNFC=g,t.firstNonWhitespaceIndex=y,t.getLeadingWhitespace=_,t.lastNonWhitespaceIndex=b,t.localeCompare=E,t.equalsIgnoreCase=x,t.commonPrefixLength=P,t.commonSuffixLength=S,t.isFullWidthCharacter=O,t.difference=C,t.computeLineStarts=A,t.lcut=j;var q=/\x1B\x5B[12]?K/g,N=/\xA/g,H=/\x1b\[\d+m/g,F=/\x1b\[0?m/g;t.removeAnsiEscapeCodes=T;var z=65279;t.UTF8_BOM_CHARACTER=String.fromCharCode(z),t.startsWithUTF8BOM=M,t.appendWithLimit=L,t.safeBtoa=R,t.repeat=k}),define("vs/base/common/types",["require","exports"],function(e,t){"use strict";function r(e){return Array.isArray?Array.isArray(e):!(!e||typeof e.length!==v.number||e.constructor!==Array)}function n(e){return typeof e===v.string||e instanceof String}function i(e){return r(e)&&e.every(function(e){return n(e)})}function o(e){return!(typeof e!==v.object||null===e||Array.isArray(e)||e instanceof RegExp||e instanceof Date)}function s(e){return(typeof e===v.number||e instanceof Number)&&!isNaN(e)}function a(e){return e===!0||e===!1}function u(e){return typeof e===v.undefined}function c(e){return u(e)||null===e}function l(e){if(!o(e))return!1;for(var t in e)if(g.call(e,t))return!1;return!0}function f(e){return typeof e===v["function"]}function p(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];return e&&e.length>0&&e.every(f)}function h(e,t){for(var r=Math.min(e.length,t.length),n=0;r>n;n++)d(e[n],t[n])}function d(e,t){if(n(t)){if(typeof e!==t)throw new Error("argument does not match constraint: typeof "+t)}else if(f(t)){if(e instanceof t)return;if(e&&e.constructor===t)return;if(1===t.length&&t.call(void 0,e)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}function m(e){for(var t=[],r=1;r<arguments.length;r++)t[r-1]=arguments[r];var n=Object.create(e.prototype);return e.apply(n,t),n}var v={number:"number",string:"string",undefined:"undefined",object:"object","function":"function"};t.isArray=r,t.isString=n,t.isStringArray=i,t.isObject=o,t.isNumber=s,t.isBoolean=a,t.isUndefined=u,t.isUndefinedOrNull=c;var g=Object.prototype.hasOwnProperty;t.isEmptyObject=l,t.isFunction=f,t.areFunctions=p,t.validateConstraints=h,t.validateConstraint=d,t.create=m}),define("vs/base/common/objects",["require","exports","vs/base/common/types"],function(e,t,r){"use strict";function n(e){if(!e||"object"!=typeof e)return e;if(e instanceof RegExp)return e;var t=Array.isArray(e)?[]:{};return Object.keys(e).forEach(function(r){e[r]&&"object"==typeof e[r]?t[r]=n(e[r]):t[r]=e[r]}),t}function i(e){if(!e||"object"!=typeof e)return e;var t=Array.isArray(e)?[]:{};return Object.getOwnPropertyNames(e).forEach(function(r){e[r]&&"object"==typeof e[r]?t[r]=i(e[r]):t[r]=e[r]}),t}function o(e,t){return s(e,t,[])}function s(e,t,n){if(r.isUndefinedOrNull(e))return e;var i=t(e);if("undefined"!=typeof i)return i;if(r.isArray(e)){for(var o=[],a=0;a<e.length;a++)o.push(s(e[a],t,n));return o}if(r.isObject(e)){if(n.indexOf(e)>=0)throw new Error("Cannot clone recursive data-structure");n.push(e);var u={};for(var c in e)g.call(e,c)&&(u[c]=s(e[c],t,n));return n.pop(),u}return e}function a(e,t,n){return void 0===n&&(n=!0),r.isObject(e)?(r.isObject(t)&&Object.keys(t).forEach(function(i){i in e?n&&(r.isObject(e[i])&&r.isObject(t[i])?a(e[i],t[i],n):e[i]=t[i]):e[i]=t[i]}),e):t}function u(e){for(var t=[],r=1;r<arguments.length;r++)t[r-1]=arguments[r];return t.forEach(function(t){return Object.keys(t).forEach(function(r){return e[r]=t[r]})}),e}function c(e,t,r){return void 0===r&&(r=function(e){return e}),e.reduce(function(e,n){return u(e,(i={},i[t(n)]=r(n),i));var i},Object.create(null))}function l(e,t){if(e===t)return!0;if(null===e||void 0===e||null===t||void 0===t)return!1;if(typeof e!=typeof t)return!1;if("object"!=typeof e)return!1;if(Array.isArray(e)!==Array.isArray(t))return!1;var r,n;if(Array.isArray(e)){if(e.length!==t.length)return!1;for(r=0;r<e.length;r++)if(!l(e[r],t[r]))return!1}else{var i=[];for(n in e)i.push(n);i.sort();var o=[];for(n in t)o.push(n);if(o.sort(),!l(i,o))return!1;for(r=0;r<i.length;r++)if(!l(e[i[r]],t[i[r]]))return!1}return!0}function f(e,t,r){"undefined"==typeof e[t]&&(e[t]=r)}function p(e){for(var t={},r=0;r<e.length;++r)t[e[r]]=!0;return t}function h(e,t){void 0===t&&(t=!1),t&&(e=e.map(function(e){return e.toLowerCase()}));var r=p(e);return t?function(e){return void 0!==r[e.toLowerCase()]&&r.hasOwnProperty(e.toLowerCase())}:function(e){return void 0!==r[e]&&r.hasOwnProperty(e)}}function d(e,t){for(var r in e)e.hasOwnProperty(r)&&(t[r]=e[r]);t=t||function(){};var n=e.prototype,i=t.prototype;t.prototype=Object.create(n);for(var r in i)i.hasOwnProperty(r)&&Object.defineProperty(t.prototype,r,Object.getOwnPropertyDescriptor(i,r));Object.defineProperty(t.prototype,"constructor",{value:t,writable:!0,configurable:!0,enumerable:!0})}function m(e){var t=[];return JSON.stringify(e,function(e,n){if(r.isObject(n)||Array.isArray(n)){if(-1!==t.indexOf(n))return"[Circular]";t.push(n)}return n})}function v(e,t,r){void 0===r&&(r=null);var n=t(e);return"undefined"==typeof n?r:n}t.clone=n,t.deepClone=i;var g=Object.prototype.hasOwnProperty;t.cloneAndChange=o,t.mixin=a,t.assign=u,t.toObject=c,t.equals=l,t.ensureProperty=f,t.arrayToHash=p,t.createKeywordMatcher=h,t.derive=d,t.safeStringify=m,t.getOrDefault=v}),define("vs/base/common/uri",["require","exports","vs/base/common/platform"],function(e,t,r){"use strict";function n(e){return"%"+e.charCodeAt(0).toString(16).toUpperCase()}function i(e){return encodeURIComponent(e).replace(/[!'()*]/g,n)}function o(e){return e}var s=function(){function e(){this._scheme=e._empty,this._authority=e._empty,this._path=e._empty,this._query=e._empty,this._fragment=e._empty,this._formatted=null,this._fsPath=null}return Object.defineProperty(e.prototype,"scheme",{get:function(){return this._scheme},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"authority",{get:function(){return this._authority},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"path",{get:function(){return this._path},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"query",{get:function(){return this._query},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"fragment",{get:function(){return this._fragment},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"fsPath",{get:function(){if(!this._fsPath){var t;t=this._authority&&"file"===this.scheme?"//"+this._authority+this._path:e._driveLetterPath.test(this._path)?this._path[1].toLowerCase()+this._path.substr(2):this._path,r.isWindows&&(t=t.replace(/\//g,"\\")),this._fsPath=t}return this._fsPath},enumerable:!0,configurable:!0}),e.prototype["with"]=function(t){var r=new e;return r._scheme=t.scheme||this.scheme,r._authority=t.authority||this.authority,r._path=t.path||this.path,r._query=t.query||this.query,r._fragment=t.fragment||this.fragment,e._validate(r),r},e.parse=function(t){var r=new e,n=e._parseComponents(t);return r._scheme=n.scheme,r._authority=decodeURIComponent(n.authority),r._path=decodeURIComponent(n.path),r._query=decodeURIComponent(n.query),r._fragment=decodeURIComponent(n.fragment),e._validate(r),r},e.file=function(t){var r=new e;if(r._scheme="file",t=t.replace(/\\/g,e._slash),t[0]===e._slash&&t[0]===t[1]){var n=t.indexOf(e._slash,2);-1===n?r._authority=t.substring(2):(r._authority=t.substring(2,n),r._path=t.substring(n))}else r._path=t;return r._path[0]!==e._slash&&(r._path=e._slash+r._path),e._validate(r),r},e._parseComponents=function(t){var r={scheme:e._empty,authority:e._empty,path:e._empty,query:e._empty,fragment:e._empty},n=e._regexp.exec(t);return n&&(r.scheme=n[2]||r.scheme,r.authority=n[4]||r.authority,r.path=n[5]||r.path,r.query=n[7]||r.query,r.fragment=n[9]||r.fragment),r},e.create=function(t,r,n,i,o){return(new e)["with"]({scheme:t,authority:r,path:n,query:i,fragment:o})},e._validate=function(e){if(e.authority&&e.path&&"/"!==e.path[0])throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character');if(!e.authority&&0===e.path.indexOf("//"))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')},e.prototype.toString=function(t){return void 0===t&&(t=!1),t?e._asFormatted(this,!0):(this._formatted||(this._formatted=e._asFormatted(this,!1)),this._formatted)},e._asFormatted=function(t,r){var s=r?o:i,a=[],u=t.scheme,c=t.authority,l=t.path,f=t.query,p=t.fragment;if(u&&a.push(u,":"),(c||"file"===u)&&a.push("//"),c){c=c.toLowerCase();var h=c.indexOf(":");-1===h?a.push(s(c)):a.push(s(c.substr(0,h)),c.substr(h))}if(l){var d=e._upperCaseDrive.exec(l);d&&(l=d[1]+d[2].toLowerCase()+l.substr(d[1].length+d[2].length));for(var m=0;;){var h=l.indexOf(e._slash,m);if(-1===h){a.push(s(l.substring(m)).replace(/[#?]/,n));break}a.push(s(l.substring(m,h)).replace(/[#?]/,n),e._slash),m=h+1}}return f&&a.push("?",s(f)),p&&a.push("#",s(p)),a.join(e._empty)},e.prototype.toJSON=function(){return{scheme:this.scheme,authority:this.authority,path:this.path,fsPath:this.fsPath,query:this.query,fragment:this.fragment.replace(/URL_MARSHAL_REMOVE.*$/,""),external:this.toString().replace(/#?URL_MARSHAL_REMOVE.*$/,""),$mid:1}},e.revive=function(t){var r=new e;return r._scheme=t.scheme,r._authority=t.authority,r._path=t.path,r._query=t.query,r._fragment=t.fragment,r._fsPath=t.fsPath,r._formatted=t.external,e._validate(r),r},e._empty="",e._slash="/",e._regexp=/^(([^:\/?#]+?):)?(\/\/([^\/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/,e._driveLetterPath=/^\/[a-zA-z]:/,e._upperCaseDrive=/^(\/)?([A-Z]:)/,e}();Object.defineProperty(t,"__esModule",{value:!0}),t["default"]=s}),define("vs/base/common/marshalling",["require","exports","vs/base/common/uri"],function(e,t,r){"use strict";function n(e){return JSON.stringify(e,o)}function i(e){return JSON.parse(e,s)}function o(e,t){return t instanceof RegExp?{$mid:2,source:t.source,flags:(t.global?"g":"")+(t.ignoreCase?"i":"")+(t.multiline?"m":"")}:t}function s(e,t){var n;return void 0!==t&&null!==t&&(n=t.$mid),1===n?r["default"].revive(t):2===n?new RegExp(t.source,t.flags):t}t.stringify=n,t.parse=i}),"undefined"==typeof WinJS&&(!function(e){e.setImmediate||("undefined"!=typeof process&&"function"==typeof process.nextTick?e.setImmediate=function(e){return process.nextTick(e)}:e.setImmediate=function(e){return setTimeout(e,0)})}(this),function(e,t){"use strict";function r(e,r){var n,i,o,s=Object.keys(r);for(i=0,o=s.length;o>i;i++){var a=s[i],u=95!==a.charCodeAt(0),c=r[a];!c||"object"!=typeof c||c.value===t&&"function"!=typeof c.get&&"function"!=typeof c.set?u?e[a]=c:(n=n||{},n[a]={value:c,enumerable:u,configurable:!0,writable:!0}):(c.enumerable===t&&(c.enumerable=u),n=n||{},n[a]=c)}n&&Object.defineProperties(e,n)}!function(t){function n(e,t,n){for(var i=e,o=t.split("."),s=0,a=o.length;a>s;s++){var u=o[s];i[u]||Object.defineProperty(i,u,{value:{},writable:!1,enumerable:!0,configurable:!0}),i=i[u]}return n&&r(i,n),i}function i(t,r){return n(e,t,r)}e[t]||(e[t]=Object.create(Object.prototype));var o=e[t];o.Namespace||(o.Namespace=Object.create(Object.prototype)),Object.defineProperties(o.Namespace,{defineWithParent:{value:n,writable:!0,enumerable:!0,configurable:!0},define:{value:i,writable:!0,enumerable:!0,configurable:!0}})}("WinJS"),function(e){function t(t,n,i){return t=t||function(){},e.Utilities.markSupportedForProcessing(t),n&&r(t.prototype,n),i&&r(t,i),t}function n(n,i,o,s){if(n){i=i||function(){};var a=n.prototype;return i.prototype=Object.create(a),e.Utilities.markSupportedForProcessing(i),Object.defineProperty(i.prototype,"constructor",{value:i,writable:!0,configurable:!0,enumerable:!0}),o&&r(i.prototype,o),s&&r(i,s),i}return t(i,o,s)}function i(e){e=e||function(){};var t,n;for(t=1,n=arguments.length;n>t;t++)r(e.prototype,arguments[t]);return e}e.Namespace.define("WinJS.Class",{define:t,derive:n,mix:i})}(e.WinJS)}(this),function(e,t){"use strict";function r(e){return e}function n(e,t,r){return e.split(".").reduce(function(e,t){return e?r(e[t]):null},t)}var i=!!e.Windows,o={notSupportedForProcessing:"Value is not supported within a declarative processing context, if you want it to be supported mark it using WinJS.Utilities.markSupportedForProcessing. The value was: '{0}'"};t.Namespace.define("WinJS.Utilities",{_setHasWinRT:{value:function(e){i=e},configurable:!1,writable:!1,enumerable:!1},hasWinRT:{get:function(){return i},configurable:!1,enumerable:!0},_getMemberFiltered:n,getMember:function(t,i){return t?n(t,i||e,r):null},ready:function(r,n){return new t.Promise(function(i,o){function s(){if(r)try{r(),i()}catch(e){o(e)}else i()}var a=t.Utilities.testReadyState;a||(a=e.document?document.readyState:"complete"),"complete"===a||e.document&&null!==document.body?n?e.setImmediate(s):s():e.addEventListener("DOMContentLoaded",s,!1)})},strictProcessing:{get:function(){return!0},configurable:!1,enumerable:!0},markSupportedForProcessing:{value:function(e){return e.supportedForProcessing=!0,e},configurable:!1,writable:!1,enumerable:!0},requireSupportedForProcessing:{value:function(r){var n=!0;switch(n=n&&!(r===e),n=n&&!(r===e.location),n=n&&!(r instanceof HTMLIFrameElement),n=n&&!("function"==typeof r&&!r.supportedForProcessing),e.frames.length){case 0:break;case 1:n=n&&!(r===e.frames[0]);break;default:for(var i=0,s=e.frames.length;n&&s>i;i++)n=n&&!(r===e.frames[i])}if(n)return r;throw new t.ErrorFromName("WinJS.Utilities.requireSupportedForProcessing",t.Resources._formatString(o.notSupportedForProcessing,r))},configurable:!1,writable:!1,enumerable:!0}}),t.Namespace.define("WinJS",{validation:!1,strictProcessing:{value:function(){},configurable:!1,writable:!1,enumerable:!1}})}(this,this.WinJS),function(e){"use strict";function t(e,t,r){var n=e;return"function"==typeof n&&(n=n()),(r&&o.test(r)?"":r?r+": ":"")+(t?t.replace(i,":")+": ":"")+n}function r(t,r,n){var i=e.Utilities.formatLog(t,r,n);console[n&&o.test(n)?n:"log"](i)}function n(e){return e.replace(/[-[\]{}()*+?.,\\^$|#]/g,"\\$&")}var i=/\s+/g,o=/^(error|warn|info|log)$/;e.Namespace.define("WinJS.Utilities",{startLog:function(t){t=t||{},"string"==typeof t&&(t={tags:t});var o=t.type&&new RegExp("^("+n(t.type).replace(i," ").split(" ").join("|")+")$"),s=t.excludeTags&&new RegExp("(^|\\s)("+n(t.excludeTags).replace(i," ").split(" ").join("|")+")(\\s|$)","i"),a=t.tags&&new RegExp("(^|\\s)("+n(t.tags).replace(i," ").split(" ").join("|")+")(\\s|$)","i"),u=t.action||r;if(!(o||s||a||e.log))return void(e.log=u);var c=function(e,t,r){o&&!o.test(r)||s&&s.test(t)||a&&!a.test(t)||u(e,t,r),c.next&&c.next(e,t,r)};c.next=e.log,e.log=c},stopLog:function(){delete e.log},formatLog:t})}(this.WinJS),function(e,t){"use strict";function r(e){var t="_on"+e+"state";return{get:function(){var e=this[t];return e&&e.userHandler},set:function(r){var n=this[t];r?(n||(n={wrapper:function(e){return n.userHandler(e)},userHandler:r},Object.defineProperty(this,t,{value:n,enumerable:!1,writable:!0,configurable:!0}),this.addEventListener(e,n.wrapper,!1)),n.userHandler=r):n&&(this.removeEventListener(e,n.wrapper,!1),this[t]=null)},enumerable:!0}}function n(e){for(var t={},n=0,i=arguments.length;i>n;n++){var o=arguments[n];t["on"+o]=r(o)}return t}var i=e.Class.define(function(e,t,r){this.detail=t,this.target=r,this.timeStamp=Date.now(),this.type=e},{bubbles:{value:!1,writable:!1},cancelable:{value:!1,writable:!1},currentTarget:{get:function(){return this.target}},defaultPrevented:{get:function(){return this._preventDefaultCalled}},trusted:{value:!1,writable:!1},eventPhase:{value:0,writable:!1},target:null,timeStamp:null,type:null,preventDefault:function(){this._preventDefaultCalled=!0},stopImmediatePropagation:function(){this._stopImmediatePropagationCalled=!0},stopPropagation:function(){}},{supportedForProcessing:!1}),o={_listeners:null,addEventListener:function(e,t,r){r=r||!1,this._listeners=this._listeners||{};for(var n=this._listeners[e]=this._listeners[e]||[],i=0,o=n.length;o>i;i++){var s=n[i];if(s.useCapture===r&&s.listener===t)return}n.push({listener:t,useCapture:r})},dispatchEvent:function(e,t){var r=this._listeners&&this._listeners[e];if(r){var n=new i(e,t,this);r=r.slice(0,r.length);for(var o=0,s=r.length;s>o&&!n._stopImmediatePropagationCalled;o++)r[o].listener(n);return n.defaultPrevented||!1}return!1},removeEventListener:function(e,t,r){r=r||!1;var n=this._listeners&&this._listeners[e];if(n)for(var i=0,o=n.length;o>i;i++){var s=n[i];if(s.listener===t&&s.useCapture===r){n.splice(i,1),0===n.length&&delete this._listeners[e];break}}}};e.Namespace.define("WinJS.Utilities",{_createEventProperty:r,createEventProperties:n,eventMixin:o})}(this.WinJS),function(e,t,r){"use strict";var n,i=!1,o="contextchanged",s=t.Class.mix(t.Class.define(null,{},{supportedForProcessing:!1}),t.Utilities.eventMixin),a=new s,u={malformedFormatStringInput:"Malformed, did you mean to escape your '{0}'?"};t.Namespace.define("WinJS.Resources",{addEventListener:function(e,r,n){if(t.Utilities.hasWinRT&&!i&&e===o)try{Windows.ApplicationModel.Resources.Core.ResourceManager.current.defaultContext.qualifierValues.addEventListener("mapchanged",function(e){t.Resources.dispatchEvent(o,{qualifier:e.key,changed:e.target[e.key]})},!1),i=!0}catch(s){}a.addEventListener(e,r,n)},removeEventListener:a.removeEventListener.bind(a),dispatchEvent:a.dispatchEvent.bind(a),_formatString:function(e){var r=arguments;return r.length>1&&(e=e.replace(/({{)|(}})|{(\d+)}|({)|(})/g,function(e,n,i,o,s,a){if(s||a)throw t.Resources._formatString(u.malformedFormatStringInput,s||a);return n&&"{"||i&&"}"||r[(0|o)+1]})),e},_getStringWinRT:function(e){if(!n){var t=Windows.ApplicationModel.Resources.Core.ResourceManager.current.mainResourceMap;try{n=t.getSubtree("Resources")}catch(i){}n||(n=t)}var o,s,a;try{a=n.getValue(e),a&&(o=a.valueAsString,o===r&&(o=a.toString()))}catch(i){}if(!o)return{value:e,empty:!0};try{s=a.getQualifierValue("Language")}catch(i){return{value:o}}return{value:o,lang:s}},_getStringJS:function(t){var r=e.strings&&e.strings[t];return"string"==typeof r&&(r={value:r}),r||{value:t,empty:!0}}}),Object.defineProperties(t.Resources,t.Utilities.createEventProperties(o));var c;t.Resources.getString=function(e){return(c=c||(t.Utilities.hasWinRT?t.Resources._getStringWinRT:t.Resources._getStringJS))(e)}}(this,this.WinJS),function(e,t,r){"use strict";function n(){}function i(e,t){var r;r=t&&"object"==typeof t&&"function"==typeof t.then?M:U,e._value=t,e._setState(r)}function o(e,t,r,n,i,o){return{exception:e,error:t,promise:r,handler:o,id:n,parent:i}}function s(e,t,r,n){var i=r._isException,s=r._errorId;return o(i?t:null,i?null:t,e,s,r,n)}function a(e,t,r){var n=r._isException,i=r._errorId;return g(e,i,n),o(n?t:null,n?null:t,e,i,r)}function u(e,t){var r=++N;return g(e,r),o(null,t,e,r)}function c(e,t){var r=++N;return g(e,r,!0),o(t,null,e,r)}function l(e,t,r,n){v(e,{c:t,e:r,p:n})}function f(e,t,r,n){e._value=t,d(e,t,r,n),e._setState(W)}function p(e,t){var r=e._value,n=e._listeners;if(n){e._listeners=null;var i,o;for(i=0,o=Array.isArray(n)?n.length:1;o>i;i++){var s=1===o?n:n[i],a=s.c,u=s.promise;if(u){try{u._setCompleteValue(a?a(r):r)}catch(c){u._setExceptionValue(c)}u._state!==M&&u._listeners&&t.push(u)}else $.prototype.done.call(e,a)}}}function h(e,t){var r=e._value,n=e._listeners;if(n){e._listeners=null;var i,o;for(i=0,o=Array.isArray(n)?n.length:1;o>i;i++){var a=1===o?n:n[i],u=a.e,c=a.promise;if(c){try{u?(u.handlesOnError||d(c,r,s,e,u),c._setCompleteValue(u(r))):c._setChainedErrorValue(r,e)}catch(l){c._setExceptionValue(l)}c._state!==M&&c._listeners&&t.push(c)}else V.prototype.done.call(e,null,u)}}}function d(e,t,r,n,i){if(P._listeners[S]){if(t instanceof Error&&t.message===O)return;P.dispatchEvent(S,r(e,t,n,i))}}function m(e,t){var r=e._listeners;if(r){var n,i;for(n=0,i=Array.isArray(r)?r.length:1;i>n;n++){var o=1===i?r:r[n],s=o.p;if(s)try{s(t)}catch(a){}o.c||o.e||!o.promise||o.promise._progress(t)}}}function v(e,t){var r=e._listeners;r?(r=Array.isArray(r)?r:[r],r.push(t)):r=t,e._listeners=r}function g(e,t,r){e._isException=r||!1,e._errorId=t}function y(e,t,r,n){e._value=t,d(e,t,r,n),e._setState(q)}function _(e,t){var r;r=t&&"object"==typeof t&&"function"==typeof t.then?M:I,e._value=t,e._setState(r)}function b(e,t,r,n){var i=new z(e);return v(e,{promise:i,c:t,e:r,p:n}),i}function E(e){var r;return new t.Promise(function(t){e?r=setTimeout(t,e):setImmediate(t)},function(){r&&clearTimeout(r)})}function w(e,t){var r=function(){t.cancel()},n=function(){e.cancel()};return e.then(r),t.then(n,n),t}e.Debug&&(e.Debug.setNonUserCodeExceptions=!0);var x=t.Class.mix(t.Class.define(null,{},{supportedForProcessing:!1}),t.Utilities.eventMixin),P=new x;P._listeners={};var S="error",O="Canceled",C=!1,A={promise:1,thenPromise:2,errorPromise:4,exceptionPromise:8,completePromise:16};A.all=A.promise|A.thenPromise|A.errorPromise|A.exceptionPromise|A.completePromise;var j,T,M,L,R,k,U,I,W,q,N=1;j={name:"created",enter:function(e){e._setState(T)},cancel:n,done:n,then:n,_completed:n,_error:n,_notify:n,_progress:n,_setCompleteValue:n,_setErrorValue:n},T={name:"working",enter:n,cancel:function(e){e._setState(R)},done:l,then:b,_completed:i,_error:f,_notify:n,_progress:m,_setCompleteValue:_,_setErrorValue:y},M={name:"waiting",enter:function(e){var t=e._value,r=function(n){t._errorId?e._chainedError(n,t):(d(e,n,s,t,r),e._error(n))};r.handlesOnError=!0,t.then(e._completed.bind(e),r,e._progress.bind(e));
},cancel:function(e){e._setState(L)},done:l,then:b,_completed:i,_error:f,_notify:n,_progress:m,_setCompleteValue:_,_setErrorValue:y},L={name:"waiting_canceled",enter:function(e){e._setState(k);var t=e._value;t.cancel&&t.cancel()},cancel:n,done:l,then:b,_completed:i,_error:f,_notify:n,_progress:m,_setCompleteValue:_,_setErrorValue:y},R={name:"canceled",enter:function(e){e._setState(k),e._cancelAction()},cancel:n,done:l,then:b,_completed:i,_error:f,_notify:n,_progress:m,_setCompleteValue:_,_setErrorValue:y},k={name:"canceling",enter:function(e){var t=new Error(O);t.name=t.message,e._value=t,e._setState(W)},cancel:n,done:n,then:n,_completed:n,_error:n,_notify:n,_progress:n,_setCompleteValue:n,_setErrorValue:n},U={name:"complete_notify",enter:function(e){if(e.done=$.prototype.done,e.then=$.prototype.then,e._listeners)for(var t,r=[e];r.length;)t=r.pop(),t._state._notify(t,r);e._setState(I)},cancel:n,done:null,then:null,_completed:n,_error:n,_notify:p,_progress:n,_setCompleteValue:n,_setErrorValue:n},I={name:"success",enter:function(e){e.done=$.prototype.done,e.then=$.prototype.then,e._cleanupAction()},cancel:n,done:null,then:null,_completed:n,_error:n,_notify:p,_progress:n,_setCompleteValue:n,_setErrorValue:n},W={name:"error_notify",enter:function(e){if(e.done=V.prototype.done,e.then=V.prototype.then,e._listeners)for(var t,r=[e];r.length;)t=r.pop(),t._state._notify(t,r);e._setState(q)},cancel:n,done:null,then:null,_completed:n,_error:n,_notify:h,_progress:n,_setCompleteValue:n,_setErrorValue:n},q={name:"error",enter:function(e){e.done=V.prototype.done,e.then=V.prototype.then,e._cleanupAction()},cancel:n,done:null,then:null,_completed:n,_error:n,_notify:h,_progress:n,_setCompleteValue:n,_setErrorValue:n};var H,F=t.Class.define(null,{_listeners:null,_nextState:null,_state:null,_value:null,cancel:function(){this._state.cancel(this),this._run()},done:function(e,t,r){this._state.done(this,e,t,r)},then:function(e,t,r){return this._state.then(this,e,t,r)},_chainedError:function(e,t){var r=this._state._error(this,e,a,t);return this._run(),r},_completed:function(e){var t=this._state._completed(this,e);return this._run(),t},_error:function(e){var t=this._state._error(this,e,u);return this._run(),t},_progress:function(e){this._state._progress(this,e)},_setState:function(e){this._nextState=e},_setCompleteValue:function(e){this._state._setCompleteValue(this,e),this._run()},_setChainedErrorValue:function(e,t){var r=this._state._setErrorValue(this,e,a,t);return this._run(),r},_setExceptionValue:function(e){var t=this._state._setErrorValue(this,e,c);return this._run(),t},_run:function(){for(;this._nextState;)this._state=this._nextState,this._nextState=null,this._state.enter(this)}},{supportedForProcessing:!1}),z=t.Class.derive(F,function(e){C&&(C===!0||C&A.thenPromise)&&(this._stack=t.Promise._getStack()),this._creator=e,this._setState(j),this._run()},{_creator:null,_cancelAction:function(){this._creator&&this._creator.cancel()},_cleanupAction:function(){this._creator=null}},{supportedForProcessing:!1}),V=t.Class.define(function(e){C&&(C===!0||C&A.errorPromise)&&(this._stack=t.Promise._getStack()),this._value=e,d(this,e,u)},{cancel:function(){},done:function(e,t){var r=this._value;if(t)try{t.handlesOnError||d(null,r,s,this,t);var n=t(r);return void(n&&"object"==typeof n&&"function"==typeof n.done&&n.done())}catch(i){r=i}r instanceof Error&&r.message===O||setImmediate(function(){throw r})},then:function(e,t){if(!t)return this;var r,n=this._value;try{t.handlesOnError||d(null,n,s,this,t),r=new $(t(n))}catch(i){r=i===n?this:new J(i)}return r}},{supportedForProcessing:!1}),J=t.Class.derive(V,function(e){C&&(C===!0||C&A.exceptionPromise)&&(this._stack=t.Promise._getStack()),this._value=e,d(this,e,c)},{},{supportedForProcessing:!1}),$=t.Class.define(function(e){if(C&&(C===!0||C&A.completePromise)&&(this._stack=t.Promise._getStack()),e&&"object"==typeof e&&"function"==typeof e.then){var r=new z(null);return r._setCompleteValue(e),r}this._value=e},{cancel:function(){},done:function(e){if(e)try{var t=e(this._value);t&&"object"==typeof t&&"function"==typeof t.done&&t.done()}catch(r){setImmediate(function(){throw r})}},then:function(e){try{var t=e?e(this._value):this._value;return t===this._value?this:new $(t)}catch(r){return new J(r)}}},{supportedForProcessing:!1}),D=t.Class.derive(F,function(e,r){C&&(C===!0||C&A.promise)&&(this._stack=t.Promise._getStack()),this._oncancel=r,this._setState(j),this._run();try{var n=this._completed.bind(this),i=this._error.bind(this),o=this._progress.bind(this);e(n,i,o)}catch(s){this._setExceptionValue(s)}},{_oncancel:null,_cancelAction:function(){try{if(!this._oncancel)throw new Error("Promise did not implement oncancel");this._oncancel()}catch(e){e.message,e.stack;P.dispatchEvent("error",e)}},_cleanupAction:function(){this._oncancel=null}},{addEventListener:function(e,t,r){P.addEventListener(e,t,r)},any:function(e){return new D(function(r,n,i){var o=Object.keys(e);Array.isArray(e)?[]:{};0===o.length&&r();var s=0;o.forEach(function(i){D.as(e[i]).then(function(){r({key:i,value:e[i]})},function(a){return a instanceof Error&&a.name===O?void(++s===o.length&&r(t.Promise.cancel)):void n({key:i,value:e[i]})})})},function(){var t=Object.keys(e);t.forEach(function(t){var r=D.as(e[t]);"function"==typeof r.cancel&&r.cancel()})})},as:function(e){return e&&"object"==typeof e&&"function"==typeof e.then?e:new $(e)},cancel:{get:function(){return H=H||new V(new t.ErrorFromName(O))}},dispatchEvent:function(e,t){return P.dispatchEvent(e,t)},is:function(e){return e&&"object"==typeof e&&"function"==typeof e.then},join:function(e){return new D(function(n,i,o){var s=Object.keys(e),a=Array.isArray(e)?[]:{},u=Array.isArray(e)?[]:{},c=0,l=s.length,f=function(e){if(0===--l){var r=Object.keys(a).length;if(0===r)n(u);else{var c=0;s.forEach(function(e){var t=a[e];t instanceof Error&&t.name===O&&c++}),c===r?n(t.Promise.cancel):i(a)}}else o({Key:e,Done:!0})};return s.forEach(function(t){var n=e[t];n===r?c++:D.then(n,function(e){u[t]=e,f(t)},function(e){a[t]=e,f(t)})}),l-=c,0===l?void n(u):void 0},function(){Object.keys(e).forEach(function(t){var r=D.as(e[t]);"function"==typeof r.cancel&&r.cancel()})})},removeEventListener:function(e,t,r){P.removeEventListener(e,t,r)},supportedForProcessing:!1,then:function(e,t,r,n){return D.as(e).then(t,r,n)},thenEach:function(e,t,r,n){var i=Array.isArray(e)?[]:{};return Object.keys(e).forEach(function(o){i[o]=D.as(e[o]).then(t,r,n)}),D.join(i)},timeout:function(e,t){var r=E(e);return t?w(r,t):r},wrap:function(e){return new $(e)},wrapError:function(e){return new V(e)},_veryExpensiveTagWithStack:{get:function(){return C},set:function(e){C=e}},_veryExpensiveTagWithStack_tag:A,_getStack:function(){if(Debug.debuggerEnabled)try{throw new Error}catch(e){return e.stack}}});Object.defineProperties(D,t.Utilities.createEventProperties(S));var G=t.Class.derive(F,function(e){this._oncancel=e,this._setState(j),this._run()},{_cancelAction:function(){this._oncancel&&this._oncancel()},_cleanupAction:function(){this._oncancel=null}},{supportedForProcessing:!1}),B=t.Class.define(function(e){this._promise=new G(e)},{promise:{get:function(){return this._promise}},cancel:function(){this._promise.cancel()},complete:function(e){this._promise._completed(e)},error:function(e){this._promise._error(e)},progress:function(e){this._promise._progress(e)}},{supportedForProcessing:!1});t.Namespace.define("WinJS",{Promise:D,_Signal:B})}(this,this.WinJS),function(e,t){"use strict";t.Namespace.define("WinJS",{ErrorFromName:t.Class.derive(Error,function(e,t){this.name=e,this.message=t||e},{},{supportedForProcessing:!1})})}(this,this.WinJS),function(e){"use strict";e.Namespace.define("WinJS",{xhr:function(t){var r;return new e.Promise(function(e,n,i){r=new XMLHttpRequest,r.onreadystatechange=function(){r._canceled||(4===r.readyState?(r.status>=200&&r.status<300||1223===r.status?e(r):n(r),r.onreadystatechange=function(){}):i(r))},r.open(t.type||"GET",t.url,!0,t.user,t.password),r.responseType=t.responseType||"",Object.keys(t.headers||{}).forEach(function(e){r.setRequestHeader(e,t.headers[e])}),t.customRequestInitializer&&t.customRequestInitializer(r),r.send(t.data)},function(){r._canceled=!0,r.abort()})}})}(this.WinJS),function(e,t,r){"use strict";var n,i,o,s,a,u,c={nonStaticHTML:"Unable to add dynamic content. A script attempted to inject dynamic content, or elements previously modified dynamically, that might be unsafe. For example, using the innerHTML property or the document.write method to add a script element will generate this exception. If the content is safe and from a trusted source, use a method to explicitly manipulate elements and attributes, such as createElement, or use setInnerHTMLUnsafe (or other unsafe method)."};n=i=function(e,t){e.innerHTML=t},o=s=function(e,t){e.outerHTML=t},a=u=function(e,t,r){e.insertAdjacentHTML(t,r)};var l=e.MSApp;if(l)i=function(e,t){l.execUnsafeLocalFunction(function(){e.innerHTML=t})},s=function(e,t){l.execUnsafeLocalFunction(function(){e.outerHTML=t})},u=function(e,t,r){l.execUnsafeLocalFunction(function(){e.insertAdjacentHTML(t,r)})};else if(e.msIsStaticHTML){var f=function(r){if(!e.msIsStaticHTML(r))throw new t.ErrorFromName("WinJS.Utitilies.NonStaticHTML",c.nonStaticHTML)};n=function(e,t){f(t),e.innerHTML=t},o=function(e,t){f(t),e.outerHTML=t},a=function(e,t,r){f(r),e.insertAdjacentHTML(t,r)}}t.Namespace.define("WinJS.Utilities",{setInnerHTML:n,setInnerHTMLUnsafe:i,setOuterHTML:o,setOuterHTMLUnsafe:s,insertAdjacentHTML:a,insertAdjacentHTMLUnsafe:u})}(this,this.WinJS)),function(e){"undefined"==typeof exports&&"function"==typeof define&&define.amd?define("vs/base/common/winjs.base.raw",e.WinJS):module.exports=e.WinJS}(this),define("vs/nls!vs/base/common/errors",["vs/nls","vs/nls!vs/base/common/worker/workerServer"],function(e,t){return e.create("vs/base/common/errors",t)}),define("vs/base/common/errors",["require","exports","vs/nls!vs/base/common/errors","vs/base/common/objects","vs/base/common/platform","vs/base/common/types","vs/base/common/arrays","vs/base/common/strings"],function(e,t,r,n,i,o,s,a){"use strict";function u(e){t.errorHandler.setUnexpectedErrorHandler(e)}function c(e){v(e)||t.errorHandler.onUnexpectedError(e)}function l(e){return e.then(null,c)}function f(e){if(e instanceof Error){var t=e.name,r=e.message,n=e.stacktrace||e.stack;return{$isError:!0,name:t,message:r,stack:n}}return e}function p(e,t){var r=new S(e);return t?r.verboseMessage:r.message}function h(e,t){return e.message?t&&(e.stack||e.stacktrace)?r.localize(7,null,d(e),e.stack||e.stacktrace):d(e):r.localize(8,null)}function d(e){return"string"==typeof e.code&&"number"==typeof e.errno&&"string"==typeof e.syscall?r.localize(9,null,e.message):e.message}function m(e,t){if(void 0===e&&(e=null),void 0===t&&(t=!1),!e)return r.localize(10,null);if(Array.isArray(e)){var n=s.coalesce(e),i=m(n[0],t);return n.length>1?r.localize(11,null,i,n.length):i}if(o.isString(e))return e;if(!o.isUndefinedOrNull(e.status))return p(e,t);if(e.detail){var a=e.detail;if(a.error){if(a.error&&!o.isUndefinedOrNull(a.error.status))return p(a.error,t);if(!o.isArray(a.error))return h(a.error,t);for(var u=0;u<a.error.length;u++)if(a.error[u]&&!o.isUndefinedOrNull(a.error[u].status))return p(a.error[u],t)}if(a.exception)return o.isUndefinedOrNull(a.exception.status)?h(a.exception,t):p(a.exception,t)}return e.stack?h(e,t):e.message?e.message:r.localize(12,null)}function v(e){return e instanceof Error&&e.name===O&&e.message===O}function g(){var e=new Error(O);return e.name=e.message,e}function y(){return new Error(r.localize(13,null))}function _(e){return e?new Error(r.localize(14,null,e)):new Error(r.localize(15,null))}function b(e){return e?new Error(r.localize(16,null,e)):new Error(r.localize(17,null))}function E(e){return e?new Error("readonly property '"+e+" cannot be changed'"):new Error("readonly property cannot be changed")}function w(e){return i.isWeb?new Error(r.localize(18,null)):new Error(r.localize(19,null,JSON.stringify(e)))}function x(e,t){void 0===t&&(t={});var r=new Error(e);return o.isNumber(t.severity)&&(r.severity=t.severity),t.actions&&(r.actions=t.actions),r}var P=function(){function e(){this.listeners=[],this.unexpectedErrorHandler=function(e){i.setTimeout(function(){if(e.stack)throw new Error(e.message+"\n\n"+e.stack);throw e},0)}}return e.prototype.addListener=function(e){var t=this;return this.listeners.push(e),function(){t._removeListener(e)}},e.prototype.emit=function(e){this.listeners.forEach(function(t){t(e)})},e.prototype._removeListener=function(e){this.listeners.splice(this.listeners.indexOf(e),1)},e.prototype.setUnexpectedErrorHandler=function(e){this.unexpectedErrorHandler=e},e.prototype.getUnexpectedErrorHandler=function(){return this.unexpectedErrorHandler},e.prototype.onUnexpectedError=function(e){this.unexpectedErrorHandler(e),this.emit(e)},e}();t.ErrorHandler=P,t.errorHandler=new P,t.setUnexpectedErrorHandler=u,t.onUnexpectedError=c,t.onUnexpectedPromiseError=l,t.transformErrorForSerialization=f;var S=function(){function e(e){this.status=e.status,this.statusText=e.statusText,this.name="ConnectionError";try{this.responseText=e.responseText}catch(t){this.responseText=""}if(this.errorMessage=null,this.errorCode=null,this.errorObject=null,this.responseText)try{var r=JSON.parse(this.responseText);this.errorMessage=r.message,this.errorCode=r.code,this.errorObject=r}catch(n){}}return Object.defineProperty(e.prototype,"message",{get:function(){return this.connectionErrorToMessage(this,!1)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"verboseMessage",{get:function(){return this.connectionErrorToMessage(this,!0)},enumerable:!0,configurable:!0}),e.prototype.connectionErrorDetailsToMessage=function(e,t){var n=e.errorCode,i=e.errorMessage;return null!==n&&null!==i?r.localize(0,null,a.rtrim(i,"."),n):null!==i?i:t&&null!==e.responseText?e.responseText:null},e.prototype.connectionErrorToMessage=function(e,t){var n=this.connectionErrorDetailsToMessage(e,t);return 401===e.status?null!==n?r.localize(1,null,n):r.localize(2,null):n?n:e.status>0&&null!==e.statusText?t&&null!==e.responseText&&e.responseText.length>0?r.localize(3,null,e.statusText,e.status,e.responseText):r.localize(4,null,e.statusText,e.status):t&&null!==e.responseText&&e.responseText.length>0?r.localize(5,null,e.responseText):r.localize(6,null)},e}();t.ConnectionError=S,n.derive(Error,S),t.toErrorMessage=m;var O="Canceled";t.isPromiseCanceledError=v,t.canceled=g,t.notImplemented=y,t.illegalArgument=_,t.illegalState=b,t.readonly=E,t.loaderError=w,t.create=x}),define("vs/base/common/winjs.base",["./winjs.base.raw","vs/base/common/errors"],function(e,t){"use strict";function r(e){var r=e.detail,n=r.id;return r.parent?void(r.handler&&o&&delete o[n]):(o[n]=r,void(1===Object.keys(o).length&&setTimeout(function(){var e=o;o={},Object.keys(e).forEach(function(r){var n=e[r];n.exception?t.onUnexpectedError(n.exception):n.error&&t.onUnexpectedError(n.error),console.log("WARNING: Promise with no error callback:"+n.id),console.log(n),n.exception&&console.log(n.exception.stack)})},0)))}function n(e,t,r){var n,o,s,a=new i.Promise(function(e,t,r){n=e,o=t,s=r},function(){e.cancel()});return e.then(function(e){t&&t(e),n(e)},function(e){r&&r(e),o(e)},s),a}var i=e,o={};return i.Promise.addEventListener("error",r),{decoratePromise:n,Class:i.Class,xhr:i.xhr,Promise:i.Promise,TPromise:i.Promise,PPromise:i.Promise,Utilities:i.Utilities}}),define("vs/base/common/worker/workerProtocol",["require","exports","vs/base/common/winjs.base"],function(e,t,r){"use strict";t.MessageType={INITIALIZE:"$initialize",REPLY:"$reply",PRINT:"$print"},t.ReplyType={COMPLETE:"complete",ERROR:"error",PROGRESS:"progress"},t.PrintType={LOG:"log",DEBUG:"debug",INFO:"info",WARN:"warn",ERROR:"error"};var n=function(){function e(e){this._requester=e,this._bigHandler=null}return e.prototype.callOnRemote=function(e,t,r){return this._requester.request("_proxyObj",{proxyId:e,path:t,args:r})},e.prototype.setManyHandler=function(e){this._bigHandler=e},e.prototype.handleMessage=function(e){if(!this._bigHandler)throw new Error("got message before big handler attached!");return this._invokeHandler(e.proxyId,e.path,e.args)},e.prototype._invokeHandler=function(e,t,n){try{return r.TPromise.as(this._bigHandler.handle(e,t,n))}catch(i){return r.TPromise.wrapError(i)}},e}();t.RemoteCom=n}),define("vs/base/common/worker/workerServer",["require","exports","vs/base/common/errors","vs/base/common/marshalling","vs/base/common/winjs.base","vs/base/common/worker/workerProtocol"],function(e,t,r,n,i,o){"use strict";function s(e){return new a(e)}var a=function(){function t(e){this._postSerializedMessage=e,this._workerId=0,this._requestHandler=null,this._lastReq=0,this._awaitedReplies={},this._bindConsole(),this._remoteCom=new o.RemoteCom(this)}return t.prototype.getRemoteCom=function(){return this._remoteCom},t.prototype._bindConsole=function(){self.console={log:this._sendPrintMessage.bind(this,o.PrintType.LOG),debug:this._sendPrintMessage.bind(this,o.PrintType.DEBUG),info:this._sendPrintMessage.bind(this,o.PrintType.INFO),warn:this._sendPrintMessage.bind(this,o.PrintType.WARN),error:this._sendPrintMessage.bind(this,o.PrintType.ERROR)},r.setUnexpectedErrorHandler(function(e){self.console.error(e)})},t.prototype._sendPrintMessage=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];var i=t.map(function(e){return e instanceof Error?r.transformErrorForSerialization(e):e}),s={monacoWorker:!0,from:this._workerId,req:"0",type:o.MessageType.PRINT,level:e,payload:1===i.length?i[0]:i};this._postMessage(s)},t.prototype._sendReply=function(e,t,n){var i={monacoWorker:!0,from:this._workerId,req:"0",id:e,type:o.MessageType.REPLY,action:t,payload:n instanceof Error?r.transformErrorForSerialization(n):n};this._postMessage(i)},t.prototype.request=function(e,t){if("$"===e.charAt(0))throw new Error("Illegal requestName: "+e);var r=String(++this._lastReq),n={monacoWorker:!0,from:this._workerId,req:r,type:e,payload:t},o={c:null,e:null,p:null},s=new i.TPromise(function(e,t,r){o.c=e,o.e=t,o.p=r});return this._awaitedReplies[r]=o,this._postMessage(n),s},t.prototype.loadModule=function(t,r,n){e([t],function(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];r(e[0])},n)},t.prototype.onmessage=function(e){this._onmessage(n.parse(e))},t.prototype._postMessage=function(e){this._postSerializedMessage(n.stringify(e))},t.prototype._onmessage=function(t){var r=this;if(t.type===o.MessageType.REPLY){var n=t;if(!n.seq||!this._awaitedReplies.hasOwnProperty(n.seq))return void console.error("Worker received unexpected reply from main thread",t);var i=this._awaitedReplies[n.seq];return delete this._awaitedReplies[n.seq],void(n.err?i.e(n.err):i.c(n.payload))}var s=this._sendReply.bind(this,t.id,o.ReplyType.COMPLETE),a=this._sendReply.bind(this,t.id,o.ReplyType.ERROR),u=this._sendReply.bind(this,t.id,o.ReplyType.PROGRESS);switch(t.type){case o.MessageType.INITIALIZE:this._workerId=t.payload.id;var c=t.payload.loaderConfiguration;if(c){"undefined"!=typeof c.baseUrl&&delete c.baseUrl,"undefined"!=typeof c.paths&&"undefined"!=typeof c.paths.vs&&delete c.paths.vs;var l=c["vs/nls"];l&&l.pseudo&&e(["vs/nls"],function(e){e.setPseudoTranslation(l.pseudo)}),c.catchError=!0,self.require.config(c)}var f=t.payload.GlobalEnvironment;f&&(self.GlobalEnvironment=f),this.loadModule(t.payload.moduleId,function(e){r._requestHandler=e.value,s()},a);break;default:this._handleMessage(t,s,a,u)}},t.prototype._handleMessage=function(e,t,n,i){if("_proxyObj"===e.type)return void this._remoteCom.handleMessage(e.payload).then(t,n,i);if(!this._requestHandler)return void n("Request handler not loaded");if(e.type in this._requestHandler&&"function"==typeof this._requestHandler[e.type])try{this._requestHandler[e.type].call(this._requestHandler,this,t,n,i,e.payload)}catch(o){n(r.transformErrorForSerialization(o))}else this._requestHandler.request(this,t,n,i,e)},t}();t.WorkerServer=a,t.create=s});
//# sourceMappingURL=../../../../../min-maps/vs/base/common/worker/workerServer.js.map