/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.2.3(84e204b238a1eff25d4c6f611fdcd76a494005a7)
 * Released under the MIT license
 * https://github.com/Microsoft/vscode/blob/master/LICENSE.txt
 *-----------------------------------------------------------*/
"use strict";var __extends=this&&this.__extends||function(t,e){function n(){this.constructor=t}for(var r in e)e.hasOwnProperty(r)&&(t[r]=e[r]);t.prototype=null===e?Object.create(e):(n.prototype=e.prototype,new n)},_cssPluginGlobal=this,CSSLoaderPlugin;!function(t){var e=_cssPluginGlobal,n=function(){function t(){this._pendingLoads=0}return t.prototype.attachListeners=function(t,e,n,r){var o=function(){e.removeEventListener("load",i),e.removeEventListener("error",s)},i=function(t){o(),n()},s=function(t){o(),r(t)};e.addEventListener("load",i),e.addEventListener("error",s)},t.prototype._onLoad=function(t,e){this._pendingLoads--,e()},t.prototype._onLoadError=function(t,e,n){this._pendingLoads--,e(n)},t.prototype._insertLinkNode=function(t){this._pendingLoads++;var e=document.head||document.getElementsByTagName("head")[0],n=e.getElementsByTagName("link")||document.head.getElementsByTagName("script");n.length>0?e.insertBefore(t,n[n.length-1]):e.appendChild(t)},t.prototype.createLinkTag=function(t,e,n,r){var o=this,i=document.createElement("link");i.setAttribute("rel","stylesheet"),i.setAttribute("type","text/css"),i.setAttribute("data-name",t);var s=function(){return o._onLoad(t,n)},a=function(e){return o._onLoadError(t,r,e)};return this.attachListeners(t,i,s,a),i.setAttribute("href",e),i},t.prototype._linkTagExists=function(t,e){var n,r,o,i,s=document.getElementsByTagName("link");for(n=0,r=s.length;r>n;n++)if(o=s[n].getAttribute("data-name"),i=s[n].getAttribute("href"),o===t||i===e)return!0;return!1},t.prototype.load=function(t,e,n,r){if(this._linkTagExists(t,e))return void n();var o=this.createLinkTag(t,e,n,r);this._insertLinkNode(o)},t}(),r=function(t){function e(){t.call(this),this._blockedLoads=[],this._mergeStyleSheetsTimeout=-1}return __extends(e,t),e.prototype.load=function(t,e,n,r){if(this._linkTagExists(t,e))return void n();var o=this.createLinkTag(t,e,n,r);this._styleSheetCount()<31?this._insertLinkNode(o):(this._blockedLoads.push(o),this._handleBlocked())},e.prototype._styleSheetCount=function(){var t=document.getElementsByTagName("link").length,e=document.getElementsByTagName("style").length;return t+e},e.prototype._onLoad=function(e,n){t.prototype._onLoad.call(this,e,n),this._handleBlocked()},e.prototype._onLoadError=function(e,n,r){t.prototype._onLoadError.call(this,e,n,r),this._handleBlocked()},e.prototype._handleBlocked=function(){var t=this,e=this._blockedLoads.length;e>0&&-1===this._mergeStyleSheetsTimeout&&(this._mergeStyleSheetsTimeout=window.setTimeout(function(){return t._mergeStyleSheets()},0))},e.prototype._mergeStyleSheet=function(t,e,n,r){for(var o=r.rules.length-1;o>=0;o--)e.insertRule(a.rewriteUrls(n,t,r.rules[o].cssText),0)},e.prototype._asIE9HTMLLinkElement=function(t){return t},e.prototype._mergeStyleSheets=function(){this._mergeStyleSheetsTimeout=-1;var t,e=this._blockedLoads.length,n=document.getElementsByTagName("link"),r=n.length,o=[];for(t=0;r>t;t++)"loaded"!==n[t].readyState&&"complete"!==n[t].readyState||o.push({linkNode:n[t],rulesLength:this._asIE9HTMLLinkElement(n[t]).styleSheet.rules.length});var i=o.length,s=Math.min(Math.floor(i/2),e);o.sort(function(t,e){return e.rulesLength-t.rulesLength});var a,l;for(t=0;s>t;t++)a=o.length-1-t,l=t%(o.length-s),this._mergeStyleSheet(o[l].linkNode.href,this._asIE9HTMLLinkElement(o[l].linkNode).styleSheet,o[a].linkNode.href,this._asIE9HTMLLinkElement(o[a].linkNode).styleSheet),o[a].linkNode.parentNode.removeChild(o[a].linkNode),r--;for(var u=this._styleSheetCount();31>u&&this._blockedLoads.length>0;)this._insertLinkNode(this._blockedLoads.shift()),u++},e}(n),o=function(t){function e(){t.call(this)}return __extends(e,t),e.prototype.attachListeners=function(t,e,n,r){e.onload=function(){e.onload=null,n()}},e}(r),i=function(){function t(){this.fs=require.nodeRequire("fs")}return t.prototype.load=function(e,n,r,o){var i=this.fs.readFileSync(n,"utf8");i.charCodeAt(0)===t.BOM_CHAR_CODE&&(i=i.substring(1)),r(i)},t.BOM_CHAR_CODE=65279,t}(),s=function(){function t(t){this.cssLoader=t}return t.prototype.load=function(e,n,r,o){o=o||{};var i=n.toUrl(e+".css");this.cssLoader.load(e,i,function(n){o.isBuild&&(t.BUILD_MAP[e]=n),r({})},function(t){"function"==typeof r.error&&r.error("Could not find "+i+" or it was empty")})},t.prototype.write=function(n,r,o){var i=o.getEntryPoint();e.cssPluginEntryPoints=e.cssPluginEntryPoints||{},e.cssPluginEntryPoints[i]=e.cssPluginEntryPoints[i]||[],e.cssPluginEntryPoints[i].push({moduleName:r,contents:t.BUILD_MAP[r]}),o.asModule(n+"!"+r,"define(['vs/css!"+i+"'], {});")},t.prototype.writeFile=function(t,n,r,o,i){if(e.cssPluginEntryPoints&&e.cssPluginEntryPoints.hasOwnProperty(n)){for(var s=r.toUrl(n+".css"),l=["/*---------------------------------------------------------"," * Copyright (c) Microsoft Corporation. All rights reserved."," *--------------------------------------------------------*/"],u=e.cssPluginEntryPoints[n],h=0;h<u.length;h++)l.push(a.rewriteUrls(u[h].moduleName,n,u[h].contents));o(s,l.join("\r\n"))}},t.BUILD_MAP={},t}();t.CSSPlugin=s;var a=function(){function t(){}return t.startsWith=function(t,e){return t.length>=e.length&&t.substr(0,e.length)===e},t.pathOf=function(t){var e=t.lastIndexOf("/");return-1!==e?t.substr(0,e+1):""},t.joinPaths=function(e,n){function r(e,n){return t.startsWith(e,n)?Math.max(n.length,e.indexOf("/",n.length)):0}function o(t,e){if("./"!==e){if("../"===e){var n=t.length>0?t[t.length-1]:null;if(n&&"/"===n)return;if(n&&"../"!==n)return void t.pop()}t.push(e)}}function i(t,e){for(;e.length>0;){var n=e.indexOf("/"),r=n>=0?e.substring(0,n+1):e;e=n>=0?e.substring(n+1):"",o(t,r)}}var s=0;s=s||r(e,"//"),s=s||r(e,"http://"),s=s||r(e,"https://");var a=[];return i(a,e.substr(s)),n.length>0&&"/"===n.charAt(0)&&(a=[]),i(a,n),e.substring(0,s)+a.join("")},t.commonPrefix=function(t,e){for(var n=Math.min(t.length,e.length),r=0;n>r&&t.charCodeAt(r)===e.charCodeAt(r);r++);return t.substring(0,r)},t.commonFolderPrefix=function(e,n){var r=t.commonPrefix(e,n),o=r.lastIndexOf("/");return-1===o?"":r.substring(0,o+1)},t.relativePath=function(e,n){if(t.startsWith(n,"/")||t.startsWith(n,"http://")||t.startsWith(n,"https://"))return n;var r=t.commonFolderPrefix(e,n);e=e.substr(r.length),n=n.substr(r.length);for(var o=e.split("/").length,i="",s=1;o>s;s++)i+="../";return i+n},t.rewriteUrls=function(e,n,r){return r.replace(/url\(\s*([^\)]+)\s*\)?/g,function(r){for(var o=[],i=1;i<arguments.length;i++)o[i-1]=arguments[i];var s=o[0];for('"'!==s.charAt(0)&&"'"!==s.charAt(0)||(s=s.substring(1));s.length>0&&(" "===s.charAt(s.length-1)||"	"===s.charAt(s.length-1));)s=s.substring(0,s.length-1);if('"'!==s.charAt(s.length-1)&&"'"!==s.charAt(s.length-1)||(s=s.substring(0,s.length-1)),!t.startsWith(s,"data:")&&!t.startsWith(s,"http://")&&!t.startsWith(s,"https://")){var a=t.joinPaths(t.pathOf(e),s);s=t.relativePath(n,a)}return"url("+s+")"})},t}();t.Utilities=a,function(){var t=null,e="undefined"!=typeof process&&"undefined"!=typeof process.versions&&"undefined"!=typeof process.versions.electron;t="undefined"!=typeof process&&process.versions&&process.versions.node&&!e?new i:"undefined"!=typeof navigator&&navigator.userAgent.indexOf("MSIE 9")>=0?new r:"undefined"!=typeof navigator&&navigator.userAgent.indexOf("MSIE 8")>=0?new o:new n,define("vs/css",new s(t))}()}(CSSLoaderPlugin||(CSSLoaderPlugin={}));
//# sourceMappingURL=../../min-maps/vs/css.js.map