/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.2.3(84e204b238a1eff25d4c6f611fdcd76a494005a7)
 * Released under the MIT license
 * https://github.com/Microsoft/vscode/blob/master/LICENSE.txt
 *-----------------------------------------------------------*/
define("vs/base/common/uri",["require","exports","vs/base/common/platform"],function(e,t,n){"use strict";function r(e){return"%"+e.charCodeAt(0).toString(16).toUpperCase()}function o(e){return encodeURIComponent(e).replace(/[!'()*]/g,r)}function i(e){return e}var s=function(){function e(){this._scheme=e._empty,this._authority=e._empty,this._path=e._empty,this._query=e._empty,this._fragment=e._empty,this._formatted=null,this._fsPath=null}return Object.defineProperty(e.prototype,"scheme",{get:function(){return this._scheme},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"authority",{get:function(){return this._authority},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"path",{get:function(){return this._path},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"query",{get:function(){return this._query},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"fragment",{get:function(){return this._fragment},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"fsPath",{get:function(){if(!this._fsPath){var t;t=this._authority&&"file"===this.scheme?"//"+this._authority+this._path:e._driveLetterPath.test(this._path)?this._path[1].toLowerCase()+this._path.substr(2):this._path,n.isWindows&&(t=t.replace(/\//g,"\\")),this._fsPath=t}return this._fsPath},enumerable:!0,configurable:!0}),e.prototype["with"]=function(t){var n=new e;return n._scheme=t.scheme||this.scheme,n._authority=t.authority||this.authority,n._path=t.path||this.path,n._query=t.query||this.query,n._fragment=t.fragment||this.fragment,e._validate(n),n},e.parse=function(t){var n=new e,r=e._parseComponents(t);return n._scheme=r.scheme,n._authority=decodeURIComponent(r.authority),n._path=decodeURIComponent(r.path),n._query=decodeURIComponent(r.query),n._fragment=decodeURIComponent(r.fragment),e._validate(n),n},e.file=function(t){var n=new e;if(n._scheme="file",t=t.replace(/\\/g,e._slash),t[0]===e._slash&&t[0]===t[1]){var r=t.indexOf(e._slash,2);-1===r?n._authority=t.substring(2):(n._authority=t.substring(2,r),n._path=t.substring(r))}else n._path=t;return n._path[0]!==e._slash&&(n._path=e._slash+n._path),e._validate(n),n},e._parseComponents=function(t){var n={scheme:e._empty,authority:e._empty,path:e._empty,query:e._empty,fragment:e._empty},r=e._regexp.exec(t);return r&&(n.scheme=r[2]||n.scheme,n.authority=r[4]||n.authority,n.path=r[5]||n.path,n.query=r[7]||n.query,n.fragment=r[9]||n.fragment),n},e.create=function(t,n,r,o,i){return(new e)["with"]({scheme:t,authority:n,path:r,query:o,fragment:i})},e._validate=function(e){if(e.authority&&e.path&&"/"!==e.path[0])throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character');if(!e.authority&&0===e.path.indexOf("//"))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')},e.prototype.toString=function(t){return void 0===t&&(t=!1),t?e._asFormatted(this,!0):(this._formatted||(this._formatted=e._asFormatted(this,!1)),this._formatted)},e._asFormatted=function(t,n){var s=n?i:o,a=[],u=t.scheme,l=t.authority,c=t.path,h=t.query,d=t.fragment;if(u&&a.push(u,":"),(l||"file"===u)&&a.push("//"),l){l=l.toLowerCase();var f=l.indexOf(":");-1===f?a.push(s(l)):a.push(s(l.substr(0,f)),l.substr(f))}if(c){var m=e._upperCaseDrive.exec(c);m&&(c=m[1]+m[2].toLowerCase()+c.substr(m[1].length+m[2].length));for(var p=0;;){var f=c.indexOf(e._slash,p);if(-1===f){a.push(s(c.substring(p)).replace(/[#?]/,r));break}a.push(s(c.substring(p,f)).replace(/[#?]/,r),e._slash),p=f+1}}return h&&a.push("?",s(h)),d&&a.push("#",s(d)),a.join(e._empty)},e.prototype.toJSON=function(){return{scheme:this.scheme,authority:this.authority,path:this.path,fsPath:this.fsPath,query:this.query,fragment:this.fragment.replace(/URL_MARSHAL_REMOVE.*$/,""),external:this.toString().replace(/#?URL_MARSHAL_REMOVE.*$/,""),$mid:1}},e.revive=function(t){var n=new e;return n._scheme=t.scheme,n._authority=t.authority,n._path=t.path,n._query=t.query,n._fragment=t.fragment,n._fsPath=t.fsPath,n._formatted=t.external,e._validate(n),n},e._empty="",e._slash="/",e._regexp=/^(([^:\/?#]+?):)?(\/\/([^\/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/,e._driveLetterPath=/^\/[a-zA-z]:/,e._upperCaseDrive=/^(\/)?([A-Z]:)/,e}();Object.defineProperty(t,"__esModule",{value:!0}),t["default"]=s}),define("vs/editor/common/core/arrays",["require","exports"],function(e,t){"use strict";var n;!function(e){function t(e,t){var n=0,r=e.length-1;if(0>=r)return 0;for(;r>n;){var o=n+Math.ceil((r-n)/2);e[o].startIndex>t?r=o-1:n=o}return n}e.findIndexInSegmentsArray=t}(n=t.Arrays||(t.Arrays={}))}),define("vs/editor/common/core/modeTransition",["require","exports","vs/editor/common/core/arrays"],function(e,t,n){"use strict";var r=function(){function e(e,t){this.startIndex=0|e,this.mode=t}return e.findIndexInSegmentsArray=function(e,t){return n.Arrays.findIndexInSegmentsArray(e,t)},e.create=function(t){for(var n=[],r=0,o=t.length;o>r;r++){var i=t[r];n.push(new e(i.startIndex,i.mode))}return n},e}();t.ModeTransition=r}),define("vs/editor/common/core/position",["require","exports"],function(e,t){"use strict";var n=function(){function e(e,t){this.lineNumber=e,this.column=t}return e.prototype.equals=function(t){return e.equals(this,t)},e.equals=function(e,t){return e||t?!!e&&!!t&&e.lineNumber===t.lineNumber&&e.column===t.column:!0},e.prototype.isBefore=function(t){return e.isBefore(this,t)},e.isBefore=function(e,t){return e.lineNumber<t.lineNumber?!0:t.lineNumber<e.lineNumber?!1:e.column<t.column},e.prototype.isBeforeOrEqual=function(t){return e.isBeforeOrEqual(this,t)},e.isBeforeOrEqual=function(e,t){return e.lineNumber<t.lineNumber?!0:t.lineNumber<e.lineNumber?!1:e.column<=t.column},e.prototype.clone=function(){return new e(this.lineNumber,this.column)},e.prototype.toString=function(){return"("+this.lineNumber+","+this.column+")"},e.lift=function(t){return new e(t.lineNumber,t.column)},e.isIPosition=function(e){return e&&"number"==typeof e.lineNumber&&"number"==typeof e.column},e.asEmptyRange=function(e){return{startLineNumber:e.lineNumber,startColumn:e.column,endLineNumber:e.lineNumber,endColumn:e.column}},e.startPosition=function(e){return{lineNumber:e.startLineNumber,column:e.startColumn}},e.endPosition=function(e){return{lineNumber:e.endLineNumber,column:e.endColumn}},e}();t.Position=n}),define("vs/editor/common/core/range",["require","exports","vs/editor/common/core/position"],function(e,t,n){"use strict";var r=function(){function e(e,t,n,r){e>n||e===n&&t>r?(this.startLineNumber=n,this.startColumn=r,this.endLineNumber=e,this.endColumn=t):(this.startLineNumber=e,this.startColumn=t,this.endLineNumber=n,this.endColumn=r)}return e.prototype.isEmpty=function(){return e.isEmpty(this)},e.prototype.containsPosition=function(t){return e.containsPosition(this,t)},e.prototype.containsRange=function(t){return e.containsRange(this,t)},e.prototype.plusRange=function(t){return e.plusRange(this,t)},e.prototype.intersectRanges=function(t){return e.intersectRanges(this,t)},e.prototype.equalsRange=function(t){return e.equalsRange(this,t)},e.prototype.getEndPosition=function(){return new n.Position(this.endLineNumber,this.endColumn)},e.prototype.getStartPosition=function(){return new n.Position(this.startLineNumber,this.startColumn)},e.prototype.cloneRange=function(){return new e(this.startLineNumber,this.startColumn,this.endLineNumber,this.endColumn)},e.prototype.toString=function(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"},e.prototype.setEndPosition=function(t,n){return new e(this.startLineNumber,this.startColumn,t,n)},e.prototype.setStartPosition=function(t,n){return new e(t,n,this.endLineNumber,this.endColumn)},e.prototype.collapseToStart=function(){return new e(this.startLineNumber,this.startColumn,this.startLineNumber,this.startColumn)},e.lift=function(t){return t?new e(t.startLineNumber,t.startColumn,t.endLineNumber,t.endColumn):null},e.isIRange=function(e){return e&&"number"==typeof e.startLineNumber&&"number"==typeof e.startColumn&&"number"==typeof e.endLineNumber&&"number"==typeof e.endColumn},e.isEmpty=function(e){return e.startLineNumber===e.endLineNumber&&e.startColumn===e.endColumn},e.containsPosition=function(e,t){return t.lineNumber<e.startLineNumber||t.lineNumber>e.endLineNumber?!1:t.lineNumber===e.startLineNumber&&t.column<e.startColumn?!1:!(t.lineNumber===e.endLineNumber&&t.column>e.endColumn)},e.containsRange=function(e,t){return t.startLineNumber<e.startLineNumber||t.endLineNumber<e.startLineNumber?!1:t.startLineNumber>e.endLineNumber||t.endLineNumber>e.endLineNumber?!1:t.startLineNumber===e.startLineNumber&&t.startColumn<e.startColumn?!1:!(t.endLineNumber===e.endLineNumber&&t.endColumn>e.endColumn)},e.areIntersectingOrTouching=function(e,t){return e.endLineNumber<t.startLineNumber||e.endLineNumber===t.startLineNumber&&e.endColumn<t.startColumn?!1:!(t.endLineNumber<e.startLineNumber||t.endLineNumber===e.startLineNumber&&t.endColumn<e.startColumn)},e.intersectRanges=function(t,n){var r=t.startLineNumber,o=t.startColumn,i=t.endLineNumber,s=t.endColumn,a=n.startLineNumber,u=n.startColumn,l=n.endLineNumber,c=n.endColumn;return a>r?(r=a,o=u):r===a&&(o=Math.max(o,u)),i>l?(i=l,s=c):i===l&&(s=Math.min(s,c)),r>i?null:r===i&&o>s?null:new e(r,o,i,s)},e.plusRange=function(t,n){var r,o,i,s;return n.startLineNumber<t.startLineNumber?(r=n.startLineNumber,o=n.startColumn):n.startLineNumber===t.startLineNumber?(r=n.startLineNumber,o=Math.min(n.startColumn,t.startColumn)):(r=t.startLineNumber,o=t.startColumn),n.endLineNumber>t.endLineNumber?(i=n.endLineNumber,s=n.endColumn):n.endLineNumber===t.endLineNumber?(i=n.endLineNumber,s=Math.max(n.endColumn,t.endColumn)):(i=t.endLineNumber,s=t.endColumn),new e(r,o,i,s)},e.equalsRange=function(e,t){return!!e&&!!t&&e.startLineNumber===t.startLineNumber&&e.startColumn===t.startColumn&&e.endLineNumber===t.endLineNumber&&e.endColumn===t.endColumn},e.compareRangesUsingStarts=function(e,t){var n=0|e.startLineNumber,r=0|t.startLineNumber,o=0|e.startColumn,i=0|t.startColumn,s=0|e.endLineNumber,a=0|t.endLineNumber,u=0|e.endColumn,l=0|t.endColumn;return n===r?o===i?s===a?u-l:s-a:o-i:n-r},e.compareRangesUsingEnds=function(e,t){return e.endLineNumber===t.endLineNumber?e.endColumn===t.endColumn?e.startLineNumber===t.startLineNumber?e.startColumn-t.startColumn:e.startLineNumber-t.startLineNumber:e.endColumn-t.endColumn:e.endLineNumber-t.endLineNumber},e.spansMultipleLines=function(e){return e.endLineNumber>e.startLineNumber},e.collapseToStart=function(e){return{startLineNumber:e.startLineNumber,startColumn:e.startColumn,endLineNumber:e.startLineNumber,endColumn:e.startColumn}},e}();t.Range=r});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/editorCommon",["require","exports"],function(e,t){"use strict";function n(e){if(e===f.Line)return"line";if(e===f.Block)return"block";if(e===f.Underline)return"underline";throw new Error("cursorStyleToString: Unknown cursorStyle")}!function(e){e[e.LTR=0]="LTR",e[e.RTL=1]="RTL"}(t.SelectionDirection||(t.SelectionDirection={}));t.SelectionDirection;!function(e){e[e.None=0]="None",e[e.Same=1]="Same",e[e.Indent=2]="Indent"}(t.WrappingIndent||(t.WrappingIndent={}));var r=(t.WrappingIndent,function(){function e(e){this.arrowSize=0|e.arrowSize,this.vertical=0|e.vertical,this.horizontal=0|e.horizontal,this.useShadows=Boolean(e.useShadows),this.verticalHasArrows=Boolean(e.verticalHasArrows),this.horizontalHasArrows=Boolean(e.horizontalHasArrows),this.handleMouseWheel=Boolean(e.handleMouseWheel),this.horizontalScrollbarSize=0|e.horizontalScrollbarSize,this.horizontalSliderSize=0|e.horizontalSliderSize,this.verticalScrollbarSize=0|e.verticalScrollbarSize,this.verticalSliderSize=0|e.verticalSliderSize,this.mouseWheelScrollSensitivity=Number(e.mouseWheelScrollSensitivity)}return e.prototype.equals=function(e){return this.arrowSize===e.arrowSize&&this.vertical===e.vertical&&this.horizontal===e.horizontal&&this.useShadows===e.useShadows&&this.verticalHasArrows===e.verticalHasArrows&&this.horizontalHasArrows===e.horizontalHasArrows&&this.handleMouseWheel===e.handleMouseWheel&&this.horizontalScrollbarSize===e.horizontalScrollbarSize&&this.horizontalSliderSize===e.horizontalSliderSize&&this.verticalScrollbarSize===e.verticalScrollbarSize&&this.verticalSliderSize===e.verticalSliderSize&&this.mouseWheelScrollSensitivity===e.mouseWheelScrollSensitivity},e.prototype.clone=function(){return new e(this)},e}());t.InternalEditorScrollbarOptions=r;var o=function(){function e(e){this.isViewportWrapping=Boolean(e.isViewportWrapping),this.wrappingColumn=0|e.wrappingColumn,this.wrappingIndent=0|e.wrappingIndent,this.wordWrapBreakBeforeCharacters=String(e.wordWrapBreakBeforeCharacters),this.wordWrapBreakAfterCharacters=String(e.wordWrapBreakAfterCharacters),this.wordWrapBreakObtrusiveCharacters=String(e.wordWrapBreakObtrusiveCharacters)}return e.prototype.equals=function(e){return this.isViewportWrapping===e.isViewportWrapping&&this.wrappingColumn===e.wrappingColumn&&this.wrappingIndent===e.wrappingIndent&&this.wordWrapBreakBeforeCharacters===e.wordWrapBreakBeforeCharacters&&this.wordWrapBreakAfterCharacters===e.wordWrapBreakAfterCharacters&&this.wordWrapBreakObtrusiveCharacters===e.wordWrapBreakObtrusiveCharacters},e.prototype.clone=function(){return new e(this)},e}();t.EditorWrappingInfo=o;var i=function(){function e(t){this.theme=String(t.theme),this.canUseTranslate3d=Boolean(t.canUseTranslate3d),this.experimentalScreenReader=Boolean(t.experimentalScreenReader),this.rulers=e._toSortedIntegerArray(t.rulers),this.ariaLabel=String(t.ariaLabel),this.lineNumbers=t.lineNumbers,this.selectOnLineNumbers=Boolean(t.selectOnLineNumbers),this.glyphMargin=Boolean(t.glyphMargin),this.revealHorizontalRightPadding=0|t.revealHorizontalRightPadding,this.roundedSelection=Boolean(t.roundedSelection),this.overviewRulerLanes=0|t.overviewRulerLanes,this.cursorBlinking=String(t.cursorBlinking),this.cursorStyle=0|t.cursorStyle,this.hideCursorInOverviewRuler=Boolean(t.hideCursorInOverviewRuler),this.scrollBeyondLastLine=Boolean(t.scrollBeyondLastLine),this.editorClassName=String(t.editorClassName),this.stopRenderingLineAfter=0|t.stopRenderingLineAfter,this.renderWhitespace=Boolean(t.renderWhitespace),this.indentGuides=Boolean(t.indentGuides),this.scrollbar=t.scrollbar.clone()}return e._toSortedIntegerArray=function(e){if(!Array.isArray(e))return[];var t=e,n=t.map(function(e){var t=parseInt(e,10);return isNaN(t)?0:t});return n.sort(),n},e._numberArraysEqual=function(e,t){if(e.length!==t.length)return!1;for(var n=0;n<e.length;n++)if(e[n]!==t[n])return!1;return!0},e.prototype.equals=function(t){return this.theme===t.theme&&this.canUseTranslate3d===t.canUseTranslate3d&&this.experimentalScreenReader===t.experimentalScreenReader&&e._numberArraysEqual(this.rulers,t.rulers)&&this.ariaLabel===t.ariaLabel&&this.lineNumbers===t.lineNumbers&&this.selectOnLineNumbers===t.selectOnLineNumbers&&this.glyphMargin===t.glyphMargin&&this.revealHorizontalRightPadding===t.revealHorizontalRightPadding&&this.roundedSelection===t.roundedSelection&&this.overviewRulerLanes===t.overviewRulerLanes&&this.cursorBlinking===t.cursorBlinking&&this.cursorStyle===t.cursorStyle&&this.hideCursorInOverviewRuler===t.hideCursorInOverviewRuler&&this.scrollBeyondLastLine===t.scrollBeyondLastLine&&this.editorClassName===t.editorClassName&&this.stopRenderingLineAfter===t.stopRenderingLineAfter&&this.renderWhitespace===t.renderWhitespace&&this.indentGuides===t.indentGuides&&this.scrollbar.equals(t.scrollbar)},e.prototype.createChangeEvent=function(t){return{theme:this.theme!==t.theme,canUseTranslate3d:this.canUseTranslate3d!==t.canUseTranslate3d,experimentalScreenReader:this.experimentalScreenReader!==t.experimentalScreenReader,rulers:!e._numberArraysEqual(this.rulers,t.rulers),ariaLabel:this.ariaLabel!==t.ariaLabel,lineNumbers:this.lineNumbers!==t.lineNumbers,selectOnLineNumbers:this.selectOnLineNumbers!==t.selectOnLineNumbers,glyphMargin:this.glyphMargin!==t.glyphMargin,revealHorizontalRightPadding:this.revealHorizontalRightPadding!==t.revealHorizontalRightPadding,roundedSelection:this.roundedSelection!==t.roundedSelection,overviewRulerLanes:this.overviewRulerLanes!==t.overviewRulerLanes,cursorBlinking:this.cursorBlinking!==t.cursorBlinking,cursorStyle:this.cursorStyle!==t.cursorStyle,hideCursorInOverviewRuler:this.hideCursorInOverviewRuler!==t.hideCursorInOverviewRuler,scrollBeyondLastLine:this.scrollBeyondLastLine!==t.scrollBeyondLastLine,editorClassName:this.editorClassName!==t.editorClassName,stopRenderingLineAfter:this.stopRenderingLineAfter!==t.stopRenderingLineAfter,renderWhitespace:this.renderWhitespace!==t.renderWhitespace,indentGuides:this.indentGuides!==t.indentGuides,scrollbar:!this.scrollbar.equals(t.scrollbar)}},e.prototype.clone=function(){return new e(this)},e}();t.InternalEditorViewOptions=i;var s=function(){function e(e){this.selectionClipboard=Boolean(e.selectionClipboard),this.hover=Boolean(e.hover),this.contextmenu=Boolean(e.contextmenu),this.quickSuggestions=Boolean(e.quickSuggestions),this.quickSuggestionsDelay=0|e.quickSuggestionsDelay,this.iconsInSuggestions=Boolean(e.iconsInSuggestions),this.formatOnType=Boolean(e.formatOnType),this.suggestOnTriggerCharacters=Boolean(e.suggestOnTriggerCharacters),this.acceptSuggestionOnEnter=Boolean(e.acceptSuggestionOnEnter),this.selectionHighlight=Boolean(e.selectionHighlight),this.outlineMarkers=Boolean(e.outlineMarkers),this.referenceInfos=Boolean(e.referenceInfos),this.folding=Boolean(e.folding)}return e.prototype.equals=function(e){return this.selectionClipboard===e.selectionClipboard&&this.hover===e.hover&&this.contextmenu===e.contextmenu&&this.quickSuggestions===e.quickSuggestions&&this.quickSuggestionsDelay===e.quickSuggestionsDelay&&this.iconsInSuggestions===e.iconsInSuggestions&&this.formatOnType===e.formatOnType&&this.suggestOnTriggerCharacters===e.suggestOnTriggerCharacters&&this.acceptSuggestionOnEnter===e.acceptSuggestionOnEnter&&this.selectionHighlight===e.selectionHighlight&&this.outlineMarkers===e.outlineMarkers&&this.referenceInfos===e.referenceInfos&&this.folding===e.folding},e.prototype.clone=function(){return new e(this)},e}();t.EditorContribOptions=s;var a=function(){function e(e){this.lineHeight=0|e.lineHeight,this.readOnly=Boolean(e.readOnly),this.wordSeparators=String(e.wordSeparators),this.autoClosingBrackets=Boolean(e.autoClosingBrackets),this.useTabStops=Boolean(e.useTabStops),this.tabFocusMode=Boolean(e.tabFocusMode),this.layoutInfo=e.layoutInfo.clone(),this.fontInfo=e.fontInfo.clone(),this.viewInfo=e.viewInfo.clone(),this.wrappingInfo=e.wrappingInfo.clone(),this.contribInfo=e.contribInfo.clone()}return e.prototype.equals=function(e){return this.lineHeight===e.lineHeight&&this.readOnly===e.readOnly&&this.wordSeparators===e.wordSeparators&&this.autoClosingBrackets===e.autoClosingBrackets&&this.useTabStops===e.useTabStops&&this.tabFocusMode===e.tabFocusMode&&this.layoutInfo.equals(e.layoutInfo)&&this.fontInfo.equals(e.fontInfo)&&this.viewInfo.equals(e.viewInfo)&&this.wrappingInfo.equals(e.wrappingInfo)&&this.contribInfo.equals(e.contribInfo)},e.prototype.createChangeEvent=function(e){return{lineHeight:this.lineHeight!==e.lineHeight,readOnly:this.readOnly!==e.readOnly,wordSeparators:this.wordSeparators!==e.wordSeparators,autoClosingBrackets:this.autoClosingBrackets!==e.autoClosingBrackets,useTabStops:this.useTabStops!==e.useTabStops,tabFocusMode:this.tabFocusMode!==e.tabFocusMode,layoutInfo:!this.layoutInfo.equals(e.layoutInfo),fontInfo:!this.fontInfo.equals(e.fontInfo),viewInfo:this.viewInfo.createChangeEvent(e.viewInfo),wrappingInfo:!this.wrappingInfo.equals(e.wrappingInfo),contribInfo:!this.contribInfo.equals(e.contribInfo)}},e.prototype.clone=function(){return new e(this)},e}();t.InternalEditorOptions=a,function(e){e[e.Left=1]="Left",e[e.Center=2]="Center",e[e.Right=4]="Right",e[e.Full=7]="Full"}(t.OverviewRulerLane||(t.OverviewRulerLane={}));t.OverviewRulerLane;!function(e){e[e.TextDefined=0]="TextDefined",e[e.LF=1]="LF",e[e.CRLF=2]="CRLF"}(t.EndOfLinePreference||(t.EndOfLinePreference={}));t.EndOfLinePreference;!function(e){e[e.LF=1]="LF",e[e.CRLF=2]="CRLF"}(t.DefaultEndOfLine||(t.DefaultEndOfLine={}));t.DefaultEndOfLine;!function(e){e[e.LF=0]="LF",e[e.CRLF=1]="CRLF"}(t.EndOfLineSequence||(t.EndOfLineSequence={}));t.EndOfLineSequence;!function(e){e[e.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",e[e.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",e[e.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",e[e.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"}(t.TrackedRangeStickiness||(t.TrackedRangeStickiness={}));t.TrackedRangeStickiness;!function(e){e[e.NotSet=0]="NotSet",e[e.ContentFlush=1]="ContentFlush",e[e.RecoverFromMarkers=2]="RecoverFromMarkers",e[e.Explicit=3]="Explicit",e[e.Paste=4]="Paste",e[e.Undo=5]="Undo",e[e.Redo=6]="Redo"}(t.CursorChangeReason||(t.CursorChangeReason={}));t.CursorChangeReason;!function(e){e[e.Simple=0]="Simple",e[e.Center=1]="Center",e[e.CenterIfOutsideViewport=2]="CenterIfOutsideViewport"}(t.VerticalRevealType||(t.VerticalRevealType={}));var u=(t.VerticalRevealType,function(){function e(e){this.width=0|e.width,this.height=0|e.height,this.top=0|e.top,this.right=0|e.right}return e.prototype.equals=function(e){return this.width===e.width&&this.height===e.height&&this.top===e.top&&this.right===e.right},e.prototype.clone=function(){return new e(this)},e}());t.OverviewRulerPosition=u;var l=function(){function e(e){this.width=0|e.width,this.height=0|e.height,this.glyphMarginLeft=0|e.glyphMarginLeft,this.glyphMarginWidth=0|e.glyphMarginWidth,this.glyphMarginHeight=0|e.glyphMarginHeight,this.lineNumbersLeft=0|e.lineNumbersLeft,this.lineNumbersWidth=0|e.lineNumbersWidth,this.lineNumbersHeight=0|e.lineNumbersHeight,this.decorationsLeft=0|e.decorationsLeft,this.decorationsWidth=0|e.decorationsWidth,this.decorationsHeight=0|e.decorationsHeight,this.contentLeft=0|e.contentLeft,this.contentWidth=0|e.contentWidth,this.contentHeight=0|e.contentHeight,this.verticalScrollbarWidth=0|e.verticalScrollbarWidth,this.horizontalScrollbarHeight=0|e.horizontalScrollbarHeight,this.overviewRuler=e.overviewRuler.clone()}return e.prototype.equals=function(e){return this.width===e.width&&this.height===e.height&&this.glyphMarginLeft===e.glyphMarginLeft&&this.glyphMarginWidth===e.glyphMarginWidth&&this.glyphMarginHeight===e.glyphMarginHeight&&this.lineNumbersLeft===e.lineNumbersLeft&&this.lineNumbersWidth===e.lineNumbersWidth&&this.lineNumbersHeight===e.lineNumbersHeight&&this.decorationsLeft===e.decorationsLeft&&this.decorationsWidth===e.decorationsWidth&&this.decorationsHeight===e.decorationsHeight&&this.contentLeft===e.contentLeft&&this.contentWidth===e.contentWidth&&this.contentHeight===e.contentHeight&&this.verticalScrollbarWidth===e.verticalScrollbarWidth&&this.horizontalScrollbarHeight===e.horizontalScrollbarHeight&&this.overviewRuler.equals(e.overviewRuler)},e.prototype.clone=function(){return new e(this)},e}();t.EditorLayoutInfo=l,function(e){e[e.UNKNOWN=0]="UNKNOWN",e[e.TEXTAREA=1]="TEXTAREA",e[e.GUTTER_GLYPH_MARGIN=2]="GUTTER_GLYPH_MARGIN",e[e.GUTTER_LINE_NUMBERS=3]="GUTTER_LINE_NUMBERS",e[e.GUTTER_LINE_DECORATIONS=4]="GUTTER_LINE_DECORATIONS",e[e.GUTTER_VIEW_ZONE=5]="GUTTER_VIEW_ZONE",e[e.CONTENT_TEXT=6]="CONTENT_TEXT",e[e.CONTENT_EMPTY=7]="CONTENT_EMPTY",e[e.CONTENT_VIEW_ZONE=8]="CONTENT_VIEW_ZONE",e[e.CONTENT_WIDGET=9]="CONTENT_WIDGET",e[e.OVERVIEW_RULER=10]="OVERVIEW_RULER",e[e.SCROLLBAR=11]="SCROLLBAR",e[e.OVERLAY_WIDGET=12]="OVERLAY_WIDGET"}(t.MouseTargetType||(t.MouseTargetType={}));t.MouseTargetType;t.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS="editorTextFocus",t.KEYBINDING_CONTEXT_EDITOR_FOCUS="editorFocus",t.KEYBINDING_CONTEXT_EDITOR_TAB_MOVES_FOCUS="editorTabMovesFocus",t.KEYBINDING_CONTEXT_EDITOR_HAS_MULTIPLE_SELECTIONS="editorHasMultipleSelections",t.KEYBINDING_CONTEXT_EDITOR_HAS_NON_EMPTY_SELECTION="editorHasSelection",t.KEYBINDING_CONTEXT_EDITOR_LANGUAGE_ID="editorLangId",t.SHOW_ACCESSIBILITY_HELP_ACTION_ID="editor.action.showAccessibilityHelp";var c=function(){function e(e){this.fontFamily=String(e.fontFamily),this.fontSize=0|e.fontSize,this.lineHeight=0|e.lineHeight}return e.prototype.getId=function(){return this.fontFamily+"-"+this.fontSize+"-"+this.lineHeight},e}();t.BareFontInfo=c;var h=function(e){function t(t){e.call(this,t),this.typicalHalfwidthCharacterWidth=t.typicalHalfwidthCharacterWidth,this.typicalFullwidthCharacterWidth=t.typicalFullwidthCharacterWidth,this.spaceWidth=t.spaceWidth,this.maxDigitWidth=t.maxDigitWidth}return __extends(t,e),t.prototype.equals=function(e){return this.fontFamily===e.fontFamily&&this.fontSize===e.fontSize&&this.lineHeight===e.lineHeight&&this.typicalHalfwidthCharacterWidth===e.typicalHalfwidthCharacterWidth&&this.typicalFullwidthCharacterWidth===e.typicalFullwidthCharacterWidth&&this.spaceWidth===e.spaceWidth&&this.maxDigitWidth===e.maxDigitWidth},t.prototype.clone=function(){return new t(this)},t}(c);t.FontInfo=h,t.ViewEventNames={ModelFlushedEvent:"modelFlushedEvent",LinesDeletedEvent:"linesDeletedEvent",LinesInsertedEvent:"linesInsertedEvent",LineChangedEvent:"lineChangedEvent",TokensChangedEvent:"tokensChangedEvent",DecorationsChangedEvent:"decorationsChangedEvent",CursorPositionChangedEvent:"cursorPositionChangedEvent",CursorSelectionChangedEvent:"cursorSelectionChangedEvent",RevealRangeEvent:"revealRangeEvent",LineMappingChangedEvent:"lineMappingChangedEvent",ScrollRequestEvent:"scrollRequestEvent"};var d=function(){function e(e,t,n,r){this.top=0|e,this.left=0|t,this.width=0|n,this.height=0|r}return e}();t.Viewport=d,function(e){e[e.Value=0]="Value",e[e.Selection=1]="Selection",e[e.Position=2]="Position",e[e.Scroll=3]="Scroll"}(t.CodeEditorStateFlag||(t.CodeEditorStateFlag={}));t.CodeEditorStateFlag;t.EditorType={ICodeEditor:"vs.editor.ICodeEditor",IDiffEditor:"vs.editor.IDiffEditor"},t.ClassName={EditorWarningDecoration:"greensquiggly",EditorErrorDecoration:"redsquiggly"},t.EventType={Disposed:"disposed",ConfigurationChanged:"configurationChanged",ModelDispose:"modelDispose",ModelChanged:"modelChanged",ModelTokensChanged:"modelTokensChanged",ModelModeChanged:"modelsModeChanged",ModelModeSupportChanged:"modelsModeSupportChanged",ModelOptionsChanged:"modelOptionsChanged",ModelRawContentChanged:"contentChanged",ModelContentChanged2:"contentChanged2",ModelRawContentChangedFlush:"flush",ModelRawContentChangedLinesDeleted:"linesDeleted",ModelRawContentChangedLinesInserted:"linesInserted",ModelRawContentChangedLineChanged:"lineChanged",EditorTextBlur:"blur",EditorTextFocus:"focus",EditorFocus:"widgetFocus",EditorBlur:"widgetBlur",ModelDecorationsChanged:"decorationsChanged",CursorPositionChanged:"positionChanged",CursorSelectionChanged:"selectionChanged",CursorRevealRange:"revealRange",CursorScrollRequest:"scrollRequest",ViewFocusGained:"focusGained",ViewFocusLost:"focusLost",ViewFocusChanged:"focusChanged",ViewScrollChanged:"scrollChanged",ViewZonesChanged:"zonesChanged",ViewLayoutChanged:"viewLayoutChanged",ContextMenu:"contextMenu",MouseDown:"mousedown",MouseUp:"mouseup",MouseMove:"mousemove",MouseLeave:"mouseleave",KeyDown:"keydown",KeyUp:"keyup",EditorLayout:"editorLayout",DiffUpdated:"diffUpdated"},t.Handler={ExecuteCommand:"executeCommand",ExecuteCommands:"executeCommands",CursorLeft:"cursorLeft",CursorLeftSelect:"cursorLeftSelect",CursorWordLeft:"cursorWordLeft",CursorWordStartLeft:"cursorWordStartLeft",CursorWordEndLeft:"cursorWordEndLeft",CursorWordLeftSelect:"cursorWordLeftSelect",CursorWordStartLeftSelect:"cursorWordStartLeftSelect",CursorWordEndLeftSelect:"cursorWordEndLeftSelect",CursorRight:"cursorRight",CursorRightSelect:"cursorRightSelect",CursorWordRight:"cursorWordRight",CursorWordStartRight:"cursorWordStartRight",CursorWordEndRight:"cursorWordEndRight",CursorWordRightSelect:"cursorWordRightSelect",CursorWordStartRightSelect:"cursorWordStartRightSelect",CursorWordEndRightSelect:"cursorWordEndRightSelect",CursorUp:"cursorUp",CursorUpSelect:"cursorUpSelect",CursorDown:"cursorDown",CursorDownSelect:"cursorDownSelect",CursorPageUp:"cursorPageUp",CursorPageUpSelect:"cursorPageUpSelect",CursorPageDown:"cursorPageDown",CursorPageDownSelect:"cursorPageDownSelect",CursorHome:"cursorHome",CursorHomeSelect:"cursorHomeSelect",CursorEnd:"cursorEnd",CursorEndSelect:"cursorEndSelect",ExpandLineSelection:"expandLineSelection",CursorTop:"cursorTop",CursorTopSelect:"cursorTopSelect",CursorBottom:"cursorBottom",CursorBottomSelect:"cursorBottomSelect",CursorColumnSelectLeft:"cursorColumnSelectLeft",CursorColumnSelectRight:"cursorColumnSelectRight",CursorColumnSelectUp:"cursorColumnSelectUp",CursorColumnSelectPageUp:"cursorColumnSelectPageUp",CursorColumnSelectDown:"cursorColumnSelectDown",CursorColumnSelectPageDown:"cursorColumnSelectPageDown",AddCursorDown:"addCursorDown",AddCursorUp:"addCursorUp",CursorUndo:"cursorUndo",MoveTo:"moveTo",MoveToSelect:"moveToSelect",ColumnSelect:"columnSelect",CreateCursor:"createCursor",LastCursorMoveToSelect:"lastCursorMoveToSelect",JumpToBracket:"jumpToBracket",Type:"type",ReplacePreviousChar:"replacePreviousChar",Paste:"paste",Tab:"tab",Indent:"indent",Outdent:"outdent",DeleteLeft:"deleteLeft",DeleteRight:"deleteRight",DeleteWordLeft:"deleteWordLeft",DeleteWordStartLeft:"deleteWordStartLeft",DeleteWordEndLeft:"deleteWordEndLeft",DeleteWordRight:"deleteWordRight",DeleteWordStartRight:"deleteWordStartRight",DeleteWordEndRight:"deleteWordEndRight",DeleteAllLeft:"deleteAllLeft",DeleteAllRight:"deleteAllRight",RemoveSecondaryCursors:"removeSecondaryCursors",CancelSelection:"cancelSelection",Cut:"cut",Undo:"undo",Redo:"redo",WordSelect:"wordSelect",WordSelectDrag:"wordSelectDrag",LastCursorWordSelect:"lastCursorWordSelect",LineSelect:"lineSelect",LineSelectDrag:"lineSelectDrag",LastCursorLineSelect:"lastCursorLineSelect",LastCursorLineSelectDrag:"lastCursorLineSelectDrag",LineInsertBefore:"lineInsertBefore",LineInsertAfter:"lineInsertAfter",LineBreakInsert:"lineBreakInsert",SelectAll:"selectAll",ScrollLineUp:"scrollLineUp",ScrollLineDown:"scrollLineDown",ScrollPageUp:"scrollPageUp",ScrollPageDown:"scrollPageDown"},function(e){e[e.Line=1]="Line",e[e.Block=2]="Block",e[e.Underline=3]="Underline"}(t.TextEditorCursorStyle||(t.TextEditorCursorStyle={}));var f=t.TextEditorCursorStyle;t.cursorStyleToString=n;var m=function(){function e(e,t,n,r){this.from=0|e,this.to=0|t,this.colorId=0|n,this.position=0|r}return e}();t.ColorZone=m;var p=function(){function e(e,t,n,r,o,i){this.startLineNumber=e,this.endLineNumber=t,this.position=n,this.forceHeight=r,this._color=o,this._darkColor=i,this._colorZones=null}return e.prototype.getColor=function(e){return e?this._darkColor:this._color},e.prototype.equals=function(e){return this.startLineNumber===e.startLineNumber&&this.endLineNumber===e.endLineNumber&&this.position===e.position&&this.forceHeight===e.forceHeight&&this._color===e._color&&this._darkColor===e._darkColor},e.prototype.compareTo=function(e){return this.startLineNumber===e.startLineNumber?this.endLineNumber===e.endLineNumber?this.forceHeight===e.forceHeight?this.position===e.position?this._darkColor===e._darkColor?this._color===e._color?0:this._color<e._color?-1:1:this._darkColor<e._darkColor?-1:1:this.position-e.position:this.forceHeight-e.forceHeight:this.endLineNumber-e.endLineNumber:this.startLineNumber-e.startLineNumber},e.prototype.setColorZones=function(e){this._colorZones=e},e.prototype.getColorZones=function(){return this._colorZones},e}();t.OverviewRulerZone=p});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,
new n)};define("vs/editor/common/core/selection",["require","exports","vs/editor/common/core/range","vs/editor/common/editorCommon"],function(e,t,n,r){"use strict";var o=function(e){function t(t,n,r,o){e.call(this,t,n,r,o),this.selectionStartLineNumber=t,this.selectionStartColumn=n,this.positionLineNumber=r,this.positionColumn=o}return __extends(t,e),t.prototype.clone=function(){return new t(this.selectionStartLineNumber,this.selectionStartColumn,this.positionLineNumber,this.positionColumn)},t.prototype.toString=function(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"},t.prototype.equalsSelection=function(e){return t.selectionsEqual(this,e)},t.prototype.getDirection=function(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?r.SelectionDirection.LTR:r.SelectionDirection.RTL},t.prototype.setEndPosition=function(e,n){return this.getDirection()===r.SelectionDirection.LTR?new t(this.startLineNumber,this.startColumn,e,n):new t(e,n,this.startLineNumber,this.startColumn)},t.prototype.setStartPosition=function(e,n){return this.getDirection()===r.SelectionDirection.LTR?new t(e,n,this.endLineNumber,this.endColumn):new t(this.endLineNumber,this.endColumn,e,n)},t.createSelection=function(e,n,r,o){return new t(e,n,r,o)},t.liftSelection=function(e){return new t(e.selectionStartLineNumber,e.selectionStartColumn,e.positionLineNumber,e.positionColumn)},t.selectionsEqual=function(e,t){return e.selectionStartLineNumber===t.selectionStartLineNumber&&e.selectionStartColumn===t.selectionStartColumn&&e.positionLineNumber===t.positionLineNumber&&e.positionColumn===t.positionColumn},t.selectionsArrEqual=function(e,t){if(e&&!t||!e&&t)return!1;if(!e&&!t)return!0;if(e.length!==t.length)return!1;for(var n=0,r=e.length;r>n;n++)if(!this.selectionsEqual(e[n],t[n]))return!1;return!0},t.isISelection=function(e){return e&&"number"==typeof e.selectionStartLineNumber&&"number"==typeof e.selectionStartColumn&&"number"==typeof e.positionLineNumber&&"number"==typeof e.positionColumn},t.createWithDirection=function(e,n,o,i,s){return s===r.SelectionDirection.LTR?new t(e,n,o,i):new t(o,i,e,n)},t}(n.Range);t.Selection=o}),define("vs/editor/common/viewModel/prefixSumComputer",["require","exports"],function(e,t){"use strict";var n=function(){function e(e,t){this.index=e,this.remainder=t}return e}();t.PrefixSumIndexOfResult=n;var r=function(){function e(e){this.values=e,this.prefixSum=[];for(var t=0,n=this.values.length;n>t;t++)this.prefixSum[t]=0;this.prefixSumValidIndex=-1}return e.prototype.getCount=function(){return this.values.length},e.prototype.insertValue=function(e,t){e=Math.floor(e),t=Math.floor(t),this.values.splice(e,0,t),this.prefixSum.splice(e,0,0),e-1<this.prefixSumValidIndex&&(this.prefixSumValidIndex=e-1)},e.prototype.insertValues=function(t,n){t=Math.floor(t),0!==n.length&&(this.values=this.values.slice(0,t).concat(n).concat(this.values.slice(t)),this.prefixSum=this.prefixSum.slice(0,t).concat(e._zeroArray(n.length)).concat(this.prefixSum.slice(t)),t-1<this.prefixSumValidIndex&&(this.prefixSumValidIndex=t-1))},e._zeroArray=function(e){e=Math.floor(e);for(var t=[],n=0;e>n;n++)t[n]=0;return t},e.prototype.changeValue=function(e,t){e=Math.floor(e),t=Math.floor(t),this.values[e]!==t&&(this.values[e]=t,e-1<this.prefixSumValidIndex&&(this.prefixSumValidIndex=e-1))},e.prototype.removeValues=function(e,t){e=Math.floor(e),t=Math.floor(t),this.values.splice(e,t),this.prefixSum.splice(e,t),e-1<this.prefixSumValidIndex&&(this.prefixSumValidIndex=e-1)},e.prototype.getTotalValue=function(){return 0===this.values.length?0:this.getAccumulatedValue(this.values.length-1)},e.prototype.getAccumulatedValue=function(e){if(e=Math.floor(e),0>e)return 0;if(e<=this.prefixSumValidIndex)return this.prefixSum[e];var t=this.prefixSumValidIndex+1;0===t&&(this.prefixSum[0]=this.values[0],t++),e>=this.values.length&&(e=this.values.length-1);for(var n=t;e>=n;n++)this.prefixSum[n]=this.prefixSum[n-1]+this.values[n];return this.prefixSumValidIndex=Math.max(this.prefixSumValidIndex,e),this.prefixSum[e]},e.prototype.getIndexOf=function(e){e=Math.floor(e);for(var t,r,o,i=0,s=this.values.length-1;s>=i;)if(t=i+(s-i)/2|0,r=this.getAccumulatedValue(t),o=r-this.values[t],o>e)s=t-1;else{if(!(e>=r))break;i=t+1}return new n(t,e-o)},e}();t.PrefixSumComputer=r}),define("vs/editor/common/model/mirrorModel2",["require","exports","vs/editor/common/viewModel/prefixSumComputer"],function(e,t,n){"use strict";var r=function(){function e(e,t,n,r){this._uri=e,this._lines=t,this._eol=n,this._versionId=r}return e.prototype.dispose=function(){this._lines.length=0},Object.defineProperty(e.prototype,"version",{get:function(){return this._versionId},enumerable:!0,configurable:!0}),e.prototype.getText=function(){return this._lines.join(this._eol)},e.prototype.onEvents=function(e){for(var t=null,n=0,r=e.length;r>n;n++){var o=e[n];o.eol&&(t=o.eol)}t&&t!==this._eol&&(this._eol=t,this._lineStarts=null);for(var i=-1,n=0,r=e.length;r>n;n++){var o=e[n];this._acceptDeleteRange(o.range),this._acceptInsertText({lineNumber:o.range.startLineNumber,column:o.range.startColumn},o.text),i=Math.max(i,o.versionId)}-1!==i&&(this._versionId=i)},e.prototype._ensureLineStarts=function(){if(!this._lineStarts){for(var e=[],t=this._eol.length,r=0,o=this._lines.length;o>r;r++)e.push(this._lines[r].length+t);this._lineStarts=new n.PrefixSumComputer(e)}},e.prototype._setLineText=function(e,t){this._lines[e]=t,this._lineStarts&&this._lineStarts.changeValue(e,this._lines[e].length+this._eol.length)},e.prototype._acceptDeleteRange=function(e){if(e.startLineNumber===e.endLineNumber){if(e.startColumn===e.endColumn)return;return void this._setLineText(e.startLineNumber-1,this._lines[e.startLineNumber-1].substring(0,e.startColumn-1)+this._lines[e.startLineNumber-1].substring(e.endColumn-1))}this._setLineText(e.startLineNumber-1,this._lines[e.startLineNumber-1].substring(0,e.startColumn-1)+this._lines[e.endLineNumber-1].substring(e.endColumn-1)),this._lines.splice(e.startLineNumber,e.endLineNumber-e.startLineNumber),this._lineStarts&&this._lineStarts.removeValues(e.startLineNumber,e.endLineNumber-e.startLineNumber)},e.prototype._acceptInsertText=function(e,t){if(0!==t.length){var n=t.split(/\r\n|\r|\n/);if(1===n.length)return void this._setLineText(e.lineNumber-1,this._lines[e.lineNumber-1].substring(0,e.column-1)+n[0]+this._lines[e.lineNumber-1].substring(e.column-1));n[n.length-1]+=this._lines[e.lineNumber-1].substring(e.column-1),this._setLineText(e.lineNumber-1,this._lines[e.lineNumber-1].substring(0,e.column-1)+n[0]);for(var r=new Array(n.length-1),o=1;o<n.length;o++)this._lines.splice(e.lineNumber+o-1,0,n[o]),r[o-1]=n[o].length+this._eol.length;this._lineStarts&&this._lineStarts.insertValues(e.lineNumber,r)}},e}();t.MirrorModel2=r}),define("vs/base/common/callbackList",["require","exports","vs/base/common/errors"],function(e,t,n){"use strict";var r=function(){function e(){}return e.prototype.add=function(e,t,n){var r=this;void 0===t&&(t=null),this._callbacks||(this._callbacks=[],this._contexts=[]),this._callbacks.push(e),this._contexts.push(t),Array.isArray(n)&&n.push({dispose:function(){return r.remove(e,t)}})},e.prototype.remove=function(e,t){if(void 0===t&&(t=null),this._callbacks){for(var n=!1,r=0,o=this._callbacks.length;o>r;r++)if(this._callbacks[r]===e){if(this._contexts[r]===t)return this._callbacks.splice(r,1),void this._contexts.splice(r,1);n=!0}if(n)throw new Error("When adding a listener with a context, you should remove it with the same context")}},e.prototype.invoke=function(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];if(this._callbacks){for(var r=[],o=this._callbacks.slice(0),i=this._contexts.slice(0),s=0,a=o.length;a>s;s++)try{r.push(o[s].apply(i[s],e))}catch(u){n.onUnexpectedError(u)}return r}},e.prototype.isEmpty=function(){return!this._callbacks||0===this._callbacks.length},e.prototype.dispose=function(){this._callbacks=void 0,this._contexts=void 0},e}();Object.defineProperty(t,"__esModule",{value:!0}),t["default"]=r}),define("vs/base/common/event",["require","exports","vs/base/common/callbackList"],function(e,t,n){"use strict";function r(e,t){return function(n,r,o){var i=e.addListener2(t,function(){n.apply(r,arguments)});return Array.isArray(o)&&o.push(i),i}}function o(e,t){return function(n,r,o){return e(function(e){return n(t(e))},r,o)}}var i;!function(e){var t={dispose:function(){}};e.None=function(){return t}}(i||(i={})),Object.defineProperty(t,"__esModule",{value:!0}),t["default"]=i;var s=function(){function e(e){this._options=e}return Object.defineProperty(e.prototype,"event",{get:function(){var t=this;return this._event||(this._event=function(r,o,i){t._callbacks||(t._callbacks=new n["default"]),t._options&&t._options.onFirstListenerAdd&&t._callbacks.isEmpty()&&t._options.onFirstListenerAdd(t),t._callbacks.add(r,o);var s;return s={dispose:function(){s.dispose=e._noop,t._disposed||(t._callbacks.remove(r,o),t._options&&t._options.onLastListenerRemove&&t._callbacks.isEmpty()&&t._options.onLastListenerRemove(t))}},Array.isArray(i)&&i.push(s),s}),this._event},enumerable:!0,configurable:!0}),e.prototype.fire=function(e){this._callbacks&&this._callbacks.invoke.call(this._callbacks,e)},e.prototype.dispose=function(){this._callbacks&&(this._callbacks.dispose(),this._callbacks=void 0,this._disposed=!0)},e._noop=function(){},e}();t.Emitter=s,t.fromEventEmitter=r,t.mapEvent=o;var a;!function(e){e[e.Idle=0]="Idle",e[e.Running=1]="Running"}(a||(a={}));var u=function(){function e(){this.buffers=[]}return e.prototype.wrapEvent=function(e){var t=this;return function(n,r,o){return e(function(e){var o=t.buffers[t.buffers.length-1];o?o.push(function(){return n.call(r,e)}):n.call(r,e)},void 0,o)}},e.prototype.bufferEvents=function(e){var t=[];this.buffers.push(t),e(),this.buffers.pop(),t.forEach(function(e){return e()})},e}();t.EventBufferer=u}),define("vs/base/common/cancellation",["require","exports","vs/base/common/event"],function(e,t,n){"use strict";var r;!function(e){e.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:n["default"].None}),e.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:n["default"].None})}(r=t.CancellationToken||(t.CancellationToken={}));var o=Object.freeze(function(e,t){var n=setTimeout(e.bind(t),0);return{dispose:function(){clearTimeout(n)}}}),i=function(){function e(){this._isCancelled=!1}return e.prototype.cancel=function(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this._emitter=void 0))},Object.defineProperty(e.prototype,"isCancellationRequested",{get:function(){return this._isCancelled},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onCancellationRequested",{get:function(){return this._isCancelled?o:(this._emitter||(this._emitter=new n.Emitter),this._emitter.event)},enumerable:!0,configurable:!0}),e}(),s=function(){function e(){}return Object.defineProperty(e.prototype,"token",{get:function(){return this._token||(this._token=new i),this._token},enumerable:!0,configurable:!0}),e.prototype.cancel=function(){this._token?this._token.cancel():this._token=r.Cancelled},e.prototype.dispose=function(){this.cancel()},e}();t.CancellationTokenSource=s}),define("vs/nls!vs/base/common/keyCodes",["vs/nls","vs/nls!vs/editor/browser/standalone/standaloneWorker"],function(e,t){return e.create("vs/base/common/keyCodes",t)}),define("vs/base/common/keyCodes",["require","exports","vs/nls!vs/base/common/keyCodes","vs/base/common/platform"],function(e,t,n,r){"use strict";function o(e,t){var n=[];e(n);for(var r={},o=0,i=n.length;i>o;o++)n[o]&&(r[n[o]]=o);t(r);var s={};for(var a in r)r.hasOwnProperty(a)&&(s[a]=r[a],s[a.toLowerCase()]=r[a]);return new l(n,s)}function i(e,t,n){var r=[],o=_.hasCtrlCmd(e),s=_.hasShift(e),a=_.hasAlt(e),u=_.hasWinCtrl(e),l=_.extractKeyCode(e),c=t.getLabelForKey(l);if(!c)return"";(o&&!n.isMacintosh||u&&n.isMacintosh)&&r.push(t.ctrlKeyLabel),s&&r.push(t.shiftKeyLabel),a&&r.push(t.altKeyLabel),o&&n.isMacintosh&&r.push(t.cmdKeyLabel),u&&!n.isMacintosh&&r.push(t.windowsKeyLabel),r.push(c);var h=r.join(t.modifierSeparator);return _.hasChord(e)?h+" "+i(_.extractChordPart(e),t,n):h}function s(e,t){e.length>0&&e.push({tagName:"span",text:"+"}),e.push({tagName:"span",className:"monaco-kbkey",text:t})}function a(e,t,n,r){void 0===r&&(r=!1);var o=[],i=_.hasCtrlCmd(e),u=_.hasShift(e),l=_.hasAlt(e),c=_.hasWinCtrl(e),h=_.extractKeyCode(e),d=t.getLabelForKey(h);if(!d)return[];(i&&!n.isMacintosh||c&&n.isMacintosh)&&s(o,t.ctrlKeyLabel),u&&s(o,t.shiftKeyLabel),l&&s(o,t.altKeyLabel),i&&n.isMacintosh&&s(o,t.cmdKeyLabel),c&&!n.isMacintosh&&s(o,t.windowsKeyLabel),s(o,d);var f=null;return _.hasChord(e)&&(f=a(_.extractChordPart(e),t,n,!0),o.push({tagName:"span",text:" "}),o=o.concat(f)),r?o:[{tagName:"span",className:"monaco-kb",children:o}]}!function(e){e[e.Unknown=0]="Unknown",e[e.Backspace=1]="Backspace",e[e.Tab=2]="Tab",e[e.Enter=3]="Enter",e[e.Shift=4]="Shift",e[e.Ctrl=5]="Ctrl",e[e.Alt=6]="Alt",e[e.PauseBreak=7]="PauseBreak",e[e.CapsLock=8]="CapsLock",e[e.Escape=9]="Escape",e[e.Space=10]="Space",e[e.PageUp=11]="PageUp",e[e.PageDown=12]="PageDown",e[e.End=13]="End",e[e.Home=14]="Home",e[e.LeftArrow=15]="LeftArrow",e[e.UpArrow=16]="UpArrow",e[e.RightArrow=17]="RightArrow",e[e.DownArrow=18]="DownArrow",e[e.Insert=19]="Insert",e[e.Delete=20]="Delete",e[e.KEY_0=21]="KEY_0",e[e.KEY_1=22]="KEY_1",e[e.KEY_2=23]="KEY_2",e[e.KEY_3=24]="KEY_3",e[e.KEY_4=25]="KEY_4",e[e.KEY_5=26]="KEY_5",e[e.KEY_6=27]="KEY_6",e[e.KEY_7=28]="KEY_7",e[e.KEY_8=29]="KEY_8",e[e.KEY_9=30]="KEY_9",e[e.KEY_A=31]="KEY_A",e[e.KEY_B=32]="KEY_B",e[e.KEY_C=33]="KEY_C",e[e.KEY_D=34]="KEY_D",e[e.KEY_E=35]="KEY_E",e[e.KEY_F=36]="KEY_F",e[e.KEY_G=37]="KEY_G",e[e.KEY_H=38]="KEY_H",e[e.KEY_I=39]="KEY_I",e[e.KEY_J=40]="KEY_J",e[e.KEY_K=41]="KEY_K",e[e.KEY_L=42]="KEY_L",e[e.KEY_M=43]="KEY_M",e[e.KEY_N=44]="KEY_N",e[e.KEY_O=45]="KEY_O",e[e.KEY_P=46]="KEY_P",e[e.KEY_Q=47]="KEY_Q",e[e.KEY_R=48]="KEY_R",e[e.KEY_S=49]="KEY_S",e[e.KEY_T=50]="KEY_T",e[e.KEY_U=51]="KEY_U",e[e.KEY_V=52]="KEY_V",e[e.KEY_W=53]="KEY_W",e[e.KEY_X=54]="KEY_X",e[e.KEY_Y=55]="KEY_Y",e[e.KEY_Z=56]="KEY_Z",e[e.Meta=57]="Meta",e[e.ContextMenu=58]="ContextMenu",e[e.F1=59]="F1",e[e.F2=60]="F2",e[e.F3=61]="F3",e[e.F4=62]="F4",e[e.F5=63]="F5",e[e.F6=64]="F6",e[e.F7=65]="F7",e[e.F8=66]="F8",e[e.F9=67]="F9",e[e.F10=68]="F10",e[e.F11=69]="F11",e[e.F12=70]="F12",e[e.F13=71]="F13",e[e.F14=72]="F14",e[e.F15=73]="F15",e[e.F16=74]="F16",e[e.F17=75]="F17",e[e.F18=76]="F18",e[e.F19=77]="F19",e[e.NumLock=78]="NumLock",e[e.ScrollLock=79]="ScrollLock",e[e.US_SEMICOLON=80]="US_SEMICOLON",e[e.US_EQUAL=81]="US_EQUAL",e[e.US_COMMA=82]="US_COMMA",e[e.US_MINUS=83]="US_MINUS",e[e.US_DOT=84]="US_DOT",e[e.US_SLASH=85]="US_SLASH",e[e.US_BACKTICK=86]="US_BACKTICK",e[e.US_OPEN_SQUARE_BRACKET=87]="US_OPEN_SQUARE_BRACKET",e[e.US_BACKSLASH=88]="US_BACKSLASH",e[e.US_CLOSE_SQUARE_BRACKET=89]="US_CLOSE_SQUARE_BRACKET",e[e.US_QUOTE=90]="US_QUOTE",e[e.OEM_8=91]="OEM_8",e[e.OEM_102=92]="OEM_102",e[e.NUMPAD_0=93]="NUMPAD_0",e[e.NUMPAD_1=94]="NUMPAD_1",e[e.NUMPAD_2=95]="NUMPAD_2",e[e.NUMPAD_3=96]="NUMPAD_3",e[e.NUMPAD_4=97]="NUMPAD_4",e[e.NUMPAD_5=98]="NUMPAD_5",e[e.NUMPAD_6=99]="NUMPAD_6",e[e.NUMPAD_7=100]="NUMPAD_7",e[e.NUMPAD_8=101]="NUMPAD_8",e[e.NUMPAD_9=102]="NUMPAD_9",e[e.NUMPAD_MULTIPLY=103]="NUMPAD_MULTIPLY",e[e.NUMPAD_ADD=104]="NUMPAD_ADD",e[e.NUMPAD_SEPARATOR=105]="NUMPAD_SEPARATOR",e[e.NUMPAD_SUBTRACT=106]="NUMPAD_SUBTRACT",e[e.NUMPAD_DECIMAL=107]="NUMPAD_DECIMAL",e[e.NUMPAD_DIVIDE=108]="NUMPAD_DIVIDE",e[e.MAX_VALUE=109]="MAX_VALUE"}(t.KeyCode||(t.KeyCode={}));var u,u=t.KeyCode,l=function(){function e(e,t){this._fromKeyCode=e,this._toKeyCode=t}return e.prototype.fromKeyCode=function(e){return this._fromKeyCode[e]},e.prototype.toKeyCode=function(e){return this._toKeyCode.hasOwnProperty(e)?this._toKeyCode[e]:u.Unknown},e}(),c=o(function(e){e[u.Unknown]="unknown",e[u.Backspace]="Backspace",e[u.Tab]="Tab",e[u.Enter]="Enter",e[u.Shift]="Shift",e[u.Ctrl]="Ctrl",e[u.Alt]="Alt",e[u.PauseBreak]="PauseBreak",e[u.CapsLock]="CapsLock",e[u.Escape]="Escape",e[u.Space]="Space",e[u.PageUp]="PageUp",e[u.PageDown]="PageDown",e[u.End]="End",e[u.Home]="Home",e[u.LeftArrow]="LeftArrow",e[u.UpArrow]="UpArrow",e[u.RightArrow]="RightArrow",e[u.DownArrow]="DownArrow",e[u.Insert]="Insert",e[u.Delete]="Delete",e[u.KEY_0]="0",e[u.KEY_1]="1",e[u.KEY_2]="2",e[u.KEY_3]="3",e[u.KEY_4]="4",e[u.KEY_5]="5",e[u.KEY_6]="6",e[u.KEY_7]="7",e[u.KEY_8]="8",e[u.KEY_9]="9",e[u.KEY_A]="A",e[u.KEY_B]="B",e[u.KEY_C]="C",e[u.KEY_D]="D",e[u.KEY_E]="E",e[u.KEY_F]="F",e[u.KEY_G]="G",e[u.KEY_H]="H",e[u.KEY_I]="I",e[u.KEY_J]="J",e[u.KEY_K]="K",e[u.KEY_L]="L",e[u.KEY_M]="M",e[u.KEY_N]="N",e[u.KEY_O]="O",e[u.KEY_P]="P",e[u.KEY_Q]="Q",e[u.KEY_R]="R",e[u.KEY_S]="S",e[u.KEY_T]="T",e[u.KEY_U]="U",e[u.KEY_V]="V",e[u.KEY_W]="W",e[u.KEY_X]="X",e[u.KEY_Y]="Y",e[u.KEY_Z]="Z",e[u.ContextMenu]="ContextMenu",e[u.F1]="F1",e[u.F2]="F2",e[u.F3]="F3",e[u.F4]="F4",e[u.F5]="F5",e[u.F6]="F6",e[u.F7]="F7",e[u.F8]="F8",e[u.F9]="F9",e[u.F10]="F10",e[u.F11]="F11",e[u.F12]="F12",e[u.F13]="F13",e[u.F14]="F14",e[u.F15]="F15",e[u.F16]="F16",e[u.F17]="F17",e[u.F18]="F18",e[u.F19]="F19",e[u.NumLock]="NumLock",e[u.ScrollLock]="ScrollLock",e[u.US_SEMICOLON]=";",e[u.US_EQUAL]="=",e[u.US_COMMA]=",",e[u.US_MINUS]="-",e[u.US_DOT]=".",e[u.US_SLASH]="/",e[u.US_BACKTICK]="`",e[u.US_OPEN_SQUARE_BRACKET]="[",e[u.US_BACKSLASH]="\\",e[u.US_CLOSE_SQUARE_BRACKET]="]",e[u.US_QUOTE]="'",e[u.OEM_8]="OEM_8",e[u.OEM_102]="OEM_102",e[u.NUMPAD_0]="NumPad0",e[u.NUMPAD_1]="NumPad1",e[u.NUMPAD_2]="NumPad2",e[u.NUMPAD_3]="NumPad3",e[u.NUMPAD_4]="NumPad4",e[u.NUMPAD_5]="NumPad5",e[u.NUMPAD_6]="NumPad6",e[u.NUMPAD_7]="NumPad7",e[u.NUMPAD_8]="NumPad8",e[u.NUMPAD_9]="NumPad9",e[u.NUMPAD_MULTIPLY]="NumPad_Multiply",e[u.NUMPAD_ADD]="NumPad_Add",e[u.NUMPAD_SEPARATOR]="NumPad_Separator",e[u.NUMPAD_SUBTRACT]="NumPad_Subtract",e[u.NUMPAD_DECIMAL]="NumPad_Decimal",e[u.NUMPAD_DIVIDE]="NumPad_Divide"},function(e){e["\r"]=u.Enter}),h=o(function(e){for(var t=0,n=c._fromKeyCode.length;n>t;t++)e[t]=c._fromKeyCode[t];e[u.LeftArrow]="Left",e[u.UpArrow]="Up",e[u.RightArrow]="Right",e[u.DownArrow]="Down"},function(e){e.OEM_1=u.US_SEMICOLON,e.OEM_PLUS=u.US_EQUAL,e.OEM_COMMA=u.US_COMMA,e.OEM_MINUS=u.US_MINUS,e.OEM_PERIOD=u.US_DOT,e.OEM_2=u.US_SLASH,e.OEM_3=u.US_BACKTICK,e.OEM_4=u.US_OPEN_SQUARE_BRACKET,e.OEM_5=u.US_BACKSLASH,e.OEM_6=u.US_CLOSE_SQUARE_BRACKET,e.OEM_7=u.US_QUOTE,e.OEM_8=u.OEM_8,e.OEM_102=u.OEM_102});!function(e){function t(e){return c.fromKeyCode(e)}function n(e){return c.toKeyCode(e)}e.toString=t,e.fromString=n}(u=t.KeyCode||(t.KeyCode={}));var d=32768,f=16384,m=8192,p=4096,g=4095,_=function(){function e(){}return e.extractFirstPart=function(e){return 65535&e},e.extractChordPart=function(e){return e>>16&65535},e.hasChord=function(e){return 0!==this.extractChordPart(e)},e.hasCtrlCmd=function(e){return!!(e&d)},e.hasShift=function(e){return!!(e&f)},e.hasAlt=function(e){return!!(e&m)},e.hasWinCtrl=function(e){return!!(e&p)},e.extractKeyCode=function(e){return e&g},e}();t.BinaryKeybindings=_;var C=function(){function e(){}return e.chord=function(e,t){return e|(65535&t)<<16},e.CtrlCmd=d,e.Shift=f,e.Alt=m,e.WinCtrl=p,e}();t.KeyMod=C;var S=function(){function e(){}return e.ENTER=u.Enter,e.SHIFT_ENTER=C.Shift|u.Enter,e.CTRLCMD_ENTER=C.CtrlCmd|u.Enter,e.WINCTRL_ENTER=C.WinCtrl|u.Enter,e.TAB=u.Tab,e.SHIFT_TAB=C.Shift|u.Tab,e.ESCAPE=u.Escape,e.SPACE=u.Space,e.DELETE=u.Delete,e.SHIFT_DELETE=C.Shift|u.Delete,e.CTRLCMD_BACKSPACE=C.CtrlCmd|u.Backspace,e.UP_ARROW=u.UpArrow,e.SHIFT_UP_ARROW=C.Shift|u.UpArrow,e.CTRLCMD_UP_ARROW=C.CtrlCmd|u.UpArrow,e.DOWN_ARROW=u.DownArrow,e.SHIFT_DOWN_ARROW=C.Shift|u.DownArrow,e.CTRLCMD_DOWN_ARROW=C.CtrlCmd|u.DownArrow,e.LEFT_ARROW=u.LeftArrow,e.RIGHT_ARROW=u.RightArrow,e.PAGE_UP=u.PageUp,e.SHIFT_PAGE_UP=C.Shift|u.PageUp,e.PAGE_DOWN=u.PageDown,e.SHIFT_PAGE_DOWN=C.Shift|u.PageDown,e.F2=u.F2,e.CTRLCMD_S=C.CtrlCmd|u.KEY_S,e.CTRLCMD_C=C.CtrlCmd|u.KEY_C,e.CTRLCMD_V=C.CtrlCmd|u.KEY_V,e}();t.CommonKeybindings=S;var b=function(){function e(e){this.value=e}return e._toUSLabel=function(e,t){return i(e,t.isMacintosh?E.INSTANCE:y.INSTANCE,t)},e._toUSAriaLabel=function(e,t){return i(e,v.INSTANCE,t)},e._toUSHTMLLabel=function(e,t){return a(e,t.isMacintosh?E.INSTANCE:y.INSTANCE,t)},e._toCustomLabel=function(e,t,n){return i(e,t,n)},e._toCustomHTMLLabel=function(e,t,n){return a(e,t,n)},e._toElectronAccelerator=function(e,t){return _.hasChord(e)?null:i(e,L.INSTANCE,t)},e.getUserSettingsKeybindingRegex=function(){if(!this._cachedKeybindingRegex){var e="numpad(0|1|2|3|4|5|6|7|8|9|_multiply|_add|_subtract|_decimal|_divide|_separator)",t="`|\\-|=|\\[|\\]|\\\\\\\\|;|'|,|\\.|\\/|oem_8|oem_102",n="left|up|right|down|pageup|pagedown|end|home|tab|enter|escape|space|backspace|delete|pausebreak|capslock|insert|contextmenu|numlock|scrolllock",r="[a-z]|[0-9]|f(1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19)",o="(("+[e,t,n,r].join(")|(")+"))",i="((ctrl|shift|alt|cmd|win|meta)\\+)*",s="("+i+o+")";this._cachedKeybindingRegex='"\\s*('+s+"(\\s+"+s+')?)\\s*"'}return this._cachedKeybindingRegex},e.toUserSettingsLabel=function(e,t){void 0===t&&(t=r);var n=i(e,N.INSTANCE,t);return n=n.toLowerCase(),t.isMacintosh?n=n.replace(/meta/g,"cmd"):t.isWindows&&(n=n.replace(/meta/g,"win")),n},e.fromUserSettingsLabel=function(t,n){if(void 0===n&&(n=r),!t)return null;t=t.toLowerCase().trim();for(var o=!1,i=!1,s=!1,a=!1,u="";/^(ctrl|shift|alt|meta|win|cmd)(\+|\-)/.test(t);)/^ctrl(\+|\-)/.test(t)&&(n.isMacintosh?a=!0:o=!0,t=t.substr("ctrl-".length)),/^shift(\+|\-)/.test(t)&&(i=!0,t=t.substr("shift-".length)),/^alt(\+|\-)/.test(t)&&(s=!0,t=t.substr("alt-".length)),/^meta(\+|\-)/.test(t)&&(n.isMacintosh?o=!0:a=!0,t=t.substr("meta-".length)),/^win(\+|\-)/.test(t)&&(n.isMacintosh?o=!0:a=!0,t=t.substr("win-".length)),/^cmd(\+|\-)/.test(t)&&(n.isMacintosh?o=!0:a=!0,t=t.substr("cmd-".length));var l=0,c=t.indexOf(" ");c>0?(u=t.substring(0,c),l=e.fromUserSettingsLabel(t.substring(c),n)):u=t;var d=h.toKeyCode(u),f=0;return o&&(f|=C.CtrlCmd),i&&(f|=C.Shift),s&&(f|=C.Alt),a&&(f|=C.WinCtrl),f|=d,C.chord(f,l)},e.prototype.hasCtrlCmd=function(){return _.hasCtrlCmd(this.value)},e.prototype.hasShift=function(){return _.hasShift(this.value)},e.prototype.hasAlt=function(){return _.hasAlt(this.value)},e.prototype.hasWinCtrl=function(){return _.hasWinCtrl(this.value)},e.prototype.extractKeyCode=function(){return _.extractKeyCode(this.value)},e.prototype._toUSLabel=function(t){return void 0===t&&(t=r),e._toUSLabel(this.value,t)},e.prototype._toUSAriaLabel=function(t){return void 0===t&&(t=r),e._toUSAriaLabel(this.value,t)},e.prototype._toUSHTMLLabel=function(t){return void 0===t&&(t=r),e._toUSHTMLLabel(this.value,t)},e.prototype.toCustomLabel=function(t,n){return void 0===n&&(n=r),e._toCustomLabel(this.value,t,n)},e.prototype.toCustomHTMLLabel=function(t,n){return void 0===n&&(n=r),e._toCustomHTMLLabel(this.value,t,n)},e.prototype._toElectronAccelerator=function(t){return void 0===t&&(t=r),e._toElectronAccelerator(this.value,t)},e.prototype.toUserSettingsLabel=function(t){return void 0===t&&(t=r),e.toUserSettingsLabel(this.value,t)},e._cachedKeybindingRegex=null,e}();t.Keybinding=b;var L=function(){function e(){this.ctrlKeyLabel="Ctrl",this.shiftKeyLabel="Shift",this.altKeyLabel="Alt",this.cmdKeyLabel="Cmd",this.windowsKeyLabel="Super",this.modifierSeparator="+"}return e.prototype.getLabelForKey=function(e){switch(e){case u.UpArrow:return"Up";case u.DownArrow:return"Down";case u.LeftArrow:return"Left";case u.RightArrow:return"Right"}return u.toString(e)},e.INSTANCE=new e,e}();t.ElectronAcceleratorLabelProvider=L;var E=function(){function e(){this.ctrlKeyLabel="⌃",this.shiftKeyLabel="⇧",this.altKeyLabel="⌥",this.cmdKeyLabel="⌘",this.windowsKeyLabel=n.localize(0,null),this.modifierSeparator=""}return e.prototype.getLabelForKey=function(t){switch(t){case u.LeftArrow:return e.leftArrowUnicodeLabel;case u.UpArrow:return e.upArrowUnicodeLabel;case u.RightArrow:return e.rightArrowUnicodeLabel;case u.DownArrow:return e.downArrowUnicodeLabel}return u.toString(t)},e.INSTANCE=new e,e.leftArrowUnicodeLabel=String.fromCharCode(8592),e.upArrowUnicodeLabel=String.fromCharCode(8593),e.rightArrowUnicodeLabel=String.fromCharCode(8594),e.downArrowUnicodeLabel=String.fromCharCode(8595),e}();t.MacUIKeyLabelProvider=E;var v=function(){function e(){this.ctrlKeyLabel=n.localize(1,null),this.shiftKeyLabel=n.localize(2,null),this.altKeyLabel=n.localize(3,null),this.cmdKeyLabel=n.localize(4,null),this.windowsKeyLabel=n.localize(5,null),this.modifierSeparator="+"}return e.prototype.getLabelForKey=function(e){return u.toString(e)},e.INSTANCE=new E,e}();t.AriaKeyLabelProvider=v;var y=function(){function e(){this.ctrlKeyLabel=n.localize(6,null),this.shiftKeyLabel=n.localize(7,null),this.altKeyLabel=n.localize(8,null),this.cmdKeyLabel=n.localize(9,null),this.windowsKeyLabel=n.localize(10,null),this.modifierSeparator="+"}return e.prototype.getLabelForKey=function(e){return u.toString(e)},e.INSTANCE=new e,e}();t.ClassicUIKeyLabelProvider=y;var N=function(){function e(){this.ctrlKeyLabel="Ctrl",this.shiftKeyLabel="Shift",this.altKeyLabel="Alt",this.cmdKeyLabel="Meta",this.windowsKeyLabel="Meta",this.modifierSeparator="+"}return e.prototype.getLabelForKey=function(e){return h.fromKeyCode(e)},e.INSTANCE=new e,e}()}),define("vs/nls!vs/base/common/severity",["vs/nls","vs/nls!vs/editor/browser/standalone/standaloneWorker"],function(e,t){return e.create("vs/base/common/severity",t)}),define("vs/base/common/severity",["require","exports","vs/nls!vs/base/common/severity","vs/base/common/strings"],function(e,t,n,r){"use strict";var o;!function(e){e[e.Ignore=0]="Ignore",e[e.Info=1]="Info",e[e.Warning=2]="Warning",e[e.Error=3]="Error"}(o||(o={}));var o;!function(e){function t(t){return t?r.equalsIgnoreCase(s,t)?e.Error:r.equalsIgnoreCase(a,t)||r.equalsIgnoreCase(u,t)?e.Warning:r.equalsIgnoreCase(l,t)?e.Info:e.Ignore:e.Ignore}function o(e){return c[e]||r.empty}function i(e,t){return t-e}var s="error",a="warning",u="warn",l="info",c=Object.create(null);c[e.Error]=n.localize(0,null),c[e.Warning]=n.localize(1,null),c[e.Info]=n.localize(2,null),e.fromValue=t,e.toString=o,e.compare=i}(o||(o={})),Object.defineProperty(t,"__esModule",{value:!0}),t["default"]=o}),define("vs/editor/common/standalone/standaloneBase",["require","exports","vs/base/common/event","vs/base/common/keyCodes","vs/editor/common/core/position","vs/editor/common/core/range","vs/editor/common/core/selection","vs/editor/common/editorCommon","vs/base/common/winjs.base","vs/base/common/cancellation","vs/base/common/severity","vs/base/common/uri"],function(e,t,n,r,o,i,s,a,u,l,c,h){"use strict";function d(){return{editor:void 0,worker:void 0,languages:void 0,CancellationTokenSource:l.CancellationTokenSource,Emitter:n.Emitter,KeyCode:r.KeyCode,KeyMod:r.KeyMod,Position:o.Position,Range:i.Range,Selection:s.Selection,SelectionDirection:a.SelectionDirection,Severity:c["default"],Promise:u.TPromise,Uri:h["default"]}}t.createMonacoBaseAPI=d}),define("vs/nls!vs/editor/common/config/defaultConfig",["vs/nls","vs/nls!vs/editor/browser/standalone/standaloneWorker"],function(e,t){return e.create("vs/editor/common/config/defaultConfig",t)}),define("vs/editor/common/config/defaultConfig",["require","exports","vs/nls!vs/editor/common/config/defaultConfig","vs/base/common/platform"],function(e,t,n,r){"use strict";t.USUAL_WORD_SEPARATORS="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?",t.DEFAULT_INDENTATION={tabSize:4,insertSpaces:!0,detectIndentation:!0},t.DEFAULT_TRIM_AUTO_WHITESPACE=!0;var o="Consolas, 'Courier New', monospace",i="Menlo, Monaco, 'Courier New', monospace",s="'Droid Sans Mono', 'Courier New', monospace, 'Droid Sans Fallback'";t.GOLDEN_LINE_HEIGHT_RATIO=r.isMacintosh?1.5:1.35;var a=function(){function e(){this.editor={experimentalScreenReader:!0,rulers:[],wordSeparators:t.USUAL_WORD_SEPARATORS,selectionClipboard:!0,ariaLabel:n.localize(0,null),lineNumbers:!0,selectOnLineNumbers:!0,lineNumbersMinChars:5,glyphMargin:!1,lineDecorationsWidth:10,revealHorizontalRightPadding:30,roundedSelection:!0,theme:"vs",readOnly:!1,scrollbar:{verticalScrollbarSize:14,horizontal:"auto",useShadows:!0,verticalHasArrows:!1,horizontalHasArrows:!1},overviewRulerLanes:2,cursorBlinking:"blink",cursorStyle:"line",fontLigatures:!1,disableTranslate3d:!1,hideCursorInOverviewRuler:!1,scrollBeyondLastLine:!0,automaticLayout:!1,wrappingColumn:300,wrappingIndent:"same",wordWrapBreakBeforeCharacters:"([{‘“〈《「『【〔（［｛｢£¥＄￡￥+＋",wordWrapBreakAfterCharacters:" 	})]?|&,;¢°′″‰℃、。｡､￠，．：；？！％・･ゝゞヽヾーァィゥェォッャュョヮヵヶぁぃぅぇぉっゃゅょゎゕゖㇰㇱㇲㇳㇴㇵㇶㇷㇸㇹㇺㇻㇼㇽㇾㇿ々〻ｧｨｩｪｫｬｭｮｯｰ’”〉》」』】〕）］｝｣",wordWrapBreakObtrusiveCharacters:".",tabFocusMode:!1,hover:!0,contextmenu:!0,mouseWheelScrollSensitivity:1,quickSuggestions:!0,quickSuggestionsDelay:10,iconsInSuggestions:!0,autoClosingBrackets:!0,formatOnType:!1,suggestOnTriggerCharacters:!0,acceptSuggestionOnEnter:!0,selectionHighlight:!0,outlineMarkers:!1,referenceInfos:!0,folding:!0,renderWhitespace:!1,indentGuides:!1,useTabStops:!0,fontFamily:r.isMacintosh?i:r.isLinux?s:o,fontSize:r.isMacintosh?12:14,lineHeight:0}}return e}();t.DefaultConfig=new a}),define("vs/editor/common/modes/nullMode",["require","exports","vs/editor/common/config/defaultConfig"],function(e,t,n){"use strict";function r(e,t,n,r,o){void 0===r&&(r=0);var i=[{startIndex:r,type:""}],s=[{startIndex:r,mode:e}];return{tokens:i,actualStopOffset:r+t.length,endState:n,modeTransitions:s}}var o=function(){function e(e,t){this.mode=e,this.stateData=t}return e.prototype.clone=function(){var t=this.stateData?this.stateData.clone():null;return new e(this.mode,t)},e.prototype.equals=function(e){if(this.mode!==e.getMode())return!1;var t=e.getStateData();return this.stateData||t?this.stateData&&t?this.stateData.equals(t):!1:!0},e.prototype.getMode=function(){return this.mode},e.prototype.tokenize=function(e){return e.advanceToEOS(),{type:""}},e.prototype.getStateData=function(){return this.stateData},e.prototype.setStateData=function(e){this.stateData=e},e}();t.NullState=o;var i=function(){function e(){this.richEditSupport={wordDefinition:e.DEFAULT_WORD_REGEXP}}return e.createWordRegExp=function(e){void 0===e&&(e="");for(var t=n.USUAL_WORD_SEPARATORS,r="(-?\\d*\\.\\d\\w*)|([^",o=0;o<t.length;o++)e.indexOf(t[o])>=0||(r+="\\"+t[o]);return r+="\\s]+)",new RegExp(r,"g")},e.prototype.getId=function(){return e.ID},e.prototype.toSimplifiedMode=function(){return this},e.DEFAULT_WORD_REGEXP=e.createWordRegExp(),e.ID="vs.editor.modes.nullMode",e}();t.NullMode=i,t.nullTokenize=r}),define("vs/editor/common/model/textModelWithTokensHelpers",["require","exports","vs/editor/common/modes/nullMode","vs/editor/common/core/modeTransition"],function(e,t,n,r){"use strict";var o=function(){function e(){}return e._safeGetWordDefinition=function(e){return e.richEditSupport?e.richEditSupport.wordDefinition:null},e.ensureValidWordDefinition=function(e){var t=n.NullMode.DEFAULT_WORD_REGEXP;if(e&&e instanceof RegExp)if(e.global)t=e;else{var r="g";e.ignoreCase&&(r+="i"),e.multiline&&(r+="m"),t=new RegExp(e.source,r)}return t.lastIndex=0,t},e.massageWordDefinitionOf=function(t){return e.ensureValidWordDefinition(e._safeGetWordDefinition(t))},e._getWordAtColumn=function(t,n,r,o){var i=o[r].startIndex,s=r+1<o.length?o[r+1].startIndex:t.length,a=o[r].mode;return e._getWordAtText(n,e.massageWordDefinitionOf(a),t.substring(i,s),i)},e.getWordAtPosition=function(t,n){if(!t._lineIsTokenized(n.lineNumber))return e._getWordAtText(n.column,e.massageWordDefinitionOf(t.getMode()),t.getLineContent(n.lineNumber),0);var o=null,i=t.getLineContent(n.lineNumber),s=t._getLineModeTransitions(n.lineNumber),a=n.column-1,u=r.ModeTransition.findIndexInSegmentsArray(s,a);return o=e._getWordAtColumn(i,n.column,u,s),!o&&u>0&&s[u].startIndex===a&&(o=e._getWordAtColumn(i,n.column,u-1,s)),o},e._getWordAtText=function(e,t,n,r){var o,i,s,a,u,l,c=n.match(t);
if(c)for(o=0;o<c.length;o++)if(l=c[o].trim(),l.length>0&&(i=n.indexOf(l,s),s=i+l.length,a=r+i+1,u=r+s+1,e>=a&&u>=e))return{word:l,startColumn:a,endColumn:u};return null},e}();t.WordHelper=o});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/standalone/standaloneWorker",["require","exports","vs/base/common/uri","vs/base/common/winjs.base","vs/editor/common/core/range","vs/editor/common/model/mirrorModel2","vs/editor/common/model/textModelWithTokensHelpers","vs/editor/common/standalone/standaloneBase"],function(e,t,n,r,o,i,s,a){"use strict";function u(){return d}function l(){return{get mirrorModels(){return d.getModels()}}}var c=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),Object.defineProperty(t.prototype,"uri",{get:function(){return this._uri},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"version",{get:function(){return this._versionId},enumerable:!0,configurable:!0}),t.prototype.getLinesContent=function(){return this._lines.slice(0)},t.prototype.getLineCount=function(){return this._lines.length},t.prototype.getLineContent=function(e){return this._lines[e-1]},t.prototype.getWordAtPosition=function(e,t){var n=s.WordHelper._getWordAtText(e.column,s.WordHelper.ensureValidWordDefinition(t),this._lines[e.lineNumber-1],0);return n?new o.Range(e.lineNumber,n.startColumn,e.lineNumber,n.endColumn):null},t.prototype.getWordUntilPosition=function(e,t){var n=this.getWordAtPosition(e,t);return n?{word:this._lines[e.lineNumber-1].substring(n.startColumn-1,e.column-1),startColumn:n.startColumn,endColumn:e.column}:{word:"",startColumn:e.column,endColumn:e.column}},t.prototype._getAllWords=function(e){var t=this,n=[];return this._lines.forEach(function(r){t._wordenize(r,e).forEach(function(e){n.push(r.substring(e.start,e.end))})}),n},t.prototype.getAllUniqueWords=function(e,t){var n=!1,r={};return this._getAllWords(e).filter(function(e){return t&&!n&&t===e?(n=!0,!1):r[e]?!1:(r[e]=!0,!0)})},t.prototype._wordenize=function(e,t){for(var n,r=[];(n=t.exec(e))&&0!==n[0].length;)r.push({start:n.index,end:n.index+n[0].length});return r},t.prototype.getValueInRange=function(e){if(e.startLineNumber===e.endLineNumber)return this._lines[e.startLineNumber-1].substring(e.startColumn-1,e.endColumn-1);var t=this._eol,n=e.startLineNumber-1,r=e.endLineNumber-1,o=[];o.push(this._lines[n].substring(e.startColumn-1));for(var i=n+1;r>i;i++)o.push(this._lines[i]);return o.push(this._lines[r].substring(0,e.endColumn-1)),o.join(t)},t}(i.MirrorModel2);t.MirrorModel=c;var h=function(){function t(){this._models=Object.create(null),this._foreignModule=null}return t.prototype.getModels=function(){var e=this,t=[];return Object.keys(this._models).forEach(function(n){return t.push(e._models[n])}),t},t.prototype.acceptNewModel=function(e){this._models[e.url]=new c(n["default"].parse(e.url),e.value.lines,e.value.EOL,e.versionId)},t.prototype.acceptModelChanged=function(e,t){if(this._models[e]){var n=this._models[e];n.onEvents(t)}},t.prototype.acceptRemovedModel=function(e){this._models[e]&&delete this._models[e]},t.prototype.loadModule=function(t){var n,o,i=this,s=new r.TPromise(function(e,t,r){n=e,o=t});return e([t],function(e){i._foreignModule=e.create();var t=[];for(var r in i._foreignModule)"function"==typeof i._foreignModule[r]&&t.push(r);n(t)},o),s},t.prototype.fmr=function(e,t){if(!this._foreignModule||"function"!=typeof this._foreignModule[e])return r.TPromise.wrapError(new Error("Missing requestHandler or method: "+e));try{return r.TPromise.as(this._foreignModule[e].apply(this._foreignModule,t))}catch(n){return r.TPromise.wrapError(n)}},t}();t.StandaloneWorker=h;var d=new h;t.create=u;var f=self;f.monaco=a.createMonacoBaseAPI(),f.monaco.worker=l()});
//# sourceMappingURL=../../../../../min-maps/vs/editor/browser/standalone/standaloneWorker.js.map