/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.2.3(84e204b238a1eff25d4c6f611fdcd76a494005a7)
 * Released under the MIT license
 * https://github.com/Microsoft/vscode/blob/master/LICENSE.txt
 *-----------------------------------------------------------*/
define("vs/base/browser/iframe",["require","exports"],function(e,t){"use strict";function n(e){if(!e.parent||e.parent===e)return null;try{var t=e.location,n=e.parent.location;if(t.protocol!==n.protocol||t.hostname!==n.hostname||t.port!==n.port)return i=!0,null}catch(o){return i=!0,null}return e.parent}function o(e,t){for(var n,o=e.document.getElementsByTagName("iframe"),i=0,r=o.length;r>i;i++)if(n=o[i],n.contentWindow===t)return n;return null}var i=!1,r=null,s=function(){function e(){}return e.getSameOriginWindowChain=function(){if(!r){r=[];var e,t=window;do e=n(t),e?r.push({window:t,iframeElement:o(e,t)}):r.push({window:t,iframeElement:null}),t=e;while(t)}return r.slice(0)},e.hasDifferentOriginAncestor=function(){return r||this.getSameOriginWindowChain(),i},e.getPositionOfChildWindowRelativeToAncestorWindow=function(e,t){if(!t||e===t)return{top:0,left:0};for(var n=0,o=0,i=this.getSameOriginWindowChain(),r=0;r<i.length;r++){var s=i[r];if(s.window===t)break;if(!s.iframeElement)break;var a=s.iframeElement.getBoundingClientRect();n+=a.top,o+=a.left}return{top:n,left:o}},e}();t.IframeUtils=s}),define("vs/base/browser/ui/list/rangeMap",["require","exports"],function(e,t){"use strict";function n(e,t){if(e.start>=t.end||t.start>=e.end)return null;var n=Math.max(e.start,t.start),o=Math.min(e.end,t.end);return 0>=o-n?null:{start:n,end:o}}function o(e){return e.end-e.start<=0}function i(e,t){var n=[],i={start:e.start,end:Math.min(t.start,e.end)},r={start:Math.max(t.end,e.start),end:e.end};return o(i)||n.push(i),o(r)||n.push(r),n}function r(e,t){for(var n=e.start;n<e.end;n++)t(n)}function s(e,t){for(var o=[],i=0,r=t;i<r.length;i++){var s=r[i];if(!(e.start>=s.range.end)){if(e.end<s.range.start)break;var a=n(e,s.range);a&&o.push({range:a,size:s.size})}}return o}function a(e,t){var n=e.start,o=e.end;return{start:n+t,end:o+t}}function l(e){for(var t=[],n=null,o=0,i=e;o<i.length;o++){var r=i[o],s=r.range.start,a=r.range.end,l=r.size;n&&l===n.size?n.range.end=a:(n={range:{start:s,end:a},size:l},t.push(n))}return t}function u(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];return l(e.reduce(function(e,t){return e.concat(t)},[]))}t.intersect=n,t.isEmpty=o,t.relativeComplement=i,t.each=r,t.groupIntersect=s,t.consolidate=l;var c=function(){function e(){this.groups=[],this._size=0}return e.prototype.splice=function(e,t){for(var n=[],o=2;o<arguments.length;o++)n[o-2]=arguments[o];var i=n.length-t,r=s({start:0,end:e},this.groups),l=s({start:e+t,end:Number.POSITIVE_INFINITY},this.groups).map(function(e){return{range:a(e.range,i),size:e.size}}),c=n.map(function(t,n){return{range:{start:e+n,end:e+n+1},size:t.size}});this.groups=u(r,c,l),this._size=this.groups.reduce(function(e,t){return e+t.size*(t.range.end-t.range.start)},0)},Object.defineProperty(e.prototype,"count",{get:function(){var e=this.groups.length;return e?this.groups[e-1].range.end:0},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"size",{get:function(){return this._size},enumerable:!0,configurable:!0}),e.prototype.indexAt=function(e){if(0>e)return-1;for(var t=0,n=0,o=0,i=this.groups;o<i.length;o++){var r=i[o],s=r.range.end-r.range.start,a=n+s*r.size;if(a>e)return t+Math.floor((e-n)/r.size);t+=s,n=a}return t},e.prototype.indexAfter=function(e){return Math.min(this.indexAt(e)+1,this.count)},e.prototype.positionAt=function(e){if(0>e)return-1;for(var t=0,n=0,o=0,i=this.groups;o<i.length;o++){var r=i[o],s=r.range.end-r.range.start,a=n+s;if(a>e)return t+(e-n)*r.size;t+=s*r.size,n=a}return-1},e.prototype.dispose=function(){this.groups=null},e}();t.RangeMap=c}),define("vs/base/browser/ui/scrollbar/scrollableElementOptions",["require","exports"],function(e,t){"use strict";!function(e){e[e.Auto=1]="Auto",e[e.Hidden=2]="Hidden",e[e.Visible=3]="Visible"}(t.ScrollbarVisibility||(t.ScrollbarVisibility={}));t.ScrollbarVisibility}),define("vs/base/browser/ui/scrollbar/scrollbarState",["require","exports"],function(e,t){"use strict";var n=20,o=function(){function e(e,t,n){this._scrollbarSize=Math.round(t),this._oppositeScrollbarSize=Math.round(n),this._arrowSize=Math.round(e),this._visibleSize=0,this._scrollSize=0,this._scrollPosition=0,this._computedAvailableSize=0,this._computedRepresentableSize=0,this._computedRatio=.1,this._computedIsNeeded=!1,this._computedSliderSize=0,this._computedSliderPosition=0,this._refreshComputedValues()}return e.prototype.setVisibleSize=function(e){var t=Math.round(e);return this._visibleSize!==t?(this._visibleSize=t,this._refreshComputedValues(),!0):!1},e.prototype.setScrollSize=function(e){var t=Math.round(e);return this._scrollSize!==t?(this._scrollSize=t,this._refreshComputedValues(),!0):!1},e.prototype.setScrollPosition=function(e){var t=Math.round(e);return this._scrollPosition!==t?(this._scrollPosition=t,this._refreshComputedValues(),!0):!1},e.prototype._refreshComputedValues=function(){var e,t,o=this._oppositeScrollbarSize,i=this._arrowSize,r=this._visibleSize,s=this._scrollSize,a=this._scrollPosition,l=Math.max(0,r-o),u=Math.max(0,l-2*i),c=s>0?u/s:0,d=s>r;if(d){if(e=Math.floor(r*c),t=Math.floor(a*c),n>e){var h=(n-e)/2;e=n,t-=h,t+e>u&&(t=u-e),0>t&&(t=0)}}else e=u,t=0;this._computedAvailableSize=Math.round(l),this._computedRepresentableSize=Math.round(u),this._computedRatio=c,this._computedIsNeeded=d,this._computedSliderSize=Math.round(e),this._computedSliderPosition=Math.round(t)},e.prototype.getArrowSize=function(){return this._arrowSize},e.prototype.getRectangleLargeSize=function(){return this._computedAvailableSize},e.prototype.getRectangleSmallSize=function(){return this._scrollbarSize},e.prototype.isNeeded=function(){return this._computedIsNeeded},e.prototype.getSliderSize=function(){return this._computedSliderSize},e.prototype.getSliderPosition=function(){return this._computedSliderPosition},e.prototype.convertSliderPositionToScrollPosition=function(e){return e/this._computedRatio},e.prototype.validateScrollPosition=function(e){return e=Math.round(e),e=Math.max(e,0),e=Math.min(e,this._scrollSize-this._visibleSize)},e}();t.ScrollbarState=o}),define("vs/base/common/arrays",["require","exports"],function(e,t){"use strict";function n(e,t){return void 0===t&&(t=0),e[e.length-(1+t)]}function o(e,t){for(var n=0,o=e.length;o>n;n++)t(e[n],function(){e.splice(n,1),n--,o--})}function i(e,t,n){if(e.length!==t.length)return!1;for(var o=0,i=e.length;i>o;o++)if(!n(e[o],t[o]))return!1;return!0}function r(e,t,n){for(var o=0,i=e.length-1;i>=o;){var r=(o+i)/2|0,s=n(e[r],t);if(0>s)o=r+1;else{if(!(s>0))return r;i=r-1}}return-(o+1)}function s(e,t){var n=0,o=e.length;if(0===o)return 0;for(;o>n;){var i=Math.floor((n+o)/2);t(e[i])?o=i:n=i+1}return n}function a(e,t){var n=new Array;if(t)for(var o={},i=0;i<e.length;i++)for(var r=0;r<e[i].length;r++){var s=e[i][r],a=t(s);o.hasOwnProperty(a)||(o[a]=!0,n.push(s))}else for(var i=0,l=e.length;l>i;i++)n.push.apply(n,e[i]);return n}function l(e){return e?e.filter(function(e){return!!e}):e}function u(e,t){return e.indexOf(t)>=0}function c(e,t,n){var o=e[t],i=e[n];e[t]=i,e[n]=o}function d(e,t,n){e.splice(n,0,e.splice(t,1)[0])}function h(e){return!Array.isArray(e)||0===e.length}function p(e,t){if(!t)return e.filter(function(t,n){return e.indexOf(t)===n});var n=Object.create(null);return e.filter(function(e){var o=t(e);return n[o]?!1:(n[o]=!0,!0)})}function m(e){var t=Object.create(null);return function(n){var o=e(n);return t[o]?!1:(t[o]=!0,!0)}}function f(e,t){for(var n=0;n<e.length;n++){var o=e[n];if(t(o))return n}return-1}function g(e,t,n){void 0===n&&(n=null);var o=f(e,t);return 0>o?n:e[o]}function v(e,t,n){void 0===n&&(n=function(e,t){return e===t});for(var o=0,i=0,r=Math.min(e.length,t.length);r>i&&n(e[i],t[i]);i++)o++;return o}function y(e){return e.reduce(function(e,t){return e.concat(t)},[])}function _(e,t,n){void 0===n&&(n=[]);for(var o=0;e>o;o++)n[o]=t();return n}t.tail=n,t.forEach=o,t.equals=i,t.binarySearch=r,t.findFirst=s,t.merge=a,t.coalesce=l,t.contains=u,t.swap=c,t.move=d,t.isFalsyOrEmpty=h,t.distinct=p,t.uniqueFilter=m,t.firstIndex=f,t.first=g,t.commonPrefixLength=v,t.flatten=y,t.fill=_}),define("vs/base/common/assert",["require","exports"],function(e,t){"use strict";function n(e,t){if(!e||null===e)throw new Error(t?"Assertion failed ("+t+")":"Assertion Failed")}t.ok=n}),define("vs/base/common/collections",["require","exports"],function(e,t){"use strict";function n(){return Object.create(null)}function o(){return Object.create(null)}function i(e,t,n){void 0===n&&(n=null);var o=String(t);return a(e,o)?e[o]:n}function r(e,t,n){var o=String(t);return a(e,o)?e[o]:("function"==typeof n&&(n=n()),e[o]=n,n)}function s(e,t,n){e[n(t)]=t}function a(e,t){return h.call(e,t)}function l(e){var t=[];for(var n in e)h.call(e,n)&&t.push(e[n]);return t}function u(e,t){for(var n in e)if(h.call(e,n)){var o=t({key:n,value:e[n]},function(){delete e[n]});if(o===!1)return}}function c(e,t){return h.call(e,t)?(delete e[t],!0):!1}function d(e,t){var o=n();return e.forEach(function(e){return r(o,t(e),[]).push(e)}),o}t.createStringDictionary=n,t.createNumberDictionary=o,t.lookup=i,t.lookupOrInsert=r,t.insert=s;var h=Object.prototype.hasOwnProperty;t.contains=a,t.values=l,t.forEach=u,t.remove=c,t.groupBy=d}),define("vs/base/common/diff/diffChange",["require","exports"],function(e,t){"use strict";t.DifferenceType={Add:0,Remove:1,Change:2};var n=function(){function e(e,t,n,o){this.originalStart=e,this.originalLength=t,this.modifiedStart=n,this.modifiedLength=o}return e.prototype.getChangeType=function(){return 0===this.originalLength?t.DifferenceType.Add:0===this.modifiedLength?t.DifferenceType.Remove:t.DifferenceType.Change},e.prototype.getOriginalEnd=function(){return this.originalStart+this.originalLength},e.prototype.getModifiedEnd=function(){return this.modifiedStart+this.modifiedLength},e}();t.DiffChange=n}),define("vs/base/common/diff/diff",["require","exports","vs/base/common/diff/diffChange"],function(e,t,n){"use strict";var o=function(){function e(){}return e.Assert=function(e,t){if(!e)throw new Error(t)},e}();t.Debug=o;var i=function(){function e(){}return e.Copy=function(e,t,n,o,i){for(var r=0;i>r;r++)n[o+r]=e[t+r]},e}();t.MyArray=i;var r=1447,s=function(){function e(){this.m_changes=[],this.m_originalStart=Number.MAX_VALUE,this.m_modifiedStart=Number.MAX_VALUE,this.m_originalCount=0,this.m_modifiedCount=0}return e.prototype.MarkNextChange=function(){(this.m_originalCount>0||this.m_modifiedCount>0)&&this.m_changes.push(new n.DiffChange(this.m_originalStart,this.m_originalCount,this.m_modifiedStart,this.m_modifiedCount)),this.m_originalCount=0,this.m_modifiedCount=0,this.m_originalStart=Number.MAX_VALUE,this.m_modifiedStart=Number.MAX_VALUE},e.prototype.AddOriginalElement=function(e,t){this.m_originalStart=Math.min(this.m_originalStart,e),this.m_modifiedStart=Math.min(this.m_modifiedStart,t),this.m_originalCount++},e.prototype.AddModifiedElement=function(e,t){this.m_originalStart=Math.min(this.m_originalStart,e),this.m_modifiedStart=Math.min(this.m_modifiedStart,t),this.m_modifiedCount++},e.prototype.getChanges=function(){return(this.m_originalCount>0||this.m_modifiedCount>0)&&this.MarkNextChange(),this.m_changes},e.prototype.getReverseChanges=function(){return(this.m_originalCount>0||this.m_modifiedCount>0)&&this.MarkNextChange(),this.m_changes.reverse(),this.m_changes},e}(),a=function(){function e(e,t,n){void 0===n&&(n=null),this.OriginalSequence=e,this.ModifiedSequence=t,this.ContinueProcessingPredicate=n,this.m_originalIds=[],this.m_modifiedIds=[],this.m_forwardHistory=[],this.m_reverseHistory=[],this.ComputeUniqueIdentifiers()}return e.prototype.ComputeUniqueIdentifiers=function(){var e=this.OriginalSequence.getLength(),t=this.ModifiedSequence.getLength();this.m_originalIds=new Array(e),this.m_modifiedIds=new Array(t);var n,o={},i=1;for(n=0;e>n;n++){var r=this.OriginalSequence.getElementHash(n);o.hasOwnProperty(r)?this.m_originalIds[n]=o[r]:(this.m_originalIds[n]=i++,o[r]=this.m_originalIds[n])}for(n=0;t>n;n++){var s=this.ModifiedSequence.getElementHash(n);o.hasOwnProperty(s)?this.m_modifiedIds[n]=o[s]:(this.m_modifiedIds[n]=i++,o[s]=this.m_modifiedIds[n])}},e.prototype.ElementsAreEqual=function(e,t){return this.m_originalIds[e]===this.m_modifiedIds[t]},e.prototype.ComputeDiff=function(){return this._ComputeDiff(0,this.OriginalSequence.getLength()-1,0,this.ModifiedSequence.getLength()-1)},e.prototype._ComputeDiff=function(e,t,n,o){var i=[!1];return this.ComputeDiffRecursive(e,t,n,o,i)},e.prototype.ComputeDiffRecursive=function(e,t,i,r,s){for(s[0]=!1;t>=e&&r>=i&&this.ElementsAreEqual(e,i);)e++,i++;for(;t>=e&&r>=i&&this.ElementsAreEqual(t,r);)t--,r--;if(e>t||i>r){var a=void 0;return r>=i?(o.Assert(e===t+1,"originalStart should only be one more than originalEnd"),a=[new n.DiffChange(e,0,i,r-i+1)]):t>=e?(o.Assert(i===r+1,"modifiedStart should only be one more than modifiedEnd"),a=[new n.DiffChange(e,t-e+1,i,0)]):(o.Assert(e===t+1,"originalStart should only be one more than originalEnd"),o.Assert(i===r+1,"modifiedStart should only be one more than modifiedEnd"),a=[]),a}var l=[0],u=[0],c=this.ComputeRecursionPoint(e,t,i,r,l,u,s),d=l[0],h=u[0];if(null!==c)return c;if(!s[0]){var p=this.ComputeDiffRecursive(e,d,i,h,s),m=[];return m=s[0]?[new n.DiffChange(d+1,t-(d+1)+1,h+1,r-(h+1)+1)]:this.ComputeDiffRecursive(d+1,t,h+1,r,s),this.ConcatenateChanges(p,m)}return[new n.DiffChange(e,t-e+1,i,r-i+1)]},e.prototype.WALKTRACE=function(e,t,o,i,r,a,l,u,c,d,h,p,m,f,g,v,y,_){var b,C=null,w=null,E=new s,S=t,x=o,T=m[0]-v[0]-i,L=Number.MIN_VALUE,M=this.m_forwardHistory.length-1;do b=T+e,b===S||x>b&&c[b-1]<c[b+1]?(h=c[b+1],f=h-T-i,L>h&&E.MarkNextChange(),L=h,E.AddModifiedElement(h+1,f),T=b+1-e):(h=c[b-1]+1,f=h-T-i,L>h&&E.MarkNextChange(),L=h-1,E.AddOriginalElement(h,f+1),T=b-1-e),M>=0&&(c=this.m_forwardHistory[M],e=c[0],S=1,x=c.length-1);while(--M>=-1);if(C=E.getReverseChanges(),_[0]){var N=m[0]+1,I=v[0]+1;if(null!==C&&C.length>0){var D=C[C.length-1];N=Math.max(N,D.getOriginalEnd()),I=Math.max(I,D.getModifiedEnd())}w=[new n.DiffChange(N,p-N+1,I,g-I+1)]}else{E=new s,S=a,x=l,T=m[0]-v[0]-u,L=Number.MAX_VALUE,M=y?this.m_reverseHistory.length-1:this.m_reverseHistory.length-2;do b=T+r,b===S||x>b&&d[b-1]>=d[b+1]?(h=d[b+1]-1,f=h-T-u,h>L&&E.MarkNextChange(),L=h+1,E.AddOriginalElement(h+1,f+1),T=b+1-r):(h=d[b-1],f=h-T-u,h>L&&E.MarkNextChange(),L=h,E.AddModifiedElement(h+1,f+1),T=b-1-r),M>=0&&(d=this.m_reverseHistory[M],r=d[0],S=1,x=d.length-1);while(--M>=-1);w=E.getChanges()}return this.ConcatenateChanges(C,w)},e.prototype.ComputeRecursionPoint=function(e,t,o,s,a,l,u){var c,d,h,p=0,m=0,f=0,g=0;e--,o--,a[0]=0,l[0]=0,this.m_forwardHistory=[],this.m_reverseHistory=[];var v=t-e+(s-o),y=v+1,_=new Array(y),b=new Array(y),C=s-o,w=t-e,E=e-o,S=t-s,x=w-C,T=x%2===0;_[C]=e,b[w]=t,u[0]=!1;var L,M;for(h=1;v/2+1>=h;h++){var N=0,I=0;for(p=this.ClipDiagonalBound(C-h,h,C,y),m=this.ClipDiagonalBound(C+h,h,C,y),L=p;m>=L;L+=2){for(c=L===p||m>L&&_[L-1]<_[L+1]?_[L+1]:_[L-1]+1,d=c-(L-C)-E,M=c;t>c&&s>d&&this.ElementsAreEqual(c+1,d+1);)c++,d++;if(_[L]=c,c+d>N+I&&(N=c,I=d),!T&&Math.abs(L-w)<=h-1&&c>=b[L])return a[0]=c,l[0]=d,M<=b[L]&&r>0&&r+1>=h?this.WALKTRACE(C,p,m,E,w,f,g,S,_,b,c,t,a,d,s,l,T,u):null}var D=(N-e+(I-o)-h)/2;if(null!==this.ContinueProcessingPredicate&&!this.ContinueProcessingPredicate(N,this.OriginalSequence,D))return u[0]=!0,a[0]=N,l[0]=I,D>0&&r>0&&r+1>=h?this.WALKTRACE(C,p,m,E,w,f,g,S,_,b,c,t,a,d,s,l,T,u):(e++,o++,[new n.DiffChange(e,t-e+1,o,s-o+1)]);for(f=this.ClipDiagonalBound(w-h,h,w,y),g=this.ClipDiagonalBound(w+h,h,w,y),L=f;g>=L;L+=2){for(c=L===f||g>L&&b[L-1]>=b[L+1]?b[L+1]-1:b[L-1],d=c-(L-w)-S,M=c;c>e&&d>o&&this.ElementsAreEqual(c,d);)c--,d--;if(b[L]=c,T&&Math.abs(L-C)<=h&&c<=_[L])return a[0]=c,l[0]=d,M>=_[L]&&r>0&&r+1>=h?this.WALKTRACE(C,p,m,E,w,f,g,S,_,b,c,t,a,d,s,l,T,u):null}if(r>=h){var R=new Array(m-p+2);R[0]=C-p+1,i.Copy(_,p,R,1,m-p+1),this.m_forwardHistory.push(R),R=new Array(g-f+2),R[0]=w-f+1,i.Copy(b,f,R,1,g-f+1),this.m_reverseHistory.push(R)}}return this.WALKTRACE(C,p,m,E,w,f,g,S,_,b,c,t,a,d,s,l,T,u)},e.prototype.ConcatenateChanges=function(e,t){var n=[],o=null;return 0===e.length||0===t.length?t.length>0?t:e:this.ChangesOverlap(e[e.length-1],t[0],n)?(o=new Array(e.length+t.length-1),i.Copy(e,0,o,0,e.length-1),o[e.length-1]=n[0],i.Copy(t,1,o,e.length,t.length-1),o):(o=new Array(e.length+t.length),i.Copy(e,0,o,0,e.length),i.Copy(t,0,o,e.length,t.length),o)},e.prototype.ChangesOverlap=function(e,t,i){if(o.Assert(e.originalStart<=t.originalStart,"Left change is not less than or equal to right change"),o.Assert(e.modifiedStart<=t.modifiedStart,"Left change is not less than or equal to right change"),e.originalStart+e.originalLength>=t.originalStart||e.modifiedStart+e.modifiedLength>=t.modifiedStart){var r=e.originalStart,s=e.originalLength,a=e.modifiedStart,l=e.modifiedLength;return e.originalStart+e.originalLength>=t.originalStart&&(s=t.originalStart+t.originalLength-e.originalStart),e.modifiedStart+e.modifiedLength>=t.modifiedStart&&(l=t.modifiedStart+t.modifiedLength-e.modifiedStart),i[0]=new n.DiffChange(r,s,a,l),!0}return i[0]=null,!1},e.prototype.ClipDiagonalBound=function(e,t,n,o){if(e>=0&&o>e)return e;var i=n,r=o-n-1,s=t%2===0;if(0>e){var a=i%2===0;return s===a?0:1}var l=r%2===0;return s===l?o-1:o-2},e}();t.LcsDiff=a});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/common/events",["require","exports"],function(e,t){"use strict";var n=function(){function e(e){this.time=(new Date).getTime(),this.originalEvent=e,this.source=null}return e}();t.Event=n;var o=function(e){function t(t,n,o,i){e.call(this,i),this.key=t,this.oldValue=n,this.newValue=o}return __extends(t,e),t}(n);t.PropertyChangeEvent=o;var i=function(e){function t(t,n){e.call(this,n),this.element=t}return __extends(t,e),t}(n);t.ViewerEvent=i,t.EventType={PROPERTY_CHANGED:"propertyChanged",SELECTION:"selection",FOCUS:"focus",BLUR:"blur",HIGHLIGHT:"highlight",EXPAND:"expand",COLLAPSE:"collapse",TOGGLE:"toggle",CONTENTS_CHANGED:"contentsChanged",BEFORE_RUN:"beforeRun",RUN:"run",EDIT:"edit",SAVE:"save",CANCEL:"cancel",CHANGE:"change",DISPOSE:"dispose"}}),define("vs/base/common/htmlContent",["require","exports"],function(e,t){"use strict";function n(e,t){return e||t?e&&t?e.language===t.language&&e.value===t.value:!1:!0}function o(e,t){return e.formattedText===t.formattedText&&e.text===t.text&&e.className===t.className&&e.style===t.style&&e.customStyle===t.customStyle&&e.tagName===t.tagName&&e.isText===t.isText&&e.role===t.role&&e.markdown===t.markdown&&n(e.code,t.code)&&i(e.children,t.children)}function i(e,t){if(!e&&!t)return!0;if(!e||!t)return!1;var n=e.length,i=t.length;if(n!==i)return!1;for(var r=0;n>r;r++)if(!o(e[r],t[r]))return!1;return!0}t.htmlContentElementArrEquals=i}),define("vs/base/common/idGenerator",["require","exports"],function(e,t){"use strict";var n=function(){function e(e){this._prefix=e,this._lastId=0}return e.prototype.nextId=function(){return this._prefix+ ++this._lastId},e}();t.IdGenerator=n,t.defaultGenerator=new n("id#")});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/common/iterator",["require","exports"],function(e,t){"use strict";var n=function(){function e(e,t,n){void 0===t&&(t=0),void 0===n&&(n=e.length),this.items=e,this.start=t,this.end=n,this.index=t-1}return e.prototype.next=function(){return this.index=Math.min(this.index+1,this.end),this.index===this.end?null:this.items[this.index]},e}();t.ArrayIterator=n;var o=function(){function e(e,t){this.iterator=e,this.fn=t}return e.prototype.next=function(){return this.fn(this.iterator.next())},e}();t.MappedIterator=o;var i=function(e){function t(t,n){e.call(this,t,n),this.navigator=t}return __extends(t,e),t.prototype.current=function(){return this.fn(this.navigator.current())},t.prototype.previous=function(){return this.fn(this.navigator.previous())},t.prototype.parent=function(){return this.fn(this.navigator.parent())},t.prototype.first=function(){return this.fn(this.navigator.first())},t.prototype.last=function(){return this.fn(this.navigator.last())},t}(o);t.MappedNavigator=i});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/common/map",["require","exports"],function(e,t){"use strict";var n=function(){function e(){this.map=Object.create(null),this._size=0}return Object.defineProperty(e.prototype,"size",{get:function(){return this._size},enumerable:!0,configurable:!0}),e.prototype.get=function(e){var t=this.peek(e);return t?t:null},e.prototype.keys=function(){var e=[];for(var t in this.map)e.push(this.map[t].key);return e},e.prototype.entries=function(){var e=[];for(var t in this.map)e.push(this.map[t]);return e},e.prototype.set=function(e,t){return this.get(e)?!1:(this.push(e,t),!0)},e.prototype["delete"]=function(e){var t=this.get(e);return t?(this.pop(e),t):null},e.prototype.has=function(e){return!!this.get(e)},e.prototype.clear=function(){this.map=Object.create(null),this._size=0},e.prototype.push=function(e,t){var n={key:e,value:t};this.map[e.toString()]=n,this._size++},e.prototype.pop=function(e){delete this.map[e.toString()],this._size--},e.prototype.peek=function(e){var t=this.map[e.toString()];return t?t.value:null},e}();t.SimpleMap=n;var o=function(){function e(e,t){void 0===e&&(e=Number.MAX_VALUE),void 0===t&&(t=1),this.limit=e,this.map=Object.create(null),this._size=0,this.ratio=e*t}return Object.defineProperty(e.prototype,"size",{get:function(){return this._size},enumerable:!0,configurable:!0}),e.prototype.set=function(e,t){if(this.map[e])return!1;var n={key:e,value:t};return this.push(n),this._size>this.limit&&this.trim(),!0},e.prototype.get=function(e){var t=this.map[e];return t?t.value:null},e.prototype["delete"]=function(e){var t=this.map[e];return t?(this.map[e]=void 0,this._size--,t.next?t.next.prev=t.prev:this.head=t.prev,t.prev?t.prev.next=t.next:this.tail=t.next,t.value):null},e.prototype.has=function(e){return!!this.map[e]},e.prototype.clear=function(){this.map=Object.create(null),this._size=0,this.head=null,this.tail=null},e.prototype.push=function(e){this.head&&(e.prev=this.head,this.head.next=e),this.tail||(this.tail=e),this.head=e,this.map[e.key]=e,this._size++},e.prototype.trim=function(){if(this.tail)if(this.ratio<this.limit)for(var e=0,t=this.tail;t.next;){if(this.map[t.key]=void 0,this._size--,e===this.ratio){this.tail=t.next,this.tail.prev=null;break}t=t.next,e++}else this.map[this.tail.key]=void 0,this._size--,this.tail=this.tail.next,this.tail.prev=null},e}();t.LinkedMap=o;var i=function(e){function t(t){e.call(this,t)}return __extends(t,e),t.prototype.get=function(e){var t=this.map[e];return t?(this["delete"](e),this.push(t),t.value):null},t}(o);t.LRUCache=i}),define("vs/base/common/marked/marked",["require","exports"],function(e,t){"use strict";function n(e){return e}n.Renderer=function(){};var o={marked:n};return o}),define("vs/base/common/network",["require","exports"],function(e,t){"use strict";var n;!function(e){e.inMemory="inmemory",e.http="http",e.https="https",e.file="file"}(n=t.Schemas||(t.Schemas={}))}),define("vs/base/common/platform",["require","exports"],function(e,t){"use strict";function n(){return"undefined"!=typeof y.Worker}var o=!1,i=!1,r=!1,s=!1,a=!1,l=!1,u=!1,c=void 0,d=void 0;if(t.LANGUAGE_DEFAULT="en","object"==typeof process){o="win32"===process.platform,i="darwin"===process.platform,r="linux"===process.platform,s=!o&&0===process.getuid();var h=process.env.VSCODE_NLS_CONFIG;if(h)try{var p=JSON.parse(h),m=p.availableLanguages["*"];c=p.locale,d=m?m:t.LANGUAGE_DEFAULT}catch(f){}a=!0}else if("object"==typeof navigator){var g=navigator.userAgent;o=g.indexOf("Windows")>=0,i=g.indexOf("Macintosh")>=0,r=g.indexOf("Linux")>=0,l=!0,c=navigator.language,d=c,u=!!self.QUnit}!function(e){e[e.Web=0]="Web",e[e.Mac=1]="Mac",e[e.Linux=2]="Linux",e[e.Windows=3]="Windows"}(t.Platform||(t.Platform={}));var v=t.Platform;t._platform=v.Web,a&&(i?t._platform=v.Mac:o?t._platform=v.Windows:r&&(t._platform=v.Linux)),t.isWindows=o,t.isMacintosh=i,t.isLinux=r,t.isRootUser=s,t.isNative=a,t.isWeb=l,t.isQunit=u,t.platform=t._platform,t.language=d,t.locale=c;var y="object"==typeof self?self:global;t.globals=y,t.hasWebWorkerSupport=n,t.setTimeout=y.setTimeout.bind(y),t.clearTimeout=y.clearTimeout.bind(y),t.setInterval=y.setInterval.bind(y),t.clearInterval=y.clearInterval.bind(y)}),define("vs/base/common/flags",["require","exports","vs/base/common/platform"],function(e,t,n){"use strict";function o(e,t){return void 0===t&&(t=!1),n.globals.GlobalEnvironment&&n.globals.GlobalEnvironment.hasOwnProperty(e)?n.globals.GlobalEnvironment[e]:t}function i(e){return o("workersCount",e)}t.standaloneEditorTelemetryEndpoint=o("telemetryEndpoint",null),t.getCrossOriginWorkerScriptUrl=o("getWorkerUrl",null),t.workersCount=i}),define("vs/base/common/paths",["require","exports","vs/base/common/platform"],function(e,t,n){"use strict";function o(e,n){e=a(e),n=a(n);for(var o=e.split(t.sep),i=n.split(t.sep);o.length>0&&i.length>0&&o[0]===i[0];)o.shift(),i.shift();for(var r=0,s=o.length;s>r;r++)i.unshift("..");return i.join(t.sep)}function i(e){var t=~e.lastIndexOf("/")||~e.lastIndexOf("\\");return 0===t?".":0===~t?e[0]:e.substring(0,~t)}function r(e){var t=~e.lastIndexOf("/")||~e.lastIndexOf("\\");return 0===t?e:~t===e.length-1?r(e.substring(0,e.length-1)):e.substr(~t+1)}function s(e){e=r(e);var t=~e.lastIndexOf(".");return t?e.substring(~t):""}function a(e,t){if(null===e||void 0===e)return e;var o=e.length;if(0===o)return".";var i=n.isWindows&&t?"\\":"/",r=l(e,i);e=e.slice(r.length),o-=r.length;for(var s="",a=0,u=0;o>=u;u++)if(u===o||e.charCodeAt(u)===g||e.charCodeAt(u)===v){var c=e.slice(a,u);if(a=u+1,"."===c&&(r||s||o-1>u))continue;if(".."===c){var d=s.lastIndexOf(i),h=s.slice(d+1);if((r||h.length>0)&&".."!==h){s=-1===d?"":s.slice(0,d);continue}}""!==s&&s[s.length-1]!==i&&(s+=i),s+=c}return r+s}function l(e,t){if(void 0===t&&(t="/"),!e)return"";var n=e.length,o=e.charCodeAt(0);if(o===g||o===v){if(o=e.charCodeAt(1),(o===g||o===v)&&(o=e.charCodeAt(2),o!==g&&o!==v)){for(var i=3,r=i;n>i&&(o=e.charCodeAt(i),o!==g&&o!==v);i++);if(o=e.charCodeAt(i+1),r!==i&&o!==g&&o!==v)for(i+=1;n>i;i++)if(o=e.charCodeAt(i),o===g||o===v)return e.slice(0,i+1).replace(/[\\/]/g,t)}return t}if((o>=b&&w>=o||o>=_&&C>=o)&&e.charCodeAt(1)===y)return o=e.charCodeAt(2),o===g||o===v?e.slice(0,2)+t:e.slice(0,2);var s=e.indexOf("://");if(-1!==s)for(s+=3;n>s;s++)if(o=e.charCodeAt(s),o===g||o===v)return e.slice(0,s+1);return""}function u(e){if(!n.isWindows)return!1;if(!e||e.length<5)return!1;var t=e.charCodeAt(0);if(t!==v)return!1;if(t=e.charCodeAt(1),t!==v)return!1;for(var o=2,i=o;o<e.length&&(t=e.charCodeAt(o),t!==v);o++);return i===o?!1:(t=e.charCodeAt(o+1),!isNaN(t)&&t!==v)}function c(e){return e&&"/"===e[0]}function d(e,n){return c(n?e:a(e))?e:t.sep+e}function h(e){return e&&e.length>1&&"."===e[0]}function p(e,t){if(e===t)return!0;e=a(e),t=a(t);var o=t.length,i=t.charCodeAt(o-1);if(i===g&&(t=t.substring(0,o-1),o-=1),e===t)return!0;if(n.isLinux||(e=e.toLowerCase(),t=t.toLowerCase()),e===t)return!0;if(0!==e.indexOf(t))return!1;var r=e.charCodeAt(o);return r===g}function m(e){return!e||0===e.length||/^\s+$/.test(e)?!1:(E.lastIndex=0,E.test(e)?!1:n.isWindows&&S.test(e)?!1:"."===e||".."===e?!1:n.isWindows&&"."===e[e.length-1]?!1:!n.isWindows||e.length===e.trim().length)}function f(e){return t.isAbsoluteRegex.test(e)}t.sep="/",t.nativeSep=n.isWindows?"\\":"/",t.relative=o,t.dirname=i,t.basename=r,t.extname=s,t.normalize=a,t.getRoot=l,t.join=function(){for(var e="",n=0;n<arguments.length;n++){var o=arguments[n];if(n>0){var i=e.charCodeAt(e.length-1);if(i!==g&&i!==v){var r=o.charCodeAt(0);r!==g&&r!==v&&(e+=t.sep)}}e+=o}return a(e)},t.isUNC=u,t.makeAbsolute=d,t.isRelative=h;var g="/".charCodeAt(0),v="\\".charCodeAt(0),y=":".charCodeAt(0),_="a".charCodeAt(0),b="A".charCodeAt(0),C="z".charCodeAt(0),w="Z".charCodeAt(0);t.isEqualOrParent=p;var E=n.isWindows?/[\\/:\*\?"<>\|]/g:/[\\/]/g,S=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])$/i;t.isValidBasename=m,t.isAbsoluteRegex=/^((\/|[a-zA-Z]:\\)[^\(\)<>\\'\"\[\]]+)/,t.isAbsolute=f}),define("vs/base/common/scorer",["require","exports"],function(e,t){"use strict";function n(e,t,n){if(!e||!t)return 0;var i=e+t,s=n&&n[i];if("number"==typeof s)return s;for(var a=t.length,l=e.toLowerCase(),u=t.toLowerCase(),c=0,d=0,h=0,p=function(){var n=l.indexOf(u[c],d);return 0>n?(h=0,"break"):(h+=1,d===n&&(h+=5),e[n]===t[n]&&(h+=1),0===n?h+=8:r.some(function(t){return t===e[n-1]})?h+=7:o(e.charCodeAt(n))&&(h+=1),d=n+1,void c++)};a>c;){var m=p();if("break"===m)break}return n&&(n[i]=h),h}function o(e){return e>=65&&90>=e}function i(e,t){if(!e||!t)return!1;for(var n=t.length,o=e.toLowerCase(),i=0,r=-1;n>i;){var s=o.indexOf(t[i],r+1);if(0>s)return!1;r=s,i++}return!0}/*!
    * string_score.js: String Scoring Algorithm 0.1.22
    *
    * http://joshaven.com/string_score
    * https://github.com/joshaven/string_score
    *
    * Copyright (C) 2009-2014 Joshaven Potter <yourtech@gmail.com>
    * Special thanks to all of the contributors listed here https://github.com/joshaven/string_score
    * MIT License: http://opensource.org/licenses/MIT
    *
    * Date: Tue Mar 1 2011
    * Updated: Tue Mar 10 2015
    */
var r=["-","_"," ","/","\\","."];t.score=n,t.matches=i}),define("vs/base/common/sortedList",["require","exports","vs/base/common/arrays"],function(e,t,n){"use strict";var o=function(){function e(t){this.keys=[],this.values=[],this.comparator=t||e.DEFAULT_COMPARATOR}return Object.defineProperty(e.prototype,"count",{get:function(){return this.keys.length},enumerable:!0,configurable:!0}),e.prototype.getValueByIndex=function(e){return e>=0&&e<this.values.length?this.values[e]:null},e.prototype.getKey=function(e){return e>=0&&e<this.keys.length?this.keys[e]:null},e.prototype.getKeys=function(){return new r(this.keys)},e.prototype.getValue=function(e){if(!e)throw new Error("Key must be defined.");var t=this.indexOfKey(e);return t>=0?this.values[t]:null},e.prototype.getValues=function(){return new r(this.values)},e.prototype.indexOfKey=function(e){if(!e)throw new Error("Key must be defined.");return Math.max(-1,n.binarySearch(this.keys,e,this.comparator))},e.prototype.add=function(e,t){if(!e||!t)throw new Error("Key and value must be defined.");for(var n=0;n<this.keys.length&&this.comparator(e,this.keys[n])>0;)n++;this.keys.splice(n,0,e),this.values.splice(n,0,t)},e.prototype.remove=function(e){if(!e)throw new Error("Key must be defined.");var t=this.indexOfKey(e);return t>=0&&(this.values.splice(t,1),this.keys.splice(t,1)),t>=0},e.prototype.getIterator=function(){return new i(this.keys,this.values)},e.DEFAULT_COMPARATOR=function(e,t){return t>e?-1:e>t?1:0},e}();t.SortedList=o;var i=function(){function e(e,t){this.keys=e,this.values=t,this.index=-1}return Object.defineProperty(e.prototype,"current",{get:function(){return this.index<0||this.keys.length<this.index?null:{key:this.keys[this.index],value:this.values[this.index]}},enumerable:!0,configurable:!0}),e.prototype.moveNext=function(){return this.index++,this.index<this.keys.length},e.prototype.hasNext=function(){return this.index+1<this.keys.length},e.prototype.reset=function(){this.index=-1},e.prototype.dispose=function(){this.keys=null,this.values=null},e}(),r=function(){function e(e){this.values=e,this.index=-1}return Object.defineProperty(e.prototype,"current",{get:function(){return this.index<0||this.values.length<this.index?null:this.values[this.index]},enumerable:!0,configurable:!0}),e.prototype.moveNext=function(){return this.index++,this.index<this.values.length},e.prototype.hasNext=function(){return this.index+1<this.values.length},e.prototype.reset=function(){this.index=-1},e.prototype.dispose=function(){this.values=null},e}()}),define("vs/base/common/stopwatch",["require","exports","vs/base/common/platform"],function(e,t,n){"use strict";var o=n.globals.performance&&"function"==typeof n.globals.performance.now,i=function(){function e(e){this._highResolution=o&&e,this._startTime=this._now(),this._stopTime=-1}return e.create=function(t){return void 0===t&&(t=!0),new e(t)},e.prototype.stop=function(){this._stopTime=this._now()},e.prototype.elapsed=function(){return-1!==this._stopTime?this._stopTime-this._startTime:this._now()-this._startTime},e.prototype._now=function(){return this._highResolution?n.globals.performance.now():(new Date).getTime()},e}();t.StopWatch=i}),define("vs/base/common/strings",["require","exports","vs/base/common/map"],function(e,t,n){"use strict";function o(e,t,n){void 0===n&&(n="0");for(var o=""+e,i=[o],r=o.length;t>r;r++)i.push(n);return i.reverse().join("")}function i(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return 0===t.length?e:e.replace(P,function(e,n){var o=parseInt(n,10);return isNaN(o)||0>o||o>=t.length?e:t[o]})}function r(e){return e.replace(/[<|>|&]/g,function(e){switch(e){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return e}})}function s(e){return e.replace(/[\-\\\{\}\*\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&")}function a(e,t){void 0===t&&(t=" ");var n=l(e,t);return u(n,t)}function l(e,t){if(!e||!t)return e;var n=t.length;if(0===n||0===e.length)return e;for(var o=0,i=-1;(i=e.indexOf(t,o))===o;)o+=n;return e.substring(o)}function u(e,t){if(!e||!t)return e;var n=t.length,o=e.length;if(0===n||0===o)return e;for(var i=o,r=-1;;){if(r=e.lastIndexOf(t,i-1),-1===r||r+n!==i)break;if(0===r)return"";i=r}return e.substring(0,i)}function c(e){return e.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}function d(e){return e.replace(/\*/g,"")}function h(e,t){if(e.length<t.length)return!1;for(var n=0;n<t.length;n++)if(e[n]!==t[n])return!1;return!0}function p(e,t){var n=e.length-t.length;return n>0?e.lastIndexOf(t)===n:0===n?e===t:!1}function m(e,t,n,o,i){if(""===e)throw new Error("Cannot create regex from empty string");t||(e=e.replace(/[\-\\\{\}\*\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&")),o&&(/\B/.test(e.charAt(0))||(e="\\b"+e),/\B/.test(e.charAt(e.length-1))||(e+="\\b"));var r="";return i&&(r+="g"),n||(r+="i"),new RegExp(e,r)}function f(e,t,n,o){if(""===e)return null;var i=null;try{i=m(e,t,n,o,!0)}catch(r){return null}try{if(g(i))return null}catch(r){return null}return i}function g(e){if("^"===e.source||"^$"===e.source||"$"===e.source)return!1;var t=e.exec("");return t&&0===e.lastIndex}function v(e){if(!t.canNormalize||!e)return e;var n=W.get(e);if(n)return n;var o;return o=A.test(e)?e.normalize("NFC"):e,W.set(e,o),o}function y(e){for(var t=0,n=e.length;n>t;t++)if(" "!==e.charAt(t)&&"	"!==e.charAt(t))return t;return-1}function _(e){for(var t=0,n=e.length;n>t;t++)if(" "!==e.charAt(t)&&"	"!==e.charAt(t))return e.substring(0,t);return e}function b(e,t){void 0===t&&(t=e.length-1);for(var n=t;n>=0;n--)if(" "!==e.charAt(n)&&"	"!==e.charAt(n))return n;return-1}function C(e,t){return e.localeCompare(t)}function w(e){return e>=97&&122>=e||e>=65&&90>=e}function E(e,t){var n=e.length,o=t.length;if(n!==o)return!1;for(var i=0;n>i;i++){var r=e.charCodeAt(i),s=t.charCodeAt(i);if(r!==s)if(w(r)&&w(s)){var a=Math.abs(r-s);if(0!==a&&32!==a)return!1}else if(String.fromCharCode(r).toLocaleLowerCase()!==String.fromCharCode(s).toLocaleLowerCase())return!1}return!0}function S(e,t){var n,o=Math.min(e.length,t.length);for(n=0;o>n;n++)if(e.charCodeAt(n)!==t.charCodeAt(n))return n;return o}function x(e,t){var n,o=Math.min(e.length,t.length),i=e.length-1,r=t.length-1;for(n=0;o>n;n++)if(e.charCodeAt(i-n)!==t.charCodeAt(r-n))return n;return o}function T(e){return e=+e,e>=11904&&55215>=e||e>=63744&&64255>=e||e>=65281&&65374>=e}function L(e,t,n){void 0===n&&(n=4);var o=Math.abs(e.length-t.length);if(o>n)return 0;var i,r,s=[],a=[];for(i=0;i<t.length+1;++i)a.push(0);for(i=0;i<e.length+1;++i)s.push(a);for(i=1;i<e.length+1;++i)for(r=1;r<t.length+1;++r)e[i-1]===t[r-1]?s[i][r]=s[i-1][r-1]+1:s[i][r]=Math.max(s[i-1][r],s[i][r-1]);return s[e.length][t.length]-Math.sqrt(o)}function M(e){for(var t,n=/\r\n|\r|\n/g,o=[0];t=n.exec(e);)o.push(n.lastIndex);return o}function N(e,n){if(e.length<n)return e;for(var o=e.split(/\b/),i=0,r=o.length-1;r>=0;r--)if(i+=o[r].length,i>n){o.splice(0,r);break}return o.join(t.empty).replace(/^\s/,t.empty)}function I(e){return e&&(e=e.replace(F,""),e=e.replace(H,"\n"),e=e.replace(V,""),e=e.replace(K,"")),e}function D(e){return e&&e.length>0&&e.charCodeAt(0)===B}function R(e,t,n){var o=e.length+t.length;return o>n&&(e="..."+e.substr(o-n)),e+=t.length>n?t.substr(t.length-n):t}function O(e){return btoa(encodeURIComponent(e))}function k(e,t){for(var n="",o=0;t>o;o++)n+=e;return n}t.empty="",t.pad=o;var P=/{(\d+)}/g;t.format=i,t.escape=r,t.escapeRegExpCharacters=s,t.trim=a,t.ltrim=l,t.rtrim=u,t.convertSimple2RegExpPattern=c,t.stripWildcards=d,t.startsWith=h,t.endsWith=p,t.createRegExp=m,t.createSafeRegExp=f,t.regExpLeadsToEndlessLoop=g,t.canNormalize="function"==typeof"".normalize;var A=/[^\u0000-\u0080]/,W=new n.LinkedMap(1e4);t.normalizeNFC=v,t.firstNonWhitespaceIndex=y,t.getLeadingWhitespace=_,t.lastNonWhitespaceIndex=b,t.localeCompare=C,t.equalsIgnoreCase=E,t.commonPrefixLength=S,t.commonSuffixLength=x,t.isFullWidthCharacter=T,t.difference=L,t.computeLineStarts=M,t.lcut=N;var F=/\x1B\x5B[12]?K/g,H=/\xA/g,V=/\x1b\[\d+m/g,K=/\x1b\[0?m/g;t.removeAnsiEscapeCodes=I;var B=65279;t.UTF8_BOM_CHARACTER=String.fromCharCode(B),t.startsWithUTF8BOM=D,t.appendWithLimit=R,t.safeBtoa=O,t.repeat=k}),define("vs/base/browser/ui/octiconLabel/octiconLabel",["require","exports","vs/base/common/strings"],function(e,t,n){"use strict";function o(e){return e}var i=function(){function e(e){this._container=e}return Object.defineProperty(e.prototype,"text",{set:function(e){var t=e||"";t=n.escape(t),t=o(t),this._container.innerHTML=t},enumerable:!0,configurable:!0}),e}(),r={expand:o,OcticonLabel:i};return r}),define("vs/base/common/comparers",["require","exports","vs/base/common/strings"],function(e,t,n){"use strict";function o(e,t){var n=s.exec(e.toLowerCase()),o=s.exec(t.toLowerCase()),i=n[1]||n[3]||"",r=n[2]||"",a=o[1]||o[3]||"",l=o[2]||"";return i!==a?a>i?-1:1:l>r?-1:1}function i(e,t,i){var s=e.toLowerCase(),a=t.toLowerCase(),l=r(e,t,i);if(l)return l;var u=n.endsWith(s,i),c=n.endsWith(a,i);if(u!==c)return u?-1:1;var d=o(s,a);return 0!==d?d:n.localeCompare(s,a)}function r(e,t,n){var o=e.toLowerCase(),i=t.toLowerCase(),r=0===o.indexOf(n),s=0===i.indexOf(n);if(r!==s)return r?-1:1;if(r&&s){if(o.length<i.length)return-1;if(o.length>i.length)return 1}return 0}var s=/^(.*)\.([^.]*)|([^.]+)$/;t.compareFileNames=o,t.compareAnything=i,t.compareByPrefix=r}),define("vs/base/common/filters",["require","exports","vs/base/common/strings","vs/base/common/map"],function(e,t,n,o){"use strict";function i(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];return function(t,n){for(var o=0,i=e.length;i>o;o++){var r=e[o](t,n);if(r)return r}return null}}function r(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];return function(t,n){for(var o=[],i=0,r=e.length;r>i;i++){var s=e[i](t,n);if(!s)return null;o=o.concat(s)}return o}}function s(e,t,n){if(!n||0===n.length||n.length<t.length)return null;e&&(t=t.toLowerCase(),n=n.toLowerCase());for(var o=0;o<t.length;o++)if(t[o]!==n[o])return null;return t.length>0?[{start:0,end:t.length}]:[]}function a(e,t){var n=t.toLowerCase().indexOf(e.toLowerCase());return-1===n?null:[{start:n,end:n+e.length}]}function l(e,t){return u(e.toLowerCase(),t.toLowerCase(),0,0)}function u(e,t,n,o){if(n===e.length)return[];if(o===t.length)return null;if(e[n]===t[o]){var i=null;if(i=u(e,t,n+1,o+1))return f({start:o,end:o+1},i)}return u(e,t,n,o+1)}function c(e){return e>=97&&122>=e}function d(e){return e>=65&&90>=e}function h(e){return e>=48&&57>=e}function p(e){return[32,9,10,13].indexOf(e)>-1}function m(e){return c(e)||d(e)||h(e)}function f(e,t){return 0===t.length?t=[e]:e.end===t[0].start?t[0].start=e.start:t.unshift(e),t}function g(e,t){for(var n=t;n<e.length;n++){var o=e.charCodeAt(n);if(d(o)||h(o)||n>0&&!m(e.charCodeAt(n-1)))return n}return e.length}function v(e,t,n,o){if(n===e.length)return[];if(o===t.length)return null;if(e[n]!==t[o].toLowerCase())return null;var i=null,r=o+1;for(i=v(e,t,n+1,o+1);!i&&(r=g(t,r))<t.length;)i=v(e,t,n+1,r),r++;return null===i?null:f({start:o,end:o+1},i)}function y(e){if(e.length>60)return!1;for(var t=0,n=0,o=0,i=0,r=0,s=0;s<e.length;s++)r=e.charCodeAt(s),d(r)&&t++,c(r)&&n++,m(r)&&o++,h(r)&&i++;var a=t/e.length,l=n/e.length,u=o/e.length,p=i/e.length;return l>.2&&.8>a&&u>.6&&.2>p}function _(e){for(var t=0,n=0,o=0,i=0,r=0;r<e.length;r++)o=e.charCodeAt(r),d(o)&&t++,c(o)&&n++,p(o)&&i++;return 0!==t&&0!==n||0!==i?5>=t:e.length<=30}function b(e,t){if(!t||0===t.length)return null;if(!_(e))return null;if(!y(t))return null;for(var n=null,o=0;o<t.length&&null===(n=v(e.toLowerCase(),t,0,o));)o=g(t,o+1);return n}function C(e,t){if(!t||0===t.length)return null;for(var n=null,o=0;o<t.length&&null===(n=w(e.toLowerCase(),t,0,o));)o=E(t,o+1);return n}function w(e,t,n,o){if(n===e.length)return[];if(o===t.length)return null;if(e[n]!==t[o].toLowerCase())return null;var i=null,r=o+1;for(i=w(e,t,n+1,o+1);!i&&(r=E(t,r))<t.length;)i=w(e,t,n+1,r),r++;return null===i?null:f({start:o,end:o+1},i)}function E(e,t){for(var n=t;n<e.length;n++){var o=e.charCodeAt(n);if(p(o)||n>0&&p(e.charCodeAt(n-1)))return n}return e.length}function S(e,o,i){if(void 0===i&&(i=!1),"string"!=typeof e||"string"!=typeof o)return null;var r=T.get(e);r||(r=new RegExp(n.convertSimple2RegExpPattern(e),"i"),T.set(e,r));var s=r.exec(o);return s?[{start:s.index,end:s.index+s[0].length}]:i?x(e,o):t.fuzzyContiguousFilter(e,o)}t.or=i,t.and=r,t.matchesStrictPrefix=function(e,t){return s(!1,e,t)},t.matchesPrefix=function(e,t){return s(!0,e,t)},t.matchesContiguousSubString=a,t.matchesSubString=l,t.matchesCamelCase=b,t.matchesWords=C,function(e){e[e.Contiguous=0]="Contiguous",e[e.Separate=1]="Separate"}(t.SubstringMatching||(t.SubstringMatching={}));t.SubstringMatching;t.fuzzyContiguousFilter=i(t.matchesPrefix,b,a);var x=i(t.matchesPrefix,b,l),T=new o.LinkedMap(1e4);t.matchesFuzzy=S}),define("vs/base/common/glob",["require","exports","vs/base/common/strings","vs/base/common/paths","vs/base/common/map"],function(e,t,n,o,i){"use strict";function r(e){switch(e){case 0:return"";case 1:return p+"*?";default:return"(?:"+h+"|"+p+"+"+h+"|"+h+p+"+)*?"}}function s(e,t){if(!e)return[];for(var n,o=[],i=!1,r=!1,s="",a=0;a<e.length;a++){switch(n=e[a]){case t:if(!i&&!r){o.push(s),s="";continue}break;case"{":i=!0;break;case"}":i=!1;break;case"[":r=!0;break;case"]":r=!1}s+=n}return s&&o.push(s),o}function a(e){if(!e)return"";var t="",o=s(e,"/");if(o.every(function(e){return"**"===e}))t=".*";else{var i=!1;o.forEach(function(e,l){if("**"===e)return void(i||(t+=r(2),i=!0));for(var u,c=!1,d="",m=!1,f="",g=0;g<e.length;g++)if(u=e[g],"}"!==u&&c)d+=u;else if("]"!==u&&m){var v=void 0;switch(u){case"-":v=u;break;case"^":v=u;break;default:v=n.escapeRegExpCharacters(u)}f+=v}else switch(u){case"{":c=!0;continue;case"[":m=!0;continue;case"}":var y=s(d,","),_="(?:"+y.map(function(e){return a(e)}).join("|")+")";t+=_,c=!1,d="";break;case"]":t+="["+f+"]",m=!1,f="";break;case"?":t+=p;continue;case"*":t+=r(1);continue;default:t+=n.escapeRegExpCharacters(u)}l<o.length-1&&"**"!==o[l+1]&&(t+=h),i=!1})}return t}function l(e){if(!e)return null;e=e.trim();var t=y.get(e);return t?(t.regexp&&(t.regexp.lastIndex=0),t):(t=Object.create(null),f.test(e)?t.trivia=m.T1:g.test(e)?t.trivia=m.T2:v.test(e)?t.trivia=m.T3:t.regexp=u("^"+a(e)+"$"),y.set(e,t),t)}function u(e){try{return new RegExp(e)}catch(t){return/.^/}}function c(e,t,o){if(!e||!t)return!1;if("string"==typeof e){var i=l(e);if(!i)return!1;if(i.trivia===m.T1)return n.endsWith(t,e.substr(4));if(i.trivia===m.T2){var r=e.substr(3);return t===r||n.endsWith(t,"/"+r)||n.endsWith(t,"\\"+r)}return i.trivia===m.T3?e.slice(1,-1).split(",").some(function(e){return c(e,t)}):i.regexp.test(t)}return d(e,t,o)}function d(e,t,i){for(var r,s=Object.getOwnPropertyNames(e),a=function(a){var l=s[a],u=e[l];if(u===!1)return"continue";if(c(l,t)){if("boolean"==typeof u)return{value:l};if(u&&"string"==typeof u.when){if(!i||!i.length)return"continue";r||(r=n.rtrim(o.basename(t),o.extname(t)));var d=u,h=d.when.replace("$(basename)",r);return i.some(function(e){return e===h})?{value:l}:"continue"}return{value:l}}},l=0;l<s.length;l++){var u=a(l);if("object"==typeof u)return u.value}return null}var h="[/\\\\]",p="[^/\\\\]";t.splitGlobAware=s;var m,f=/^\*\*\/\*\.[\w\.-]+$/,g=/^\*\*\/[\w\.-]+$/,v=/^{\*\*\/\*\.[\w\.-]+(,\*\*\/\*\.[\w\.-]+)*}$/;!function(e){e[e.T1=0]="T1",e[e.T2=1]="T2",e[e.T3=2]="T3"}(m||(m={}));var y=new i.LinkedMap(1e4);t.match=c}),define("vs/base/common/types",["require","exports"],function(e,t){"use strict";function n(e){return Array.isArray?Array.isArray(e):!(!e||typeof e.length!==g.number||e.constructor!==Array)}function o(e){return typeof e===g.string||e instanceof String}function i(e){return n(e)&&e.every(function(e){return o(e)})}function r(e){return!(typeof e!==g.object||null===e||Array.isArray(e)||e instanceof RegExp||e instanceof Date)}function s(e){return(typeof e===g.number||e instanceof Number)&&!isNaN(e)}function a(e){return e===!0||e===!1}function l(e){return typeof e===g.undefined}function u(e){return l(e)||null===e}function c(e){if(!r(e))return!1;for(var t in e)if(v.call(e,t))return!1;return!0}function d(e){return typeof e===g["function"]}function h(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];return e&&e.length>0&&e.every(d)}function p(e,t){for(var n=Math.min(e.length,t.length),o=0;n>o;o++)m(e[o],t[o])}function m(e,t){if(o(t)){if(typeof e!==t)throw new Error("argument does not match constraint: typeof "+t)}else if(d(t)){if(e instanceof t)return;if(e&&e.constructor===t)return;if(1===t.length&&t.call(void 0,e)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}function f(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];var o=Object.create(e.prototype);return e.apply(o,t),o}var g={number:"number",string:"string",undefined:"undefined",object:"object","function":"function"};t.isArray=n,t.isString=o,t.isStringArray=i,t.isObject=r,t.isNumber=s,t.isBoolean=a,t.isUndefined=l,t.isUndefinedOrNull=u;var v=Object.prototype.hasOwnProperty;t.isEmptyObject=c,t.isFunction=d,t.areFunctions=h,t.validateConstraints=p,t.validateConstraint=m,t.create=f}),define("vs/base/common/graph",["require","exports","vs/base/common/types","vs/base/common/collections"],function(e,t,n,o){"use strict";function i(e){return{data:e,incoming:Object.create(null),outgoing:Object.create(null)}}var r=function(){function e(e){this._hashFn=e,this._nodes=Object.create(null)}return e.prototype.roots=function(){var e=[];return o.forEach(this._nodes,function(t){n.isEmptyObject(t.value.outgoing)&&e.push(t.value)}),e},e.prototype.traverse=function(e,t,n){var o=this.lookup(e);o&&this._traverse(o,t,Object.create(null),n)},e.prototype._traverse=function(e,t,n,i){var r=this,s=this._hashFn(e.data);if(!o.contains(n,s)){n[s]=!0,i(e.data);var a=t?e.outgoing:e.incoming;o.forEach(a,function(e){return r._traverse(e.value,t,n,i)})}},e.prototype.insertEdge=function(e,t){var n=this.lookupOrInsertNode(e),o=this.lookupOrInsertNode(t);n.outgoing[this._hashFn(t)]=o,o.incoming[this._hashFn(e)]=n},e.prototype.removeNode=function(e){var t=this._hashFn(e);delete this._nodes[t],o.forEach(this._nodes,function(e){delete e.value.outgoing[t],delete e.value.incoming[t]})},e.prototype.lookupOrInsertNode=function(e){var t=this._hashFn(e),n=o.lookup(this._nodes,t);return n||(n=i(e),this._nodes[t]=n),n},e.prototype.lookup=function(e){return o.lookup(this._nodes,this._hashFn(e))},Object.defineProperty(e.prototype,"length",{get:function(){return Object.keys(this._nodes).length},enumerable:!0,configurable:!0}),e.prototype.toString=function(){var e=[];return o.forEach(this._nodes,function(t){e.push(t.key+", (incoming)["+Object.keys(t.value.incoming).join(", ")+"], (outgoing)["+Object.keys(t.value.outgoing).join(",")+"]")}),e.join("\n")},e}();t.Graph=r}),define("vs/base/common/labels",["require","exports","vs/base/common/platform","vs/base/common/types","vs/base/common/strings","vs/base/common/paths"],function(e,t,n,o,i,r){"use strict";function s(e,t){var o=t&&a(t),s=a(e);return o&&r.isEqualOrParent(s,o)?o===s?"":r.normalize(i.ltrim(s.substr(o.length),r.nativeSep),!0):n.isWindows&&":"===s[1]?r.normalize(s.charAt(0).toUpperCase()+s.slice(1),!0):r.normalize(s,!0)}function a(e){if(!e)return null;if("string"==typeof e)return e;if(o.isFunction(e.getWorkspace)){var t=e.getWorkspace();return t?t.resource.fsPath:void 0}return e.fsPath}var l=function(){function e(e){this.root=e&&a(e)}return e.prototype.getLabel=function(e){return s(a(e),this.root)},e}();t.PathLabelProvider=l,t.getPathLabel=s});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/common/lifecycle",["require","exports","./types"],function(e,t,n){"use strict";function o(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];var o=e[0];return n.isArray(o)&&(e=o),e.forEach(function(e){return e&&e.dispose()}),[]}function i(e){return{dispose:function(){return o(e)}}}function r(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];return i(e.map(function(e){return{dispose:e}}))}t.empty=Object.freeze({dispose:function(){}}),t.dispose=o,t.combinedDisposable=i,t.toDisposable=r;var s=function(){function e(){this._toDispose=[]}return e.prototype.dispose=function(){this._toDispose=o(this._toDispose)},e.prototype._register=function(e){return this._toDispose.push(e),e},e}();t.Disposable=s;var a=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),t.prototype.add=function(e){if(!Array.isArray(e))return this._register(e);for(var t=0,n=e;t<n.length;t++){var o=n[t];return this._register(o)}},t}(s);t.Disposables=a}),define("vs/base/common/mime",["require","exports","vs/base/common/paths","vs/base/common/types","vs/base/common/strings","vs/base/common/glob"],function(e,t,n,o,i,r){"use strict";function s(e){m.push(e),e.userConfigured||m.forEach(function(t){t.mime===e.mime||t.userConfigured||(e.extension&&t.extension===e.extension&&console.warn("Overwriting extension <<"+e.extension+">> to now point to mime <<"+e.mime+">>"),e.filename&&t.filename===e.filename&&console.warn("Overwriting filename <<"+e.filename+">> to now point to mime <<"+e.mime+">>"),e.filepattern&&t.filepattern===e.filepattern&&console.warn("Overwriting filepattern <<"+e.filepattern+">> to now point to mime <<"+e.mime+">>"),e.firstline&&t.firstline===e.firstline&&console.warn("Overwriting firstline <<"+e.firstline+">> to now point to mime <<"+e.mime+">>"))})}function a(e){m=e?m.filter(function(e){return!e.userConfigured}):[]}function l(e,n){if(!e)return[t.MIME_UNKNOWN];e=e.toLowerCase();var o=u(e,m.filter(function(e){return e.userConfigured}));if(o)return[o,t.MIME_TEXT];var i=u(e,m.filter(function(e){return!e.userConfigured}));if(i)return[i,t.MIME_TEXT];if(n){var r=c(n);if(r)return[r,t.MIME_TEXT]}return[t.MIME_UNKNOWN]}function u(e,t){for(var o,s,a,l=n.basename(e),u=0;u<t.length;u++){var c=t[u];if(c.filename&&l===c.filename.toLowerCase()){o=c;break}if(c.filepattern){var d=c.filepattern.indexOf(n.sep)>=0?e:l;r.match(c.filepattern.toLowerCase(),d)&&(!s||c.filepattern.length>s.filepattern.length)&&(s=c)}c.extension&&i.endsWith(l,c.extension.toLowerCase())&&(!a||c.extension.length>a.extension.length)&&(a=c)}return o?o.mime:s?s.mime:a?a.mime:null}function c(e){if(i.startsWithUTF8BOM(e)&&(e=e.substr(1)),e.length>0)for(var t=0;t<m.length;++t){var n=m[t];if(n.firstline){var o=e.match(n.firstline);if(o&&o.length>0&&o[0].length===e.length)return n.mime}}return null}function d(e){if(!e)return!1;var n;return n=o.isArray(e)?e:e.split(",").map(function(e){return e.trim()}),n.indexOf(t.MIME_BINARY)>=0}function h(e){return e?"string"==typeof e?e===t.MIME_BINARY||e===t.MIME_TEXT||e===t.MIME_UNKNOWN:1===e.length&&h(e[0]):!0}function p(e,t){for(var n=0;n<m.length;n++){var o=m[n];if(!o.userConfigured&&o.mime===e&&o.extension)return t+o.extension}return null}t.MIME_TEXT="text/plain",t.MIME_BINARY="application/octet-stream",t.MIME_UNKNOWN="application/unknown";var m=[];t.registerTextMime=s,t.clearTextMimes=a,t.guessMimeTypes=l,t.isBinaryMime=d,t.isUnspecific=h,t.suggestFilename=p}),define("vs/base/common/objects",["require","exports","vs/base/common/types"],function(e,t,n){"use strict";function o(e){if(!e||"object"!=typeof e)return e;if(e instanceof RegExp)return e;var t=Array.isArray(e)?[]:{};return Object.keys(e).forEach(function(n){e[n]&&"object"==typeof e[n]?t[n]=o(e[n]):t[n]=e[n]}),t}function i(e){if(!e||"object"!=typeof e)return e;var t=Array.isArray(e)?[]:{};return Object.getOwnPropertyNames(e).forEach(function(n){e[n]&&"object"==typeof e[n]?t[n]=i(e[n]):t[n]=e[n]}),t}function r(e,t){return s(e,t,[])}function s(e,t,o){if(n.isUndefinedOrNull(e))return e;var i=t(e);if("undefined"!=typeof i)return i;if(n.isArray(e)){for(var r=[],a=0;a<e.length;a++)r.push(s(e[a],t,o));return r}if(n.isObject(e)){if(o.indexOf(e)>=0)throw new Error("Cannot clone recursive data-structure");o.push(e);var l={};for(var u in e)v.call(e,u)&&(l[u]=s(e[u],t,o));return o.pop(),l}return e}function a(e,t,o){return void 0===o&&(o=!0),n.isObject(e)?(n.isObject(t)&&Object.keys(t).forEach(function(i){i in e?o&&(n.isObject(e[i])&&n.isObject(t[i])?a(e[i],t[i],o):e[i]=t[i]):e[i]=t[i]}),e):t}function l(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return t.forEach(function(t){return Object.keys(t).forEach(function(n){return e[n]=t[n]})}),e}function u(e,t,n){return void 0===n&&(n=function(e){return e}),e.reduce(function(e,o){return l(e,(i={},i[t(o)]=n(o),i));var i},Object.create(null))}function c(e,t){if(e===t)return!0;if(null===e||void 0===e||null===t||void 0===t)return!1;if(typeof e!=typeof t)return!1;if("object"!=typeof e)return!1;if(Array.isArray(e)!==Array.isArray(t))return!1;var n,o;if(Array.isArray(e)){if(e.length!==t.length)return!1;for(n=0;n<e.length;n++)if(!c(e[n],t[n]))return!1}else{var i=[];for(o in e)i.push(o);i.sort();var r=[];for(o in t)r.push(o);if(r.sort(),!c(i,r))return!1;for(n=0;n<i.length;n++)if(!c(e[i[n]],t[i[n]]))return!1}return!0}function d(e,t,n){"undefined"==typeof e[t]&&(e[t]=n)}function h(e){for(var t={},n=0;n<e.length;++n)t[e[n]]=!0;return t}function p(e,t){void 0===t&&(t=!1),t&&(e=e.map(function(e){return e.toLowerCase()}));var n=h(e);return t?function(e){return void 0!==n[e.toLowerCase()]&&n.hasOwnProperty(e.toLowerCase())}:function(e){return void 0!==n[e]&&n.hasOwnProperty(e)}}function m(e,t){for(var n in e)e.hasOwnProperty(n)&&(t[n]=e[n]);t=t||function(){};var o=e.prototype,i=t.prototype;t.prototype=Object.create(o);for(var n in i)i.hasOwnProperty(n)&&Object.defineProperty(t.prototype,n,Object.getOwnPropertyDescriptor(i,n));Object.defineProperty(t.prototype,"constructor",{value:t,writable:!0,configurable:!0,enumerable:!0})}function f(e){var t=[];return JSON.stringify(e,function(e,o){if(n.isObject(o)||Array.isArray(o)){if(-1!==t.indexOf(o))return"[Circular]";t.push(o)}return o})}function g(e,t,n){void 0===n&&(n=null);var o=t(e);return"undefined"==typeof o?n:o}t.clone=o,t.deepClone=i;var v=Object.prototype.hasOwnProperty;t.cloneAndChange=r,t.mixin=a,t.assign=l,t.toObject=u,t.equals=c,t.ensureProperty=d,t.arrayToHash=h,t.createKeywordMatcher=p,t.derive=m,t.safeStringify=f,t.getOrDefault=g}),define("vs/base/common/uri",["require","exports","vs/base/common/platform"],function(e,t,n){"use strict";function o(e){return"%"+e.charCodeAt(0).toString(16).toUpperCase()}function i(e){return encodeURIComponent(e).replace(/[!'()*]/g,o)}function r(e){return e}var s=function(){function e(){this._scheme=e._empty,this._authority=e._empty,this._path=e._empty,this._query=e._empty,this._fragment=e._empty,this._formatted=null,this._fsPath=null}return Object.defineProperty(e.prototype,"scheme",{get:function(){return this._scheme},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"authority",{get:function(){return this._authority},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"path",{get:function(){return this._path},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"query",{get:function(){return this._query},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"fragment",{get:function(){return this._fragment},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"fsPath",{get:function(){if(!this._fsPath){var t;t=this._authority&&"file"===this.scheme?"//"+this._authority+this._path:e._driveLetterPath.test(this._path)?this._path[1].toLowerCase()+this._path.substr(2):this._path,n.isWindows&&(t=t.replace(/\//g,"\\")),this._fsPath=t}return this._fsPath},enumerable:!0,configurable:!0}),e.prototype["with"]=function(t){var n=new e;return n._scheme=t.scheme||this.scheme,n._authority=t.authority||this.authority,n._path=t.path||this.path,n._query=t.query||this.query,n._fragment=t.fragment||this.fragment,e._validate(n),n},e.parse=function(t){var n=new e,o=e._parseComponents(t);return n._scheme=o.scheme,n._authority=decodeURIComponent(o.authority),n._path=decodeURIComponent(o.path),n._query=decodeURIComponent(o.query),n._fragment=decodeURIComponent(o.fragment),e._validate(n),n},e.file=function(t){var n=new e;if(n._scheme="file",t=t.replace(/\\/g,e._slash),t[0]===e._slash&&t[0]===t[1]){var o=t.indexOf(e._slash,2);-1===o?n._authority=t.substring(2):(n._authority=t.substring(2,o),n._path=t.substring(o))}else n._path=t;return n._path[0]!==e._slash&&(n._path=e._slash+n._path),e._validate(n),n},e._parseComponents=function(t){var n={scheme:e._empty,authority:e._empty,path:e._empty,query:e._empty,fragment:e._empty},o=e._regexp.exec(t);return o&&(n.scheme=o[2]||n.scheme,n.authority=o[4]||n.authority,n.path=o[5]||n.path,n.query=o[7]||n.query,n.fragment=o[9]||n.fragment),n},e.create=function(t,n,o,i,r){return(new e)["with"]({scheme:t,authority:n,path:o,query:i,fragment:r})},e._validate=function(e){if(e.authority&&e.path&&"/"!==e.path[0])throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character');if(!e.authority&&0===e.path.indexOf("//"))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')},e.prototype.toString=function(t){return void 0===t&&(t=!1),t?e._asFormatted(this,!0):(this._formatted||(this._formatted=e._asFormatted(this,!1)),this._formatted)},e._asFormatted=function(t,n){var s=n?r:i,a=[],l=t.scheme,u=t.authority,c=t.path,d=t.query,h=t.fragment;if(l&&a.push(l,":"),(u||"file"===l)&&a.push("//"),u){u=u.toLowerCase();var p=u.indexOf(":");-1===p?a.push(s(u)):a.push(s(u.substr(0,p)),u.substr(p))}if(c){var m=e._upperCaseDrive.exec(c);m&&(c=m[1]+m[2].toLowerCase()+c.substr(m[1].length+m[2].length));for(var f=0;;){var p=c.indexOf(e._slash,f);if(-1===p){a.push(s(c.substring(f)).replace(/[#?]/,o));break}a.push(s(c.substring(f,p)).replace(/[#?]/,o),e._slash),f=p+1}}return d&&a.push("?",s(d)),h&&a.push("#",s(h)),a.join(e._empty)},e.prototype.toJSON=function(){return{scheme:this.scheme,authority:this.authority,path:this.path,fsPath:this.fsPath,query:this.query,fragment:this.fragment.replace(/URL_MARSHAL_REMOVE.*$/,""),external:this.toString().replace(/#?URL_MARSHAL_REMOVE.*$/,""),$mid:1}},e.revive=function(t){var n=new e;return n._scheme=t.scheme,n._authority=t.authority,n._path=t.path,n._query=t.query,n._fragment=t.fragment,n._fsPath=t.fsPath,n._formatted=t.external,e._validate(n),n},e._empty="",e._slash="/",e._regexp=/^(([^:\/?#]+?):)?(\/\/([^\/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/,e._driveLetterPath=/^\/[a-zA-z]:/,e._upperCaseDrive=/^(\/)?([A-Z]:)/,e}();Object.defineProperty(t,"__esModule",{value:!0}),t["default"]=s}),define("vs/base/common/marshalling",["require","exports","vs/base/common/uri"],function(e,t,n){"use strict";function o(e){return JSON.stringify(e,r)}function i(e){return JSON.parse(e,s)}function r(e,t){return t instanceof RegExp?{$mid:2,source:t.source,flags:(t.global?"g":"")+(t.ignoreCase?"i":"")+(t.multiline?"m":"")}:t}function s(e,t){var o;return void 0!==t&&null!==t&&(o=t.$mid),1===o?n["default"].revive(t):2===o?new RegExp(t.source,t.flags):t}t.stringify=o,t.parse=i});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/common/uuid",["require","exports"],function(e,t){"use strict";function n(){return new s}function o(e){if(!a.test(e))throw new Error("invalid uuid");return new r(e)}function i(){return n().asHex()}var r=function(){function e(e){this._value=e}return e.prototype.asHex=function(){return this._value},e.prototype.equals=function(e){return this.asHex()===e.asHex()},e}(),s=function(e){function t(){e.call(this,[t._randomHex(),t._randomHex(),t._randomHex(),t._randomHex(),t._randomHex(),t._randomHex(),t._randomHex(),t._randomHex(),"-",t._randomHex(),t._randomHex(),t._randomHex(),t._randomHex(),"-","4",t._randomHex(),t._randomHex(),t._randomHex(),"-",t._oneOf(t._timeHighBits),t._randomHex(),t._randomHex(),t._randomHex(),"-",t._randomHex(),t._randomHex(),t._randomHex(),t._randomHex(),t._randomHex(),t._randomHex(),t._randomHex(),t._randomHex(),t._randomHex(),t._randomHex(),t._randomHex(),t._randomHex()].join(""));
}return __extends(t,e),t._oneOf=function(e){var t=Math.floor(e.length*Math.random());return e[t]},t._randomHex=function(){return t._oneOf(t._chars)},t._chars=["0","1","2","3","4","5","6","6","7","8","9","a","b","c","d","e","f"],t._timeHighBits=["8","9","a","b"],t}(r);t.empty=new r("00000000-0000-0000-0000-000000000000"),t.v4=n;var a=/^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}$/;t.parse=o,t.generateUuid=i}),"undefined"==typeof WinJS&&(!function(e){e.setImmediate||("undefined"!=typeof process&&"function"==typeof process.nextTick?e.setImmediate=function(e){return process.nextTick(e)}:e.setImmediate=function(e){return setTimeout(e,0)})}(this),function(e,t){"use strict";function n(e,n){var o,i,r,s=Object.keys(n);for(i=0,r=s.length;r>i;i++){var a=s[i],l=95!==a.charCodeAt(0),u=n[a];!u||"object"!=typeof u||u.value===t&&"function"!=typeof u.get&&"function"!=typeof u.set?l?e[a]=u:(o=o||{},o[a]={value:u,enumerable:l,configurable:!0,writable:!0}):(u.enumerable===t&&(u.enumerable=l),o=o||{},o[a]=u)}o&&Object.defineProperties(e,o)}!function(t){function o(e,t,o){for(var i=e,r=t.split("."),s=0,a=r.length;a>s;s++){var l=r[s];i[l]||Object.defineProperty(i,l,{value:{},writable:!1,enumerable:!0,configurable:!0}),i=i[l]}return o&&n(i,o),i}function i(t,n){return o(e,t,n)}e[t]||(e[t]=Object.create(Object.prototype));var r=e[t];r.Namespace||(r.Namespace=Object.create(Object.prototype)),Object.defineProperties(r.Namespace,{defineWithParent:{value:o,writable:!0,enumerable:!0,configurable:!0},define:{value:i,writable:!0,enumerable:!0,configurable:!0}})}("WinJS"),function(e){function t(t,o,i){return t=t||function(){},e.Utilities.markSupportedForProcessing(t),o&&n(t.prototype,o),i&&n(t,i),t}function o(o,i,r,s){if(o){i=i||function(){};var a=o.prototype;return i.prototype=Object.create(a),e.Utilities.markSupportedForProcessing(i),Object.defineProperty(i.prototype,"constructor",{value:i,writable:!0,configurable:!0,enumerable:!0}),r&&n(i.prototype,r),s&&n(i,s),i}return t(i,r,s)}function i(e){e=e||function(){};var t,o;for(t=1,o=arguments.length;o>t;t++)n(e.prototype,arguments[t]);return e}e.Namespace.define("WinJS.Class",{define:t,derive:o,mix:i})}(e.WinJS)}(this),function(e,t){"use strict";function n(e){return e}function o(e,t,n){return e.split(".").reduce(function(e,t){return e?n(e[t]):null},t)}var i=!!e.Windows,r={notSupportedForProcessing:"Value is not supported within a declarative processing context, if you want it to be supported mark it using WinJS.Utilities.markSupportedForProcessing. The value was: '{0}'"};t.Namespace.define("WinJS.Utilities",{_setHasWinRT:{value:function(e){i=e},configurable:!1,writable:!1,enumerable:!1},hasWinRT:{get:function(){return i},configurable:!1,enumerable:!0},_getMemberFiltered:o,getMember:function(t,i){return t?o(t,i||e,n):null},ready:function(n,o){return new t.Promise(function(i,r){function s(){if(n)try{n(),i()}catch(e){r(e)}else i()}var a=t.Utilities.testReadyState;a||(a=e.document?document.readyState:"complete"),"complete"===a||e.document&&null!==document.body?o?e.setImmediate(s):s():e.addEventListener("DOMContentLoaded",s,!1)})},strictProcessing:{get:function(){return!0},configurable:!1,enumerable:!0},markSupportedForProcessing:{value:function(e){return e.supportedForProcessing=!0,e},configurable:!1,writable:!1,enumerable:!0},requireSupportedForProcessing:{value:function(n){var o=!0;switch(o=o&&!(n===e),o=o&&!(n===e.location),o=o&&!(n instanceof HTMLIFrameElement),o=o&&!("function"==typeof n&&!n.supportedForProcessing),e.frames.length){case 0:break;case 1:o=o&&!(n===e.frames[0]);break;default:for(var i=0,s=e.frames.length;o&&s>i;i++)o=o&&!(n===e.frames[i])}if(o)return n;throw new t.ErrorFromName("WinJS.Utilities.requireSupportedForProcessing",t.Resources._formatString(r.notSupportedForProcessing,n))},configurable:!1,writable:!1,enumerable:!0}}),t.Namespace.define("WinJS",{validation:!1,strictProcessing:{value:function(){},configurable:!1,writable:!1,enumerable:!1}})}(this,this.WinJS),function(e){"use strict";function t(e,t,n){var o=e;return"function"==typeof o&&(o=o()),(n&&r.test(n)?"":n?n+": ":"")+(t?t.replace(i,":")+": ":"")+o}function n(t,n,o){var i=e.Utilities.formatLog(t,n,o);console[o&&r.test(o)?o:"log"](i)}function o(e){return e.replace(/[-[\]{}()*+?.,\\^$|#]/g,"\\$&")}var i=/\s+/g,r=/^(error|warn|info|log)$/;e.Namespace.define("WinJS.Utilities",{startLog:function(t){t=t||{},"string"==typeof t&&(t={tags:t});var r=t.type&&new RegExp("^("+o(t.type).replace(i," ").split(" ").join("|")+")$"),s=t.excludeTags&&new RegExp("(^|\\s)("+o(t.excludeTags).replace(i," ").split(" ").join("|")+")(\\s|$)","i"),a=t.tags&&new RegExp("(^|\\s)("+o(t.tags).replace(i," ").split(" ").join("|")+")(\\s|$)","i"),l=t.action||n;if(!(r||s||a||e.log))return void(e.log=l);var u=function(e,t,n){r&&!r.test(n)||s&&s.test(t)||a&&!a.test(t)||l(e,t,n),u.next&&u.next(e,t,n)};u.next=e.log,e.log=u},stopLog:function(){delete e.log},formatLog:t})}(this.WinJS),function(e,t){"use strict";function n(e){var t="_on"+e+"state";return{get:function(){var e=this[t];return e&&e.userHandler},set:function(n){var o=this[t];n?(o||(o={wrapper:function(e){return o.userHandler(e)},userHandler:n},Object.defineProperty(this,t,{value:o,enumerable:!1,writable:!0,configurable:!0}),this.addEventListener(e,o.wrapper,!1)),o.userHandler=n):o&&(this.removeEventListener(e,o.wrapper,!1),this[t]=null)},enumerable:!0}}function o(e){for(var t={},o=0,i=arguments.length;i>o;o++){var r=arguments[o];t["on"+r]=n(r)}return t}var i=e.Class.define(function(e,t,n){this.detail=t,this.target=n,this.timeStamp=Date.now(),this.type=e},{bubbles:{value:!1,writable:!1},cancelable:{value:!1,writable:!1},currentTarget:{get:function(){return this.target}},defaultPrevented:{get:function(){return this._preventDefaultCalled}},trusted:{value:!1,writable:!1},eventPhase:{value:0,writable:!1},target:null,timeStamp:null,type:null,preventDefault:function(){this._preventDefaultCalled=!0},stopImmediatePropagation:function(){this._stopImmediatePropagationCalled=!0},stopPropagation:function(){}},{supportedForProcessing:!1}),r={_listeners:null,addEventListener:function(e,t,n){n=n||!1,this._listeners=this._listeners||{};for(var o=this._listeners[e]=this._listeners[e]||[],i=0,r=o.length;r>i;i++){var s=o[i];if(s.useCapture===n&&s.listener===t)return}o.push({listener:t,useCapture:n})},dispatchEvent:function(e,t){var n=this._listeners&&this._listeners[e];if(n){var o=new i(e,t,this);n=n.slice(0,n.length);for(var r=0,s=n.length;s>r&&!o._stopImmediatePropagationCalled;r++)n[r].listener(o);return o.defaultPrevented||!1}return!1},removeEventListener:function(e,t,n){n=n||!1;var o=this._listeners&&this._listeners[e];if(o)for(var i=0,r=o.length;r>i;i++){var s=o[i];if(s.listener===t&&s.useCapture===n){o.splice(i,1),0===o.length&&delete this._listeners[e];break}}}};e.Namespace.define("WinJS.Utilities",{_createEventProperty:n,createEventProperties:o,eventMixin:r})}(this.WinJS),function(e,t,n){"use strict";var o,i=!1,r="contextchanged",s=t.Class.mix(t.Class.define(null,{},{supportedForProcessing:!1}),t.Utilities.eventMixin),a=new s,l={malformedFormatStringInput:"Malformed, did you mean to escape your '{0}'?"};t.Namespace.define("WinJS.Resources",{addEventListener:function(e,n,o){if(t.Utilities.hasWinRT&&!i&&e===r)try{Windows.ApplicationModel.Resources.Core.ResourceManager.current.defaultContext.qualifierValues.addEventListener("mapchanged",function(e){t.Resources.dispatchEvent(r,{qualifier:e.key,changed:e.target[e.key]})},!1),i=!0}catch(s){}a.addEventListener(e,n,o)},removeEventListener:a.removeEventListener.bind(a),dispatchEvent:a.dispatchEvent.bind(a),_formatString:function(e){var n=arguments;return n.length>1&&(e=e.replace(/({{)|(}})|{(\d+)}|({)|(})/g,function(e,o,i,r,s,a){if(s||a)throw t.Resources._formatString(l.malformedFormatStringInput,s||a);return o&&"{"||i&&"}"||n[(0|r)+1]})),e},_getStringWinRT:function(e){if(!o){var t=Windows.ApplicationModel.Resources.Core.ResourceManager.current.mainResourceMap;try{o=t.getSubtree("Resources")}catch(i){}o||(o=t)}var r,s,a;try{a=o.getValue(e),a&&(r=a.valueAsString,r===n&&(r=a.toString()))}catch(i){}if(!r)return{value:e,empty:!0};try{s=a.getQualifierValue("Language")}catch(i){return{value:r}}return{value:r,lang:s}},_getStringJS:function(t){var n=e.strings&&e.strings[t];return"string"==typeof n&&(n={value:n}),n||{value:t,empty:!0}}}),Object.defineProperties(t.Resources,t.Utilities.createEventProperties(r));var u;t.Resources.getString=function(e){return(u=u||(t.Utilities.hasWinRT?t.Resources._getStringWinRT:t.Resources._getStringJS))(e)}}(this,this.WinJS),function(e,t,n){"use strict";function o(){}function i(e,t){var n;n=t&&"object"==typeof t&&"function"==typeof t.then?D:P,e._value=t,e._setState(n)}function r(e,t,n,o,i,r){return{exception:e,error:t,promise:n,handler:r,id:o,parent:i}}function s(e,t,n,o){var i=n._isException,s=n._errorId;return r(i?t:null,i?null:t,e,s,n,o)}function a(e,t,n){var o=n._isException,i=n._errorId;return v(e,i,o),r(o?t:null,o?null:t,e,i,n)}function l(e,t){var n=++H;return v(e,n),r(null,t,e,n)}function u(e,t){var n=++H;return v(e,n,!0),r(t,null,e,n)}function c(e,t,n,o){g(e,{c:t,e:n,p:o})}function d(e,t,n,o){e._value=t,m(e,t,n,o),e._setState(W)}function h(e,t){var n=e._value,o=e._listeners;if(o){e._listeners=null;var i,r;for(i=0,r=Array.isArray(o)?o.length:1;r>i;i++){var s=1===r?o:o[i],a=s.c,l=s.promise;if(l){try{l._setCompleteValue(a?a(n):n)}catch(u){l._setExceptionValue(u)}l._state!==D&&l._listeners&&t.push(l)}else j.prototype.done.call(e,a)}}}function p(e,t){var n=e._value,o=e._listeners;if(o){e._listeners=null;var i,r;for(i=0,r=Array.isArray(o)?o.length:1;r>i;i++){var a=1===r?o:o[i],l=a.e,u=a.promise;if(u){try{l?(l.handlesOnError||m(u,n,s,e,l),u._setCompleteValue(l(n))):u._setChainedErrorValue(n,e)}catch(c){u._setExceptionValue(c)}u._state!==D&&u._listeners&&t.push(u)}else z.prototype.done.call(e,null,l)}}}function m(e,t,n,o,i){if(S._listeners[x]){if(t instanceof Error&&t.message===T)return;S.dispatchEvent(x,n(e,t,o,i))}}function f(e,t){var n=e._listeners;if(n){var o,i;for(o=0,i=Array.isArray(n)?n.length:1;i>o;o++){var r=1===i?n:n[o],s=r.p;if(s)try{s(t)}catch(a){}r.c||r.e||!r.promise||r.promise._progress(t)}}}function g(e,t){var n=e._listeners;n?(n=Array.isArray(n)?n:[n],n.push(t)):n=t,e._listeners=n}function v(e,t,n){e._isException=n||!1,e._errorId=t}function y(e,t,n,o){e._value=t,m(e,t,n,o),e._setState(F)}function _(e,t){var n;n=t&&"object"==typeof t&&"function"==typeof t.then?D:A,e._value=t,e._setState(n)}function b(e,t,n,o){var i=new B(e);return g(e,{promise:i,c:t,e:n,p:o}),i}function C(e){var n;return new t.Promise(function(t){e?n=setTimeout(t,e):setImmediate(t)},function(){n&&clearTimeout(n)})}function w(e,t){var n=function(){t.cancel()},o=function(){e.cancel()};return e.then(n),t.then(o,o),t}e.Debug&&(e.Debug.setNonUserCodeExceptions=!0);var E=t.Class.mix(t.Class.define(null,{},{supportedForProcessing:!1}),t.Utilities.eventMixin),S=new E;S._listeners={};var x="error",T="Canceled",L=!1,M={promise:1,thenPromise:2,errorPromise:4,exceptionPromise:8,completePromise:16};M.all=M.promise|M.thenPromise|M.errorPromise|M.exceptionPromise|M.completePromise;var N,I,D,R,O,k,P,A,W,F,H=1;N={name:"created",enter:function(e){e._setState(I)},cancel:o,done:o,then:o,_completed:o,_error:o,_notify:o,_progress:o,_setCompleteValue:o,_setErrorValue:o},I={name:"working",enter:o,cancel:function(e){e._setState(O)},done:c,then:b,_completed:i,_error:d,_notify:o,_progress:f,_setCompleteValue:_,_setErrorValue:y},D={name:"waiting",enter:function(e){var t=e._value,n=function(o){t._errorId?e._chainedError(o,t):(m(e,o,s,t,n),e._error(o))};n.handlesOnError=!0,t.then(e._completed.bind(e),n,e._progress.bind(e))},cancel:function(e){e._setState(R)},done:c,then:b,_completed:i,_error:d,_notify:o,_progress:f,_setCompleteValue:_,_setErrorValue:y},R={name:"waiting_canceled",enter:function(e){e._setState(k);var t=e._value;t.cancel&&t.cancel()},cancel:o,done:c,then:b,_completed:i,_error:d,_notify:o,_progress:f,_setCompleteValue:_,_setErrorValue:y},O={name:"canceled",enter:function(e){e._setState(k),e._cancelAction()},cancel:o,done:c,then:b,_completed:i,_error:d,_notify:o,_progress:f,_setCompleteValue:_,_setErrorValue:y},k={name:"canceling",enter:function(e){var t=new Error(T);t.name=t.message,e._value=t,e._setState(W)},cancel:o,done:o,then:o,_completed:o,_error:o,_notify:o,_progress:o,_setCompleteValue:o,_setErrorValue:o},P={name:"complete_notify",enter:function(e){if(e.done=j.prototype.done,e.then=j.prototype.then,e._listeners)for(var t,n=[e];n.length;)t=n.pop(),t._state._notify(t,n);e._setState(A)},cancel:o,done:null,then:null,_completed:o,_error:o,_notify:h,_progress:o,_setCompleteValue:o,_setErrorValue:o},A={name:"success",enter:function(e){e.done=j.prototype.done,e.then=j.prototype.then,e._cleanupAction()},cancel:o,done:null,then:null,_completed:o,_error:o,_notify:h,_progress:o,_setCompleteValue:o,_setErrorValue:o},W={name:"error_notify",enter:function(e){if(e.done=z.prototype.done,e.then=z.prototype.then,e._listeners)for(var t,n=[e];n.length;)t=n.pop(),t._state._notify(t,n);e._setState(F)},cancel:o,done:null,then:null,_completed:o,_error:o,_notify:p,_progress:o,_setCompleteValue:o,_setErrorValue:o},F={name:"error",enter:function(e){e.done=z.prototype.done,e.then=z.prototype.then,e._cleanupAction()},cancel:o,done:null,then:null,_completed:o,_error:o,_notify:p,_progress:o,_setCompleteValue:o,_setErrorValue:o};var V,K=t.Class.define(null,{_listeners:null,_nextState:null,_state:null,_value:null,cancel:function(){this._state.cancel(this),this._run()},done:function(e,t,n){this._state.done(this,e,t,n)},then:function(e,t,n){return this._state.then(this,e,t,n)},_chainedError:function(e,t){var n=this._state._error(this,e,a,t);return this._run(),n},_completed:function(e){var t=this._state._completed(this,e);return this._run(),t},_error:function(e){var t=this._state._error(this,e,l);return this._run(),t},_progress:function(e){this._state._progress(this,e)},_setState:function(e){this._nextState=e},_setCompleteValue:function(e){this._state._setCompleteValue(this,e),this._run()},_setChainedErrorValue:function(e,t){var n=this._state._setErrorValue(this,e,a,t);return this._run(),n},_setExceptionValue:function(e){var t=this._state._setErrorValue(this,e,u);return this._run(),t},_run:function(){for(;this._nextState;)this._state=this._nextState,this._nextState=null,this._state.enter(this)}},{supportedForProcessing:!1}),B=t.Class.derive(K,function(e){L&&(L===!0||L&M.thenPromise)&&(this._stack=t.Promise._getStack()),this._creator=e,this._setState(N),this._run()},{_creator:null,_cancelAction:function(){this._creator&&this._creator.cancel()},_cleanupAction:function(){this._creator=null}},{supportedForProcessing:!1}),z=t.Class.define(function(e){L&&(L===!0||L&M.errorPromise)&&(this._stack=t.Promise._getStack()),this._value=e,m(this,e,l)},{cancel:function(){},done:function(e,t){var n=this._value;if(t)try{t.handlesOnError||m(null,n,s,this,t);var o=t(n);return void(o&&"object"==typeof o&&"function"==typeof o.done&&o.done())}catch(i){n=i}n instanceof Error&&n.message===T||setImmediate(function(){throw n})},then:function(e,t){if(!t)return this;var n,o=this._value;try{t.handlesOnError||m(null,o,s,this,t),n=new j(t(o))}catch(i){n=i===o?this:new U(i)}return n}},{supportedForProcessing:!1}),U=t.Class.derive(z,function(e){L&&(L===!0||L&M.exceptionPromise)&&(this._stack=t.Promise._getStack()),this._value=e,m(this,e,u)},{},{supportedForProcessing:!1}),j=t.Class.define(function(e){if(L&&(L===!0||L&M.completePromise)&&(this._stack=t.Promise._getStack()),e&&"object"==typeof e&&"function"==typeof e.then){var n=new B(null);return n._setCompleteValue(e),n}this._value=e},{cancel:function(){},done:function(e){if(e)try{var t=e(this._value);t&&"object"==typeof t&&"function"==typeof t.done&&t.done()}catch(n){setImmediate(function(){throw n})}},then:function(e){try{var t=e?e(this._value):this._value;return t===this._value?this:new j(t)}catch(n){return new U(n)}}},{supportedForProcessing:!1}),q=t.Class.derive(K,function(e,n){L&&(L===!0||L&M.promise)&&(this._stack=t.Promise._getStack()),this._oncancel=n,this._setState(N),this._run();try{var o=this._completed.bind(this),i=this._error.bind(this),r=this._progress.bind(this);e(o,i,r)}catch(s){this._setExceptionValue(s)}},{_oncancel:null,_cancelAction:function(){try{if(!this._oncancel)throw new Error("Promise did not implement oncancel");this._oncancel()}catch(e){e.message,e.stack;S.dispatchEvent("error",e)}},_cleanupAction:function(){this._oncancel=null}},{addEventListener:function(e,t,n){S.addEventListener(e,t,n)},any:function(e){return new q(function(n,o,i){var r=Object.keys(e);Array.isArray(e)?[]:{};0===r.length&&n();var s=0;r.forEach(function(i){q.as(e[i]).then(function(){n({key:i,value:e[i]})},function(a){return a instanceof Error&&a.name===T?void(++s===r.length&&n(t.Promise.cancel)):void o({key:i,value:e[i]})})})},function(){var t=Object.keys(e);t.forEach(function(t){var n=q.as(e[t]);"function"==typeof n.cancel&&n.cancel()})})},as:function(e){return e&&"object"==typeof e&&"function"==typeof e.then?e:new j(e)},cancel:{get:function(){return V=V||new z(new t.ErrorFromName(T))}},dispatchEvent:function(e,t){return S.dispatchEvent(e,t)},is:function(e){return e&&"object"==typeof e&&"function"==typeof e.then},join:function(e){return new q(function(o,i,r){var s=Object.keys(e),a=Array.isArray(e)?[]:{},l=Array.isArray(e)?[]:{},u=0,c=s.length,d=function(e){if(0===--c){var n=Object.keys(a).length;if(0===n)o(l);else{var u=0;s.forEach(function(e){var t=a[e];t instanceof Error&&t.name===T&&u++}),u===n?o(t.Promise.cancel):i(a)}}else r({Key:e,Done:!0})};return s.forEach(function(t){var o=e[t];o===n?u++:q.then(o,function(e){l[t]=e,d(t)},function(e){a[t]=e,d(t)})}),c-=u,0===c?void o(l):void 0},function(){Object.keys(e).forEach(function(t){var n=q.as(e[t]);"function"==typeof n.cancel&&n.cancel()})})},removeEventListener:function(e,t,n){S.removeEventListener(e,t,n)},supportedForProcessing:!1,then:function(e,t,n,o){return q.as(e).then(t,n,o)},thenEach:function(e,t,n,o){var i=Array.isArray(e)?[]:{};return Object.keys(e).forEach(function(r){i[r]=q.as(e[r]).then(t,n,o)}),q.join(i)},timeout:function(e,t){var n=C(e);return t?w(n,t):n},wrap:function(e){return new j(e)},wrapError:function(e){return new z(e)},_veryExpensiveTagWithStack:{get:function(){return L},set:function(e){L=e}},_veryExpensiveTagWithStack_tag:M,_getStack:function(){if(Debug.debuggerEnabled)try{throw new Error}catch(e){return e.stack}}});Object.defineProperties(q,t.Utilities.createEventProperties(x));var G=t.Class.derive(K,function(e){this._oncancel=e,this._setState(N),this._run()},{_cancelAction:function(){this._oncancel&&this._oncancel()},_cleanupAction:function(){this._oncancel=null}},{supportedForProcessing:!1}),Y=t.Class.define(function(e){this._promise=new G(e)},{promise:{get:function(){return this._promise}},cancel:function(){this._promise.cancel()},complete:function(e){this._promise._completed(e)},error:function(e){this._promise._error(e)},progress:function(e){this._promise._progress(e)}},{supportedForProcessing:!1});t.Namespace.define("WinJS",{Promise:q,_Signal:Y})}(this,this.WinJS),function(e,t){"use strict";t.Namespace.define("WinJS",{ErrorFromName:t.Class.derive(Error,function(e,t){this.name=e,this.message=t||e},{},{supportedForProcessing:!1})})}(this,this.WinJS),function(e){"use strict";e.Namespace.define("WinJS",{xhr:function(t){var n;return new e.Promise(function(e,o,i){n=new XMLHttpRequest,n.onreadystatechange=function(){n._canceled||(4===n.readyState?(n.status>=200&&n.status<300||1223===n.status?e(n):o(n),n.onreadystatechange=function(){}):i(n))},n.open(t.type||"GET",t.url,!0,t.user,t.password),n.responseType=t.responseType||"",Object.keys(t.headers||{}).forEach(function(e){n.setRequestHeader(e,t.headers[e])}),t.customRequestInitializer&&t.customRequestInitializer(n),n.send(t.data)},function(){n._canceled=!0,n.abort()})}})}(this.WinJS),function(e,t,n){"use strict";var o,i,r,s,a,l,u={nonStaticHTML:"Unable to add dynamic content. A script attempted to inject dynamic content, or elements previously modified dynamically, that might be unsafe. For example, using the innerHTML property or the document.write method to add a script element will generate this exception. If the content is safe and from a trusted source, use a method to explicitly manipulate elements and attributes, such as createElement, or use setInnerHTMLUnsafe (or other unsafe method)."};o=i=function(e,t){e.innerHTML=t},r=s=function(e,t){e.outerHTML=t},a=l=function(e,t,n){e.insertAdjacentHTML(t,n)};var c=e.MSApp;if(c)i=function(e,t){c.execUnsafeLocalFunction(function(){e.innerHTML=t})},s=function(e,t){c.execUnsafeLocalFunction(function(){e.outerHTML=t})},l=function(e,t,n){c.execUnsafeLocalFunction(function(){e.insertAdjacentHTML(t,n)})};else if(e.msIsStaticHTML){var d=function(n){if(!e.msIsStaticHTML(n))throw new t.ErrorFromName("WinJS.Utitilies.NonStaticHTML",u.nonStaticHTML)};o=function(e,t){d(t),e.innerHTML=t},r=function(e,t){d(t),e.outerHTML=t},a=function(e,t,n){d(n),e.insertAdjacentHTML(t,n)}}t.Namespace.define("WinJS.Utilities",{setInnerHTML:o,setInnerHTMLUnsafe:i,setOuterHTML:r,setOuterHTMLUnsafe:s,insertAdjacentHTML:a,insertAdjacentHTMLUnsafe:l})}(this,this.WinJS)),function(e){"undefined"==typeof exports&&"function"==typeof define&&define.amd?define("vs/base/common/winjs.base.raw",e.WinJS):module.exports=e.WinJS}(this),define("vs/base/parts/quickopen/common/quickOpen",["require","exports"],function(e,t){"use strict";!function(e){e[e.PREVIEW=0]="PREVIEW",e[e.OPEN=1]="OPEN"}(t.Mode||(t.Mode={}));t.Mode});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/parts/tree/browser/tree",["require","exports"],function(e,t){"use strict";var n=function(){function e(e,t,n){this._posx=e,this._posy=t,this._target=n}return e.prototype.preventDefault=function(){},e.prototype.stopPropagation=function(){},Object.defineProperty(e.prototype,"posx",{get:function(){return this._posx},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"posy",{get:function(){return this._posy},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"target",{get:function(){return this._target},enumerable:!0,configurable:!0}),e}();t.ContextMenuEvent=n;var o=function(e){function t(t){e.call(this,t.posx,t.posy,t.target),this.originalEvent=t}return __extends(t,e),t.prototype.preventDefault=function(){this.originalEvent.preventDefault()},t.prototype.stopPropagation=function(){this.originalEvent.stopPropagation()},t}(n);t.MouseContextMenuEvent=o;var i=function(e){function t(t,n,o){e.call(this,t,n,o.target),this.originalEvent=o}return __extends(t,e),t.prototype.preventDefault=function(){this.originalEvent.preventDefault()},t.prototype.stopPropagation=function(){this.originalEvent.stopPropagation()},t}(n);t.KeyboardContextMenuEvent=i,function(e){e[e.COPY=0]="COPY",e[e.MOVE=1]="MOVE"}(t.DragOverEffect||(t.DragOverEffect={}));var r=t.DragOverEffect;!function(e){e[e.BUBBLE_DOWN=0]="BUBBLE_DOWN",e[e.BUBBLE_UP=1]="BUBBLE_UP"}(t.DragOverBubble||(t.DragOverBubble={}));var s=t.DragOverBubble;t.DRAG_OVER_REJECT={accept:!1},t.DRAG_OVER_ACCEPT={accept:!0},t.DRAG_OVER_ACCEPT_BUBBLE_UP={accept:!0,bubble:s.BUBBLE_UP},t.DRAG_OVER_ACCEPT_BUBBLE_DOWN={accept:!0,bubble:s.BUBBLE_DOWN},t.DRAG_OVER_ACCEPT_BUBBLE_UP_COPY={accept:!0,bubble:s.BUBBLE_UP,effect:r.COPY},t.DRAG_OVER_ACCEPT_BUBBLE_DOWN_COPY={accept:!0,bubble:s.BUBBLE_DOWN,effect:r.COPY}}),define("vs/base/parts/tree/browser/treeDnd",["require","exports"],function(e,t){"use strict";var n=function(){function e(e){this.elements=e}return e.prototype.update=function(e){},e.prototype.getData=function(){return this.elements},e}();t.ElementsDragAndDropData=n;var o=function(){function e(e){this.elements=e}return e.prototype.update=function(e){},e.prototype.getData=function(){return this.elements},e}();t.ExternalElementsDragAndDropData=o;var i=function(){function e(){this.types=[],this.files=[]}return e.prototype.update=function(e){e.dataTransfer.types&&(this.types=[],Array.prototype.push.apply(this.types,e.dataTransfer.types)),e.dataTransfer.files&&(this.files=[],Array.prototype.push.apply(this.files,e.dataTransfer.files),this.files=this.files.filter(function(e){return e.size||e.type}))},e.prototype.getData=function(){return{types:this.types,files:this.files}},e}();t.DesktopDragAndDropData=i}),define("vs/css!vs/base/browser/builder",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/base/browser/ui/actionbar/actionbar",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/base/browser/ui/aria/aria",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/base/browser/ui/checkbox/checkbox",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/base/browser/ui/contextview/contextview",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/base/browser/ui/countBadge/countBadge",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/base/browser/ui/filelabel/filelabel",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/base/browser/ui/findinput/findInput",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/base/browser/ui/inputbox/inputBox",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/base/browser/ui/leftRightWidget/leftRightWidget",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/base/browser/ui/list/list",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/base/browser/ui/menu/menu",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/base/browser/ui/progressbar/progressbar",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/base/browser/ui/sash/sash",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/base/browser/ui/scrollbar/media/scrollbars",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/base/parts/quickopen/browser/quickopen",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/base/parts/tree/browser/tree",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/browser/standalone/media/standalone-tokens",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/browser/viewParts/contentWidgets/contentWidgets",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/browser/viewParts/currentLineHighlight/currentLineHighlight",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/browser/viewParts/decorations/decorations",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/browser/viewParts/glyphMargin/glyphMargin",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/browser/viewParts/lineNumbers/lineNumbers",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/browser/viewParts/lines/viewLines",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/browser/viewParts/linesDecorations/linesDecorations",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/browser/viewParts/overlayWidgets/overlayWidgets",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/browser/viewParts/rulers/rulers",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/browser/viewParts/scrollDecoration/scrollDecoration",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/browser/viewParts/selections/selections",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/browser/viewParts/viewCursors/viewCursors",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/browser/widget/media/diffEditor",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/browser/widget/media/editor",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/browser/widget/media/tokens",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/contrib/accessibility/browser/accessibility",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/contrib/clipboard/browser/clipboard",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/contrib/codelens/browser/codelens",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/contrib/color/browser/color",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/contrib/defineKeybinding/browser/defineKeybinding",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/contrib/find/browser/findWidget",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/contrib/folding/browser/folding",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/contrib/goToDeclaration/browser/goToDeclaration",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/contrib/gotoError/browser/gotoError",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/contrib/hover/browser/hover",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/contrib/iPadShowKeyboard/browser/iPadShowKeyboard",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/contrib/inPlaceReplace/browser/inPlaceReplace",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/contrib/links/browser/links",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/contrib/outlineMarker/browser/outlineMarker",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/contrib/parameterHints/browser/parameterHints",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/contrib/quickFix/browser/quickFix",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/contrib/quickOpen/browser/gotoLine",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/contrib/quickOpen/browser/quickOutline",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/contrib/referenceSearch/browser/referencesWidget",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/contrib/rename/browser/renameInputField",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/contrib/snippet/browser/snippet",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/contrib/suggest/browser/suggest",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/contrib/wordHighlighter/browser/wordHighlighter",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/contrib/zoneWidget/browser/peekViewWidget",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/editor/contrib/zoneWidget/browser/zoneWidget",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/languages/css/common/css-hover",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/platform/contextview/browser/contextMenuHandler",["vs/css!vs/editor/editor.main"],{}),define("vs/css!vs/platform/keybinding/browser/keybindings",["vs/css!vs/editor/editor.main"],{});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/config/elementSizeObserver",["require","exports","vs/base/common/lifecycle"],function(e,t,n){"use strict";var o=function(e){function t(t,n){e.call(this),this.referenceDomElement=t,this.changeCallback=n,this.measureReferenceDomElementToken=-1,this.width=-1,this.height=-1,this.measureReferenceDomElement(!1)}return __extends(t,e),t.prototype.dispose=function(){this.stopObserving(),e.prototype.dispose.call(this)},t.prototype.getWidth=function(){return this.width},t.prototype.getHeight=function(){return this.height},t.prototype.startObserving=function(){var e=this;-1===this.measureReferenceDomElementToken&&(this.measureReferenceDomElementToken=setInterval(function(){return e.measureReferenceDomElement(!0)},100))},t.prototype.stopObserving=function(){-1!==this.measureReferenceDomElementToken&&(clearInterval(this.measureReferenceDomElementToken),this.measureReferenceDomElementToken=-1)},t.prototype.observe=function(e){this.measureReferenceDomElement(!0,e)},t.prototype.measureReferenceDomElement=function(e,t){var n=0,o=0;t?(n=t.width,o=t.height):this.referenceDomElement&&(n=this.referenceDomElement.clientWidth,o=this.referenceDomElement.clientHeight),n=Math.max(5,n),o=Math.max(5,o),this.width===n&&this.height===o||(this.width=n,
this.height=o,e&&this.changeCallback())},t}(n.Disposable);t.ElementSizeObserver=o}),define("vs/editor/browser/editorBrowser",["require","exports"],function(e,t){"use strict";t.ClassNames={TEXTAREA_COVER:"textAreaCover",TEXTAREA:"inputarea",LINES_CONTENT:"lines-content",OVERFLOW_GUARD:"overflow-guard",VIEW_LINES:"view-lines",VIEW_LINE:"view-line",SCROLLABLE_ELEMENT:"editor-scrollable",CONTENT_WIDGETS:"contentWidgets",OVERFLOWING_CONTENT_WIDGETS:"overflowingContentWidgets",OVERLAY_WIDGETS:"overlayWidgets",MARGIN_VIEW_OVERLAYS:"margin-view-overlays",LINE_NUMBERS:"line-numbers",GLYPH_MARGIN:"glyph-margin",SCROLL_DECORATION:"scroll-decoration",VIEW_CURSORS_LAYER:"cursors-layer",VIEW_ZONES:"view-zones"},function(e){e[e.EXACT=0]="EXACT",e[e.ABOVE=1]="ABOVE",e[e.BELOW=2]="BELOW"}(t.ContentWidgetPositionPreference||(t.ContentWidgetPositionPreference={}));t.ContentWidgetPositionPreference;!function(e){e[e.TOP_RIGHT_CORNER=0]="TOP_RIGHT_CORNER",e[e.BOTTOM_RIGHT_CORNER=1]="BOTTOM_RIGHT_CORNER",e[e.TOP_CENTER=2]="TOP_CENTER"}(t.OverlayWidgetPositionPreference||(t.OverlayWidgetPositionPreference={}));t.OverlayWidgetPositionPreference}),define("vs/editor/common/core/arrays",["require","exports"],function(e,t){"use strict";var n;!function(e){function t(e,t){var n=0,o=e.length-1;if(0>=o)return 0;for(;o>n;){var i=n+Math.ceil((o-n)/2);e[i].startIndex>t?o=i-1:n=i}return n}e.findIndexInSegmentsArray=t}(n=t.Arrays||(t.Arrays={}))}),define("vs/editor/common/core/modeTransition",["require","exports","vs/editor/common/core/arrays"],function(e,t,n){"use strict";var o=function(){function e(e,t){this.startIndex=0|e,this.mode=t}return e.findIndexInSegmentsArray=function(e,t){return n.Arrays.findIndexInSegmentsArray(e,t)},e.create=function(t){for(var n=[],o=0,i=t.length;i>o;o++){var r=t[o];n.push(new e(r.startIndex,r.mode))}return n},e}();t.ModeTransition=o}),define("vs/editor/common/core/position",["require","exports"],function(e,t){"use strict";var n=function(){function e(e,t){this.lineNumber=e,this.column=t}return e.prototype.equals=function(t){return e.equals(this,t)},e.equals=function(e,t){return e||t?!!e&&!!t&&e.lineNumber===t.lineNumber&&e.column===t.column:!0},e.prototype.isBefore=function(t){return e.isBefore(this,t)},e.isBefore=function(e,t){return e.lineNumber<t.lineNumber?!0:t.lineNumber<e.lineNumber?!1:e.column<t.column},e.prototype.isBeforeOrEqual=function(t){return e.isBeforeOrEqual(this,t)},e.isBeforeOrEqual=function(e,t){return e.lineNumber<t.lineNumber?!0:t.lineNumber<e.lineNumber?!1:e.column<=t.column},e.prototype.clone=function(){return new e(this.lineNumber,this.column)},e.prototype.toString=function(){return"("+this.lineNumber+","+this.column+")"},e.lift=function(t){return new e(t.lineNumber,t.column)},e.isIPosition=function(e){return e&&"number"==typeof e.lineNumber&&"number"==typeof e.column},e.asEmptyRange=function(e){return{startLineNumber:e.lineNumber,startColumn:e.column,endLineNumber:e.lineNumber,endColumn:e.column}},e.startPosition=function(e){return{lineNumber:e.startLineNumber,column:e.startColumn}},e.endPosition=function(e){return{lineNumber:e.endLineNumber,column:e.endColumn}},e}();t.Position=n}),define("vs/editor/common/core/range",["require","exports","vs/editor/common/core/position"],function(e,t,n){"use strict";var o=function(){function e(e,t,n,o){e>n||e===n&&t>o?(this.startLineNumber=n,this.startColumn=o,this.endLineNumber=e,this.endColumn=t):(this.startLineNumber=e,this.startColumn=t,this.endLineNumber=n,this.endColumn=o)}return e.prototype.isEmpty=function(){return e.isEmpty(this)},e.prototype.containsPosition=function(t){return e.containsPosition(this,t)},e.prototype.containsRange=function(t){return e.containsRange(this,t)},e.prototype.plusRange=function(t){return e.plusRange(this,t)},e.prototype.intersectRanges=function(t){return e.intersectRanges(this,t)},e.prototype.equalsRange=function(t){return e.equalsRange(this,t)},e.prototype.getEndPosition=function(){return new n.Position(this.endLineNumber,this.endColumn)},e.prototype.getStartPosition=function(){return new n.Position(this.startLineNumber,this.startColumn)},e.prototype.cloneRange=function(){return new e(this.startLineNumber,this.startColumn,this.endLineNumber,this.endColumn)},e.prototype.toString=function(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"},e.prototype.setEndPosition=function(t,n){return new e(this.startLineNumber,this.startColumn,t,n)},e.prototype.setStartPosition=function(t,n){return new e(t,n,this.endLineNumber,this.endColumn)},e.prototype.collapseToStart=function(){return new e(this.startLineNumber,this.startColumn,this.startLineNumber,this.startColumn)},e.lift=function(t){return t?new e(t.startLineNumber,t.startColumn,t.endLineNumber,t.endColumn):null},e.isIRange=function(e){return e&&"number"==typeof e.startLineNumber&&"number"==typeof e.startColumn&&"number"==typeof e.endLineNumber&&"number"==typeof e.endColumn},e.isEmpty=function(e){return e.startLineNumber===e.endLineNumber&&e.startColumn===e.endColumn},e.containsPosition=function(e,t){return t.lineNumber<e.startLineNumber||t.lineNumber>e.endLineNumber?!1:t.lineNumber===e.startLineNumber&&t.column<e.startColumn?!1:!(t.lineNumber===e.endLineNumber&&t.column>e.endColumn)},e.containsRange=function(e,t){return t.startLineNumber<e.startLineNumber||t.endLineNumber<e.startLineNumber?!1:t.startLineNumber>e.endLineNumber||t.endLineNumber>e.endLineNumber?!1:t.startLineNumber===e.startLineNumber&&t.startColumn<e.startColumn?!1:!(t.endLineNumber===e.endLineNumber&&t.endColumn>e.endColumn)},e.areIntersectingOrTouching=function(e,t){return e.endLineNumber<t.startLineNumber||e.endLineNumber===t.startLineNumber&&e.endColumn<t.startColumn?!1:!(t.endLineNumber<e.startLineNumber||t.endLineNumber===e.startLineNumber&&t.endColumn<e.startColumn)},e.intersectRanges=function(t,n){var o=t.startLineNumber,i=t.startColumn,r=t.endLineNumber,s=t.endColumn,a=n.startLineNumber,l=n.startColumn,u=n.endLineNumber,c=n.endColumn;return a>o?(o=a,i=l):o===a&&(i=Math.max(i,l)),r>u?(r=u,s=c):r===u&&(s=Math.min(s,c)),o>r?null:o===r&&i>s?null:new e(o,i,r,s)},e.plusRange=function(t,n){var o,i,r,s;return n.startLineNumber<t.startLineNumber?(o=n.startLineNumber,i=n.startColumn):n.startLineNumber===t.startLineNumber?(o=n.startLineNumber,i=Math.min(n.startColumn,t.startColumn)):(o=t.startLineNumber,i=t.startColumn),n.endLineNumber>t.endLineNumber?(r=n.endLineNumber,s=n.endColumn):n.endLineNumber===t.endLineNumber?(r=n.endLineNumber,s=Math.max(n.endColumn,t.endColumn)):(r=t.endLineNumber,s=t.endColumn),new e(o,i,r,s)},e.equalsRange=function(e,t){return!!e&&!!t&&e.startLineNumber===t.startLineNumber&&e.startColumn===t.startColumn&&e.endLineNumber===t.endLineNumber&&e.endColumn===t.endColumn},e.compareRangesUsingStarts=function(e,t){var n=0|e.startLineNumber,o=0|t.startLineNumber,i=0|e.startColumn,r=0|t.startColumn,s=0|e.endLineNumber,a=0|t.endLineNumber,l=0|e.endColumn,u=0|t.endColumn;return n===o?i===r?s===a?l-u:s-a:i-r:n-o},e.compareRangesUsingEnds=function(e,t){return e.endLineNumber===t.endLineNumber?e.endColumn===t.endColumn?e.startLineNumber===t.startLineNumber?e.startColumn-t.startColumn:e.startLineNumber-t.startLineNumber:e.endColumn-t.endColumn:e.endLineNumber-t.endLineNumber},e.spansMultipleLines=function(e){return e.endLineNumber>e.startLineNumber},e.collapseToStart=function(e){return{startLineNumber:e.startLineNumber,startColumn:e.startColumn,endLineNumber:e.startLineNumber,endColumn:e.startColumn}},e}();t.Range=o}),define("vs/editor/common/core/editOperation",["require","exports","vs/editor/common/core/range"],function(e,t,n){"use strict";var o=function(){function e(){}return e.insert=function(e,t){return{identifier:null,range:new n.Range(e.lineNumber,e.column,e.lineNumber,e.column),text:t,forceMoveMarkers:!0}},e["delete"]=function(e){return{identifier:null,range:e,text:null,forceMoveMarkers:!0}},e.replace=function(e,t){return{identifier:null,range:e,text:t,forceMoveMarkers:!1}},e.replaceMove=function(e,t){return{identifier:null,range:e,text:t,forceMoveMarkers:!0}},e}();t.EditOperation=o}),define("vs/editor/common/commands/trimTrailingWhitespaceCommand",["require","exports","vs/base/common/strings","vs/editor/common/core/editOperation","vs/editor/common/core/range"],function(e,t,n,o,i){"use strict";function r(e,t){t.sort(function(e,t){return e.lineNumber===t.lineNumber?e.column-t.column:e.lineNumber-t.lineNumber});for(var r=t.length-2;r>=0;r--)t[r].lineNumber===t[r+1].lineNumber&&t.splice(r,1);var s,a,l,u,c,d,h,p=[],m=0,f=t.length;for(s=1,a=e.getLineCount();a>=s;s++)if(l=e.getLineContent(s),c=l.length+1,u=0,!(f>m&&t[m].lineNumber===s&&(u=t[m].column,m++,u===c))&&0!==l.length){if(h=n.lastNonWhitespaceIndex(l),d=0,-1===h)d=1;else{if(h===l.length-1)continue;d=h+2}d=Math.max(u,d),p.push(o.EditOperation["delete"](new i.Range(s,d,s,c)))}return p}var s=function(){function e(e){this.selection=e}return e.prototype.getEditOperations=function(e,t){for(var n=r(e,[]),o=0,i=n.length;i>o;o++){var s=n[o];t.addEditOperation(s.range,s.text)}this.selectionId=t.trackSelection(this.selection)},e.prototype.computeCursorState=function(e,t){return t.getTrackedSelection(this.selectionId)},e}();t.TrimTrailingWhitespaceCommand=s,t.trimTrailingWhitespace=r}),define("vs/editor/common/core/viewLineToken",["require","exports","vs/editor/common/core/arrays"],function(e,t,n){"use strict";var o=function(){function e(e,t){this.startIndex=0|e,this.type=t.replace(/[^a-z0-9\-]/gi," ")}return e.prototype.equals=function(e){return this.startIndex===e.startIndex&&this.type===e.type},e.findIndexInSegmentsArray=function(e,t){return n.Arrays.findIndexInSegmentsArray(e,t)},e.equalsArray=function(e,t){var n=e.length,o=t.length;if(n!==o)return!1;for(var i=0;n>i;i++)if(!e[i].equals(t[i]))return!1;return!0},e}();t.ViewLineToken=o;var i=function(){function e(e,t,n){this._lineTokens=e,this._fauxIndentLength=0|t,this._textLength=0|n}return e.prototype.getTokens=function(){return this._lineTokens},e.prototype.getFauxIndentLength=function(){return this._fauxIndentLength},e.prototype.getTextLength=function(){return this._textLength},e.prototype.equals=function(e){return this._fauxIndentLength===e._fauxIndentLength&&this._textLength===e._textLength&&o.equalsArray(this._lineTokens,e._lineTokens)},e.prototype.findIndexOfOffset=function(e){return o.findIndexInSegmentsArray(this._lineTokens,e)},e}();t.ViewLineTokens=i});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/editorActionEnablement",["require","exports","vs/base/common/lifecycle"],function(e,t,n){"use strict";function o(e,t,n){return new r([new a(t,e),new l(t,e,n)])}!function(e){e[e.TextFocus=1]="TextFocus",e[e.WidgetFocus=2]="WidgetFocus",e[e.Writeable=4]="Writeable",e[e.UpdateOnModelChange=8]="UpdateOnModelChange",e[e.UpdateOnConfigurationChange=16]="UpdateOnConfigurationChange",e[e.ShowInContextMenu=32]="ShowInContextMenu",e[e.UpdateOnCursorPositionChange=64]="UpdateOnCursorPositionChange"}(t.Behaviour||(t.Behaviour={}));var i=t.Behaviour;t.createActionEnablement=o;var r=function(){function e(e){this._delegates=e}return e.prototype.value=function(){return this._delegates.every(function(e){return e.value()})},e.prototype.reset=function(){this._delegates.forEach(function(e){e instanceof s&&e.reset()})},e.prototype.dispose=function(){this._delegates.forEach(function(e){return e.dispose()})},e}(),s=function(){function e(){this._value=null}return e.prototype.reset=function(){this._value=null},e.prototype.dispose=function(){},e.prototype.value=function(){return null===this._value&&(this._value=this._computeValue()),this._value},e.prototype._computeValue=function(){return!1},e}(),a=function(e){function t(t,n){var o=this;e.call(this),this._behaviour=t,this.editor=n,this.hasTextFocus=!1,this.hasWidgetFocus=!1,this.isReadOnly=!1,this._callOnDispose=[],this._behaviour&i.TextFocus&&(this._callOnDispose.push(this.editor.onDidFocusEditorText(function(){return o._updateTextFocus(!0)})),this._callOnDispose.push(this.editor.onDidBlurEditorText(function(){return o._updateTextFocus(!1)}))),this._behaviour&i.WidgetFocus&&(this._callOnDispose.push(this.editor.onDidFocusEditor(function(){return o._updateWidgetFocus(!0)})),this._callOnDispose.push(this.editor.onDidBlurEditor(function(){return o._updateWidgetFocus(!1)}))),this._behaviour&i.Writeable&&this._callOnDispose.push(this.editor.onDidChangeConfiguration(function(e){return o._update()}))}return __extends(t,e),t.prototype._updateTextFocus=function(e){this.hasTextFocus=e,this.reset()},t.prototype._updateWidgetFocus=function(e){this.hasWidgetFocus=e,this.reset()},t.prototype._update=function(){this.isReadOnly=this.editor.getConfiguration().readOnly,this.reset()},t.prototype.dispose=function(){e.prototype.dispose.call(this),n.dispose(this._callOnDispose)},t.prototype._computeValue=function(){return this._behaviour&i.TextFocus&&!this.hasTextFocus?!1:this._behaviour&i.WidgetFocus&&!this.hasWidgetFocus?!1:!(this._behaviour&i.Writeable&&this.isReadOnly)},t}(s),l=function(e){function t(t,n,o){var r=this;e.call(this),this.editor=n,this._action=o,this._callOnDispose=[],t&i.UpdateOnModelChange&&(this._callOnDispose.push(this.editor.onDidChangeModel(function(){return r.reset()})),this._callOnDispose.push(this.editor.onDidChangeModelMode(function(){return r.reset()})),this._callOnDispose.push(this.editor.onDidChangeModelModeSupport(function(){return r.reset()}))),t&i.UpdateOnCursorPositionChange&&this._callOnDispose.push(this.editor.onDidChangeCursorPosition(function(){return r.reset()}))}return __extends(t,e),t.prototype._computeValue=function(){return this.editor.getModel()&&this._action.isSupported()?!!this._action.getEnablementState():!1},t}(s)});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/editorCommon",["require","exports"],function(e,t){"use strict";function n(e){if(e===p.Line)return"line";if(e===p.Block)return"block";if(e===p.Underline)return"underline";throw new Error("cursorStyleToString: Unknown cursorStyle")}!function(e){e[e.LTR=0]="LTR",e[e.RTL=1]="RTL"}(t.SelectionDirection||(t.SelectionDirection={}));t.SelectionDirection;!function(e){e[e.None=0]="None",e[e.Same=1]="Same",e[e.Indent=2]="Indent"}(t.WrappingIndent||(t.WrappingIndent={}));var o=(t.WrappingIndent,function(){function e(e){this.arrowSize=0|e.arrowSize,this.vertical=0|e.vertical,this.horizontal=0|e.horizontal,this.useShadows=Boolean(e.useShadows),this.verticalHasArrows=Boolean(e.verticalHasArrows),this.horizontalHasArrows=Boolean(e.horizontalHasArrows),this.handleMouseWheel=Boolean(e.handleMouseWheel),this.horizontalScrollbarSize=0|e.horizontalScrollbarSize,this.horizontalSliderSize=0|e.horizontalSliderSize,this.verticalScrollbarSize=0|e.verticalScrollbarSize,this.verticalSliderSize=0|e.verticalSliderSize,this.mouseWheelScrollSensitivity=Number(e.mouseWheelScrollSensitivity)}return e.prototype.equals=function(e){return this.arrowSize===e.arrowSize&&this.vertical===e.vertical&&this.horizontal===e.horizontal&&this.useShadows===e.useShadows&&this.verticalHasArrows===e.verticalHasArrows&&this.horizontalHasArrows===e.horizontalHasArrows&&this.handleMouseWheel===e.handleMouseWheel&&this.horizontalScrollbarSize===e.horizontalScrollbarSize&&this.horizontalSliderSize===e.horizontalSliderSize&&this.verticalScrollbarSize===e.verticalScrollbarSize&&this.verticalSliderSize===e.verticalSliderSize&&this.mouseWheelScrollSensitivity===e.mouseWheelScrollSensitivity},e.prototype.clone=function(){return new e(this)},e}());t.InternalEditorScrollbarOptions=o;var i=function(){function e(e){this.isViewportWrapping=Boolean(e.isViewportWrapping),this.wrappingColumn=0|e.wrappingColumn,this.wrappingIndent=0|e.wrappingIndent,this.wordWrapBreakBeforeCharacters=String(e.wordWrapBreakBeforeCharacters),this.wordWrapBreakAfterCharacters=String(e.wordWrapBreakAfterCharacters),this.wordWrapBreakObtrusiveCharacters=String(e.wordWrapBreakObtrusiveCharacters)}return e.prototype.equals=function(e){return this.isViewportWrapping===e.isViewportWrapping&&this.wrappingColumn===e.wrappingColumn&&this.wrappingIndent===e.wrappingIndent&&this.wordWrapBreakBeforeCharacters===e.wordWrapBreakBeforeCharacters&&this.wordWrapBreakAfterCharacters===e.wordWrapBreakAfterCharacters&&this.wordWrapBreakObtrusiveCharacters===e.wordWrapBreakObtrusiveCharacters},e.prototype.clone=function(){return new e(this)},e}();t.EditorWrappingInfo=i;var r=function(){function e(t){this.theme=String(t.theme),this.canUseTranslate3d=Boolean(t.canUseTranslate3d),this.experimentalScreenReader=Boolean(t.experimentalScreenReader),this.rulers=e._toSortedIntegerArray(t.rulers),this.ariaLabel=String(t.ariaLabel),this.lineNumbers=t.lineNumbers,this.selectOnLineNumbers=Boolean(t.selectOnLineNumbers),this.glyphMargin=Boolean(t.glyphMargin),this.revealHorizontalRightPadding=0|t.revealHorizontalRightPadding,this.roundedSelection=Boolean(t.roundedSelection),this.overviewRulerLanes=0|t.overviewRulerLanes,this.cursorBlinking=String(t.cursorBlinking),this.cursorStyle=0|t.cursorStyle,this.hideCursorInOverviewRuler=Boolean(t.hideCursorInOverviewRuler),this.scrollBeyondLastLine=Boolean(t.scrollBeyondLastLine),this.editorClassName=String(t.editorClassName),this.stopRenderingLineAfter=0|t.stopRenderingLineAfter,this.renderWhitespace=Boolean(t.renderWhitespace),this.indentGuides=Boolean(t.indentGuides),this.scrollbar=t.scrollbar.clone()}return e._toSortedIntegerArray=function(e){if(!Array.isArray(e))return[];var t=e,n=t.map(function(e){var t=parseInt(e,10);return isNaN(t)?0:t});return n.sort(),n},e._numberArraysEqual=function(e,t){if(e.length!==t.length)return!1;for(var n=0;n<e.length;n++)if(e[n]!==t[n])return!1;return!0},e.prototype.equals=function(t){return this.theme===t.theme&&this.canUseTranslate3d===t.canUseTranslate3d&&this.experimentalScreenReader===t.experimentalScreenReader&&e._numberArraysEqual(this.rulers,t.rulers)&&this.ariaLabel===t.ariaLabel&&this.lineNumbers===t.lineNumbers&&this.selectOnLineNumbers===t.selectOnLineNumbers&&this.glyphMargin===t.glyphMargin&&this.revealHorizontalRightPadding===t.revealHorizontalRightPadding&&this.roundedSelection===t.roundedSelection&&this.overviewRulerLanes===t.overviewRulerLanes&&this.cursorBlinking===t.cursorBlinking&&this.cursorStyle===t.cursorStyle&&this.hideCursorInOverviewRuler===t.hideCursorInOverviewRuler&&this.scrollBeyondLastLine===t.scrollBeyondLastLine&&this.editorClassName===t.editorClassName&&this.stopRenderingLineAfter===t.stopRenderingLineAfter&&this.renderWhitespace===t.renderWhitespace&&this.indentGuides===t.indentGuides&&this.scrollbar.equals(t.scrollbar)},e.prototype.createChangeEvent=function(t){return{theme:this.theme!==t.theme,canUseTranslate3d:this.canUseTranslate3d!==t.canUseTranslate3d,experimentalScreenReader:this.experimentalScreenReader!==t.experimentalScreenReader,rulers:!e._numberArraysEqual(this.rulers,t.rulers),ariaLabel:this.ariaLabel!==t.ariaLabel,lineNumbers:this.lineNumbers!==t.lineNumbers,selectOnLineNumbers:this.selectOnLineNumbers!==t.selectOnLineNumbers,glyphMargin:this.glyphMargin!==t.glyphMargin,revealHorizontalRightPadding:this.revealHorizontalRightPadding!==t.revealHorizontalRightPadding,roundedSelection:this.roundedSelection!==t.roundedSelection,overviewRulerLanes:this.overviewRulerLanes!==t.overviewRulerLanes,cursorBlinking:this.cursorBlinking!==t.cursorBlinking,cursorStyle:this.cursorStyle!==t.cursorStyle,hideCursorInOverviewRuler:this.hideCursorInOverviewRuler!==t.hideCursorInOverviewRuler,scrollBeyondLastLine:this.scrollBeyondLastLine!==t.scrollBeyondLastLine,editorClassName:this.editorClassName!==t.editorClassName,stopRenderingLineAfter:this.stopRenderingLineAfter!==t.stopRenderingLineAfter,renderWhitespace:this.renderWhitespace!==t.renderWhitespace,indentGuides:this.indentGuides!==t.indentGuides,scrollbar:!this.scrollbar.equals(t.scrollbar)}},e.prototype.clone=function(){return new e(this)},e}();t.InternalEditorViewOptions=r;var s=function(){function e(e){this.selectionClipboard=Boolean(e.selectionClipboard),this.hover=Boolean(e.hover),this.contextmenu=Boolean(e.contextmenu),this.quickSuggestions=Boolean(e.quickSuggestions),this.quickSuggestionsDelay=0|e.quickSuggestionsDelay,this.iconsInSuggestions=Boolean(e.iconsInSuggestions),this.formatOnType=Boolean(e.formatOnType),this.suggestOnTriggerCharacters=Boolean(e.suggestOnTriggerCharacters),this.acceptSuggestionOnEnter=Boolean(e.acceptSuggestionOnEnter),this.selectionHighlight=Boolean(e.selectionHighlight),this.outlineMarkers=Boolean(e.outlineMarkers),this.referenceInfos=Boolean(e.referenceInfos),this.folding=Boolean(e.folding)}return e.prototype.equals=function(e){return this.selectionClipboard===e.selectionClipboard&&this.hover===e.hover&&this.contextmenu===e.contextmenu&&this.quickSuggestions===e.quickSuggestions&&this.quickSuggestionsDelay===e.quickSuggestionsDelay&&this.iconsInSuggestions===e.iconsInSuggestions&&this.formatOnType===e.formatOnType&&this.suggestOnTriggerCharacters===e.suggestOnTriggerCharacters&&this.acceptSuggestionOnEnter===e.acceptSuggestionOnEnter&&this.selectionHighlight===e.selectionHighlight&&this.outlineMarkers===e.outlineMarkers&&this.referenceInfos===e.referenceInfos&&this.folding===e.folding},e.prototype.clone=function(){return new e(this)},e}();t.EditorContribOptions=s;var a=function(){function e(e){this.lineHeight=0|e.lineHeight,this.readOnly=Boolean(e.readOnly),this.wordSeparators=String(e.wordSeparators),this.autoClosingBrackets=Boolean(e.autoClosingBrackets),this.useTabStops=Boolean(e.useTabStops),this.tabFocusMode=Boolean(e.tabFocusMode),this.layoutInfo=e.layoutInfo.clone(),this.fontInfo=e.fontInfo.clone(),this.viewInfo=e.viewInfo.clone(),this.wrappingInfo=e.wrappingInfo.clone(),this.contribInfo=e.contribInfo.clone()}return e.prototype.equals=function(e){return this.lineHeight===e.lineHeight&&this.readOnly===e.readOnly&&this.wordSeparators===e.wordSeparators&&this.autoClosingBrackets===e.autoClosingBrackets&&this.useTabStops===e.useTabStops&&this.tabFocusMode===e.tabFocusMode&&this.layoutInfo.equals(e.layoutInfo)&&this.fontInfo.equals(e.fontInfo)&&this.viewInfo.equals(e.viewInfo)&&this.wrappingInfo.equals(e.wrappingInfo)&&this.contribInfo.equals(e.contribInfo)},e.prototype.createChangeEvent=function(e){return{lineHeight:this.lineHeight!==e.lineHeight,readOnly:this.readOnly!==e.readOnly,wordSeparators:this.wordSeparators!==e.wordSeparators,autoClosingBrackets:this.autoClosingBrackets!==e.autoClosingBrackets,useTabStops:this.useTabStops!==e.useTabStops,tabFocusMode:this.tabFocusMode!==e.tabFocusMode,layoutInfo:!this.layoutInfo.equals(e.layoutInfo),fontInfo:!this.fontInfo.equals(e.fontInfo),viewInfo:this.viewInfo.createChangeEvent(e.viewInfo),wrappingInfo:!this.wrappingInfo.equals(e.wrappingInfo),contribInfo:!this.contribInfo.equals(e.contribInfo)}},e.prototype.clone=function(){return new e(this)},e}();t.InternalEditorOptions=a,function(e){e[e.Left=1]="Left",e[e.Center=2]="Center",e[e.Right=4]="Right",e[e.Full=7]="Full"}(t.OverviewRulerLane||(t.OverviewRulerLane={}));t.OverviewRulerLane;!function(e){e[e.TextDefined=0]="TextDefined",e[e.LF=1]="LF",e[e.CRLF=2]="CRLF"}(t.EndOfLinePreference||(t.EndOfLinePreference={}));t.EndOfLinePreference;!function(e){e[e.LF=1]="LF",e[e.CRLF=2]="CRLF"}(t.DefaultEndOfLine||(t.DefaultEndOfLine={}));t.DefaultEndOfLine;!function(e){e[e.LF=0]="LF",e[e.CRLF=1]="CRLF"}(t.EndOfLineSequence||(t.EndOfLineSequence={}));t.EndOfLineSequence;!function(e){e[e.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",e[e.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",e[e.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",e[e.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"}(t.TrackedRangeStickiness||(t.TrackedRangeStickiness={}));t.TrackedRangeStickiness;!function(e){e[e.NotSet=0]="NotSet",e[e.ContentFlush=1]="ContentFlush",e[e.RecoverFromMarkers=2]="RecoverFromMarkers",e[e.Explicit=3]="Explicit",e[e.Paste=4]="Paste",e[e.Undo=5]="Undo",e[e.Redo=6]="Redo"}(t.CursorChangeReason||(t.CursorChangeReason={}));t.CursorChangeReason;!function(e){e[e.Simple=0]="Simple",e[e.Center=1]="Center",e[e.CenterIfOutsideViewport=2]="CenterIfOutsideViewport"}(t.VerticalRevealType||(t.VerticalRevealType={}));var l=(t.VerticalRevealType,function(){function e(e){this.width=0|e.width,this.height=0|e.height,this.top=0|e.top,this.right=0|e.right}return e.prototype.equals=function(e){return this.width===e.width&&this.height===e.height&&this.top===e.top&&this.right===e.right},e.prototype.clone=function(){return new e(this)},e}());t.OverviewRulerPosition=l;var u=function(){function e(e){this.width=0|e.width,this.height=0|e.height,this.glyphMarginLeft=0|e.glyphMarginLeft,this.glyphMarginWidth=0|e.glyphMarginWidth,this.glyphMarginHeight=0|e.glyphMarginHeight,this.lineNumbersLeft=0|e.lineNumbersLeft,this.lineNumbersWidth=0|e.lineNumbersWidth,this.lineNumbersHeight=0|e.lineNumbersHeight,this.decorationsLeft=0|e.decorationsLeft,this.decorationsWidth=0|e.decorationsWidth,this.decorationsHeight=0|e.decorationsHeight,this.contentLeft=0|e.contentLeft,this.contentWidth=0|e.contentWidth,this.contentHeight=0|e.contentHeight,this.verticalScrollbarWidth=0|e.verticalScrollbarWidth,this.horizontalScrollbarHeight=0|e.horizontalScrollbarHeight,this.overviewRuler=e.overviewRuler.clone()}return e.prototype.equals=function(e){return this.width===e.width&&this.height===e.height&&this.glyphMarginLeft===e.glyphMarginLeft&&this.glyphMarginWidth===e.glyphMarginWidth&&this.glyphMarginHeight===e.glyphMarginHeight&&this.lineNumbersLeft===e.lineNumbersLeft&&this.lineNumbersWidth===e.lineNumbersWidth&&this.lineNumbersHeight===e.lineNumbersHeight&&this.decorationsLeft===e.decorationsLeft&&this.decorationsWidth===e.decorationsWidth&&this.decorationsHeight===e.decorationsHeight&&this.contentLeft===e.contentLeft&&this.contentWidth===e.contentWidth&&this.contentHeight===e.contentHeight&&this.verticalScrollbarWidth===e.verticalScrollbarWidth&&this.horizontalScrollbarHeight===e.horizontalScrollbarHeight&&this.overviewRuler.equals(e.overviewRuler)},e.prototype.clone=function(){return new e(this)},e}();t.EditorLayoutInfo=u,function(e){e[e.UNKNOWN=0]="UNKNOWN",e[e.TEXTAREA=1]="TEXTAREA",e[e.GUTTER_GLYPH_MARGIN=2]="GUTTER_GLYPH_MARGIN",e[e.GUTTER_LINE_NUMBERS=3]="GUTTER_LINE_NUMBERS",e[e.GUTTER_LINE_DECORATIONS=4]="GUTTER_LINE_DECORATIONS",e[e.GUTTER_VIEW_ZONE=5]="GUTTER_VIEW_ZONE",e[e.CONTENT_TEXT=6]="CONTENT_TEXT",e[e.CONTENT_EMPTY=7]="CONTENT_EMPTY",e[e.CONTENT_VIEW_ZONE=8]="CONTENT_VIEW_ZONE",e[e.CONTENT_WIDGET=9]="CONTENT_WIDGET",e[e.OVERVIEW_RULER=10]="OVERVIEW_RULER",e[e.SCROLLBAR=11]="SCROLLBAR",e[e.OVERLAY_WIDGET=12]="OVERLAY_WIDGET"}(t.MouseTargetType||(t.MouseTargetType={}));t.MouseTargetType;t.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS="editorTextFocus",t.KEYBINDING_CONTEXT_EDITOR_FOCUS="editorFocus",t.KEYBINDING_CONTEXT_EDITOR_TAB_MOVES_FOCUS="editorTabMovesFocus",t.KEYBINDING_CONTEXT_EDITOR_HAS_MULTIPLE_SELECTIONS="editorHasMultipleSelections",t.KEYBINDING_CONTEXT_EDITOR_HAS_NON_EMPTY_SELECTION="editorHasSelection",t.KEYBINDING_CONTEXT_EDITOR_LANGUAGE_ID="editorLangId",t.SHOW_ACCESSIBILITY_HELP_ACTION_ID="editor.action.showAccessibilityHelp";var c=function(){function e(e){this.fontFamily=String(e.fontFamily),this.fontSize=0|e.fontSize,this.lineHeight=0|e.lineHeight}return e.prototype.getId=function(){return this.fontFamily+"-"+this.fontSize+"-"+this.lineHeight},e}();t.BareFontInfo=c;var d=function(e){function t(t){e.call(this,t),this.typicalHalfwidthCharacterWidth=t.typicalHalfwidthCharacterWidth,this.typicalFullwidthCharacterWidth=t.typicalFullwidthCharacterWidth,this.spaceWidth=t.spaceWidth,this.maxDigitWidth=t.maxDigitWidth}return __extends(t,e),t.prototype.equals=function(e){return this.fontFamily===e.fontFamily&&this.fontSize===e.fontSize&&this.lineHeight===e.lineHeight&&this.typicalHalfwidthCharacterWidth===e.typicalHalfwidthCharacterWidth&&this.typicalFullwidthCharacterWidth===e.typicalFullwidthCharacterWidth&&this.spaceWidth===e.spaceWidth&&this.maxDigitWidth===e.maxDigitWidth},t.prototype.clone=function(){return new t(this)},t}(c);t.FontInfo=d,t.ViewEventNames={ModelFlushedEvent:"modelFlushedEvent",LinesDeletedEvent:"linesDeletedEvent",LinesInsertedEvent:"linesInsertedEvent",LineChangedEvent:"lineChangedEvent",TokensChangedEvent:"tokensChangedEvent",DecorationsChangedEvent:"decorationsChangedEvent",CursorPositionChangedEvent:"cursorPositionChangedEvent",CursorSelectionChangedEvent:"cursorSelectionChangedEvent",RevealRangeEvent:"revealRangeEvent",LineMappingChangedEvent:"lineMappingChangedEvent",ScrollRequestEvent:"scrollRequestEvent"};var h=function(){function e(e,t,n,o){this.top=0|e,this.left=0|t,this.width=0|n,this.height=0|o}return e}();t.Viewport=h,function(e){e[e.Value=0]="Value",e[e.Selection=1]="Selection",e[e.Position=2]="Position",e[e.Scroll=3]="Scroll"}(t.CodeEditorStateFlag||(t.CodeEditorStateFlag={}));t.CodeEditorStateFlag;t.EditorType={ICodeEditor:"vs.editor.ICodeEditor",IDiffEditor:"vs.editor.IDiffEditor"},t.ClassName={EditorWarningDecoration:"greensquiggly",EditorErrorDecoration:"redsquiggly"},t.EventType={Disposed:"disposed",ConfigurationChanged:"configurationChanged",ModelDispose:"modelDispose",ModelChanged:"modelChanged",ModelTokensChanged:"modelTokensChanged",ModelModeChanged:"modelsModeChanged",ModelModeSupportChanged:"modelsModeSupportChanged",ModelOptionsChanged:"modelOptionsChanged",ModelRawContentChanged:"contentChanged",ModelContentChanged2:"contentChanged2",ModelRawContentChangedFlush:"flush",ModelRawContentChangedLinesDeleted:"linesDeleted",ModelRawContentChangedLinesInserted:"linesInserted",ModelRawContentChangedLineChanged:"lineChanged",EditorTextBlur:"blur",EditorTextFocus:"focus",EditorFocus:"widgetFocus",EditorBlur:"widgetBlur",ModelDecorationsChanged:"decorationsChanged",CursorPositionChanged:"positionChanged",CursorSelectionChanged:"selectionChanged",CursorRevealRange:"revealRange",CursorScrollRequest:"scrollRequest",ViewFocusGained:"focusGained",ViewFocusLost:"focusLost",ViewFocusChanged:"focusChanged",ViewScrollChanged:"scrollChanged",ViewZonesChanged:"zonesChanged",ViewLayoutChanged:"viewLayoutChanged",ContextMenu:"contextMenu",MouseDown:"mousedown",MouseUp:"mouseup",MouseMove:"mousemove",MouseLeave:"mouseleave",KeyDown:"keydown",KeyUp:"keyup",EditorLayout:"editorLayout",DiffUpdated:"diffUpdated"},t.Handler={ExecuteCommand:"executeCommand",ExecuteCommands:"executeCommands",CursorLeft:"cursorLeft",CursorLeftSelect:"cursorLeftSelect",CursorWordLeft:"cursorWordLeft",CursorWordStartLeft:"cursorWordStartLeft",CursorWordEndLeft:"cursorWordEndLeft",CursorWordLeftSelect:"cursorWordLeftSelect",CursorWordStartLeftSelect:"cursorWordStartLeftSelect",CursorWordEndLeftSelect:"cursorWordEndLeftSelect",CursorRight:"cursorRight",CursorRightSelect:"cursorRightSelect",CursorWordRight:"cursorWordRight",CursorWordStartRight:"cursorWordStartRight",CursorWordEndRight:"cursorWordEndRight",CursorWordRightSelect:"cursorWordRightSelect",CursorWordStartRightSelect:"cursorWordStartRightSelect",CursorWordEndRightSelect:"cursorWordEndRightSelect",CursorUp:"cursorUp",CursorUpSelect:"cursorUpSelect",CursorDown:"cursorDown",CursorDownSelect:"cursorDownSelect",CursorPageUp:"cursorPageUp",CursorPageUpSelect:"cursorPageUpSelect",CursorPageDown:"cursorPageDown",CursorPageDownSelect:"cursorPageDownSelect",CursorHome:"cursorHome",CursorHomeSelect:"cursorHomeSelect",CursorEnd:"cursorEnd",CursorEndSelect:"cursorEndSelect",ExpandLineSelection:"expandLineSelection",CursorTop:"cursorTop",CursorTopSelect:"cursorTopSelect",CursorBottom:"cursorBottom",CursorBottomSelect:"cursorBottomSelect",CursorColumnSelectLeft:"cursorColumnSelectLeft",CursorColumnSelectRight:"cursorColumnSelectRight",CursorColumnSelectUp:"cursorColumnSelectUp",
CursorColumnSelectPageUp:"cursorColumnSelectPageUp",CursorColumnSelectDown:"cursorColumnSelectDown",CursorColumnSelectPageDown:"cursorColumnSelectPageDown",AddCursorDown:"addCursorDown",AddCursorUp:"addCursorUp",CursorUndo:"cursorUndo",MoveTo:"moveTo",MoveToSelect:"moveToSelect",ColumnSelect:"columnSelect",CreateCursor:"createCursor",LastCursorMoveToSelect:"lastCursorMoveToSelect",JumpToBracket:"jumpToBracket",Type:"type",ReplacePreviousChar:"replacePreviousChar",Paste:"paste",Tab:"tab",Indent:"indent",Outdent:"outdent",DeleteLeft:"deleteLeft",DeleteRight:"deleteRight",DeleteWordLeft:"deleteWordLeft",DeleteWordStartLeft:"deleteWordStartLeft",DeleteWordEndLeft:"deleteWordEndLeft",DeleteWordRight:"deleteWordRight",DeleteWordStartRight:"deleteWordStartRight",DeleteWordEndRight:"deleteWordEndRight",DeleteAllLeft:"deleteAllLeft",DeleteAllRight:"deleteAllRight",RemoveSecondaryCursors:"removeSecondaryCursors",CancelSelection:"cancelSelection",Cut:"cut",Undo:"undo",Redo:"redo",WordSelect:"wordSelect",WordSelectDrag:"wordSelectDrag",LastCursorWordSelect:"lastCursorWordSelect",LineSelect:"lineSelect",LineSelectDrag:"lineSelectDrag",LastCursorLineSelect:"lastCursorLineSelect",LastCursorLineSelectDrag:"lastCursorLineSelectDrag",LineInsertBefore:"lineInsertBefore",LineInsertAfter:"lineInsertAfter",LineBreakInsert:"lineBreakInsert",SelectAll:"selectAll",ScrollLineUp:"scrollLineUp",ScrollLineDown:"scrollLineDown",ScrollPageUp:"scrollPageUp",ScrollPageDown:"scrollPageDown"},function(e){e[e.Line=1]="Line",e[e.Block=2]="Block",e[e.Underline=3]="Underline"}(t.TextEditorCursorStyle||(t.TextEditorCursorStyle={}));var p=t.TextEditorCursorStyle;t.cursorStyleToString=n;var m=function(){function e(e,t,n,o){this.from=0|e,this.to=0|t,this.colorId=0|n,this.position=0|o}return e}();t.ColorZone=m;var f=function(){function e(e,t,n,o,i,r){this.startLineNumber=e,this.endLineNumber=t,this.position=n,this.forceHeight=o,this._color=i,this._darkColor=r,this._colorZones=null}return e.prototype.getColor=function(e){return e?this._darkColor:this._color},e.prototype.equals=function(e){return this.startLineNumber===e.startLineNumber&&this.endLineNumber===e.endLineNumber&&this.position===e.position&&this.forceHeight===e.forceHeight&&this._color===e._color&&this._darkColor===e._darkColor},e.prototype.compareTo=function(e){return this.startLineNumber===e.startLineNumber?this.endLineNumber===e.endLineNumber?this.forceHeight===e.forceHeight?this.position===e.position?this._darkColor===e._darkColor?this._color===e._color?0:this._color<e._color?-1:1:this._darkColor<e._darkColor?-1:1:this.position-e.position:this.forceHeight-e.forceHeight:this.endLineNumber-e.endLineNumber:this.startLineNumber-e.startLineNumber},e.prototype.setColorZones=function(e){this._colorZones=e},e.prototype.getColorZones=function(){return this._colorZones},e}();t.OverviewRulerZone=f}),define("vs/editor/browser/controller/mouseTarget",["require","exports","vs/editor/common/core/position","vs/editor/common/core/range","vs/editor/common/editorCommon","vs/editor/browser/editorBrowser"],function(e,t,n,o,i,r){"use strict";var s=function(){function e(e,t,n,i,r,s){void 0===n&&(n=0),void 0===i&&(i=null),void 0===r&&(r=null),void 0===s&&(s=null),this.element=e,this.type=t,this.mouseColumn=n,this.position=i,!r&&i&&(r=new o.Range(i.lineNumber,i.column,i.lineNumber,i.column)),this.range=r,this.detail=s}return e.prototype._typeToString=function(){return this.type===i.MouseTargetType.TEXTAREA?"TEXTAREA":this.type===i.MouseTargetType.GUTTER_GLYPH_MARGIN?"GUTTER_GLYPH_MARGIN":this.type===i.MouseTargetType.GUTTER_LINE_NUMBERS?"GUTTER_LINE_NUMBERS":this.type===i.MouseTargetType.GUTTER_LINE_DECORATIONS?"GUTTER_LINE_DECORATIONS":this.type===i.MouseTargetType.GUTTER_VIEW_ZONE?"GUTTER_VIEW_ZONE":this.type===i.MouseTargetType.CONTENT_TEXT?"CONTENT_TEXT":this.type===i.MouseTargetType.CONTENT_EMPTY?"CONTENT_EMPTY":this.type===i.MouseTargetType.CONTENT_VIEW_ZONE?"CONTENT_VIEW_ZONE":this.type===i.MouseTargetType.CONTENT_WIDGET?"CONTENT_WIDGET":this.type===i.MouseTargetType.OVERVIEW_RULER?"OVERVIEW_RULER":this.type===i.MouseTargetType.SCROLLBAR?"SCROLLBAR":this.type===i.MouseTargetType.OVERLAY_WIDGET?"OVERLAY_WIDGET":"UNKNOWN"},e.prototype.toString=function(){return this._typeToString()+": "+this.position+" - "+this.range+" - "+this.detail},e}(),a=function(){function e(e){return"[^/]*"+e+"[^/]*"}function t(){return"[^/]+"}function n(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];var n=!1;return"$"===e[e.length-1]&&(n=!0,e.pop()),new RegExp(o+e.join("\\/")+(n?"$":""))}var o="^"+r.ClassNames.OVERFLOW_GUARD+"\\/";return{IS_TEXTAREA_COVER:n(e(r.ClassNames.TEXTAREA_COVER),"$"),IS_TEXTAREA:n(r.ClassNames.TEXTAREA,"$"),IS_VIEW_LINES:n(t(),t(),r.ClassNames.VIEW_LINES,"$"),IS_CURSORS_LAYER:n(t(),t(),e(r.ClassNames.VIEW_CURSORS_LAYER),"$"),IS_CHILD_OF_VIEW_LINES:n(t(),t(),r.ClassNames.VIEW_LINES),IS_CHILD_OF_SCROLLABLE_ELEMENT:n(e(r.ClassNames.SCROLLABLE_ELEMENT)),IS_CHILD_OF_CONTENT_WIDGETS:n(t(),t(),r.ClassNames.CONTENT_WIDGETS),IS_CHILD_OF_OVERFLOWING_CONTENT_WIDGETS:new RegExp("^"+r.ClassNames.OVERFLOWING_CONTENT_WIDGETS+"\\/"),IS_CHILD_OF_OVERLAY_WIDGETS:n(r.ClassNames.OVERLAY_WIDGETS),IS_CHILD_OF_VIEW_OVERLAYS:n(r.ClassNames.MARGIN_VIEW_OVERLAYS),IS_CHILD_OF_VIEW_ZONES:n(t(),t(),r.ClassNames.VIEW_ZONES)}}(),l=function(){function e(e,t){this._context=e,this._viewHelper=t}return e.prototype.getClassNamePathTo=function(e,t){for(var n,o=[];e&&e!==document.body&&e!==t;)e.nodeType===e.ELEMENT_NODE&&(n=e.className,n&&o.unshift(n)),e=e.parentNode;return o.join("/")},e.prototype.mouseTargetIsWidget=function(e){var t=e.target,n=this.getClassNamePathTo(t,this._viewHelper.viewDomNode);return a.IS_CHILD_OF_CONTENT_WIDGETS.test(n)||a.IS_CHILD_OF_OVERFLOWING_CONTENT_WIDGETS.test(n)?!0:!!a.IS_CHILD_OF_OVERLAY_WIDGETS.test(n)},e.prototype.createMouseTarget=function(e,t,n,o){try{var i=this._unsafeCreateMouseTarget(e,t,n,o);return i}catch(n){return this.createMouseTargetFromUnknownTarget(n.target)}},e.prototype._unsafeCreateMouseTarget=function(e,t,n,o){var r=Math.max(0,this._viewHelper.getScrollTop()+(n.posy-t.top)),l=this._viewHelper.getScrollLeft()+(n.posx-t.left)-e.contentLeft,u=this._getMouseColumn(l),c=n.target,d=this.getClassNamePathTo(c,this._viewHelper.viewDomNode);if(a.IS_CHILD_OF_CONTENT_WIDGETS.test(d)||a.IS_CHILD_OF_OVERFLOWING_CONTENT_WIDGETS.test(d))return this.createMouseTargetFromContentWidgetsChild(c,u);if(a.IS_CHILD_OF_OVERLAY_WIDGETS.test(d))return this.createMouseTargetFromOverlayWidgetsChild(c,u);var h=c.hasAttribute&&c.hasAttribute("lineNumber")?c.getAttribute("lineNumber"):null,p=c.hasAttribute&&c.hasAttribute("column")?c.getAttribute("column"):null;if(h&&p)return this.createMouseTargetFromViewCursor(c,parseInt(h,10),parseInt(p,10),u);if(a.IS_TEXTAREA_COVER.test(d))return this._context.configuration.editor.viewInfo.glyphMargin?this.createMouseTargetFromGlyphMargin(c,r,u):this._context.configuration.editor.viewInfo.lineNumbers?this.createMouseTargetFromLineNumbers(c,r,u):this.createMouseTargetFromLinesDecorationsChild(c,r,u);if(a.IS_TEXTAREA.test(d))return new s(c,i.MouseTargetType.TEXTAREA);if(a.IS_CHILD_OF_VIEW_ZONES.test(d)){var m=this._getZoneAtCoord(r);return m?new s(c,i.MouseTargetType.CONTENT_VIEW_ZONE,u,m.position,null,m):this.createMouseTargetFromUnknownTarget(c)}if(a.IS_VIEW_LINES.test(d)){if(this._viewHelper.isAfterLines(r))return this.createMouseTargetFromViewLines(c,r,u);var m=this._getZoneAtCoord(r);if(m)return new s(c,i.MouseTargetType.CONTENT_VIEW_ZONE,u,m.position,null,m);var f=this._doHitTest(t,n,r);return f.position?this.createMouseTargetFromHitTestPosition(c,f.position.lineNumber,f.position.column,l,u):this.createMouseTargetFromViewLines(c,r,u)}if(!o||a.IS_CHILD_OF_VIEW_LINES.test(d)){var f=this._doHitTest(t,n,r);if(f.position)return this.createMouseTargetFromHitTestPosition(c,f.position.lineNumber,f.position.column,l,u);if(f.hitTarget){c=f.hitTarget,d=this.getClassNamePathTo(c,this._viewHelper.viewDomNode);var h=c.hasAttribute&&c.hasAttribute("lineNumber")?c.getAttribute("lineNumber"):null,p=c.hasAttribute&&c.hasAttribute("column")?c.getAttribute("column"):null;if(h&&p)return this.createMouseTargetFromViewCursor(c,parseInt(h,10),parseInt(p,10),u)}}if(a.IS_CURSORS_LAYER.test(d))return new s(c,i.MouseTargetType.UNKNOWN);if(a.IS_CHILD_OF_SCROLLABLE_ELEMENT.test(d))return this.createMouseTargetFromScrollbar(c,r,u);if(a.IS_CHILD_OF_VIEW_OVERLAYS.test(d)){var g=Math.abs(n.posx-t.left);return g<=e.glyphMarginWidth?this.createMouseTargetFromGlyphMargin(c,r,u):(g-=e.glyphMarginWidth,g<=e.lineNumbersWidth?this.createMouseTargetFromLineNumbers(c,r,u):(g-=e.lineNumbersWidth,this.createMouseTargetFromLinesDecorationsChild(c,r,u)))}return/OverviewRuler/i.test(d)?this.createMouseTargetFromScrollbar(c,r,u):this.createMouseTargetFromUnknownTarget(c)},e.prototype._isChild=function(e,t,n){for(;e&&e!==document.body;){if(e===t)return!0;if(e===n)return!1;e=e.parentNode}return!1},e.prototype._findAttribute=function(e,t,n){for(;e&&e!==document.body;){if(e.hasAttribute&&e.hasAttribute(t))return e.getAttribute(t);if(e===n)return null;e=e.parentNode}return null},e.prototype._doHitTestWithCaretRangeFromPoint=function(e,t,n){var o=this._viewHelper.getLineNumberAtVerticalOffset(n),i=this._viewHelper.getVerticalOffsetForLineNumber(o),r=i+Math.floor(this._context.configuration.editor.lineHeight/2),s=t.posy+(r-n);s<=e.top&&(s=e.top+1),s>=e.top+this._context.configuration.editor.layoutInfo.height&&(s=e.top+this._context.configuration.editor.layoutInfo.height-1);var a=t.posx-document.body.scrollLeft,l=this._actualDoHitTestWithCaretRangeFromPoint(a,s-document.body.scrollTop);return l.position?l:this._actualDoHitTestWithCaretRangeFromPoint(a,t.posy-document.body.scrollTop)},e.prototype._actualDoHitTestWithCaretRangeFromPoint=function(e,t){var n=document.caretRangeFromPoint(e,t);if(!n||!n.startContainer)return{position:null,hitTarget:null};var o,i=n.startContainer;if(i.nodeType===i.TEXT_NODE){var s=i.parentNode,a=s?s.parentNode:null,l=a?a.parentNode:null,u=l&&l.nodeType===l.ELEMENT_NODE?l.className:null;if(u===r.ClassNames.VIEW_LINE)return{position:this._viewHelper.getPositionFromDOMInfo(s,n.startOffset),hitTarget:null};o=i.parentNode}else if(i.nodeType===i.ELEMENT_NODE){var s=i.parentNode,a=s?s.parentNode:null,c=a&&a.nodeType===a.ELEMENT_NODE?a.className:null;if(c===r.ClassNames.VIEW_LINE)return{position:this._viewHelper.getPositionFromDOMInfo(i,i.textContent.length),hitTarget:null};o=i}return{position:null,hitTarget:o}},e.prototype._doHitTestWithCaretPositionFromPoint=function(e){var t=null,n=null,o=e.posx-document.body.scrollLeft-document.documentElement.scrollLeft,i=e.posy-document.body.scrollTop-document.documentElement.scrollTop,r=document.caretPositionFromPoint(o,i),s=document.createRange();return s.setStart(r.offsetNode,r.offset),s.collapse(!0),t=this._viewHelper.getPositionFromDOMInfo(s.startContainer.parentNode,s.startOffset),s.detach(),{position:t,hitTarget:n}},e.prototype._doHitTestWithMoveToPoint=function(e){var t=null,n=null,o=document.body.createTextRange();try{var i=e.posx-document.body.scrollLeft-document.documentElement.scrollLeft,s=e.posy-document.body.scrollTop-document.documentElement.scrollTop;o.moveToPoint(i,s)}catch(a){return{position:null,hitTarget:null}}o.collapse(!0);var l=o?o.parentElement():null,u=l?l.parentNode:null,c=u?u.parentNode:null,d=c&&c.nodeType===c.ELEMENT_NODE?c.className:"";if(d===r.ClassNames.VIEW_LINE){var h=o.duplicate();h.moveToElementText(l),h.setEndPoint("EndToStart",o),t=this._viewHelper.getPositionFromDOMInfo(l,h.text.length),h.moveToElementText(this._viewHelper.viewDomNode)}else n=l;return o.moveToElementText(this._viewHelper.viewDomNode),{position:t,hitTarget:n}},e.prototype._doHitTest=function(e,t,n){return document.caretRangeFromPoint?this._doHitTestWithCaretRangeFromPoint(e,t,n):document.caretPositionFromPoint?this._doHitTestWithCaretPositionFromPoint(t):document.body.createTextRange?this._doHitTestWithMoveToPoint(t):{position:null,hitTarget:null}},e.prototype._getZoneAtCoord=function(e){var t=this._viewHelper.getWhitespaceAtVerticalOffset(e);if(t){var o,i=t.verticalOffset+t.height/2,r=this._context.model.getLineCount(),s=null,a=null;return t.afterLineNumber!==r&&(a=new n.Position(t.afterLineNumber+1,1)),t.afterLineNumber>0&&(s=new n.Position(t.afterLineNumber,this._context.model.getLineMaxColumn(t.afterLineNumber))),o=null===a?s:null===s?a:i>e?s:a,{viewZoneId:t.id,afterLineNumber:t.afterLineNumber,positionBefore:s,positionAfter:a,position:o}}return null},e.prototype._getFullLineRangeAtCoord=function(e){if(this._viewHelper.isAfterLines(e)){var t=this._context.model.getLineCount(),n=this._context.model.getLineMaxColumn(t);return{range:new o.Range(t,n,t,n),isAfterLines:!0}}var t=this._viewHelper.getLineNumberAtVerticalOffset(e),n=this._context.model.getLineMaxColumn(t);return{range:new o.Range(t,1,t,n),isAfterLines:!1}},e.prototype.getMouseColumn=function(e,t,n){var o=this._viewHelper.getScrollLeft()+(n.posx-t.left)-e.contentLeft;return this._getMouseColumn(o)},e.prototype._getMouseColumn=function(e){if(0>e)return 1;var t=this._context.configuration.editor.fontInfo.typicalHalfwidthCharacterWidth,n=Math.round(e/t);return n+1},e.prototype.createMouseTargetFromViewCursor=function(e,t,o,r){return new s(e,i.MouseTargetType.CONTENT_TEXT,r,new n.Position(t,o))},e.prototype.createMouseTargetFromViewLines=function(e,t,o){var r=this._context.model.getLineCount(),a=this._context.model.getLineMaxColumn(r);return new s(e,i.MouseTargetType.CONTENT_EMPTY,o,new n.Position(r,a))},e.prototype.createMouseTargetFromHitTestPosition=function(e,t,r,a,l){var u=new n.Position(t,r),c=this._viewHelper.getLineWidth(t);if(a>c)return new s(e,i.MouseTargetType.CONTENT_EMPTY,l,u);var d=this._viewHelper.visibleRangeForPosition2(t,r);if(!d)return new s(e,i.MouseTargetType.UNKNOWN,l,u);var h=d.left;if(a===h)return new s(e,i.MouseTargetType.CONTENT_TEXT,l,u);var p;if(r>1){var m=d.left;if(p=!1,p=p||a>m&&h>a,p=p||a>h&&m>a){var f=new o.Range(t,r,t,r-1);return new s(e,i.MouseTargetType.CONTENT_TEXT,l,u,f)}}var g=this._context.model.getLineMaxColumn(t);if(g>r){var v=this._viewHelper.visibleRangeForPosition2(t,r+1);if(v){var y=v.left;if(p=!1,p=p||a>h&&y>a,p=p||a>y&&h>a){var f=new o.Range(t,r,t,r+1);return new s(e,i.MouseTargetType.CONTENT_TEXT,l,u,f)}}}return new s(e,i.MouseTargetType.CONTENT_TEXT,l,u)},e.prototype.createMouseTargetFromContentWidgetsChild=function(e,t){var n=this._findAttribute(e,"widgetId",this._viewHelper.viewDomNode);return n?new s(e,i.MouseTargetType.CONTENT_WIDGET,t,null,null,n):new s(e,i.MouseTargetType.UNKNOWN)},e.prototype.createMouseTargetFromOverlayWidgetsChild=function(e,t){var n=this._findAttribute(e,"widgetId",this._viewHelper.viewDomNode);return n?new s(e,i.MouseTargetType.OVERLAY_WIDGET,t,null,null,n):new s(e,i.MouseTargetType.UNKNOWN)},e.prototype.createMouseTargetFromLinesDecorationsChild=function(e,t,o){var r=this._getZoneAtCoord(t);if(r)return new s(e,i.MouseTargetType.GUTTER_VIEW_ZONE,o,r.position,null,r);var a=this._getFullLineRangeAtCoord(t);return new s(e,i.MouseTargetType.GUTTER_LINE_DECORATIONS,o,new n.Position(a.range.startLineNumber,a.range.startColumn),a.range,a.isAfterLines)},e.prototype.createMouseTargetFromLineNumbers=function(e,t,o){var r=this._getZoneAtCoord(t);if(r)return new s(e,i.MouseTargetType.GUTTER_VIEW_ZONE,o,r.position,null,r);var a=this._getFullLineRangeAtCoord(t);return new s(e,i.MouseTargetType.GUTTER_LINE_NUMBERS,o,new n.Position(a.range.startLineNumber,a.range.startColumn),a.range,a.isAfterLines)},e.prototype.createMouseTargetFromGlyphMargin=function(e,t,o){var r=this._getZoneAtCoord(t);if(r)return new s(e,i.MouseTargetType.GUTTER_VIEW_ZONE,o,r.position,null,r);var a=this._getFullLineRangeAtCoord(t);return new s(e,i.MouseTargetType.GUTTER_GLYPH_MARGIN,o,new n.Position(a.range.startLineNumber,a.range.startColumn),a.range,a.isAfterLines)},e.prototype.createMouseTargetFromScrollbar=function(e,t,o){var r=this._viewHelper.getLineNumberAtVerticalOffset(t),a=this._context.model.getLineMaxColumn(r);return new s(e,i.MouseTargetType.SCROLLBAR,o,new n.Position(r,a))},e.prototype.createMouseTargetFromUnknownTarget=function(e){var t=this._isChild(e,this._viewHelper.viewDomNode,this._viewHelper.viewDomNode),n=null;return t&&(n=this._findAttribute(e,"widgetId",this._viewHelper.viewDomNode)),n?new s(e,i.MouseTargetType.OVERLAY_WIDGET,null,null,n):new s(e,i.MouseTargetType.UNKNOWN)},e}();t.MouseTargetFactory=l}),define("vs/editor/browser/view/viewController",["require","exports","vs/editor/common/core/position","vs/editor/common/editorCommon"],function(e,t,n,o){"use strict";var i=function(){function e(e,t,n,o){this.viewModel=e,this.triggerCursorHandler=t,this.outgoingEventBus=n,this.keybindingService=o}return e.prototype.paste=function(e,t,n){this.keybindingService.executeCommand(o.Handler.Paste,{text:t,pasteOnNewLine:n})},e.prototype.type=function(e,t){this.keybindingService.executeCommand(o.Handler.Type,{text:t})},e.prototype.replacePreviousChar=function(e,t,n){this.keybindingService.executeCommand(o.Handler.ReplacePreviousChar,{text:t,replaceCharCnt:n})},e.prototype.cut=function(e){this.keybindingService.executeCommand(o.Handler.Cut,{})},e.prototype._validateViewColumn=function(e){var t=this.viewModel.getLineMinColumn(e.lineNumber);return e.column<t?new n.Position(e.lineNumber,t):e},e.prototype.dispatchMouse=function(e){e.startedOnLineNumbers?e.altKey?e.inSelectionMode?this.lastCursorLineSelect("mouse",e.position):this.createCursor("mouse",e.position,!0):e.inSelectionMode?this.lineSelectDrag("mouse",e.position):this.lineSelect("mouse",e.position):e.mouseDownCount>=4?this.selectAll("mouse"):3===e.mouseDownCount?e.altKey?e.inSelectionMode?this.lastCursorLineSelectDrag("mouse",e.position):this.lastCursorLineSelect("mouse",e.position):e.inSelectionMode?this.lineSelectDrag("mouse",e.position):this.lineSelect("mouse",e.position):2===e.mouseDownCount?e.altKey?this.lastCursorWordSelect("mouse",e.position):e.inSelectionMode?this.wordSelectDrag("mouse",e.position):this.wordSelect("mouse",e.position):e.altKey?e.ctrlKey||e.metaKey||(e.shiftKey?this.columnSelect("mouse",e.position,e.mouseColumn):e.inSelectionMode?this.lastCursorMoveToSelect("mouse",e.position):this.createCursor("mouse",e.position,!1)):e.inSelectionMode?this.moveToSelect("mouse",e.position):this.moveTo("mouse",e.position)},e.prototype.moveTo=function(e,t){t=this._validateViewColumn(t),this.triggerCursorHandler(e,o.Handler.MoveTo,{position:this.convertViewToModelPosition(t),viewPosition:t})},e.prototype.moveToSelect=function(e,t){t=this._validateViewColumn(t),this.triggerCursorHandler(e,o.Handler.MoveToSelect,{position:this.convertViewToModelPosition(t),viewPosition:t})},e.prototype.columnSelect=function(e,t,n){t=this._validateViewColumn(t),this.triggerCursorHandler(e,o.Handler.ColumnSelect,{position:this.convertViewToModelPosition(t),viewPosition:t,mouseColumn:n})},e.prototype.createCursor=function(e,t,n){t=this._validateViewColumn(t),this.triggerCursorHandler(e,o.Handler.CreateCursor,{position:this.convertViewToModelPosition(t),viewPosition:t,wholeLine:n})},e.prototype.lastCursorMoveToSelect=function(e,t){t=this._validateViewColumn(t),this.triggerCursorHandler(e,o.Handler.LastCursorMoveToSelect,{position:this.convertViewToModelPosition(t),viewPosition:t})},e.prototype.wordSelect=function(e,t){t=this._validateViewColumn(t),this.triggerCursorHandler(e,o.Handler.WordSelect,{position:this.convertViewToModelPosition(t)})},e.prototype.wordSelectDrag=function(e,t){t=this._validateViewColumn(t),this.triggerCursorHandler(e,o.Handler.WordSelectDrag,{position:this.convertViewToModelPosition(t)})},e.prototype.lastCursorWordSelect=function(e,t){t=this._validateViewColumn(t),this.triggerCursorHandler(e,o.Handler.LastCursorWordSelect,{position:this.convertViewToModelPosition(t)})},e.prototype.lineSelect=function(e,t){t=this._validateViewColumn(t),this.triggerCursorHandler(e,o.Handler.LineSelect,{position:this.convertViewToModelPosition(t),viewPosition:t})},e.prototype.lineSelectDrag=function(e,t){t=this._validateViewColumn(t),this.triggerCursorHandler(e,o.Handler.LineSelectDrag,{position:this.convertViewToModelPosition(t),viewPosition:t})},e.prototype.lastCursorLineSelect=function(e,t){t=this._validateViewColumn(t),this.triggerCursorHandler(e,o.Handler.LastCursorLineSelect,{position:this.convertViewToModelPosition(t),viewPosition:t})},e.prototype.lastCursorLineSelectDrag=function(e,t){t=this._validateViewColumn(t),this.triggerCursorHandler(e,o.Handler.LastCursorLineSelectDrag,{position:this.convertViewToModelPosition(t),viewPosition:t})},e.prototype.selectAll=function(e){this.triggerCursorHandler(e,o.Handler.SelectAll,null)},e.prototype.convertViewToModelPosition=function(e){return this.viewModel.convertViewPositionToModelPosition(e.lineNumber,e.column)},e.prototype.convertViewToModelRange=function(e){return this.viewModel.convertViewRangeToModelRange(e)},e.prototype.convertViewToModelMouseEvent=function(e){e.target&&(e.target.position&&(e.target.position=this.convertViewToModelPosition(e.target.position)),e.target.range&&(e.target.range=this.convertViewToModelRange(e.target.range)))},e.prototype.emitKeyDown=function(e){this.outgoingEventBus.emit(o.EventType.KeyDown,e)},e.prototype.emitKeyUp=function(e){this.outgoingEventBus.emit(o.EventType.KeyUp,e)},e.prototype.emitContextMenu=function(e){this.convertViewToModelMouseEvent(e),this.outgoingEventBus.emit(o.EventType.ContextMenu,e)},e.prototype.emitMouseMove=function(e){this.convertViewToModelMouseEvent(e),this.outgoingEventBus.emit(o.EventType.MouseMove,e)},e.prototype.emitMouseLeave=function(e){this.convertViewToModelMouseEvent(e),this.outgoingEventBus.emit(o.EventType.MouseLeave,e)},e.prototype.emitMouseUp=function(e){this.convertViewToModelMouseEvent(e),this.outgoingEventBus.emit(o.EventType.MouseUp,e)},e.prototype.emitMouseDown=function(e){this.convertViewToModelMouseEvent(e),this.outgoingEventBus.emit(o.EventType.MouseDown,e)},e}();t.ViewController=i});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/controller/textAreaState",["require","exports","vs/base/common/strings","vs/editor/common/core/range","vs/editor/common/editorCommon"],function(e,t,n,o,i){"use strict";function r(e){return e===s.IENarrator?u.EMPTY:a?d.EMPTY:c.EMPTY}!function(e){e[e.IENarrator=0]="IENarrator",e[e.NVDA=1]="NVDA"}(t.TextAreaStrategy||(t.TextAreaStrategy={}));var s=t.TextAreaStrategy,a=!1;t.createTextAreaState=r;var l=function(){function e(e,t,n,o,i){this.previousState=e?e.shallowClone():null,this.value=t,this.selectionStart=n,this.selectionEnd=o,this.isInOverwriteMode=i}return e.prototype.updateComposition=function(){return this.previousState?{text:this.value,replaceCharCnt:this.previousState.selectionEnd-this.previousState.selectionStart}:{text:"",replaceCharCnt:0}},e.prototype.getSelectionStart=function(){return this.selectionStart},e.prototype.getValue=function(){return this.value},e.prototype.applyToTextArea=function(e,t,n){t.getValue()!==this.value&&t.setValue(e,this.value),n&&t.setSelectionRange(this.selectionStart,this.selectionEnd)},e.prototype.deduceInput=function(){if(!this.previousState)return{text:"",replaceCharCnt:0};var e=this.previousState.value,t=this.previousState.selectionStart,o=this.previousState.selectionEnd,i=this.value,r=this.selectionStart,s=this.selectionEnd,a=e.substring(o),l=i.substring(s),u=n.commonSuffixLength(a,l);i=i.substring(0,i.length-u),e=e.substring(0,e.length-u);var c=e.substring(0,t),d=i.substring(0,r),h=n.commonPrefixLength(c,d);if(i=i.substring(h),e=e.substring(h),r-=h,t-=h,s-=h,o-=h,r===s){if(e===i&&0===t&&o===e.length&&r===i.length&&-1===i.indexOf("\n"))return{text:"",replaceCharCnt:0};var p=c.length-h;return{text:i,replaceCharCnt:p}}var m=o-t;return{text:i,replaceCharCnt:m}},e}();t.TextAreaState=l;var u=function(e){function t(t,n,o,i,r,s){e.call(this,t,n,o,i,r),this.selectionToken=s}return __extends(t,e),t.prototype.shallowClone=function(){return new t(null,this.value,this.selectionStart,this.selectionEnd,this.isInOverwriteMode,this.selectionToken)},t.prototype.toEmpty=function(){return t.EMPTY},t.prototype.toString=function(){return"[ <"+this.value+">, selectionStart: "+this.selectionStart+", selectionEnd: "+this.selectionEnd+", isInOverwriteMode: "+this.isInOverwriteMode+", selectionToken: "+this.selectionToken+"]"},t.prototype.toStrategy=function(e){return e===s.IENarrator?this:a?new d(this.previousState,this.value,this.selectionStart,this.selectionEnd,this.isInOverwriteMode):new c(this.previousState,this.value,this.selectionStart,this.selectionEnd,this.isInOverwriteMode)},t.prototype.equals=function(e){return e instanceof t?this.value===e.value&&this.selectionStart===e.selectionStart&&this.selectionEnd===e.selectionEnd&&this.isInOverwriteMode===e.isInOverwriteMode&&this.selectionToken===e.selectionToken:!1},t.prototype.fromTextArea=function(e){return new t(this,e.getValue(),e.getSelectionStart(),e.getSelectionEnd(),e.isInOverwriteMode(),this.selectionToken)},t.prototype.fromEditorSelection=function(e,n){var r=100,s=0,a=n.startLineNumber,l=n.startColumn,u=n.endLineNumber,c=n.endColumn,d=e.getLineMaxColumn(u);n.isEmpty()&&this.selectionToken!==a&&(l=1,c=d);var h="",p=Math.max(1,a-s);a>p&&(h=e.getValueInRange(new o.Range(p,1,a,1),i.EndOfLinePreference.LF)),h+=e.getValueInRange(new o.Range(a,1,a,l),i.EndOfLinePreference.LF),h.length>r&&(h=h.substring(h.length-r,h.length));var m="",f=Math.min(u+s,e.getLineCount());m+=e.getValueInRange(new o.Range(u,c,u,d),i.EndOfLinePreference.LF),f>u&&(m="\n"+e.getValueInRange(new o.Range(u+1,1,f,e.getLineMaxColumn(f)),i.EndOfLinePreference.LF)),m.length>r&&(m=m.substring(0,r));var g=e.getValueInRange(new o.Range(a,l,u,c),i.EndOfLinePreference.LF);return g.length>2*r&&(g=g.substring(0,r)+String.fromCharCode(8230)+g.substring(g.length-r,g.length)),new t(this,h+g+m,h.length,h.length+g.length,!1,a)},t.prototype.fromText=function(e){return new t(this,e,0,e.length,!1,0)},t.prototype.resetSelection=function(){return new t(this.previousState,this.value,this.value.length,this.value.length,this.isInOverwriteMode,this.selectionToken)},t.EMPTY=new t(null,"",0,0,!1,0),t}(l);t.IENarratorTextAreaState=u;var c=function(e){function t(t,n,o,i,r){e.call(this,t,n,o,i,r)}return __extends(t,e),t.prototype.shallowClone=function(){return new t(null,this.value,this.selectionStart,this.selectionEnd,this.isInOverwriteMode)},t.prototype.toEmpty=function(){return t.EMPTY},t.prototype.toString=function(){return"[ <"+this.value+">, selectionStart: "+this.selectionStart+", selectionEnd: "+this.selectionEnd+", isInOverwriteMode: "+this.isInOverwriteMode+"]"},t.prototype.toStrategy=function(e){return e===s.NVDA?this:new u(this.previousState,this.value,this.selectionStart,this.selectionEnd,this.isInOverwriteMode,0)},t.prototype.equals=function(e){return e instanceof t?this.value===e.value&&this.selectionStart===e.selectionStart&&this.selectionEnd===e.selectionEnd&&this.isInOverwriteMode===e.isInOverwriteMode:!1},t.prototype.fromTextArea=function(e){return new t(this,e.getValue(),e.getSelectionStart(),e.getSelectionEnd(),e.isInOverwriteMode())},t._getPageOfLine=function(e){return Math.floor((e-1)/t._LINES_PER_PAGE)},t._getRangeForPage=function(e){var n=e*t._LINES_PER_PAGE,i=n+1,r=n+t._LINES_PER_PAGE;return new o.Range(i,1,r,Number.MAX_VALUE)},t.prototype.fromEditorSelection=function(e,n){var r=t._getPageOfLine(n.startLineNumber),s=t._getRangeForPage(r),a=t._getPageOfLine(n.endLineNumber),l=t._getRangeForPage(a),u=s.intersectRanges(new o.Range(1,1,n.startLineNumber,n.startColumn)),c=e.getValueInRange(u,i.EndOfLinePreference.LF),d=e.getLineCount(),h=e.getLineMaxColumn(d),p=l.intersectRanges(new o.Range(n.endLineNumber,n.endColumn,d,h)),m=e.getValueInRange(p,i.EndOfLinePreference.LF),f=null;if(r===a||r+1===a)f=e.getValueInRange(n,i.EndOfLinePreference.LF);else{var g=s.intersectRanges(n),v=l.intersectRanges(n);f=e.getValueInRange(g,i.EndOfLinePreference.LF)+String.fromCharCode(8230)+e.getValueInRange(v,i.EndOfLinePreference.LF)}var y=500;return c.length>y&&(c=c.substring(c.length-y,c.length)),m.length>y&&(m=m.substring(0,y)),f.length>2*y&&(f=f.substring(0,y)+String.fromCharCode(8230)+f.substring(f.length-y,f.length)),new t(this,c+f+m,c.length,c.length+f.length,!1)},t.prototype.fromText=function(e){return new t(this,e,0,e.length,!1)},t.prototype.resetSelection=function(){return new t(this.previousState,this.value,this.value.length,this.value.length,this.isInOverwriteMode)},t.EMPTY=new t(null,"",0,0,!1),t._LINES_PER_PAGE=10,t}(l);t.NVDAPagedTextAreaState=c;var d=function(e){function t(t,n,o,i,r){e.call(this,t,n,o,i,r)}return __extends(t,e),t.prototype.shallowClone=function(){return new t(null,this.value,this.selectionStart,this.selectionEnd,this.isInOverwriteMode)},t.prototype.toEmpty=function(){return t.EMPTY},t.prototype.toString=function(){return"[ <ENTIRE TEXT>, selectionStart: "+this.selectionStart+", selectionEnd: "+this.selectionEnd+", isInOverwriteMode: "+this.isInOverwriteMode+"]"},t.prototype.toStrategy=function(e){return e===s.NVDA?this:new u(this.previousState,this.value,this.selectionStart,this.selectionEnd,this.isInOverwriteMode,0)},t.prototype.equals=function(e){return e instanceof t?this.value===e.value&&this.selectionStart===e.selectionStart&&this.selectionEnd===e.selectionEnd&&this.isInOverwriteMode===e.isInOverwriteMode:!1},t.prototype.fromTextArea=function(e){return new t(this,e.getValue(),e.getSelectionStart(),e.getSelectionEnd(),e.isInOverwriteMode())},t.prototype.fromEditorSelection=function(e,n){var r=e.getValueInRange(new o.Range(1,1,n.startLineNumber,n.startColumn),i.EndOfLinePreference.LF),s=e.getValueInRange(n,i.EndOfLinePreference.LF),a=e.getLineCount(),l=e.getLineMaxColumn(a),u=e.getValueInRange(new o.Range(n.endLineNumber,n.endColumn,a,l),i.EndOfLinePreference.LF);return new t(this,r+s+u,r.length,r.length+s.length,!1)},t.prototype.fromText=function(e){return new t(this,e,0,e.length,!1)},t.prototype.resetSelection=function(){return new t(this.previousState,this.value,this.value.length,this.value.length,this.isInOverwriteMode)},t.EMPTY=new t(null,"",0,0,!1),t}(l);t.NVDAFullTextAreaState=d}),define("vs/editor/common/core/editorState",["require","exports","vs/base/common/strings","vs/editor/common/editorCommon"],function(e,t,n,o){"use strict";var i=function(){function e(e,t){var i=this;this.flags=t,t.forEach(function(t){switch(t){case o.CodeEditorStateFlag.Value:var r=e.getModel();i.modelVersionId=r?n.format("{0}#{1}",r.uri.toString(),r.getVersionId()):null;break;case o.CodeEditorStateFlag.Position:i.position=e.getPosition();break;case o.CodeEditorStateFlag.Selection:i.selection=e.getSelection();break;case o.CodeEditorStateFlag.Scroll:i.scrollLeft=e.getScrollLeft(),i.scrollTop=e.getScrollTop()}})}return e.prototype._equals=function(t){if(!(t instanceof e))return!1;var n=t;return this.modelVersionId!==n.modelVersionId?!1:this.scrollLeft!==n.scrollLeft||this.scrollTop!==n.scrollTop?!1:!this.position&&n.position||this.position&&!n.position||this.position&&n.position&&!this.position.equals(n.position)?!1:!(!this.selection&&n.selection||this.selection&&!n.selection||this.selection&&n.selection&&!this.selection.equalsRange(n.selection))},e.prototype.validate=function(t){return this._equals(new e(t,this.flags))},e}();t.EditorState=i});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/core/selection",["require","exports","vs/editor/common/core/range","vs/editor/common/editorCommon"],function(e,t,n,o){"use strict";var i=function(e){function t(t,n,o,i){e.call(this,t,n,o,i),this.selectionStartLineNumber=t,this.selectionStartColumn=n,this.positionLineNumber=o,
this.positionColumn=i}return __extends(t,e),t.prototype.clone=function(){return new t(this.selectionStartLineNumber,this.selectionStartColumn,this.positionLineNumber,this.positionColumn)},t.prototype.toString=function(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"},t.prototype.equalsSelection=function(e){return t.selectionsEqual(this,e)},t.prototype.getDirection=function(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?o.SelectionDirection.LTR:o.SelectionDirection.RTL},t.prototype.setEndPosition=function(e,n){return this.getDirection()===o.SelectionDirection.LTR?new t(this.startLineNumber,this.startColumn,e,n):new t(e,n,this.startLineNumber,this.startColumn)},t.prototype.setStartPosition=function(e,n){return this.getDirection()===o.SelectionDirection.LTR?new t(e,n,this.endLineNumber,this.endColumn):new t(this.endLineNumber,this.endColumn,e,n)},t.createSelection=function(e,n,o,i){return new t(e,n,o,i)},t.liftSelection=function(e){return new t(e.selectionStartLineNumber,e.selectionStartColumn,e.positionLineNumber,e.positionColumn)},t.selectionsEqual=function(e,t){return e.selectionStartLineNumber===t.selectionStartLineNumber&&e.selectionStartColumn===t.selectionStartColumn&&e.positionLineNumber===t.positionLineNumber&&e.positionColumn===t.positionColumn},t.selectionsArrEqual=function(e,t){if(e&&!t||!e&&t)return!1;if(!e&&!t)return!0;if(e.length!==t.length)return!1;for(var n=0,o=e.length;o>n;n++)if(!this.selectionsEqual(e[n],t[n]))return!1;return!0},t.isISelection=function(e){return e&&"number"==typeof e.selectionStartLineNumber&&"number"==typeof e.selectionStartColumn&&"number"==typeof e.positionLineNumber&&"number"==typeof e.positionColumn},t.createWithDirection=function(e,n,i,r,s){return s===o.SelectionDirection.LTR?new t(e,n,i,r):new t(i,r,e,n)},t}(n.Range);t.Selection=i});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/commands/replaceCommand",["require","exports","vs/editor/common/core/selection"],function(e,t,n){"use strict";var o=function(){function e(e,t){this._range=e,this._text=t}return e.prototype.getText=function(){return this._text},e.prototype.getRange=function(){return this._range},e.prototype.setRange=function(e){this._range=e},e.prototype.getEditOperations=function(e,t){t.addEditOperation(this._range,this._text)},e.prototype.computeCursorState=function(e,t){var o=t.getInverseEditOperations(),i=o[0].range;return new n.Selection(i.endLineNumber,i.endColumn,i.endLineNumber,i.endColumn)},e}();t.ReplaceCommand=o;var i=function(e){function t(t,n){e.call(this,t,n)}return __extends(t,e),t.prototype.computeCursorState=function(e,t){var o=t.getInverseEditOperations(),i=o[0].range;return new n.Selection(i.startLineNumber,i.startColumn,i.startLineNumber,i.startColumn)},t}(o);t.ReplaceCommandWithoutChangingPosition=i;var r=function(e){function t(t,n,o,i){e.call(this,t,n),this._columnDeltaOffset=i,this._lineNumberDeltaOffset=o}return __extends(t,e),t.prototype.computeCursorState=function(e,t){var o=t.getInverseEditOperations(),i=o[0].range;return new n.Selection(i.endLineNumber+this._lineNumberDeltaOffset,i.endColumn+this._columnDeltaOffset,i.endLineNumber+this._lineNumberDeltaOffset,i.endColumn+this._columnDeltaOffset)},t}(o);t.ReplaceCommandWithOffsetCursorState=r;var s=function(e){function t(t,n,o){e.call(this,t,n),this._initialSelection=o}return __extends(t,e),t.prototype.getEditOperations=function(t,n){e.prototype.getEditOperations.call(this,t,n),this._selectionId=n.trackSelection(this._initialSelection)},t.prototype.computeCursorState=function(e,t){return t.getTrackedSelection(this._selectionId)},t}(o);t.ReplaceCommandThatPreservesSelection=s}),define("vs/editor/common/commands/surroundSelectionCommand",["require","exports","vs/editor/common/core/range","vs/editor/common/core/selection"],function(e,t,n,o){"use strict";var i=function(){function e(e,t,n){this._range=e,this._charBeforeSelection=t,this._charAfterSelection=n}return e.prototype.getEditOperations=function(e,t){t.addEditOperation(new n.Range(this._range.startLineNumber,this._range.startColumn,this._range.startLineNumber,this._range.startColumn),this._charBeforeSelection),t.addEditOperation(new n.Range(this._range.endLineNumber,this._range.endColumn,this._range.endLineNumber,this._range.endColumn),this._charAfterSelection)},e.prototype.computeCursorState=function(e,t){var n=t.getInverseEditOperations(),i=n[0].range,r=n[1].range;return new o.Selection(i.endLineNumber,i.endColumn,r.endLineNumber,r.endColumn-this._charAfterSelection.length)},e}();t.SurroundSelectionCommand=i}),define("vs/editor/common/controller/cursorMoveHelper",["require","exports","vs/editor/common/core/selection"],function(e,t,n){"use strict";function o(e,t,n){var o=e.getLineContent(t).charCodeAt(n-1);return o>=55296&&56319>=o}function i(e,t,n){var o=e.getLineContent(t).charCodeAt(n-1);return o>=56320&&57343>=o}var r=function(){function e(e){this.configuration=e}return e.prototype.getLeftOfPosition=function(e,t,n){return n>e.getLineMinColumn(t)?n-=i(e,t,n-1)?2:1:t>1&&(t-=1,n=e.getLineMaxColumn(t)),{lineNumber:t,column:n}},e.prototype.getRightOfPosition=function(e,t,n){return n<e.getLineMaxColumn(t)?n+=o(e,t,n)?2:1:t<e.getLineCount()&&(t+=1,n=e.getLineMinColumn(t)),{lineNumber:t,column:n}},e.prototype.getPositionUp=function(e,t,n,o,i,r){var s=this.visibleColumnFromColumn(e,t,n)+o;return t-=i,1>t?(t=1,n=r?e.getLineMinColumn(t):Math.min(e.getLineMaxColumn(t),n)):n=this.columnFromVisibleColumn(e,t,s),o=s-this.visibleColumnFromColumn(e,t,n),{lineNumber:t,column:n,leftoverVisibleColumns:o}},e.prototype.getPositionDown=function(e,t,n,o,i,r){var s=this.visibleColumnFromColumn(e,t,n)+o;t+=i;var a=e.getLineCount();return t>a?(t=a,n=r?e.getLineMaxColumn(t):Math.min(e.getLineMaxColumn(t),n)):n=this.columnFromVisibleColumn(e,t,s),o=s-this.visibleColumnFromColumn(e,t,n),{lineNumber:t,column:n,leftoverVisibleColumns:o}},e.prototype.columnSelect=function(e,t,o,i,r){for(var s=Math.abs(i-t)+1,a=t>i,l=o>r,u=r>o,c=[],d=0;s>d;d++){var h=t+(a?-d:d),p=this.columnFromVisibleColumn(e,h,o),m=this.columnFromVisibleColumn(e,h,r),f=this.visibleColumnFromColumn(e,h,p),g=this.visibleColumnFromColumn(e,h,m);if(u){if(f>r)continue;if(o>g)continue}if(l){if(g>o)continue;if(r>f)continue}c.push(new n.Selection(h,p,h,m))}return{viewSelections:c,reversed:a}},e.prototype.getColumnAtBeginningOfLine=function(e,t,n){var o=e.getLineFirstNonWhitespaceColumn(t)||1,i=e.getLineMinColumn(t);return n=n!==i&&o>=n?i:o},e.prototype.getColumnAtEndOfLine=function(e,t,n){var o=e.getLineMaxColumn(t),i=e.getLineLastNonWhitespaceColumn(t)||o;return n=n!==o&&n>=i?o:i},e.prototype.visibleColumnFromColumn=function(t,n,o){return e.visibleColumnFromColumn(t,n,o,this.configuration.getIndentationOptions().tabSize)},e.visibleColumnFromColumn=function(t,n,o,i){return e.visibleColumnFromColumn2(t.getLineContent(n),o,i)},e.visibleColumnFromColumn2=function(t,n,o){for(var i=0,r=0;n-1>r;r++)i="	"===t.charAt(r)?e.nextTabColumn(i,o):i+1;return i},e.prototype.columnFromVisibleColumn=function(t,n,o){for(var i=t.getLineContent(n),r=-1,s=0,a=0;a<i.length&&o>=s;a++)r=s,s="	"===i.charAt(a)?e.nextTabColumn(s,this.configuration.getIndentationOptions().tabSize):s+1;s=Math.abs(o-s),r=Math.abs(o-r);var l;l=r>s?a+1:a;var u=t.getLineMinColumn(n);return u>l&&(l=u),l},e.nextTabColumn=function(e,t){return e+t-e%t},e.prevTabColumn=function(e,t){return e-1-(e-1)%t},e}();t.CursorMoveHelper=r}),define("vs/editor/common/model/indentationGuesser",["require","exports"],function(e,t){"use strict";function n(e,t,n,o){var r;for(r=0;t>r&&o>r;r++){var s=e.charCodeAt(r),a=n.charCodeAt(r);if(s!==a)break}for(var l=0,u=0,c=r;t>c;c++){var s=e.charCodeAt(c);s===i?l++:u++}for(var d=0,h=0,c=r;o>c;c++){var a=n.charCodeAt(c);a===i?d++:h++}if(l>0&&u>0)return 0;if(d>0&&h>0)return 0;var p=Math.abs(u-h),m=Math.abs(l-d);return 0===p?m:m%p===0?m/p:0}function o(e,t,o){for(var s=0,a=0,l="",u=0,c=[2,4,6,8],d=8,h=[0,0,0,0,0,0,0,0,0],p=0,m=e.length;m>p;p++){for(var f=e[p],g=!1,v=0,y=0,_=0,b=0,C=f.length;C>b;b++){var w=f.charCodeAt(b);if(w===r)_++;else{if(w!==i){g=!0,v=b;break}y++}}if(g){_>0?s++:y>1&&a++;var E=n(l,u,f,v);d>=E&&h[E]++,l=f,u=v}}var S=n(l,u,"",0);d>=S&&h[S]++;var x=o;s!==a&&(x=a>s);var T=t,L=x?0:.1*e.length;return c.forEach(function(e){var t=h[e];t>L&&(L=t,T=e)}),{insertSpaces:x,tabSize:T}}var i=" ".charCodeAt(0),r="	".charCodeAt(0);t.guessIndentation=o}),define("vs/editor/common/model/lineToken",["require","exports","vs/editor/common/core/arrays"],function(e,t,n){"use strict";var o=function(){function e(e,t){this.startIndex=0|e,this.type=t}return e.prototype.equals=function(e){return this.startIndex===e.startIndex&&this.type===e.type},e.findIndexInSegmentsArray=function(e,t){return n.Arrays.findIndexInSegmentsArray(e,t)},e.equalsArray=function(e,t){var n=e.length,o=t.length;if(n!==o)return!1;for(var i=0;n>i;i++)if(!e[i].equals(t[i]))return!1;return!0},e}();t.LineToken=o}),define("vs/editor/common/model/tokenIterator",["require","exports"],function(e,t){"use strict";var n=function(){function e(e,t){this._model=e,this._currentLineNumber=t.lineNumber,this._currentTokenIndex=0,this._readLineTokens(this._currentLineNumber),this._next=null,this._prev=null;for(var n=t.column-1,o=Number.MAX_VALUE,i=this._currentLineTokens.getTokenCount()-1;i>=0;i--){var r=this._currentLineTokens.getTokenStartIndex(i);if(n>=r&&o>=n){this._currentTokenIndex=i,this._next=this._current(),this._prev=this._current();break}o=r}}return e.prototype._readLineTokens=function(e){this._currentLineTokens=this._model.getLineTokens(e,!1)},e.prototype._advanceNext=function(){if(this._prev=this._next,this._next=null,this._currentTokenIndex+1<this._currentLineTokens.getTokenCount())this._currentTokenIndex++,this._next=this._current();else{for(;this._currentLineNumber+1<=this._model.getLineCount();)if(this._currentLineNumber++,this._readLineTokens(this._currentLineNumber),this._currentLineTokens.getTokenCount()>0){this._currentTokenIndex=0,this._next=this._current();break}null===this._next&&(this._readLineTokens(this._currentLineNumber),this._currentTokenIndex=this._currentLineTokens.getTokenCount(),this._advancePrev(),this._next=null)}},e.prototype._advancePrev=function(){if(this._next=this._prev,this._prev=null,this._currentTokenIndex>0)this._currentTokenIndex--,this._prev=this._current();else for(;this._currentLineNumber>1;)if(this._currentLineNumber--,this._readLineTokens(this._currentLineNumber),this._currentLineTokens.getTokenCount()>0){this._currentTokenIndex=this._currentLineTokens.getTokenCount()-1,this._prev=this._current();break}},e.prototype._current=function(){var e=this._currentLineTokens.getTokenStartIndex(this._currentTokenIndex),t=this._currentLineTokens.getTokenType(this._currentTokenIndex),n=this._currentLineTokens.getTokenEndIndex(this._currentTokenIndex,this._model.getLineContent(this._currentLineNumber).length);return{token:{startIndex:e,type:t},lineNumber:this._currentLineNumber,startColumn:e+1,endColumn:n+1}},e.prototype.hasNext=function(){return null!==this._next},e.prototype.next=function(){var e=this._next;return this._advanceNext(),e},e.prototype.hasPrev=function(){return null!==this._prev},e.prototype.prev=function(){var e=this._prev;return this._advancePrev(),e},e.prototype._invalidate=function(){var e=function(){throw new Error("iteration isn't valid anymore")};this.hasNext=e,this.next=e,this.hasPrev=e,this.prev=e},e}();t.TokenIterator=n}),define("vs/editor/common/modes/abstractState",["require","exports"],function(e,t){"use strict";var n=function(){function e(e,t){void 0===t&&(t=null),this.mode=e,this.stateData=t}return e.prototype.getMode=function(){return this.mode},e.prototype.clone=function(){var e=this.makeClone();return e.initializeFrom(this),e},e.prototype.makeClone=function(){throw new Error("Abstract Method")},e.prototype.initializeFrom=function(e){this.stateData=null!==e.stateData?e.stateData.clone():null},e.prototype.getStateData=function(){return this.stateData},e.prototype.setStateData=function(e){this.stateData=e},e.prototype.equals=function(t){return null===t||this.mode!==t.getMode()?!1:t instanceof e?e.safeEquals(this.stateData,t.stateData):!1},e.prototype.tokenize=function(e){throw new Error("Abstract Method")},e.safeEquals=function(e,t){return null===e&&null===t?!0:null===e||null===t?!1:e.equals(t)},e.safeClone=function(e){return e?e.clone():null},e}();t.AbstractState=n}),define("vs/editor/common/modes/languageSelector",["require","exports","vs/base/common/glob"],function(e,t,n){"use strict";function o(e,t,n){return i(e,t,n)>0}function i(e,t,o){if(Array.isArray(e)){var r=e.map(function(e){return i(e,t,o)});return Math.max.apply(Math,r)}if("string"==typeof e)return e===o?10:"*"===e?5:0;if(e){var s=e,a=0;if(s.language)if(s.language===o)a+=10;else{if("*"!==s.language)return 0;a+=5}if(s.scheme){if(s.scheme!==t.scheme)return 0;a+=10}if(s.pattern)if(s.pattern===t.fsPath)a+=10;else{if(!n.match(s.pattern,t.fsPath))return 0;a+=5}return a}}Object.defineProperty(t,"__esModule",{value:!0}),t["default"]=o,t.score=i}),define("vs/editor/common/modes/lineStream",["require","exports"],function(e,t){"use strict";var n=function(){function e(e){this._source=e,this.sourceLength=e.length,this._pos=0,this.whitespace="	  ",this.whitespaceArr=this.stringToArray(this.whitespace),this.separators="",this.separatorsArr=this.stringToArray(this.separators),this.tokenStart=-1,this.tokenEnd=-1}return e.prototype.stringToArray=function(t){return e.STRING_TO_ARRAY_CACHE.hasOwnProperty(t)||(e.STRING_TO_ARRAY_CACHE[t]=this.actualStringToArray(t)),e.STRING_TO_ARRAY_CACHE[t]},e.prototype.actualStringToArray=function(e){for(var t=0,n=0;n<e.length;n++)t=Math.max(t,e.charCodeAt(n));for(var o=[],n=0;t>=n;n++)o[n]=!1;for(var n=0;n<e.length;n++)o[e.charCodeAt(n)]=!0;return o},e.prototype.pos=function(){return this._pos},e.prototype.eos=function(){return this._pos>=this.sourceLength},e.prototype.peek=function(){if(this._pos>=this.sourceLength)throw new Error("Stream is at the end");return this._source[this._pos]},e.prototype.next=function(){if(this._pos>=this.sourceLength)throw new Error("Stream is at the end");return this.tokenStart=-1,this.tokenEnd=-1,this._source[this._pos++]},e.prototype.next2=function(){if(this._pos>=this.sourceLength)throw new Error("Stream is at the end");this.tokenStart=-1,this.tokenEnd=-1,this._pos++},e.prototype.advance=function(e){if(0===e)return"";var t=this._pos;return this._pos+=e,this.tokenStart=-1,this.tokenEnd=-1,this._source.substring(t,this._pos)},e.prototype._advance2=function(e){return 0===e?e:(this._pos+=e,this.tokenStart=-1,this.tokenEnd=-1,e)},e.prototype.advanceToEOS=function(){var e=this._pos;return this._pos=this.sourceLength,this.resetPeekedToken(),this._source.substring(e,this._pos)},e.prototype.goBack=function(e){this._pos-=e,this.resetPeekedToken()},e.prototype.createPeeker=function(e){var t=this;if(e instanceof RegExp)return function(){var n=e.exec(t._source.substr(t._pos));if(null===n)return 0;if(0!==n.index)throw new Error('Regular expression must begin with the character "^"');return n[0].length};if((e instanceof String||"string"==typeof e)&&e)return function(){for(var n=e.length,o=t._pos+n<=t.sourceLength,i=0;o&&n>i;i++)o=t._source.charCodeAt(t._pos+i)===e.charCodeAt(i);return o?n:0};throw new Error("Condition must be either a regular expression, function or a non-empty string")},e.prototype._advanceIfStringCaseInsensitive=function(e){var t,n=this._pos,o=this._source,i=e.length;if(1>i||n+i>this.sourceLength)return 0;for(t=0;i>t;t++)if(o.charAt(n+t).toLowerCase()!==e.charAt(t).toLowerCase())return 0;return i},e.prototype.advanceIfStringCaseInsensitive=function(e){return this.advance(this._advanceIfStringCaseInsensitive(e))},e.prototype.advanceIfStringCaseInsensitive2=function(e){return this._advance2(this._advanceIfStringCaseInsensitive(e))},e.prototype._advanceIfString=function(e){var t,n=this._pos,o=this._source,i=e.length;if(1>i||n+i>this.sourceLength)return 0;for(t=0;i>t;t++)if(o.charCodeAt(n+t)!==e.charCodeAt(t))return 0;return i},e.prototype.advanceIfString=function(e){return this.advance(this._advanceIfString(e))},e.prototype.advanceIfString2=function(e){return this._advance2(this._advanceIfString(e))},e.prototype._advanceIfCharCode=function(e){return this._pos<this.sourceLength&&this._source.charCodeAt(this._pos)===e?1:0},e.prototype.advanceIfCharCode=function(e){return this.advance(this._advanceIfCharCode(e))},e.prototype.advanceIfCharCode2=function(e){return this._advance2(this._advanceIfCharCode(e))},e.prototype._advanceIfRegExp=function(e){return this._pos>=this.sourceLength?0:e.test(this._source.substr(this._pos))?RegExp.lastMatch.length:0},e.prototype.advanceIfRegExp=function(e){return this.advance(this._advanceIfRegExp(e))},e.prototype.advanceIfRegExp2=function(e){return this._advance2(this._advanceIfRegExp(e))},e.prototype.advanceLoop=function(e,t,n){if(this.eos())return"";var o=this.createPeeker(e),i=this._pos,r=0,s=null;for(s=t?function(e){return e>0}:function(e){return 0===e};!this.eos()&&s(r=o());)r>0?this.advance(r):this.next();return n&&!this.eos()&&this.advance(r),this._source.substring(i,this._pos)},e.prototype.advanceWhile=function(e){return this.advanceLoop(e,!0,!1)},e.prototype.advanceUntil=function(e,t){return this.advanceLoop(e,!1,t)},e.prototype._advanceUntilString=function(e,t){if(this.eos()||0===e.length)return 0;var n=this._pos,o=this._source.indexOf(e,n);return-1===o?this.sourceLength-n:t?o+e.length-n:o-n},e.prototype.advanceUntilString=function(e,t){return this.advance(this._advanceUntilString(e,t))},e.prototype.advanceUntilString2=function(e,t){return this._advance2(this._advanceUntilString(e,t))},e.prototype.resetPeekedToken=function(){this.tokenStart=-1,this.tokenEnd=-1},e.prototype.setTokenRules=function(e,t){this.separators===e&&this.whitespace===t||(this.separators=e,this.separatorsArr=this.stringToArray(this.separators),this.whitespace=t,this.whitespaceArr=this.stringToArray(this.whitespace),this.resetPeekedToken())},e.prototype.peekToken=function(){if(-1!==this.tokenStart)return this._source.substring(this.tokenStart,this.tokenEnd);var e=this._source,t=this.sourceLength,n=this.whitespaceArr,o=this.separatorsArr,i=this._pos;if(i>=t)throw new Error("Stream is at the end");for(;n[e.charCodeAt(i)]&&t>i;)i++;var r=i;if(o[e.charCodeAt(r)]&&t>r)r++;else for(;!o[e.charCodeAt(r)]&&!n[e.charCodeAt(r)]&&t>r;)r++;return this.tokenStart=i,this.tokenEnd=r,e.substring(i,r)},e.prototype.nextToken=function(){if(this._pos>=this.sourceLength)throw new Error("Stream is at the end");var e;return e=-1===this.tokenStart?this.peekToken():this._source.substring(this.tokenStart,this.tokenEnd),this._pos=this.tokenEnd,this.tokenStart=-1,this.tokenEnd=-1,e},e.prototype.peekWhitespace=function(){for(var e=this._source,t=this.sourceLength,n=this.whitespaceArr,o=this._pos;n[e.charCodeAt(o)]&&t>o;)o++;return e.substring(this._pos,o)},e.prototype._skipWhitespace=function(){for(var e=this._source,t=this.sourceLength,n=this.whitespaceArr,o=this._pos,i=this._pos;n[e.charCodeAt(i)]&&t>i;)i++;return i-o},e.prototype.skipWhitespace=function(){return this.advance(this._skipWhitespace())},e.prototype.skipWhitespace2=function(){return this._advance2(this._skipWhitespace())},e.STRING_TO_ARRAY_CACHE={},e}();t.LineStream=n}),define("vs/editor/common/modes/monarch/monarchCommon",["require","exports"],function(e,t){"use strict";function n(e){return!e}function o(e,t){return e.ignoreCase&&t?t.toLowerCase():t}function i(e){return e.replace(/[&<>'"_]/g,"-")}function r(e,t){console.log(e.name+": "+t)}function s(e,t){throw new Error(e.name+": "+t)}function a(e,t,i,r,s){var a=/\$((\$)|(#)|(\d\d?)|[sS](\d\d?)|@(\w+))/g,l=null;return t.replace(a,function(t,a,u,c,d,h,p,m,f){return n(u)?n(c)?!n(d)&&d<r.length?o(e,r[d]):!n(p)&&e&&"string"==typeof e[p]?e[p]:(null===l&&(l=s.split("."),l.unshift(s)),!n(h)&&h<l.length?o(e,l[h]):""):o(e,i):"$"})}function l(e,t){for(;t&&t.length>0;){var n=e.tokenizer[t];if(n)return n;var o=t.lastIndexOf(".");t=0>o?null:t.substr(0,o)}return null}function u(e,t){for(;t&&t.length>0;){var n=e.stateNames[t];if(n)return!0;var o=t.lastIndexOf(".");t=0>o?null:t.substr(0,o)}return!1}!function(e){e[e.None=0]="None",e[e.Open=1]="Open",e[e.Close=-1]="Close"}(t.MonarchBracket||(t.MonarchBracket={}));t.MonarchBracket;t.empty=n,t.fixCase=o,t.sanitize=i,t.log=r,t.throwError=s,t.substituteMatches=a,t.findRules=l,t.stateExists=u}),define("vs/editor/common/modes/monarch/monarchCompile",["require","exports","vs/base/common/objects","vs/editor/common/modes/monarch/monarchCommon"],function(e,t,n,o){"use strict";function i(e,t){if(!t)return!1;if(!Array.isArray(t))return!1;var n;for(n in t)if(t.hasOwnProperty(n)&&!e(t[n]))return!1;return!0}function r(e,t,n){return"boolean"==typeof e?e:(n&&(e||void 0===t)&&n(),void 0===t?null:t)}function s(e,t,n){return"string"==typeof e?e:(n&&(e||void 0===t)&&n(),void 0===t?null:t)}function a(e,t){if("string"!=typeof t)return null;for(var n=0;t.indexOf("@")>=0&&5>n;)n++,t=t.replace(/@(\w+)/g,function(n,i){var r="";return"string"==typeof e[i]?r=e[i]:e[i]&&e[i]instanceof RegExp?r=e[i].source:void 0===e[i]?o.throwError(e,"language definition does not contain attribute '"+i+"', used at: "+t):o.throwError(e,"attribute reference '"+i+"' must be a string, used at: "+t),o.empty(r)?"":"(?:"+r+")"});return new RegExp(t,e.ignoreCase?"i":"")}function l(e,t,n,o){if(0>o)return e;if(o<t.length)return t[o];if(o>=100){o-=100;var i=n.split(".");if(i.unshift(n),o<i.length)return i[o]}return null}function u(e,t,r,s){var u=-1,c=r,d=r.match(/^\$(([sS]?)(\d\d?)|#)(.*)$/);d&&(d[3]&&(u=parseInt(d[3]),d[2]&&(u+=100)),c=d[4]);var h="~",p=c;c&&0!==c.length?/^\w*$/.test(p)?h="==":(d=c.match(/^(@|!@|~|!~|==|!=)(.*)$/),d&&(h=d[1],p=d[2])):(h="!=",p="");var m;if("~"!==h&&"!~"!==h||!/^(\w|\|)*$/.test(p))if("@"===h||"!@"===h){var f=e[p];f||o.throwError(e,"the @ match target '"+p+"' is not defined, in rule: "+t),i(function(e){return"string"==typeof e},f)||o.throwError(e,"the @ match target '"+p+"' must be an array of strings, in rule: "+t);var g=n.createKeywordMatcher(f,e.ignoreCase);m=function(e){return"@"===h?g(e):!g(e)}}else if("~"===h||"!~"===h)if(p.indexOf("$")<0){var v=a(e,"^"+p+"$");m=function(e){return"~"===h?v.test(e):!v.test(e)}}else m=function(t,n,i,r){var s=a(e,"^"+o.substituteMatches(e,p,n,i,r)+"$");return s.test(t)};else if(p.indexOf("$")<0){var y=o.fixCase(e,p);m=function(e){return"=="===h?e===y:e!==y}}else{var y=o.fixCase(e,p);m=function(t,n,i,r,s){var a=o.substituteMatches(e,y,n,i,r);return"=="===h?t===a:t!==a}}else{var g=n.createKeywordMatcher(p.split("|"),e.ignoreCase);m=function(e){return"~"===h?g(e):!g(e)}}return-1===u?{name:r,value:s,test:function(e,t,n,o){return m(e,e,t,n,o)}}:{name:r,value:s,test:function(e,t,n,o){var i=l(e,t,n,u);return m(i?i:"",e,t,n,o)}}}function c(e,t,n){if(n){if("string"==typeof n)return n;if(n.token||""===n.token){if("string"!=typeof n.token)return o.throwError(e,"a 'token' attribute must be of type string, in rule: "+t),{token:""};var i={token:n.token};if(n.token.indexOf("$")>=0&&(i.tokenSubst=!0),"string"==typeof n.bracket&&("@open"===n.bracket?i.bracket=o.MonarchBracket.Open:"@close"===n.bracket?i.bracket=o.MonarchBracket.Close:o.throwError(e,"a 'bracket' attribute must be either '@open' or '@close', in rule: "+t)),n.next)if("string"!=typeof n.next)o.throwError(e,"the next state must be a string value in rule: "+t);else{var r=n.next;/^(@pop|@push|@popall)$/.test(r)||("@"===r[0]&&(r=r.substr(1)),r.indexOf("$")<0&&(o.stateExists(e,o.substituteMatches(e,r,"",[],""))||o.throwError(e,"the next state '"+n.next+"' is not defined in rule: "+t))),i.next=r}return"number"==typeof n.goBack&&(i.goBack=n.goBack),"string"==typeof n.switchTo&&(i.switchTo=n.switchTo),"string"==typeof n.log&&(i.log=n.log),"string"==typeof n.nextEmbedded&&(i.nextEmbedded=n.nextEmbedded,e.usesEmbedded=!0),i}if(Array.isArray(n)){var s,a=[];for(s in n)n.hasOwnProperty(s)&&(a[s]=c(e,t,n[s]));return{group:a}}if(n.cases){var l,d=[];for(l in n.cases)if(n.cases.hasOwnProperty(l)){var h=c(e,t,n.cases[l]);"@default"===l||"@"===l||""===l?d.push({test:null,value:h,name:l}):"@eos"===l?d.push({test:function(e,t,n,o){return o},value:h,name:l}):d.push(u(e,t,l,h))}var p=e.defaultToken;return{test:function(e,t,n,o){var i;for(i in d)if(d.hasOwnProperty(i)){var r=!d[i].test||d[i].test(e,t,n,o);if(r)return d[i].value}return p}}}return o.throwError(e,"an action must be a string, an object with a 'token' or 'cases' attribute, or an array of actions; in rule: "+t),""}return{token:""}}function d(e){function t(a,l,u){var c;for(c in u)if(u.hasOwnProperty(c)){var d=u[c],p=d.include;if(p)"string"!=typeof p&&o.throwError(n,"an 'include' attribute must be a string at: "+a),"@"===p[0]&&(p=p.substr(1)),e.tokenizer[p]||o.throwError(n,"include target '"+p+"' is not defined at: "+a),t(a+"."+p,l,e.tokenizer[p]);else{var m=new h(a);if(Array.isArray(d)&&d.length>=1&&d.length<=3)if(m.setRegex(i,d[0]),d.length>=3)if("string"==typeof d[1])m.setAction(i,{token:d[1],next:d[2]});else if("object"==typeof d[1]){var f=d[1];f.next=d[2],m.setAction(i,f)}else o.throwError(n,"a next state as the last element of a rule can only be given if the action is either an object or a string, at: "+a);else m.setAction(i,d[1]);else d.regex||o.throwError(n,"a rule must either be an array, or an object with a 'regex' or 'include' field at: "+a),d.name&&(m.name=s(d.name)),d.matchOnlyAtStart&&(m.matchOnlyAtLineStart=r(d.matchOnlyAtLineStart)),m.setRegex(i,d.regex),m.setAction(i,d.action);l.push(m)}}}if(!e||"object"!=typeof e)throw new Error("Monarch: expecting a language definition object");if("string"!=typeof e.name)throw new Error("Monarch: a language definition must include a string 'name' attribute");var n={};n.name=e.name,n.displayName=s(e.displayName,n.name),n.noThrow=!1,n.maxStack=100,n.start=s(e.start),n.ignoreCase=r(e.ignoreCase,!1),n.lineComment=s(e.lineComment,"//"),n.blockCommentStart=s(e.blockCommentStart,"/*"),n.blockCommentEnd=s(e.blockCommentEnd,"*/"),n.tokenPostfix=s(e.tokenPostfix,"."+n.name),n.defaultToken=s(e.defaultToken,"source",function(){o.throwError(n,"the 'defaultToken' must be a string")}),n.usesEmbedded=!1,n.wordDefinition=e.wordDefinition||void 0,!n.lineComment&&e.lineComments&&("string"==typeof e.lineComments?n.lineComment=e.lineComments:"string"==typeof e.lineComments[0]&&(n.lineComment=e.lineComments[0]));var i=e;i.name=n.name,i.displayName=n.displayName,i.ignoreCase=n.ignoreCase,i.noThrow=n.noThrow,i.usesEmbedded=n.usesEmbedded,i.stateNames=e.tokenizer,i.defaultToken=n.defaultToken,e.tokenizer&&"object"==typeof e.tokenizer||o.throwError(n,"a language definition must define the 'tokenizer' attribute as an object"),n.tokenizer=[];var a;for(a in e.tokenizer)if(e.tokenizer.hasOwnProperty(a)){n.start||(n.start=a);var l=e.tokenizer[a];n.tokenizer[a]=new Array,t("tokenizer."+a,n.tokenizer[a],l)}n.usesEmbedded=i.usesEmbedded,e.brackets?Array.isArray(e.brackets)||o.throwError(n,"the 'brackets' attribute must be defined as an array"):e.brackets=[{open:"{",close:"}",token:"delimiter.curly"},{open:"[",close:"]",token:"delimiter.square"},{open:"(",close:")",token:"delimiter.parenthesis"},{open:"<",close:">",token:"delimiter.angle"}];var u=[];for(var c in e.brackets)if(e.brackets.hasOwnProperty(c)){var d=e.brackets[c];d&&Array.isArray(d)&&3===d.length&&(d={token:d[2],open:d[0],close:d[1]}),d.open===d.close&&o.throwError(n,"open and close brackets in a 'brackets' attribute must be different: "+d.open+"\n hint: use the 'bracket' attribute if matching on equal brackets is required."),"string"==typeof d.open&&"string"==typeof d.token?u.push({token:s(d.token)+n.tokenPostfix,open:o.fixCase(n,s(d.open)),close:o.fixCase(n,s(d.close))}):o.throwError(n,"every element in the 'brackets' array must be a '{open,close,token}' object or array")}n.brackets=u;var p;if(e.autoClosingPairs?(Array.isArray(e.autoClosingPairs)||o.throwError(n,"the 'autoClosingPairs' attribute must be an array of string pairs (as arrays)"),p=e.autoClosingPairs.slice(0)):p=[['"','"'],["'","'"],["@brackets"]],n.autoClosingPairs=[],p)for(var m in p)if(p.hasOwnProperty(m)){var f,g=p[m];if("@brackets"===g||"@brackets"===g[0]){var v;for(v in u)u.hasOwnProperty(v)&&u[v].open&&1===u[v].open.length&&u[v].close&&1===u[v].close.length&&(f={open:u[v].open,close:u[v].close,notIn:["string","comment"]},n.autoClosingPairs.push(f))}else Array.isArray(g)&&2===g.length&&"string"==typeof g[0]&&1===g[0].length&&"string"==typeof g[1]&&1===g[1].length?(f={open:o.fixCase(n,g[0]),close:o.fixCase(n,g[1]),notIn:["string","comment"]},n.autoClosingPairs.push(f)):"string"==typeof g.open&&1===g.open.length&&"string"==typeof g.close&&1===g.close.length?(f={open:o.fixCase(n,g.open[0]),close:o.fixCase(n,g.close[0]),notIn:["string","comment"]},n.autoClosingPairs.push(f)):o.throwError(n,"every element in an 'autoClosingPairs' array must be a pair of 1 character strings, or a '@brackets' directive")}for(var y=[],_=0;_<u.length;++_)y.push([u[_].open,u[_].close]);return n.standardBrackets=y,n.outdentTriggers=s(e.outdentTriggers,""),n.noThrow=!0,n}var h=function(){function e(e){this.regex=new RegExp(""),this.action={token:""},this.matchOnlyAtLineStart=!1,this.name="",this.name=e}return e.prototype.setRegex=function(e,t){var n;"string"==typeof t?n=t:t instanceof RegExp?n=t.source:o.throwError(e,"rules must start with a match string or regular expression: "+this.name),this.matchOnlyAtLineStart=n.length>0&&"^"===n[0],this.name=this.name+": "+n,this.regex=a(e,"^(?:"+(this.matchOnlyAtLineStart?n.substr(1):n)+")")},e.prototype.setAction=function(e,t){this.action=c(e,this.name,t)},e}();t.compile=d}),define("vs/editor/common/modes/monarch/monarchDefinition",["require","exports"],function(e,t){"use strict";function n(e){return{wordPattern:e.wordDefinition,comments:{lineComment:e.lineComment,blockComment:[e.blockCommentStart,e.blockCommentEnd]},brackets:e.standardBrackets,autoClosingPairs:e.autoClosingPairs,__electricCharacterSupport:{caseInsensitive:e.ignoreCase,embeddedElectricCharacters:e.outdentTriggers.split("")}}}t.createRichEditSupport=n}),define("vs/editor/common/modes/supports",["require","exports","vs/base/common/strings","vs/base/common/objects","vs/editor/common/core/modeTransition"],function(e,t,n,o,i){"use strict";function r(e,t,n){var o=e.modeTransitions;if(1===o.length)return n(o[0].mode,e,t);var r=i.ModeTransition.findIndexInSegmentsArray(o,t),s=o[r].mode,a=o[r].startIndex,l=e.findIndexOfOffset(a),c=-1,d=-1;r+1<o.length?(d=e.findIndexOfOffset(o[r+1].startIndex),c=e.getTokenStartIndex(d)):(d=e.getTokenCount(),c=e.getLineContent().length);var h=e.getTokenStartIndex(l),p=new u(e,s,l,d,h,c);return n(s,p,t-h)}function s(e){return c.test(e)}var a=function(){function e(e,t){this.startIndex=e,this.type=t}return e.prototype.toString=function(){return"("+this.startIndex+", "+this.type+")"},e}();t.Token=a;var l=function(){function e(e,t,n,o){this.tokens=e,this.modeTransitions=t,this.actualStopOffset=n,this.endState=o,this.retokenize=null}return e}();t.LineTokens=l,t.handleEvent=r;var u=function(){function e(e,t,n,o,r,s){this.modeTransitions=[new i.ModeTransition(0,t)],this._actual=e,this._firstTokenInModeIndex=n,this._nextTokenAfterMode=o,this._firstTokenCharacterOffset=r,this._nextCharacterAfterModeIndex=s}return e.prototype.getLineContent=function(){var e=this._actual.getLineContent();return e.substring(this._firstTokenCharacterOffset,this._nextCharacterAfterModeIndex)},e.prototype.getTokenCount=function(){return this._nextTokenAfterMode-this._firstTokenInModeIndex},e.prototype.findIndexOfOffset=function(e){return this._actual.findIndexOfOffset(e+this._firstTokenCharacterOffset)-this._firstTokenInModeIndex},e.prototype.getTokenStartIndex=function(e){return this._actual.getTokenStartIndex(e+this._firstTokenInModeIndex)-this._firstTokenCharacterOffset;
},e.prototype.getTokenEndIndex=function(e){return this._actual.getTokenEndIndex(e+this._firstTokenInModeIndex)-this._firstTokenCharacterOffset},e.prototype.getTokenType=function(e){return this._actual.getTokenType(e+this._firstTokenInModeIndex)},e.prototype.getTokenText=function(e){return this._actual.getTokenText(e+this._firstTokenInModeIndex)},e}();t.FilteredLineContext=u;var c=/\b(comment|string|regex)\b/;t.ignoreBracketsInToken=s;var d=function(){function e(){}return e.registerDefaultSnippets=function(e,t){this._defaultSnippets[e]=(this._defaultSnippets[e]||[]).concat(t)},e.registerSnippets=function(e,t,n){var o=this._snippets[e];o||(this._snippets[e]=o={}),o[t]=n},e.getNonWhitespacePrefix=function(e,t){var n=e.getLineContent(t.lineNumber),o=n.match(/[^\s]+$/);return o?o[0]:""},e.getSnippets=function(t,i){var r=t.getWordAtPosition(i),s=r?r.word.substring(0,i.column-r.startColumn).toLowerCase():"",a=e.getNonWhitespacePrefix(t,i).toLowerCase(),l={currentWord:s,suggestions:[]},u=t.getModeId(),c=[],d=this._snippets[u];if(d)for(var h in d)c=c.concat(d[h]);var p=this._defaultSnippets[u];return p&&(c=c.concat(p)),c.forEach(function(e){if(0===s.length&&0===a.length);else{var t=e.label.toLowerCase();if(s.length>0&&n.startsWith(t,s));else{if(!(a.length>s.length&&n.startsWith(t,a)))return;e=o.clone(e),e.overwriteBefore=a.length}}l.suggestions.push(e)}),l},e._defaultSnippets=Object.create(null),e._snippets=Object.create(null),e}();t.SnippetsRegistry=d}),define("vs/editor/common/modes/supports/characterPair",["require","exports","vs/editor/common/modes/supports"],function(e,t,n){"use strict";var o=function(){function e(e,t){this._modeId=e,this._autoClosingPairs=t.autoClosingPairs,this._autoClosingPairs||(this._autoClosingPairs=t.brackets?t.brackets.map(function(e){return{open:e[0],close:e[1]}}):[]),this._surroundingPairs=t.surroundingPairs||this._autoClosingPairs}return e.prototype.getAutoClosingPairs=function(){return this._autoClosingPairs},e.prototype.shouldAutoClosePair=function(e,t,o){var i=this;return n.handleEvent(t,o,function(t,n,o){if(i._modeId===t.getId()){if(0===n.getTokenCount())return!0;for(var r=n.findIndexOfOffset(o-1),s=n.getTokenType(r),a=0;a<i._autoClosingPairs.length;++a)if(i._autoClosingPairs[a].open===e){if(i._autoClosingPairs[a].notIn)for(var l=0;l<i._autoClosingPairs[a].notIn.length;++l)if(s.indexOf(i._autoClosingPairs[a].notIn[l])>-1)return!1;break}return!0}return t.richEditSupport&&t.richEditSupport.characterPair?t.richEditSupport.characterPair.shouldAutoClosePair(e,n,o):null})},e.prototype.getSurroundingPairs=function(){return this._surroundingPairs},e}();t.CharacterPairSupport=o}),define("vs/editor/common/modes/supports/richEditBrackets",["require","exports","vs/base/common/strings","vs/editor/common/core/range"],function(e,t,n,o){"use strict";function i(e,t){var n={};return function(o){var i=e(o);return n.hasOwnProperty(i)||(n[i]=t(o)),n[i]}}function r(e){var t="("+e.map(n.escapeRegExpCharacters).join(")|(")+")";return n.createRegExp(t,!0,!1,!1,!1)}function s(e){for(var t="",n=e.length-1;n>=0;n--)t+=e.charAt(n);return t}var a=function(){function e(e,t){var n=this;this.brackets=t.map(function(t){return{modeId:e,open:t[0],close:t[1],forwardRegex:l({open:t[0],close:t[1]}),reversedRegex:u({open:t[0],close:t[1]})}}),this.forwardRegex=c(this.brackets),this.reversedRegex=d(this.brackets),this.textIsBracket={},this.textIsOpenBracket={},this.maxBracketLength=0,this.brackets.forEach(function(e){n.textIsBracket[e.open]=e,n.textIsBracket[e.close]=e,n.textIsOpenBracket[e.open]=!0,n.textIsOpenBracket[e.close]=!1,n.maxBracketLength=Math.max(n.maxBracketLength,e.open.length),n.maxBracketLength=Math.max(n.maxBracketLength,e.close.length)})}return e}();t.RichEditBrackets=a;var l=i(function(e){return e.open+";"+e.close},function(e){return r([e.open,e.close])}),u=i(function(e){return e.open+";"+e.close},function(e){return r([s(e.open),s(e.close)])}),c=i(function(e){return e.map(function(e){return e.open+";"+e.close}).join(";")},function(e){var t=[];return e.forEach(function(e){t.push(e.open),t.push(e.close)}),r(t)}),d=i(function(e){return e.map(function(e){return e.open+";"+e.close}).join(";")},function(e){var t=[];return e.forEach(function(e){t.push(s(e.open)),t.push(s(e.close))}),r(t)}),h=function(){function e(){}return e._findPrevBracketInText=function(e,t,n,i){var r=n.match(e);if(!r)return null;var s=n.length-r.index,a=r[0].length,l=i+s;return new o.Range(t,l-a+1,t,l+1)},e.findPrevBracketInToken=function(e,t,n,o,i){for(var r="",s=i-1;s>=o;s--)r+=n.charAt(s);return this._findPrevBracketInText(e,t,r,o)},e.findNextBracketInText=function(e,t,n,i){var r=n.match(e);if(!r)return null;var s=r.index,a=r[0].length,l=i+s;return new o.Range(t,l+1,t,l+1+a)},e.findNextBracketInToken=function(e,t,n,o,i){var r=n.substring(o,i);return this.findNextBracketInText(e,t,r,o)},e}();t.BracketsUtils=h}),define("vs/editor/common/modes/supports/electricCharacter",["require","exports","vs/base/common/strings","vs/editor/common/modes/supports","vs/editor/common/modes/supports/richEditBrackets"],function(e,t,n,o,i){"use strict";var r=function(){function e(e,t,n){this._modeId=e,this.contribution=n||{},this.brackets=new s(e,t,this.contribution.docComment,this.contribution.caseInsensitive)}return e.prototype.getElectricCharacters=function(){return Array.isArray(this.contribution.embeddedElectricCharacters)?this.contribution.embeddedElectricCharacters.concat(this.brackets.getElectricCharacters()):this.brackets.getElectricCharacters()},e.prototype.onElectricCharacter=function(e,t){var n=this;return o.handleEvent(e,t,function(e,t,o){return n._modeId===e.getId()?n.brackets.onElectricCharacter(t,o):e.richEditSupport&&e.richEditSupport.electricCharacter?e.richEditSupport.electricCharacter.onElectricCharacter(t,o):null})},e}();t.BracketElectricCharacterSupport=r;var s=function(){function e(e,t,n,o){void 0===n&&(n=null),void 0===o&&(o=!1),this._modeId=e,this._richEditBrackets=t,this._docComment=n?n:null}return e.prototype.getElectricCharacters=function(){var e=[];if(this._richEditBrackets)for(var t=0,n=this._richEditBrackets.brackets.length;n>t;t++){var o=this._richEditBrackets.brackets[t],i=o.close.charAt(o.close.length-1);e.push(i)}return this._docComment&&e.push(this._docComment.open.charAt(this._docComment.open.length-1)),e=e.filter(function(e,t,n){return n.indexOf(e)===t})},e.prototype.onElectricCharacter=function(e,t){return 0===e.getTokenCount()?null:this._onElectricCharacterDocComment(e,t)||this._onElectricCharacterStandardBrackets(e,t)},e.prototype.containsTokenTypes=function(e,t){for(var n=t.split("."),o=0;o<n.length;++o)if(e.indexOf(n[o])<0)return!1;return!0},e.prototype._onElectricCharacterStandardBrackets=function(e,t){if(!this._richEditBrackets||0===this._richEditBrackets.brackets.length)return null;var r=this._richEditBrackets.reversedRegex,s=e.getLineContent(),a=e.findIndexOfOffset(t),l=e.getTokenStartIndex(a),u=t+1,c=n.firstNonWhitespaceIndex(e.getLineContent());if(-1!==c&&l>c)return null;if(!o.ignoreBracketsInToken(e.getTokenType(a))){var d=i.BracketsUtils.findPrevBracketInToken(r,1,s,l,u);if(d){var h=s.substring(d.startColumn-1,d.endColumn-1),p=this._richEditBrackets.textIsOpenBracket[h];if(!p)return{matchOpenBracket:h}}}return null},e.prototype._onElectricCharacterDocComment=function(e,t){if(!this._docComment||!this._docComment.close)return null;var n=e.getLineContent(),o=n[t];if(o!==this._docComment.open.charAt(this._docComment.open.length-1))return null;if(n.indexOf(this._docComment.close,t)>=0)return null;var i=e.findIndexOfOffset(t);return this.containsTokenTypes(e.getTokenType(i),this._docComment.scope)?n.substring(e.getTokenStartIndex(i),t+1)!==this._docComment.open?null:{appendText:this._docComment.close}:null},e}();t.Brackets=s}),define("vs/editor/common/services/editorSimpleWorkerCommon",["require","exports"],function(e,t){"use strict";var n=function(){function e(){}return e.prototype.acceptNewModel=function(e){throw new Error("Not implemented!")},e.prototype.acceptModelChanged=function(e,t){throw new Error("Not implemented!")},e.prototype.acceptRemovedModel=function(e){throw new Error("Not implemented!")},e.prototype.computeDiff=function(e,t,n){throw new Error("Not implemented!")},e.prototype.computeDirtyDiff=function(e,t,n){throw new Error("Not implemented!")},e.prototype.computeLinks=function(e){throw new Error("Not implemented!")},e.prototype.textualSuggest=function(e,t,n,o){throw new Error("Not implemented!")},e.prototype.navigateValueSet=function(e,t,n,o,i){throw new Error("Not implemented!")},e}();t.EditorSimpleWorker=n}),define("vs/editor/common/view/overviewZoneManager",["require","exports","vs/editor/common/editorCommon"],function(e,t,n){"use strict";var o=function(){function e(e){this._getVerticalOffsetForLine=e,this._zones=[],this._colorZonesInvalid=!1,this._lineHeight=0,this._domWidth=0,this._domHeight=0,this._outerHeight=0,this._maximumHeight=0,this._minimumHeight=0,this._useDarkColor=!1,this._pixelRatio=1,this._lastAssignedId=0,this._color2Id=Object.create(null),this._id2Color=[]}return e.prototype.getId2Color=function(){return this._id2Color},e.prototype.setZones=function(e){e.sort(function(e,t){return e.compareTo(t)});for(var t=this._zones,n=0,o=this._zones.length,i=0,r=e.length,s=[];r>i;){var a=e[i];if(n>=o)s.push(a),i++;else{var l=t[n],u=l.compareTo(a);0>u?n++:u>0?(s.push(a),i++):(s.push(l),n++,i++)}}this._zones=s},e.prototype.setLineHeight=function(e){return this._lineHeight===e?!1:(this._lineHeight=e,this._colorZonesInvalid=!0,!0)},e.prototype.setPixelRatio=function(e){this._pixelRatio=e,this._colorZonesInvalid=!0},e.prototype.getDOMWidth=function(){return this._domWidth},e.prototype.getCanvasWidth=function(){return this._domWidth*this._pixelRatio},e.prototype.setDOMWidth=function(e){return this._domWidth===e?!1:(this._domWidth=e,this._colorZonesInvalid=!0,!0)},e.prototype.getDOMHeight=function(){return this._domHeight},e.prototype.getCanvasHeight=function(){return this._domHeight*this._pixelRatio},e.prototype.setDOMHeight=function(e){return this._domHeight===e?!1:(this._domHeight=e,this._colorZonesInvalid=!0,!0)},e.prototype.getOuterHeight=function(){return this._outerHeight},e.prototype.setOuterHeight=function(e){return this._outerHeight===e?!1:(this._outerHeight=e,this._colorZonesInvalid=!0,!0)},e.prototype.setMaximumHeight=function(e){return this._maximumHeight===e?!1:(this._maximumHeight=e,this._colorZonesInvalid=!0,!0)},e.prototype.setMinimumHeight=function(e){return this._minimumHeight===e?!1:(this._minimumHeight=e,this._colorZonesInvalid=!0,!0)},e.prototype.setUseDarkColor=function(e){return this._useDarkColor===e?!1:(this._useDarkColor=e,this._colorZonesInvalid=!0,!0)},e.prototype.resolveColorZones=function(){for(var e=this._colorZonesInvalid,t=Math.floor(this._lineHeight),n=Math.floor(this.getCanvasHeight()),o=Math.floor(this._maximumHeight*this._pixelRatio),i=Math.floor(this._minimumHeight*this._pixelRatio),r=this._useDarkColor,s=Math.floor(this._outerHeight),a=n/s,l=[],u=0,c=this._zones.length;c>u;u++){var d=this._zones[u];if(!e){var h=d.getColorZones();if(h){for(var p=0,m=h.length;m>p;p++)l.push(h[p]);continue}}var f=[];if(d.forceHeight){var g=Math.floor(d.forceHeight*this._pixelRatio),v=Math.floor(this._getVerticalOffsetForLine(d.startLineNumber));v=Math.floor(v*a);var y=v+g;f.push(this.createZone(n,v,y,g,g,d.getColor(r),d.position))}else{var v=Math.floor(this._getVerticalOffsetForLine(d.startLineNumber)),y=Math.floor(this._getVerticalOffsetForLine(d.endLineNumber))+t;v=Math.floor(v*a),y=Math.floor(y*a);var _=d.endLineNumber-d.startLineNumber+1,b=_*o;if(y-v>b)for(var C=d.startLineNumber;C<=d.endLineNumber;C++)v=Math.floor(this._getVerticalOffsetForLine(C)),y=v+t,v=Math.floor(v*a),y=Math.floor(y*a),f.push(this.createZone(n,v,y,i,o,d.getColor(r),d.position));else f.push(this.createZone(n,v,y,i,b,d.getColor(r),d.position))}d.setColorZones(f);for(var p=0,m=f.length;m>p;p++)l.push(f[p])}this._colorZonesInvalid=!1;var w=function(e,t){return e.colorId===t.colorId?e.from===t.from?e.to-t.to:e.from-t.from:e.colorId-t.colorId};return l.sort(w),l},e.prototype.createZone=function(e,t,o,i,r,s,a){e=Math.floor(e),t=Math.floor(t),o=Math.floor(o),i=Math.floor(i),r=Math.floor(r);var l=Math.floor((t+o)/2),u=o-l;u>r/2&&(u=r/2),i/2>u&&(u=i/2),0>l-u&&(l=u),l+u>e&&(l=e-u);var c=this._color2Id[s];return c||(c=++this._lastAssignedId,this._color2Id[s]=c,this._id2Color[c]=s),new n.ColorZone(l-u,l+u,c,a)},e}();t.OverviewZoneManager=o}),define("vs/editor/common/view/renderingContext",["require","exports"],function(e,t){"use strict";var n=function(){function e(e,t){this.lineNumber=e,this.ranges=t}return e}();t.LineVisibleRanges=n;var o=function(){function e(e,t,n){this.top=0|e,this.left=0|t,this.width=0|n}return e}();t.VisibleRange=o;var i=function(){function e(e,t){this.left=0|e,this.width=0|t}return e}();t.HorizontalRange=i}),define("vs/editor/browser/viewParts/lines/rangeUtil",["require","exports","vs/editor/common/view/renderingContext"],function(e,t,n){"use strict";var o=function(){function e(){}return e._createRange=function(){return this._handyReadyRange||(this._handyReadyRange=document.createRange()),this._handyReadyRange},e._detachRange=function(e,t){e.selectNodeContents(t)},e._readClientRects=function(e,t,n,o,i){var r=this._createRange();try{return r.setStart(e,t),r.setEnd(n,o),r.getClientRects()}catch(s){return null}finally{this._detachRange(r,i)}},e._createHorizontalRangesFromClientRects=function(e,t,o){if(!e||0===e.length)return null;for(var i=[],r=Math.max(0,e[0].left*o-t),s=e[0].width*o,a=1,l=e.length;l>a;a++){var u=Math.max(0,e[a].left*o-t),c=e[a].width*o;r>u&&console.error("Unexpected: RangeUtil._createHorizontalRangesFromClientRects: client rects are not sorted"),r+s+.9>=u?s=Math.max(s,u+c-r):(i.push(new n.HorizontalRange(r,s)),r=u,s=c)}return i.push(new n.HorizontalRange(r,s)),i},e.readHorizontalRanges=function(e,t,n,o,i,r,s,a){var l=0,u=e.children.length-1;if(l>u)return null;t=Math.min(u,Math.max(l,t)),o=Math.min(u,Math.max(l,o)),t!==o&&o>0&&0===i&&(o--,i=Number.MAX_VALUE);var c=e.children[t].firstChild,d=e.children[o].firstChild;if(!c||!d)return null;n=Math.min(c.textContent.length,Math.max(0,n)),i=Math.min(d.textContent.length,Math.max(0,i));var h=this._readClientRects(c,n,d,i,a);return this._createHorizontalRangesFromClientRects(h,r,s)},e}();t.RangeUtil=o}),define("vs/editor/common/view/viewContext",["require","exports"],function(e,t){"use strict";var n=function(){function e(e,t,n,o,i){this.configuration=e,this.model=t,this.privateViewEventBus=n,this.addEventHandler=o,this.removeEventHandler=i}return e}();t.ViewContext=n}),define("vs/editor/common/viewLayout/editorLayoutProvider",["require","exports","vs/editor/common/editorCommon"],function(e,t,n){"use strict";var o=function(){function e(){}return e.compute=function(e){var t=0|e.outerWidth,o=0|e.outerHeight,i=Boolean(e.showGlyphMargin),r=0|e.lineHeight,s=Boolean(e.showLineNumbers),a=0|e.lineNumbersMinChars,l=0|e.lineDecorationsWidth,u=Number(e.maxDigitWidth),c=0|e.lineCount,d=0|e.verticalScrollbarWidth,h=Boolean(e.verticalScrollbarHasArrows),p=0|e.scrollbarArrowSize,m=0|e.horizontalScrollbarHeight,f=0;if(s){var g=Math.max(this.digitCount(c),a);f=Math.round(g*u)}var v=0;i&&(v=r);var y=t-v-f-l,_=0,b=_+v,C=b+f,w=C+l,E=h?p:0;return new n.EditorLayoutInfo({width:t,height:o,glyphMarginLeft:_,glyphMarginWidth:v,glyphMarginHeight:o,lineNumbersLeft:b,lineNumbersWidth:f,lineNumbersHeight:o,decorationsLeft:C,decorationsWidth:l,decorationsHeight:o,contentLeft:w,contentWidth:y,contentHeight:o,verticalScrollbarWidth:d,horizontalScrollbarHeight:m,overviewRuler:new n.OverviewRulerPosition({top:E,width:d,height:o-2*E,right:0})})},e.digitCount=function(e){for(var t=0;e;)e=Math.floor(e/10),t++;return t?t:1},e}();t.EditorLayoutProvider=o}),define("vs/editor/common/viewLayout/viewLineParts",["require","exports","vs/base/common/strings","vs/editor/common/core/arrays","vs/editor/common/core/range","vs/editor/common/core/viewLineToken"],function(e,t,n,o,i,r){"use strict";function s(e,t){return i.Range.compareRangesUsingStarts(e.range,t.range)}function a(e,t,n,o,i,r,a,l){if(l||a){var u=r.length;r=d(l,a,e,n,o,i.getFauxIndentLength(),r),r.length!==u&&r.sort(s)}return r.length>0?m(e,t,i,n,r):p(i,n)}function l(e,t,n,o,i,r,s){if(i>=t.length)return e;if(0===s)return t[i].startIndex+1;if(s===r)return i+1<t.length?t[i+1].startIndex+1:n;for(var a=t[i].startIndex,l=i+1<t.length?t[i+1].startIndex:n-1,u=a,c=l;c>u+1;){var d=Math.floor((u+c)/2),h=o[d];if(h===s)return d+1;h>s?c=d:u=d}if(u===c)return u+1;var p=o[u],m=l>c?o[c]:r,f=s-p,g=m-s;return g>=f?u+1:c+1}function u(e,t){if(e.length<=1)return e;var n=e[e.length-1].startIndex;return n<t.length?e:e.slice(0,e.length-1)}function c(e,t,n,o,r){e.push({range:new i.Range(t,n,t,o),options:{inlineClassName:r}})}function d(e,t,o,i,r,s,a){if(!e&&!t)return a;var l=i.length;if(l===s)return a;var u=e?i.charCodeAt(0):i.charCodeAt(s),c=i.charCodeAt(l-1);if(u!==f&&u!==g&&c!==f&&c!==g)return a;var d,p=n.firstNonWhitespaceIndex(i);-1===p?(p=l,d=l):d=n.lastNonWhitespaceIndex(i);var m=[],v=[];if(s>0&&(m.push(s-1),v.push(e?"indent-guide":null)),p>s){m.push(p-1);var y=null;y=s>0?t?"leading whitespace":null:e&&t?"leading whitespace indent-guide":e?"indent-guide":"leading whitespace",v.push(y)}return m.push(d),v.push(null),m.push(l-1),v.push(t?"trailing whitespace":null),m.push(l),v.push(null),h(o,i,r,a,m,v)}function h(e,t,n,o,i,r){for(var s=t.length,a=0,l=i[a],u=r[a],d=o.slice(0),h=0,p=1,m=0;s>m;m++){var g=t.charCodeAt(m);g===f?h=n:h++,m===l?(null!==u&&c(d,e,p,m+2,u),p=m+2,h%=n,a++,l=i[a],u=r[a]):null!==u&&h>=n&&(c(d,e,p,m+2,u),p=m+2,h%=n)}return d}function p(e,t){var n=e.getTokens();return n=u(n,t),new v(n)}function m(e,t,n,o,i){for(var s,a,l,u=b.normalize(e,t,i),c=0,d=u.length,h=n.getTokens(),p=[],m=0,f=h.length;f>m;m++){for(s=h[m].startIndex,a=f>m+1?h[m+1].startIndex:n.getTextLength(),l=h[m].type;d>c&&u[c].startOffset<a;){if(u[c].startOffset>s&&(p.push(new r.ViewLineToken(s,l)),s=u[c].startOffset),p.push(new r.ViewLineToken(s,l+" "+u[c].className)),u[c].endOffset>=a){s=a;break}s=u[c].endOffset+1,c++}a>s&&p.push(new r.ViewLineToken(s,l))}return new v(p)}t.createLineParts=a,t.getColumnOfLinePartOffset=l;var f="	".charCodeAt(0),g=" ".charCodeAt(0),v=function(){function e(e){this._parts=e}return e.prototype.getParts=function(){return this._parts},e.prototype.equals=function(e){return r.ViewLineToken.equalsArray(this._parts,e._parts)},e.prototype.findIndexOfOffset=function(e){return o.Arrays.findIndexInSegmentsArray(this._parts,e)},e}();t.LineParts=v;var y=function(){function e(e,t,n){this.startOffset=e,this.endOffset=t,this.className=n}return e}();t.DecorationSegment=y;var _=function(){function e(){this.stopOffsets=[],this.classNames=[],this.count=0}return e.prototype.consumeLowerThan=function(e,t,n){for(;this.count>0&&this.stopOffsets[0]<e;){for(var o=0;o+1<this.count&&this.stopOffsets[o]===this.stopOffsets[o+1];)o++;n.push(new y(t,this.stopOffsets[o],this.classNames.join(" "))),t=this.stopOffsets[o]+1,this.stopOffsets.splice(0,o+1),this.classNames.splice(0,o+1),this.count-=o+1}return this.count>0&&e>t&&(n.push(new y(t,e-1,this.classNames.join(" "))),t=e),t},e.prototype.insert=function(e,t){if(0===this.count||this.stopOffsets[this.count-1]<=e)this.stopOffsets.push(e),this.classNames.push(t);else for(var n=0;n<this.count;n++)if(this.stopOffsets[n]>=e){this.stopOffsets.splice(n,0,e),this.classNames.splice(n,0,t);break}this.count++},e}(),b=function(){function e(){}return e.normalize=function(t,n,o){var i=[];if(0===o.length)return i;var r,s,a,l,u,c=new _,d=0;for(l=0,u=o.length;u>l;l++)r=o[l],r.range.endLineNumber<t||r.range.startLineNumber>t||r.range.startLineNumber===r.range.endLineNumber&&r.range.startColumn===r.range.endColumn||(s=r.range.startLineNumber===t?r.range.startColumn-1:n-1,a=r.range.endLineNumber===t?r.range.endColumn-2:e.MAX_LINE_LENGTH-1,0>a||(d=c.consumeLowerThan(s,d,i),0===c.count&&(d=s),c.insert(a,r.options.inlineClassName)));return c.consumeLowerThan(e.MAX_LINE_LENGTH,d,i),i},e.MAX_LINE_LENGTH=1e7,e}();t.LineDecorationsNormalizer=b}),define("vs/editor/common/viewLayout/viewLineRenderer",["require","exports"],function(e,t){"use strict";function n(e){var t=e.lineContent,n=t.length,o=e.tabSize,i=e.spaceWidth,s=e.parts,l=e.renderWhitespace,u=-1===e.stopRenderingLineAfter?n:e.stopRenderingLineAfter-1;if(0===n)return new a([],0,"<span><span>&nbsp;</span></span>");if(0===s.length)throw new Error("Cannot render non empty line without line parts!");return r(t,n,o,i,s.slice(0),l,u)}function o(e){return e.indexOf("whitespace")>=0}function i(e){return e.indexOf("indent-guide")>=0}function r(e,t,n,r,s,g,v){t=+t,n=+n,v=+v;var y=0,_="",b=[],C=0,w=0;_+="<span>";for(var E=0,S=s.length;S>E;E++){var x=s[E],T=g&&o(x.type),L=T||i(x.type),M=t;if(S>E+1){var N=s[E+1];M=Math.min(t,N.startIndex)}if(C=0,L){for(var I=0,D="";M>y;y++){b[y]=C;var R=e.charCodeAt(y);if(R===u){var O=n-(y+w)%n;for(w+=O-1,C+=O-1,O>0&&(D+=T?"&rarr;":"&nbsp;",I++,O--);O>0;)D+="&nbsp;",I++,O--}else D+=T?"&middot;":"&nbsp;",I++;if(C++,y>=v)return _+='<span class="token '+x.type+'" style="width:'+r*I+'px">',_+=D,_+="&hellip;</span></span>",b[y]=C,new a(b,E,_)}_+='<span class="token '+x.type+'" style="width:'+r*I+'px">',_+=D,_+="</span>"}else{for(_+='<span class="token ',_+=x.type,_+='">';M>y;y++){b[y]=C;var R=e.charCodeAt(y);switch(R){case u:var O=n-(y+w)%n;for(w+=O-1,C+=O-1;O>0;)_+="&nbsp;",O--;break;case l:_+="&nbsp;";break;case c:_+="&lt;";break;case d:_+="&gt;";break;case h:_+="&amp;";break;case 0:_+="&#00;";break;case f:case m:_+="�";break;case p:_+="&#8203";break;default:_+=e.charAt(y)}if(C++,y>=v)return _+="&hellip;</span></span>",b[y]=C,new a(b,E,_)}_+="</span>"}}return _+="</span>",b.push(C),new a(b,s.length-1,_)}var s=function(){function e(e,t,n,o,i,r){this.lineContent=e,this.tabSize=t,this.spaceWidth=n,this.stopRenderingLineAfter=o,this.renderWhitespace=i,this.parts=r}return e}();t.RenderLineInput=s;var a=function(){function e(e,t,n){this.charOffsetInPart=e,this.lastRenderedPartIndex=t,this.output=n}return e}();t.RenderLineOutput=a;var l=" ".charCodeAt(0),u="	".charCodeAt(0),c="<".charCodeAt(0),d=">".charCodeAt(0),h="&".charCodeAt(0),p="\r".charCodeAt(0),m="\u2028".charCodeAt(0),f=65279;t.renderLine=n}),define("vs/editor/common/viewLayout/viewLinesViewportData",["require","exports"],function(e,t){"use strict";var n=function(){function e(e,t,n){this.viewportTop=0|e.viewportTop,this.viewportHeight=0|e.viewportHeight,this.bigNumbersDelta=0|e.bigNumbersDelta,this.visibleRangesDeltaTop=0|e.visibleRangesDeltaTop,this.startLineNumber=0|e.startLineNumber,this.endLineNumber=0|e.endLineNumber,this.relativeVerticalOffset=e.relativeVerticalOffset,this.visibleRange=t,this._decorations=n.decorations,this._inlineDecorations=n.inlineDecorations}return e.prototype.getDecorationsInViewport=function(){return this._decorations},e.prototype.getInlineDecorationsForLineInViewport=function(e){return e=0|e,this._inlineDecorations[e-this.startLineNumber]},e}();t.ViewLinesViewportData=n}),define("vs/editor/common/viewLayout/whitespaceComputer",["require","exports"],function(e,t){"use strict";var n=function(){function e(){this.heights=[],this.ids=[],this.afterLineNumbers=[],this.ordinals=[],this.prefixSum=[],this.prefixSumValidIndex=-1,this.whitespaceId2Index={},this.lastWhitespaceId=0}return e.findInsertionIndex=function(e,t,n,o){for(var i,r=0,s=e.length;s>r;)i=Math.floor((r+s)/2),t===e[i]?o<n[i]?s=i:r=i+1:t<e[i]?s=i:r=i+1;return r},e.prototype.insertWhitespace=function(t,n,o){t=0|t,n=0|n,o=0|o;var i=++this.lastWhitespaceId,r=e.findInsertionIndex(this.afterLineNumbers,t,this.ordinals,n);return this.insertWhitespaceAtIndex(i,r,t,n,o),i},e.prototype.insertWhitespaceAtIndex=function(e,t,n,o,i){e=0|e,t=0|t,n=0|n,o=0|o,i=0|i,this.heights.splice(t,0,i),this.ids.splice(t,0,e),this.afterLineNumbers.splice(t,0,n),this.ordinals.splice(t,0,o),this.prefixSum.splice(t,0,0);for(var r=Object.keys(this.whitespaceId2Index),s=0,a=r.length;a>s;s++){var l=r[s],u=this.whitespaceId2Index[l];u>=t&&(this.whitespaceId2Index[l]=u+1)}this.whitespaceId2Index[e.toString()]=t,this.prefixSumValidIndex=Math.min(this.prefixSumValidIndex,t-1)},e.prototype.changeWhitespace=function(e,t,n){e=0|e,t=0|t,n=0|n;var o=!1;return o=this.changeWhitespaceHeight(e,n)||o,o=this.changeWhitespaceAfterLineNumber(e,t)||o},e.prototype.changeWhitespaceHeight=function(e,t){e=0|e,t=0|t;var n=e.toString();if(this.whitespaceId2Index.hasOwnProperty(n)){var o=this.whitespaceId2Index[n];if(this.heights[o]!==t)return this.heights[o]=t,this.prefixSumValidIndex=Math.min(this.prefixSumValidIndex,o-1),!0}return!1},e.prototype.changeWhitespaceAfterLineNumber=function(t,n){t=0|t,n=0|n;var o=t.toString();if(this.whitespaceId2Index.hasOwnProperty(o)){var i=this.whitespaceId2Index[o];if(this.afterLineNumbers[i]!==n){var r=this.ordinals[i],s=this.heights[i];this.removeWhitespace(t);var a=e.findInsertionIndex(this.afterLineNumbers,n,this.ordinals,r);return this.insertWhitespaceAtIndex(t,a,n,r,s),!0}}return!1},e.prototype.removeWhitespace=function(e){e=0|e;var t=e.toString();if(this.whitespaceId2Index.hasOwnProperty(t)){var n=this.whitespaceId2Index[t];return delete this.whitespaceId2Index[t],this.removeWhitespaceAtIndex(n),!0}return!1},e.prototype.removeWhitespaceAtIndex=function(e){e=0|e,this.heights.splice(e,1),this.ids.splice(e,1),this.afterLineNumbers.splice(e,1),this.ordinals.splice(e,1),this.prefixSum.splice(e,1),this.prefixSumValidIndex=Math.min(this.prefixSumValidIndex,e-1);for(var t=Object.keys(this.whitespaceId2Index),n=0,o=t.length;o>n;n++){var i=t[n],r=this.whitespaceId2Index[i];r>=e&&(this.whitespaceId2Index[i]=r-1)}},e.prototype.onModelLinesDeleted=function(e,t){e=0|e,t=0|t;var n,o,i;for(o=0,i=this.afterLineNumbers.length;i>o;o++)n=this.afterLineNumbers[o],n>=e&&t>=n?this.afterLineNumbers[o]=e-1:n>t&&(this.afterLineNumbers[o]-=t-e+1)},e.prototype.onModelLinesInserted=function(e,t){e=0|e,t=0|t;var n,o,i;for(o=0,i=this.afterLineNumbers.length;i>o;o++)n=this.afterLineNumbers[o],n>=e&&(this.afterLineNumbers[o]+=t-e+1)},e.prototype.getTotalHeight=function(){return 0===this.heights.length?0:this.getAccumulatedHeight(this.heights.length-1)},e.prototype.getAccumulatedHeight=function(e){e=0|e;var t=Math.max(0,this.prefixSumValidIndex+1);0===t&&(this.prefixSum[0]=this.heights[0],t++);for(var n=t;e>=n;n++)this.prefixSum[n]=this.prefixSum[n-1]+this.heights[n];return this.prefixSumValidIndex=Math.max(this.prefixSumValidIndex,e),this.prefixSum[e]},e.prototype.getAccumulatedHeightBeforeLineNumber=function(e){e=0|e;var t=this.findLastWhitespaceBeforeLineNumber(e);return-1===t?0:this.getAccumulatedHeight(t)},e.prototype.findLastWhitespaceBeforeLineNumber=function(e){e=0|e;for(var t=this.afterLineNumbers,n=0,o=t.length-1;o>=n;){var i=o-n|0,r=i/2|0,s=n+r|0;if(t[s]<e){if(s+1>=t.length||t[s+1]>=e)return s;n=s+1|0}else o=s-1|0}return-1},e.prototype.findFirstWhitespaceAfterLineNumber=function(e){e=0|e;var t=this.findLastWhitespaceBeforeLineNumber(e),n=t+1;return n<this.heights.length?n:-1},e.prototype.getFirstWhitespaceIndexAfterLineNumber=function(e){return e=0|e,this.findFirstWhitespaceAfterLineNumber(e)},e.prototype.getCount=function(){return this.heights.length},e.prototype.getAfterLineNumberForWhitespaceIndex=function(e){return e=0|e,this.afterLineNumbers[e]},e.prototype.getIdForWhitespaceIndex=function(e){return e=0|e,this.ids[e]},e.prototype.getHeightForWhitespaceIndex=function(e){return e=0|e,this.heights[e]},e.prototype.getWhitespaces=function(e){e=0|e;for(var t=[],n=0;n<this.heights.length;n++)t.push({id:this.ids[n],afterLineNumber:this.afterLineNumbers[n],heightInLines:this.heights[n]/e});return t},e}();t.WhitespaceComputer=n}),define("vs/editor/common/viewLayout/verticalObjects",["require","exports","vs/editor/common/viewLayout/whitespaceComputer"],function(e,t,n){"use strict";var o=function(){function e(){this.linesCount=0,this.whitespaces=new n.WhitespaceComputer}return e.prototype.replaceLines=function(e){this.linesCount=e},e.prototype.insertWhitespace=function(e,t,n){return this.whitespaces.insertWhitespace(e,t,n)},e.prototype.changeWhitespace=function(e,t,n){return this.whitespaces.changeWhitespace(e,t,n)},e.prototype.removeWhitespace=function(e){return this.whitespaces.removeWhitespace(e)},e.prototype.onModelLinesDeleted=function(e,t){this.linesCount-=t-e+1,this.whitespaces.onModelLinesDeleted(e,t)},e.prototype.onModelLinesInserted=function(e,t){this.linesCount+=t-e+1,this.whitespaces.onModelLinesInserted(e,t)},e.prototype.getTotalHeight=function(e){e=0|e;var t=e*this.linesCount,n=this.whitespaces.getTotalHeight();return t+n},e.prototype.getVerticalOffsetForLineNumber=function(e,t){e=0|e,t=0|t;var n;n=e>1?t*(e-1):0;var o=this.whitespaces.getAccumulatedHeightBeforeLineNumber(e);return n+o},e.prototype.getWhitespaceAccumulatedHeightBeforeLineNumber=function(e){return this.whitespaces.getAccumulatedHeightBeforeLineNumber(e)},e.prototype.hasWhitespace=function(){return this.whitespaces.getCount()>0},e.prototype.isAfterLines=function(e,t){var n=this.getTotalHeight(t);return e>n},e.prototype.getLineNumberAtOrAfterVerticalOffset=function(e,t){if(e=0|e,t=0|t,0>e)return 1;for(var n=1,o=0|this.linesCount,i=o;i>n;){var r=(n+i)/2|0,s=0|this.getVerticalOffsetForLineNumber(r,t);if(e>=s+t)n=r+1;else{if(e>=s)return r;i=r}}return n>o?o:n},e.prototype.getCenteredLineInViewport=function(e,t,n){e=0|e,t=0|t,n=0|n;for(var o,i,r=this.getLinesViewportData(e,t,n),s=(t-e)/2,a=r.startLineNumber;a<=r.endLineNumber;a++)if(o=r.visibleRangesDeltaTop+r.relativeVerticalOffset[a-r.startLineNumber],i=o+n,s>=o&&i>s||o>s)return a;return r.endLineNumber},e.prototype.getLinesViewportData=function(e,t,n){e=0|e,t=0|t,n=0|n;var o,i,r=0|this.getLineNumberAtOrAfterVerticalOffset(e,n),s=0|this.linesCount,a=0|this.getVerticalOffsetForLineNumber(r,n),l=0|this.whitespaces.getFirstWhitespaceIndexAfterLineNumber(r),u=0|this.whitespaces.getCount();-1===l?(l=u,i=s+1,o=0):(i=0|this.whitespaces.getAfterLineNumberForWhitespaceIndex(l),o=0|this.whitespaces.getHeightForWhitespaceIndex(l));var c=a,d=c,h=5e5,p=0;a>=h&&(p=Math.floor(a/h)*h,p=Math.floor(p/n)*n,d-=p);for(var m=[],f=r;s>=f;f++){for(c+=n,m.push(d),d+=n;i===f;)d+=o,c+=o,l++,l>=u?i=s+1:(i=0|this.whitespaces.getAfterLineNumberForWhitespaceIndex(l),o=0|this.whitespaces.getHeightForWhitespaceIndex(l));if(c>t){s=f;break}}return{viewportTop:e-p,viewportHeight:t-e,bigNumbersDelta:p,startLineNumber:r,endLineNumber:s,visibleRangesDeltaTop:-(e-p),relativeVerticalOffset:m}},e.prototype.getVerticalOffsetForWhitespaceIndex=function(e,t){e=0|e,t=0|t;var n,o=this.whitespaces.getAfterLineNumberForWhitespaceIndex(e);n=o>=1?t*o:0;var i;return i=e>0?this.whitespaces.getAccumulatedHeight(e-1):0,n+i},e.prototype.getWhitespaceIndexAtOrAfterVerticallOffset=function(e,t){e=0|e,t=0|t;var n,o,i,r=0,s=this.whitespaces.getCount()-1;if(0>s)return-1;var a=this.getVerticalOffsetForWhitespaceIndex(s,t),l=this.whitespaces.getHeightForWhitespaceIndex(s);if(e>=a+l)return-1;for(;s>r;)if(n=Math.floor((r+s)/2),o=this.getVerticalOffsetForWhitespaceIndex(n,t),i=this.whitespaces.getHeightForWhitespaceIndex(n),e>=o+i)r=n+1;else{if(e>=o)return n;s=n}return r},e.prototype.getWhitespaceAtVerticalOffset=function(e,t){e=0|e,t=0|t;var n=this.getWhitespaceIndexAtOrAfterVerticallOffset(e,t);if(0>n)return null;if(n>=this.whitespaces.getCount())return null;var o=this.getVerticalOffsetForWhitespaceIndex(n,t);if(o>e)return null;var i=this.whitespaces.getHeightForWhitespaceIndex(n),r=this.whitespaces.getIdForWhitespaceIndex(n),s=this.whitespaces.getAfterLineNumberForWhitespaceIndex(n);return{id:r,afterLineNumber:s,verticalOffset:o,height:i}},e.prototype.getWhitespaceViewportData=function(e,t,n){e=0|e,t=0|t,n=0|n;var o=this.getWhitespaceIndexAtOrAfterVerticallOffset(e,n),i=this.whitespaces.getCount()-1;if(0>o)return[];var r,s,a,l=[];for(r=o;i>=r&&(s=this.getVerticalOffsetForWhitespaceIndex(r,n),a=this.whitespaces.getHeightForWhitespaceIndex(r),!(s>=t));r++)l.push({id:this.whitespaces.getIdForWhitespaceIndex(r),
afterLineNumber:this.whitespaces.getAfterLineNumberForWhitespaceIndex(r),verticalOffset:s,height:a});return l},e.prototype.getWhitespaces=function(e){return this.whitespaces.getWhitespaces(e)},e}();t.VerticalObjects=o}),define("vs/editor/common/viewLayout/linesLayout",["require","exports","vs/editor/common/viewLayout/verticalObjects","vs/editor/common/core/range","vs/editor/common/viewLayout/viewLinesViewportData"],function(e,t,n,o,i){"use strict";var r=function(){function e(e,t){this.configuration=e,this._lineHeight=this.configuration.editor.lineHeight,this._scrollBeyondLastLine=this.configuration.editor.viewInfo.scrollBeyondLastLine,this.model=t,this.verticalObjects=new n.VerticalObjects,this.verticalObjects.replaceLines(t.getLineCount())}return e.prototype.onConfigurationChanged=function(e){e.lineHeight&&(this._lineHeight=this.configuration.editor.lineHeight),e.viewInfo.scrollBeyondLastLine&&(this._scrollBeyondLastLine=this.configuration.editor.viewInfo.scrollBeyondLastLine)},e.prototype.insertWhitespace=function(e,t,n){return this.verticalObjects.insertWhitespace(e,t,n)},e.prototype.changeWhitespace=function(e,t,n){return this.verticalObjects.changeWhitespace(e,t,n)},e.prototype.removeWhitespace=function(e){return this.verticalObjects.removeWhitespace(e)},e.prototype.onModelFlushed=function(){this.verticalObjects.replaceLines(this.model.getLineCount())},e.prototype.onModelLinesDeleted=function(e){this.verticalObjects.onModelLinesDeleted(e.fromLineNumber,e.toLineNumber)},e.prototype.onModelLinesInserted=function(e){this.verticalObjects.onModelLinesInserted(e.fromLineNumber,e.toLineNumber)},e.prototype.getVerticalOffsetForLineNumber=function(e){return this.verticalObjects.getVerticalOffsetForLineNumber(e,this._lineHeight)},e.prototype.getLinesTotalHeight=function(){return this.verticalObjects.getTotalHeight(this._lineHeight)},e.prototype.getTotalHeight=function(e,t){var n=this.getLinesTotalHeight();return n+=this._scrollBeyondLastLine?e.height-this._lineHeight:t,Math.max(e.height,n)},e.prototype.isAfterLines=function(e){return this.verticalObjects.isAfterLines(e,this._lineHeight)},e.prototype.getLineNumberAtOrAfterVerticalOffset=function(e){return this.verticalObjects.getLineNumberAtOrAfterVerticalOffset(e,this._lineHeight)},e.prototype.getHeightForLineNumber=function(e){return this._lineHeight},e.prototype.getWhitespaceViewportData=function(e){return this.verticalObjects.getWhitespaceViewportData(e.top,e.top+e.height,this._lineHeight)},e.prototype.getWhitespaces=function(){return this.verticalObjects.getWhitespaces(this._lineHeight)},e.prototype.getWhitespaceAtVerticalOffset=function(e){return this.verticalObjects.getWhitespaceAtVerticalOffset(e,this._lineHeight)},e.prototype.getLinesViewportData=function(e){var t=this.verticalObjects.getLinesViewportData(e.top,e.top+e.height,this._lineHeight),n=this.model.getDecorationsViewportData(t.startLineNumber,t.endLineNumber),r=new o.Range(t.startLineNumber,1,t.endLineNumber,this.model.getLineMaxColumn(t.endLineNumber));return new i.ViewLinesViewportData(t,r,n)},e.prototype.getCenteredLineInViewport=function(e){return this.verticalObjects.getCenteredLineInViewport(e.top,e.top+e.height,this._lineHeight)},e.prototype.getWhitespaceAccumulatedHeightBeforeLineNumber=function(e){return this.verticalObjects.getWhitespaceAccumulatedHeightBeforeLineNumber(e)},e.prototype.hasWhitespace=function(){return this.verticalObjects.hasWhitespace()},e}();t.LinesLayout=r}),define("vs/editor/common/viewModel/filteredLineTokens",["require","exports","vs/editor/common/core/viewLineToken"],function(e,t,n){"use strict";var o=function(){function e(){}return e.create=function(e,t,o,i){var r=e.sliceAndInflate(t,o,i);return new n.ViewLineTokens(r,i,o-t+i)},e}();t.FilteredLineTokens=o;var i=function(){function e(){}return e.create=function(e,t){var o=e.inflate();return new n.ViewLineTokens(o,0,t)},e}();t.IdentityFilteredLineTokens=i}),define("vs/editor/common/viewModel/prefixSumComputer",["require","exports"],function(e,t){"use strict";var n=function(){function e(e,t){this.index=e,this.remainder=t}return e}();t.PrefixSumIndexOfResult=n;var o=function(){function e(e){this.values=e,this.prefixSum=[];for(var t=0,n=this.values.length;n>t;t++)this.prefixSum[t]=0;this.prefixSumValidIndex=-1}return e.prototype.getCount=function(){return this.values.length},e.prototype.insertValue=function(e,t){e=Math.floor(e),t=Math.floor(t),this.values.splice(e,0,t),this.prefixSum.splice(e,0,0),e-1<this.prefixSumValidIndex&&(this.prefixSumValidIndex=e-1)},e.prototype.insertValues=function(t,n){t=Math.floor(t),0!==n.length&&(this.values=this.values.slice(0,t).concat(n).concat(this.values.slice(t)),this.prefixSum=this.prefixSum.slice(0,t).concat(e._zeroArray(n.length)).concat(this.prefixSum.slice(t)),t-1<this.prefixSumValidIndex&&(this.prefixSumValidIndex=t-1))},e._zeroArray=function(e){e=Math.floor(e);for(var t=[],n=0;e>n;n++)t[n]=0;return t},e.prototype.changeValue=function(e,t){e=Math.floor(e),t=Math.floor(t),this.values[e]!==t&&(this.values[e]=t,e-1<this.prefixSumValidIndex&&(this.prefixSumValidIndex=e-1))},e.prototype.removeValues=function(e,t){e=Math.floor(e),t=Math.floor(t),this.values.splice(e,t),this.prefixSum.splice(e,t),e-1<this.prefixSumValidIndex&&(this.prefixSumValidIndex=e-1)},e.prototype.getTotalValue=function(){return 0===this.values.length?0:this.getAccumulatedValue(this.values.length-1)},e.prototype.getAccumulatedValue=function(e){if(e=Math.floor(e),0>e)return 0;if(e<=this.prefixSumValidIndex)return this.prefixSum[e];var t=this.prefixSumValidIndex+1;0===t&&(this.prefixSum[0]=this.values[0],t++),e>=this.values.length&&(e=this.values.length-1);for(var n=t;e>=n;n++)this.prefixSum[n]=this.prefixSum[n-1]+this.values[n];return this.prefixSumValidIndex=Math.max(this.prefixSumValidIndex,e),this.prefixSum[e]},e.prototype.getIndexOf=function(e){e=Math.floor(e);for(var t,o,i,r=0,s=this.values.length-1;s>=r;)if(t=r+(s-r)/2|0,o=this.getAccumulatedValue(t),i=o-this.values[t],i>e)s=t-1;else{if(!(e>=o))break;r=t+1}return new n(t,e-i)},e}();t.PrefixSumComputer=o}),define("vs/editor/common/viewModel/splitLinesCollection",["require","exports","vs/editor/common/core/position","vs/editor/common/core/range","vs/editor/common/editorCommon","vs/editor/common/viewModel/filteredLineTokens","vs/editor/common/viewModel/prefixSumComputer"],function(e,t,n,o,i,r,s){"use strict";function a(e,t,n,o,i,r,s){var a=e.createLineMapping(t,n,o,i,r);return null===a?new u(s):new c(a,s)}var l=function(){function e(e,t){this.outputLineIndex=e,this.outputOffset=t}return e}();t.OutputPosition=l;var u=function(){function e(e){this._isVisible=e}return e.prototype.isVisible=function(){return this._isVisible},e.prototype.setVisible=function(e){this._isVisible=e},e.prototype.getOutputLineCount=function(){return this._isVisible?1:0},e.prototype.getOutputLineContent=function(e,t,n){if(!this._isVisible)throw new Error("Not supported");return e.getLineContent(t)},e.prototype.getOutputLineMinColumn=function(e,t,n){if(!this._isVisible)throw new Error("Not supported");return e.getLineMinColumn(t)},e.prototype.getOutputLineMaxColumn=function(e,t,n){if(!this._isVisible)throw new Error("Not supported");return e.getLineMaxColumn(t)},e.prototype.getOutputLineTokens=function(e,t,n){if(!this._isVisible)throw new Error("Not supported");return r.IdentityFilteredLineTokens.create(e.getLineTokens(t,!0),e.getLineMaxColumn(t)-1)},e.prototype.getInputColumnOfOutputPosition=function(e,t){if(!this._isVisible)throw new Error("Not supported");return t},e.prototype.getOutputPositionOfInputPosition=function(e,t){if(!this._isVisible)throw new Error("Not supported");return new n.Position(e,t)},e}(),c=function(){function e(e,t){this.positionMapper=e,this.wrappedIndent=this.positionMapper.getWrappedLinesIndent(),this.wrappedIndentLength=this.wrappedIndent.length,this.outputLineCount=this.positionMapper.getOutputLineCount(),this._isVisible=t}return e.prototype.isVisible=function(){return this._isVisible},e.prototype.setVisible=function(e){this._isVisible=e},e.prototype.getOutputLineCount=function(){return this._isVisible?this.outputLineCount:0},e.prototype.getInputStartOffsetOfOutputLineIndex=function(e){return this.positionMapper.getInputOffsetOfOutputPosition(e,0)},e.prototype.getInputEndOffsetOfOutputLineIndex=function(e,t,n){return n+1===this.outputLineCount?e.getLineMaxColumn(t)-1:this.positionMapper.getInputOffsetOfOutputPosition(n+1,0)},e.prototype.getOutputLineContent=function(e,t,n){if(!this._isVisible)throw new Error("Not supported");var o=this.getInputStartOffsetOfOutputLineIndex(n),i=this.getInputEndOffsetOfOutputLineIndex(e,t,n),r=e.getLineContent(t).substring(o,i);return n>0&&(r=this.wrappedIndent+r),r},e.prototype.getOutputLineMinColumn=function(e,t,n){if(!this._isVisible)throw new Error("Not supported");return n>0?this.wrappedIndentLength+1:1},e.prototype.getOutputLineMaxColumn=function(e,t,n){if(!this._isVisible)throw new Error("Not supported");return this.getOutputLineContent(e,t,n).length+1},e.prototype.getOutputLineTokens=function(e,t,n){if(!this._isVisible)throw new Error("Not supported");var o=this.getInputStartOffsetOfOutputLineIndex(n),i=this.getInputEndOffsetOfOutputLineIndex(e,t,n),s=0;return n>0&&(s=this.wrappedIndentLength),r.FilteredLineTokens.create(e.getLineTokens(t,!0),o,i,s)},e.prototype.getInputColumnOfOutputPosition=function(e,t){if(!this._isVisible)throw new Error("Not supported");var n=t-1;return e>0&&(n<this.wrappedIndentLength?n=0:n-=this.wrappedIndentLength),this.positionMapper.getInputOffsetOfOutputPosition(e,n)+1},e.prototype.getOutputPositionOfInputPosition=function(e,t){if(!this._isVisible)throw new Error("Not supported");var o=this.positionMapper.getOutputPositionOfInputOffset(t-1),i=o.outputLineIndex,r=o.outputOffset+1;return i>0&&(r+=this.wrappedIndentLength),new n.Position(e+i,r)},e}();t.SplitLine=c;var d=function(){function e(e,t,n,o,i,r){this.model=e,this._validModelVersionId=-1,this.tabSize=n,this.wrappingColumn=o,this.columnsForFullWidthChar=i,this.wrappingIndent=r,this.linePositionMapperFactory=t,this._constructLines(!0)}return e.prototype.dispose=function(){this.hiddenAreasIds=this.model.deltaDecorations(this.hiddenAreasIds,[])},e.prototype._ensureValidState=function(){var e=this.model.getVersionId();if(e!==this._validModelVersionId)throw new Error("SplitLinesCollection: attempt to access a 'newer' model")},e.prototype._constructLines=function(e){var t=this;this.lines=[],e&&(this.hiddenAreasIds=[]);for(var n=[],i=this.model.getLinesContent(),r=i.length,l=this.hiddenAreasIds.map(function(e){return t.model.getDecorationRange(e)}).sort(o.Range.compareRangesUsingStarts),u=1,c=0,d=-1,h=d+1<l.length?c+1:r+2,p=0;r>p;p++){var m=p+1;m===h&&(d++,u=l[d].startLineNumber,c=l[d].endLineNumber,h=d+1<l.length?c+1:r+2);var f=m>=u&&c>=m,g=a(this.linePositionMapperFactory,i[p],this.tabSize,this.wrappingColumn,this.columnsForFullWidthChar,this.wrappingIndent,!f);n[p]=g.getOutputLineCount(),this.lines[p]=g}this._validModelVersionId=this.model.getVersionId(),this.prefixSumComputer=new s.PrefixSumComputer(n)},e.prototype.getHiddenAreas=function(){var e=this;return this.hiddenAreasIds.map(function(t){return e.model.getDecorationRange(t)}).sort(o.Range.compareRangesUsingStarts)},e.prototype._reduceRanges=function(e){var t=this;if(0===e.length)return[];for(var n=e.map(function(e){return t.model.validateRange(e)}).sort(o.Range.compareRangesUsingStarts),i=[],r=n[0].startLineNumber,s=n[0].endLineNumber,a=1,l=n.length;l>a;a++){var u=n[a];u.startLineNumber>s+1?(i.push(new o.Range(r,1,s,1)),r=u.startLineNumber,s=u.endLineNumber):u.endLineNumber>s&&(s=u.endLineNumber)}return i.push(new o.Range(r,1,s,1)),i},e.prototype.setHiddenAreas=function(e,t){var n=this,r=this._reduceRanges(e),s=this.hiddenAreasIds.map(function(e){return n.model.getDecorationRange(e)}).sort(o.Range.compareRangesUsingStarts);if(r.length===s.length){for(var a=!1,l=0;l<r.length;l++)if(!r[l].equalsRange(s[l])){a=!0;break}if(!a)return!1}for(var u=[],l=0;l<r.length;l++)u.push({range:r[l],options:{}});this.hiddenAreasIds=this.model.deltaDecorations(this.hiddenAreasIds,u);for(var c=r,d=1,h=0,p=-1,m=p+1<c.length?h+1:this.lines.length+2,l=0;l<this.lines.length;l++){var f=l+1;f===m&&(p++,d=c[p].startLineNumber,h=c[p].endLineNumber,m=p+1<c.length?h+1:this.lines.length+2);var g=!1;if(f>=d&&h>=f?this.lines[l].isVisible()&&(this.lines[l].setVisible(!1),g=!0):this.lines[l].isVisible()||(this.lines[l].setVisible(!0),g=!0),g){var v=this.lines[l].getOutputLineCount();this.prefixSumComputer.changeValue(l,v)}}return t(i.ViewEventNames.ModelFlushedEvent,null),!0},e.prototype.inputPositionIsVisible=function(e,t){return 1>e||e>this.lines.length?!1:this.lines[e-1].isVisible()},e.prototype.setTabSize=function(e,t){return this.tabSize===e?!1:(this.tabSize=e,this._constructLines(!1),t(i.ViewEventNames.ModelFlushedEvent,null),!0)},e.prototype.setWrappingIndent=function(e,t){return this.wrappingIndent===e?!1:(this.wrappingIndent=e,this._constructLines(!1),t(i.ViewEventNames.ModelFlushedEvent,null),!0)},e.prototype.setWrappingColumn=function(e,t,n){return this.wrappingColumn===e&&this.columnsForFullWidthChar===t?!1:(this.wrappingColumn=e,this.columnsForFullWidthChar=t,this._constructLines(!1),n(i.ViewEventNames.ModelFlushedEvent,null),!0)},e.prototype.onModelFlushed=function(e,t){this._constructLines(!0),t(i.ViewEventNames.ModelFlushedEvent,null)},e.prototype.onModelLinesDeleted=function(e,t,n,o){if(!(e<=this._validModelVersionId)){this._validModelVersionId=e;var r=1===t?1:this.prefixSumComputer.getAccumulatedValue(t-2)+1,s=this.prefixSumComputer.getAccumulatedValue(n-1);this.lines.splice(t-1,n-t+1),this.prefixSumComputer.removeValues(t-1,n-t+1);var a={fromLineNumber:r,toLineNumber:s};o(i.ViewEventNames.LinesDeletedEvent,a)}},e.prototype.onModelLinesInserted=function(e,t,o,r,s){if(!(e<=this._validModelVersionId)){this._validModelVersionId=e;for(var l=this.getHiddenAreas(),u=!1,c=new n.Position(t,1),d=0;d<l.length;d++)if(l[d].containsPosition(c)){u=!0;break}for(var h=1===t?1:this.prefixSumComputer.getAccumulatedValue(t-2)+1,p=0,m=[],f=[],d=0,g=r.length;g>d;d++){var v=a(this.linePositionMapperFactory,r[d],this.tabSize,this.wrappingColumn,this.columnsForFullWidthChar,this.wrappingIndent,!u);m.push(v);var y=v.getOutputLineCount();p+=y,f.push(y)}this.lines=this.lines.slice(0,t-1).concat(m).concat(this.lines.slice(t-1)),this.prefixSumComputer.insertValues(t-1,f);var _={fromLineNumber:h,toLineNumber:h+p-1};s(i.ViewEventNames.LinesInsertedEvent,_)}},e.prototype.onModelLineChanged=function(e,t,n,o){if(!(e<=this._validModelVersionId)){this._validModelVersionId=e;var r=t-1,s=this.lines[r].getOutputLineCount(),l=this.lines[r].isVisible(),u=a(this.linePositionMapperFactory,n,this.tabSize,this.wrappingColumn,this.columnsForFullWidthChar,this.wrappingIndent,l);this.lines[r]=u;var c=this.lines[r].getOutputLineCount(),d=!1,h=0,p=-1,m=0,f=-1,g=0,v=-1;s>c?(h=1===t?1:this.prefixSumComputer.getAccumulatedValue(t-2)+1,p=h+c-1,g=p+1,v=g+(s-c)-1,d=!0):c>s?(h=1===t?1:this.prefixSumComputer.getAccumulatedValue(t-2)+1,p=h+s-1,m=p+1,f=m+(c-s)-1,d=!0):(h=1===t?1:this.prefixSumComputer.getAccumulatedValue(t-2)+1,p=h+c-1),this.prefixSumComputer.changeValue(r,c);var y,_,b;if(p>=h)for(var C=h;p>=C;C++)y={lineNumber:C},o(i.ViewEventNames.LineChangedEvent,y);return f>=m&&(_={fromLineNumber:m,toLineNumber:f},o(i.ViewEventNames.LinesInsertedEvent,_)),v>=g&&(b={fromLineNumber:g,toLineNumber:v},o(i.ViewEventNames.LinesDeletedEvent,b)),d}},e.prototype.getOutputLineCount=function(){return this._ensureValidState(),this.prefixSumComputer.getTotalValue()},e.prototype._toValidOutputLineNumber=function(e){if(1>e)return 1;var t=this.getOutputLineCount();return e>t?t:e},e.prototype.getOutputLineContent=function(e){this._ensureValidState(),e=this._toValidOutputLineNumber(e);var t=this.prefixSumComputer.getIndexOf(e-1),n=t.index,o=t.remainder;return this.lines[n].getOutputLineContent(this.model,n+1,o)},e.prototype.getOutputLineMinColumn=function(e){this._ensureValidState(),e=this._toValidOutputLineNumber(e);var t=this.prefixSumComputer.getIndexOf(e-1),n=t.index,o=t.remainder;return this.lines[n].getOutputLineMinColumn(this.model,n+1,o)},e.prototype.getOutputLineMaxColumn=function(e){this._ensureValidState(),e=this._toValidOutputLineNumber(e);var t=this.prefixSumComputer.getIndexOf(e-1),n=t.index,o=t.remainder;return this.lines[n].getOutputLineMaxColumn(this.model,n+1,o)},e.prototype.getOutputLineTokens=function(e){this._ensureValidState(),e=this._toValidOutputLineNumber(e);var t=this.prefixSumComputer.getIndexOf(e-1),n=t.index,o=t.remainder;return this.lines[n].getOutputLineTokens(this.model,n+1,o)},e.prototype.convertOutputPositionToInputPosition=function(e,t){this._ensureValidState(),e=this._toValidOutputLineNumber(e);var o=this.prefixSumComputer.getIndexOf(e-1),i=o.index,r=o.remainder,s=this.lines[i].getInputColumnOfOutputPosition(r,t);return this.model.validatePosition(new n.Position(i+1,s))},e.prototype.convertInputPositionToOutputPosition=function(e,t){this._ensureValidState();for(var o=this.model.validatePosition(new n.Position(e,t)),i=o.lineNumber,r=o.column,s=i-1,a=!1;s>0&&!this.lines[s].isVisible();)s--,a=!0;if(0===s&&!this.lines[s].isVisible())return new n.Position(1,1);var l,u=1+(0===s?0:this.prefixSumComputer.getAccumulatedValue(s-1));return l=a?this.lines[s].getOutputPositionOfInputPosition(u,this.model.getLineMaxColumn(s+1)):this.lines[i-1].getOutputPositionOfInputPosition(u,r)},e}();t.SplitLinesCollection=d}),define("vs/editor/common/viewModel/characterHardWrappingLineMapper",["require","exports","vs/base/common/strings","vs/editor/common/editorCommon","vs/editor/common/viewModel/prefixSumComputer","vs/editor/common/viewModel/splitLinesCollection"],function(e,t,n,o,i,r){"use strict";var s;!function(e){e[e.NONE=0]="NONE",e[e.BREAK_BEFORE=1]="BREAK_BEFORE",e[e.BREAK_AFTER=2]="BREAK_AFTER",e[e.BREAK_OBTRUSIVE=3]="BREAK_OBTRUSIVE",e[e.BREAK_IDEOGRAPHIC=4]="BREAK_IDEOGRAPHIC"}(s||(s={}));var a=function(){function e(e,t,n){this._asciiMap=[];for(var o=0;256>o;o++)this._asciiMap[o]=s.NONE;this._map=[];for(var o=0;o<e.length;o++)this._set(e.charCodeAt(o),s.BREAK_BEFORE);for(var o=0;o<t.length;o++)this._set(t.charCodeAt(o),s.BREAK_AFTER);for(var o=0;o<n.length;o++)this._set(n.charCodeAt(o),s.BREAK_OBTRUSIVE)}return e.prototype._set=function(e,t){256>e&&(this._asciiMap[e]=t),this._map[e]=t},e.prototype.classify=function(e){if(256>e)return this._asciiMap[e];var t=this._map[e];return t?t:e>=12352&&12543>=e||e>=13312&&19903>=e||e>=19968&&40959>=e?s.BREAK_IDEOGRAPHIC:s.NONE},e}(),l=function(){function e(e,t,n){this.classifier=new a(e,t,n)}return e.nextVisibleColumn=function(e,t,n,o){return e=+e,t=+t,o=+o,n?e+(t-e%t):e+o},e.prototype.createLineMapping=function(t,r,a,l,c){if(-1===a)return null;r=+r,a=+a,l=+l,c=+c;var d=0,h="",p="	".charCodeAt(0),m=-1;if(c!==o.WrappingIndent.None&&(m=n.firstNonWhitespaceIndex(t),-1!==m)){h=t.substring(0,m);for(var f=0;m>f;f++)d=e.nextVisibleColumn(d,r,t.charCodeAt(f)===p,1);c===o.WrappingIndent.Indent&&(h+="	",d=e.nextVisibleColumn(d,r,!0,1)),d>.5*a&&(h="",d=0)}for(var g,v,y=this.classifier,_=0,b=[],C=0,w=0,E=-1,S=0,x=-1,T=0,L=t.length,f=0;L>f;f++){var M=t.charCodeAt(f),N=M===p,I=y.classify(M);if(I===s.BREAK_BEFORE&&(E=f,S=0),I===s.BREAK_IDEOGRAPHIC&&f>0){var D=t.charCodeAt(f-1),R=y.classify(D);R!==s.BREAK_BEFORE&&(E=f,S=0)}var O=1;if(n.isFullWidthCharacter(M)&&(O=l),w=e.nextVisibleColumn(w,r,N,O),w>a&&0!==f&&(-1!==E?(g=E,v=S):-1!==x?(g=x,v=T):(g=f,v=d),b[C++]=g-_,_=g,w=e.nextVisibleColumn(v,r,N,O),E=-1,S=0,x=-1,T=0),-1!==E&&(S=e.nextVisibleColumn(S,r,N,O)),-1!==x&&(T=e.nextVisibleColumn(T,r,N,O)),I===s.BREAK_AFTER&&(c===o.WrappingIndent.None||f>=m)&&(E=f+1,S=d),I===s.BREAK_IDEOGRAPHIC&&L-1>f){var k=t.charCodeAt(f+1),P=y.classify(k);P!==s.BREAK_AFTER&&(E=f+1,S=d)}I===s.BREAK_OBTRUSIVE&&(x=f+1,T=d)}return 0===C?null:(b[C++]=L-_,new u(new i.PrefixSumComputer(b),h))},e}();t.CharacterHardWrappingLineMapperFactory=l;var u=function(){function e(e,t){this._prefixSums=e,this._wrappedLinesIndent=t}return e.prototype.getOutputLineCount=function(){return this._prefixSums.getCount()},e.prototype.getWrappedLinesIndent=function(){return this._wrappedLinesIndent},e.prototype.getInputOffsetOfOutputPosition=function(e,t){return 0===e?t:this._prefixSums.getAccumulatedValue(e-1)+t},e.prototype.getOutputPositionOfInputOffset=function(e){var t=this._prefixSums.getIndexOf(e);return new r.OutputPosition(t.index,t.remainder)},e}();t.CharacterHardWrappingLineMapping=u}),define("vs/editor/common/viewModel/viewEventHandler",["require","exports","vs/editor/common/editorCommon"],function(e,t,n){"use strict";var o=function(){function e(){this._shouldRender=!0}return e.prototype.shouldRender=function(){return this._shouldRender},e.prototype.setShouldRender=function(){this._shouldRender=!0},e.prototype.onDidRender=function(){this._shouldRender=!1},e.prototype.onLineMappingChanged=function(){return!1},e.prototype.onModelFlushed=function(){return!1},e.prototype.onModelDecorationsChanged=function(e){return!1},e.prototype.onModelLinesDeleted=function(e){return!1},e.prototype.onModelLineChanged=function(e){return!1},e.prototype.onModelLinesInserted=function(e){return!1},e.prototype.onModelTokensChanged=function(e){return!1},e.prototype.onCursorPositionChanged=function(e){return!1},e.prototype.onCursorSelectionChanged=function(e){return!1},e.prototype.onCursorRevealRange=function(e){return!1},e.prototype.onCursorScrollRequest=function(e){return!1},e.prototype.onConfigurationChanged=function(e){return!1},e.prototype.onLayoutChanged=function(e){return!1},e.prototype.onScrollChanged=function(e){return!1},e.prototype.onZonesChanged=function(){return!1},e.prototype.onViewFocusChanged=function(e){return!1},e.prototype.handleEvents=function(e){for(var t=!1,o=0,i=e.length;i>o;o++){var r=e[o],s=r.getData();switch(r.getType()){case n.ViewEventNames.LineMappingChangedEvent:this.onLineMappingChanged()&&(t=!0);break;case n.ViewEventNames.ModelFlushedEvent:this.onModelFlushed()&&(t=!0);break;case n.ViewEventNames.LinesDeletedEvent:this.onModelLinesDeleted(s)&&(t=!0);break;case n.ViewEventNames.LinesInsertedEvent:this.onModelLinesInserted(s)&&(t=!0);break;case n.ViewEventNames.LineChangedEvent:this.onModelLineChanged(s)&&(t=!0);break;case n.ViewEventNames.TokensChangedEvent:this.onModelTokensChanged(s)&&(t=!0);break;case n.ViewEventNames.DecorationsChangedEvent:this.onModelDecorationsChanged(s)&&(t=!0);break;case n.ViewEventNames.CursorPositionChangedEvent:this.onCursorPositionChanged(s)&&(t=!0);break;case n.ViewEventNames.CursorSelectionChangedEvent:this.onCursorSelectionChanged(s)&&(t=!0);break;case n.ViewEventNames.RevealRangeEvent:this.onCursorRevealRange(s)&&(t=!0);break;case n.ViewEventNames.ScrollRequestEvent:this.onCursorScrollRequest(s)&&(t=!0);break;case n.EventType.ConfigurationChanged:this.onConfigurationChanged(s)&&(t=!0);break;case n.EventType.ViewLayoutChanged:this.onLayoutChanged(s)&&(t=!0);break;case n.EventType.ViewScrollChanged:this.onScrollChanged(s)&&(t=!0);break;case n.EventType.ViewZonesChanged:this.onZonesChanged()&&(t=!0);break;case n.EventType.ViewFocusChanged:this.onViewFocusChanged(s)&&(t=!0);break;default:console.info("View received unknown event: "),console.info(r)}}t&&(this._shouldRender=!0)},e}();t.ViewEventHandler=o});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/view/dynamicViewOverlay",["require","exports","vs/editor/common/viewModel/viewEventHandler"],function(e,t,n){"use strict";var o=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),t}(n.ViewEventHandler);t.DynamicViewOverlay=o});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/view/viewPart",["require","exports","vs/editor/common/viewModel/viewEventHandler"],function(e,t,n){"use strict";var o=function(e){function t(t){e.call(this),this._context=t,this._context.addEventHandler(this)}return __extends(t,e),t.prototype.dispose=function(){this._context.removeEventHandler(this),this._context=null},t}(n.ViewEventHandler);t.ViewPart=o});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/viewParts/currentLineHighlight/currentLineHighlight",["require","exports","vs/editor/browser/view/dynamicViewOverlay","vs/css!./currentLineHighlight"],function(e,t,n){"use strict";var o=function(e){function t(t,n){e.call(this),this._context=t,this._lineHeight=this._context.configuration.editor.lineHeight,this._readOnly=this._context.configuration.editor.readOnly,this._layoutProvider=n,this._selectionIsEmpty=!0,this._primaryCursorIsInEditableRange=!0,this._primaryCursorLineNumber=1,this._scrollWidth=this._layoutProvider.getScrollWidth(),this._context.addEventHandler(this)}return __extends(t,e),t.prototype.dispose=function(){this._context.removeEventHandler(this),this._context=null},t.prototype.onModelFlushed=function(){return this._primaryCursorIsInEditableRange=!0,this._selectionIsEmpty=!0,this._primaryCursorLineNumber=1,this._scrollWidth=this._layoutProvider.getScrollWidth(),!0},t.prototype.onModelLinesDeleted=function(e){return!0},t.prototype.onModelLinesInserted=function(e){return!0},t.prototype.onCursorPositionChanged=function(e){var t=!1;return this._primaryCursorIsInEditableRange!==e.isInEditableRange&&(this._primaryCursorIsInEditableRange=e.isInEditableRange,t=!0),this._primaryCursorLineNumber!==e.position.lineNumber&&(this._primaryCursorLineNumber=e.position.lineNumber,t=!0),t},t.prototype.onCursorSelectionChanged=function(e){var t=e.selection.isEmpty();return this._selectionIsEmpty!==t?(this._selectionIsEmpty=t,!0):!1},t.prototype.onConfigurationChanged=function(e){return e.lineHeight&&(this._lineHeight=this._context.configuration.editor.lineHeight),e.readOnly&&(this._readOnly=this._context.configuration.editor.readOnly),!0},t.prototype.onLayoutChanged=function(e){return!0},t.prototype.onScrollChanged=function(e){return this._scrollWidth=e.scrollWidth,e.scrollWidthChanged},t.prototype.onZonesChanged=function(){return!0},t.prototype.prepareRender=function(e){if(!this.shouldRender())throw new Error("I did not ask to render!");this._scrollWidth=e.scrollWidth},t.prototype.render=function(e,t){return t===this._primaryCursorLineNumber&&this._shouldShowCurrentLine()?'<div class="current-line" style="width:'+String(this._scrollWidth)+"px; height:"+String(this._lineHeight)+'px;"></div>':""},t.prototype._shouldShowCurrentLine=function(){return this._selectionIsEmpty&&this._primaryCursorIsInEditableRange&&!this._readOnly},t}(n.DynamicViewOverlay);t.CurrentLineHighlightOverlay=o});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/viewParts/decorations/decorations",["require","exports","vs/editor/browser/view/dynamicViewOverlay","vs/css!./decorations"],function(e,t,n){"use strict";var o=function(e){function t(t){e.call(this),this._context=t,this._lineHeight=this._context.configuration.editor.lineHeight,this._renderResult=null,this._context.addEventHandler(this)}return __extends(t,e),t.prototype.dispose=function(){this._context.removeEventHandler(this),this._context=null,this._renderResult=null},t.prototype.onModelFlushed=function(){return!0},t.prototype.onModelDecorationsChanged=function(e){return!0},t.prototype.onModelLinesDeleted=function(e){return!0},t.prototype.onModelLineChanged=function(e){return!0},t.prototype.onModelLinesInserted=function(e){return!0},t.prototype.onCursorPositionChanged=function(e){return!1},t.prototype.onCursorSelectionChanged=function(e){return!1},t.prototype.onCursorRevealRange=function(e){return!1},t.prototype.onConfigurationChanged=function(e){return e.lineHeight&&(this._lineHeight=this._context.configuration.editor.lineHeight),!0},t.prototype.onLayoutChanged=function(e){return!0},t.prototype.onScrollChanged=function(e){return e.scrollTopChanged||e.scrollWidthChanged},t.prototype.onZonesChanged=function(){return!0},t.prototype.prepareRender=function(e){if(!this.shouldRender())throw new Error("I did not ask to render!");var t=e.getDecorationsInViewport();t=t.filter(function(e){return!!e.options.className}),t=t.sort(function(e,t){return e.options.className<t.options.className?-1:e.options.className>t.options.className?1:e.range.startLineNumber===t.range.startLineNumber?e.range.startColumn===t.range.startColumn?e.range.endLineNumber===t.range.endLineNumber?e.range.endColumn-t.range.endColumn:e.range.endLineNumber-t.range.endLineNumber:e.range.startColumn-t.range.startColumn:e.range.startLineNumber-t.range.startLineNumber});for(var n=e.visibleRange.startLineNumber,o=e.visibleRange.endLineNumber,i=[],r=n;o>=r;r++){var s=r-n;i[s]=""}this._renderWholeLineDecorations(e,t,i),this._renderNormalDecorations(e,t,i),this._renderResult=i},t.prototype._renderWholeLineDecorations=function(e,t,n){for(var o=String(this._lineHeight),i=e.visibleRange.startLineNumber,r=e.visibleRange.endLineNumber,s=0,a=t.length;a>s;s++){var l=t[s];if(l.options.isWholeLine)for(var u='<div class="cdr '+l.options.className+'" style="left:0;width:100%;height:'+o+'px;"></div>',c=Math.max(l.range.startLineNumber,i),d=Math.min(l.range.endLineNumber,r),h=c;d>=h;h++){var p=h-i;n[p]+=u}}},t.prototype._renderNormalDecorations=function(e,t,n){for(var o=String(this._lineHeight),i=e.visibleRange.startLineNumber,r=0,s=t.length;s>r;r++){var a=t[r];if(!a.options.isWholeLine){var l=e.linesVisibleRangesForRange(a.range,!1);if(l)for(var u=a.options.className,c=0,d=l.length;d>c;c++)for(var h=l[c],p=h.lineNumber-i,m=0,f=h.ranges.length;f>m;m++){var g=h.ranges[m],v='<div class="cdr '+u+'" style="left:'+String(g.left)+"px;width:"+String(g.width)+"px;height:"+o+'px;"></div>';n[p]+=v}}}},t.prototype.render=function(e,t){if(!this._renderResult)return"";var n=t-e;if(0>n||n>=this._renderResult.length)throw new Error("Unexpected render request");return this._renderResult[n]},t}(n.DynamicViewOverlay);t.DecorationsOverlay=o});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/viewParts/glyphMargin/glyphMargin",["require","exports","vs/editor/browser/view/dynamicViewOverlay","vs/css!./glyphMargin"],function(e,t,n){"use strict";var o=function(){function e(e,t,n){this.startLineNumber=+e,this.endLineNumber=+t,this.className=String(n)}return e}();t.DecorationToRender=o;var i=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),t.prototype._render=function(e,t,n){for(var o=[],i=e;t>=i;i++){var r=i-e;o[r]=""}if(0===n.length)return o;n.sort(function(e,t){return e.className===t.className?e.startLineNumber===t.startLineNumber?e.endLineNumber-t.endLineNumber:e.startLineNumber-t.startLineNumber:e.className<t.className?-1:1});for(var s=null,a=0,l=0,u=n.length;u>l;l++){var c=n[l],d=c.className,h=Math.max(c.startLineNumber,e)-e,p=Math.min(c.endLineNumber,t)-e;s===d?(h=Math.max(a+1,h),a=Math.max(a,p)):(s=d,a=p);for(var m=h;a>=m;m++)o[m]+=" "+s}return o},t}(n.DynamicViewOverlay);t.DedupOverlay=i;var r=function(e){function t(t){e.call(this),this._context=t,this._lineHeight=this._context.configuration.editor.lineHeight,this._glyphMargin=this._context.configuration.editor.viewInfo.glyphMargin,this._glyphMarginLeft=0,this._glyphMarginWidth=0,this._renderResult=null,this._context.addEventHandler(this)}return __extends(t,e),t.prototype.dispose=function(){
this._context.removeEventHandler(this),this._context=null,this._renderResult=null},t.prototype.onModelFlushed=function(){return!0},t.prototype.onModelDecorationsChanged=function(e){return!0},t.prototype.onModelLinesDeleted=function(e){return!0},t.prototype.onModelLineChanged=function(e){return!0},t.prototype.onModelLinesInserted=function(e){return!0},t.prototype.onCursorPositionChanged=function(e){return!1},t.prototype.onCursorSelectionChanged=function(e){return!1},t.prototype.onCursorRevealRange=function(e){return!1},t.prototype.onConfigurationChanged=function(e){return e.lineHeight&&(this._lineHeight=this._context.configuration.editor.lineHeight),e.viewInfo.glyphMargin&&(this._glyphMargin=this._context.configuration.editor.viewInfo.glyphMargin),!0},t.prototype.onLayoutChanged=function(e){return this._glyphMarginLeft=e.glyphMarginLeft,this._glyphMarginWidth=e.glyphMarginWidth,!0},t.prototype.onScrollChanged=function(e){return e.scrollTopChanged},t.prototype.onZonesChanged=function(){return!0},t.prototype._getDecorations=function(e){for(var t=e.getDecorationsInViewport(),n=[],i=0,r=t.length;r>i;i++){var s=t[i];s.options.glyphMarginClassName&&n.push(new o(s.range.startLineNumber,s.range.endLineNumber,s.options.glyphMarginClassName))}return n},t.prototype.prepareRender=function(e){if(!this.shouldRender())throw new Error("I did not ask to render!");if(!this._glyphMargin)return void(this._renderResult=null);for(var t=e.visibleRange.startLineNumber,n=e.visibleRange.endLineNumber,o=this._render(t,n,this._getDecorations(e)),i=this._lineHeight.toString(),r=this._glyphMarginLeft.toString(),s=this._glyphMarginWidth.toString(),a='" style="left:'+r+"px;width:"+s+"px;height:"+i+'px;"></div>',l=[],u=t;n>=u;u++){var c=u-t,d=o[c];0===d.length?l[c]="":l[c]='<div class="cgmr'+d+a}this._renderResult=l},t.prototype.render=function(e,t){if(!this._renderResult)return"";var n=t-e;if(0>n||n>=this._renderResult.length)throw new Error("Unexpected render request");return this._renderResult[n]},t}(i);t.GlyphMarginOverlay=r});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/viewParts/lineNumbers/lineNumbers",["require","exports","vs/base/common/platform","vs/editor/browser/view/dynamicViewOverlay","vs/editor/browser/editorBrowser","vs/css!./lineNumbers"],function(e,t,n,o,i){"use strict";var r=function(e){function t(t){e.call(this),this._context=t,this._lineHeight=this._context.configuration.editor.lineHeight,this._lineNumbers=this._context.configuration.editor.viewInfo.lineNumbers,this._lineNumbersLeft=0,this._lineNumbersWidth=0,this._renderResult=null,this._context.addEventHandler(this)}return __extends(t,e),t.prototype.dispose=function(){this._context.removeEventHandler(this),this._context=null,this._renderResult=null},t.prototype.onModelFlushed=function(){return!0},t.prototype.onModelDecorationsChanged=function(e){return!1},t.prototype.onModelLinesDeleted=function(e){return!0},t.prototype.onModelLineChanged=function(e){return!0},t.prototype.onModelLinesInserted=function(e){return!0},t.prototype.onCursorPositionChanged=function(e){return!1},t.prototype.onCursorSelectionChanged=function(e){return!1},t.prototype.onCursorRevealRange=function(e){return!1},t.prototype.onConfigurationChanged=function(e){return e.lineHeight&&(this._lineHeight=this._context.configuration.editor.lineHeight),e.viewInfo.lineNumbers&&(this._lineNumbers=this._context.configuration.editor.viewInfo.lineNumbers),!0},t.prototype.onLayoutChanged=function(e){return this._lineNumbersLeft=e.lineNumbersLeft,this._lineNumbersWidth=e.lineNumbersWidth,!0},t.prototype.onScrollChanged=function(e){return e.scrollTopChanged},t.prototype.onZonesChanged=function(){return!0},t.prototype.prepareRender=function(e){if(!this.shouldRender())throw new Error("I did not ask to render!");if(!this._lineNumbers)return void(this._renderResult=null);for(var t=n.isLinux?this._lineHeight%2===0?" lh-even":" lh-odd":"",o=this._lineHeight.toString(),r=e.visibleRange.startLineNumber,s=e.visibleRange.endLineNumber,a='<div class="'+i.ClassNames.LINE_NUMBERS+t+'" style="left:'+this._lineNumbersLeft.toString()+"px;width:"+this._lineNumbersWidth.toString()+"px;height:"+o+'px;">',l=[],u=r;s>=u;u++){var c=u-r,d=this._context.model.getLineRenderLineNumber(u);d?l[c]=a+d+"</div>":l[c]=""}this._renderResult=l},t.prototype.render=function(e,t){if(!this._renderResult)return"";var n=t-e;if(0>n||n>=this._renderResult.length)throw new Error("Unexpected render request");return this._renderResult[n]},t}(o.DynamicViewOverlay);t.LineNumbersOverlay=r});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/viewParts/linesDecorations/linesDecorations",["require","exports","vs/editor/browser/viewParts/glyphMargin/glyphMargin","vs/css!./linesDecorations"],function(e,t,n){"use strict";var o=function(e){function t(t){e.call(this),this._context=t,this._lineHeight=this._context.configuration.editor.lineHeight,this._decorationsLeft=0,this._decorationsWidth=0,this._renderResult=null,this._context.addEventHandler(this)}return __extends(t,e),t.prototype.dispose=function(){this._context.removeEventHandler(this),this._context=null,this._renderResult=null},t.prototype.onModelFlushed=function(){return!0},t.prototype.onModelDecorationsChanged=function(e){return!0},t.prototype.onModelLinesDeleted=function(e){return!0},t.prototype.onModelLineChanged=function(e){return!0},t.prototype.onModelLinesInserted=function(e){return!0},t.prototype.onCursorPositionChanged=function(e){return!1},t.prototype.onCursorSelectionChanged=function(e){return!1},t.prototype.onCursorRevealRange=function(e){return!1},t.prototype.onConfigurationChanged=function(e){return e.lineHeight&&(this._lineHeight=this._context.configuration.editor.lineHeight),!0},t.prototype.onLayoutChanged=function(e){return this._decorationsLeft=e.decorationsLeft,this._decorationsWidth=e.decorationsWidth,!0},t.prototype.onScrollChanged=function(e){return e.scrollTopChanged},t.prototype.onZonesChanged=function(){return!0},t.prototype._getDecorations=function(e){for(var t=e.getDecorationsInViewport(),o=[],i=0,r=t.length;r>i;i++){var s=t[i];s.options.linesDecorationsClassName&&o.push(new n.DecorationToRender(s.range.startLineNumber,s.range.endLineNumber,s.options.linesDecorationsClassName))}return o},t.prototype.prepareRender=function(e){if(!this.shouldRender())throw new Error("I did not ask to render!");for(var t=e.visibleRange.startLineNumber,n=e.visibleRange.endLineNumber,o=this._render(t,n,this._getDecorations(e)),i=this._lineHeight.toString(),r=this._decorationsLeft.toString(),s=this._decorationsWidth.toString(),a='" style="left:'+r+"px;width:"+s+"px;height:"+i+'px;"></div>',l=[],u=t;n>=u;u++){var c=u-t,d=o[c];0===d.length?l[c]="":l[c]='<div class="cldr'+d+a}this._renderResult=l},t.prototype.render=function(e,t){if(!this._renderResult)return"";var n=t-e;if(0>n||n>=this._renderResult.length)throw new Error("Unexpected render request");return this._renderResult[n]},t}(n.DedupOverlay);t.LinesDecorationsOverlay=o});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/viewParts/selections/selections",["require","exports","vs/editor/browser/view/dynamicViewOverlay","vs/css!./selections"],function(e,t,n){"use strict";function o(e){return new s(e)}function i(e){return new a(e.lineNumber,e.ranges.map(o))}var r;!function(e){e[e.EXTERN=0]="EXTERN",e[e.INTERN=1]="INTERN",e[e.FLAT=2]="FLAT"}(r||(r={}));var s=function(){function e(e){this.left=e.left,this.width=e.width,this.startStyle=null,this.endStyle=null}return e}(),a=function(){function e(e,t){this.lineNumber=e,this.ranges=t}return e}(),l=navigator.userAgent.indexOf("Trident/7.0")>=0||navigator.userAgent.indexOf("Edge/12")>=0,u=function(e){function t(t){e.call(this),this._previousFrameVisibleRangesWithStyle=[],this._context=t,this._lineHeight=this._context.configuration.editor.lineHeight,this._roundedSelection=this._context.configuration.editor.viewInfo.roundedSelection,this._selections=[],this._renderResult=null,this._context.addEventHandler(this)}return __extends(t,e),t.prototype.dispose=function(){this._context.removeEventHandler(this),this._context=null,this._selections=null,this._renderResult=null},t.prototype.onModelFlushed=function(){return!0},t.prototype.onModelDecorationsChanged=function(e){return e.inlineDecorationsChanged},t.prototype.onModelLinesDeleted=function(e){return!0},t.prototype.onModelLineChanged=function(e){return!0},t.prototype.onModelLinesInserted=function(e){return!0},t.prototype.onCursorPositionChanged=function(e){return!1},t.prototype.onCursorSelectionChanged=function(e){return this._selections=[e.selection],this._selections=this._selections.concat(e.secondarySelections),!0},t.prototype.onCursorRevealRange=function(e){return!1},t.prototype.onConfigurationChanged=function(e){return e.lineHeight&&(this._lineHeight=this._context.configuration.editor.lineHeight),e.viewInfo.roundedSelection&&(this._roundedSelection=this._context.configuration.editor.viewInfo.roundedSelection),!0},t.prototype.onLayoutChanged=function(e){return!0},t.prototype.onScrollChanged=function(e){return e.scrollTopChanged},t.prototype.onZonesChanged=function(){return!0},t.prototype._visibleRangesHaveGaps=function(e){var t,n,o;for(t=0,n=e.length;n>t;t++)if(o=e[t],o.ranges.length>1)return!0;return!1},t.prototype._enrichVisibleRangesWithStyle=function(e,t){var n,o,i,s,a,l,u,c,d,h,p,m=null,f=null;if(t&&t.length>0&&e.length>0){for(var g=e[0].lineNumber,h=0;!m&&h<t.length;h++)t[h].lineNumber===g&&(m=t[h].ranges[0]);for(var v=e[e.length-1].lineNumber,h=t.length-1;!f&&h>=0;h--)t[h].lineNumber===v&&(f=t[h].ranges[0]);m&&!m.startStyle&&(m=null),f&&!f.startStyle&&(f=null)}for(h=0,p=e.length;p>h;h++)n=e[h].ranges[0],o=n.left,i=n.left+n.width,c={top:r.EXTERN,bottom:r.EXTERN},d={top:r.EXTERN,bottom:r.EXTERN},h>0?(s=e[h-1].ranges[0].left,a=e[h-1].ranges[0].left+e[h-1].ranges[0].width,o===s?c.top=r.FLAT:o>s&&(c.top=r.INTERN),i===a?d.top=r.FLAT:i>s&&a>i&&(d.top=r.INTERN)):m&&(c.top=m.startStyle.top,d.top=m.endStyle.top),p>h+1?(l=e[h+1].ranges[0].left,u=e[h+1].ranges[0].left+e[h+1].ranges[0].width,o===l?c.bottom=r.FLAT:o>l&&u>o&&(c.bottom=r.INTERN),i===u?d.bottom=r.FLAT:u>i&&(d.bottom=r.INTERN)):f&&(c.bottom=f.startStyle.bottom,d.bottom=f.endStyle.bottom),n.startStyle=c,n.endStyle=d},t.prototype._getVisibleRangesWithStyle=function(e,t,n){var o=t.linesVisibleRangesForRange(e,!0)||[],r=o.map(i),s=this._visibleRangesHaveGaps(r);return l||s||!this._roundedSelection||this._enrichVisibleRangesWithStyle(r,n),r},t.prototype._createSelectionPiece=function(e,t,n,o,i){return'<div class="cslr '+n+'" style="top:'+e.toString()+"px;left:"+o.toString()+"px;width:"+i.toString()+"px;height:"+t+'px;"></div>'},t.prototype._actualRenderOneSelection=function(e,n,o,i){for(var s=i.length>0&&i[0].ranges[0].startStyle,a=this._lineHeight.toString(),l=(this._lineHeight-1).toString(),u=i.length>0?i[0].lineNumber:0,c=i.length>0?i[i.length-1].lineNumber:0,d=0,h=i.length;h>d;d++){for(var p=i[d],m=p.lineNumber,f=m-n,g=o&&(m===c||m===u)?l:a,v=o&&m===u?1:0,y="",_=0,b=p.ranges.length;b>_;_++){var C=p.ranges[_];if(s){if(C.startStyle.top===r.INTERN||C.startStyle.bottom===r.INTERN){y+=this._createSelectionPiece(v,g,t.SELECTION_CLASS_NAME,C.left-t.ROUNDED_PIECE_WIDTH,t.ROUNDED_PIECE_WIDTH);var w=t.EDITOR_BACKGROUND_CLASS_NAME;C.startStyle.top===r.INTERN&&(w+=" "+t.SELECTION_TOP_RIGHT),C.startStyle.bottom===r.INTERN&&(w+=" "+t.SELECTION_BOTTOM_RIGHT),y+=this._createSelectionPiece(v,g,w,C.left-t.ROUNDED_PIECE_WIDTH,t.ROUNDED_PIECE_WIDTH)}if(C.endStyle.top===r.INTERN||C.endStyle.bottom===r.INTERN){y+=this._createSelectionPiece(v,g,t.SELECTION_CLASS_NAME,C.left+C.width,t.ROUNDED_PIECE_WIDTH);var E=t.EDITOR_BACKGROUND_CLASS_NAME;C.endStyle.top===r.INTERN&&(E+=" "+t.SELECTION_TOP_LEFT),C.endStyle.bottom===r.INTERN&&(E+=" "+t.SELECTION_BOTTOM_LEFT),y+=this._createSelectionPiece(v,g,E,C.left+C.width,t.ROUNDED_PIECE_WIDTH)}}var S=t.SELECTION_CLASS_NAME;s&&(C.startStyle.top===r.EXTERN&&(S+=" "+t.SELECTION_TOP_LEFT),C.startStyle.bottom===r.EXTERN&&(S+=" "+t.SELECTION_BOTTOM_LEFT),C.endStyle.top===r.EXTERN&&(S+=" "+t.SELECTION_TOP_RIGHT),C.endStyle.bottom===r.EXTERN&&(S+=" "+t.SELECTION_BOTTOM_RIGHT)),y+=this._createSelectionPiece(v,g,S,C.left,C.width)}e[f]+=y}},t.prototype.prepareRender=function(e){if(!this.shouldRender())throw new Error("I did not ask to render!");for(var t=[],n=e.visibleRange.startLineNumber,o=e.visibleRange.endLineNumber,i=n;o>=i;i++){var r=i-n;t[r]=""}for(var s=[],a=0,l=this._selections.length;l>a;a++){var u=this._selections[a];if(u.isEmpty())s.push(null);else{var c=this._getVisibleRangesWithStyle(u,e,this._previousFrameVisibleRangesWithStyle[a]);s.push(c),this._actualRenderOneSelection(t,n,this._selections.length>1,c)}}this._previousFrameVisibleRangesWithStyle=s,this._renderResult=t},t.prototype.render=function(e,t){if(!this._renderResult)return"";var n=t-e;if(0>n||n>=this._renderResult.length)throw new Error("Unexpected render request");return this._renderResult[n]},t.SELECTION_CLASS_NAME="selected-text",t.SELECTION_TOP_LEFT="top-left-radius",t.SELECTION_BOTTOM_LEFT="bottom-left-radius",t.SELECTION_TOP_RIGHT="top-right-radius",t.SELECTION_BOTTOM_RIGHT="bottom-right-radius",t.EDITOR_BACKGROUND_CLASS_NAME="monaco-editor-background",t.ROUNDED_PIECE_WIDTH=10,t}(n.DynamicViewOverlay);t.SelectionsOverlay=u}),define("vs/editor/common/viewModel/viewModelCursors",["require","exports","vs/editor/common/core/range","vs/editor/common/core/selection","vs/editor/common/editorCommon"],function(e,t,n,o,i){"use strict";var r=function(){function e(e,t){this.configuration=e,this.converter=t,this.lastCursorPositionChangedEvent=null,this.lastCursorSelectionChangedEvent=null}return e.prototype.getSelections=function(){if(this.lastCursorSelectionChangedEvent){var e=[];e.push(this.converter.convertModelSelectionToViewSelection(this.lastCursorSelectionChangedEvent.selection));for(var t=0,n=this.lastCursorSelectionChangedEvent.secondarySelections.length;n>t;t++)e.push(this.converter.convertModelSelectionToViewSelection(this.lastCursorSelectionChangedEvent.secondarySelections[t]));return e}return[new o.Selection(1,1,1,1)]},e.prototype.onCursorPositionChanged=function(e,t){this.lastCursorPositionChangedEvent=e;var n=this.converter.validateViewPosition(e.viewPosition.lineNumber,e.viewPosition.column,e.position),o=this.configuration.editor.viewInfo.stopRenderingLineAfter;-1!==o&&n.column>o&&(n=n.clone(),n.column=o);for(var r=[],s=0,a=e.secondaryPositions.length;a>s;s++)r[s]=this.converter.validateViewPosition(e.secondaryViewPositions[s].lineNumber,e.secondaryViewPositions[s].column,e.secondaryPositions[s]),-1!==o&&r[s].column>o&&(r[s]=r[s].clone(),r[s].column=o);var l={position:n,secondaryPositions:r,isInEditableRange:e.isInEditableRange};t(i.ViewEventNames.CursorPositionChangedEvent,l)},e.prototype.onCursorSelectionChanged=function(e,t){this.lastCursorSelectionChangedEvent=e;for(var n=this.converter.validateViewSelection(e.viewSelection,e.selection),o=[],r=0,s=e.secondarySelections.length;s>r;r++)o[r]=this.converter.validateViewSelection(e.secondaryViewSelections[r],e.secondarySelections[r]);var a={selection:n,secondarySelections:o};t(i.ViewEventNames.CursorSelectionChangedEvent,a)},e.prototype.onCursorRevealRange=function(e,t){var o=null;if(e.viewRange){var r=this.converter.validateViewPosition(e.viewRange.startLineNumber,e.viewRange.startColumn,e.range.getStartPosition()),s=this.converter.validateViewPosition(e.viewRange.endLineNumber,e.viewRange.endColumn,e.range.getEndPosition());o=new n.Range(r.lineNumber,r.column,s.lineNumber,s.column)}else o=this.converter.convertModelRangeToViewRange(e.range);var a={range:o,verticalType:e.verticalType,revealHorizontal:e.revealHorizontal};t(i.ViewEventNames.RevealRangeEvent,a)},e.prototype.onCursorScrollRequest=function(e,t){var n={deltaLines:e.deltaLines};t(i.ViewEventNames.ScrollRequestEvent,n)},e.prototype.onLineMappingChanged=function(e){this.lastCursorPositionChangedEvent&&this.onCursorPositionChanged(this.lastCursorPositionChangedEvent,e),this.lastCursorSelectionChangedEvent&&this.onCursorSelectionChanged(this.lastCursorSelectionChangedEvent,e)},e}();t.ViewModelCursors=r}),define("vs/editor/common/viewModel/viewModelDecorations",["require","exports","vs/editor/common/core/range","vs/editor/common/editorCommon"],function(e,t,n,o){"use strict";var i=function(){function e(e,t){this.id=e.id,this.options=e.options,this.ownerId=e.ownerId,this.modelRange=e.range,this.range=t}return e}(),r=function(){function e(e,t,n){this.editorId=e,this.configuration=t,this.converter=n,this.decorations=[],this._clearCachedModelDecorationsResolver()}return e.prototype._clearCachedModelDecorationsResolver=function(){this._cachedModelDecorationsResolver=null,this._cachedModelDecorationsResolverStartLineNumber=0,this._cachedModelDecorationsResolverEndLineNumber=0},e.prototype.dispose=function(){this.converter=null,this.decorations=null,this._clearCachedModelDecorationsResolver()},e.compareDecorations=function(e,t){return n.Range.compareRangesUsingStarts(e.range,t.range)},e.prototype.reset=function(t){var n,o,r,s,a=t.getAllDecorations(this.editorId,this.configuration.editor.readOnly);for(this.decorations=[],n=0,o=a.length;o>n;n++)r=a[n],s=new i(r,this.converter.convertModelRangeToViewRange(r.range,r.options.isWholeLine)),this.decorations[n]=s;this._clearCachedModelDecorationsResolver(),this.decorations.sort(e.compareDecorations)},e.prototype.onModelDecorationsChanged=function(t,n){var r,s,a,l=!1,u=!1,c={},d={},h=this.configuration.editor.readOnly;for(s=0,a=t.addedOrChangedDecorations.length;a>s;s++)r=t.addedOrChangedDecorations[s],h&&r.isForValidation||r.ownerId&&r.ownerId!==this.editorId||(d[r.id]=r);for(s=0,a=t.removedDecorations.length;a>s;s++)c[t.removedDecorations[s]]=!0;var p,m={};for(s=0,a=this.decorations.length;a>s;s++)p=this.decorations[s],d.hasOwnProperty(p.id)&&(m[p.id]=!0,r=d[p.id],p.options=r.options,p.modelRange=r.range,p.range=this.converter.convertModelRangeToViewRange(r.range,r.options.isWholeLine),p.options.inlineClassName&&(u=!0),l=!0),c.hasOwnProperty(p.id)&&(this.decorations[s].options.inlineClassName&&(u=!0),this.decorations.splice(s,1),a--,s--,l=!0);for(var f=Object.keys(d),g=0,v=f.length;v>g;g++){var y=f[g];m.hasOwnProperty(y)||(r=d[y],p=new i(r,this.converter.convertModelRangeToViewRange(r.range,r.options.isWholeLine)),this.decorations.push(p),p.options.inlineClassName&&(u=!0),l=!0)}if(l){this._clearCachedModelDecorationsResolver(),this.decorations.sort(e.compareDecorations);var _={inlineDecorationsChanged:u};n(o.ViewEventNames.DecorationsChangedEvent,_)}},e.prototype.onLineMappingChanged=function(t){var i,r,s,a,l=this.decorations,u=!1,c=!1;for(r=0,a=l.length;a>r;r++)i=l[r],s=this.converter.convertModelRangeToViewRange(i.modelRange,i.options.isWholeLine),c||!i.options.inlineClassName||n.Range.equalsRange(s,i.range)||(c=!0),u||n.Range.equalsRange(s,i.range)||(u=!0),i.range=s;if(u){this._clearCachedModelDecorationsResolver(),this.decorations.sort(e.compareDecorations);var d={inlineDecorationsChanged:c};t(o.ViewEventNames.DecorationsChangedEvent,d)}},e.prototype.getAllDecorations=function(){return this.decorations},e.prototype.getDecorationsViewportData=function(e,t){var n=!0;return n=n&&null!==this._cachedModelDecorationsResolver,n=n&&this._cachedModelDecorationsResolverStartLineNumber===e,n=n&&this._cachedModelDecorationsResolverEndLineNumber===t,n||(this._cachedModelDecorationsResolver=this._getDecorationsViewportData(e,t),this._cachedModelDecorationsResolverStartLineNumber=e,this._cachedModelDecorationsResolverEndLineNumber=t),this._cachedModelDecorationsResolver},e.prototype._getDecorationsViewportData=function(e,t){var n,o,i,r,s,a,l,u=[],c=[],d=this.decorations;for(n=e;t>=n;n++)c[n-e]=[];for(a=0,l=d.length;l>a&&(r=d[a],s=r.range,!(s.startLineNumber>t));a++)if(!(s.endLineNumber<e)&&(u.push(r),r.options.inlineClassName))for(o=Math.max(e,s.startLineNumber),i=Math.min(t,s.endLineNumber),n=o;i>=n;n++)c[n-e].push(r);return{decorations:u,inlineDecorations:c}},e}();t.ViewModelDecorations=r}),define("vs/editor/contrib/comment/common/blockCommentCommand",["require","exports","vs/editor/common/core/editOperation","vs/editor/common/core/position","vs/editor/common/core/range","vs/editor/common/core/selection"],function(e,t,n,o,i,r){"use strict";var s=function(){function e(e){this._selection=e,this._usedEndToken=null}return e._haystackHasNeedleAtOffset=function(e,t,n){if(0>n)return!1;var o=t.length,i=e.length;if(n+o>i)return!1;for(var r=0;o>r;r++)if(e.charCodeAt(n+r)!==t.charCodeAt(r))return!1;return!0},e.prototype._createOperationsForBlockComment=function(t,n,o,i){var r,s=t.startLineNumber,a=t.startColumn,l=t.endLineNumber,u=t.endColumn,c=n.blockCommentStartToken,d=n.blockCommentEndToken,h=o.getLineContent(s).lastIndexOf(c,a-1+c.length),p=o.getLineContent(l).indexOf(d,u-1-d.length);-1!==h&&-1!==p?r=e._createRemoveBlockCommentOperations({startLineNumber:s,startColumn:h+1+c.length,endLineNumber:l,endColumn:p+1},c,d):(r=e._createAddBlockCommentOperations(t,c,d),this._usedEndToken=1===r.length?d:null);for(var m=0;m<r.length;m++)i.addEditOperation(r[m].range,r[m].text)},e._createRemoveBlockCommentOperations=function(e,t,o){var r=[];return i.Range.isEmpty(e)?r.push(n.EditOperation["delete"](new i.Range(e.startLineNumber,e.startColumn-t.length,e.endLineNumber,e.endColumn+o.length))):(r.push(n.EditOperation["delete"](new i.Range(e.startLineNumber,e.startColumn-t.length,e.startLineNumber,e.startColumn))),r.push(n.EditOperation["delete"](new i.Range(e.endLineNumber,e.endColumn,e.endLineNumber,e.endColumn+o.length)))),r},e._createAddBlockCommentOperations=function(e,t,r){var s=[];return i.Range.isEmpty(e)?s.push(n.EditOperation.replace(new i.Range(e.startLineNumber,e.startColumn,e.endLineNumber,e.endColumn),t+r)):(s.push(n.EditOperation.insert(new o.Position(e.startLineNumber,e.startColumn),t)),s.push(n.EditOperation.insert(new o.Position(e.endLineNumber,e.endColumn),r))),s},e.prototype.getEditOperations=function(e,t){var n=this._selection.startLineNumber,o=this._selection.startColumn,i=this._selection.endLineNumber,r=this._selection.endColumn,s=e.getModeAtPosition(n,o).richEditSupport,a=s?s.comments:null;a&&a.blockCommentStartToken&&a.blockCommentEndToken&&this._createOperationsForBlockComment({startLineNumber:n,startColumn:o,endLineNumber:i,endColumn:r},a,e,t)},e.prototype.computeCursorState=function(e,t){var n=t.getInverseEditOperations();if(2===n.length){var o=n[0],i=n[1];return r.Selection.createSelection(o.range.endLineNumber,o.range.endColumn,i.range.startLineNumber,i.range.startColumn)}var s=n[0].range,a=this._usedEndToken?-this._usedEndToken.length:0;return r.Selection.createSelection(s.endLineNumber,s.endColumn+a,s.endLineNumber,s.endColumn+a)},e}();t.BlockCommentCommand=s}),define("vs/editor/contrib/comment/common/lineCommentCommand",["require","exports","vs/base/common/strings","vs/editor/common/core/editOperation","vs/editor/common/core/position","vs/editor/common/core/range","vs/editor/common/core/selection","./blockCommentCommand"],function(e,t,n,o,i,r,s,a){"use strict";!function(e){e[e.Toggle=0]="Toggle",e[e.ForceAdd=1]="ForceAdd",e[e.ForceRemove=2]="ForceRemove"}(t.Type||(t.Type={}));var l=t.Type,u=function(){function e(e,t,n){this._selection=e,this._tabSize=t,this._type=n,this._deltaColumn=0}return e._gatherPreflightCommentStrings=function(e,t,n){var o,i,r,s,a,l,u,c=[],d=Object.create(null);for(r=0,s=n-t+1;s>r;r++){if(a=t+r,l=e.getModeAtPosition(a,1),u=l.getId(),d[u])i=d[u];else{if(o=l.richEditSupport?l.richEditSupport.comments:null,i=o?o.lineCommentToken:null,!i)return null;d[u]=i}c.push({ignore:!1,commentStr:i,commentStrOffset:0,commentStrLength:i.length})}return c},e._analyzeLines=function(e,t,o,i){var r,s,u,c,d,h,p,m,f=" ".charCodeAt(0),g=!0;for(p=e===l.Toggle?!0:e!==l.ForceAdd,c=0,d=o.length;d>c;c++)r=o[c],h=i+c,m=t.getLineContent(h),s=n.firstNonWhitespaceIndex(m),-1!==s?(g=!1,r.ignore=!1,r.commentStrOffset=s,p&&!a.BlockCommentCommand._haystackHasNeedleAtOffset(m,r.commentStr,s)&&(e===l.Toggle?p=!1:e===l.ForceAdd||(r.ignore=!0)),p&&(u=s+r.commentStrLength,u<m.length&&m.charCodeAt(u)===f&&(r.commentStrLength+=1))):(e===l.Toggle?r.ignore=!0:e===l.ForceAdd?r.ignore=!0:r.ignore=!0,r.commentStrOffset=m.length);if(e===l.Toggle&&g)for(p=!1,c=0,d=o.length;d>c;c++)o[c].ignore=!1;return{supported:!0,shouldRemoveComments:p,lines:o}},e._gatherPreflightData=function(t,n,o,i){var r=e._gatherPreflightCommentStrings(n,o,i);return null===r?{supported:!1,shouldRemoveComments:!1,lines:null}:e._analyzeLines(t,n,r,o)},e.prototype._executeLineComments=function(t,n,o,r){var s;o.shouldRemoveComments?s=e._createRemoveLineCommentsOperations(o.lines,r.startLineNumber):(e._normalizeInsertionPoint(t,o.lines,r.startLineNumber,this._tabSize),s=e._createAddLineCommentsOperations(o.lines,r.startLineNumber));for(var a=new i.Position(r.positionLineNumber,r.positionColumn),l=0,u=s.length;u>l;l++)n.addEditOperation(s[l].range,s[l].text),s[l].range.isEmpty()&&s[l].range.getStartPosition().equals(a)&&(this._deltaColumn=s[l].text.length);this._selectionId=n.trackSelection(r)},e.prototype._attemptRemoveBlockComment=function(e,t,n,o){var i=t.startLineNumber,r=t.endLineNumber,s=o.length+Math.max(e.getLineFirstNonWhitespaceColumn(t.startLineNumber),t.startColumn),l=e.getLineContent(i).lastIndexOf(n,s-1),u=e.getLineContent(r).indexOf(o,t.endColumn-1-n.length);return-1!==l&&-1===u&&(u=e.getLineContent(i).indexOf(o,l+n.length),r=i),-1===l&&-1!==u&&(l=e.getLineContent(r).lastIndexOf(n,u),i=r),!t.isEmpty()||-1!==l&&-1!==u||(l=e.getLineContent(i).indexOf(n),-1!==l&&(u=e.getLineContent(i).indexOf(o,l+n.length))),-1!==l&&-1!==u?a.BlockCommentCommand._createRemoveBlockCommentOperations({startLineNumber:i,startColumn:l+n.length+1,endLineNumber:r,endColumn:u+1},n,o):null},e.prototype._executeBlockComment=function(e,t,o){var i=e.getModeAtPosition(o.startLineNumber,o.startColumn).richEditSupport,r=i?i.comments:null;if(r&&r.blockCommentStartToken&&r.blockCommentEndToken){var s=r.blockCommentStartToken,l=r.blockCommentEndToken,u=this._attemptRemoveBlockComment(e,o,s,l);if(!u){if(o.isEmpty()){var c=e.getLineContent(o.startLineNumber),d=n.firstNonWhitespaceIndex(c);-1===d&&(d=c.length),u=a.BlockCommentCommand._createAddBlockCommentOperations({startLineNumber:o.startLineNumber,startColumn:d+1,endLineNumber:o.startLineNumber,endColumn:c.length+1},s,l)}else u=a.BlockCommentCommand._createAddBlockCommentOperations({startLineNumber:o.startLineNumber,startColumn:e.getLineFirstNonWhitespaceColumn(o.startLineNumber),endLineNumber:o.endLineNumber,endColumn:e.getLineMaxColumn(o.endLineNumber)},s,l);1===u.length&&(this._deltaColumn=s.length)}this._selectionId=t.trackSelection(o);for(var h=0;h<u.length;h++)t.addEditOperation(u[h].range,u[h].text)}},e.prototype.getEditOperations=function(t,n){var o=this._selection;this._moveEndPositionDown=!1,o.startLineNumber<o.endLineNumber&&1===o.endColumn&&(this._moveEndPositionDown=!0,o=o.setEndPosition(o.endLineNumber-1,t.getLineMaxColumn(o.endLineNumber-1)));var i=e._gatherPreflightData(this._type,t,o.startLineNumber,o.endLineNumber);return i.supported?this._executeLineComments(t,n,i,o):this._executeBlockComment(t,n,o)},e.prototype.computeCursorState=function(e,t){var n=t.getTrackedSelection(this._selectionId);return this._moveEndPositionDown&&(n=n.setEndPosition(n.endLineNumber+1,1)),s.Selection.createSelection(n.startLineNumber,n.startColumn+this._deltaColumn,n.endLineNumber,n.endColumn+this._deltaColumn)},e._createRemoveLineCommentsOperations=function(e,t){var n,i,s,a=[];for(n=0,i=e.length;i>n;n++)s=e[n],s.ignore||a.push(o.EditOperation["delete"](new r.Range(t+n,s.commentStrOffset+1,t+n,s.commentStrOffset+s.commentStrLength+1)));return a},e._createAddLineCommentsOperations=function(e,t){var n,r,s,a=[];for(n=0,r=e.length;r>n;n++)s=e[n],s.ignore||a.push(o.EditOperation.insert(new i.Position(t+n,s.commentStrOffset+1),s.commentStr+" "));return a},e.nextVisibleColumn=function(e,t,n,o){return n?e+(t-e%t):e+o},e._normalizeInsertionPoint=function(t,n,o,i){var r,s,a,l,u,c,d=Number.MAX_VALUE,h="	".charCodeAt(0);for(r=0,s=n.length;s>r;r++)if(!n[r].ignore){for(a=t.getLineContent(o+r),c=0,l=0,u=n[r].commentStrOffset;d>c&&u>l;l++)c=e.nextVisibleColumn(c,i,a.charCodeAt(l)===h,1);d>c&&(d=c)}for(d=Math.floor(d/i)*i,r=0,s=n.length;s>r;r++)if(!n[r].ignore){for(a=t.getLineContent(o+r),c=0,l=0,u=n[r].commentStrOffset;d>c&&u>l;l++)c=e.nextVisibleColumn(c,i,a.charCodeAt(l)===h,1);c>d?n[r].commentStrOffset=l-1:n[r].commentStrOffset=l}},e}();t.LineCommentCommand=u}),define("vs/editor/contrib/find/common/findDecorations",["require","exports","vs/editor/common/editorCommon"],function(e,t,n){"use strict";var o=function(){function e(e){this._editor=e,this._decorations=[],this._findScopeDecorationId=null,this._highlightedDecorationId=null,this._startPosition=this._editor.getPosition()}return e.prototype.dispose=function(){this._editor.deltaDecorations(this._allDecorations(),[]),this._editor=null,this._decorations=[],this._findScopeDecorationId=null,this._highlightedDecorationId=null,this._startPosition=null},e.prototype.reset=function(){this._decorations=[],this._findScopeDecorationId=null,this._highlightedDecorationId=null},e.prototype.getCount=function(){return this._decorations.length},e.prototype.getFindScope=function(){return this._findScopeDecorationId?this._editor.getModel().getDecorationRange(this._findScopeDecorationId):null},e.prototype.getStartPosition=function(){return this._startPosition},e.prototype.setStartPosition=function(e){this._startPosition=e,this.setCurrentFindMatch(null)},e.prototype.getCurrentMatchesPosition=function(e){for(var t=0,n=this._decorations.length;n>t;t++){var o=this._editor.getModel().getDecorationRange(this._decorations[t]);if(e.equalsRange(o))return t+1}return 1},e.prototype.setCurrentFindMatch=function(t){var n=this,o=null,i=0;if(t)for(var r=0,s=this._decorations.length;s>r;r++){var a=this._editor.getModel().getDecorationRange(this._decorations[r]);if(t.equalsRange(a)){o=this._decorations[r],i=r+1;break}}return null===this._highlightedDecorationId&&null===o||this._editor.changeDecorations(function(t){null!==n._highlightedDecorationId&&(t.changeDecorationOptions(n._highlightedDecorationId,e.createFindMatchDecorationOptions(!1)),n._highlightedDecorationId=null),null!==o&&(n._highlightedDecorationId=o,t.changeDecorationOptions(n._highlightedDecorationId,e.createFindMatchDecorationOptions(!0)))}),i},e.prototype.set=function(t,n){var o=t.map(function(t){return{range:t,options:e.createFindMatchDecorationOptions(!1)}});n&&o.unshift({range:n,options:e.createFindScopeDecorationOptions()});var i=this._editor.deltaDecorations(this._allDecorations(),o);n?this._findScopeDecorationId=i.shift():this._findScopeDecorationId=null,this._decorations=i,this._highlightedDecorationId=null},e.prototype._allDecorations=function(){var e=[];return e=e.concat(this._decorations),this._findScopeDecorationId&&e.push(this._findScopeDecorationId),e},e.createFindMatchDecorationOptions=function(e){return{stickiness:n.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,className:e?"currentFindMatch":"findMatch",overviewRuler:{color:"rgba(246, 185, 77, 0.7)",darkColor:"rgba(246, 185, 77, 0.7)",position:n.OverviewRulerLane.Center}}},e.createFindScopeDecorationOptions=function(){return{className:"findScope",isWholeLine:!0}},e}();t.FindDecorations=o}),define("vs/editor/contrib/find/common/replaceAllCommand",["require","exports","vs/editor/common/core/range"],function(e,t,n){"use strict";var o=function(){
function e(e,t,n){this._editorSelection=e,this._ranges=t,this._replaceStrings=n}return e.prototype.getEditOperations=function(e,t){if(this._ranges.length>0){for(var o=[],i=0;i<this._ranges.length;i++)o.push({range:this._ranges[i],text:this._replaceStrings[i]});o.sort(function(e,t){return n.Range.compareRangesUsingStarts(e.range,t.range)});for(var r=[],s=o[0],i=1;i<o.length;i++)s.range.endLineNumber===o[i].range.startLineNumber&&s.range.endColumn===o[i].range.startColumn?(s.range=s.range.plusRange(o[i].range),s.text=s.text+o[i].text):(r.push(s),s=o[i]);r.push(s);for(var i=0;i<r.length;i++)t.addEditOperation(r[i].range,r[i].text)}this._trackedEditorSelectionId=t.trackSelection(this._editorSelection)},e.prototype.computeCursorState=function(e,t){return t.getTrackedSelection(this._trackedEditorSelectionId)},e}();t.ReplaceAllCommand=o}),define("vs/editor/contrib/folding/common/indentFoldStrategy",["require","exports"],function(e,t){"use strict";function n(e,t,n){void 0===n&&(n=1);var i=[],r=[];r.push({indent:-1,line:e.getLineCount()+1});for(var s=e.getLineCount();s>0;s--){var a=o(e.getLineContent(s),t);if(-1!==a){var l=r[r.length-1];if(l.indent>a){do r.pop(),l=r[r.length-1];while(l.indent>a);var u=l.line-1;u-s>=n&&i.push({startLineNumber:s,endLineNumber:u,indent:a})}l.indent===a?l.line=s:r.push({indent:a,line:s})}}return i.reverse()}function o(e,t){for(var n=0,o=0;n<e.length;){var i=e.charAt(n);if(" "===i)o++;else{if("	"!==i)break;o=o-o%t+t}n++}return n===e.length?-1:o}function i(e,t){if(e.length<=t)return e;var n=[];e.forEach(function(e){e.indent<1e3&&(n[e.indent]=(n[e.indent]||0)+1)});for(var o=n.length,i=0;i<n.length;i++)if(n[i]&&(t-=n[i],0>t)){o=i;break}return e.filter(function(e){return e.indent<o})}t.computeRanges=n,t.computeIndentLevel=o,t.limitByIndent=i}),define("vs/editor/contrib/format/common/formatCommand",["require","exports","vs/base/common/strings","vs/editor/common/core/range"],function(e,t,n,o){"use strict";var i=function(){function e(e,t){this._edits=e,this._initialSelection=t}return e.prototype.getEditOperations=function(t,n){this._edits.map(function(n){return e.trimEdit(n,t)}).filter(function(e){return null!==e}).forEach(function(e){return n.addEditOperation(o.Range.lift(e.range),e.text)});var i=!1;Array.isArray(this._edits)&&1===this._edits.length&&this._initialSelection.isEmpty()&&(this._edits[0].range.startColumn===this._initialSelection.endColumn&&this._edits[0].range.startLineNumber===this._initialSelection.endLineNumber?(i=!0,this._selectionId=n.trackSelection(this._initialSelection,!0)):this._edits[0].range.endColumn===this._initialSelection.startColumn&&this._edits[0].range.endLineNumber===this._initialSelection.startLineNumber&&(i=!0,this._selectionId=n.trackSelection(this._initialSelection,!1))),i||(this._selectionId=n.trackSelection(this._initialSelection))},e.prototype.computeCursorState=function(e,t){return t.getTrackedSelection(this._selectionId)},e.fixLineTerminators=function(e,t){e.text=e.text.replace(/\r\n|\r|\n/g,t.getEOL())},e.trimEdit=function(e,t){return this.fixLineTerminators(e,t),this._trimEdit(t.validateRange(e.range),e.text,e.forceMoveMarkers,t)},e._trimEdit=function(e,t,i,r){var s=r.getValueInRange(e),a=n.commonPrefixLength(t,s);if(a===s.length&&a===t.length)return null;if(a>0){var l=r.modifyPosition(e.getStartPosition(),a);e=new o.Range(l.lineNumber,l.column,e.endLineNumber,e.endColumn),t=t.substring(a),s=s.substr(a)}var u=n.commonSuffixLength(t,s);if(u>0){var c=r.modifyPosition(e.getEndPosition(),-u);e=new o.Range(e.startLineNumber,e.startColumn,c.lineNumber,c.column),t=t.substring(0,t.length-u),s=s.substring(0,s.length-u)}return{text:t,range:e,forceMoveMarkers:i}},e}();t.EditOperationsCommand=i}),define("vs/editor/contrib/inPlaceReplace/common/inPlaceReplaceCommand",["require","exports","vs/editor/common/core/selection"],function(e,t,n){"use strict";var o=function(){function e(e,t,n){this._editRange=e,this._originalSelection=t,this._text=n}return e.prototype.getEditOperations=function(e,t){t.addEditOperation(this._editRange,this._text)},e.prototype.computeCursorState=function(e,t){var o=t.getInverseEditOperations(),i=o[0].range;return this._originalSelection.isEmpty()?n.Selection.createSelection(i.endLineNumber,Math.min(this._originalSelection.positionColumn,i.endColumn),i.endLineNumber,Math.min(this._originalSelection.positionColumn,i.endColumn)):n.Selection.createSelection(i.endLineNumber,i.endColumn-this._text.length,i.endLineNumber,i.endColumn)},e}();t.InPlaceReplaceCommand=o}),define("vs/editor/contrib/indentation/common/indentationCommands",["require","exports","vs/editor/common/core/range"],function(e,t,n){"use strict";function o(e,t,o,i){if(1!==e.getLineCount()||1!==e.getLineMaxColumn(1)){for(var r="",s=0;o>s;s++)r+=" ";for(var a=e.getLinesContent(),s=0;s<a.length;s++){var l=e.getLineFirstNonWhitespaceColumn(s+1);0===l&&(l=e.getLineMaxColumn(s+1));var u=(i?a[s].substr(0,l).replace(/\t/gi,r):a[s].substr(0,l).replace(new RegExp(r,"gi"),"	"))+a[s].substr(l);t.addEditOperation(new n.Range(s+1,1,s+1,e.getLineMaxColumn(s+1)),u)}}}var i=function(){function e(e,t){this.selection=e,this.tabSize=t}return e.prototype.getEditOperations=function(e,t){this.selectionId=t.trackSelection(this.selection),o(e,t,this.tabSize,!0)},e.prototype.computeCursorState=function(e,t){return t.getTrackedSelection(this.selectionId)},e}();t.IndentationToSpacesCommand=i;var r=function(){function e(e,t){this.selection=e,this.tabSize=t}return e.prototype.getEditOperations=function(e,t){this.selectionId=t.trackSelection(this.selection),o(e,t,this.tabSize,!1)},e.prototype.computeCursorState=function(e,t){return t.getTrackedSelection(this.selectionId)},e}();t.IndentationToTabsCommand=r}),define("vs/editor/contrib/linesOperations/common/copyLinesCommand",["require","exports","vs/editor/common/core/range","vs/editor/common/core/selection"],function(e,t,n,o){"use strict";var i=function(){function e(e,t){this._selection=e,this._isCopyingDown=t}return e.prototype.getEditOperations=function(e,t){var o=this._selection;this._startLineNumberDelta=0,this._endLineNumberDelta=0,o.startLineNumber<o.endLineNumber&&1===o.endColumn&&(this._endLineNumberDelta=1,o=o.setEndPosition(o.endLineNumber-1,e.getLineMaxColumn(o.endLineNumber-1)));for(var i=[],r=o.startLineNumber;r<=o.endLineNumber;r++)i.push(e.getLineContent(r));var s=i.join("\n");""===s&&this._isCopyingDown&&(this._startLineNumberDelta++,this._endLineNumberDelta++),this._isCopyingDown?t.addEditOperation(new n.Range(o.startLineNumber,1,o.startLineNumber,1),s+"\n"):t.addEditOperation(new n.Range(o.endLineNumber,e.getLineMaxColumn(o.endLineNumber),o.endLineNumber,e.getLineMaxColumn(o.endLineNumber)),"\n"+s),this._selectionId=t.trackSelection(o),this._selectionDirection=this._selection.getDirection()},e.prototype.computeCursorState=function(e,t){var n=t.getTrackedSelection(this._selectionId);if(0!==this._startLineNumberDelta||0!==this._endLineNumberDelta){var i=n.startLineNumber,r=n.startColumn,s=n.endLineNumber,a=n.endColumn;0!==this._startLineNumberDelta&&(i+=this._startLineNumberDelta,r=1),0!==this._endLineNumberDelta&&(s+=this._endLineNumberDelta,a=1),n=o.Selection.createWithDirection(i,r,s,a,this._selectionDirection)}return n},e}();t.CopyLinesCommand=i}),define("vs/editor/contrib/linesOperations/common/deleteLinesCommand",["require","exports","vs/editor/common/core/range","vs/editor/common/core/selection"],function(e,t,n,o){"use strict";var i=function(){function e(e,t,n){this.startLineNumber=e,this.endLineNumber=t,this.restoreCursorToColumn=n}return e.createFromSelection=function(t){var n=t.endLineNumber;return t.startLineNumber<t.endLineNumber&&1===t.endColumn&&(n-=1),new e(t.startLineNumber,n,t.positionColumn)},e.prototype.getEditOperations=function(e,t){if(1!==e.getLineCount()||1!==e.getLineMaxColumn(1)){var o=this.startLineNumber,i=this.endLineNumber,r=1,s=e.getLineMaxColumn(i);i<e.getLineCount()?(i+=1,s=1):o>1&&(o-=1,r=e.getLineMaxColumn(o)),t.addEditOperation(new n.Range(o,r,i,s),null)}},e.prototype.computeCursorState=function(e,t){var n=t.getInverseEditOperations(),i=n[0].range;return o.Selection.createSelection(i.endLineNumber,this.restoreCursorToColumn,i.endLineNumber,this.restoreCursorToColumn)},e}();t.DeleteLinesCommand=i}),define("vs/editor/contrib/linesOperations/common/moveLinesCommand",["require","exports","vs/editor/common/core/range","vs/editor/common/core/selection"],function(e,t,n,o){"use strict";var i=function(){function e(e,t){this._selection=e,this._isMovingDown=t}return e.prototype.getEditOperations=function(e,t){var i=e.getLineCount();if((!this._isMovingDown||this._selection.endLineNumber!==i)&&(this._isMovingDown||1!==this._selection.startLineNumber)){this._moveEndPositionDown=!1;var r=this._selection;if(r.startLineNumber<r.endLineNumber&&1===r.endColumn&&(this._moveEndPositionDown=!0,r=r.setEndPosition(r.endLineNumber-1,e.getLineMaxColumn(r.endLineNumber-1))),r.startLineNumber===r.endLineNumber&&1===e.getLineMaxColumn(r.startLineNumber)){var s=r.startLineNumber,a=this._isMovingDown?s+1:s-1;1===e.getLineMaxColumn(a)?t.addEditOperation(new n.Range(1,1,1,1),null):(t.addEditOperation(new n.Range(s,1,s,1),e.getLineContent(a)),t.addEditOperation(new n.Range(a,1,a,e.getLineMaxColumn(a)),null)),r=o.Selection.createSelection(a,1,a,1)}else{var l,u;this._isMovingDown?(l=r.endLineNumber+1,u=e.getLineContent(l),t.addEditOperation(new n.Range(l-1,e.getLineMaxColumn(l-1),l,e.getLineMaxColumn(l)),null),t.addEditOperation(new n.Range(r.startLineNumber,1,r.startLineNumber,1),u+"\n")):(l=r.startLineNumber-1,u=e.getLineContent(l),t.addEditOperation(new n.Range(l,1,l+1,1),null),t.addEditOperation(new n.Range(r.endLineNumber,e.getLineMaxColumn(r.endLineNumber),r.endLineNumber,e.getLineMaxColumn(r.endLineNumber)),"\n"+u))}this._selectionId=t.trackSelection(r)}},e.prototype.computeCursorState=function(e,t){var n=t.getTrackedSelection(this._selectionId);return this._moveEndPositionDown&&(n=n.setEndPosition(n.endLineNumber+1,1)),n},e}();t.MoveLinesCommand=i}),define("vs/editor/contrib/linesOperations/common/sortLinesCommand",["require","exports","vs/editor/common/core/editOperation","vs/editor/common/core/range"],function(e,t,n,o){"use strict";function i(e,t,i){var r=t.startLineNumber,s=t.endLineNumber;if(1===t.endColumn&&s--,r>=s)return null;for(var a=[],l=r;s>=l;l++)a.push(e.getLineContent(l));var u=a.sort(function(e,t){return e.toLowerCase().localeCompare(t.toLowerCase())});return i===!0&&(u=u.reverse()),n.EditOperation.replace(new o.Range(r,1,s,e.getLineMaxColumn(s)),u.join("\n"))}var r=function(){function e(e,t){this.selection=e,this.descending=t}return e.prototype.getEditOperations=function(e,t){var n=i(e,this.selection,this.descending);n&&t.addEditOperation(n.range,n.text),this.selectionId=t.trackSelection(this.selection)},e.prototype.computeCursorState=function(e,t){return t.getTrackedSelection(this.selectionId)},e}();t.SortLinesCommand=r,t.sortLines=i});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/contrib/smartSelect/common/tokenTree",["require","exports","vs/editor/common/core/position","vs/editor/common/core/range","vs/editor/common/modes/supports","vs/editor/common/modes/supports/richEditBrackets"],function(e,t,n,o,i,r){"use strict";function s(e){var t=new c;return t.start=n.Position.startPosition(e.range),t.end=n.Position.endPosition(e.range),t}function a(e){var t=new m(e).build();return t}function l(e,t){if(!o.Range.containsPosition(e.range,t))return null;var n;if(e instanceof d)for(var i=0,r=e.children.length;r>i&&!n;i++)n=l(e.children[i],t);else e instanceof h&&(n=l(e.open,t)||l(e.elements,t)||l(e.close,t));return n||e}!function(e){e[e.None=0]="None",e[e.Open=1]="Open",e[e.Close=-1]="Close"}(t.TokenTreeBracket||(t.TokenTreeBracket={}));var u=t.TokenTreeBracket,c=function(){function e(){}return Object.defineProperty(e.prototype,"range",{get:function(){return{startLineNumber:this.start.lineNumber,startColumn:this.start.column,endLineNumber:this.end.lineNumber,endColumn:this.end.column}},enumerable:!0,configurable:!0}),e}();t.Node=c;var d=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),Object.defineProperty(t.prototype,"start",{get:function(){return this.hasChildren?this.children[0].start:this.parent.start},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"end",{get:function(){return this.hasChildren?this.children[this.children.length-1].end:this.parent.end},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"hasChildren",{get:function(){return this.children&&this.children.length>0},enumerable:!0,configurable:!0}),t.prototype.append=function(e){return e?(e.parent=this,this.children||(this.children=[]),e instanceof t?e.children&&this.children.push.apply(this.children,e.children):this.children.push(e),!0):!1},t}(c);t.NodeList=d;var h=function(e){function t(){e.call(this),this.elements=new d,this.elements.parent=this}return __extends(t,e),Object.defineProperty(t.prototype,"start",{get:function(){return this.open.start},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"end",{get:function(){return this.close.end},enumerable:!0,configurable:!0}),t}(c);t.Block=h;var p=function(){function e(e){this._model=e,this._versionId=e.getVersionId(),this._currentLineNumber=1}return e.prototype.next=function(){if(this._versionId!==this._model.getVersionId())return null;if(this._currentLineNumber>=this._model.getLineCount()+1)return null;if(this._currentLineTokens||(this._currentLineTokens=this._model.getLineTokens(this._currentLineNumber),this._currentLineText=this._model.getLineContent(this._currentLineNumber),this._currentLineModeTransitions=this._model._getLineModeTransitions(this._currentLineNumber),this._currentTokenIndex=0,this._currentTokenStart=0,this._currentModeIndex=-1,this._nextModeStart=0),this._currentTokenIndex>=this._currentLineTokens.getTokenCount())return this._currentLineNumber+=1,this._currentLineTokens=null,this.next();if(this._currentTokenStart>=this._nextModeStart){this._currentModeIndex++,this._nextModeStart=this._currentModeIndex+1<this._currentLineModeTransitions.length?this._currentLineModeTransitions[this._currentModeIndex+1].startIndex:this._currentLineText.length+1;var e=this._currentModeIndex<this._currentLineModeTransitions.length?this._currentLineModeTransitions[this._currentModeIndex]:null;this._currentModeBrackets=e&&e.mode.richEditSupport?e.mode.richEditSupport.brackets:null}var t=this._currentLineTokens.getTokenType(this._currentTokenIndex),n=this._currentLineTokens.getTokenEndIndex(this._currentTokenIndex,this._currentLineText.length),o=n,s=null;this._currentModeBrackets&&!i.ignoreBracketsInToken(t)&&(s=r.BracketsUtils.findNextBracketInToken(this._currentModeBrackets.forwardRegex,this._currentLineNumber,this._currentLineText,this._currentTokenStart,n)),s&&this._currentTokenStart<s.startColumn-1&&(o=s.startColumn-1,s=null);var a=null,l=!1;if(s){var c=this._currentLineText.substring(s.startColumn-1,s.endColumn-1);a=this._currentModeBrackets.textIsBracket[c],l=this._currentModeBrackets.textIsOpenBracket[c]}if(!a){var d={type:t,bracket:u.None,range:{startLineNumber:this._currentLineNumber,startColumn:1+this._currentTokenStart,endLineNumber:this._currentLineNumber,endColumn:1+o}};return n>o?this._currentTokenStart=o:(this._currentTokenIndex+=1,this._currentTokenStart=this._currentTokenIndex<this._currentLineTokens.getTokenCount()?this._currentLineTokens.getTokenStartIndex(this._currentTokenIndex):0),d}var h=a.modeId+";"+a.open+";"+a.close,p={type:h,bracket:l?u.Open:u.Close,range:{startLineNumber:this._currentLineNumber,startColumn:1+this._currentTokenStart,endLineNumber:this._currentLineNumber,endColumn:s.endColumn}};return s.endColumn-1<n?this._currentTokenStart=s.endColumn-1:(this._currentTokenIndex+=1,this._currentTokenStart=this._currentTokenIndex<this._currentLineTokens.getTokenCount()?this._currentLineTokens.getTokenStartIndex(this._currentTokenIndex):0),p},e}(),m=function(){function e(e){this._stack=[],this._scanner=new p(e)}return e.prototype.build=function(){for(var e=new d;e.append(this._line()||this._any()););return e},e.prototype._accept=function(e){var t=this._stack.pop()||this._scanner.next();if(!t)return!1;var n=e(t);return n?this._currentToken=t:(this._stack.push(t),this._currentToken=null),n},e.prototype._peek=function(e){var t=!1;return this._accept(function(n){return t=e(n),!1}),t},e.prototype._line=function(){var e,t=new d;for(this._peek(function(t){return e=t.range.startLineNumber,!1});this._peek(function(t){return t.range.startLineNumber===e})&&t.append(this._token()||this._block()););return t.children&&0!==t.children.length?1===t.children.length?t.children[0]:t:null},e.prototype._token=function(){return this._accept(function(e){return e.bracket===u.None})?s(this._currentToken):null},e.prototype._block=function(){var e,t;if(t=this._accept(function(t){return e=t.type,t.bracket===u.Open}),!t)return null;var n=new h;for(n.open=s(this._currentToken);n.elements.append(this._line()););if(!this._accept(function(t){return t.bracket===u.Close&&t.type===e})){var o=new d;return o.append(n.open),o.append(n.elements),o}return n.close=s(this._currentToken),n},e.prototype._any=function(){return this._accept(function(e){return!0})?s(this._currentToken):null},e}();t.build=a,t.find=l}),define("vs/editor/contrib/snippet/browser/snippet",["require","exports","vs/css!./snippet"],function(e,t){"use strict"}),define("vs/editor/standalone-languages/all",["require","exports"],function(e,t){"use strict";var n=self;n.MonacoEditorLanguages=n.MonacoEditorLanguages||[];var o=n.MonacoEditorLanguages;o.push({id:"bat",extensions:[".bat",".cmd"],aliases:["Batch","bat"],defModule:"vs/editor/standalone-languages/bat"}),o.push({id:"coffeescript",extensions:[".coffee"],aliases:["CoffeeScript","coffeescript","coffee"],mimetypes:["text/x-coffeescript","text/coffeescript"],defModule:"vs/editor/standalone-languages/coffee"}),o.push({id:"c",extensions:[".c",".h"],aliases:["C","c"],defModule:"vs/editor/standalone-languages/cpp"}),o.push({id:"cpp",extensions:[".cpp",".cc",".cxx",".hpp",".hh",".hxx"],aliases:["C++","Cpp","cpp"],defModule:"vs/editor/standalone-languages/cpp"}),o.push({id:"csharp",extensions:[".cs",".csx"],aliases:["C#","csharp"],defModule:"vs/editor/standalone-languages/csharp"}),o.push({id:"dockerfile",extensions:[".dockerfile"],filenames:["Dockerfile"],aliases:["Dockerfile"],defModule:"vs/editor/standalone-languages/dockerfile"}),o.push({id:"fsharp",extensions:[".fs",".fsi",".ml",".mli",".fsx",".fsscript"],aliases:["F#","FSharp","fsharp"],defModule:"vs/editor/standalone-languages/fsharp"}),o.push({id:"go",extensions:[".go"],aliases:["Go"],defModule:"vs/editor/standalone-languages/go"}),o.push({id:"ini",extensions:[".ini",".properties",".gitconfig"],filenames:["config",".gitattributes",".gitconfig",".editorconfig"],aliases:["Ini","ini"],defModule:"vs/editor/standalone-languages/ini"}),o.push({id:"jade",extensions:[".jade",".pug"],aliases:["Jade","jade"],defModule:"vs/editor/standalone-languages/jade"}),o.push({id:"java",extensions:[".java",".jav"],aliases:["Java","java"],mimetypes:["text/x-java-source","text/x-java"],defModule:"vs/editor/standalone-languages/java"}),o.push({id:"lua",extensions:[".lua"],aliases:["Lua","lua"],defModule:"vs/editor/standalone-languages/lua"}),o.push({id:"objective-c",extensions:[".m"],aliases:["Objective-C"],defModule:"vs/editor/standalone-languages/objective-c"}),o.push({id:"powershell",extensions:[".ps1",".psm1",".psd1"],aliases:["PowerShell","powershell","ps","ps1"],defModule:"vs/editor/standalone-languages/powershell"}),o.push({id:"python",extensions:[".py",".rpy",".pyw",".cpy",".gyp",".gypi"],aliases:["Python","py"],firstLine:"^#!/.*\\bpython[0-9.-]*\\b",defModule:"vs/editor/standalone-languages/python"}),o.push({id:"r",extensions:[".r",".rhistory",".rprofile",".rt"],aliases:["R","r"],defModule:"vs/editor/standalone-languages/r"}),o.push({id:"ruby",extensions:[".rb",".rbx",".rjs",".gemspec",".pp"],filenames:["rakefile"],aliases:["Ruby","rb"],defModule:"vs/editor/standalone-languages/ruby"}),o.push({id:"swift",aliases:["Swift","swift"],extensions:[".swift"],mimetypes:["text/swift"],defModule:"vs/editor/standalone-languages/swift"}),o.push({id:"sql",extensions:[".sql"],aliases:["SQL"],defModule:"vs/editor/standalone-languages/sql"}),o.push({id:"vb",extensions:[".vb"],aliases:["Visual Basic","vb"],defModule:"vs/editor/standalone-languages/vb"}),o.push({id:"xml",extensions:[".xml",".dtd",".ascx",".csproj",".config",".wxi",".wxl",".wxs",".xaml",".svg",".svgz"],firstLine:"(\\<\\?xml.*)|(\\<svg)|(\\<\\!doctype\\s+svg)",aliases:["XML","xml"],mimetypes:["text/xml","application/xml","application/xaml+xml","application/xml-dtd"],defModule:"vs/editor/standalone-languages/xml"})}),define("vs/languages/css/common/level",["require","exports"],function(e,t){"use strict";function n(e){switch(e){case"ignore":return o.Ignore;case"warning":return o.Warning;case"error":return o.Error}return null}!function(e){e[e.Ignore=1]="Ignore",e[e.Warning=2]="Warning",e[e.Error=4]="Error"}(t.Level||(t.Level={}));var o=t.Level;t.toLevel=n}),define("vs/nls!vs/base/browser/ui/actionbar/actionbar",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/base/browser/ui/actionbar/actionbar",t)}),define("vs/nls!vs/base/browser/ui/aria/aria",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/base/browser/ui/aria/aria",t)}),define("vs/nls!vs/base/browser/ui/findinput/findInput",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/base/browser/ui/findinput/findInput",t)}),define("vs/nls!vs/base/browser/ui/inputbox/inputBox",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/base/browser/ui/inputbox/inputBox",t)}),define("vs/nls!vs/base/common/errors",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/base/common/errors",t)}),define("vs/base/common/errors",["require","exports","vs/nls!vs/base/common/errors","vs/base/common/objects","vs/base/common/platform","vs/base/common/types","vs/base/common/arrays","vs/base/common/strings"],function(e,t,n,o,i,r,s,a){"use strict";function l(e){t.errorHandler.setUnexpectedErrorHandler(e)}function u(e){g(e)||t.errorHandler.onUnexpectedError(e)}function c(e){return e.then(null,u)}function d(e){if(e instanceof Error){var t=e.name,n=e.message,o=e.stacktrace||e.stack;return{$isError:!0,name:t,message:n,stack:o}}return e}function h(e,t){var n=new x(e);return t?n.verboseMessage:n.message}function p(e,t){return e.message?t&&(e.stack||e.stacktrace)?n.localize(7,null,m(e),e.stack||e.stacktrace):m(e):n.localize(8,null)}function m(e){return"string"==typeof e.code&&"number"==typeof e.errno&&"string"==typeof e.syscall?n.localize(9,null,e.message):e.message}function f(e,t){if(void 0===e&&(e=null),void 0===t&&(t=!1),!e)return n.localize(10,null);if(Array.isArray(e)){var o=s.coalesce(e),i=f(o[0],t);return o.length>1?n.localize(11,null,i,o.length):i}if(r.isString(e))return e;if(!r.isUndefinedOrNull(e.status))return h(e,t);if(e.detail){var a=e.detail;if(a.error){if(a.error&&!r.isUndefinedOrNull(a.error.status))return h(a.error,t);if(!r.isArray(a.error))return p(a.error,t);for(var l=0;l<a.error.length;l++)if(a.error[l]&&!r.isUndefinedOrNull(a.error[l].status))return h(a.error[l],t)}if(a.exception)return r.isUndefinedOrNull(a.exception.status)?p(a.exception,t):h(a.exception,t)}return e.stack?p(e,t):e.message?e.message:n.localize(12,null)}function g(e){return e instanceof Error&&e.name===T&&e.message===T}function v(){var e=new Error(T);return e.name=e.message,e}function y(){return new Error(n.localize(13,null))}function _(e){return e?new Error(n.localize(14,null,e)):new Error(n.localize(15,null))}function b(e){return e?new Error(n.localize(16,null,e)):new Error(n.localize(17,null))}function C(e){return e?new Error("readonly property '"+e+" cannot be changed'"):new Error("readonly property cannot be changed")}function w(e){return i.isWeb?new Error(n.localize(18,null)):new Error(n.localize(19,null,JSON.stringify(e)))}function E(e,t){void 0===t&&(t={});var n=new Error(e);return r.isNumber(t.severity)&&(n.severity=t.severity),t.actions&&(n.actions=t.actions),n}var S=function(){function e(){this.listeners=[],this.unexpectedErrorHandler=function(e){i.setTimeout(function(){if(e.stack)throw new Error(e.message+"\n\n"+e.stack);throw e},0)}}return e.prototype.addListener=function(e){var t=this;return this.listeners.push(e),function(){t._removeListener(e)}},e.prototype.emit=function(e){this.listeners.forEach(function(t){t(e)})},e.prototype._removeListener=function(e){this.listeners.splice(this.listeners.indexOf(e),1)},e.prototype.setUnexpectedErrorHandler=function(e){this.unexpectedErrorHandler=e},e.prototype.getUnexpectedErrorHandler=function(){return this.unexpectedErrorHandler},e.prototype.onUnexpectedError=function(e){this.unexpectedErrorHandler(e),this.emit(e)},e}();t.ErrorHandler=S,t.errorHandler=new S,t.setUnexpectedErrorHandler=l,t.onUnexpectedError=u,t.onUnexpectedPromiseError=c,t.transformErrorForSerialization=d;var x=function(){function e(e){this.status=e.status,this.statusText=e.statusText,this.name="ConnectionError";try{this.responseText=e.responseText}catch(t){this.responseText=""}if(this.errorMessage=null,this.errorCode=null,this.errorObject=null,this.responseText)try{var n=JSON.parse(this.responseText);this.errorMessage=n.message,this.errorCode=n.code,this.errorObject=n}catch(o){}}return Object.defineProperty(e.prototype,"message",{get:function(){return this.connectionErrorToMessage(this,!1)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"verboseMessage",{get:function(){return this.connectionErrorToMessage(this,!0)},enumerable:!0,configurable:!0}),e.prototype.connectionErrorDetailsToMessage=function(e,t){var o=e.errorCode,i=e.errorMessage;return null!==o&&null!==i?n.localize(0,null,a.rtrim(i,"."),o):null!==i?i:t&&null!==e.responseText?e.responseText:null},e.prototype.connectionErrorToMessage=function(e,t){var o=this.connectionErrorDetailsToMessage(e,t);return 401===e.status?null!==o?n.localize(1,null,o):n.localize(2,null):o?o:e.status>0&&null!==e.statusText?t&&null!==e.responseText&&e.responseText.length>0?n.localize(3,null,e.statusText,e.status,e.responseText):n.localize(4,null,e.statusText,e.status):t&&null!==e.responseText&&e.responseText.length>0?n.localize(5,null,e.responseText):n.localize(6,null)},e}();t.ConnectionError=x,o.derive(Error,x),t.toErrorMessage=f;var T="Canceled";t.isPromiseCanceledError=g,t.canceled=v,t.notImplemented=y,t.illegalArgument=_,t.illegalState=b,t.readonly=C,t.loaderError=w,t.create=E}),define("vs/base/common/callbackList",["require","exports","vs/base/common/errors"],function(e,t,n){"use strict";var o=function(){function e(){}return e.prototype.add=function(e,t,n){var o=this;void 0===t&&(t=null),this._callbacks||(this._callbacks=[],this._contexts=[]),this._callbacks.push(e),this._contexts.push(t),Array.isArray(n)&&n.push({dispose:function(){return o.remove(e,t)}})},e.prototype.remove=function(e,t){if(void 0===t&&(t=null),this._callbacks){for(var n=!1,o=0,i=this._callbacks.length;i>o;o++)if(this._callbacks[o]===e){if(this._contexts[o]===t)return this._callbacks.splice(o,1),void this._contexts.splice(o,1);n=!0}if(n)throw new Error("When adding a listener with a context, you should remove it with the same context")}},e.prototype.invoke=function(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];if(this._callbacks){for(var o=[],i=this._callbacks.slice(0),r=this._contexts.slice(0),s=0,a=i.length;a>s;s++)try{o.push(i[s].apply(r[s],e))}catch(l){n.onUnexpectedError(l)}return o}},e.prototype.isEmpty=function(){return!this._callbacks||0===this._callbacks.length},e.prototype.dispose=function(){this._callbacks=void 0,this._contexts=void 0},e}();Object.defineProperty(t,"__esModule",{value:!0}),t["default"]=o}),define("vs/base/common/event",["require","exports","vs/base/common/callbackList"],function(e,t,n){"use strict";function o(e,t){return function(n,o,i){var r=e.addListener2(t,function(){n.apply(o,arguments)});return Array.isArray(i)&&i.push(r),r}}function i(e,t){return function(n,o,i){return e(function(e){return n(t(e))},o,i)}}var r;!function(e){var t={dispose:function(){}};e.None=function(){return t}}(r||(r={})),Object.defineProperty(t,"__esModule",{value:!0}),t["default"]=r;var s=function(){function e(e){this._options=e}return Object.defineProperty(e.prototype,"event",{get:function(){var t=this;return this._event||(this._event=function(o,i,r){t._callbacks||(t._callbacks=new n["default"]),t._options&&t._options.onFirstListenerAdd&&t._callbacks.isEmpty()&&t._options.onFirstListenerAdd(t),t._callbacks.add(o,i);var s;return s={dispose:function(){s.dispose=e._noop,t._disposed||(t._callbacks.remove(o,i),t._options&&t._options.onLastListenerRemove&&t._callbacks.isEmpty()&&t._options.onLastListenerRemove(t))}},Array.isArray(r)&&r.push(s),s}),this._event},enumerable:!0,configurable:!0}),e.prototype.fire=function(e){this._callbacks&&this._callbacks.invoke.call(this._callbacks,e)},e.prototype.dispose=function(){this._callbacks&&(this._callbacks.dispose(),this._callbacks=void 0,this._disposed=!0)},e._noop=function(){},e}();t.Emitter=s,t.fromEventEmitter=o,t.mapEvent=i;var a;!function(e){e[e.Idle=0]="Idle",e[e.Running=1]="Running"}(a||(a={}));var l=function(){function e(){this.buffers=[]}return e.prototype.wrapEvent=function(e){var t=this;return function(n,o,i){return e(function(e){var i=t.buffers[t.buffers.length-1];i?i.push(function(){return n.call(o,e)}):n.call(o,e)},void 0,i)}},e.prototype.bufferEvents=function(e){var t=[];this.buffers.push(t),e(),this.buffers.pop(),t.forEach(function(e){return e()})},e}();t.EventBufferer=l}),define("vs/base/browser/browser",["require","exports","vs/base/common/types","vs/base/common/platform","vs/base/common/event"],function(e,t,n,o,i){"use strict";function r(){return d.INSTANCE.getZoomLevel()}function s(){return d.INSTANCE.getPixelRatio()}function a(e){d.INSTANCE.setZoomLevel(e)}function l(e){return d.INSTANCE.onDidChangeZoomLevel(e)}function u(){if(this._hasCSSAnimationSupport===!0||this._hasCSSAnimationSupport===!1)return this._hasCSSAnimationSupport;for(var e=!1,t=document.createElement("div"),o=["animationName","webkitAnimationName","msAnimationName","MozAnimationName","OAnimationName"],i=0;i<o.length;i++){var r=o[i];if(!n.isUndefinedOrNull(t.style[r])||t.style.hasOwnProperty(r)){e=!0;break}}return e?this._hasCSSAnimationSupport=!0:this._hasCSSAnimationSupport=!1,this._hasCSSAnimationSupport}function c(e){return(t.isIE11orEarlier||o.isNative)&&document.queryCommandSupported(e)}var d=function(){function e(){this._zoomLevel=0,this._pixelRatioCache=0,this._pixelRatioComputed=!1,this._onDidChangeZoomLevel=new i.Emitter,this.onDidChangeZoomLevel=this._onDidChangeZoomLevel.event}return e.prototype.getZoomLevel=function(){return this._zoomLevel},e.prototype.setZoomLevel=function(e){this._zoomLevel!==e&&(this._zoomLevel=e,this._pixelRatioComputed=!1,this._onDidChangeZoomLevel.fire(this._zoomLevel))},e.prototype.getPixelRatio=function(){return this._pixelRatioComputed||(this._pixelRatioCache=this._computePixelRatio(),this._pixelRatioComputed=!0),this._pixelRatioCache},e.prototype._computePixelRatio=function(){var e=document.createElement("canvas").getContext("2d"),t=window.devicePixelRatio||1,n=e.webkitBackingStorePixelRatio||e.mozBackingStorePixelRatio||e.msBackingStorePixelRatio||e.oBackingStorePixelRatio||e.backingStorePixelRatio||1;return t/n},e.INSTANCE=new e,e}();t.getZoomLevel=r,t.getPixelRatio=s,t.setZoomLevel=a,t.onDidChangeZoomLevel=l;var h=navigator.userAgent;t.isIE11=h.indexOf("Trident")>=0&&h.indexOf("MSIE")<0,t.isIE10=h.indexOf("MSIE 10")>=0,t.isIE9=h.indexOf("MSIE 9")>=0,t.isIE11orEarlier=t.isIE11||t.isIE10||t.isIE9,t.isIE10orEarlier=t.isIE10||t.isIE9,
t.isIE10orLater=t.isIE11||t.isIE10,t.isOpera=h.indexOf("Opera")>=0,t.isFirefox=h.indexOf("Firefox")>=0,t.isWebKit=h.indexOf("AppleWebKit")>=0,t.isChrome=h.indexOf("Chrome")>=0,t.isSafari=-1===h.indexOf("Chrome")&&h.indexOf("Safari")>=0,t.isIPad=h.indexOf("iPad")>=0,t.canUseTranslate3d=!t.isIE9&&!t.isFirefox,t.enableEmptySelectionClipboard=t.isWebKit,t.hasCSSAnimationSupport=u,t.supportsExecCommand=c});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/browser/mouseEvent",["require","exports","vs/base/common/platform","vs/base/browser/browser","vs/base/browser/iframe"],function(e,t,n,o,i){"use strict";var r=function(){function e(e){var t=this;this.timestamp=Date.now(),this.browserEvent=e,this.leftButton=0===e.button,this.middleButton=1===e.button,this.rightButton=2===e.button,this.target=e.target||e.targetNode||e.srcElement,this.detail=e.detail||1,"dblclick"===e.type&&(this.detail=2),this.posx=0,this.posy=0,this.ctrlKey=e.ctrlKey,this.shiftKey=e.shiftKey,this.altKey=e.altKey,this.metaKey=e.metaKey;var n=function(){return e.clientX||e.clientY?(t.posx=e.clientX+document.body.scrollLeft+document.documentElement.scrollLeft,t.posy=e.clientY+document.body.scrollTop+document.documentElement.scrollTop,!0):!1},r=function(){return e.pageX||e.pageY?(t.posx=e.pageX,t.posy=e.pageY,!0):!1},s=r,a=n;o.isIE10&&(s=n,a=r),s()||a();var l=i.IframeUtils.getPositionOfChildWindowRelativeToAncestorWindow(self,e.view);this.posx-=l.left,this.posy-=l.top}return e.prototype.preventDefault=function(){this.browserEvent.preventDefault&&this.browserEvent.preventDefault()},e.prototype.stopPropagation=function(){this.browserEvent.stopPropagation&&this.browserEvent.stopPropagation()},e}();t.StandardMouseEvent=r;var s=function(e){function t(t){e.call(this,t),this.dataTransfer=t.dataTransfer}return __extends(t,e),t}(r);t.DragMouseEvent=s;var a=function(e){function t(t){e.call(this,t)}return __extends(t,e),t}(s);t.DropMouseEvent=a;var l=function(){function e(e,t,i){if(void 0===t&&(t=0),void 0===i&&(i=0),this.browserEvent=e||null,this.target=e?e.target||e.targetNode||e.srcElement:null,this.deltaY=i,this.deltaX=t,e){var r=e,s=e;"undefined"!=typeof r.wheelDeltaY?this.deltaY=r.wheelDeltaY/120:"undefined"!=typeof s.VERTICAL_AXIS&&s.axis===s.VERTICAL_AXIS&&(this.deltaY=-s.detail/3),"undefined"!=typeof r.wheelDeltaX?o.isSafari&&n.isWindows?this.deltaX=-(r.wheelDeltaX/120):this.deltaX=r.wheelDeltaX/120:"undefined"!=typeof s.HORIZONTAL_AXIS&&s.axis===s.HORIZONTAL_AXIS&&(this.deltaX=-e.detail/3),0===this.deltaY&&0===this.deltaX&&e.wheelDelta&&(this.deltaY=e.wheelDelta/120)}}return e.prototype.preventDefault=function(){this.browserEvent&&this.browserEvent.preventDefault&&this.browserEvent.preventDefault()},e.prototype.stopPropagation=function(){this.browserEvent&&this.browserEvent.stopPropagation&&this.browserEvent.stopPropagation()},e}();t.StandardMouseWheelEvent=l}),define("vs/base/common/cancellation",["require","exports","vs/base/common/event"],function(e,t,n){"use strict";var o;!function(e){e.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:n["default"].None}),e.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:n["default"].None})}(o=t.CancellationToken||(t.CancellationToken={}));var i=Object.freeze(function(e,t){var n=setTimeout(e.bind(t),0);return{dispose:function(){clearTimeout(n)}}}),r=function(){function e(){this._isCancelled=!1}return e.prototype.cancel=function(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this._emitter=void 0))},Object.defineProperty(e.prototype,"isCancellationRequested",{get:function(){return this._isCancelled},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onCancellationRequested",{get:function(){return this._isCancelled?i:(this._emitter||(this._emitter=new n.Emitter),this._emitter.event)},enumerable:!0,configurable:!0}),e}(),s=function(){function e(){}return Object.defineProperty(e.prototype,"token",{get:function(){return this._token||(this._token=new r),this._token},enumerable:!0,configurable:!0}),e.prototype.cancel=function(){this._token?this._token.cancel():this._token=o.Cancelled},e.prototype.dispose=function(){this.cancel()},e}();t.CancellationTokenSource=s});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/common/eventEmitter",["require","exports","vs/base/common/errors"],function(e,t,n){"use strict";function o(e){try{return e()}catch(t){n.onUnexpectedError(t)}}function i(e,t){try{return e(t)}catch(o){n.onUnexpectedError(o)}}var r=function(){function e(e,t){void 0===e&&(e=null),void 0===t&&(t=null),this._type=e,this._data=t}return e.prototype.getType=function(){return this._type},e.prototype.getData=function(){return this._data},e}();t.EmitterEvent=r;var s=function(){function e(e){if(void 0===e&&(e=null),this._listeners={},this._bulkListeners=[],this._collectedEvents=[],this._deferredCnt=0,e){this._allowedEventTypes={};for(var t=0;t<e.length;t++)this._allowedEventTypes[e[t]]=!0}else this._allowedEventTypes=null}return e.prototype.dispose=function(){this._listeners={},this._bulkListeners=[],this._collectedEvents=[],this._deferredCnt=0,this._allowedEventTypes=null},e.prototype.addListener=function(e,t){if("*"===e)throw new Error("Use addBulkListener(listener) to register your listener!");if(this._allowedEventTypes&&!this._allowedEventTypes.hasOwnProperty(e))throw new Error("This object will never emit this event type!");this._listeners.hasOwnProperty(e)?this._listeners[e].push(t):this._listeners[e]=[t];var n=this;return{dispose:function(){n&&(n._removeListener(e,t),n=null,t=null)}}},e.prototype.addListener2=function(e,t){return this.addListener(e,t)},e.prototype.addOneTimeListener=function(e,t){var n=this.addListener(e,function(e){n.dispose(),t(e)});return n},e.prototype.addOneTimeDisposableListener=function(e,t){return this.addOneTimeListener(e,t)},e.prototype.addBulkListener=function(e){var t=this;return this._bulkListeners.push(e),{dispose:function(){t._removeBulkListener(e)}}},e.prototype.addBulkListener2=function(e){return this.addBulkListener(e)},e.prototype.addEmitter=function(e){var t=this;return e.addBulkListener2(function(e){var n=e;0===t._deferredCnt?t._emitEvents(n):t._collectedEvents.push.apply(t._collectedEvents,n)})},e.prototype.addEmitter2=function(e){return this.addEmitter(e)},e.prototype._removeListener=function(e,t){if(this._listeners.hasOwnProperty(e))for(var n=this._listeners[e],o=0,i=n.length;i>o;o++)if(n[o]===t){n.splice(o,1);break}},e.prototype._removeBulkListener=function(e){for(var t=0,n=this._bulkListeners.length;n>t;t++)if(this._bulkListeners[t]===e){this._bulkListeners.splice(t,1);break}},e.prototype._emitToSpecificTypeListeners=function(e,t){if(this._listeners.hasOwnProperty(e))for(var n=this._listeners[e].slice(0),o=0,r=n.length;r>o;o++)i(n[o],t)},e.prototype._emitToBulkListeners=function(e){for(var t=this._bulkListeners.slice(0),n=0,o=t.length;o>n;n++)i(t[n],e)},e.prototype._emitEvents=function(e){this._bulkListeners.length>0&&this._emitToBulkListeners(e);for(var t=0,n=e.length;n>t;t++){var o=e[t];this._emitToSpecificTypeListeners(o.getType(),o.getData())}},e.prototype.emit=function(e,t){if(void 0===t&&(t={}),this._allowedEventTypes&&!this._allowedEventTypes.hasOwnProperty(e))throw new Error("Cannot emit this event type because it wasn't white-listed!");if(this._listeners.hasOwnProperty(e)||0!==this._bulkListeners.length){var n=new r(e,t);0===this._deferredCnt?this._emitEvents([n]):this._collectedEvents.push(n)}},e.prototype.deferredEmit=function(e){this._deferredCnt=this._deferredCnt+1;var t=o(e);return this._deferredCnt=this._deferredCnt-1,0===this._deferredCnt&&this._emitCollected(),t},e.prototype._emitCollected=function(){var e=this._collectedEvents;this._collectedEvents=[],e.length>0&&this._emitEvents(e)},e}();t.EventEmitter=s;var a=function(){function e(e,t){this.target=e,this.arg=t}return e}(),l=function(e){function t(t){void 0===t&&(t=null),e.call(this,t),this._emitQueue=[]}return __extends(t,e),t.prototype._emitToSpecificTypeListeners=function(e,t){if(this._listeners.hasOwnProperty(e))for(var n=this._listeners[e],o=0,i=n.length;i>o;o++)this._emitQueue.push(new a(n[o],t))},t.prototype._emitToBulkListeners=function(e){for(var t=this._bulkListeners,n=0,o=t.length;o>n;n++)this._emitQueue.push(new a(t[n],e))},t.prototype._emitEvents=function(t){for(e.prototype._emitEvents.call(this,t);this._emitQueue.length>0;){var n=this._emitQueue.shift();i(n.target,n.arg)}},t}(s);t.OrderGuaranteeEventEmitter=l});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/common/scrollable",["require","exports","vs/base/common/lifecycle","vs/base/common/event"],function(e,t,n,o){"use strict";var i=function(e){function t(){e.call(this),this._onScroll=this._register(new o.Emitter),this.onScroll=this._onScroll.event,this._width=0,this._scrollWidth=0,this._scrollLeft=0,this._height=0,this._scrollHeight=0,this._scrollTop=0}return __extends(t,e),t.prototype.getWidth=function(){return this._width},t.prototype.getScrollWidth=function(){return this._scrollWidth},t.prototype.getScrollLeft=function(){return this._scrollLeft},t.prototype.getHeight=function(){return this._height},t.prototype.getScrollHeight=function(){return this._scrollHeight},t.prototype.getScrollTop=function(){return this._scrollTop},t.prototype.updateState=function(e){var t="undefined"!=typeof e.width?0|e.width:this._width,n="undefined"!=typeof e.scrollWidth?0|e.scrollWidth:this._scrollWidth,o="undefined"!=typeof e.scrollLeft?0|e.scrollLeft:this._scrollLeft,i="undefined"!=typeof e.height?0|e.height:this._height,r="undefined"!=typeof e.scrollHeight?0|e.scrollHeight:this._scrollHeight,s="undefined"!=typeof e.scrollTop?0|e.scrollTop:this._scrollTop;0>t&&(t=0),o+t>n&&(o=n-t),0>o&&(o=0),0>i&&(i=0),s+i>r&&(s=r-i),0>s&&(s=0);var a=this._width!==t,l=this._scrollWidth!==n,u=this._scrollLeft!==o,c=this._height!==i,d=this._scrollHeight!==r,h=this._scrollTop!==s;(a||l||u||c||d||h)&&(this._width=t,this._scrollWidth=n,this._scrollLeft=o,this._height=i,this._scrollHeight=r,this._scrollTop=s,this._onScroll.fire({width:this._width,scrollWidth:this._scrollWidth,scrollLeft:this._scrollLeft,height:this._height,scrollHeight:this._scrollHeight,scrollTop:this._scrollTop,widthChanged:a,scrollWidthChanged:l,scrollLeftChanged:u,heightChanged:c,scrollHeightChanged:d,scrollTopChanged:h}))},t}(n.Disposable);t.Scrollable=i}),define("vs/base/common/timer",["require","exports","vs/base/common/platform","vs/base/common/errors","vs/base/common/stopwatch"],function(e,t,n,o,i){"use strict";function r(e,t,n,o){return h.start(e,t,n,o)}function s(){return h}t.ENABLE_TIMER=!1;var a=n.globals.msWriteProfilerMark;!function(e){e[e.EDITOR=0]="EDITOR",e[e.LANGUAGES=1]="LANGUAGES",e[e.WORKER=2]="WORKER",e[e.WORKBENCH=3]="WORKBENCH",e[e.STARTUP=4]="STARTUP"}(t.Topic||(t.Topic={}));var l=t.Topic,u=function(){function e(){}return e.prototype.stop=function(){},e.prototype.timeTaken=function(){return-1},e}(),c=function(){function e(e,t,n,o,r){if(this.timeKeeper=e,this.name=t,this.description=r,this.topic=n,this.stopTime=null,o)return void(this.startTime=o);if(this.startTime=new Date,this.sw=i.StopWatch.create(),a){var s=["Monaco",this.topic,this.name,"start"];a(s.join("|"))}}return e.prototype.stop=function(e){if(null===this.stopTime){if(e)return this.stopTime=e,this.sw=null,void this.timeKeeper._onEventStopped(this);if(this.stopTime=new Date,this.sw&&this.sw.stop(),this.timeKeeper._onEventStopped(this),a){var t=["Monaco",this.topic,this.name,"stop"];a(t.join("|"))}}},e.prototype.timeTaken=function(){return this.sw?this.sw.elapsed():this.stopTime?this.stopTime.getTime()-this.startTime.getTime():-1},e}(),d=function(){function e(){this.cleaningIntervalId=-1,this.collectedEvents=[],this.listeners=[]}return e.prototype.isEnabled=function(){return t.ENABLE_TIMER},e.prototype.start=function(e,n,o,i){if(!this.isEnabled())return t.nullEvent;var r;"string"==typeof e?r=e:e===l.EDITOR?r="Editor":e===l.LANGUAGES?r="Languages":e===l.WORKER?r="Worker":e===l.WORKBENCH?r="Workbench":e===l.STARTUP&&(r="Startup"),this.initAutoCleaning();var s=new c(this,n,r,o,i);return this.addEvent(s),s},e.prototype.dispose=function(){-1!==this.cleaningIntervalId&&(n.clearInterval(this.cleaningIntervalId),this.cleaningIntervalId=-1)},e.prototype.addListener=function(e){var t=this;return this.listeners.push(e),{dispose:function(){for(var n=0;n<t.listeners.length;n++)if(t.listeners[n]===e)return void t.listeners.splice(n,1)}}},e.prototype.addEvent=function(t){t.id=e.EVENT_ID,e.EVENT_ID++,this.collectedEvents.push(t),this.collectedEvents.length>e._EVENT_CACHE_LIMIT&&this.collectedEvents.shift()},e.prototype.initAutoCleaning=function(){var t=this;-1===this.cleaningIntervalId&&(this.cleaningIntervalId=n.setInterval(function(){var n=Date.now();t.collectedEvents.forEach(function(t){!t.stopTime&&n-t.startTime.getTime()>=e._MAX_TIMER_LENGTH&&t.stop()})},e._CLEAN_UP_INTERVAL))},e.prototype.getCollectedEvents=function(){return this.collectedEvents.slice(0)},e.prototype.clearCollectedEvents=function(){this.collectedEvents=[]},e.prototype._onEventStopped=function(e){for(var t=[e],n=this.listeners.slice(0),i=0;i<n.length;i++)try{n[i](t)}catch(r){o.onUnexpectedError(r)}},e.prototype.setInitialCollectedEvents=function(t,n){var o=this;this.isEnabled()&&(n&&(e.PARSE_TIME=n),t.forEach(function(e){var t=new c(o,e.name,e.topic,e.startTime,e.description);t.stop(e.stopTime),o.addEvent(t)}))},e._MAX_TIMER_LENGTH=6e4,e._CLEAN_UP_INTERVAL=12e4,e._EVENT_CACHE_LIMIT=1e3,e.EVENT_ID=1,e.PARSE_TIME=new Date,e}();t.TimeKeeper=d;var h=new d;t.nullEvent=new u,t.start=r,t.getTimeKeeper=s}),define("vs/base/common/winjs.base",["./winjs.base.raw","vs/base/common/errors"],function(e,t){"use strict";function n(e){var n=e.detail,o=n.id;return n.parent?void(n.handler&&r&&delete r[o]):(r[o]=n,void(1===Object.keys(r).length&&setTimeout(function(){var e=r;r={},Object.keys(e).forEach(function(n){var o=e[n];o.exception?t.onUnexpectedError(o.exception):o.error&&t.onUnexpectedError(o.error),console.log("WARNING: Promise with no error callback:"+o.id),console.log(o),o.exception&&console.log(o.exception.stack)})},0)))}function o(e,t,n){var o,r,s,a=new i.Promise(function(e,t,n){o=e,r=t,s=n},function(){e.cancel()});return e.then(function(e){t&&t(e),o(e)},function(e){n&&n(e),r(e)},s),a}var i=e,r={};return i.Promise.addEventListener("error",n),{decoratePromise:o,Class:i.Class,xhr:i.xhr,Promise:i.Promise,TPromise:i.Promise,PPromise:i.Promise,Utilities:i.Utilities}});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/common/actions",["require","exports","vs/base/common/winjs.base","vs/base/common/eventEmitter","vs/base/common/events"],function(e,t,n,o,i){"use strict";function r(e){return e?e instanceof s?!0:"string"!=typeof e.id?!1:"string"!=typeof e.label?!1:"string"!=typeof e["class"]?!1:"boolean"!=typeof e.enabled?!1:"boolean"!=typeof e.checked?!1:"function"==typeof e.run:!1}t.isAction=r;var s=function(e){function t(t,n,o,i,r){void 0===n&&(n=""),void 0===o&&(o=""),void 0===i&&(i=!0),void 0===r&&(r=null),e.call(this),this._id=t,this._label=n,this._cssClass=o,this._enabled=i,this._actionCallback=r}return __extends(t,e),Object.defineProperty(t.prototype,"id",{get:function(){return this._id},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"label",{get:function(){return this._label},set:function(e){this._setLabel(e)},enumerable:!0,configurable:!0}),t.prototype._setLabel=function(e){this._label!==e&&(this._label=e,this.emit(t.LABEL,{source:this}))},Object.defineProperty(t.prototype,"tooltip",{get:function(){return this._tooltip},set:function(e){this._setTooltip(e)},enumerable:!0,configurable:!0}),t.prototype._setTooltip=function(e){this._tooltip!==e&&(this._tooltip=e,this.emit(t.TOOLTIP,{source:this}))},Object.defineProperty(t.prototype,"class",{get:function(){return this._cssClass},set:function(e){this._setClass(e)},enumerable:!0,configurable:!0}),t.prototype._setClass=function(e){this._cssClass!==e&&(this._cssClass=e,this.emit(t.CLASS,{source:this}))},Object.defineProperty(t.prototype,"enabled",{get:function(){return this._enabled},set:function(e){this._setEnabled(e)},enumerable:!0,configurable:!0}),t.prototype._setEnabled=function(e){this._enabled!==e&&(this._enabled=e,this.emit(t.ENABLED,{source:this}))},Object.defineProperty(t.prototype,"checked",{get:function(){return this._checked},set:function(e){this._setChecked(e)},enumerable:!0,configurable:!0}),t.prototype._setChecked=function(e){this._checked!==e&&(this._checked=e,this.emit(t.CHECKED,{source:this}))},Object.defineProperty(t.prototype,"order",{get:function(){return this._order},set:function(e){this._order=e},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"actionCallback",{get:function(){return this._actionCallback},set:function(e){this._actionCallback=e},enumerable:!0,configurable:!0}),t.prototype.run=function(e){return null!==this._actionCallback?this._actionCallback(e):n.TPromise.as(!0)},t.LABEL="label",t.TOOLTIP="tooltip",t.CLASS="class",t.ENABLED="enabled",t.CHECKED="checked",t}(o.EventEmitter);t.Action=s;var a=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),t.prototype.run=function(e,t){var o=this;return e.enabled?(this.emit(i.EventType.BEFORE_RUN,{action:e}),n.TPromise.as(e.run(t)).then(function(t){o.emit(i.EventType.RUN,{action:e,result:t})},function(t){o.emit(i.EventType.RUN,{action:e,error:t})})):n.TPromise.as(null)},t}(o.EventEmitter);t.ActionRunner=a});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/common/async",["require","exports","vs/base/common/errors","vs/base/common/platform","vs/base/common/winjs.base","vs/base/common/cancellation","vs/base/common/lifecycle"],function(e,t,n,o,i,r,s){"use strict";function a(e){return e&&"function"==typeof e.then}function l(e){return a(e)?e:i.TPromise.as(e)}function u(e){var t=new r.CancellationTokenSource;return new i.TPromise(function(n,o){var i=e(t.token);a(i)?i.then(n,o):n(i)},function(){t.cancel()})}function c(e,t){return e.onCancellationRequested(function(){return t.cancel()}),t}function d(e,t){return new i.TPromise(function(o,i,r){e.done(function(e){try{t(e)}catch(i){n.onUnexpectedError(i)}o(e)},function(e){try{t(e)}catch(o){n.onUnexpectedError(o)}i(e)},function(e){r(e)})},function(){e.cancel()})}function h(e){function t(){return e.length?e.pop()():null}function n(e){e&&o.push(e);var r=t();return r?r.then(n):i.TPromise.as(o)}var o=[];return e=e.reverse(),i.TPromise.as(null).then(n)}function p(e){var t,n=this,o=!1;return function(){return o?t:(o=!0,t=e.apply(n,arguments))}}function m(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return new i.Promise(function(n,o){return e.apply(void 0,t.concat([function(e,t){return e?o(e):n(t)}]))})}function f(e,t){for(var n=[],o=2;o<arguments.length;o++)n[o-2]=arguments[o];return new i.Promise(function(o,i){return t.call.apply(t,[e].concat(n,[function(e,t){return e?i(e):o(t)}]))})}t.toThenable=l,t.asWinJsPromise=u,t.wireCancellationToken=c;var g=function(){function e(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}return e.prototype.queue=function(e){var t=this;if(this.activePromise){if(this.queuedPromiseFactory=e,!this.queuedPromise){var n=function(){t.queuedPromise=null;var e=t.queue(t.queuedPromiseFactory);return t.queuedPromiseFactory=null,e};this.queuedPromise=new i.Promise(function(e,o,i){t.activePromise.then(n,n,i).done(e)},function(){t.activePromise.cancel()})}return new i.Promise(function(e,n,o){t.queuedPromise.then(e,n,o)},function(){})}return this.activePromise=e(),new i.Promise(function(e,n,o){t.activePromise.done(function(n){t.activePromise=null,e(n)},function(e){t.activePromise=null,n(e)},o)},function(){t.activePromise.cancel()})},e}();t.Throttler=g;var v=function(){function e(){this.current=i.TPromise.as(null)}return e.prototype.queue=function(e){return this.current=this.current.then(function(){return e()})},e}();t.SimpleThrottler=v;var y=function(){function e(e){this.defaultDelay=e,this.timeout=null,this.completionPromise=null,this.onSuccess=null,this.task=null}return e.prototype.trigger=function(e,t){var n=this;return void 0===t&&(t=this.defaultDelay),this.task=e,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new i.Promise(function(e){n.onSuccess=e},function(){}).then(function(){n.completionPromise=null,n.onSuccess=null;var e=n.task;return n.task=null,e()})),this.timeout=setTimeout(function(){n.timeout=null,n.onSuccess(null)},t),this.completionPromise},e.prototype.isTriggered=function(){return null!==this.timeout},e.prototype.cancel=function(){this.cancelTimeout(),this.completionPromise&&(this.completionPromise.cancel(),this.completionPromise=null)},e.prototype.cancelTimeout=function(){null!==this.timeout&&(clearTimeout(this.timeout),this.timeout=null)},e}();t.Delayer=y;var _=function(e){function t(t){e.call(this,t),this.throttler=new g}return __extends(t,e),t.prototype.trigger=function(t,n){var o=this;return e.prototype.trigger.call(this,function(){return o.throttler.queue(t)},n)},t}(y);t.ThrottledDelayer=_;var b=function(e){function t(t,n){void 0===n&&(n=0),e.call(this,t),this.minimumPeriod=n,this.periodThrottler=new g}return __extends(t,e),t.prototype.trigger=function(t,n){var o=this;return e.prototype.trigger.call(this,function(){return o.periodThrottler.queue(function(){return i.Promise.join([i.TPromise.timeout(o.minimumPeriod),t()]).then(function(e){return e[1]})})},n)},t}(_);t.PeriodThrottledDelayer=b;var C=function(){function e(){var e=this;this._value=new i.TPromise(function(t,n){e._completeCallback=t,e._errorCallback=n})}return Object.defineProperty(e.prototype,"value",{get:function(){return this._value},enumerable:!0,configurable:!0}),e.prototype.complete=function(e){this._completeCallback(e)},e.prototype.error=function(e){this._errorCallback(e)},e}();t.PromiseSource=C;var w=function(e){function t(t){var o,i,r;e.call(this,function(e,t,n){o=e,i=t,r=n},function(){i(n.canceled())}),t.then(o,i,r)}return __extends(t,e),t}(i.TPromise);t.ShallowCancelThenPromise=w,t.always=d,t.sequence=h,t.once=p;var E=function(){function e(e){this.maxDegreeOfParalellism=e,this.outstandingPromises=[],this.runningPromises=0}return e.prototype.queue=function(e){var t=this;return new i.TPromise(function(n,o,i){t.outstandingPromises.push({factory:e,c:n,e:o,p:i}),t.consume()})},e.prototype.consume=function(){for(var e=this;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){var t=this.outstandingPromises.shift();this.runningPromises++;var n=t.factory();n.done(t.c,t.e,t.p),n.done(function(){return e.consumed()},function(){return e.consumed()})}},e.prototype.consumed=function(){this.runningPromises--,this.consume()},e}();t.Limiter=E;var S=function(e){function t(){e.call(this),this._token=-1}return __extends(t,e),t.prototype.dispose=function(){this.cancel(),e.prototype.dispose.call(this)},t.prototype.cancel=function(){-1!==this._token&&(o.clearTimeout(this._token),this._token=-1)},t.prototype.cancelAndSet=function(e,t){var n=this;this.cancel(),this._token=o.setTimeout(function(){n._token=-1,e()},t)},t.prototype.setIfNotSet=function(e,t){var n=this;-1===this._token&&(this._token=o.setTimeout(function(){n._token=-1,e()},t))},t}(s.Disposable);t.TimeoutTimer=S;var x=function(e){function t(){e.call(this),this._token=-1}return __extends(t,e),t.prototype.dispose=function(){this.cancel(),e.prototype.dispose.call(this)},t.prototype.cancel=function(){-1!==this._token&&(o.clearInterval(this._token),this._token=-1)},t.prototype.cancelAndSet=function(e,t){this.cancel(),this._token=o.setInterval(function(){e()},t)},t}(s.Disposable);t.IntervalTimer=x;var T=function(){function e(e,t){this.timeoutToken=-1,this.runner=e,this.timeout=t,this.timeoutHandler=this.onTimeout.bind(this)}return e.prototype.dispose=function(){this.cancel(),this.runner=null},e.prototype.cancel=function(){this.isScheduled()&&(o.clearTimeout(this.timeoutToken),this.timeoutToken=-1)},e.prototype.setRunner=function(e){this.runner=e},e.prototype.schedule=function(e){void 0===e&&(e=this.timeout),this.cancel(),this.timeoutToken=o.setTimeout(this.timeoutHandler,this.timeout)},e.prototype.isScheduled=function(){return-1!==this.timeoutToken},e.prototype.onTimeout=function(){this.timeoutToken=-1,this.runner&&this.runner()},e}();t.RunOnceScheduler=T,t.nfcall=m,t.ninvoke=f});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/browser/ui/scrollbar/scrollbarVisibilityController",["require","exports","vs/base/common/lifecycle","vs/base/common/async","vs/base/browser/ui/scrollbar/scrollableElementOptions"],function(e,t,n,o,i){"use strict";var r=function(e){function t(t,n,i){e.call(this),this._visibility=t,this._visibleClassName=n,this._invisibleClassName=i,this._domNode=null,this._isVisible=!1,this._isNeeded=!1,this._shouldBeVisible=!1,this._revealTimer=this._register(new o.TimeoutTimer)}return __extends(t,e),t.prototype.applyVisibilitySetting=function(e){return this._visibility===i.ScrollbarVisibility.Hidden?!1:this._visibility===i.ScrollbarVisibility.Visible?!0:e},t.prototype.setShouldBeVisible=function(e){var t=this.applyVisibilitySetting(e);this._shouldBeVisible!==t&&(this._shouldBeVisible=t,this.ensureVisibility())},t.prototype.setIsNeeded=function(e){this._isNeeded!==e&&(this._isNeeded=e,this.ensureVisibility())},t.prototype.setDomNode=function(e){this._domNode=e,this._domNode.setClassName(this._invisibleClassName),this.setShouldBeVisible(!1)},t.prototype.ensureVisibility=function(){return this._isNeeded?void(this._shouldBeVisible?this._reveal():this._hide(!0)):void this._hide(!1)},t.prototype._reveal=function(){var e=this;this._isVisible||(this._isVisible=!0,this._revealTimer.setIfNotSet(function(){e._domNode.setClassName(e._visibleClassName)},0))},t.prototype._hide=function(e){this._revealTimer.cancel(),this._isVisible&&(this._isVisible=!1,this._domNode.setClassName(this._invisibleClassName+(e?" fade":"")))},t}(n.Disposable);t.ScrollbarVisibilityController=r});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/common/worker/simpleWorker",["require","exports","vs/base/common/errors","vs/base/common/lifecycle","vs/base/common/winjs.base"],function(e,t,n,o,i){"use strict";function r(e){return new u(e)}var s="$initialize",a=function(){function e(e){this._workerId=-1,this._handler=e,this._lastSentReq=0,this._pendingReplies=Object.create(null)}return e.prototype.setWorkerId=function(e){this._workerId=e},e.prototype.sendMessage=function(e,t){var n=String(++this._lastSentReq),o={c:null,e:null},r=new i.TPromise(function(e,t,n){o.c=e,o.e=t},function(){});return this._pendingReplies[n]=o,this._send({vsWorker:this._workerId,req:n,method:e,args:t}),r},e.prototype.handleMessage=function(e){var t;try{t=JSON.parse(e)}catch(n){}t.vsWorker&&(-1!==this._workerId&&t.vsWorker!==this._workerId||this._handleMessage(t))},e.prototype._handleMessage=function(e){var t=this;if(e.seq){var o=e;if(!this._pendingReplies[o.seq])return void console.warn("Got reply to unknown seq");var i=this._pendingReplies[o.seq];if(delete this._pendingReplies[o.seq],o.err){var r=o.err;return o.err.$isError&&(r=new Error,r.name=o.err.name,r.message=o.err.message,r.stack=o.err.stack),void i.e(r)}return void i.c(o.res)}var s=e,a=s.req,l=this._handler.handleMessage(s.method,s.args);l.then(function(e){t._send({vsWorker:t._workerId,seq:a,res:e,err:void 0})},function(e){t._send({vsWorker:t._workerId,seq:a,res:void 0,err:n.transformErrorForSerialization(e)})})},e.prototype._send=function(e){var t=JSON.stringify(e);this._handler.sendMessage(t)},e}(),l=function(e){function t(t,n,o){var r=this;e.call(this),this._lastRequestTimestamp=-1,this._worker=this._register(t.create("vs/base/common/worker/simpleWorker",function(e){r._protocol.handleMessage(e)})),this._protocol=new a({sendMessage:function(e){r._worker.postMessage(e)},handleMessage:function(e,t){return i.TPromise.as(null)}}),this._protocol.setWorkerId(this._worker.getId());var l=null,u=window.require;"function"==typeof u.getConfig?l=u.getConfig():"undefined"!=typeof window.requirejs&&(l=window.requirejs.s.contexts._.config);var c=null,d=null;this._lazyProxy=new i.TPromise(function(e,t,n){c=e,d=t},function(){}),this._onModuleLoaded=this._protocol.sendMessage(s,[this._worker.getId(),n,l]),this._onModuleLoaded.then(function(e){for(var t={},n=0;n<e.length;n++)t[e[n]]=p(e[n],h);c(t)},function(e){d(e),r._onError("Worker failed to load "+n,e)});var h=function(e,t){return r._request(e,t)},p=function(e,t){return function(){var n=Array.prototype.slice.call(arguments,0);return t(e,n)}};if(this._proxy={},o)for(var m in o.prototype)o.prototype.hasOwnProperty(m)&&"function"==typeof o.prototype[m]&&(this._proxy[m]=p(m,h))}return __extends(t,e),t.prototype.get=function(){return this._proxy},t.prototype.getProxyObject=function(){return this._lazyProxy},t.prototype.getLastRequestTimestamp=function(){return this._lastRequestTimestamp},t.prototype._request=function(e,t){var n=this;return new i.TPromise(function(o,i,r){n._onModuleLoaded.then(function(){n._lastRequestTimestamp=Date.now(),n._protocol.sendMessage(e,t).then(o,i)},i)},function(){})},t.prototype._onError=function(e,t){console.error(e),console.info(t)},t}(o.Disposable);t.SimpleWorkerClient=l;var u=function(){function t(e){var t=this;this._protocol=new a({sendMessage:function(t){e(t)},handleMessage:function(e,n){return t._handleMessage(e,n)}})}return t.prototype.onmessage=function(e){this._protocol.handleMessage(e)},t.prototype._handleMessage=function(e,t){if(e===s)return this.initialize(t[0],t[1],t[2]);if(!this._requestHandler||"function"!=typeof this._requestHandler[e])return i.TPromise.wrapError(new Error("Missing requestHandler or method: "+e));try{return i.TPromise.as(this._requestHandler[e].apply(this._requestHandler,t))}catch(n){return i.TPromise.wrapError(n)}},t.prototype.initialize=function(t,n,o){var r=this;if(this._protocol.setWorkerId(t),o){"undefined"!=typeof o.baseUrl&&delete o.baseUrl,"undefined"!=typeof o.paths&&"undefined"!=typeof o.paths.vs&&delete o.paths.vs;var s=o["vs/nls"];s&&s.pseudo&&e(["vs/nls"],function(e){e.setPseudoTranslation(s.pseudo)}),o.catchError=!0,self.require.config(o)}var a,l,u=new i.TPromise(function(e,t,n){a=e,l=t});return e([n],function(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];var n=e[0];r._requestHandler=n.create();var o=[];for(var i in r._requestHandler)"function"==typeof r._requestHandler[i]&&o.push(i);a(o)},l),u},t}();t.SimpleWorkerServer=u,t.create=r}),define("vs/base/common/worker/workerProtocol",["require","exports","vs/base/common/winjs.base"],function(e,t,n){"use strict";t.MessageType={INITIALIZE:"$initialize",REPLY:"$reply",PRINT:"$print"},t.ReplyType={COMPLETE:"complete",ERROR:"error",PROGRESS:"progress"},t.PrintType={LOG:"log",DEBUG:"debug",INFO:"info",WARN:"warn",ERROR:"error"};var o=function(){function e(e){this._requester=e,this._bigHandler=null}return e.prototype.callOnRemote=function(e,t,n){
return this._requester.request("_proxyObj",{proxyId:e,path:t,args:n})},e.prototype.setManyHandler=function(e){this._bigHandler=e},e.prototype.handleMessage=function(e){if(!this._bigHandler)throw new Error("got message before big handler attached!");return this._invokeHandler(e.proxyId,e.path,e.args)},e.prototype._invokeHandler=function(e,t,o){try{return n.TPromise.as(this._bigHandler.handle(e,t,o))}catch(i){return n.TPromise.wrapError(i)}},e}();t.RemoteCom=o}),define("vs/base/common/worker/workerClient",["require","exports","vs/base/common/errors","vs/base/common/marshalling","vs/base/common/timer","vs/base/common/winjs.base","vs/base/common/worker/workerProtocol"],function(e,t,n,o,i,r,s){"use strict";var a=function(){function e(e,t,n){var o=this;this._decodeMessageName=n,this._lastMessageId=0,this._promises={},this._messagesQueue=[],this._processQueueTimeout=-1,this._waitingForWorkerReply=!1,this._lastTimerEvent=null,this._worker=e.create("vs/base/common/worker/workerServer",function(e){return o._onSerializedMessage(e)});var i=null,r=window.require;"function"==typeof r.getConfig?i=r.getConfig():"undefined"!=typeof window.requirejs&&(i=window.requirejs.s.contexts._.config);var a=window.GlobalEnvironment||null;this.onModuleLoaded=this._sendMessage(s.MessageType.INITIALIZE,{id:this._worker.getId(),moduleId:t,loaderConfiguration:i,GlobalEnvironment:a}),this.onModuleLoaded.then(null,function(e){return o._onError("Worker failed to load "+t,e)}),this._remoteCom=new s.RemoteCom(this)}return e.prototype.getRemoteCom=function(){return this._remoteCom},e.prototype.getQueueSize=function(){return this._messagesQueue.length+(this._waitingForWorkerReply?1:0)},e.prototype.request=function(e,t,n){var o=this;if("$"===e.charAt(0))throw new Error("Illegal requestName: "+e);var i,s=!1;return new r.TPromise(function(r,a,l){o.onModuleLoaded.then(function(){s||(i=o._sendMessage(e,t,n).then(r,a,l))},a,l)},function(){i?i.cancel():s=!0})},e.prototype.destroy=function(){this.dispose()},e.prototype.dispose=function(){var e=Object.keys(this._promises);if(e.length>0){console.warn("Terminating a worker with "+e.length+" pending promises:"),console.warn(this._promises);for(var t in this._promises)e.hasOwnProperty(t)&&this._promises[t].error("Worker forcefully terminated")}this._worker.dispose()},e.prototype._sendMessage=function(e,t,n){var o=this;void 0===n&&(n=(new Date).getTime());var i,s,a,l={id:++this._lastMessageId,type:e,timestamp:n,payload:t},u=new r.TPromise(function(e,t,n){i=e,s=t,a=n},function(){o._removeMessage(l.id)});return this._promises[l.id]={complete:i,error:s,progress:a,type:e,payload:t},this._enqueueMessage(l),u},e.prototype._enqueueMessage=function(e){var t,n=-1;for(t=this._messagesQueue.length-1;t>=0;t--)if(this._messagesQueue[t].timestamp<=e.timestamp){n=t;break}this._messagesQueue.splice(n+1,0,e),this._processMessagesQueue()},e.prototype._removeMessage=function(e){for(var t=0,n=this._messagesQueue.length;n>t;t++)if(this._messagesQueue[t].id===e)return this._promises.hasOwnProperty(String(e))&&delete this._promises[String(e)],this._messagesQueue.splice(t,1),void this._processMessagesQueue()},e.prototype._processMessagesQueue=function(){var e=this;if(-1!==this._processQueueTimeout&&(clearTimeout(this._processQueueTimeout),this._processQueueTimeout=-1),0!==this._messagesQueue.length&&!this._waitingForWorkerReply){var t=this._messagesQueue[0].timestamp-(new Date).getTime();t=Math.max(0,t),this._processQueueTimeout=setTimeout(function(){if(e._processQueueTimeout=-1,0!==e._messagesQueue.length){e._waitingForWorkerReply=!0;var t=e._messagesQueue.shift();e._lastTimerEvent=i.start(i.Topic.WORKER,e._decodeMessageName(t)),e._postMessage(t)}},t)}},e.prototype._postMessage=function(e){this._worker.postMessage(o.stringify(e))},e.prototype._onSerializedMessage=function(e){var t=null;try{t=o.parse(e)}catch(n){}t&&this._onmessage(t)},e.prototype._onmessage=function(e){if(e.monacoWorker&&(!e.from||e.from===this._worker.getId())){switch(e.type){case s.MessageType.REPLY:var t=e;if(this._waitingForWorkerReply=!1,this._lastTimerEvent&&this._lastTimerEvent.stop(),!this._promises.hasOwnProperty(String(t.id)))return void this._onError("Received unexpected message from Worker:",e);switch(t.action){case s.ReplyType.COMPLETE:this._promises[t.id].complete(t.payload),delete this._promises[t.id];break;case s.ReplyType.ERROR:this._onError("Main Thread sent to worker the following message:",{type:this._promises[t.id].type,payload:this._promises[t.id].payload}),this._onError("And the worker replied with an error:",t.payload),n.onUnexpectedError(t.payload),this._promises[t.id].error(t.payload),delete this._promises[t.id];break;case s.ReplyType.PROGRESS:this._promises[t.id].progress(t.payload)}break;case s.MessageType.PRINT:var o=e;this._consoleLog(o.level,o.payload);break;default:this._dispatchRequestFromWorker(e)}this._processMessagesQueue()}},e.prototype._dispatchRequestFromWorker=function(e){var t=this;this._handleWorkerRequest(e).then(function(o){var i={id:0,type:s.MessageType.REPLY,timestamp:(new Date).getTime(),seq:e.req,payload:o instanceof Error?n.transformErrorForSerialization(o):o,err:null};t._postMessage(i)},function(o){var i={id:0,type:s.MessageType.REPLY,timestamp:(new Date).getTime(),seq:e.req,payload:null,err:o instanceof Error?n.transformErrorForSerialization(o):o};t._postMessage(i)})},e.prototype._handleWorkerRequest=function(e){return"_proxyObj"===e.type?this._remoteCom.handleMessage(e.payload):"function"==typeof this[e.type]?this._invokeHandler(this[e.type],this,e.payload):(this._onError("Received unexpected message from Worker:",e),r.TPromise.wrapError(new Error("No handler found")))},e.prototype._invokeHandler=function(e,t,n){try{return r.TPromise.as(e.call(t,n))}catch(o){return r.TPromise.wrapError(o)}},e.prototype._consoleLog=function(e,t){switch(e){case s.PrintType.LOG:console.log(t);break;case s.PrintType.DEBUG:console.info(t);break;case s.PrintType.INFO:console.info(t);break;case s.PrintType.WARN:console.warn(t);break;case s.PrintType.ERROR:console.error(t);break;default:this._onError("Received unexpected message from Worker:",t)}},e.prototype._onError=function(e,t){console.error(e),console.info(t)},e}();t.WorkerClient=a}),define("vs/base/parts/quickopen/browser/quickOpenViewer",["require","exports","vs/base/common/winjs.base","vs/base/common/types"],function(e,t,n,o){"use strict";var i=function(){function e(e){this.modelProvider=o.isFunction(e.getModel)?e:{getModel:function(){return e}}}return e.prototype.getId=function(e,t){if(!t)return null;var n=this.modelProvider.getModel();return n===t?"__root__":n.dataSource.getId(t)},e.prototype.hasChildren=function(e,t){var n=this.modelProvider.getModel();return n&&n===t&&n.entries.length>0},e.prototype.getChildren=function(e,t){var o=this.modelProvider.getModel();return n.TPromise.as(o===t?o.entries:[])},e.prototype.getParent=function(e,t){return n.TPromise.as(null)},e}();t.DataSource=i;var r=function(){function e(e){this.modelProvider=e}return e.prototype.getAriaLabel=function(e,t){var n=this.modelProvider.getModel();return n.accessibilityProvider&&n.accessibilityProvider.getAriaLabel(t)},e}();t.AccessibilityProvider=r;var s=function(){function e(e){this.modelProvider=e}return e.prototype.isVisible=function(e,t){var n=this.modelProvider.getModel();return n.filter?n.filter.isVisible(t):!0},e}();t.Filter=s;var a=function(){function e(e){this.modelProvider=e}return e.prototype.getHeight=function(e,t){var n=this.modelProvider.getModel();return n.renderer.getHeight(t)},e.prototype.getTemplateId=function(e,t){var n=this.modelProvider.getModel();return n.renderer.getTemplateId(t)},e.prototype.renderTemplate=function(e,t,n){var o=this.modelProvider.getModel();return o.renderer.renderTemplate(t,n)},e.prototype.renderElement=function(e,t,n,o){var i=this.modelProvider.getModel();i.renderer.renderElement(t,n,o)},e.prototype.disposeTemplate=function(e,t,n){var o=this.modelProvider.getModel();o.renderer.disposeTemplate(t,n)},e}();t.Renderer=a});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/parts/tree/browser/treeModel",["require","exports","vs/base/common/assert","vs/base/common/errors","vs/base/common/lifecycle","vs/base/common/arrays","vs/base/common/eventEmitter","vs/base/common/winjs.base"],function(e,t,n,o,i,r,s,a){"use strict";function l(e,t){for(var n=e.getHierarchy(),o=t.getHierarchy(),i=r.commonPrefixLength(n,o),s=n[i-1],a=s.getNavigator(),l=null,u=null,c=0,d=[];s&&(null===l||null===u);)d.push(s),s===e&&(l=c),s===t&&(u=c),c++,s=a.next();if(null===l||null===u)return[];var h=Math.min(l,u),p=Math.max(l,u);return d.slice(h,p+1)}var u=function(e){function t(t){e.call(this),this._item=t}return __extends(t,e),Object.defineProperty(t.prototype,"item",{get:function(){return this._item},enumerable:!0,configurable:!0}),t.prototype.dispose=function(){this.emit("unlock"),e.prototype.dispose.call(this)},t}(s.EventEmitter);t.LockData=u;var c=function(){function e(){this.locks=Object.create({})}return e.prototype.isLocked=function(e){return!!this.locks[e.id]},e.prototype.run=function(e,t){var n=this,o=this.getLock(e);if(o){var i;return new a.Promise(function(r,s){i=o.addOneTimeDisposableListener("unlock",function(){return n.run(e,t).then(r,s)})},function(){i.dispose()})}var r;return new a.Promise(function(o,i){if(e.isDisposed())return i(new Error("Item is disposed."));var s=n.locks[e.id]=new u(e);return r=t().then(function(t){return delete n.locks[e.id],s.dispose(),t}).then(o,i)},function(){return r.cancel()})},e.prototype.getLock=function(e){var t;for(t in this.locks){var n=this.locks[t];if(e.intersects(n.item))return n}return null},e}();t.Lock=c;var d=function(e){function t(){e.call(this),this.items={}}return __extends(t,e),t.prototype.register=function(e){n.ok(!this.isRegistered(e.id),"item already registered: "+e.id),this.items[e.id]={item:e,disposable:this.addEmitter2(e)}},t.prototype.deregister=function(e){n.ok(this.isRegistered(e.id),"item not registered: "+e.id),this.items[e.id].disposable.dispose(),delete this.items[e.id]},t.prototype.isRegistered=function(e){return this.items.hasOwnProperty(e)},t.prototype.getItem=function(e){var t=this.items[e];return t?t.item:null},t.prototype.dispose=function(){e.prototype.dispose.call(this),this.items=null},t}(s.EventEmitter);t.ItemRegistry=d;var h=function(e){function t(t,n,o,i,r){e.call(this),this.registry=n,this.context=o,this.lock=i,this.element=r,this.id=t,this.registry.register(this),this.doesHaveChildren=this.context.dataSource.hasChildren(this.context.tree,this.element),this.needsChildrenRefresh=!0,this.parent=null,this.previous=null,this.next=null,this.firstChild=null,this.lastChild=null,this.userContent=null,this.traits={},this.depth=0,this.expanded=!1,this.emit("item:create",{item:this}),this.visible=this._isVisible(),this.height=this._getHeight(),this._isDisposed=!1}return __extends(t,e),t.prototype.getElement=function(){return this.element},t.prototype.hasChildren=function(){return this.doesHaveChildren},t.prototype.getDepth=function(){return this.depth},t.prototype.isVisible=function(){return this.visible},t.prototype.setVisible=function(e){this.visible=e},t.prototype.isExpanded=function(){return this.expanded},t.prototype._setExpanded=function(e){this.expanded=e},t.prototype.reveal=function(e){void 0===e&&(e=null);var t={item:this,relativeTop:e};this.emit("item:reveal",t)},t.prototype.expand=function(){var e=this;if(this.isExpanded()||!this.doesHaveChildren||this.lock.isLocked(this))return a.TPromise.as(!1);var t=this.lock.run(this,function(){var t,n={item:e};return e.emit("item:expanding",n),t=e.needsChildrenRefresh?e.refreshChildren(!1,!0,!0):a.TPromise.as(null),t.then(function(){return e._setExpanded(!0),e.emit("item:expanded",n),!0})});return t.then(function(t){return e.isDisposed()?!1:e.context.options.autoExpandSingleChildren&&t&&null!==e.firstChild&&e.firstChild===e.lastChild&&e.firstChild.isVisible()?e.firstChild.expand().then(function(){return!0}):t})},t.prototype.collapse=function(e){var t=this;if(void 0===e&&(e=!1),e){var n=a.TPromise.as(null);return this.forEachChild(function(e){n=n.then(function(){return e.collapse(!0)})}),n.then(function(){return t.collapse(!1)})}return!this.isExpanded()||this.lock.isLocked(this)?a.TPromise.as(!1):this.lock.run(this,function(){var e={item:t};return t.emit("item:collapsing",e),t._setExpanded(!1),t.emit("item:collapsed",e),a.TPromise.as(!0)})},t.prototype.addTrait=function(e){var t={item:this,trait:e};this.traits[e]=!0,this.emit("item:addTrait",t)},t.prototype.removeTrait=function(e){var t={item:this,trait:e};delete this.traits[e],this.emit("item:removeTrait",t)},t.prototype.hasTrait=function(e){return this.traits[e]||!1},t.prototype.getAllTraits=function(){var e,t=[];for(e in this.traits)this.traits.hasOwnProperty(e)&&this.traits[e]&&t.push(e);return t},t.prototype.getHeight=function(){return this.height},t.prototype.refreshChildren=function(e,n,i){var r=this;if(void 0===n&&(n=!1),void 0===i&&(i=!1),!i&&!this.isExpanded())return this.needsChildrenRefresh=!0,a.TPromise.as(this);this.needsChildrenRefresh=!1;var s=function(){var i={item:r,isNested:n};r.emit("item:childrenRefreshing",i);var s;s=r.doesHaveChildren?r.context.dataSource.getChildren(r.context.tree,r.element):a.TPromise.as([]);var l=s.then(function(n){if(r.isDisposed())return a.TPromise.as(null);n=n?n.slice(0):[],n=r.sort(n);for(var o={};null!==r.firstChild;)o[r.firstChild.id]=r.firstChild,r.removeChild(r.firstChild);for(var i=0,s=n.length;s>i;i++){var l=n[i],u=r.context.dataSource.getId(r.context.tree,l),c=o[u]||new t(u,r.registry,r.context,r.lock,l);c.element=l,e&&(c.needsChildrenRefresh=e),delete o[u],r.addChild(c)}for(var d in o)o.hasOwnProperty(d)&&o[d].dispose();return e?a.Promise.join(r.mapEachChild(function(t){return t.doRefresh(e,!0)})):a.TPromise.as(null)});return l.then(null,o.onUnexpectedError).then(function(){return r.emit("item:childrenRefreshed",i)})};return n?s():this.lock.run(this,s)},t.prototype.doRefresh=function(e,t){void 0===t&&(t=!1);var n={item:this};return this.doesHaveChildren=this.context.dataSource.hasChildren(this.context.tree,this.element),this.height=this._getHeight(),this.setVisible(this._isVisible()),this.emit("item:refresh",n),this.refreshChildren(e,t)},t.prototype.refresh=function(e){return this.doRefresh(e)},t.prototype.getNavigator=function(){return new m(this)},t.prototype.intersects=function(e){return this.isAncestorOf(e)||e.isAncestorOf(this)},t.prototype.getHierarchy=function(){var e=[],t=this;do e.push(t),t=t.parent;while(t);return e.reverse(),e},t.prototype.isAncestorOf=function(e){for(;e;){if(e.id===this.id)return!0;e=e.parent}return!1},t.prototype.addChild=function(e,t){void 0===t&&(t=this.lastChild);var n=null===this.firstChild,o=null===t,i=t===this.lastChild;n?(this.firstChild=this.lastChild=e,e.next=e.previous=null):o?(this.firstChild.previous=e,e.next=this.firstChild,e.previous=null,this.firstChild=e):i?(this.lastChild.next=e,e.next=null,e.previous=this.lastChild,this.lastChild=e):(e.previous=t,e.next=t.next,t.next.previous=e,t.next=e),e.parent=this,e.depth=this.depth+1},t.prototype.removeChild=function(e){var t=this.firstChild===e,n=this.lastChild===e;t&&n?this.firstChild=this.lastChild=null:t?(e.next.previous=null,this.firstChild=e.next):n?(e.previous.next=null,this.lastChild=e.previous):(e.next.previous=e.previous,e.previous.next=e.next),e.parent=null,e.depth=null},t.prototype.forEachChild=function(e){for(var t,n=this.firstChild;n;)t=n.next,e(n),n=t},t.prototype.mapEachChild=function(e){var t=[];return this.forEachChild(function(n){t.push(e(n))}),t},t.prototype.sort=function(e){var t=this;return this.context.sorter?e.sort(function(e,n){return t.context.sorter.compare(t.context.tree,e,n)}):e},t.prototype._getHeight=function(){return this.context.renderer.getHeight(this.context.tree,this.element)},t.prototype._isVisible=function(){return this.context.filter.isVisible(this.context.tree,this.element)},t.prototype.isDisposed=function(){return this._isDisposed},t.prototype.dispose=function(){this.forEachChild(function(e){return e.dispose()}),this.parent=null,this.previous=null,this.next=null,this.firstChild=null,this.lastChild=null;var t={item:this};this.emit("item:dispose",t),this.registry.deregister(this),e.prototype.dispose.call(this),this._isDisposed=!0},t}(s.EventEmitter);t.Item=h;var p=function(e){function t(t,n,o,i,r){e.call(this,t,n,o,i,r)}return __extends(t,e),t.prototype.isVisible=function(){return!1},t.prototype.setVisible=function(e){},t.prototype.isExpanded=function(){return!0},t.prototype._setExpanded=function(e){},t.prototype.render=function(){},t.prototype._getHeight=function(){return 0},t.prototype._isVisible=function(){return!1},t}(h),m=function(){function e(e,t){void 0===t&&(t=!0),this.item=e,this.start=t?e:null}return e.lastDescendantOf=function(t){return t?t.isVisible()&&t.isExpanded()&&null!==t.lastChild?e.lastDescendantOf(t.lastChild):t:null},e.prototype.current=function(){return this.item||null},e.prototype.next=function(){if(this.item)do if((this.item instanceof p||this.item.isVisible()&&this.item.isExpanded())&&this.item.firstChild)this.item=this.item.firstChild;else if(this.item===this.start)this.item=null;else{for(;this.item&&this.item!==this.start&&!this.item.next;)this.item=this.item.parent;this.item===this.start&&(this.item=null),this.item=this.item?this.item.next:null}while(this.item&&!this.item.isVisible());return this.item||null},e.prototype.previous=function(){if(this.item)do{var t=e.lastDescendantOf(this.item.previous);t?this.item=t:this.item.parent&&this.item.parent!==this.start&&this.item.parent.isVisible()?this.item=this.item.parent:this.item=null}while(this.item&&!this.item.isVisible());return this.item||null},e.prototype.parent=function(){if(this.item){var e=this.item.parent;e&&e!==this.start&&e.isVisible()?this.item=e:this.item=null}return this.item||null},e.prototype.first=function(){return this.item=this.start,this.next(),this.item||null},e.prototype.last=function(){return this.start&&this.start.isExpanded()&&(this.item=this.start.lastChild,this.item&&!this.item.isVisible()&&this.previous()),this.item||null},e}();t.TreeNavigator=m;var f=function(e){function t(t){e.call(this),this.context=t,this.input=null,this.traitsToItems={}}return __extends(t,e),t.prototype.setInput=function(e){var t=this,n={item:this.input};this.emit("clearingInput",n),this.setSelection([]),this.setFocus(),this.setHighlight(),this.lock=new c,this.input&&this.input.dispose(),this.registry&&(this.registry.dispose(),this.registryDisposable.dispose()),this.registry=new d,this.registryDisposable=i.combinedDisposable([this.addEmitter2(this.registry),this.registry.addListener2("item:dispose",function(e){e.item.getAllTraits().forEach(function(n){return delete t.traitsToItems[n][e.item.id]})})]);var o=this.context.dataSource.getId(this.context.tree,e);return this.input=new p(o,this.registry,this.context,this.lock,e),n={item:this.input},this.emit("setInput",n),this.refresh(this.input)},t.prototype.getInput=function(){return this.input?this.input.getElement():null},t.prototype.refresh=function(e,t){var n=this;void 0===e&&(e=null),void 0===t&&(t=!0);var o=this.getItem(e);if(!o)return a.TPromise.as(null);var i={item:o,recursive:t};return this.emit("refreshing",i),o.refresh(t).then(function(){n.emit("refreshed",i)})},t.prototype.refreshAll=function(e,t){var n=this;void 0===t&&(t=!0);var o=[];return this.deferredEmit(function(){for(var i=0,r=e.length;r>i;i++)o.push(n.refresh(e[i],t))}),a.Promise.join(o)},t.prototype.expand=function(e){var t=this.getItem(e);return t?t.expand():a.TPromise.as(!1)},t.prototype.expandAll=function(e){if(!e){e=[];for(var t,n=this.getNavigator();t=n.next();)e.push(t)}for(var o=[],i=0,r=e.length;r>i;i++)o.push(this.expand(e[i]));return a.Promise.join(o)},t.prototype.collapse=function(e,t){void 0===t&&(t=!1);var n=this.getItem(e);return n?n.collapse(t):a.TPromise.as(!1)},t.prototype.collapseAll=function(e,t){void 0===e&&(e=null),void 0===t&&(t=!1),e||(e=[this.input],t=!0);for(var n=[],o=0,i=e.length;i>o;o++)n.push(this.collapse(e[o],t));return a.Promise.join(n)},t.prototype.toggleExpansion=function(e){return this.isExpanded(e)?this.collapse(e):this.expand(e)},t.prototype.toggleExpansionAll=function(e){for(var t=[],n=0,o=e.length;o>n;n++)t.push(this.toggleExpansion(e[n]));return a.Promise.join(t)},t.prototype.isExpanded=function(e){var t=this.getItem(e);return t?t.isExpanded():!1},t.prototype.getExpandedElements=function(){for(var e,t=[],n=this.getNavigator();e=n.next();)e.isExpanded()&&t.push(e.getElement());return t},t.prototype.reveal=function(e,t){var n=this;return void 0===t&&(t=null),this.resolveUnknownParentChain(e).then(function(e){var t=a.TPromise.as(null);return e.forEach(function(e){t=t.then(function(){return n.expand(e)})}),t}).then(function(){var o=n.getItem(e);return o?o.reveal(t):void 0})},t.prototype.resolveUnknownParentChain=function(e){var t=this;return this.context.dataSource.getParent(this.context.tree,e).then(function(e){return e?t.resolveUnknownParentChain(e).then(function(t){return t.push(e),t}):a.TPromise.as([])})},t.prototype.setHighlight=function(e,t){this.setTraits("highlighted",e?[e]:[]);var n={highlight:this.getHighlight(),payload:t};this.emit("highlight",n)},t.prototype.getHighlight=function(e){var t=this.getElementsWithTrait("highlighted",e);return 0===t.length?null:t[0]},t.prototype.isHighlighted=function(e){var t=this.getItem(e);return t?t.hasTrait("highlighted"):!1},t.prototype.select=function(e,t){this.selectAll([e],t)},t.prototype.selectRange=function(e,t,n){var o=this.getItem(e),i=this.getItem(t);o&&i&&this.selectAll(l(o,i),n)},t.prototype.deselectRange=function(e,t,n){var o=this.getItem(e),i=this.getItem(t);o&&i&&this.deselectAll(l(o,i),n)},t.prototype.selectAll=function(e,t){this.addTraits("selected",e);var n={selection:this.getSelection(),payload:t};this.emit("selection",n)},t.prototype.deselect=function(e,t){this.deselectAll([e],t)},t.prototype.deselectAll=function(e,t){this.removeTraits("selected",e);var n={selection:this.getSelection(),payload:t};this.emit("selection",n)},t.prototype.setSelection=function(e,t){this.setTraits("selected",e);var n={selection:this.getSelection(),payload:t};this.emit("selection",n)},t.prototype.toggleSelection=function(e,t){this.toggleTrait("selected",e);var n={selection:this.getSelection(),payload:t};this.emit("selection",n)},t.prototype.isSelected=function(e){var t=this.getItem(e);return t?t.hasTrait("selected"):!1},t.prototype.getSelection=function(e){return this.getElementsWithTrait("selected",e)},t.prototype.selectNext=function(e,t,n){void 0===e&&(e=1),void 0===t&&(t=!0);for(var o,i=this.getSelection(),r=i.length>0?i[0]:this.input,s=this.getNavigator(r,!1),a=0;e>a&&(o=s.next(),o);a++)r=o;t?this.setSelection([r],n):this.select(r,n)},t.prototype.selectPrevious=function(e,t,n){void 0===e&&(e=1),void 0===t&&(t=!0);var o=this.getSelection(),i=null,r=null;if(0===o.length){for(var s=this.getNavigator(this.input);i=s.next();)r=i;i=r}else{i=o[0];for(var s=this.getNavigator(i,!1),a=0;e>a&&(r=s.previous(),r);a++)i=r}t?this.setSelection([i],n):this.select(i,n)},t.prototype.selectParent=function(e,t){void 0===t&&(t=!0);var n=this.getSelection(),o=n.length>0?n[0]:this.input,i=this.getNavigator(o,!1),r=i.parent();r&&(t?this.setSelection([r],e):this.select(r,e))},t.prototype.setFocus=function(e,t){this.setTraits("focused",e?[e]:[]);var n={focus:this.getFocus(),payload:t};this.emit("focus",n)},t.prototype.isFocused=function(e){var t=this.getItem(e);return t?t.hasTrait("focused"):!1},t.prototype.getFocus=function(e){var t=this.getElementsWithTrait("focused",e);return 0===t.length?null:t[0]},t.prototype.focusNext=function(e,t){void 0===e&&(e=1);for(var n,o=this.getFocus()||this.input,i=this.getNavigator(o,!1),r=0;e>r&&(n=i.next(),n);r++)o=n;this.setFocus(o,t)},t.prototype.focusPrevious=function(e,t){void 0===e&&(e=1);for(var n,o=this.getFocus()||this.input,i=this.getNavigator(o,!1),r=0;e>r&&(n=i.previous(),n);r++)o=n;this.setFocus(o,t)},t.prototype.focusParent=function(e){var t=this.getFocus()||this.input,n=this.getNavigator(t,!1),o=n.parent();o&&this.setFocus(o,e)},t.prototype.focusFirst=function(e){this.focusNth(0,e)},t.prototype.focusNth=function(e,t){for(var n=this.getNavigator(this.input),o=n.first(),i=0;e>i;i++)o=n.next();o&&this.setFocus(o,t)},t.prototype.focusLast=function(e){var t=this.getNavigator(this.input),n=t.last();n&&this.setFocus(n,e)},t.prototype.getNavigator=function(e,t){return void 0===e&&(e=null),void 0===t&&(t=!0),new m(this.getItem(e),t)},t.prototype.getItem=function(e){return void 0===e&&(e=null),null===e?this.input:e instanceof h?e:"string"==typeof e?this.registry.getItem(e):this.registry.getItem(this.context.dataSource.getId(this.context.tree,e))},t.prototype.addTraits=function(e,t){for(var n,o=this.traitsToItems[e]||{},i=0,r=t.length;r>i;i++)n=this.getItem(t[i]),n&&(n.addTrait(e),o[n.id]=n);this.traitsToItems[e]=o},t.prototype.removeTraits=function(e,t){var n,o,i=this.traitsToItems[e]||{};if(0===t.length){for(o in i)i.hasOwnProperty(o)&&(n=i[o],n.removeTrait(e));delete this.traitsToItems[e]}else for(var r=0,s=t.length;s>r;r++)n=this.getItem(t[r]),n&&(n.removeTrait(e),delete i[n.id])},t.prototype.hasTrait=function(e,t){var n=this.getItem(t);return n&&n.hasTrait(e)},t.prototype.toggleTrait=function(e,t){var n=this.getItem(t);n&&(n.hasTrait(e)?this.removeTraits(e,[t]):this.addTraits(e,[t]))},t.prototype.setTraits=function(e,t){if(0===t.length)this.removeTraits(e,t);else{for(var n,o={},i=0,r=t.length;r>i;i++)n=this.getItem(t[i]),n&&(o[n.id]=n);var s,a=this.traitsToItems[e]||{},l=[];for(s in a)a.hasOwnProperty(s)&&(o.hasOwnProperty(s)?delete o[s]:l.push(a[s]));for(var i=0,r=l.length;r>i;i++)n=l[i],n.removeTrait(e),delete a[n.id];for(s in o)o.hasOwnProperty(s)&&(n=o[s],n.addTrait(e),a[s]=n);this.traitsToItems[e]=a}},t.prototype.getElementsWithTrait=function(e,t){var n,o=[],i=this.traitsToItems[e]||{};for(n in i)i.hasOwnProperty(n)&&(i[n].isVisible()||t)&&o.push(i[n].getElement());return o},t.prototype.dispose=function(){this.registry&&(this.registry.dispose(),this.registry=null),e.prototype.dispose.call(this)},t}(s.EventEmitter);t.TreeModel=f});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/parts/tree/browser/treeViewModel",["require","exports","vs/base/common/eventEmitter","vs/base/common/iterator"],function(e,t,n,o){"use strict";var i=function(e){function t(){e.call(this),this.heightMap=[],this.indexes={}}return __extends(t,e),t.prototype.getTotalHeight=function(){var e=this.heightMap[this.heightMap.length-1];return e?e.top+e.height:0},t.prototype.onInsertItems=function(e,t){void 0===t&&(t=null);var n,o,i,r,s,a=0;if(null===t)i=0,s=0;else{if(i=this.indexes[t]+1,o=this.heightMap[i-1],!o)throw new Error("Tree error, onInsertItems: viewItem doesn't exist.");s=o.top+o.height}for(var l=this.heightMap.splice.bind(this.heightMap,i,0),u=[];n=e.next();)o=this.createViewItem(n),o.top=s+a,this.emit("viewItem:create",{item:o.model}),this.indexes[n.id]=i++,u.push(o),a+=o.height;for(l.apply(this.heightMap,u),r=i;r<this.heightMap.length;r++)o=this.heightMap[r],o.top+=a,this.indexes[o.model.id]=r;for(r=u.length-1;r>=0;r--)this.onInsertItem(u[r]);for(r=this.heightMap.length-1;r>=i;r--)this.onRefreshItem(this.heightMap[r]);return a},t.prototype.onInsertItem=function(e){},t.prototype.onRemoveItems=function(e){for(var t,n,o,i=null,r=0;t=e.next();){if(o=this.indexes[t],n=this.heightMap[o],!n)throw new Error("Tree error, onRemoveItems: viewItem doesn't exist.");r-=n.height,delete this.indexes[t],this.onRemoveItem(n),null===i&&(i=o)}if(0!==r)for(this.heightMap.splice(i,o-i+1),o=i;o<this.heightMap.length;o++)n=this.heightMap[o],n.top+=r,this.indexes[n.model.id]=o,this.onRefreshItem(n)},t.prototype.onRemoveItem=function(e){},t.prototype.onRefreshItemSet=function(e){var t=this,n=e.sort(function(e,n){return t.indexes[e.id]-t.indexes[n.id]});this.onRefreshItems(new o.ArrayIterator(n))},t.prototype.onRefreshItems=function(e){for(var t,n,o,i,r=null,s=0;t=e.next();){for(i=this.indexes[t.id];0!==s&&null!==r&&i>r;r++)n=this.heightMap[r],n.top+=s,this.onRefreshItem(n);n=this.heightMap[i],o=t.getHeight(),n.top+=s,s+=o-n.height,n.height=o,this.onRefreshItem(n,!0),r=i+1}if(0!==s&&null!==r)for(;r<this.heightMap.length;r++)n=this.heightMap[r],n.top+=s,this.onRefreshItem(n)},t.prototype.onRefreshItem=function(e,t){void 0===t&&(t=!1)},t.prototype.itemsCount=function(){return this.heightMap.length},t.prototype.itemAt=function(e){return this.heightMap[this.indexAt(e)].model.id},t.prototype.withItemsInRange=function(e,t,n){e=this.indexAt(e),t=this.indexAt(t);for(var o=e;t>=o;o++)n(this.heightMap[o].model.id)},t.prototype.indexAt=function(e){for(var t,n,o=0,i=this.heightMap.length;i>o;)if(t=Math.floor((o+i)/2),n=this.heightMap[t],e<n.top)i=t;else{if(!(e>=n.top+n.height))return t;if(o===t)break;o=t}return this.heightMap.length},t.prototype.indexAfter=function(e){return Math.min(this.indexAt(e)+1,this.heightMap.length)},t.prototype.itemAtIndex=function(e){return this.heightMap[e]},t.prototype.itemAfter=function(e){return this.heightMap[this.indexes[e.model.id]+1]||null},t.prototype.createViewItem=function(e){throw new Error("not implemented")},t.prototype.dispose=function(){this.heightMap=null,this.indexes=null},t}(n.EventEmitter);t.HeightMap=i}),define("vs/editor/browser/standalone/colorizer",["require","exports","vs/base/common/async","vs/base/common/winjs.base","vs/editor/common/viewLayout/viewLineRenderer","vs/editor/common/core/viewLineToken"],function(e,t,n,o,i,r){"use strict";function s(e,t,n){var o,s,a,l,u,c=t.tokenizationSupport,d=[],h=c.getInitialState(),p=[];for(o=0,s=e.length;s>o;o++)a=e[o],l=c.tokenize(a,h),l.retokenize&&p.push(l.retokenize),u=i.renderLine(new i.RenderLineInput(a,n,0,-1,!1,l.tokens.map(function(e){return new r.ViewLineToken(e.startIndex,e.type)}))),d=d.concat(u.output),d.push("<br/>"),h=l.endState;return{result:d.join(""),retokenize:p}}var a=function(){function e(){}return e.colorizeElement=function(e,t,n){n=n||{};var o=n.theme||"vs",i=n.mimeType||t.getAttribute("lang")||t.getAttribute("data-lang");if(!i)return void console.error("Mode not detected");var r=t.firstChild.nodeValue;t.className+="monaco-editor "+o;var s=function(e){t.innerHTML=e};return this.colorize(e,r,i,n).then(s,function(e){return console.error(e)},s)},e.colorize=function(e,t,i,r){r=r||{},"undefined"==typeof r.tabSize&&(r.tabSize=4);var a,l,u,c,d=t.split("\n"),h=!1,p=new o.TPromise(function(e,t,n){a=e,l=t,u=n},function(){h=!0}),m=new n.RunOnceScheduler(function(){if(!h){var e=s(d,c,r.tabSize);e.retokenize.length>0?(e.retokenize.forEach(function(e){return e.then(f)}),u(e.result)):a(e.result)}},0),f=function(){return m.schedule()};return e.getOrCreateMode(i).then(function(e){return e?e.tokenizationSupport?(c=e,void f()):void l('Mode found ("'+e.getId()+'"), but does not support tokenization.'):void l('Mode not found: "'+i+'".')}),p},e.colorizeLine=function(e,t,n){void 0===n&&(n=4);var o=i.renderLine(new i.RenderLineInput(e,n,0,-1,!1,t));return o.output},e.colorizeModelLine=function(e,t,n){void 0===n&&(n=4);var o=e.getLineContent(t),i=e.getLineTokens(t,!1),r=i.inflate();return this.colorizeLine(o,r,n)},e}();t.Colorizer=a}),define("vs/editor/browser/view/viewEventDispatcher",["require","exports","vs/base/common/eventEmitter"],function(e,t,n){"use strict";var o=function(){function e(e){this._eventHandlerGateKeeper=e,this._eventHandlers=[],this._eventQueue=null,this._isConsumingQueue=!1}return e.prototype.addEventHandler=function(e){for(var t=0,n=this._eventHandlers.length;n>t;t++)this._eventHandlers[t]===e&&console.warn("Detected duplicate listener in ViewEventDispatcher",e);this._eventHandlers.push(e);
},e.prototype.removeEventHandler=function(e){for(var t=0;t<this._eventHandlers.length;t++)if(this._eventHandlers[t]===e){this._eventHandlers.splice(t,1);break}},e.prototype.emit=function(e,t){var o=new n.EmitterEvent(e,t);this._eventQueue?this._eventQueue.push(o):this._eventQueue=[o],this._isConsumingQueue||this.consumeQueue()},e.prototype.emitMany=function(e){this._eventQueue?this._eventQueue=this._eventQueue.concat(e):this._eventQueue=e,this._isConsumingQueue||this.consumeQueue()},e.prototype.consumeQueue=function(){var e=this;this._eventHandlerGateKeeper(function(){try{e._isConsumingQueue=!0,e._doConsumeQueue()}finally{e._isConsumingQueue=!1}})},e.prototype._doConsumeQueue=function(){for(;this._eventQueue;){var e=this._eventQueue;this._eventQueue=null;for(var t=this._eventHandlers.slice(0),n=0,o=t.length;o>n;n++)t[n].handleEvents(e)}},e}();t.ViewEventDispatcher=o});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/editorAction",["require","exports","vs/base/common/actions","vs/base/common/strings","vs/base/common/winjs.base","vs/editor/common/editorActionEnablement"],function(e,t,n,o,i,r){"use strict";function s(e,t,n){if(e.getLineContent().length<=t)return!1;for(var i=e.findIndexOfOffset(t),r=e.getTokenType(i),s=0,a=n.length;a>s;s++)if(""===n[s]){if(""===r)return!0}else if(o.startsWith(r,n[s]))return!0;return!1}var a=r.Behaviour.TextFocus|r.Behaviour.Writeable|r.Behaviour.UpdateOnModelChange,l=function(e){function t(t,n,o){void 0===o&&(o=a),e.call(this,t.id),this.editor=n,this._descriptor=t,this.label=t.label||"",this._enablementState=r.createActionEnablement(n,o,this),this._shouldShowInContextMenu=!!(o&r.Behaviour.ShowInContextMenu),this._supportsReadonly=!(o&r.Behaviour.Writeable)}return __extends(t,e),t.prototype.getId=function(){return this.id},t.prototype.dispose=function(){this._enablementState.dispose(),e.prototype.dispose.call(this)},t.prototype.getGroupId=function(){return this.id},t.prototype.shouldShowInContextMenu=function(){return this._shouldShowInContextMenu},t.prototype.getDescriptor=function(){return this._descriptor},Object.defineProperty(t.prototype,"enabled",{get:function(){return this._enablementState.value()},set:function(e){var t=new Error;console.log("setting EditorAction.enabled is UNCOOL. Use resetEnablementState and getEnablementState"),console.log(t.stack)},enumerable:!0,configurable:!0}),t.prototype.resetEnablementState=function(){this._enablementState.reset()},t.prototype.isSupported=function(){if(!this._supportsReadonly){if(this.editor.getConfiguration().readOnly)return!1;var e=this.editor.getModel();if(e&&e.hasEditableRange())return!1}return!0},t.prototype.getEnablementState=function(){return!0},t.prototype.getAlias=function(){return this._descriptor.alias},t}(n.Action);t.EditorAction=l;var u=function(e){function t(t,n,o){e.call(this,t,n),this._handlerId=o}return __extends(t,e),t.prototype.run=function(){return this.editor.trigger(this.getId(),this._handlerId,null),i.TPromise.as(!0)},t}(l);t.HandlerEditorAction=u;var c=function(e){function t(n,o){var i=n.enablement||{};e.call(this,{id:n.id,label:n.label},o,t._transformBehaviour(i,n.contextMenuGroupId)),this._contextMenuGroupId=n.contextMenuGroupId,this._run=n.run,this._tokensAtPosition=i.tokensAtPosition,this._wordAtPosition=i.wordAtPosition}return __extends(t,e),t._transformBehaviour=function(e,t){var n=0;return t?n|=r.Behaviour.ShowInContextMenu:e.textFocus&&(n|=r.Behaviour.TextFocus),e.widgetFocus&&(n|=r.Behaviour.WidgetFocus),e.writeableEditor&&(n|=r.Behaviour.Writeable),"undefined"!=typeof e.tokensAtPosition&&(n|=r.Behaviour.UpdateOnCursorPositionChange),"undefined"!=typeof e.wordAtPosition&&(n|=r.Behaviour.UpdateOnCursorPositionChange),n},t.prototype.getGroupId=function(){return this._contextMenuGroupId},t.prototype.run=function(){return i.TPromise.as(this._run(this.editor))},t.prototype.getEnablementState=function(){return this._getEnablementOnTokens()&&this._getEnablementOnWord()},t.prototype._getEnablementOnTokens=function(){if(!this._tokensAtPosition)return!0;var e=this.editor.getModel(),t=this.editor.getSelection().getStartPosition(),n=e.getLineContext(t.lineNumber),o=t.column-1;return s(n,o,this._tokensAtPosition)},t.prototype._getEnablementOnWord=function(){if(!this._wordAtPosition)return!0;var e=this.editor.getModel(),t=this.editor.getSelection().getStartPosition(),n=e.getWordAtPosition(t);return!!n},t}(l);t.DynamicEditorAction=c}),define("vs/editor/common/model/editStack",["require","exports","vs/base/common/errors"],function(e,t,n){"use strict";var o=function(){function e(e){this.model=e,this.currentOpenStackElement=null,this.past=[],this.future=[]}return e.prototype.pushStackElement=function(){null!==this.currentOpenStackElement&&(this.past.push(this.currentOpenStackElement),this.currentOpenStackElement=null)},e.prototype.clear=function(){this.currentOpenStackElement=null,this.past=[],this.future=[]},e.prototype.pushEditOperation=function(e,t,o){this.future=[],this.currentOpenStackElement||(this.currentOpenStackElement={beforeVersionId:this.model.getAlternativeVersionId(),beforeCursorState:e,editOperations:[],afterCursorState:null,afterVersionId:-1});var i={operations:this.model.applyEdits(t)};this.currentOpenStackElement.editOperations.push(i);try{this.currentOpenStackElement.afterCursorState=o?o(i.operations):null}catch(r){n.onUnexpectedError(r),this.currentOpenStackElement.afterCursorState=null}return this.currentOpenStackElement.afterVersionId=this.model.getVersionId(),this.currentOpenStackElement.afterCursorState},e.prototype.undo=function(){if(this.pushStackElement(),this.past.length>0){var e=this.past.pop();try{for(var t=e.editOperations.length-1;t>=0;t--)e.editOperations[t]={operations:this.model.applyEdits(e.editOperations[t].operations)}}catch(n){return this.clear(),null}return this.future.push(e),{selections:e.beforeCursorState,recordedVersionId:e.beforeVersionId}}return null},e.prototype.redo=function(){if(this.future.length>0){if(this.currentOpenStackElement)throw new Error("How is this possible?");var e=this.future.pop();try{for(var t=0;t<e.editOperations.length;t++)e.editOperations[t]={operations:this.model.applyEdits(e.editOperations[t].operations)}}catch(n){return this.clear(),null}return this.past.push(e),{selections:e.afterCursorState,recordedVersionId:e.afterVersionId}}return null},e}();t.EditStack=o}),define("vs/editor/common/model/tokensBinaryEncoding",["require","exports","vs/base/common/errors","vs/base/common/strings","vs/editor/common/core/viewLineToken"],function(e,t,n,o,i){"use strict";var r=4294967295,s=65535,a=1,l=Math.pow(2,32),u=new i.ViewLineToken(0,""),c=[],d=[],h=[u],p=[0],m=function(){function e(){this._inflate=[""],this._deflate={"":0}}return e}();t.TokensInflatorMap=m;var f=function(){function e(){}return e.deflateArr=function(e,t){if(0===t.length)return d;if(1===t.length&&0===t[0].startIndex&&!t[0].type)return p;var o,i,r,s,u,c=e._inflate,h=e._deflate,m=-1,f=new Array(t.length);for(o=0,i=t.length;i>o;o++)u=t[o],u.startIndex<=m&&(u.startIndex=m+1,n.onUnexpectedError({message:"Invalid tokens detected",tokens:t})),h.hasOwnProperty(u.type)?r=h[u.type]:(r=c.length,h[u.type]=r,c.push(u.type)),s=r*l+u.startIndex*a,f[o]=s,m=u.startIndex;return f},e.getStartIndex=function(e){return e/a&r},e.getType=function(e,t){var n=t/l&s;return 0===n?o.empty:e._inflate[n]},e.inflateArr=function(e,t){if(0===t.length)return c;if(1===t.length&&0===t[0])return h;for(var n=[],o=e._inflate,u=0,d=t.length;d>u;u++){var p=t[u],m=p/a&r,f=p/l&s;n.push(new i.ViewLineToken(m,o[f]))}return n},e.findIndexOfOffset=function(e,t){return this.findIndexInSegmentsArray(e,t)},e.sliceAndInflate=function(e,t,n,o,u){if(0===t.length)return c;if(1===t.length&&0===t[0])return h;var d=this.findIndexInSegmentsArray(t,n),p=[],m=e._inflate,f=t[d],g=f/l&s,v=0;p.push(new i.ViewLineToken(v,m[g]));for(var y=d+1,_=t.length;_>y;y++){f=t[y];var b=f/a&r;if(b>=o)break;g=f/l&s,v=b-n+u,p.push(new i.ViewLineToken(v,m[g]))}return p},e.findIndexInSegmentsArray=function(e,t){for(var n,o,i=0,r=e.length-1;r>i;)n=i+Math.ceil((r-i)/2),o=4294967295&e[n],o>t?r=n-1:i=n;return i},e.START_INDEX_MASK=r,e.TYPE_MASK=s,e.START_INDEX_OFFSET=a,e.TYPE_OFFSET=l,e}();t.TokensBinaryEncoding=f}),define("vs/editor/common/model/modelLine",["require","exports","vs/base/common/strings","vs/editor/common/model/tokensBinaryEncoding","vs/editor/common/core/modeTransition","vs/editor/common/core/viewLineToken"],function(e,t,n,o,i,r){"use strict";function s(e,t,n){if(0===n)return null;if(!t||0===t.length)return null;if(1===t.length&&0===t[0].startIndex&&""===t[0].type)return null;var i=o.TokensBinaryEncoding.deflateArr(e,t);return new v(e,i)}function a(e,t,n){return 0===n?null:t&&0!==t.length?1===t.length&&0===t[0]?null:new v(e,t):null}function l(e,t){return t&&0!==t.length?1===t.length&&0===t[0].startIndex&&t[0].mode===e?null:t:null}var u,c=o.TokensBinaryEncoding.START_INDEX_MASK,d=o.TokensBinaryEncoding.TYPE_MASK,h=o.TokensBinaryEncoding.START_INDEX_OFFSET,p=o.TokensBinaryEncoding.TYPE_OFFSET,m={adjust:function(){},finish:function(){}},f={adjustDelta:function(){},adjustSet:function(){},finish:function(){}};!function(e){e[e.MarkerDefined=0]="MarkerDefined",e[e.ForceMove=1]="ForceMove",e[e.ForceStay=2]="ForceStay"}(u||(u={}));var g=function(){function e(e,t){this._lineNumber=0|e,this._text=t,this._isInvalid=!1,this._state=null,this._modeTransitions=null,this._lineTokens=null,this._markers=null}return Object.defineProperty(e.prototype,"lineNumber",{get:function(){return this._lineNumber},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"text",{get:function(){return this._text},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"isInvalid",{get:function(){return this._isInvalid},set:function(e){this._isInvalid=e},enumerable:!0,configurable:!0}),e.prototype.setState=function(e){this._state=e},e.prototype.getState=function(){return this._state||null},e.prototype.getModeTransitions=function(e){return this._modeTransitions?this._modeTransitions:[new i.ModeTransition(0,e)]},e.prototype.setTokens=function(e,t,n,o){this._lineTokens=s(e,t,this._text.length),this._modeTransitions=l(n,o)},e.prototype._setLineTokensFromDeflated=function(e,t){this._lineTokens=a(e,t,this._text.length)},e.prototype.getTokens=function(){return this._lineTokens?this._lineTokens:0===this._text.length?y.INSTANCE:_.INSTANCE},e.prototype._createTokensAdjuster=function(){if(!this._lineTokens)return m;var e=this._lineTokens,t=e.getBinaryEncodedTokens(),n=t.length,o=0,i=0,r=function(e,r,s){for(var a=s-1;e>i&&n>o;){if(i>0&&0!==r){var l=t[o]/p&d,u=Math.max(a,i+r),m=l*p+u*h;if(0>r)for(;o>0;){var f=t[o-1]/h&c;if(!(f>=u))break;t.splice(o-1,1),n--,o--}t[o]=m}o++,n>o&&(i=t[o]/h&c)}},s=function(e,t){r(Number.MAX_VALUE,e,1)};return{adjust:r,finish:s}},e.prototype._setText=function(e){if(this._text=e,this._lineTokens){for(var t=this._lineTokens.getBinaryEncodedTokensMap(),n=this._lineTokens.getBinaryEncodedTokens(),o=this._text.length;n.length>0;){var i=n[n.length-1]/h&c;if(o>i)break;n.pop()}this._setLineTokensFromDeflated(t,n)}},e.prototype._createMarkersAdjuster=function(t){var n=this;if(!this._markers)return f;if(0===this._markers.length)return f;this._markers.sort(e._compareMarkers);var o=this._markers,i=o.length,r=0,s=o[r],a=function(e,t){return s.column<e?!0:s.column>e?!1:t===u.ForceMove?!1:t===u.ForceStay?!0:s.stickToPreviousCharacter},l=function(e,l,u,c){for(;i>r&&a(e,c);){if(0!==l){var d=Math.max(u,s.column+l);s.column!==d&&(t[s.id]=!0,s.oldLineNumber=s.oldLineNumber||n._lineNumber,s.oldColumn=s.oldColumn||s.column,s.column=d)}r++,i>r&&(s=o[r])}},c=function(e,l,u){for(;i>r&&a(e,u);)s.column!==l&&(t[s.id]=!0,s.oldLineNumber=s.oldLineNumber||n._lineNumber,s.oldColumn=s.oldColumn||s.column,s.column=l),r++,i>r&&(s=o[r])},d=function(e,t){l(Number.MAX_VALUE,e,1,u.MarkerDefined)};return{adjustDelta:l,adjustSet:c,finish:d}},e.prototype.applyEdits=function(e,t){for(var n=0,o=this._text,i=this._createTokensAdjuster(),r=this._createMarkersAdjuster(e),s=0,a=t.length;a>s;s++){var l=t[s],c=n+l.startColumn,d=n+l.endColumn,h=d-c,p=l.text.length;i.adjust(l.startColumn-1,n,1),r.adjustDelta(l.startColumn,n,1,l.forceMoveMarkers?u.ForceMove:h>0?u.ForceStay:u.MarkerDefined);var m=Math.min(h,p);m>0&&(i.adjust(l.startColumn-1+m,n,c),l.forceMoveMarkers||r.adjustDelta(l.startColumn+m,n,c,l.forceMoveMarkers?u.ForceMove:h>p?u.ForceStay:u.MarkerDefined)),o=o.substring(0,c-1)+l.text+o.substring(d-1),n+=p-h,i.adjust(l.endColumn,n,c),r.adjustSet(l.endColumn,c+p,l.forceMoveMarkers?u.ForceMove:u.MarkerDefined)}return i.finish(n,o.length),r.finish(n,o.length),this._setText(o),n},e.prototype.split=function(t,n,o){var i=this._text.substring(0,n-1),r=this._text.substring(n-1),s=null;if(this._markers){this._markers.sort(e._compareMarkers);for(var a=0,l=this._markers.length;l>a;a++){var u=this._markers[a];if(u.column>n||u.column===n&&(o||!u.stickToPreviousCharacter)){var c=this._markers.slice(0,a);s=this._markers.slice(a),this._markers=c;break}}if(s)for(var a=0,l=s.length;l>a;a++){var u=s[a];t[u.id]=!0,u.oldLineNumber=u.oldLineNumber||this._lineNumber,u.oldColumn=u.oldColumn||u.column,u.column-=n-1}}this._setText(i);var d=new e(this._lineNumber+1,r);return s&&d.addMarkers(s),d},e.prototype.append=function(e,t){var n=this._text.length;this._setText(this._text+t._text);var o=t._lineTokens;if(o){var i=o.getBinaryEncodedTokens();if(n>0)for(var r=0,s=i.length;s>r;r++){var a=i[r],l=a/h&c,u=a/p&d,m=l+n,f=u*p+m*h;i[r]=f}var g=this._lineTokens;g?this._setLineTokensFromDeflated(g.getBinaryEncodedTokensMap(),g.getBinaryEncodedTokens().concat(i)):this._setLineTokensFromDeflated(o.getBinaryEncodedTokensMap(),i)}if(t._markers){for(var v=t._markers,r=0,s=v.length;s>r;r++){var y=v[r];e[y.id]=!0,y.oldLineNumber=y.oldLineNumber||t.lineNumber,y.oldColumn=y.oldColumn||y.column,y.column+=n}this.addMarkers(v)}},e.prototype.addMarker=function(e){e.line=this,this._markers?this._markers.push(e):this._markers=[e]},e.prototype.addMarkers=function(e){if(0!==e.length){var t,n;for(t=0,n=e.length;n>t;t++)e[t].line=this;this._markers?this._markers=this._markers.concat(e):this._markers=e.slice(0)}},e._compareMarkers=function(e,t){return e.column===t.column?(e.stickToPreviousCharacter?0:1)-(t.stickToPreviousCharacter?0:1):e.column-t.column},e.prototype.removeMarker=function(e){if(this._markers){var t=this._indexOfMarkerId(e.id);t>=0&&(e.line=null,this._markers.splice(t,1)),0===this._markers.length&&(this._markers=null)}},e.prototype.removeMarkers=function(e){if(this._markers){for(var t=0,n=this._markers.length;n>t;t++){var o=this._markers[t];e[o.id]&&(o.line=null,this._markers.splice(t,1),n--,t--)}0===this._markers.length&&(this._markers=null)}},e.prototype.getMarkers=function(){return this._markers?this._markers.slice(0):[]},e.prototype.updateLineNumber=function(e,t){if(this._markers){var n,o,i,r=this._markers;for(n=0,o=r.length;o>n;n++)i=r[n],e[i.id]=!0,i.oldLineNumber=i.oldLineNumber||this._lineNumber}this._lineNumber=t},e.prototype.deleteLine=function(e,t,n){if(this._markers){var o,i,r,s=this._markers;for(o=0,i=s.length;i>o;o++)r=s[o],e[r.id]=!0,r.oldColumn=r.oldColumn||r.column,r.oldLineNumber=r.oldLineNumber||n,r.column=t;return s}return[]},e.prototype._indexOfMarkerId=function(e){for(var t=this._markers,n=0,o=t.length;o>n;n++)if(t[n].id===e)return n},e}();t.ModelLine=g;var v=function(){function e(e,t){this.map=e,this._tokens=t}return e.prototype.getBinaryEncodedTokensMap=function(){return this.map},e.prototype.getBinaryEncodedTokens=function(){return this._tokens},e.prototype.getTokenCount=function(){return this._tokens.length},e.prototype.getTokenStartIndex=function(e){return o.TokensBinaryEncoding.getStartIndex(this._tokens[e])},e.prototype.getTokenType=function(e){return o.TokensBinaryEncoding.getType(this.map,this._tokens[e])},e.prototype.getTokenEndIndex=function(e,t){return e+1<this._tokens.length?o.TokensBinaryEncoding.getStartIndex(this._tokens[e+1]):t},e.prototype.equals=function(t){if(t instanceof e){if(this.map!==t.map)return!1;if(this._tokens.length!==t._tokens.length)return!1;for(var n=0,o=this._tokens.length;o>n;n++)if(this._tokens[n]!==t._tokens[n])return!1;return!0}return t instanceof e?void 0:!1},e.prototype.findIndexOfOffset=function(e){return o.TokensBinaryEncoding.findIndexOfOffset(this._tokens,e)},e.prototype.inflate=function(){return o.TokensBinaryEncoding.inflateArr(this.map,this._tokens)},e.prototype.sliceAndInflate=function(e,t,n){return o.TokensBinaryEncoding.sliceAndInflate(this.map,this._tokens,e,t,n)},e}();t.LineTokens=v;var y=function(){function e(){}return e.prototype.getTokenCount=function(){return 0},e.prototype.getTokenStartIndex=function(e){return 0},e.prototype.getTokenType=function(e){return n.empty},e.prototype.getTokenEndIndex=function(e,t){return 0},e.prototype.equals=function(e){return e===this},e.prototype.findIndexOfOffset=function(e){return 0},e.prototype.inflate=function(){return[]},e.prototype.sliceAndInflate=function(e,t,n){return[]},e.INSTANCE=new e,e}(),_=function(){function e(){}return e.prototype.getTokenCount=function(){return 1},e.prototype.getTokenStartIndex=function(e){return 0},e.prototype.getTokenType=function(e){return n.empty},e.prototype.getTokenEndIndex=function(e,t){return t},e.prototype.equals=function(e){return this===e},e.prototype.findIndexOfOffset=function(e){return 0},e.prototype.inflate=function(){return[new r.ViewLineToken(0,"")]},e.prototype.sliceAndInflate=function(e,t,n){return[new r.ViewLineToken(0,"")]},e.INSTANCE=new e,e}();t.DefaultLineTokens=_}),define("vs/editor/common/modes/languageFeatureRegistry",["require","exports","vs/base/common/event","vs/editor/common/modes/languageSelector"],function(e,t,n,o){"use strict";var i=function(){function e(){this._clock=0,this._entries=[],this._onDidChange=new n.Emitter}return Object.defineProperty(e.prototype,"onDidChange",{get:function(){return this._onDidChange.event},enumerable:!0,configurable:!0}),e.prototype.register=function(e,t,n){var o=this;void 0===n&&(n=!1);var i={selector:e,provider:t,isBuiltin:n,_score:-1,_time:this._clock++};return this._entries.push(i),this._lastCandidate=void 0,this._onDidChange.fire(this._entries.length),{dispose:function(){if(i){var e=o._entries.indexOf(i);e>=0&&(o._entries.splice(e,1),o._lastCandidate=void 0,o._onDidChange.fire(o._entries.length),i=void 0)}}}},e.prototype.has=function(e){return this.all(e).length>0},e.prototype.all=function(e){if(!e||e.isTooLargeForHavingAMode())return[];this._updateScores(e);for(var t=[],n=0,o=this._entries;n<o.length;n++){var i=o[n];i._score>0&&t.push(i.provider)}return t},e.prototype.ordered=function(e){var t=[];return this._orderedForEach(e,function(e){return t.push(e.provider)}),t},e.prototype.orderedGroups=function(e){var t,n,o=[];return this._orderedForEach(e,function(e){t&&n===e._score?t.push(e.provider):(n=e._score,t=[e.provider],o.push(t))}),o},e.prototype._orderedForEach=function(e,t){if(e&&!e.isTooLargeForHavingAMode()){this._updateScores(e);for(var n=0;n<this._entries.length;n++){var o=this._entries[n];o._score>0&&t(o)}}},e.prototype._updateScores=function(t){var n={uri:t.uri.toString(),language:t.getModeId()};if(!this._lastCandidate||this._lastCandidate.language!==n.language||this._lastCandidate.uri!==n.uri){this._lastCandidate=n;for(var i=0,r=this._entries;i<r.length;i++){var s=r[i];s._score=o.score(s.selector,t.uri,t.getModeId()),s.isBuiltin&&s._score>0&&(s._score=.5,s._time=-1)}this._entries.sort(e._compareByScoreAndTime)}},e._compareByScoreAndTime=function(e,t){return e._score<t._score?1:e._score>t._score?-1:e._time<t._time?1:e._time>t._time?-1:0},e}();Object.defineProperty(t,"__esModule",{value:!0}),t["default"]=i}),define("vs/editor/common/modes",["require","exports","vs/editor/common/modes/languageFeatureRegistry"],function(e,t,n){"use strict";function o(e){if(e===i.RichEditSupport)return"richEditSupport";if(e===i.TokenizationSupport)return"tokenizationSupport";throw new Error("Illegal argument!")}!function(e){e[e.RichEditSupport=1]="RichEditSupport",e[e.TokenizationSupport=2]="TokenizationSupport"}(t.MutableSupport||(t.MutableSupport={}));var i=t.MutableSupport;t.mutableSupportToString=o,function(e){e[e.Text=0]="Text",e[e.Read=1]="Read",e[e.Write=2]="Write"}(t.DocumentHighlightKind||(t.DocumentHighlightKind={}));t.DocumentHighlightKind;!function(e){e[e.File=0]="File",e[e.Module=1]="Module",e[e.Namespace=2]="Namespace",e[e.Package=3]="Package",e[e.Class=4]="Class",e[e.Method=5]="Method",e[e.Property=6]="Property",e[e.Field=7]="Field",e[e.Constructor=8]="Constructor",e[e.Enum=9]="Enum",e[e.Interface=10]="Interface",e[e.Function=11]="Function",e[e.Variable=12]="Variable",e[e.Constant=13]="Constant",e[e.String=14]="String",e[e.Number=15]="Number",e[e.Boolean=16]="Boolean",e[e.Array=17]="Array",e[e.Object=18]="Object",e[e.Key=19]="Key",e[e.Null=20]="Null"}(t.SymbolKind||(t.SymbolKind={}));var r,r=t.SymbolKind;!function(e){function t(t){switch(t){case e.Method:return"method";case e.Function:return"function";case e.Constructor:return"constructor";case e.Variable:return"variable";case e.Class:return"class";case e.Interface:return"interface";case e.Namespace:return"namespace";case e.Package:return"package";case e.Module:return"module";case e.Property:return"property";case e.Enum:return"enum";case e.String:return"string";case e.File:return"file";case e.Array:return"array";case e.Number:return"number";case e.Boolean:return"boolean";case e.Object:return"object";case e.Key:return"key";case e.Null:return"null"}return"property"}function n(t){switch(t){case"method":return e.Method;case"function":return e.Function;case"constructor":return e.Constructor;case"variable":return e.Variable;case"class":return e.Class;case"interface":return e.Interface;case"namespace":return e.Namespace;case"package":return e.Package;case"module":return e.Module;case"property":return e.Property;case"enum":return e.Enum;case"string":return e.String;case"file":return e.File;case"array":return e.Array;case"number":return e.Number;case"boolean":return e.Boolean;case"object":return e.Object;case"key":return e.Key;case"null":return e.Null}return e.Property}e.from=t,e.to=n}(r=t.SymbolKind||(t.SymbolKind={})),function(e){e[e.None=0]="None",e[e.Indent=1]="Indent",e[e.IndentOutdent=2]="IndentOutdent",e[e.Outdent=3]="Outdent"}(t.IndentAction||(t.IndentAction={}));t.IndentAction;t.ReferenceProviderRegistry=new n["default"],t.RenameProviderRegistry=new n["default"],t.SuggestRegistry=new n["default"],t.SignatureHelpProviderRegistry=new n["default"],t.HoverProviderRegistry=new n["default"],t.DocumentSymbolProviderRegistry=new n["default"],t.DocumentHighlightProviderRegistry=new n["default"],t.DefinitionProviderRegistry=new n["default"],t.CodeLensProviderRegistry=new n["default"],t.CodeActionProviderRegistry=new n["default"],t.DocumentFormattingEditProviderRegistry=new n["default"],t.DocumentRangeFormattingEditProviderRegistry=new n["default"],t.OnTypeFormattingEditProviderRegistry=new n["default"],t.LinkProviderRegistry=new n["default"]}),define("vs/editor/common/modes/supports/onEnter",["require","exports","vs/base/common/errors","vs/base/common/strings","vs/editor/common/core/position","vs/editor/common/modes","vs/editor/common/modes/supports"],function(e,t,n,o,i,r,s){"use strict";function a(e,t,o){var r,s=e.getMode().richEditSupport;if(s&&s.onEnter)try{r=s.onEnter.onEnter(e,new i.Position(t,o))}catch(a){n.onUnexpectedError(a)}return r}function l(e,t,n){var i=e.getLineContent(t),s=o.getLeadingWhitespace(i);s.length>n-1&&(s=s.substring(0,n-1));var l=a(e,t,n);return l?l.appendText||(l.indentAction===r.IndentAction.Indent||l.indentAction===r.IndentAction.IndentOutdent?l.appendText="	":l.appendText=""):l={indentAction:r.IndentAction.None,appendText:""},l.removeText&&(s=s.substring(0,s.length-1)),{enterAction:l,indentation:s}}var u=function(){function e(t,n){n=n||{},n.brackets=n.brackets||[["(",")"],["{","}"],["[","]"]],this._modeId=t,this._brackets=n.brackets.map(function(t){return{open:t[0],openRegExp:e._createOpenBracketRegExp(t[0]),close:t[1],closeRegExp:e._createCloseBracketRegExp(t[1])}}),this._regExpRules=n.regExpRules||[],this._indentationRules=n.indentationRules}return e.prototype.onEnter=function(e,t){var n=this,o=e.getLineContext(t.lineNumber);return s.handleEvent(o,t.column-1,function(o,i,r){return n._modeId===o.getId()?n._onEnter(e,t):o.richEditSupport&&o.richEditSupport.onEnter?o.richEditSupport.onEnter.onEnter(e,t):null})},e.prototype._onEnter=function(e,t){var n=e.getLineContent(t.lineNumber),o=n.substr(0,t.column-1),i=n.substr(t.column-1),r=1===t.lineNumber?"":e.getLineContent(t.lineNumber-1);return this._actualOnEnter(r,o,i)},e.prototype._actualOnEnter=function(t,n,o){for(var i=0,r=this._regExpRules.length;r>i;i++){var s=this._regExpRules[i];if(s.beforeText.test(n)){if(!s.afterText)return s.action;if(s.afterText.test(o))return s.action}}if(n.length>0&&o.length>0)for(var i=0,r=this._brackets.length;r>i;i++){var a=this._brackets[i];if(a.openRegExp.test(n)&&a.closeRegExp.test(o))return e._INDENT_OUTDENT}if(this._indentationRules){if(this._indentationRules.increaseIndentPattern&&this._indentationRules.increaseIndentPattern.test(n))return e._INDENT;if(this._indentationRules.indentNextLinePattern&&this._indentationRules.indentNextLinePattern.test(n))return e._INDENT;if(/^\s/.test(n)){if(this._indentationRules.decreaseIndentPattern&&this._indentationRules.decreaseIndentPattern.test(o))return e._OUTDENT;if(this._indentationRules.indentNextLinePattern&&this._indentationRules.indentNextLinePattern.test(t))return e._OUTDENT}}if(n.length>0)for(var i=0,r=this._brackets.length;r>i;i++){var a=this._brackets[i];if(a.openRegExp.test(n))return e._INDENT}return null},e._createOpenBracketRegExp=function(t){var n=o.escapeRegExpCharacters(t);return/\B/.test(n.charAt(0))||(n="\\b"+n),n+="\\s*$",e._safeRegExp(n)},e._createCloseBracketRegExp=function(t){var n=o.escapeRegExpCharacters(t);return/\B/.test(n.charAt(n.length-1))||(n+="\\b"),n="^\\s*"+n,e._safeRegExp(n)},e._safeRegExp=function(e){try{return new RegExp(e)}catch(t){return n.onUnexpectedError(t),null}},e._INDENT={indentAction:r.IndentAction.Indent},e._INDENT_OUTDENT={indentAction:r.IndentAction.IndentOutdent},e._OUTDENT={indentAction:r.IndentAction.Outdent},e}();t.OnEnterSupport=u,t.getRawEnterActionAtPosition=a,t.getEnterActionAtPosition=l}),define("vs/editor/common/commands/shiftCommand",["require","exports","vs/base/common/strings","vs/editor/common/controller/cursorMoveHelper","vs/editor/common/core/range","vs/editor/common/core/selection","vs/editor/common/modes/supports/onEnter"],function(e,t,n,o,i,r,s){"use strict";var a=function(){function e(e,t){this._opts=t,this._selection=e,this._useLastEditRangeForCursorEndPosition=!1}return e.unshiftIndentCount=function(e,t,n){var i=o.CursorMoveHelper.visibleColumnFromColumn2(e,t,n),r=o.CursorMoveHelper.prevTabColumn(i,n);return r/n},e.shiftIndentCount=function(e,t,n){var i=o.CursorMoveHelper.visibleColumnFromColumn2(e,t,n),r=o.CursorMoveHelper.nextTabColumn(i,n);return r/n},e.prototype.getEditOperations=function(t,r){var a=this._selection.startLineNumber,l=this._selection.endLineNumber,u=" ".charCodeAt(0);1===this._selection.endColumn&&a!==l&&(l-=1);var c,d=this._opts.tabSize,h=this._opts.oneIndent,p=a===l,m=["",h];this._selection.isEmpty()&&/^\s*$/.test(t.getLineContent(a))&&(this._useLastEditRangeForCursorEndPosition=!0);var f=0,g=0;for(c=a;l>=c;c++,f=g){g=0;var v=t.getLineContent(c),y=n.firstNonWhitespaceIndex(v);if((!this._opts.isUnshift||0!==v.length&&0!==y)&&(p||this._opts.isUnshift||0!==v.length)){if(-1===y&&(y=v.length),c>1){var _=o.CursorMoveHelper.visibleColumnFromColumn2(v,y+1,d);if(_%d!==0){var b=s.getRawEnterActionAtPosition(t,c-1,t.getLineMaxColumn(c-1));if(b){if(g=f,b.appendText)for(var C=0,w=b.appendText.length;w>C&&d>g&&b.appendText.charCodeAt(C)===u;C++)g++;b.removeText&&(g=Math.max(0,g-b.removeText));for(var C=0;g>C&&(0!==y&&v.charCodeAt(y-1)===u);C++)y--}}}if(!this._opts.isUnshift||0!==y){var E=void 0;E=this._opts.isUnshift?e.unshiftIndentCount(v,y+1,d):e.shiftIndentCount(v,y+1,d);for(var C=m.length;E>=C;C++)m[C]=m[C-1]+h;r.addEditOperation(new i.Range(c,1,c,y+1),m[E])}}}this._selectionId=r.trackSelection(this._selection)},e.prototype.computeCursorState=function(e,t){if(this._useLastEditRangeForCursorEndPosition){var n=t.getInverseEditOperations()[0];return new r.Selection(n.range.endLineNumber,n.range.endColumn,n.range.endLineNumber,n.range.endColumn)}return t.getTrackedSelection(this._selectionId)},e}();t.ShiftCommand=a}),define("vs/editor/common/controller/oneCursor",["require","exports","vs/base/common/errors","vs/base/common/strings","vs/editor/common/commands/replaceCommand","vs/editor/common/commands/shiftCommand","vs/editor/common/commands/surroundSelectionCommand","vs/editor/common/controller/cursorMoveHelper","vs/editor/common/core/position","vs/editor/common/core/range","vs/editor/common/core/selection","vs/editor/common/editorCommon","vs/editor/common/modes","vs/editor/common/modes/supports/onEnter"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p){"use strict";function m(e,t){var n={};return function(o){var i=e(o);return n.hasOwnProperty(i)||(n[i]=t(o)),n[i]}}!function(e){e[e.None=0]="None",e[e.Regular=1]="Regular",e[e.Separator=2]="Separator"}(t.WordType||(t.WordType={}));var f,g=t.WordType;!function(e){e[e.Regular=0]="Regular",e[e.Whitespace=1]="Whitespace",e[e.WordSeparator=2]="WordSeparator"}(f||(f={})),function(e){e[e.WordStart=0]="WordStart",e[e.WordEnd=1]="WordEnd"}(t.WordNavigationType||(t.WordNavigationType={}));var v=t.WordNavigationType,y=f.Regular,_=f.Whitespace,b=f.WordSeparator,C=g.None,w=g.Regular,E=g.Separator,S=function(){function e(e,t,n,o,i){this.editorId=e,this.model=t,this.configuration=n,this.modeConfiguration=o,this.viewModelHelper=i,this.helper=new T(this.model,this.configuration),this.bracketDecorations=[],this._set(new u.Range(1,1,1,1),0,new l.Position(1,1),0,new u.Range(1,1,1,1),new l.Position(1,1))}return e.prototype._set=function(t,n,o,i,r,s){this.selectionStart=t,this.selectionStartLeftoverVisibleColumns=n,this.position=o,this.leftoverVisibleColumns=i,this.viewSelectionStart=r,this.viewPosition=s,this._cachedSelection=e.computeSelection(this.selectionStart,this.position),this._cachedViewSelection=e.computeSelection(this.viewSelectionStart,this.viewPosition),this._selStartMarker=this._ensureMarker(this._selStartMarker,this._cachedSelection.startLineNumber,this._cachedSelection.startColumn,!0),this._selEndMarker=this._ensureMarker(this._selEndMarker,this._cachedSelection.endLineNumber,this._cachedSelection.endColumn,!1),this._selDirection=this._cachedSelection.getDirection()},e.prototype._ensureMarker=function(e,t,n,o){return e?(this.model._changeMarker(e,t,n),this.model._changeMarkerStickiness(e,o),e):this.model._addMarker(t,n,o)},e.prototype.saveState=function(){return{selectionStart:this.selectionStart,viewSelectionStart:this.viewSelectionStart,position:this.position,viewPosition:this.viewPosition,leftoverVisibleColumns:this.leftoverVisibleColumns,selectionStartLeftoverVisibleColumns:this.selectionStartLeftoverVisibleColumns}},e.prototype.restoreState=function(e){var t,n=this.model.validatePosition(e.position);t=e.selectionStart?this.model.validateRange(e.selectionStart):new u.Range(n.lineNumber,n.column,n.lineNumber,n.column);var o,i=this.viewModelHelper.validateViewPosition(e.viewPosition.lineNumber,e.viewPosition.column,n);o=e.viewSelectionStart?this.viewModelHelper.validateViewRange(e.viewSelectionStart.startLineNumber,e.viewSelectionStart.startColumn,e.viewSelectionStart.endLineNumber,e.viewSelectionStart.endColumn,t):this.viewModelHelper.convertModelRangeToViewRange(t),this._set(t,e.selectionStartLeftoverVisibleColumns,n,e.leftoverVisibleColumns,o,i)},e.prototype.updateModeConfiguration=function(e){this.modeConfiguration=e},e.prototype.duplicate=function(){
var t=new e(this.editorId,this.model,this.configuration,this.modeConfiguration,this.viewModelHelper);return t._set(this.selectionStart,this.selectionStartLeftoverVisibleColumns,this.position,this.leftoverVisibleColumns,this.viewSelectionStart,this.viewPosition),t},e.prototype.dispose=function(){this.model._removeMarker(this._selStartMarker),this.model._removeMarker(this._selEndMarker),this.bracketDecorations=this.model.deltaDecorations(this.bracketDecorations,[],this.editorId)},e.prototype.adjustBracketDecorations=function(){var e=null,t=this.getSelection();t.isEmpty()&&(e=this.model.matchBracket(this.position));var n=[];if(e){var o={stickiness:d.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,className:"bracket-match"};n.push({range:e[0],options:o}),n.push({range:e[1],options:o})}this.bracketDecorations=this.model.deltaDecorations(this.bracketDecorations,n,this.editorId)},e.computeSelection=function(e,t){var n,o,i,r;return e.isEmpty()?(n=e.startLineNumber,o=e.startColumn,i=t.lineNumber,r=t.column):t.isBeforeOrEqual(e.getStartPosition())?(n=e.endLineNumber,o=e.endColumn,i=t.lineNumber,r=t.column):(n=e.startLineNumber,o=e.startColumn,i=t.lineNumber,r=t.column),new c.Selection(n,o,i,r)},e.prototype.setSelection=function(e){var t=this.model.validatePosition({lineNumber:e.positionLineNumber,column:e.positionColumn}),n=this.model.validatePosition({lineNumber:e.selectionStartLineNumber,column:e.selectionStartColumn}),o=new u.Range(n.lineNumber,n.column,n.lineNumber,n.column),i=this.viewModelHelper.convertModelPositionToViewPosition(t.lineNumber,t.column),r=this.viewModelHelper.convertModelRangeToViewRange(o);this._set(o,0,t,0,r,i)},e.prototype.setViewSelection=function(e){var t=this.viewModelHelper.validateViewRange(e.selectionStartLineNumber,e.selectionStartColumn,e.selectionStartLineNumber,e.selectionStartColumn,this.selectionStart),n=this.viewModelHelper.validateViewPosition(e.positionLineNumber,e.positionColumn,this.position);this._set(this.selectionStart,0,this.position,0,t,n)},e.prototype.setSelectionStart=function(e,t){this._set(e,this.selectionStartLeftoverVisibleColumns,this.position,this.leftoverVisibleColumns,t,this.viewPosition)},e.prototype.collapseSelection=function(){var e=new u.Range(this.position.lineNumber,this.position.column,this.position.lineNumber,this.position.column),t=new u.Range(this.viewPosition.lineNumber,this.viewPosition.column,this.viewPosition.lineNumber,this.viewPosition.column);this._set(e,0,this.position,this.leftoverVisibleColumns,t,this.viewPosition)},e.prototype.moveModelPosition=function(e,t,n,o,i){var r=this.viewModelHelper.convertModelPositionToViewPosition(t,n);this._move(e,t,n,r.lineNumber,r.column,o,i)},e.prototype.moveViewPosition=function(e,t,n,o,i){var r=this.viewModelHelper.convertViewToModelPosition(t,n);this._move(e,r.lineNumber,r.column,t,n,o,i)},e.prototype._move=function(e,t,n,o,i,r,s){if(s){var a=this.model.getEditableRange();if(t<a.startLineNumber||t===a.startLineNumber&&n<a.startColumn){t=a.startLineNumber,n=a.startColumn;var u=this.viewModelHelper.convertModelPositionToViewPosition(t,n);o=u.lineNumber,i=u.column}else if(t>a.endLineNumber||t===a.endLineNumber&&n>a.endColumn){t=a.endLineNumber,n=a.endColumn;var u=this.viewModelHelper.convertModelPositionToViewPosition(t,n);o=u.lineNumber,i=u.column}}this._actualMove(e,new l.Position(t,n),new l.Position(o,i),r)},e.prototype._actualMove=function(e,t,n,o){if(e)this._set(this.selectionStart,this.selectionStartLeftoverVisibleColumns,t,o,this.viewSelectionStart,n);else{var i=new u.Range(t.lineNumber,t.column,t.lineNumber,t.column),r=new u.Range(n.lineNumber,n.column,n.lineNumber,n.column);this._set(i,o,t,o,r,n)}},e.prototype._recoverSelectionFromMarkers=function(){var e=this.model._getMarker(this._selStartMarker),t=this.model._getMarker(this._selEndMarker);return this._selDirection===d.SelectionDirection.LTR?new c.Selection(e.lineNumber,e.column,t.lineNumber,t.column):new c.Selection(t.lineNumber,t.column,e.lineNumber,e.column)},e.prototype.recoverSelectionFromMarkers=function(e){e.cursorPositionChangeReason=d.CursorChangeReason.RecoverFromMarkers,e.shouldPushStackElementBefore=!0,e.shouldPushStackElementAfter=!0,e.shouldReveal=!1,e.shouldRevealHorizontal=!1;var t=this._recoverSelectionFromMarkers(),n=new u.Range(t.selectionStartLineNumber,t.selectionStartColumn,t.selectionStartLineNumber,t.selectionStartColumn),o=new l.Position(t.positionLineNumber,t.positionColumn),i=this.viewModelHelper.convertModelRangeToViewRange(n),r=this.viewModelHelper.convertViewToModelPosition(o.lineNumber,o.column);return this._set(n,0,o,0,i,r),!0},e.prototype.getPageSize=function(){var e=this.configuration.editor;return Math.floor(e.layoutInfo.height/e.fontInfo.lineHeight)-2},e.prototype.getSelectionStart=function(){return this.selectionStart},e.prototype.getPosition=function(){return this.position},e.prototype.getSelection=function(){return this._cachedSelection},e.prototype.getViewPosition=function(){return this.viewPosition},e.prototype.getViewSelection=function(){return this._cachedViewSelection},e.prototype.getValidViewPosition=function(){return this.viewModelHelper.validateViewPosition(this.viewPosition.lineNumber,this.viewPosition.column,this.position)},e.prototype.hasSelection=function(){return!this.getSelection().isEmpty()||!this.selectionStart.isEmpty()},e.prototype.getBracketsDecorations=function(){return this.bracketDecorations},e.prototype.getLeftoverVisibleColumns=function(){return this.leftoverVisibleColumns},e.prototype.getSelectionStartLeftoverVisibleColumns=function(){return this.selectionStartLeftoverVisibleColumns},e.prototype.setSelectionStartLeftoverVisibleColumns=function(e){this.selectionStartLeftoverVisibleColumns=e},e.prototype.validatePosition=function(e){return this.model.validatePosition(e)},e.prototype.validateViewPosition=function(e,t,n){return this.viewModelHelper.validateViewPosition(e,t,n)},e.prototype.convertViewToModelPosition=function(e,t){return this.viewModelHelper.convertViewToModelPosition(e,t)},e.prototype.convertViewSelectionToModelSelection=function(e){return this.viewModelHelper.convertViewSelectionToModelSelection(e)},e.prototype.convertModelPositionToViewPosition=function(e,t){return this.viewModelHelper.convertModelPositionToViewPosition(e,t)},e.prototype.getLineContent=function(e){return this.model.getLineContent(e)},e.prototype.findPreviousWordOnLine=function(e){return this.helper.findPreviousWordOnLine(e)},e.prototype.findNextWordOnLine=function(e){return this.helper.findNextWordOnLine(e)},e.prototype.getLeftOfPosition=function(e,t){return this.helper.getLeftOfPosition(this.model,e,t)},e.prototype.getRightOfPosition=function(e,t){return this.helper.getRightOfPosition(this.model,e,t)},e.prototype.getPositionUp=function(e,t,n,o,i){return this.helper.getPositionUp(this.model,e,t,n,o,i)},e.prototype.getPositionDown=function(e,t,n,o,i){return this.helper.getPositionDown(this.model,e,t,n,o,i)},e.prototype.getColumnAtBeginningOfLine=function(e,t){return this.helper.getColumnAtBeginningOfLine(this.model,e,t)},e.prototype.getColumnAtEndOfLine=function(e,t){return this.helper.getColumnAtEndOfLine(this.model,e,t)},e.prototype.getVisibleColumnFromColumn=function(e,t){return this.helper.visibleColumnFromColumn(this.model,e,t)},e.prototype.getColumnFromVisibleColumn=function(e,t){return this.helper.columnFromVisibleColumn(this.model,e,t)},e.prototype.getViewVisibleColumnFromColumn=function(e,t){return this.helper.visibleColumnFromColumn(this.viewModelHelper.viewModel,e,t)},e.prototype.getViewLineCount=function(){return this.viewModelHelper.viewModel.getLineCount()},e.prototype.getViewLineMaxColumn=function(e){return this.viewModelHelper.viewModel.getLineMaxColumn(e)},e.prototype.getLeftOfViewPosition=function(e,t){return this.helper.getLeftOfPosition(this.viewModelHelper.viewModel,e,t)},e.prototype.getRightOfViewPosition=function(e,t){return this.helper.getRightOfPosition(this.viewModelHelper.viewModel,e,t)},e.prototype.getViewPositionUp=function(e,t,n,o,i){return this.helper.getPositionUp(this.viewModelHelper.viewModel,e,t,n,o,i)},e.prototype.getViewPositionDown=function(e,t,n,o,i){return this.helper.getPositionDown(this.viewModelHelper.viewModel,e,t,n,o,i)},e.prototype.getColumnAtBeginningOfViewLine=function(e,t){return this.helper.getColumnAtBeginningOfLine(this.viewModelHelper.viewModel,e,t)},e.prototype.getColumnAtEndOfViewLine=function(e,t){return this.helper.getColumnAtEndOfLine(this.viewModelHelper.viewModel,e,t)},e.prototype.columnSelect=function(e,t,n,o){var i=this,r=this.helper.columnSelect(this.viewModelHelper.viewModel,e,t,n,o);return{reversed:r.reversed,viewSelections:r.viewSelections,selections:r.viewSelections.map(function(e){return i.convertViewSelectionToModelSelection(e)}),toLineNumber:n,toVisualColumn:o}},e}();t.OneCursor=S;var x=function(){function e(){}return e.jumpToBracket=function(e,t){var n=e.getBracketsDecorations();if(2!==n.length)return!1;var o=e.model.getDecorationRange(n[0]),i=e.model.getDecorationRange(n[1]),r=e.getPosition();return M.isPositionAtRangeEdges(r,o)||M.isPositionInsideRange(r,o)?(e.moveModelPosition(!1,i.endLineNumber,i.endColumn,0,!1),!0):M.isPositionAtRangeEdges(r,i)||M.isPositionInsideRange(r,i)?(e.moveModelPosition(!1,o.endLineNumber,o.endColumn,0,!1),!0):!1},e.moveTo=function(e,t,n,o,i,r){var s,a=e.model.validatePosition(n);s=o?e.validateViewPosition(o.lineNumber,o.column,a):e.convertModelPositionToViewPosition(a.lineNumber,a.column);var l="mouse"===i?d.CursorChangeReason.Explicit:d.CursorChangeReason.NotSet;return"api"===i&&(r.shouldRevealVerticalInCenter=!0),l&&(r.cursorPositionChangeReason=l),e.moveViewPosition(t,s.lineNumber,s.column,0,!1),!0},e._columnSelectOp=function(e,t,n){var o=e.getViewSelection(),i=e.getVisibleColumnFromColumn(o.selectionStartLineNumber,o.selectionStartColumn);return e.columnSelect(o.selectionStartLineNumber,i,t,n)},e.columnSelectMouse=function(e,t,n,o){var i,r=e.model.validatePosition(t);return i=n?e.validateViewPosition(n.lineNumber,n.column,r):e.convertModelPositionToViewPosition(r.lineNumber,r.column),this._columnSelectOp(e,i.lineNumber,o)},e.columnSelectLeft=function(e,t,n){return n>1&&n--,this._columnSelectOp(e,t,n)},e.columnSelectRight=function(e,t,n){for(var o=0,i=Math.min(e.getViewPosition().lineNumber,t),r=Math.max(e.getViewPosition().lineNumber,t),s=i;r>=s;s++){var a=e.getViewLineMaxColumn(s),l=e.getViewVisibleColumnFromColumn(s,a);o=Math.max(o,l)}return o>n&&n++,this._columnSelectOp(e,t,n)},e.columnSelectUp=function(e,t,n,o){var i=e?t.getPageSize():1;return n-=i,1>n&&(n=1),this._columnSelectOp(t,n,o)},e.columnSelectDown=function(e,t,n,o){var i=e?t.getPageSize():1;return n+=i,n>t.getViewLineCount()&&(n=t.getViewLineCount()),this._columnSelectOp(t,n,o)},e.moveLeft=function(e,t,n){var o,i;if(e.hasSelection()&&!t){var r=e.getViewSelection(),s=e.validateViewPosition(r.startLineNumber,r.startColumn,e.getSelection().getStartPosition());o=s.lineNumber,i=s.column}else{var a=e.getValidViewPosition(),l=e.getLeftOfViewPosition(a.lineNumber,a.column);o=l.lineNumber,i=l.column}return n.cursorPositionChangeReason=d.CursorChangeReason.Explicit,e.moveViewPosition(t,o,i,0,!0),!0},e.moveWordLeft=function(e,t,n,o){var i=e.getPosition(),r=i.lineNumber,s=i.column;1===s&&r>1&&(r-=1,s=e.model.getLineMaxColumn(r));var a=e.findPreviousWordOnLine(new l.Position(r,s));return n===v.WordStart?s=a?a.start+1:1:(a&&s<=a.end+1&&(a=e.findPreviousWordOnLine(new l.Position(r,a.start+1))),s=a?a.end+1:1),o.cursorPositionChangeReason=d.CursorChangeReason.Explicit,e.moveModelPosition(t,r,s,0,!0),!0},e.moveRight=function(e,t,n){var o,i;if(e.hasSelection()&&!t){var r=e.getViewSelection(),s=e.validateViewPosition(r.endLineNumber,r.endColumn,e.getSelection().getEndPosition());o=s.lineNumber,i=s.column}else{var a=e.getValidViewPosition(),l=e.getRightOfViewPosition(a.lineNumber,a.column);o=l.lineNumber,i=l.column}return n.cursorPositionChangeReason=d.CursorChangeReason.Explicit,e.moveViewPosition(t,o,i,0,!0),!0},e.moveWordRight=function(e,t,n,o){var i=e.getPosition(),r=i.lineNumber,s=i.column;s===e.model.getLineMaxColumn(r)&&r<e.model.getLineCount()&&(r+=1,s=1);var a=e.findNextWordOnLine(new l.Position(r,s));return n===v.WordEnd?s=a?a.end+1:e.model.getLineMaxColumn(r):(a&&s>=a.start+1&&(a=e.findNextWordOnLine(new l.Position(r,a.end+1))),s=a?a.start+1:e.model.getLineMaxColumn(r)),o.cursorPositionChangeReason=d.CursorChangeReason.Explicit,e.moveModelPosition(t,r,s,0,!0),!0},e.moveDown=function(e,t,n,o,i){var r,s,a=n?o||e.getPageSize():1;if(e.hasSelection()&&!t){var l=e.getViewSelection(),u=e.validateViewPosition(l.endLineNumber,l.endColumn,e.getSelection().getEndPosition());r=u.lineNumber,s=u.column}else{var c=e.getValidViewPosition();r=c.lineNumber,s=c.column}var h=e.getViewPositionDown(r,s,e.getLeftoverVisibleColumns(),a,!0);return i.cursorPositionChangeReason=d.CursorChangeReason.Explicit,e.moveViewPosition(t,h.lineNumber,h.column,h.leftoverVisibleColumns,!0),!0},e.translateDown=function(e,t){var n=e.getViewSelection(),o=e.getViewPositionDown(n.selectionStartLineNumber,n.selectionStartColumn,e.getSelectionStartLeftoverVisibleColumns(),1,!1);t.cursorPositionChangeReason=d.CursorChangeReason.Explicit,e.moveViewPosition(!1,o.lineNumber,o.column,e.getLeftoverVisibleColumns(),!0);var i=e.getViewPositionDown(n.positionLineNumber,n.positionColumn,e.getLeftoverVisibleColumns(),1,!1);return t.cursorPositionChangeReason=d.CursorChangeReason.Explicit,e.moveViewPosition(!0,i.lineNumber,i.column,i.leftoverVisibleColumns,!0),e.setSelectionStartLeftoverVisibleColumns(o.leftoverVisibleColumns),!0},e.moveUp=function(e,t,n,o,i){var r,s,a=n?o||e.getPageSize():1;if(e.hasSelection()&&!t){var l=e.getViewSelection(),u=e.validateViewPosition(l.startLineNumber,l.startColumn,e.getSelection().getStartPosition());r=u.lineNumber,s=u.column}else{var c=e.getValidViewPosition();r=c.lineNumber,s=c.column}var h=e.getViewPositionUp(r,s,e.getLeftoverVisibleColumns(),a,!0);return i.cursorPositionChangeReason=d.CursorChangeReason.Explicit,e.moveViewPosition(t,h.lineNumber,h.column,h.leftoverVisibleColumns,!0),!0},e.translateUp=function(e,t){var n=e.getViewSelection(),o=e.getViewPositionUp(n.selectionStartLineNumber,n.selectionStartColumn,e.getSelectionStartLeftoverVisibleColumns(),1,!1);t.cursorPositionChangeReason=d.CursorChangeReason.Explicit,e.moveViewPosition(!1,o.lineNumber,o.column,e.getLeftoverVisibleColumns(),!0);var i=e.getViewPositionUp(n.positionLineNumber,n.positionColumn,e.getLeftoverVisibleColumns(),1,!1);return t.cursorPositionChangeReason=d.CursorChangeReason.Explicit,e.moveViewPosition(!0,i.lineNumber,i.column,i.leftoverVisibleColumns,!0),e.setSelectionStartLeftoverVisibleColumns(o.leftoverVisibleColumns),!0},e.moveToBeginningOfLine=function(e,t,n){var o=e.getValidViewPosition(),i=o.lineNumber,r=o.column;return r=e.getColumnAtBeginningOfViewLine(i,r),n.cursorPositionChangeReason=d.CursorChangeReason.Explicit,e.moveViewPosition(t,i,r,0,!0),!0},e.moveToEndOfLine=function(e,t,n){var o=e.getValidViewPosition(),i=o.lineNumber,r=o.column;return r=e.getColumnAtEndOfViewLine(i,r),n.cursorPositionChangeReason=d.CursorChangeReason.Explicit,e.moveViewPosition(t,i,r,0,!0),!0},e.expandLineSelection=function(e,t){t.cursorPositionChangeReason=d.CursorChangeReason.Explicit;var n=e.getViewSelection(),o=n.startLineNumber,i=n.startColumn,r=n.endLineNumber,s=n.endColumn,a=e.getViewLineMaxColumn(r);if(1!==i||s!==a)i=1,s=a;else{var l=e.getViewPositionDown(r,s,0,1,!0);r=l.lineNumber,s=e.getViewLineMaxColumn(r)}return e.moveViewPosition(!1,o,i,0,!0),e.moveViewPosition(!0,r,s,0,!0),!0},e.moveToBeginningOfBuffer=function(e,t,n){return n.cursorPositionChangeReason=d.CursorChangeReason.Explicit,e.moveModelPosition(t,1,1,0,!0),!0},e.moveToEndOfBuffer=function(e,t,n){var o=e.model.getLineCount(),i=e.model.getLineMaxColumn(o);return n.cursorPositionChangeReason=d.CursorChangeReason.Explicit,e.moveModelPosition(t,o,i,0,!0),!0},e.selectAll=function(e,t){var n,o,i,r,s=!0;if(e.model.hasEditableRange()){var a=e.model.getEditableRange(),l=e.getSelection();l.equalsRange(a)||(s=!1,n=a.startLineNumber,o=a.startColumn,i=a.endLineNumber,r=a.endColumn)}return s&&(n=1,o=1,i=e.model.getLineCount(),r=e.model.getLineMaxColumn(i)),e.moveModelPosition(!1,n,o,0,!1),e.moveModelPosition(!0,i,r,0,!1),t.shouldReveal=!1,t.shouldRevealHorizontal=!1,!0},e.line=function(e,t,n,o,i){var r=e.validatePosition(n),s=o?e.validateViewPosition(o.lineNumber,o.column,r):e.convertModelPositionToViewPosition(r.lineNumber,r.column);if(i.cursorPositionChangeReason=d.CursorChangeReason.Explicit,i.shouldRevealHorizontal=!1,t&&e.hasSelection()){var a=e.getSelectionStart().getStartPosition().lineNumber;if(r.lineNumber<a)e.moveViewPosition(e.hasSelection(),s.lineNumber,1,0,!1);else if(r.lineNumber>a){var l=s.lineNumber+1,c=1;l>e.getViewLineCount()&&(l=e.getViewLineCount(),c=e.getViewLineMaxColumn(l)),e.moveViewPosition(e.hasSelection(),l,c,0,!1)}else{var h=e.getSelectionStart().getEndPosition();e.moveModelPosition(e.hasSelection(),h.lineNumber,h.column,0,!1)}return!0}var p=r.lineNumber+1,m=1;p>e.model.getLineCount()&&(p=e.model.getLineCount(),m=e.model.getLineMaxColumn(p));var f=new u.Range(r.lineNumber,1,p,m),g=e.convertModelPositionToViewPosition(r.lineNumber,1),v=e.convertModelPositionToViewPosition(p,m);return e.setSelectionStart(f,new u.Range(g.lineNumber,g.column,v.lineNumber,v.column)),e.moveModelPosition(e.hasSelection(),f.endLineNumber,f.endColumn,0,!1),!0},e.word=function(e,t,n,o){var i,r,s=e.validatePosition(n),a=e.findPreviousWordOnLine(s),c=a&&a.wordType===g.Regular&&a.start<s.column-1&&s.column-1<=a.end,h=e.findNextWordOnLine(s),p=h&&h.wordType===g.Regular&&h.start<s.column-1&&s.column-1<=h.end;if(t&&e.hasSelection()){var m=void 0,f=void 0;if(c?(m=a.start+1,f=a.end+1):p?(m=h.start+1,f=h.end+1):(m=s.column,f=s.column),i=s.lineNumber,s.isBeforeOrEqual(e.getSelectionStart().getStartPosition())){r=m;var v=new l.Position(i,r);e.getSelectionStart().containsPosition(v)&&(r=e.getSelectionStart().endColumn)}else{r=f;var v=new l.Position(i,r);e.getSelectionStart().containsPosition(v)&&(r=e.getSelectionStart().startColumn)}}else{var m=void 0,f=void 0;c?(m=a.start+1,f=a.end+1):p?(m=h.start+1,f=h.end+1):(m=a?a.end+1:1,f=h?h.start+1:e.model.getLineMaxColumn(s.lineNumber));var y=new u.Range(s.lineNumber,m,s.lineNumber,f),_=e.convertModelPositionToViewPosition(s.lineNumber,m),b=e.convertModelPositionToViewPosition(s.lineNumber,f);e.setSelectionStart(y,new u.Range(_.lineNumber,_.column,b.lineNumber,b.column)),i=y.endLineNumber,r=y.endColumn}return o.cursorPositionChangeReason=d.CursorChangeReason.Explicit,e.moveModelPosition(e.hasSelection(),i,r,0,!1),!0},e.cancelSelection=function(e,t){return e.hasSelection()?(e.collapseSelection(),!0):!1},e._typeInterceptorEnter=function(e,t,n){return"\n"!==t?!1:this._enter(e,!1,n)},e.lineInsertBefore=function(e,t){var n=e.getPosition().lineNumber;if(1===n)return t.executeCommand=new i.ReplaceCommandWithoutChangingPosition(new u.Range(1,1,1,1),"\n"),!0;n--;var o=e.model.getLineMaxColumn(n);return this._enter(e,!1,t,new l.Position(n,o),new u.Range(n,o,n,o))},e.lineInsertAfter=function(e,t){var n=e.getPosition(),o=e.model.getLineMaxColumn(n.lineNumber);return this._enter(e,!1,t,new l.Position(n.lineNumber,o),new u.Range(n.lineNumber,o,n.lineNumber,o))},e.lineBreakInsert=function(e,t){return this._enter(e,!0,t)},e._enter=function(e,t,n,o,s){"undefined"==typeof o&&(o=e.getPosition()),"undefined"==typeof s&&(s=e.getSelection()),n.shouldPushStackElementBefore=!0;var a=p.getEnterActionAtPosition(e.model,o.lineNumber,o.column),l=a.enterAction,u=a.indentation;if(n.isAutoWhitespaceCommand=!0,l.indentAction===h.IndentAction.None)this.actualType(e,"\n"+e.model.normalizeIndentation(u+l.appendText),t,n,s);else if(l.indentAction===h.IndentAction.Indent)this.actualType(e,"\n"+e.model.normalizeIndentation(u+l.appendText),t,n,s);else if(l.indentAction===h.IndentAction.IndentOutdent){var c=e.model.normalizeIndentation(u),d=e.model.normalizeIndentation(u+l.appendText),m="\n"+d+"\n"+c;t?n.executeCommand=new i.ReplaceCommandWithoutChangingPosition(s,m):n.executeCommand=new i.ReplaceCommandWithOffsetCursorState(s,m,-1,d.length-c.length)}else if(l.indentAction===h.IndentAction.Outdent){for(var f=r.ShiftCommand.unshiftIndentCount(u,u.length+1,e.model.getOptions().tabSize),g="",v=0;f>v;v++)g+="	";this.actualType(e,"\n"+e.model.normalizeIndentation(g+l.appendText),t,n,s)}return!0},e._typeInterceptorAutoClosingCloseChar=function(e,t,n){if(!e.configuration.editor.autoClosingBrackets)return!1;var o=e.getSelection();if(!o.isEmpty()||!e.modeConfiguration.autoClosingPairsClose.hasOwnProperty(t))return!1;var r=e.getPosition(),s=e.model.getLineContent(r.lineNumber),a=s[r.column-1];if(a!==t)return!1;var l=new u.Range(r.lineNumber,r.column,r.lineNumber,r.column+1);return n.executeCommand=new i.ReplaceCommand(l,t),!0},e._typeInterceptorAutoClosingOpenChar=function(e,t,o){if(!e.configuration.editor.autoClosingBrackets)return!1;var r=e.getSelection();if(!r.isEmpty()||!e.modeConfiguration.autoClosingPairsOpen.hasOwnProperty(t))return!1;var s=e.model.getMode().richEditSupport;if(!s||!s.characterPair)return!1;var a=e.getPosition(),l=e.model.getLineContent(a.lineNumber),u=l[a.column-1];if(u){var c=!1;for(var d in e.modeConfiguration.autoClosingPairsClose)if(u===d){c=!0;break}if(!c&&!/\s/.test(u))return!1}var h=e.model.getLineContext(a.lineNumber),p=!1;try{p=s.characterPair.shouldAutoClosePair(t,h,a.column-1)}catch(m){n.onUnexpectedError(m)}if(!p)return!1;o.shouldPushStackElementBefore=!0;var f=e.modeConfiguration.autoClosingPairsOpen[t];return o.executeCommand=new i.ReplaceCommandWithOffsetCursorState(r,t+f,0,-f.length),!0},e._typeInterceptorSurroundSelection=function(e,t,n){if(!e.configuration.editor.autoClosingBrackets)return!1;var o=e.getSelection();if(o.isEmpty()||!e.modeConfiguration.surroundingPairs.hasOwnProperty(t))return!1;var i,r,a,l,u,c,d=!0,h="	".charCodeAt(0),p=" ".charCodeAt(0);for(i=o.startLineNumber;i<=o.endLineNumber;i++)for(c=e.model.getLineContent(i),r=i===o.startLineNumber?o.startColumn-1:0,a=i===o.endLineNumber?o.endColumn-1:c.length,l=r;a>l;l++)u=c.charCodeAt(l),u!==h&&u!==p&&(d=!1,i=o.endLineNumber+1,l=a);if(d)return!1;var m=e.modeConfiguration.surroundingPairs[t];return n.shouldPushStackElementBefore=!0,n.shouldPushStackElementAfter=!0,n.executeCommand=new s.SurroundSelectionCommand(o,t,m),!0},e._typeInterceptorElectricChar=function(e,t,n){var o=this;return e.modeConfiguration.electricChars.hasOwnProperty(t)?(n.postOperationRunnable=function(t){return o._typeInterceptorElectricCharRunnable(e,t)},this.actualType(e,t,!1,n)):!1},e._typeInterceptorElectricCharRunnable=function(e,t){var r,s=e.getPosition(),a=e.model.getLineContent(s.lineNumber),l=e.model.getLineContext(s.lineNumber),c=e.model.getMode().richEditSupport;if(c&&c.electricCharacter)try{r=c.electricCharacter.onElectricCharacter(l,s.column-2)}catch(d){n.onUnexpectedError(d)}if(r){var h=r.matchOpenBracket,p=r.appendText;if(h){var m=e.model.findMatchingBracketUp(h,{lineNumber:s.lineNumber,column:s.column-h.length});if(m){var f=m.startLineNumber,g=e.model.getLineContent(f),v=o.getLeadingWhitespace(g),y=e.model.normalizeIndentation(v),_=e.model.getLineFirstNonWhitespaceColumn(s.lineNumber)||s.column,b=a.substring(0,_-1);if(b!==y){var C=a.substring(_-1,s.column-1),w=y+C,E=new u.Range(s.lineNumber,1,s.lineNumber,s.column);t.shouldPushStackElementAfter=!0,t.executeCommand=new i.ReplaceCommand(E,w)}}}else if(p){var S=-p.length;r.advanceCount&&(S+=r.advanceCount),t.shouldPushStackElementAfter=!0,t.executeCommand=new i.ReplaceCommandWithOffsetCursorState(e.getSelection(),p,0,S)}}},e.actualType=function(e,t,n,o,r){return"undefined"==typeof r&&(r=e.getSelection()),n?o.executeCommand=new i.ReplaceCommandWithoutChangingPosition(r,t):o.executeCommand=new i.ReplaceCommand(r,t),!0},e.type=function(e,t,n){return this._typeInterceptorEnter(e,t,n)?!0:this._typeInterceptorAutoClosingCloseChar(e,t,n)?!0:this._typeInterceptorAutoClosingOpenChar(e,t,n)?!0:this._typeInterceptorSurroundSelection(e,t,n)?!0:this._typeInterceptorElectricChar(e,t,n)?!0:this.actualType(e,t,!1,n)},e.replacePreviousChar=function(e,t,n,o){var r,s=e.getPosition(),a=Math.max(1,s.column-n);return r=new u.Range(s.lineNumber,a,s.lineNumber,s.column),o.executeCommand=new i.ReplaceCommand(r,t),!0},e._goodIndentForLine=function(e,t){var n=t-1;for(n=t-1;n>=1;n--){var i=e.model.getLineContent(n),s=o.lastNonWhitespaceIndex(i);if(s>=0)break}if(1>n)return"	";var a,l=p.getEnterActionAtPosition(e.model,n,e.model.getLineMaxColumn(n));if(l.enterAction.indentAction===h.IndentAction.Outdent){var u=e.model.getOptions(),c=r.ShiftCommand.unshiftIndentCount(l.indentation,l.indentation.length,u.tabSize);a="";for(var d=0;c>d;d++)a+="	";a=e.model.normalizeIndentation(a)}else a=l.indentation;var m=a+l.enterAction.appendText;return 0===m.length?"	":m},e.tab=function(e,t){var n=e.getSelection();if(n.isEmpty()){t.isAutoWhitespaceCommand=!0;var o="";if(1===e.model.getLineMaxColumn(n.startLineNumber))o=e.model.normalizeIndentation(this._goodIndentForLine(e,n.startLineNumber));else{var r=e.getPosition(),s=e.model.getOptions();if(s.insertSpaces)for(var a=e.getVisibleColumnFromColumn(r.lineNumber,r.column),l=s.tabSize,u=l-a%l,c=0;u>c;c++)o+=" ";else o="	"}return t.executeCommand=new i.ReplaceCommand(n,o),!0}if(n.startLineNumber===n.endLineNumber){var d=e.model.getLineMaxColumn(n.startLineNumber);if(1!==n.startColumn||n.endColumn!==d)return t.executeCommand=new i.ReplaceCommand(n,"	"),!0}return this.indent(e,t)},e.indent=function(e,t){var n=e.getSelection();return t.shouldPushStackElementBefore=!0,t.shouldPushStackElementAfter=!0,t.executeCommand=new r.ShiftCommand(n,{isUnshift:!1,tabSize:e.model.getOptions().tabSize,oneIndent:e.model.getOneIndent()}),t.shouldRevealHorizontal=!1,!0},e.outdent=function(e,t){var n=e.getSelection();return t.shouldPushStackElementBefore=!0,t.shouldPushStackElementAfter=!0,t.executeCommand=new r.ShiftCommand(n,{isUnshift:!0,tabSize:e.model.getOptions().tabSize,oneIndent:e.model.getOneIndent()}),t.shouldRevealHorizontal=!1,!0},e.paste=function(e,t,n,o){var r=e.getPosition();if(o.cursorPositionChangeReason=d.CursorChangeReason.Paste,n&&"\n"===t.charAt(t.length-1)&&t.indexOf("\n")===t.length-1){var s=new u.Range(r.lineNumber,1,r.lineNumber,1);return o.executeCommand=new i.ReplaceCommand(s,t),!0}return o.executeCommand=new i.ReplaceCommand(e.getSelection(),t),!0},e._autoClosingPairDelete=function(e,t){if(!e.configuration.editor.autoClosingBrackets)return!1;if(!e.getSelection().isEmpty())return!1;var n=e.getPosition(),o=e.model.getLineContent(n.lineNumber),r=o[n.column-2];if(!e.modeConfiguration.autoClosingPairsOpen.hasOwnProperty(r))return!1;var s=o[n.column-1],a=e.modeConfiguration.autoClosingPairsOpen[r];if(s!==a)return!1;var l=new u.Range(n.lineNumber,n.column-1,n.lineNumber,n.column+1);return t.executeCommand=new i.ReplaceCommand(l,""),!0},e.deleteLeft=function(e,t){if(this._autoClosingPairDelete(e,t))return!0;var n=e.getSelection();if(n.isEmpty()){var r=e.getPosition();if(e.configuration.editor.useTabStops&&r.column>1){var s=e.getLineContent(r.lineNumber),l=o.firstNonWhitespaceIndex(s),c=-1===l?s.length+1:l+1;if(r.column<=c){var d=e.getVisibleColumnFromColumn(r.lineNumber,r.column),h=a.CursorMoveHelper.prevTabColumn(d,e.model.getOptions().tabSize),p=e.getColumnFromVisibleColumn(r.lineNumber,h);n=new u.Range(r.lineNumber,p,r.lineNumber,r.column)}else n=new u.Range(r.lineNumber,r.column-1,r.lineNumber,r.column)}else{var m=e.getLeftOfPosition(r.lineNumber,r.column);n=new u.Range(m.lineNumber,m.column,r.lineNumber,r.column)}}return n.isEmpty()?!0:(n.startLineNumber!==n.endLineNumber&&(t.shouldPushStackElementBefore=!0),t.executeCommand=new i.ReplaceCommand(n,""),!0)},e.deleteWordLeftWhitespace=function(e,t){var n=e.getPosition(),r=e.getLineContent(n.lineNumber),s=n.column-2,a=o.lastNonWhitespaceIndex(r,s);return s>a+1?(t.executeCommand=new i.ReplaceCommand(new u.Range(n.lineNumber,a+2,n.lineNumber,n.column),""),!0):!1},e.deleteWordLeft=function(e,t,n,o){if(this._autoClosingPairDelete(e,o))return!0;var r=e.getSelection();if(r.isEmpty()){var s=e.getPosition(),a=s.lineNumber,c=s.column;if(1===a&&1===c)return!0;if(t&&this.deleteWordLeftWhitespace(e,o))return!0;var d=e.findPreviousWordOnLine(s);n===v.WordStart?c=d?d.start+1:1:(d&&c<=d.end+1&&(d=e.findPreviousWordOnLine(new l.Position(a,d.start+1))),c=d?d.end+1:1);var h=new u.Range(a,c,a,s.column);if(!h.isEmpty())return o.executeCommand=new i.ReplaceCommand(h,""),!0}return this.deleteLeft(e,o)},e.deleteRight=function(e,t){var n=e.getSelection();if(n.isEmpty()){var o=e.getPosition(),r=e.getRightOfPosition(o.lineNumber,o.column);n=new u.Range(r.lineNumber,r.column,o.lineNumber,o.column)}return n.isEmpty()?!0:(n.startLineNumber!==n.endLineNumber&&(t.shouldPushStackElementBefore=!0),t.executeCommand=new i.ReplaceCommand(n,""),!0)},e._findFirstNonWhitespaceChar=function(e,t){for(var n=e.length,o=t;n>o;o++){var i=e.charAt(o);if(" "!==i&&"	"!==i)return o}return n},e.deleteWordRightWhitespace=function(e,t){var n=e.getPosition(),o=e.getLineContent(n.lineNumber),r=n.column-1,s=this._findFirstNonWhitespaceChar(o,r);return s>r+1?(t.executeCommand=new i.ReplaceCommand(new u.Range(n.lineNumber,n.column,n.lineNumber,s+1),""),!0):!1},e.deleteWordRight=function(e,t,n,o){var r=e.getSelection();if(r.isEmpty()){var s=e.getPosition(),a=s.lineNumber,c=s.column,d=e.model.getLineCount(),h=e.model.getLineMaxColumn(a);if(a===d&&c===h)return!0;if(t&&this.deleteWordRightWhitespace(e,o))return!0;var p=e.findNextWordOnLine(s);n===v.WordEnd?p?c=p.end+1:h>c||a===d?c=h:(a++,p=e.findNextWordOnLine(new l.Position(a,1)),c=p?p.start+1:e.model.getLineMaxColumn(a)):(p&&c>=p.start+1&&(p=e.findNextWordOnLine(new l.Position(a,p.end+1))),p?c=p.start+1:h>c||a===d?c=h:(a++,p=e.findNextWordOnLine(new l.Position(a,1)),c=p?p.start+1:e.model.getLineMaxColumn(a)));var m=new u.Range(a,c,s.lineNumber,s.column);if(!m.isEmpty())return o.executeCommand=new i.ReplaceCommand(m,""),!0}return this.deleteRight(e,o)},e.deleteAllLeft=function(e,t){if(this._autoClosingPairDelete(e,t))return!0;var n=e.getSelection();if(n.isEmpty()){var o=e.getPosition(),r=o.lineNumber,s=o.column;if(1===s)return!0;var a=new u.Range(r,1,r,s);if(!a.isEmpty())return t.executeCommand=new i.ReplaceCommand(a,""),!0}return this.deleteLeft(e,t)},e.deleteAllRight=function(e,t){var n=e.getSelection();if(n.isEmpty()){var o=e.getPosition(),r=o.lineNumber,s=o.column,a=e.model.getLineMaxColumn(r);if(s===a)return!0;var l=new u.Range(r,s,r,a);if(!l.isEmpty())return t.executeCommand=new i.ReplaceCommand(l,""),!0}return this.deleteRight(e,t)},e.cut=function(e,t,n){var o=e.getSelection();if(o.isEmpty()){if(!t)return!1;var r=e.getPosition(),s=void 0,a=void 0,l=void 0,c=void 0;r.lineNumber<e.model.getLineCount()?(s=r.lineNumber,a=1,l=r.lineNumber+1,c=1):r.lineNumber>1?(s=r.lineNumber-1,a=e.model.getLineMaxColumn(r.lineNumber-1),l=r.lineNumber,c=e.model.getLineMaxColumn(r.lineNumber)):(s=r.lineNumber,a=1,l=r.lineNumber,c=e.model.getLineMaxColumn(r.lineNumber));var d=new u.Range(s,a,l,c);d.isEmpty()||(n.executeCommand=new i.ReplaceCommand(d,""))}else this.deleteRight(e,n);return!0},e}();t.OneCursorOp=x;var T=function(){function e(e,t){var n=this;this.model=e,this.configuration=t,this.moveHelper=new a.CursorMoveHelper({getIndentationOptions:function(){return n.model.getOptions()}})}return e.prototype.getLeftOfPosition=function(e,t,n){return this.moveHelper.getLeftOfPosition(e,t,n)},e.prototype.getRightOfPosition=function(e,t,n){return this.moveHelper.getRightOfPosition(e,t,n)},e.prototype.getPositionUp=function(e,t,n,o,i,r){return this.moveHelper.getPositionUp(e,t,n,o,i,r)},e.prototype.getPositionDown=function(e,t,n,o,i,r){return this.moveHelper.getPositionDown(e,t,n,o,i,r)},e.prototype.getColumnAtBeginningOfLine=function(e,t,n){return this.moveHelper.getColumnAtBeginningOfLine(e,t,n)},e.prototype.getColumnAtEndOfLine=function(e,t,n){return this.moveHelper.getColumnAtEndOfLine(e,t,n);
},e.prototype.columnSelect=function(e,t,n,o,i){return this.moveHelper.columnSelect(e,t,n,o,i)},e.prototype.visibleColumnFromColumn=function(e,t,n){return this.moveHelper.visibleColumnFromColumn(e,t,n)},e.prototype.columnFromVisibleColumn=function(e,t,n){return this.moveHelper.columnFromVisibleColumn(e,t,n)},e.prototype._createWord=function(e,t,n,o){return{start:n,end:o,wordType:t}},e.prototype.findPreviousWordOnLine=function(e){for(var t=this.model.validatePosition(e),n=L(this.configuration.editor.wordSeparators),o=this.model.getLineContent(t.lineNumber),i=C,r=t.column-2;r>=0;r--){var s=o.charCodeAt(r),a=n[s]||f.Regular;if(a===y){if(i===E)return this._createWord(o,i,r+1,this._findEndOfWord(o,n,i,r+1));i=w}else if(a===b){if(i===w)return this._createWord(o,i,r+1,this._findEndOfWord(o,n,i,r+1));i=E}else if(a===_&&i!==C)return this._createWord(o,i,r+1,this._findEndOfWord(o,n,i,r+1))}return i!==C?this._createWord(o,i,0,this._findEndOfWord(o,n,i,0)):null},e.prototype._findEndOfWord=function(e,t,n,o){for(var i=e.length,r=o;i>r;r++){var s=e.charCodeAt(r),a=t[s]||f.Regular;if(a===_)return r;if(n===w&&a===b)return r;if(n===E&&a===y)return r}return i},e.prototype.findNextWordOnLine=function(e){for(var t=this.model.validatePosition(e),n=L(this.configuration.editor.wordSeparators),o=this.model.getLineContent(t.lineNumber),i=C,r=o.length,s=t.column-1;r>s;s++){var a=o.charCodeAt(s),l=n[a]||f.Regular;if(l===y){if(i===E)return this._createWord(o,i,this._findStartOfWord(o,n,i,s-1),s);i=w}else if(l===b){if(i===w)return this._createWord(o,i,this._findStartOfWord(o,n,i,s-1),s);i=E}else if(l===_&&i!==C)return this._createWord(o,i,this._findStartOfWord(o,n,i,s-1),s)}return i!==C?this._createWord(o,i,this._findStartOfWord(o,n,i,r-1),r):null},e.prototype._findStartOfWord=function(e,t,n,o){for(var i=o;i>=0;i--){var r=e.charCodeAt(i),s=t[r]||f.Regular;if(s===_)return i+1;if(n===w&&s===b)return i+1;if(n===E&&s===y)return i+1}return 0},e}(),L=m(function(e){return e},function(e){for(var t=[],n=0;256>n;n++)t[n]=f.Regular;for(var o=0,i=e.length;i>o;o++)t[e.charCodeAt(o)]=f.WordSeparator;return t[" ".charCodeAt(0)]=f.Whitespace,t["	".charCodeAt(0)]=f.Whitespace,t}),M=function(){function e(){}return e.rangeContainsPosition=function(e,t){return t.lineNumber<e.startLineNumber||t.lineNumber>e.endLineNumber?!1:t.lineNumber===e.startLineNumber&&t.column<e.startColumn?!1:!(t.lineNumber===e.endLineNumber&&t.column>e.endColumn)},e.isPositionInsideRange=function(e,t){return e.lineNumber<t.startLineNumber?!1:e.lineNumber>t.endLineNumber?!1:e.lineNumber===t.startLineNumber&&e.column<t.startColumn?!1:!(e.lineNumber===t.endLineNumber&&e.column>t.endColumn)},e.isPositionAtRangeEdges=function(e,t){return e.lineNumber===t.startLineNumber&&e.column===t.startColumn?!0:e.lineNumber===t.endLineNumber&&e.column===t.endColumn},e}()}),define("vs/editor/common/controller/cursorCollection",["require","exports","vs/base/common/errors","vs/editor/common/controller/oneCursor","vs/editor/common/core/selection"],function(e,t,n,o,i){"use strict";var r=function(){function e(e,t,n,i){this.editorId=e,this.model=t,this.configuration=n,this.viewModelHelper=i,this.modeConfiguration=this.getModeConfiguration(),this.primaryCursor=new o.OneCursor(this.editorId,this.model,this.configuration,this.modeConfiguration,this.viewModelHelper),this.secondaryCursors=[],this.lastAddedCursorIndex=0}return e.prototype.dispose=function(){this.primaryCursor.dispose(),this.killSecondaryCursors()},e.prototype.saveState=function(){return{primary:this.primaryCursor.saveState(),secondary:this.secondaryCursors.map(function(e){return e.saveState()})}},e.prototype.restoreState=function(e){this.primaryCursor.restoreState(e.primary),this.killSecondaryCursors();for(var t=0;t<e.secondary.length;t++)this.addSecondaryCursor(null),this.secondaryCursors[t].restoreState(e.secondary[t])},e.prototype.updateMode=function(){var e=this;this.modeConfiguration=this.getModeConfiguration(),this.getAll().forEach(function(t){t.updateModeConfiguration(e.modeConfiguration)})},e.prototype.getAll=function(){var e=[];return e.push(this.primaryCursor),e=e.concat(this.secondaryCursors)},e.prototype.getPosition=function(e){return 0===e?this.primaryCursor.getPosition():this.secondaryCursors[e-1].getPosition()},e.prototype.getViewPosition=function(e){return 0===e?this.primaryCursor.getViewPosition():this.secondaryCursors[e-1].getViewPosition()},e.prototype.getPositions=function(){var e=[];e.push(this.primaryCursor.getPosition());for(var t=0,n=this.secondaryCursors.length;n>t;t++)e.push(this.secondaryCursors[t].getPosition());return e},e.prototype.getViewPositions=function(){var e=[];e.push(this.primaryCursor.getViewPosition());for(var t=0,n=this.secondaryCursors.length;n>t;t++)e.push(this.secondaryCursors[t].getViewPosition());return e},e.prototype.getSelection=function(e){return 0===e?this.primaryCursor.getSelection():this.secondaryCursors[e-1].getSelection()},e.prototype.getSelections=function(){var e=[];e.push(this.primaryCursor.getSelection());for(var t=0,n=this.secondaryCursors.length;n>t;t++)e.push(this.secondaryCursors[t].getSelection());return e},e.prototype.getViewSelections=function(){var e=[];e.push(this.primaryCursor.getViewSelection());for(var t=0,n=this.secondaryCursors.length;n>t;t++)e.push(this.secondaryCursors[t].getViewSelection());return e},e.prototype.setSelections=function(e,t){if(this.primaryCursor.setSelection(e[0]),this._setSecondarySelections(e.slice(1)),t){this.primaryCursor.setViewSelection(t[0]);for(var n=0;n<this.secondaryCursors.length;n++)this.secondaryCursors[n].setViewSelection(t[n+1])}},e.prototype.killSecondaryCursors=function(){return this._setSecondarySelections([])>0},e.prototype.normalize=function(){this._mergeCursorsIfNecessary(),this.primaryCursor.adjustBracketDecorations();for(var e=0,t=this.secondaryCursors.length;t>e;e++)this.secondaryCursors[e].adjustBracketDecorations()},e.prototype.addSecondaryCursor=function(e){var t=new o.OneCursor(this.editorId,this.model,this.configuration,this.modeConfiguration,this.viewModelHelper);e&&t.setSelection(e),this.secondaryCursors.push(t),this.lastAddedCursorIndex=this.secondaryCursors.length},e.prototype.duplicateCursors=function(){var e=[];e.push(this.primaryCursor.duplicate());for(var t=0,n=this.secondaryCursors.length;n>t;t++)e.push(this.secondaryCursors[t].duplicate());this.secondaryCursors=this.secondaryCursors.concat(e),this.lastAddedCursorIndex=this.secondaryCursors.length},e.prototype.getLastAddedCursor=function(){return 0===this.secondaryCursors.length||0===this.lastAddedCursorIndex?this.primaryCursor:this.secondaryCursors[this.lastAddedCursorIndex-1]},e.prototype._setSecondarySelections=function(e){var t=this.secondaryCursors.length,n=e.length,o=n-t;if(n>t)for(var i=n-t,r=0;i>r;r++)this.addSecondaryCursor(null);else if(t>n)for(var s=t-n,r=0;s>r;r++)this._removeSecondaryCursor(this.secondaryCursors.length-1);for(var r=0;n>r;r++)e[r]&&this.secondaryCursors[r].setSelection(e[r]);return o},e.prototype._removeSecondaryCursor=function(e){this.lastAddedCursorIndex>=e+1&&this.lastAddedCursorIndex--,this.secondaryCursors[e].dispose(),this.secondaryCursors.splice(e,1)},e.prototype._mergeCursorsIfNecessary=function(){if(0!==this.secondaryCursors.length){for(var e=this.getAll(),t=[],n=0;n<e.length;n++)t.push({index:n,selection:e[n].getSelection(),viewSelection:e[n].getViewSelection()});t.sort(function(e,t){return e.viewSelection.startLineNumber===t.viewSelection.startLineNumber?e.viewSelection.startColumn-t.viewSelection.startColumn:e.viewSelection.startLineNumber-t.viewSelection.startLineNumber});for(var o=0;o<t.length-1;o++){var r=t[o],s=t[o+1],a=r.viewSelection,l=s.viewSelection;if(l.getStartPosition().isBeforeOrEqual(a.getEndPosition())){var u=r.index<s.index?o:o+1,c=r.index<s.index?o+1:o,d=t[c].index,h=t[u].index,p=t[c].selection,m=t[u].selection;if(!p.equalsSelection(m)){var f,g=p.plusRange(m),v=p.selectionStartLineNumber===p.startLineNumber&&p.selectionStartColumn===p.startColumn,y=m.selectionStartLineNumber===m.startLineNumber&&m.selectionStartColumn===m.startColumn;d===this.lastAddedCursorIndex?(f=v,this.lastAddedCursorIndex=h):f=y;var _;_=f?new i.Selection(g.startLineNumber,g.startColumn,g.endLineNumber,g.endColumn):new i.Selection(g.endLineNumber,g.endColumn,g.startLineNumber,g.startColumn),t[u].selection=_,e[h].setSelection(_)}for(var b=0;b<t.length;b++)t[b].index>d&&t[b].index--;e.splice(d,1),t.splice(c,1),this._removeSecondaryCursor(d-1),o--}}}},e.prototype.getModeConfiguration=function(){var e,t,o={electricChars:{},autoClosingPairsOpen:{},autoClosingPairsClose:{},surroundingPairs:{}},i=this.model.getMode().richEditSupport;if(i&&i.electricCharacter)try{t=i.electricCharacter.getElectricCharacters()}catch(r){n.onUnexpectedError(r),t=null}if(t)for(e=0;e<t.length;e++)o.electricChars[t[e]]=!0;var s;if(i&&i.characterPair)try{s=i.characterPair.getAutoClosingPairs()}catch(r){n.onUnexpectedError(r),s=null}if(s)for(e=0;e<s.length;e++)o.autoClosingPairsOpen[s[e].open]=s[e].close,o.autoClosingPairsClose[s[e].close]=s[e].open;var a;if(i&&i.characterPair)try{a=i.characterPair.getSurroundingPairs()}catch(r){n.onUnexpectedError(r),a=null}if(a)for(e=0;e<a.length;e++)o.surroundingPairs[a[e].open]=a[e].close;return o},e}();t.CursorCollection=r});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/viewModel/viewModelImpl",["require","exports","vs/base/common/eventEmitter","vs/base/common/lifecycle","vs/base/common/strings","vs/editor/common/core/position","vs/editor/common/core/range","vs/editor/common/core/selection","vs/editor/common/editorCommon","vs/editor/common/viewModel/viewModelCursors","vs/editor/common/viewModel/viewModelDecorations"],function(e,t,n,o,i,r,s,a,l,u,c){"use strict";var d=function(e){function t(t,o,i,r,s){var a=this;e.call(this),this.lines=t,this.editorId=o,this.configuration=i,this.model=r,this.getCurrentCenteredModelRange=s,this.decorations=new c.ViewModelDecorations(this.editorId,this.configuration,{convertModelRangeToViewRange:function(e,t){return t?a.convertWholeLineModelRangeToViewRange(e):a.convertModelRangeToViewRange(e)}}),this.decorations.reset(this.model),this.cursors=new u.ViewModelCursors(this.configuration,this),this.listenersToRemove=[],this._toDispose=[],this.listenersToRemove.push(this.model.addBulkListener(function(e){return a.onEvents(e)})),this._toDispose.push(this.configuration.onDidChange(function(e){a.onEvents([new n.EmitterEvent(l.EventType.ConfigurationChanged,e)])}))}return __extends(t,e),t.prototype.setHiddenAreas=function(e){var t=this;this.deferredEmit(function(){var n=t.lines.setHiddenAreas(e,function(e,n){return t.emit(e,n)});n&&(t.emit(l.ViewEventNames.LineMappingChangedEvent),t.decorations.onLineMappingChanged(function(e,n){return t.emit(e,n)}),t.cursors.onLineMappingChanged(function(e,n){return t.emit(e,n)}))})},t.prototype.dispose=function(){this.listenersToRemove=o.dispose(this.listenersToRemove),this._toDispose=o.dispose(this._toDispose),this.decorations.dispose(),this.decorations=null,this.lines.dispose(),this.lines=null,this.configuration=null,this.model=null},t.prototype._onTabSizeChange=function(e){var t=this,n=this.lines.setTabSize(e,function(e,n){return t.emit(e,n)});return n&&(this.emit(l.ViewEventNames.LineMappingChangedEvent),this.decorations.onLineMappingChanged(function(e,n){return t.emit(e,n)}),this.cursors.onLineMappingChanged(function(e,n){return t.emit(e,n)})),n},t.prototype._onWrappingIndentChange=function(e){var t=this,n=this.lines.setWrappingIndent(e,function(e,n){return t.emit(e,n)});return n&&(this.emit(l.ViewEventNames.LineMappingChangedEvent),this.decorations.onLineMappingChanged(function(e,n){return t.emit(e,n)}),this.cursors.onLineMappingChanged(function(e,n){return t.emit(e,n)})),n},t.prototype._restoreCenteredModelRange=function(e){var t=this.convertModelRangeToViewRange(e),n={range:t,verticalType:l.VerticalRevealType.Center,revealHorizontal:!1};this.emit(l.ViewEventNames.RevealRangeEvent,n)},t.prototype._onWrappingColumnChange=function(e,t){var n=this,o=this.lines.setWrappingColumn(e,t,function(e,t){return n.emit(e,t)});return o&&(this.emit(l.ViewEventNames.LineMappingChangedEvent),this.decorations.onLineMappingChanged(function(e,t){return n.emit(e,t)}),this.cursors.onLineMappingChanged(function(e,t){return n.emit(e,t)})),o},t.prototype.addEventSource=function(e){var t=this;this.listenersToRemove.push(e.addBulkListener2(function(e){return t.onEvents(e)}))},t.prototype.onEvents=function(e){var t=this;this.deferredEmit(function(){var n,o=e.some(function(e){return e.getType()===l.EventType.ModelRawContentChanged});o||(n=t.getCurrentCenteredModelRange());var i,r,s,a,u,c=!1,d=!1,h=!1;for(i=0,r=e.length;r>i;i++)switch(s=e[i],a=s.getData(),s.getType()){case l.EventType.ModelRawContentChanged:switch(u=a,u.changeType){case l.EventType.ModelRawContentChangedFlush:t.onModelFlushed(u),c=!0;break;case l.EventType.ModelRawContentChangedLinesDeleted:t.onModelLinesDeleted(u),c=!0;break;case l.EventType.ModelRawContentChangedLinesInserted:t.onModelLinesInserted(u),c=!0;break;case l.EventType.ModelRawContentChangedLineChanged:d=t.onModelLineChanged(u);break;default:console.info("ViewModel received unknown event: "),console.info(s)}break;case l.EventType.ModelTokensChanged:t.onModelTokensChanged(a);break;case l.EventType.ModelModeChanged:break;case l.EventType.ModelModeSupportChanged:break;case l.EventType.ModelContentChanged2:break;case l.EventType.ModelOptionsChanged:var p=t.lines.getOutputLineCount(),m=t._onTabSizeChange(t.model.getOptions().tabSize),f=t.lines.getOutputLineCount();m&&p!==f&&(h=!0);break;case l.EventType.ModelDecorationsChanged:t.onModelDecorationsChanged(a);break;case l.EventType.ModelDispose:break;case l.EventType.CursorPositionChanged:t.onCursorPositionChanged(a);break;case l.EventType.CursorSelectionChanged:t.onCursorSelectionChanged(a);break;case l.EventType.CursorRevealRange:t.onCursorRevealRange(a);break;case l.EventType.CursorScrollRequest:t.onCursorScrollRequest(a);break;case l.EventType.ConfigurationChanged:if(h=t._onWrappingIndentChange(t.configuration.editor.wrappingInfo.wrappingIndent)||h,h=t._onWrappingColumnChange(t.configuration.editor.wrappingInfo.wrappingColumn,t.configuration.editor.fontInfo.typicalFullwidthCharacterWidth/t.configuration.editor.fontInfo.typicalHalfwidthCharacterWidth)||h,a.readOnly){t.decorations.reset(t.model);var g={inlineDecorationsChanged:!1};t.emit(l.ViewEventNames.DecorationsChangedEvent,g)}t.emit(s.getType(),a);break;default:console.info("View received unknown event: "),console.info(s)}!c&&d&&(t.emit(l.ViewEventNames.LineMappingChangedEvent),t.decorations.onLineMappingChanged(function(e,n){return t.emit(e,n)}),t.cursors.onLineMappingChanged(function(e,n){return t.emit(e,n)})),h&&n&&t._restoreCenteredModelRange(n)})},t.prototype.onModelFlushed=function(e){var t=this;this.lines.onModelFlushed(e.versionId,function(e,n){return t.emit(e,n)}),this.decorations.reset(this.model)},t.prototype.onModelDecorationsChanged=function(e){var t=this;this.decorations.onModelDecorationsChanged(e,function(e,n){return t.emit(e,n)})},t.prototype.onModelLinesDeleted=function(e){var t=this;this.lines.onModelLinesDeleted(e.versionId,e.fromLineNumber,e.toLineNumber,function(e,n){return t.emit(e,n)})},t.prototype.onModelTokensChanged=function(e){var t=this.convertModelPositionToViewPosition(e.fromLineNumber,1).lineNumber,n=this.convertModelPositionToViewPosition(e.toLineNumber,this.model.getLineMaxColumn(e.toLineNumber)).lineNumber,e={fromLineNumber:t,toLineNumber:n};this.emit(l.ViewEventNames.TokensChangedEvent,e)},t.prototype.onModelLineChanged=function(e){var t=this,n=this.lines.onModelLineChanged(e.versionId,e.lineNumber,e.detail,function(e,n){return t.emit(e,n)});return n},t.prototype.onModelLinesInserted=function(e){var t=this;this.lines.onModelLinesInserted(e.versionId,e.fromLineNumber,e.toLineNumber,e.detail.split("\n"),function(e,n){return t.emit(e,n)})},t.prototype.validateViewRange=function(e,t,n,o,i){var r=this.validateViewPosition(t,t,i.getStartPosition()),a=this.validateViewPosition(n,o,i.getEndPosition());return new s.Range(r.lineNumber,r.column,a.lineNumber,a.column)},t.prototype.validateViewPosition=function(e,t,n){1>e&&(e=1);var o=this.getLineCount();e>o&&(e=o);var i=this.getLineMinColumn(e),s=this.getLineMaxColumn(e);i>t&&(t=i),t>s&&(t=s);var a=this.convertViewPositionToModelPosition(e,t);return a.equals(n)?new r.Position(e,t):this.convertModelPositionToViewPosition(n.lineNumber,n.column)},t.prototype.validateViewSelection=function(e,t){var n=new r.Position(t.selectionStartLineNumber,t.selectionStartColumn),o=new r.Position(t.positionLineNumber,t.positionColumn),i=this.validateViewPosition(e.selectionStartLineNumber,e.selectionStartColumn,n),s=this.validateViewPosition(e.positionLineNumber,e.positionColumn,o);return new a.Selection(i.lineNumber,i.column,s.lineNumber,s.column)},t.prototype.onCursorPositionChanged=function(e){var t=this;this.cursors.onCursorPositionChanged(e,function(e,n){return t.emit(e,n)})},t.prototype.onCursorSelectionChanged=function(e){var t=this;this.cursors.onCursorSelectionChanged(e,function(e,n){return t.emit(e,n)})},t.prototype.onCursorRevealRange=function(e){var t=this;this.cursors.onCursorRevealRange(e,function(e,n){return t.emit(e,n)})},t.prototype.onCursorScrollRequest=function(e){var t=this;this.cursors.onCursorScrollRequest(e,function(e,n){return t.emit(e,n)})},t.prototype.getTabSize=function(){return this.model.getOptions().tabSize},t.prototype.getLineCount=function(){return this.lines.getOutputLineCount()},t.prototype.getLineContent=function(e){return this.lines.getOutputLineContent(e)},t.prototype.getLineMinColumn=function(e){return this.lines.getOutputLineMinColumn(e)},t.prototype.getLineMaxColumn=function(e){return this.lines.getOutputLineMaxColumn(e)},t.prototype.getLineFirstNonWhitespaceColumn=function(e){var t=i.firstNonWhitespaceIndex(this.getLineContent(e));return-1===t?0:t+1},t.prototype.getLineLastNonWhitespaceColumn=function(e){var t=i.lastNonWhitespaceIndex(this.getLineContent(e));return-1===t?0:t+2},t.prototype.getLineTokens=function(e){return this.lines.getOutputLineTokens(e)},t.prototype.getLineRenderLineNumber=function(e){var t=this.convertViewPositionToModelPosition(e,1);if(1!==t.column)return"";var n=t.lineNumber;return"function"==typeof this.configuration.editor.viewInfo.lineNumbers?this.configuration.editor.viewInfo.lineNumbers(n):n.toString()},t.prototype.getDecorationsViewportData=function(e,t){return this.decorations.getDecorationsViewportData(e,t)},t.prototype.getAllDecorations=function(){return this.decorations.getAllDecorations()},t.prototype.getEOL=function(){return this.model.getEOL()},t.prototype.getValueInRange=function(e,t){var n=this.convertViewRangeToModelRange(e);return this.model.getValueInRange(n,t)},t.prototype.getSelections=function(){return this.cursors.getSelections()},t.prototype.convertViewPositionToModelPosition=function(e,t){return this.lines.convertOutputPositionToInputPosition(e,t)},t.prototype.convertViewRangeToModelRange=function(e){var t=this.convertViewPositionToModelPosition(e.startLineNumber,e.startColumn),n=this.convertViewPositionToModelPosition(e.endLineNumber,e.endColumn);return new s.Range(t.lineNumber,t.column,n.lineNumber,n.column)},t.prototype.convertViewSelectionToModelSelection=function(e){var t=this.convertViewPositionToModelPosition(e.selectionStartLineNumber,e.selectionStartColumn),n=this.convertViewPositionToModelPosition(e.positionLineNumber,e.positionColumn);return new a.Selection(t.lineNumber,t.column,n.lineNumber,n.column)},t.prototype.getModelLineContent=function(e){return this.model.getLineContent(e)},t.prototype.getModelLineMaxColumn=function(e){return this.model.getLineMaxColumn(e)},t.prototype.validateModelPosition=function(e){return this.model.validatePosition(e)},t.prototype.convertModelPositionToViewPosition=function(e,t){return this.lines.convertInputPositionToOutputPosition(e,t)},t.prototype.convertModelRangeToViewRange=function(e){var t=this.convertModelPositionToViewPosition(e.startLineNumber,e.startColumn),n=this.convertModelPositionToViewPosition(e.endLineNumber,e.endColumn);return new s.Range(t.lineNumber,t.column,n.lineNumber,n.column)},t.prototype.convertWholeLineModelRangeToViewRange=function(e){var t=this.convertModelPositionToViewPosition(e.startLineNumber,1),n=this.convertModelPositionToViewPosition(e.endLineNumber,this.model.getLineMaxColumn(e.endLineNumber));return new s.Range(t.lineNumber,t.column,n.lineNumber,n.column)},t.prototype.convertModelSelectionToViewSelection=function(e){var t=this.convertModelPositionToViewPosition(e.selectionStartLineNumber,e.selectionStartColumn),n=this.convertModelPositionToViewPosition(e.positionLineNumber,e.positionColumn);return new a.Selection(t.lineNumber,t.column,n.lineNumber,n.column)},t.prototype.modelPositionIsVisible=function(e){return this.lines.inputPositionIsVisible(e.lineNumber,e.column)},t}(n.EventEmitter);t.ViewModel=d});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/contrib/diffNavigator/common/diffNavigator",["require","exports","vs/base/common/assert","vs/base/common/eventEmitter","vs/base/common/objects","vs/editor/common/core/range","vs/base/common/lifecycle"],function(e,t,n,o,i,r,s){"use strict";var a={followsCaret:!0,ignoreCharChanges:!0,alwaysRevealFirst:!0},l=function(e){function t(n,o){var r=this;void 0===o&&(o={}),e.call(this,[t.Events.UPDATED]),this.editor=n,this.options=i.mixin(o,a,!1),this.disposed=!1,this.toUnbind=[],this.nextIdx=-1,this.ranges=[],this.ignoreSelectionChange=!1,this.revealFirst=this.options.alwaysRevealFirst,this.toUnbind.push(this.editor.onDidDispose(function(){return r.dispose()})),this.toUnbind.push(this.editor.onDidUpdateDiff(function(){return r.onDiffUpdated()})),this.options.followsCaret&&this.toUnbind.push(this.editor.getModifiedEditor().onDidChangeCursorPosition(function(e){r.ignoreSelectionChange||(r.nextIdx=-1)})),this.options.alwaysRevealFirst&&this.toUnbind.push(this.editor.getModifiedEditor().onDidChangeModel(function(e){r.revealFirst=!0})),this.init()}return __extends(t,e),t.prototype.init=function(){var e=this.editor.getLineChanges()},t.prototype.onDiffUpdated=function(){this.init(),this.compute(this.editor.getLineChanges()),this.revealFirst&&null!==this.editor.getLineChanges()&&(this.revealFirst=!1,this.nextIdx=-1,this.next())},t.prototype.compute=function(e){var n=this;this.ranges=[],e&&e.forEach(function(e){!n.options.ignoreCharChanges&&e.charChanges?e.charChanges.forEach(function(e){n.ranges.push({rhs:!0,range:new r.Range(e.modifiedStartLineNumber,e.modifiedStartColumn,e.modifiedEndLineNumber,e.modifiedEndColumn)})}):n.ranges.push({rhs:!0,range:new r.Range(e.modifiedStartLineNumber,1,e.modifiedStartLineNumber,1)})}),this.ranges.sort(function(e,t){return e.range.getStartPosition().isBeforeOrEqual(t.range.getStartPosition())?-1:t.range.getStartPosition().isBeforeOrEqual(e.range.getStartPosition())?1:0}),this.emit(t.Events.UPDATED,{})},t.prototype.initIdx=function(e){for(var t=!1,n=this.editor.getPosition(),o=0,i=this.ranges.length;i>o&&!t;o++){var r=this.ranges[o].range;n.isBeforeOrEqual(r.getStartPosition())&&(this.nextIdx=o+(e?0:-1),t=!0)}t||(this.nextIdx=e?0:this.ranges.length-1),this.nextIdx<0&&(this.nextIdx=this.ranges.length-1)},t.prototype.move=function(e){if(n.ok(!this.disposed,"Illegal State - diff navigator has been disposed"),this.canNavigate()){-1===this.nextIdx?this.initIdx(e):e?(this.nextIdx+=1,this.nextIdx>=this.ranges.length&&(this.nextIdx=0)):(this.nextIdx-=1,this.nextIdx<0&&(this.nextIdx=this.ranges.length-1));var t=this.ranges[this.nextIdx];this.ignoreSelectionChange=!0;try{var o=t.range.getStartPosition();this.editor.setPosition(o),this.editor.revealPositionInCenter(o)}finally{this.ignoreSelectionChange=!1}}},t.prototype.canNavigate=function(){return this.ranges&&this.ranges.length>0},t.prototype.next=function(){this.move(!0)},t.prototype.previous=function(){this.move(!1)},t.prototype.dispose=function(){this.toUnbind=s.dispose(this.toUnbind),this.ranges=null,this.disposed=!0,e.prototype.dispose.call(this)},t.Events={UPDATED:"navigation.updated"},t}(o.EventEmitter);t.DiffNavigator=l}),define("vs/editor/contrib/find/common/findModel",["require","exports","vs/base/common/async","vs/base/common/lifecycle","vs/base/common/strings","vs/editor/common/commands/replaceCommand","vs/editor/common/core/position","vs/editor/common/core/range","vs/editor/common/editorCommon","./findDecorations","./replaceAllCommand","vs/editor/common/core/selection"],function(e,t,n,o,i,r,s,a,l,u,c,d){"use strict";function h(e){if(!e||0===e.length)return e;for(var t=0,n="",o=0,i=e.length;i>o;o++){var r=e.charCodeAt(o);if(r===m){if(o++,o>=i)break;var s=e.charCodeAt(o),a=null;switch(s){case m:a="\\";break;case v:a="\n";break;case y:a="	"}a&&(n+=e.substring(t,o-1)+a,t=o+1)}if(r===f){if(o++,o>=i)break;var s=e.charCodeAt(o),a=null;switch(s){case g:a="$&"}a&&(n+=e.substring(t,o-1)+a,t=o+1)}}return 0===t?e:n+e.substring(t)}t.FIND_IDS={StartFindAction:"actions.find",NextMatchFindAction:"editor.action.nextMatchFindAction",PreviousMatchFindAction:"editor.action.previousMatchFindAction",NextSelectionMatchFindAction:"editor.action.nextSelectionMatchFindAction",PreviousSelectionMatchFindAction:"editor.action.previousSelectionMatchFindAction",AddSelectionToNextFindMatchAction:"editor.action.addSelectionToNextFindMatch",MoveSelectionToNextFindMatchAction:"editor.action.moveSelectionToNextFindMatch",StartFindReplaceAction:"editor.action.startFindReplaceAction",CloseFindWidgetCommand:"closeFindWidget",ToggleCaseSensitiveCommand:"toggleFindCaseSensitive",ToggleWholeWordCommand:"toggleFindWholeWord",ToggleRegexCommand:"toggleFindRegex",ReplaceOneAction:"editor.action.replaceOne",ReplaceAllAction:"editor.action.replaceAll",SelectAllMatchesAction:"editor.action.selectAllMatches"},t.MATCHES_LIMIT=999;var p=function(){function e(e,t){var o=this;this._editor=e,this._state=t,this._toDispose=[],this._decorations=new u.FindDecorations(e),this._toDispose.push(this._decorations),this._updateDecorationsScheduler=new n.RunOnceScheduler(function(){return o.research(!1)},100),this._toDispose.push(this._updateDecorationsScheduler),this._toDispose.push(this._editor.onDidChangeCursorPosition(function(e){e.reason!==l.CursorChangeReason.Explicit&&e.reason!==l.CursorChangeReason.Undo&&e.reason!==l.CursorChangeReason.Redo||o._decorations.setStartPosition(o._editor.getPosition())})),this._ignoreModelContentChanged=!1,this._toDispose.push(this._editor.onDidChangeModelRawContent(function(e){o._ignoreModelContentChanged||(e.changeType===l.EventType.ModelRawContentChangedFlush&&o._decorations.reset(),o._decorations.setStartPosition(o._editor.getPosition()),o._updateDecorationsScheduler.schedule())})),this._toDispose.push(this._state.addChangeListener(function(e){return o._onStateChanged(e)})),this.research(!1,this._state.searchScope)}return e.prototype.dispose=function(){this._toDispose=o.dispose(this._toDispose)},e.prototype._onStateChanged=function(e){(e.searchString||e.isReplaceRevealed||e.isRegex||e.wholeWord||e.matchCase||e.searchScope)&&(e.searchScope?this.research(e.moveCursor,this._state.searchScope):this.research(e.moveCursor))},e._getSearchRange=function(e,t,n){var o;return o=t?e.getEditableRange():e.getFullModelRange(),n&&(o=o.intersectRanges(n)),o},e.prototype.research=function(e,n){var o=null;o="undefined"!=typeof n?n:this._decorations.getFindScope(),null!==o&&(o=new a.Range(o.startLineNumber,1,o.endLineNumber,this._editor.getModel().getLineMaxColumn(o.endLineNumber)));var i=this._findMatches(o,t.MATCHES_LIMIT);this._decorations.set(i,o),this._state.changeMatchInfo(this._decorations.getCurrentMatchesPosition(this._editor.getSelection()),this._decorations.getCount()),e&&this._moveToNextMatch(this._decorations.getStartPosition())},e.prototype._hasMatches=function(){return this._state.matchesCount>0},e.prototype._cannotFind=function(){if(!this._hasMatches()){var e=this._decorations.getFindScope();return e&&this._editor.revealRangeInCenterIfOutsideViewport(e),!0}return!1},e.prototype._moveToPrevMatch=function(t,n){if(void 0===n&&(n=!1),!this._cannotFind()){var o=this._decorations.getFindScope(),i=e._getSearchRange(this._editor.getModel(),this._state.isReplaceRevealed,o);i.getEndPosition().isBefore(t)&&(t=i.getEndPosition()),t.isBefore(i.getStartPosition())&&(t=i.getEndPosition());var r=t.lineNumber,a=t.column,l=this._editor.getModel();this._state.isRegex&&("$"===this._state.searchString&&(1===r?r=l.getLineCount():r--,a=l.getLineMaxColumn(r)),"^"!==this._state.searchString&&"^$"!==this._state.searchString||1===a&&(1===r?r=l.getLineCount():r--,a=l.getLineMaxColumn(r)));var u=new s.Position(r,a),c=l.findPreviousMatch(this._state.searchString,u,this._state.isRegex,this._state.matchCase,this._state.wholeWord);if(c){if(!n&&!i.containsRange(c))return this._moveToPrevMatch(c.getStartPosition(),!0);var d=this._decorations.setCurrentFindMatch(c);this._state.changeMatchInfo(d,this._decorations.getCount()),this._editor.setSelection(c),this._editor.revealRangeInCenterIfOutsideViewport(c)}}},e.prototype.moveToPrevMatch=function(){this._moveToPrevMatch(this._editor.getSelection().getStartPosition())},e.prototype._moveToNextMatch=function(t,n){if(void 0===n&&(n=!1),!this._cannotFind()){var o=this._decorations.getFindScope(),i=e._getSearchRange(this._editor.getModel(),this._state.isReplaceRevealed,o);i.getEndPosition().isBefore(t)&&(t=i.getStartPosition()),t.isBefore(i.getStartPosition())&&(t=i.getStartPosition());var r=t.lineNumber,a=t.column,l=this._editor.getModel();this._state.isRegex&&("^"!==this._state.searchString&&"^$"!==this._state.searchString||(r===l.getLineCount()?r=1:r++,a=1),"$"===this._state.searchString&&a===l.getLineMaxColumn(r)&&(r===l.getLineCount()?r=1:r++,a=1));var u=new s.Position(r,a),c=l.findNextMatch(this._state.searchString,u,this._state.isRegex,this._state.matchCase,this._state.wholeWord);if(c){if(!n&&!i.containsRange(c))return this._moveToNextMatch(c.getEndPosition(),!0);var d=this._decorations.setCurrentFindMatch(c);this._state.changeMatchInfo(d,this._decorations.getCount()),this._editor.setSelection(c),this._editor.revealRangeInCenterIfOutsideViewport(c)}}},e.prototype.moveToNextMatch=function(){this._moveToNextMatch(this._editor.getSelection().getEndPosition())},e.prototype.getReplaceString=function(e){if(!this._state.isRegex)return this._state.replaceString;var t=i.createRegExp(this._state.searchString,this._state.isRegex,this._state.matchCase,this._state.wholeWord,!0),n=h(this._state.replaceString);return e.replace(t,n)},e.prototype._rangeIsMatch=function(e){var t=this._editor.getSelection(),n=this._editor.getModel().getValueInRange(t),o=i.createSafeRegExp(this._state.searchString,this._state.isRegex,this._state.matchCase,this._state.wholeWord),r=n.match(o);return r&&r[0].length===n.length},e.prototype.replace=function(){if(this._hasMatches()){var e=this._editor.getSelection(),t=this._editor.getModel().getValueInRange(e);if(this._rangeIsMatch(e)){var n=this.getReplaceString(t),o=new r.ReplaceCommand(e,n);this._executeEditorCommand("replace",o),this._decorations.setStartPosition(new s.Position(e.startLineNumber,e.startColumn+n.length)),this.research(!0)}else this._decorations.setStartPosition(this._editor.getPosition()),this.moveToNextMatch()}},e.prototype._findMatches=function(t,n){var o=e._getSearchRange(this._editor.getModel(),this._state.isReplaceRevealed,t);return this._editor.getModel().findMatches(this._state.searchString,o,this._state.isRegex,this._state.matchCase,this._state.wholeWord,n)},e.prototype.replaceAll=function(){if(this._hasMatches()){for(var e=this._editor.getModel(),t=this._decorations.getFindScope(),n=this._findMatches(t,Number.MAX_VALUE),o=[],i=0,r=n.length;r>i;i++)o.push(this.getReplaceString(e.getValueInRange(n[i])));
var s=new c.ReplaceAllCommand(this._editor.getSelection(),n,o);this._executeEditorCommand("replaceAll",s),this.research(!1)}},e.prototype.selectAllMatches=function(){if(this._hasMatches()){var e=this._decorations.getFindScope(),t=this._findMatches(e,Number.MAX_VALUE);this._editor.setSelections(t.map(function(e){return new d.Selection(e.startLineNumber,e.startColumn,e.endLineNumber,e.endColumn)}))}},e.prototype._executeEditorCommand=function(e,t){try{this._ignoreModelContentChanged=!0,this._editor.executeCommand(e,t)}finally{this._ignoreModelContentChanged=!1}},e}();t.FindModelBoundToEditorModel=p;var m="\\".charCodeAt(0),f="$".charCodeAt(0),g="0".charCodeAt(0),v="n".charCodeAt(0),y="t".charCodeAt(0);t.parseReplaceString=h}),define("vs/editor/contrib/find/common/findState",["require","exports","vs/base/common/eventEmitter","vs/editor/common/core/range"],function(e,t,n,o){"use strict";var i=function(){function e(){this._searchString="",this._replaceString="",this._isRevealed=!1,this._isReplaceRevealed=!1,this._isRegex=!1,this._wholeWord=!1,this._matchCase=!1,this._searchScope=null,this._matchesPosition=0,this._matchesCount=0,this._eventEmitter=new n.EventEmitter}return Object.defineProperty(e.prototype,"searchString",{get:function(){return this._searchString},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"replaceString",{get:function(){return this._replaceString},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"isRevealed",{get:function(){return this._isRevealed},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"isReplaceRevealed",{get:function(){return this._isReplaceRevealed},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"isRegex",{get:function(){return this._isRegex},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"wholeWord",{get:function(){return this._wholeWord},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"matchCase",{get:function(){return this._matchCase},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"searchScope",{get:function(){return this._searchScope},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"matchesPosition",{get:function(){return this._matchesPosition},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"matchesCount",{get:function(){return this._matchesCount},enumerable:!0,configurable:!0}),e.prototype.dispose=function(){this._eventEmitter.dispose()},e.prototype.addChangeListener=function(t){return this._eventEmitter.addListener2(e._CHANGED_EVENT,t)},e.prototype.changeMatchInfo=function(t,n){var o={moveCursor:!1,searchString:!1,replaceString:!1,isRevealed:!1,isReplaceRevealed:!1,isRegex:!1,wholeWord:!1,matchCase:!1,searchScope:!1,matchesPosition:!1,matchesCount:!1},i=!1;0===n&&(t=0),t>n&&(t=n),this._matchesPosition!==t&&(this._matchesPosition=t,o.matchesPosition=!0,i=!0),this._matchesCount!==n&&(this._matchesCount=n,o.matchesCount=!0,i=!0),i&&this._eventEmitter.emit(e._CHANGED_EVENT,o)},e.prototype.change=function(t,n){var i={moveCursor:n,searchString:!1,replaceString:!1,isRevealed:!1,isReplaceRevealed:!1,isRegex:!1,wholeWord:!1,matchCase:!1,searchScope:!1,matchesPosition:!1,matchesCount:!1},r=!1;"undefined"!=typeof t.searchString&&this._searchString!==t.searchString&&(this._searchString=t.searchString,i.searchString=!0,r=!0),"undefined"!=typeof t.replaceString&&this._replaceString!==t.replaceString&&(this._replaceString=t.replaceString,i.replaceString=!0,r=!0),"undefined"!=typeof t.isRevealed&&this._isRevealed!==t.isRevealed&&(this._isRevealed=t.isRevealed,i.isRevealed=!0,r=!0),"undefined"!=typeof t.isReplaceRevealed&&this._isReplaceRevealed!==t.isReplaceRevealed&&(this._isReplaceRevealed=t.isReplaceRevealed,i.isReplaceRevealed=!0,r=!0),"undefined"!=typeof t.isRegex&&this._isRegex!==t.isRegex&&(this._isRegex=t.isRegex,i.isRegex=!0,r=!0),"undefined"!=typeof t.wholeWord&&this._wholeWord!==t.wholeWord&&(this._wholeWord=t.wholeWord,i.wholeWord=!0,r=!0),"undefined"!=typeof t.matchCase&&this._matchCase!==t.matchCase&&(this._matchCase=t.matchCase,i.matchCase=!0,r=!0),"undefined"!=typeof t.searchScope&&(o.Range.equalsRange(this._searchScope,t.searchScope)||(this._searchScope=t.searchScope,i.searchScope=!0,r=!0)),r&&this._eventEmitter.emit(e._CHANGED_EVENT,i)},e._CHANGED_EVENT="changed",e}();t.FindReplaceState=i}),define("vs/editor/contrib/hover/browser/hoverOperation",["require","exports","vs/base/common/async","vs/base/common/errors"],function(e,t,n,o){"use strict";var i;!function(e){e[e.IDLE=0]="IDLE",e[e.FIRST_WAIT=1]="FIRST_WAIT",e[e.SECOND_WAIT=2]="SECOND_WAIT",e[e.WAITING_FOR_ASYNC_COMPUTATION=3]="WAITING_FOR_ASYNC_COMPUTATION"}(i||(i={}));var r=function(){function e(e,t,o,r){var s=this;this._computer=e,this._state=i.IDLE,this._firstWaitScheduler=new n.RunOnceScheduler(function(){return s._triggerAsyncComputation()},this._getHoverTimeMillis()/2),this._secondWaitScheduler=new n.RunOnceScheduler(function(){return s._triggerSyncComputation()},this._getHoverTimeMillis()/2),this._loadingMessageScheduler=new n.RunOnceScheduler(function(){return s._showLoadingMessage()},3*this._getHoverTimeMillis()),this._asyncComputationPromise=null,this._asyncComputationPromiseDone=!1,this._completeCallback=t,this._errorCallback=o,this._progressCallback=r}return e.prototype.getComputer=function(){return this._computer},e.prototype._getHoverTimeMillis=function(){return this._computer.getHoverTimeMillis?this._computer.getHoverTimeMillis():e.HOVER_TIME},e.prototype._triggerAsyncComputation=function(){var e=this;this._state=i.SECOND_WAIT,this._secondWaitScheduler.schedule(),this._computer.computeAsync?(this._asyncComputationPromiseDone=!1,this._asyncComputationPromise=this._computer.computeAsync().then(function(t){e._asyncComputationPromiseDone=!0,e._withAsyncResult(t)},function(){return e._onError})):this._asyncComputationPromiseDone=!0},e.prototype._triggerSyncComputation=function(){this._computer.computeSync&&this._computer.onResult(this._computer.computeSync(),!0),this._asyncComputationPromiseDone?(this._state=i.IDLE,this._onComplete(this._computer.getResult())):(this._state=i.WAITING_FOR_ASYNC_COMPUTATION,this._onProgress(this._computer.getResult()))},e.prototype._showLoadingMessage=function(){this._state===i.WAITING_FOR_ASYNC_COMPUTATION&&this._onProgress(this._computer.getResultWithLoadingMessage())},e.prototype._withAsyncResult=function(e){e&&this._computer.onResult(e,!1),this._state===i.WAITING_FOR_ASYNC_COMPUTATION&&(this._state=i.IDLE,this._onComplete(this._computer.getResult()))},e.prototype._onComplete=function(e){this._completeCallback&&this._completeCallback(e)},e.prototype._onError=function(e){this._errorCallback?this._errorCallback(e):o.onUnexpectedError(e)},e.prototype._onProgress=function(e){this._progressCallback&&this._progressCallback(e)},e.prototype.start=function(){this._state===i.IDLE&&(this._state=i.FIRST_WAIT,this._firstWaitScheduler.schedule(),this._loadingMessageScheduler.schedule())},e.prototype.cancel=function(){this._loadingMessageScheduler.cancel(),this._state===i.FIRST_WAIT&&this._firstWaitScheduler.cancel(),this._state===i.SECOND_WAIT&&(this._secondWaitScheduler.cancel(),this._asyncComputationPromise&&(this._asyncComputationPromise.cancel(),this._asyncComputationPromise=null)),this._state===i.WAITING_FOR_ASYNC_COMPUTATION&&this._asyncComputationPromise&&(this._asyncComputationPromise.cancel(),this._asyncComputationPromise=null),this._state=i.IDLE},e.HOVER_TIME=300,e}();t.HoverOperation=r}),define("vs/editor/contrib/links/common/links",["require","exports","vs/base/common/errors","vs/base/common/winjs.base","vs/editor/common/modes","vs/base/common/async"],function(e,t,n,o,i,r){"use strict";function s(e){var t=i.LinkProviderRegistry.ordered(e).map(function(t){return r.asWinJsPromise(function(n){return t.provideLinks(e,n)}).then(function(e){return Array.isArray(e)?e:void 0},function(e){n.onUnexpectedError(e)})});return o.TPromise.join(t).then(function(e){for(var t=[],n=0,o=e;n<o.length;n++){var i=o[n];i&&(t=t.concat(i))}return t})}t.getLinks=s}),define("vs/editor/contrib/referenceSearch/browser/referencesModel",["require","exports","vs/base/common/eventEmitter","vs/base/common/event","vs/base/common/paths","vs/base/common/strings","vs/base/common/idGenerator","vs/base/common/winjs.base","vs/editor/common/core/range"],function(e,t,n,o,i,r,s,a,l){"use strict";var u=function(){function e(e,t,n){this._parent=e,this._range=t,this._eventBus=n,this._id=s.defaultGenerator.nextId()}return Object.defineProperty(e.prototype,"id",{get:function(){return this._id},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"model",{get:function(){return this._parent},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"parent",{get:function(){return this._parent},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"uri",{get:function(){return this._parent.uri},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"name",{get:function(){return this._parent.name},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"directory",{get:function(){return this._parent.directory},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"range",{get:function(){return this._range},set:function(e){this._range=e,this._eventBus.emit("ref/changed",this)},enumerable:!0,configurable:!0}),e}();t.OneReference=u;var c=function(){function e(e){this._value=e,this._lineStarts=r.computeLineStarts(e)}return e.prototype.preview=function(e,t){void 0===t&&(t=8);var n=this._lineStarts[e.startLineNumber-1],o=n+e.startColumn-1,i=this._lineStarts[e.endLineNumber-1]+e.endColumn-1,s=e.endLineNumber>=this._lineStarts.length?this._value.length:this._lineStarts[e.endLineNumber],a={before:this._value.substring(n,o).replace(/^\s+/,r.empty),inside:this._value.substring(o,i),after:this._value.substring(i,s).replace(/\s+$/,r.empty)};return a.before=r.lcut(a.before,t),a},e}();t.FilePreview=c;var d=function(){function e(e,t){this._parent=e,this._uri=t,this._children=[]}return Object.defineProperty(e.prototype,"id",{get:function(){return this._uri.toString()},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"parent",{get:function(){return this._parent},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"children",{get:function(){return this._children},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"uri",{get:function(){return this._uri},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"name",{get:function(){return i.basename(this.uri.fsPath)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"directory",{get:function(){return i.dirname(this.uri.fsPath)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"preview",{get:function(){return this._preview},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"failure",{get:function(){return this._loadFailure},enumerable:!0,configurable:!0}),e.prototype.resolve=function(e){var t=this;return this._resolved?a.TPromise.as(this):e.resolveEditorModel({resource:this._uri}).then(function(e){if(!e)throw new Error;var n=e.textEditorModel.getValue();return t._preview=new c(n),t._resolved=!0,t},function(e){return t._children=[],t._resolved=!0,t._loadFailure=e,t})},e}();t.FileReferences=d;var h=function(){function e(t){this._groups=[],this._references=[],this._eventBus=new n.EventEmitter,this.onDidChangeReferenceRange=o.fromEventEmitter(this._eventBus,"ref/changed"),t.sort(e._compareReferences);for(var i,r=0,s=t;r<s.length;r++){var a=s[r];if(i&&i.uri.toString()===a.uri.toString()||(i=new d(this,a.uri),this.groups.push(i)),0===i.children.length||!l.Range.equalsRange(a.range,i.children[i.children.length-1].range)){var c=new u(i,a.range,this._eventBus);this._references.push(c),i.children.push(c)}}}return Object.defineProperty(e.prototype,"empty",{get:function(){return 0===this._groups.length},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"references",{get:function(){return this._references},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"groups",{get:function(){return this._groups},enumerable:!0,configurable:!0}),e.prototype.nextReference=function(e){var t=e.parent.children.indexOf(e),n=e.parent.children.length,o=e.parent.parent.groups.length;return n>t+1||1===o?e.parent.children[(t+1)%n]:(t=e.parent.parent.groups.indexOf(e.parent),t=(t+1)%o,e.parent.parent.groups[t].children[0])},e.prototype.nearestReference=function(e,t){var n=this._references.map(function(n,o){return{idx:o,prefixLen:r.commonPrefixLength(n.uri.toString(),e.toString()),offsetDist:100*Math.abs(n.range.startLineNumber-t.lineNumber)+Math.abs(n.range.startColumn-t.column)}}).sort(function(e,t){return e.prefixLen>t.prefixLen?-1:e.prefixLen<t.prefixLen?1:e.offsetDist<t.offsetDist?-1:e.offsetDist>t.offsetDist?1:0})[0];return n?this._references[n.idx]:void 0},e._compareReferences=function(e,t){return e.uri.toString()<t.uri.toString()?-1:e.uri.toString()>t.uri.toString()?1:l.Range.compareRangesUsingStarts(e.range,t.range)},e}();t.ReferencesModel=h}),define("vs/editor/contrib/suggest/browser/completionModel",["require","exports","vs/base/common/arrays","vs/base/common/objects","vs/base/common/winjs.base","vs/base/common/filters","vs/base/common/async"],function(e,t,n,o,i,r,s){"use strict";var a=function(){function e(e,t){this._support=t.support,this.suggestion=e,this.container=t,this.filter=t.support&&t.support.filter||r.fuzzyContiguousFilter}return e.prototype.resolveDetails=function(e,t){var n=this;return this._support&&"function"==typeof this._support.resolveCompletionItem?s.asWinJsPromise(function(o){return n._support.resolveCompletionItem(e,t,n.suggestion,o)}):i.TPromise.as(this.suggestion)},e.prototype.updateDetails=function(e){this.suggestion=o.assign(this.suggestion,e)},e.compare=function(e,t){var n=e.suggestion,o=t.suggestion;if("string"==typeof n.sortText&&"string"==typeof o.sortText){var i=n.sortText.toLowerCase(),r=o.sortText.toLowerCase();if(r>i)return-1;if(i>r)return 1}return n.label.toLowerCase()<o.label.toLowerCase()?-1:1},e}();t.CompletionItem=a;var l=function(){function e(){}return e}();t.LineContext=l;var u=function(){function e(e,t){this.raw=e,this._items=[],this._filteredItems=void 0,this._lineContext={leadingLineContent:t,characterCountDelta:0};for(var n=0,o=e;n<o.length;n++)for(var i=o[n],r=0,s=i.suggestions;r<s.length;r++){var l=s[r];this._items.push(new a(l,i))}this._items.sort(a.compare)}return Object.defineProperty(e.prototype,"lineContext",{get:function(){return this._lineContext},set:function(e){this._lineContext!==e&&(this._filteredItems=void 0,this._lineContext=e)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"items",{get:function(){return this._filteredItems||this._filter(),this._filteredItems},enumerable:!0,configurable:!0}),e.prototype._filter=function(){this._filteredItems=[];for(var e=this._lineContext,t=e.leadingLineContent,o=e.characterCountDelta,i=0,r=this._items;i<r.length;i++){var s=r[i],a=s.suggestion.overwriteBefore;"number"!=typeof a&&(a=s.container.currentWord.length);var l=t.length-(a+o),u=t.substr(l),c=s.filter,d=s.suggestion,h=!1;s.highlights=c(u,d.label),h=null!==s.highlights,h||d.codeSnippet===d.label||(h=!n.isFalsyOrEmpty(c(u,d.codeSnippet.replace(/{{.+?}}/g,"")))),h||"string"!=typeof d.filterText||(h=!n.isFalsyOrEmpty(c(u,d.filterText))),h&&this._filteredItems.push(s)}},e}();t.CompletionModel=u}),define("vs/nls!vs/base/common/json",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/base/common/json",t)}),define("vs/base/common/json",["require","exports","vs/nls!vs/base/common/json"],function(e,t,n){"use strict";function o(e,t){function n(t,n){for(var o=0,i=0;t>o||!n;){var r=e.charCodeAt(h);if(r>=y._0&&r<=y._9)i=16*i+r-y._0;else if(r>=y.A&&r<=y.F)i=16*i+r-y.A+10;else{if(!(r>=y.a&&r<=y.f))break;i=16*i+r-y.a+10}h++,o++}return t>o&&(i=-1),i}function o(e){h=e,m="",f=0,_=v.Unknown,b=g.None}function a(){var t=h;if(e.charCodeAt(h)===y._0)h++;else for(h++;h<e.length&&s(e.charCodeAt(h));)h++;if(h<e.length&&e.charCodeAt(h)===y.dot){if(h++,!(h<e.length&&s(e.charCodeAt(h))))return b=g.UnexpectedEndOfNumber,e.substring(t,h);for(h++;h<e.length&&s(e.charCodeAt(h));)h++}var n=h;if(h<e.length&&(e.charCodeAt(h)===y.E||e.charCodeAt(h)===y.e))if(h++,(h<e.length&&e.charCodeAt(h)===y.plus||e.charCodeAt(h)===y.minus)&&h++,h<e.length&&s(e.charCodeAt(h))){for(h++;h<e.length&&s(e.charCodeAt(h));)h++;n=h}else b=g.UnexpectedEndOfNumber;return e.substring(t,n)}function l(){for(var t="",o=h;;){if(h>=p){t+=e.substring(o,h),b=g.UnexpectedEndOfString;break}var i=e.charCodeAt(h);if(i===y.doubleQuote){t+=e.substring(o,h),h++;break}if(i!==y.backslash){if(r(i)){t+=e.substring(o,h),b=g.UnexpectedEndOfString;break}h++}else{if(t+=e.substring(o,h),h++,h>=p){b=g.UnexpectedEndOfString;break}switch(i=e.charCodeAt(h++)){case y.doubleQuote:t+='"';break;case y.backslash:t+="\\";break;case y.slash:t+="/";break;case y.b:t+="\b";break;case y.f:t+="\f";break;case y.n:t+="\n";break;case y.r:t+="\r";break;case y.t:t+="	";break;case y.u:var s=n(4,!0);s>=0?t+=String.fromCharCode(s):b=g.InvalidUnicode;break;default:b=g.InvalidEscapeCharacter}o=h}}return t}function u(){if(m="",b=g.None,f=h,h>=p)return f=p,_=v.EOF;var t=e.charCodeAt(h);if(i(t)){do h++,m+=String.fromCharCode(t),t=e.charCodeAt(h);while(i(t));return _=v.Trivia}if(r(t))return h++,m+=String.fromCharCode(t),t===y.carriageReturn&&e.charCodeAt(h)===y.lineFeed&&(h++,m+="\n"),_=v.LineBreakTrivia;switch(t){case y.openBrace:return h++,_=v.OpenBraceToken;case y.closeBrace:return h++,_=v.CloseBraceToken;case y.openBracket:return h++,_=v.OpenBracketToken;case y.closeBracket:return h++,_=v.CloseBracketToken;case y.colon:return h++,_=v.ColonToken;case y.comma:return h++,_=v.CommaToken;case y.doubleQuote:return h++,m=l(),_=v.StringLiteral;case y.slash:var n=h-1;if(e.charCodeAt(h+1)===y.slash){for(h+=2;p>h&&!r(e.charCodeAt(h));)h++;return m=e.substring(n,h),_=v.LineCommentTrivia}if(e.charCodeAt(h+1)===y.asterisk){h+=2;for(var o=p-1,u=!1;o>h;){var d=e.charCodeAt(h);if(d===y.asterisk&&e.charCodeAt(h+1)===y.slash){h+=2,u=!0;break}h++}return u||(h++,b=g.UnexpectedEndOfComment),m=e.substring(n,h),_=v.BlockCommentTrivia}return m+=String.fromCharCode(t),h++,_=v.Unknown;case y.minus:if(m+=String.fromCharCode(t),h++,h===p||!s(e.charCodeAt(h)))return _=v.Unknown;case y._0:case y._1:case y._2:case y._3:case y._4:case y._5:case y._6:case y._7:case y._8:case y._9:return m+=a(),_=v.NumericLiteral;default:for(;p>h&&c(t);)h++,t=e.charCodeAt(h);if(f!==h){switch(m=e.substring(f,h)){case"true":return _=v.TrueKeyword;case"false":return _=v.FalseKeyword;case"null":return _=v.NullKeyword}return _=v.Unknown}return m+=String.fromCharCode(t),h++,_=v.Unknown}}function c(e){if(i(e)||r(e))return!1;switch(e){case y.closeBrace:case y.closeBracket:case y.openBrace:case y.openBracket:case y.doubleQuote:case y.colon:case y.comma:return!1}return!0}function d(){var e;do e=u();while(e>=v.LineCommentTrivia&&e<=v.Trivia);return e}void 0===t&&(t=!1);var h=0,p=e.length,m="",f=0,_=v.Unknown,b=g.None;return{setPosition:o,getPosition:function(){return h},scan:t?d:u,getToken:function(){return _},getTokenValue:function(){return m},getTokenOffset:function(){return f},getTokenLength:function(){return h-f},getTokenError:function(){return b}}}function i(e){return e===y.space||e===y.tab||e===y.verticalTab||e===y.formFeed||e===y.nonBreakingSpace||e===y.ogham||e>=y.enQuad&&e<=y.zeroWidthSpace||e===y.narrowNoBreakSpace||e===y.mathematicalSpace||e===y.ideographicSpace||e===y.byteOrderMark}function r(e){return e===y.lineFeed||e===y.carriageReturn||e===y.lineSeparator||e===y.paragraphSeparator}function s(e){return e>=y._0&&e<=y._9}function a(e,t){var n,i,r=o(e),s=[],a=0;do switch(i=r.getPosition(),n=r.scan()){case v.LineCommentTrivia:case v.BlockCommentTrivia:case v.EOF:a!==i&&s.push(e.substring(a,i)),void 0!==t&&s.push(r.getTokenValue().replace(/[^\r\n]/g,t)),a=r.getPosition()}while(n!==v.EOF);return s.join("")}function l(e){switch(e){case _.InvalidSymbol:return n.localize(0,null);case _.InvalidNumberFormat:return n.localize(1,null);case _.PropertyNameExpected:return n.localize(2,null);case _.ValueExpected:return n.localize(3,null);case _.ColonExpected:return n.localize(4,null);case _.CommaExpected:return n.localize(5,null);case _.CloseBraceExpected:return n.localize(6,null);case _.CloseBracketExpected:return n.localize(7,null);case _.EndOfFileExpected:return n.localize(8,null);default:return""}}function u(e){switch(typeof e){case"boolean":return"boolean";case"number":return"number";case"string":return"string";default:return"null"}}function c(e,t){function n(e,t,n,o){s.value=e,s.offset=t,s.length=n,s.type=o,s.columnOffset=void 0,r=s}var o=[],i=new Object,r=void 0,s={value:void 0,offset:void 0,length:void 0,type:void 0},a=!1;try{f(e,{onObjectBegin:function(e,n){if(e>=t)throw i;r=void 0,a=t>e,o.push("")},onObjectProperty:function(e,r,s){if(r>t)throw i;if(n(e,r,s,"property"),o[o.length-1]=e,r+s>=t)throw i},onObjectEnd:function(e,n){if(e>=t)throw i;r=void 0,o.pop()},onArrayBegin:function(e,n){if(e>=t)throw i;r=void 0,o.push(0)},onArrayEnd:function(e,n){if(e>=t)throw i;r=void 0,o.pop()},onLiteralValue:function(e,o,r){if(o>t)throw i;if(n(e,o,r,u(e)),o+r>=t)throw i},onSeparator:function(e,n,s){if(n>=t)throw i;if(":"===e&&"property"===r.type)r.columnOffset=n,a=!1,r=void 0;else if(","===e){var l=o[o.length-1];"number"==typeof l?o[o.length-1]=l+1:(a=!0,o[o.length-1]=""),r=void 0}}})}catch(l){if(l!==i)throw l}return""===o[o.length-1]&&o.pop(),{path:o,previousNode:r,isAtPropertyKey:a,matches:function(e){for(var t=0,n=0;t<e.length&&n<o.length;n++)if(e[t]===o[n]||"*"===e[t])t++;else if("**"!==e[t])return!1;return t===e.length}}}function d(e,t,n){function o(e){Array.isArray(r)?r.push(e):i&&(r[i]=e)}void 0===t&&(t=[]);var i=null,r=[],s=[],a={onObjectBegin:function(){var e={};o(e),s.push(r),r=e,i=null},onObjectProperty:function(e){i=e},onObjectEnd:function(){r=s.pop()},onArrayBegin:function(){var e=[];o(e),s.push(r),r=e,i=null},onArrayEnd:function(){r=s.pop()},onLiteralValue:o,onError:function(e){t.push({error:e})}};return f(e,a,n),r[0]}function h(e,t,n){function o(e){"property"===r.type&&(r.length=e-r.offset,r=r.parent)}function i(e){return r.children.push(e),o(e.offset+e.length),e}void 0===t&&(t=[]);var r={type:"array",offset:-1,length:-1,children:[]},s={onObjectBegin:function(e){r=i({type:"object",offset:e,length:-1,parent:r,children:[]})},onObjectProperty:function(e,t,n){r=i({type:"property",offset:t,length:-1,parent:r,children:[]}),r.children.push({type:"string",value:e,offset:t,length:n,parent:r})},onObjectEnd:function(e,t){o(e),r.length=e+t-r.offset,r=r.parent},onArrayBegin:function(e,t){r=i({type:"array",offset:e,length:-1,parent:r,children:[]})},onArrayEnd:function(e,t){r.length=e+t-r.offset,r=r.parent},onLiteralValue:function(e,t,n){i({type:u(e),offset:t,length:n,parent:r,value:e})},onSeparator:function(e,t,n){"property"===r.type&&(":"===e?r.columnOffset=t:","===e&&o(t))},onError:function(e){t.push({error:e})}};f(e,s,n);var a=r.children[0];return a&&delete a.parent,a}function p(e,t){if(e){for(var n=e,o=0,i=t;o<i.length;o++){var r=i[o];if("string"==typeof r){if("object"!==n.type)return;for(var s=!1,a=0,l=n.children;a<l.length;a++){var u=l[a];if(u.children[0].value===r){n=u.children[1],s=!0;break}}if(!s)return}else{var c=r;if("array"!==n.type||0>c||c>=n.children.length)return;n=n.children[c]}}return n}}function m(e){if("array"===e.type)return e.children.map(m);if("object"===e.type){for(var t={},n=0,o=e.children;n<o.length;n++){var i=o[n];t[i.children[0].value]=m(i.children[1])}return t}return e.value}function f(e,t,n){function i(e){return e?function(){return e(m.getTokenOffset(),m.getTokenLength())}:function(){return!0}}function r(e){return e?function(t){return e(t,m.getTokenOffset(),m.getTokenLength())}:function(){return!0}}function s(){for(;;){var e=m.scan();switch(e){case v.LineCommentTrivia:case v.BlockCommentTrivia:x&&a(_.InvalidSymbol);break;case v.Unknown:a(_.InvalidSymbol);break;case v.Trivia:case v.LineBreakTrivia:break;default:return e}}}function a(e,t,n){if(void 0===t&&(t=[]),void 0===n&&(n=[]),S(e),t.length+n.length>0)for(var o=m.getToken();o!==v.EOF;){if(-1!==t.indexOf(o)){s();break}if(-1!==n.indexOf(o))break;o=s()}}function l(e){if(m.getToken()!==v.StringLiteral)return!1;var t=m.getTokenValue();return e?w(t):g(t),s(),!0}function u(){switch(m.getToken()){case v.NumericLiteral:var e=0;try{e=JSON.parse(m.getTokenValue()),"number"!=typeof e&&(a(_.InvalidNumberFormat),e=0)}catch(t){a(_.InvalidNumberFormat)}w(e);break;case v.NullKeyword:w(null);break;case v.TrueKeyword:w(!0);break;case v.FalseKeyword:w(!1);break;default:return!1}return s(),!0}function c(){return l(!1)?(m.getToken()===v.ColonToken?(E(":"),s(),p()||a(_.ValueExpected,[],[v.CloseBraceToken,v.CommaToken])):a(_.ColonExpected,[],[v.CloseBraceToken,v.CommaToken]),!0):(a(_.PropertyNameExpected,[],[v.CloseBraceToken,v.CommaToken]),!1)}function d(){if(m.getToken()!==v.OpenBraceToken)return!1;f(),s();for(var e=!1;m.getToken()!==v.CloseBraceToken&&m.getToken()!==v.EOF;)m.getToken()===v.CommaToken?(e||a(_.ValueExpected,[],[]),E(","),s()):e&&a(_.CommaExpected,[],[]),c()||a(_.ValueExpected,[],[v.CloseBraceToken,v.CommaToken]),e=!0;return y(),m.getToken()!==v.CloseBraceToken?a(_.CloseBraceExpected,[v.CloseBraceToken],[]):s(),!0}function h(){if(m.getToken()!==v.OpenBracketToken)return!1;b(),s();for(var e=!1;m.getToken()!==v.CloseBracketToken&&m.getToken()!==v.EOF;)m.getToken()===v.CommaToken?(e||a(_.ValueExpected,[],[]),E(","),s()):e&&a(_.CommaExpected,[],[]),p()||a(_.ValueExpected,[],[v.CloseBracketToken,v.CommaToken]),e=!0;return C(),m.getToken()!==v.CloseBracketToken?a(_.CloseBracketExpected,[v.CloseBracketToken],[]):s(),!0}function p(){return h()||d()||l(!0)||u()}var m=o(e,!1),f=i(t.onObjectBegin),g=r(t.onObjectProperty),y=i(t.onObjectEnd),b=i(t.onArrayBegin),C=i(t.onArrayEnd),w=r(t.onLiteralValue),E=r(t.onSeparator),S=r(t.onError),x=n&&n.disallowComments;return s(),m.getToken()===v.EOF?!0:p()?(m.getToken()!==v.EOF&&a(_.EndOfFileExpected,[],[]),!0):(a(_.ValueExpected,[],[]),!1)}!function(e){e[e.None=0]="None",e[e.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",e[e.UnexpectedEndOfString=2]="UnexpectedEndOfString",e[e.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",e[e.InvalidUnicode=4]="InvalidUnicode",e[e.InvalidEscapeCharacter=5]="InvalidEscapeCharacter"}(t.ScanError||(t.ScanError={}));var g=t.ScanError;!function(e){e[e.Unknown=0]="Unknown",e[e.OpenBraceToken=1]="OpenBraceToken",e[e.CloseBraceToken=2]="CloseBraceToken",e[e.OpenBracketToken=3]="OpenBracketToken",e[e.CloseBracketToken=4]="CloseBracketToken",e[e.CommaToken=5]="CommaToken",e[e.ColonToken=6]="ColonToken",e[e.NullKeyword=7]="NullKeyword",e[e.TrueKeyword=8]="TrueKeyword",e[e.FalseKeyword=9]="FalseKeyword",e[e.StringLiteral=10]="StringLiteral",e[e.NumericLiteral=11]="NumericLiteral",e[e.LineCommentTrivia=12]="LineCommentTrivia",e[e.BlockCommentTrivia=13]="BlockCommentTrivia",e[e.LineBreakTrivia=14]="LineBreakTrivia",e[e.Trivia=15]="Trivia",e[e.EOF=16]="EOF"}(t.SyntaxKind||(t.SyntaxKind={}));var v=t.SyntaxKind;t.createScanner=o;var y;!function(e){e[e.nullCharacter=0]="nullCharacter",e[e.maxAsciiCharacter=127]="maxAsciiCharacter",e[e.lineFeed=10]="lineFeed",e[e.carriageReturn=13]="carriageReturn",e[e.lineSeparator=8232]="lineSeparator",e[e.paragraphSeparator=8233]="paragraphSeparator",e[e.nextLine=133]="nextLine",e[e.space=32]="space",e[e.nonBreakingSpace=160]="nonBreakingSpace",e[e.enQuad=8192]="enQuad",e[e.emQuad=8193]="emQuad",e[e.enSpace=8194]="enSpace",e[e.emSpace=8195]="emSpace",e[e.threePerEmSpace=8196]="threePerEmSpace",e[e.fourPerEmSpace=8197]="fourPerEmSpace",e[e.sixPerEmSpace=8198]="sixPerEmSpace",e[e.figureSpace=8199]="figureSpace",e[e.punctuationSpace=8200]="punctuationSpace",e[e.thinSpace=8201]="thinSpace",e[e.hairSpace=8202]="hairSpace",e[e.zeroWidthSpace=8203]="zeroWidthSpace",e[e.narrowNoBreakSpace=8239]="narrowNoBreakSpace",e[e.ideographicSpace=12288]="ideographicSpace",e[e.mathematicalSpace=8287]="mathematicalSpace",e[e.ogham=5760]="ogham",e[e._=95]="_",e[e.$=36]="$",e[e._0=48]="_0",e[e._1=49]="_1",e[e._2=50]="_2",e[e._3=51]="_3",e[e._4=52]="_4",e[e._5=53]="_5",e[e._6=54]="_6",e[e._7=55]="_7",e[e._8=56]="_8",e[e._9=57]="_9",e[e.a=97]="a",e[e.b=98]="b",e[e.c=99]="c",e[e.d=100]="d",e[e.e=101]="e",e[e.f=102]="f",e[e.g=103]="g",e[e.h=104]="h",e[e.i=105]="i",e[e.j=106]="j",e[e.k=107]="k",e[e.l=108]="l",e[e.m=109]="m",e[e.n=110]="n",e[e.o=111]="o",e[e.p=112]="p",e[e.q=113]="q",e[e.r=114]="r",e[e.s=115]="s",e[e.t=116]="t",e[e.u=117]="u",e[e.v=118]="v",e[e.w=119]="w",e[e.x=120]="x",e[e.y=121]="y",e[e.z=122]="z",e[e.A=65]="A",e[e.B=66]="B",e[e.C=67]="C",e[e.D=68]="D",e[e.E=69]="E",e[e.F=70]="F",e[e.G=71]="G",e[e.H=72]="H",e[e.I=73]="I",e[e.J=74]="J",e[e.K=75]="K",e[e.L=76]="L",e[e.M=77]="M",e[e.N=78]="N",e[e.O=79]="O",e[e.P=80]="P",e[e.Q=81]="Q",e[e.R=82]="R",e[e.S=83]="S",e[e.T=84]="T",e[e.U=85]="U",e[e.V=86]="V",e[e.W=87]="W",e[e.X=88]="X",e[e.Y=89]="Y",e[e.Z=90]="Z",e[e.ampersand=38]="ampersand",e[e.asterisk=42]="asterisk",e[e.at=64]="at",e[e.backslash=92]="backslash",e[e.bar=124]="bar",e[e.caret=94]="caret",e[e.closeBrace=125]="closeBrace",e[e.closeBracket=93]="closeBracket",e[e.closeParen=41]="closeParen",e[e.colon=58]="colon",e[e.comma=44]="comma",e[e.dot=46]="dot",e[e.doubleQuote=34]="doubleQuote",e[e.equals=61]="equals",e[e.exclamation=33]="exclamation",e[e.greaterThan=62]="greaterThan",e[e.lessThan=60]="lessThan",e[e.minus=45]="minus",e[e.openBrace=123]="openBrace",e[e.openBracket=91]="openBracket",e[e.openParen=40]="openParen",e[e.percent=37]="percent",e[e.plus=43]="plus",e[e.question=63]="question",e[e.semicolon=59]="semicolon",e[e.singleQuote=39]="singleQuote",e[e.slash=47]="slash",e[e.tilde=126]="tilde",e[e.backspace=8]="backspace",e[e.formFeed=12]="formFeed",e[e.byteOrderMark=65279]="byteOrderMark",e[e.tab=9]="tab",e[e.verticalTab=11]="verticalTab"}(y||(y={})),t.stripComments=a,function(e){e[e.InvalidSymbol=0]="InvalidSymbol",e[e.InvalidNumberFormat=1]="InvalidNumberFormat",e[e.PropertyNameExpected=2]="PropertyNameExpected",e[e.ValueExpected=3]="ValueExpected",e[e.ColonExpected=4]="ColonExpected",e[e.CommaExpected=5]="CommaExpected",e[e.CloseBraceExpected=6]="CloseBraceExpected",e[e.CloseBracketExpected=7]="CloseBracketExpected",e[e.EndOfFileExpected=8]="EndOfFileExpected"}(t.ParseErrorCode||(t.ParseErrorCode={}));var _=t.ParseErrorCode;t.getParseErrorMessage=l,t.getLocation=c,t.parse=d,t.parseTree=h,t.findNodeAtLocation=p,t.getNodeValue=m,t.visit=f}),define("vs/editor/contrib/defineKeybinding/common/smartSnippetInserter",["require","exports","vs/base/common/json","vs/editor/common/core/position","vs/editor/common/core/range"],function(e,t,n,o,i){"use strict";var r=function(){function e(){}return e.hasOpenBrace=function(e){for(;e.scan()!==n.SyntaxKind.EOF;){var t=e.getToken();if(t===n.SyntaxKind.OpenBraceToken)return!0}return!1},e.offsetToPosition=function(e,t){for(var n=0,i=e.getEOL().length,r=e.getLineCount(),s=1;r>=s;s++){var a=e.getLineContent(s).length+i,l=n+a;if(l>t)return new o.Position(s,t-n+1);n=l}return new o.Position(r,e.getLineMaxColumn(r))},e.insertSnippet=function(e,t){var r,s=e.getValueLengthInRange(new i.Range(1,1,t.lineNumber,t.column));!function(e){e[e.INVALID=0]="INVALID",e[e.AFTER_OBJECT=1]="AFTER_OBJECT",e[e.BEFORE_OBJECT=2]="BEFORE_OBJECT"}(r||(r={}));for(var a=r.INVALID,l=-1,u=r.INVALID,c=n.createScanner(e.getValue()),d=0,h=0,p=function(e,t){t!==r.INVALID&&1===d&&0===h?(a=t,l=e,u=t):a!==r.INVALID&&(a=r.INVALID,l=c.getTokenOffset())};c.scan()!==n.SyntaxKind.EOF;){var m=c.getPosition(),f=c.getToken(),g=!1;switch(f){case n.SyntaxKind.OpenBracketToken:g=!0,d++,p(m,r.BEFORE_OBJECT);break;case n.SyntaxKind.CloseBracketToken:g=!0,d--,p(m,r.INVALID);break;case n.SyntaxKind.CommaToken:g=!0,p(m,r.BEFORE_OBJECT);break;case n.SyntaxKind.OpenBraceToken:g=!0,h++,p(m,r.INVALID);
break;case n.SyntaxKind.CloseBraceToken:g=!0,h--,p(m,r.AFTER_OBJECT);break;case n.SyntaxKind.Trivia:case n.SyntaxKind.LineBreakTrivia:g=!0}if(m>=s&&(a!==r.INVALID||-1!==l)){var v=void 0,y=void 0;return a!==r.INVALID?(v=g?m:c.getTokenOffset(),y=a):(v=l,y=u),y===r.AFTER_OBJECT?{position:this.offsetToPosition(e,v),prepend:",",append:""}:(c.setPosition(v),{position:this.offsetToPosition(e,v),prepend:"",append:this.hasOpenBrace(c)?",":""})}}var _=e.getLineCount();return{position:new o.Position(_,e.getLineMaxColumn(_)),prepend:"\n[",append:"]"}},e}();t.SmartSnippetInserter=r}),define("vs/nls!vs/base/common/keyCodes",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/base/common/keyCodes",t)}),define("vs/base/common/keyCodes",["require","exports","vs/nls!vs/base/common/keyCodes","vs/base/common/platform"],function(e,t,n,o){"use strict";function i(e,t){var n=[];e(n);for(var o={},i=0,r=n.length;r>i;i++)n[i]&&(o[n[i]]=i);t(o);var s={};for(var a in o)o.hasOwnProperty(a)&&(s[a]=o[a],s[a.toLowerCase()]=o[a]);return new u(n,s)}function r(e,t,n){var o=[],i=v.hasCtrlCmd(e),s=v.hasShift(e),a=v.hasAlt(e),l=v.hasWinCtrl(e),u=v.extractKeyCode(e),c=t.getLabelForKey(u);if(!c)return"";(i&&!n.isMacintosh||l&&n.isMacintosh)&&o.push(t.ctrlKeyLabel),s&&o.push(t.shiftKeyLabel),a&&o.push(t.altKeyLabel),i&&n.isMacintosh&&o.push(t.cmdKeyLabel),l&&!n.isMacintosh&&o.push(t.windowsKeyLabel),o.push(c);var d=o.join(t.modifierSeparator);return v.hasChord(e)?d+" "+r(v.extractChordPart(e),t,n):d}function s(e,t){e.length>0&&e.push({tagName:"span",text:"+"}),e.push({tagName:"span",className:"monaco-kbkey",text:t})}function a(e,t,n,o){void 0===o&&(o=!1);var i=[],r=v.hasCtrlCmd(e),l=v.hasShift(e),u=v.hasAlt(e),c=v.hasWinCtrl(e),d=v.extractKeyCode(e),h=t.getLabelForKey(d);if(!h)return[];(r&&!n.isMacintosh||c&&n.isMacintosh)&&s(i,t.ctrlKeyLabel),l&&s(i,t.shiftKeyLabel),u&&s(i,t.altKeyLabel),r&&n.isMacintosh&&s(i,t.cmdKeyLabel),c&&!n.isMacintosh&&s(i,t.windowsKeyLabel),s(i,h);var p=null;return v.hasChord(e)&&(p=a(v.extractChordPart(e),t,n,!0),i.push({tagName:"span",text:" "}),i=i.concat(p)),o?i:[{tagName:"span",className:"monaco-kb",children:i}]}!function(e){e[e.Unknown=0]="Unknown",e[e.Backspace=1]="Backspace",e[e.Tab=2]="Tab",e[e.Enter=3]="Enter",e[e.Shift=4]="Shift",e[e.Ctrl=5]="Ctrl",e[e.Alt=6]="Alt",e[e.PauseBreak=7]="PauseBreak",e[e.CapsLock=8]="CapsLock",e[e.Escape=9]="Escape",e[e.Space=10]="Space",e[e.PageUp=11]="PageUp",e[e.PageDown=12]="PageDown",e[e.End=13]="End",e[e.Home=14]="Home",e[e.LeftArrow=15]="LeftArrow",e[e.UpArrow=16]="UpArrow",e[e.RightArrow=17]="RightArrow",e[e.DownArrow=18]="DownArrow",e[e.Insert=19]="Insert",e[e.Delete=20]="Delete",e[e.KEY_0=21]="KEY_0",e[e.KEY_1=22]="KEY_1",e[e.KEY_2=23]="KEY_2",e[e.KEY_3=24]="KEY_3",e[e.KEY_4=25]="KEY_4",e[e.KEY_5=26]="KEY_5",e[e.KEY_6=27]="KEY_6",e[e.KEY_7=28]="KEY_7",e[e.KEY_8=29]="KEY_8",e[e.KEY_9=30]="KEY_9",e[e.KEY_A=31]="KEY_A",e[e.KEY_B=32]="KEY_B",e[e.KEY_C=33]="KEY_C",e[e.KEY_D=34]="KEY_D",e[e.KEY_E=35]="KEY_E",e[e.KEY_F=36]="KEY_F",e[e.KEY_G=37]="KEY_G",e[e.KEY_H=38]="KEY_H",e[e.KEY_I=39]="KEY_I",e[e.KEY_J=40]="KEY_J",e[e.KEY_K=41]="KEY_K",e[e.KEY_L=42]="KEY_L",e[e.KEY_M=43]="KEY_M",e[e.KEY_N=44]="KEY_N",e[e.KEY_O=45]="KEY_O",e[e.KEY_P=46]="KEY_P",e[e.KEY_Q=47]="KEY_Q",e[e.KEY_R=48]="KEY_R",e[e.KEY_S=49]="KEY_S",e[e.KEY_T=50]="KEY_T",e[e.KEY_U=51]="KEY_U",e[e.KEY_V=52]="KEY_V",e[e.KEY_W=53]="KEY_W",e[e.KEY_X=54]="KEY_X",e[e.KEY_Y=55]="KEY_Y",e[e.KEY_Z=56]="KEY_Z",e[e.Meta=57]="Meta",e[e.ContextMenu=58]="ContextMenu",e[e.F1=59]="F1",e[e.F2=60]="F2",e[e.F3=61]="F3",e[e.F4=62]="F4",e[e.F5=63]="F5",e[e.F6=64]="F6",e[e.F7=65]="F7",e[e.F8=66]="F8",e[e.F9=67]="F9",e[e.F10=68]="F10",e[e.F11=69]="F11",e[e.F12=70]="F12",e[e.F13=71]="F13",e[e.F14=72]="F14",e[e.F15=73]="F15",e[e.F16=74]="F16",e[e.F17=75]="F17",e[e.F18=76]="F18",e[e.F19=77]="F19",e[e.NumLock=78]="NumLock",e[e.ScrollLock=79]="ScrollLock",e[e.US_SEMICOLON=80]="US_SEMICOLON",e[e.US_EQUAL=81]="US_EQUAL",e[e.US_COMMA=82]="US_COMMA",e[e.US_MINUS=83]="US_MINUS",e[e.US_DOT=84]="US_DOT",e[e.US_SLASH=85]="US_SLASH",e[e.US_BACKTICK=86]="US_BACKTICK",e[e.US_OPEN_SQUARE_BRACKET=87]="US_OPEN_SQUARE_BRACKET",e[e.US_BACKSLASH=88]="US_BACKSLASH",e[e.US_CLOSE_SQUARE_BRACKET=89]="US_CLOSE_SQUARE_BRACKET",e[e.US_QUOTE=90]="US_QUOTE",e[e.OEM_8=91]="OEM_8",e[e.OEM_102=92]="OEM_102",e[e.NUMPAD_0=93]="NUMPAD_0",e[e.NUMPAD_1=94]="NUMPAD_1",e[e.NUMPAD_2=95]="NUMPAD_2",e[e.NUMPAD_3=96]="NUMPAD_3",e[e.NUMPAD_4=97]="NUMPAD_4",e[e.NUMPAD_5=98]="NUMPAD_5",e[e.NUMPAD_6=99]="NUMPAD_6",e[e.NUMPAD_7=100]="NUMPAD_7",e[e.NUMPAD_8=101]="NUMPAD_8",e[e.NUMPAD_9=102]="NUMPAD_9",e[e.NUMPAD_MULTIPLY=103]="NUMPAD_MULTIPLY",e[e.NUMPAD_ADD=104]="NUMPAD_ADD",e[e.NUMPAD_SEPARATOR=105]="NUMPAD_SEPARATOR",e[e.NUMPAD_SUBTRACT=106]="NUMPAD_SUBTRACT",e[e.NUMPAD_DECIMAL=107]="NUMPAD_DECIMAL",e[e.NUMPAD_DIVIDE=108]="NUMPAD_DIVIDE",e[e.MAX_VALUE=109]="MAX_VALUE"}(t.KeyCode||(t.KeyCode={}));var l,l=t.KeyCode,u=function(){function e(e,t){this._fromKeyCode=e,this._toKeyCode=t}return e.prototype.fromKeyCode=function(e){return this._fromKeyCode[e]},e.prototype.toKeyCode=function(e){return this._toKeyCode.hasOwnProperty(e)?this._toKeyCode[e]:l.Unknown},e}(),c=i(function(e){e[l.Unknown]="unknown",e[l.Backspace]="Backspace",e[l.Tab]="Tab",e[l.Enter]="Enter",e[l.Shift]="Shift",e[l.Ctrl]="Ctrl",e[l.Alt]="Alt",e[l.PauseBreak]="PauseBreak",e[l.CapsLock]="CapsLock",e[l.Escape]="Escape",e[l.Space]="Space",e[l.PageUp]="PageUp",e[l.PageDown]="PageDown",e[l.End]="End",e[l.Home]="Home",e[l.LeftArrow]="LeftArrow",e[l.UpArrow]="UpArrow",e[l.RightArrow]="RightArrow",e[l.DownArrow]="DownArrow",e[l.Insert]="Insert",e[l.Delete]="Delete",e[l.KEY_0]="0",e[l.KEY_1]="1",e[l.KEY_2]="2",e[l.KEY_3]="3",e[l.KEY_4]="4",e[l.KEY_5]="5",e[l.KEY_6]="6",e[l.KEY_7]="7",e[l.KEY_8]="8",e[l.KEY_9]="9",e[l.KEY_A]="A",e[l.KEY_B]="B",e[l.KEY_C]="C",e[l.KEY_D]="D",e[l.KEY_E]="E",e[l.KEY_F]="F",e[l.KEY_G]="G",e[l.KEY_H]="H",e[l.KEY_I]="I",e[l.KEY_J]="J",e[l.KEY_K]="K",e[l.KEY_L]="L",e[l.KEY_M]="M",e[l.KEY_N]="N",e[l.KEY_O]="O",e[l.KEY_P]="P",e[l.KEY_Q]="Q",e[l.KEY_R]="R",e[l.KEY_S]="S",e[l.KEY_T]="T",e[l.KEY_U]="U",e[l.KEY_V]="V",e[l.KEY_W]="W",e[l.KEY_X]="X",e[l.KEY_Y]="Y",e[l.KEY_Z]="Z",e[l.ContextMenu]="ContextMenu",e[l.F1]="F1",e[l.F2]="F2",e[l.F3]="F3",e[l.F4]="F4",e[l.F5]="F5",e[l.F6]="F6",e[l.F7]="F7",e[l.F8]="F8",e[l.F9]="F9",e[l.F10]="F10",e[l.F11]="F11",e[l.F12]="F12",e[l.F13]="F13",e[l.F14]="F14",e[l.F15]="F15",e[l.F16]="F16",e[l.F17]="F17",e[l.F18]="F18",e[l.F19]="F19",e[l.NumLock]="NumLock",e[l.ScrollLock]="ScrollLock",e[l.US_SEMICOLON]=";",e[l.US_EQUAL]="=",e[l.US_COMMA]=",",e[l.US_MINUS]="-",e[l.US_DOT]=".",e[l.US_SLASH]="/",e[l.US_BACKTICK]="`",e[l.US_OPEN_SQUARE_BRACKET]="[",e[l.US_BACKSLASH]="\\",e[l.US_CLOSE_SQUARE_BRACKET]="]",e[l.US_QUOTE]="'",e[l.OEM_8]="OEM_8",e[l.OEM_102]="OEM_102",e[l.NUMPAD_0]="NumPad0",e[l.NUMPAD_1]="NumPad1",e[l.NUMPAD_2]="NumPad2",e[l.NUMPAD_3]="NumPad3",e[l.NUMPAD_4]="NumPad4",e[l.NUMPAD_5]="NumPad5",e[l.NUMPAD_6]="NumPad6",e[l.NUMPAD_7]="NumPad7",e[l.NUMPAD_8]="NumPad8",e[l.NUMPAD_9]="NumPad9",e[l.NUMPAD_MULTIPLY]="NumPad_Multiply",e[l.NUMPAD_ADD]="NumPad_Add",e[l.NUMPAD_SEPARATOR]="NumPad_Separator",e[l.NUMPAD_SUBTRACT]="NumPad_Subtract",e[l.NUMPAD_DECIMAL]="NumPad_Decimal",e[l.NUMPAD_DIVIDE]="NumPad_Divide"},function(e){e["\r"]=l.Enter}),d=i(function(e){for(var t=0,n=c._fromKeyCode.length;n>t;t++)e[t]=c._fromKeyCode[t];e[l.LeftArrow]="Left",e[l.UpArrow]="Up",e[l.RightArrow]="Right",e[l.DownArrow]="Down"},function(e){e.OEM_1=l.US_SEMICOLON,e.OEM_PLUS=l.US_EQUAL,e.OEM_COMMA=l.US_COMMA,e.OEM_MINUS=l.US_MINUS,e.OEM_PERIOD=l.US_DOT,e.OEM_2=l.US_SLASH,e.OEM_3=l.US_BACKTICK,e.OEM_4=l.US_OPEN_SQUARE_BRACKET,e.OEM_5=l.US_BACKSLASH,e.OEM_6=l.US_CLOSE_SQUARE_BRACKET,e.OEM_7=l.US_QUOTE,e.OEM_8=l.OEM_8,e.OEM_102=l.OEM_102});!function(e){function t(e){return c.fromKeyCode(e)}function n(e){return c.toKeyCode(e)}e.toString=t,e.fromString=n}(l=t.KeyCode||(t.KeyCode={}));var h=32768,p=16384,m=8192,f=4096,g=4095,v=function(){function e(){}return e.extractFirstPart=function(e){return 65535&e},e.extractChordPart=function(e){return e>>16&65535},e.hasChord=function(e){return 0!==this.extractChordPart(e)},e.hasCtrlCmd=function(e){return!!(e&h)},e.hasShift=function(e){return!!(e&p)},e.hasAlt=function(e){return!!(e&m)},e.hasWinCtrl=function(e){return!!(e&f)},e.extractKeyCode=function(e){return e&g},e}();t.BinaryKeybindings=v;var y=function(){function e(){}return e.chord=function(e,t){return e|(65535&t)<<16},e.CtrlCmd=h,e.Shift=p,e.Alt=m,e.WinCtrl=f,e}();t.KeyMod=y;var _=function(){function e(){}return e.ENTER=l.Enter,e.SHIFT_ENTER=y.Shift|l.Enter,e.CTRLCMD_ENTER=y.CtrlCmd|l.Enter,e.WINCTRL_ENTER=y.WinCtrl|l.Enter,e.TAB=l.Tab,e.SHIFT_TAB=y.Shift|l.Tab,e.ESCAPE=l.Escape,e.SPACE=l.Space,e.DELETE=l.Delete,e.SHIFT_DELETE=y.Shift|l.Delete,e.CTRLCMD_BACKSPACE=y.CtrlCmd|l.Backspace,e.UP_ARROW=l.UpArrow,e.SHIFT_UP_ARROW=y.Shift|l.UpArrow,e.CTRLCMD_UP_ARROW=y.CtrlCmd|l.UpArrow,e.DOWN_ARROW=l.DownArrow,e.SHIFT_DOWN_ARROW=y.Shift|l.DownArrow,e.CTRLCMD_DOWN_ARROW=y.CtrlCmd|l.DownArrow,e.LEFT_ARROW=l.LeftArrow,e.RIGHT_ARROW=l.RightArrow,e.PAGE_UP=l.PageUp,e.SHIFT_PAGE_UP=y.Shift|l.PageUp,e.PAGE_DOWN=l.PageDown,e.SHIFT_PAGE_DOWN=y.Shift|l.PageDown,e.F2=l.F2,e.CTRLCMD_S=y.CtrlCmd|l.KEY_S,e.CTRLCMD_C=y.CtrlCmd|l.KEY_C,e.CTRLCMD_V=y.CtrlCmd|l.KEY_V,e}();t.CommonKeybindings=_;var b=function(){function e(e){this.value=e}return e._toUSLabel=function(e,t){return r(e,t.isMacintosh?w.INSTANCE:S.INSTANCE,t)},e._toUSAriaLabel=function(e,t){return r(e,E.INSTANCE,t)},e._toUSHTMLLabel=function(e,t){return a(e,t.isMacintosh?w.INSTANCE:S.INSTANCE,t)},e._toCustomLabel=function(e,t,n){return r(e,t,n)},e._toCustomHTMLLabel=function(e,t,n){return a(e,t,n)},e._toElectronAccelerator=function(e,t){return v.hasChord(e)?null:r(e,C.INSTANCE,t)},e.getUserSettingsKeybindingRegex=function(){if(!this._cachedKeybindingRegex){var e="numpad(0|1|2|3|4|5|6|7|8|9|_multiply|_add|_subtract|_decimal|_divide|_separator)",t="`|\\-|=|\\[|\\]|\\\\\\\\|;|'|,|\\.|\\/|oem_8|oem_102",n="left|up|right|down|pageup|pagedown|end|home|tab|enter|escape|space|backspace|delete|pausebreak|capslock|insert|contextmenu|numlock|scrolllock",o="[a-z]|[0-9]|f(1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19)",i="(("+[e,t,n,o].join(")|(")+"))",r="((ctrl|shift|alt|cmd|win|meta)\\+)*",s="("+r+i+")";this._cachedKeybindingRegex='"\\s*('+s+"(\\s+"+s+')?)\\s*"'}return this._cachedKeybindingRegex},e.toUserSettingsLabel=function(e,t){void 0===t&&(t=o);var n=r(e,x.INSTANCE,t);return n=n.toLowerCase(),t.isMacintosh?n=n.replace(/meta/g,"cmd"):t.isWindows&&(n=n.replace(/meta/g,"win")),n},e.fromUserSettingsLabel=function(t,n){if(void 0===n&&(n=o),!t)return null;t=t.toLowerCase().trim();for(var i=!1,r=!1,s=!1,a=!1,l="";/^(ctrl|shift|alt|meta|win|cmd)(\+|\-)/.test(t);)/^ctrl(\+|\-)/.test(t)&&(n.isMacintosh?a=!0:i=!0,t=t.substr("ctrl-".length)),/^shift(\+|\-)/.test(t)&&(r=!0,t=t.substr("shift-".length)),/^alt(\+|\-)/.test(t)&&(s=!0,t=t.substr("alt-".length)),/^meta(\+|\-)/.test(t)&&(n.isMacintosh?i=!0:a=!0,t=t.substr("meta-".length)),/^win(\+|\-)/.test(t)&&(n.isMacintosh?i=!0:a=!0,t=t.substr("win-".length)),/^cmd(\+|\-)/.test(t)&&(n.isMacintosh?i=!0:a=!0,t=t.substr("cmd-".length));var u=0,c=t.indexOf(" ");c>0?(l=t.substring(0,c),u=e.fromUserSettingsLabel(t.substring(c),n)):l=t;var h=d.toKeyCode(l),p=0;return i&&(p|=y.CtrlCmd),r&&(p|=y.Shift),s&&(p|=y.Alt),a&&(p|=y.WinCtrl),p|=h,y.chord(p,u)},e.prototype.hasCtrlCmd=function(){return v.hasCtrlCmd(this.value)},e.prototype.hasShift=function(){return v.hasShift(this.value)},e.prototype.hasAlt=function(){return v.hasAlt(this.value)},e.prototype.hasWinCtrl=function(){return v.hasWinCtrl(this.value)},e.prototype.extractKeyCode=function(){return v.extractKeyCode(this.value)},e.prototype._toUSLabel=function(t){return void 0===t&&(t=o),e._toUSLabel(this.value,t)},e.prototype._toUSAriaLabel=function(t){return void 0===t&&(t=o),e._toUSAriaLabel(this.value,t)},e.prototype._toUSHTMLLabel=function(t){return void 0===t&&(t=o),e._toUSHTMLLabel(this.value,t)},e.prototype.toCustomLabel=function(t,n){return void 0===n&&(n=o),e._toCustomLabel(this.value,t,n)},e.prototype.toCustomHTMLLabel=function(t,n){return void 0===n&&(n=o),e._toCustomHTMLLabel(this.value,t,n)},e.prototype._toElectronAccelerator=function(t){return void 0===t&&(t=o),e._toElectronAccelerator(this.value,t)},e.prototype.toUserSettingsLabel=function(t){return void 0===t&&(t=o),e.toUserSettingsLabel(this.value,t)},e._cachedKeybindingRegex=null,e}();t.Keybinding=b;var C=function(){function e(){this.ctrlKeyLabel="Ctrl",this.shiftKeyLabel="Shift",this.altKeyLabel="Alt",this.cmdKeyLabel="Cmd",this.windowsKeyLabel="Super",this.modifierSeparator="+"}return e.prototype.getLabelForKey=function(e){switch(e){case l.UpArrow:return"Up";case l.DownArrow:return"Down";case l.LeftArrow:return"Left";case l.RightArrow:return"Right"}return l.toString(e)},e.INSTANCE=new e,e}();t.ElectronAcceleratorLabelProvider=C;var w=function(){function e(){this.ctrlKeyLabel="⌃",this.shiftKeyLabel="⇧",this.altKeyLabel="⌥",this.cmdKeyLabel="⌘",this.windowsKeyLabel=n.localize(0,null),this.modifierSeparator=""}return e.prototype.getLabelForKey=function(t){switch(t){case l.LeftArrow:return e.leftArrowUnicodeLabel;case l.UpArrow:return e.upArrowUnicodeLabel;case l.RightArrow:return e.rightArrowUnicodeLabel;case l.DownArrow:return e.downArrowUnicodeLabel}return l.toString(t)},e.INSTANCE=new e,e.leftArrowUnicodeLabel=String.fromCharCode(8592),e.upArrowUnicodeLabel=String.fromCharCode(8593),e.rightArrowUnicodeLabel=String.fromCharCode(8594),e.downArrowUnicodeLabel=String.fromCharCode(8595),e}();t.MacUIKeyLabelProvider=w;var E=function(){function e(){this.ctrlKeyLabel=n.localize(1,null),this.shiftKeyLabel=n.localize(2,null),this.altKeyLabel=n.localize(3,null),this.cmdKeyLabel=n.localize(4,null),this.windowsKeyLabel=n.localize(5,null),this.modifierSeparator="+"}return e.prototype.getLabelForKey=function(e){return l.toString(e)},e.INSTANCE=new w,e}();t.AriaKeyLabelProvider=E;var S=function(){function e(){this.ctrlKeyLabel=n.localize(6,null),this.shiftKeyLabel=n.localize(7,null),this.altKeyLabel=n.localize(8,null),this.cmdKeyLabel=n.localize(9,null),this.windowsKeyLabel=n.localize(10,null),this.modifierSeparator="+"}return e.prototype.getLabelForKey=function(e){return l.toString(e)},e.INSTANCE=new e,e}();t.ClassicUIKeyLabelProvider=S;var x=function(){function e(){this.ctrlKeyLabel="Ctrl",this.shiftKeyLabel="Shift",this.altKeyLabel="Alt",this.cmdKeyLabel="Meta",this.windowsKeyLabel="Meta",this.modifierSeparator="+"}return e.prototype.getLabelForKey=function(e){return d.fromKeyCode(e)},e.INSTANCE=new e,e}()}),define("vs/base/browser/keyboardEvent",["require","exports","vs/base/common/keyCodes","vs/base/common/platform","vs/base/browser/browser"],function(e,t,n,o,i){"use strict";function r(e){return a[e.keyCode]||n.KeyCode.Unknown}function s(e){l=e}var a={};!function(){a[3]=n.KeyCode.PauseBreak,a[8]=n.KeyCode.Backspace,a[9]=n.KeyCode.Tab,a[13]=n.KeyCode.Enter,a[16]=n.KeyCode.Shift,a[17]=n.KeyCode.Ctrl,a[18]=n.KeyCode.Alt,a[19]=n.KeyCode.PauseBreak,a[20]=n.KeyCode.CapsLock,a[27]=n.KeyCode.Escape,a[32]=n.KeyCode.Space,a[33]=n.KeyCode.PageUp,a[34]=n.KeyCode.PageDown,a[35]=n.KeyCode.End,a[36]=n.KeyCode.Home,a[37]=n.KeyCode.LeftArrow,a[38]=n.KeyCode.UpArrow,a[39]=n.KeyCode.RightArrow,a[40]=n.KeyCode.DownArrow,a[45]=n.KeyCode.Insert,a[46]=n.KeyCode.Delete,a[48]=n.KeyCode.KEY_0,a[49]=n.KeyCode.KEY_1,a[50]=n.KeyCode.KEY_2,a[51]=n.KeyCode.KEY_3,a[52]=n.KeyCode.KEY_4,a[53]=n.KeyCode.KEY_5,a[54]=n.KeyCode.KEY_6,a[55]=n.KeyCode.KEY_7,a[56]=n.KeyCode.KEY_8,a[57]=n.KeyCode.KEY_9,a[65]=n.KeyCode.KEY_A,a[66]=n.KeyCode.KEY_B,a[67]=n.KeyCode.KEY_C,a[68]=n.KeyCode.KEY_D,a[69]=n.KeyCode.KEY_E,a[70]=n.KeyCode.KEY_F,a[71]=n.KeyCode.KEY_G,a[72]=n.KeyCode.KEY_H,a[73]=n.KeyCode.KEY_I,a[74]=n.KeyCode.KEY_J,a[75]=n.KeyCode.KEY_K,a[76]=n.KeyCode.KEY_L,a[77]=n.KeyCode.KEY_M,a[78]=n.KeyCode.KEY_N,a[79]=n.KeyCode.KEY_O,a[80]=n.KeyCode.KEY_P,a[81]=n.KeyCode.KEY_Q,a[82]=n.KeyCode.KEY_R,a[83]=n.KeyCode.KEY_S,a[84]=n.KeyCode.KEY_T,a[85]=n.KeyCode.KEY_U,a[86]=n.KeyCode.KEY_V,a[87]=n.KeyCode.KEY_W,a[88]=n.KeyCode.KEY_X,a[89]=n.KeyCode.KEY_Y,a[90]=n.KeyCode.KEY_Z,a[93]=n.KeyCode.ContextMenu,a[96]=n.KeyCode.NUMPAD_0,a[97]=n.KeyCode.NUMPAD_1,a[98]=n.KeyCode.NUMPAD_2,a[99]=n.KeyCode.NUMPAD_3,a[100]=n.KeyCode.NUMPAD_4,a[101]=n.KeyCode.NUMPAD_5,a[102]=n.KeyCode.NUMPAD_6,a[103]=n.KeyCode.NUMPAD_7,a[104]=n.KeyCode.NUMPAD_8,a[105]=n.KeyCode.NUMPAD_9,a[106]=n.KeyCode.NUMPAD_MULTIPLY,a[107]=n.KeyCode.NUMPAD_ADD,a[108]=n.KeyCode.NUMPAD_SEPARATOR,a[109]=n.KeyCode.NUMPAD_SUBTRACT,a[110]=n.KeyCode.NUMPAD_DECIMAL,a[111]=n.KeyCode.NUMPAD_DIVIDE,a[112]=n.KeyCode.F1,a[113]=n.KeyCode.F2,a[114]=n.KeyCode.F3,a[115]=n.KeyCode.F4,a[116]=n.KeyCode.F5,a[117]=n.KeyCode.F6,a[118]=n.KeyCode.F7,a[119]=n.KeyCode.F8,a[120]=n.KeyCode.F9,a[121]=n.KeyCode.F10,a[122]=n.KeyCode.F11,a[123]=n.KeyCode.F12,a[124]=n.KeyCode.F13,a[125]=n.KeyCode.F14,a[126]=n.KeyCode.F15,a[127]=n.KeyCode.F16,a[128]=n.KeyCode.F17,a[129]=n.KeyCode.F18,a[130]=n.KeyCode.F19,a[144]=n.KeyCode.NumLock,a[145]=n.KeyCode.ScrollLock,a[186]=n.KeyCode.US_SEMICOLON,a[187]=n.KeyCode.US_EQUAL,a[188]=n.KeyCode.US_COMMA,a[189]=n.KeyCode.US_MINUS,a[190]=n.KeyCode.US_DOT,a[191]=n.KeyCode.US_SLASH,a[192]=n.KeyCode.US_BACKTICK,a[219]=n.KeyCode.US_OPEN_SQUARE_BRACKET,a[220]=n.KeyCode.US_BACKSLASH,a[221]=n.KeyCode.US_CLOSE_SQUARE_BRACKET,a[222]=n.KeyCode.US_QUOTE,a[223]=n.KeyCode.OEM_8,a[226]=n.KeyCode.OEM_102,i.isIE11orEarlier?a[91]=n.KeyCode.Meta:i.isFirefox?(a[59]=n.KeyCode.US_SEMICOLON,a[107]=n.KeyCode.US_EQUAL,a[109]=n.KeyCode.US_MINUS,o.isMacintosh&&(a[224]=n.KeyCode.Meta)):i.isWebKit&&(a[91]=n.KeyCode.Meta,o.isMacintosh?a[93]=n.KeyCode.Meta:a[92]=n.KeyCode.Meta)}(),t.lookupKeyCode=r;var l=function(e){if(e.charCode){var t=String.fromCharCode(e.charCode).toUpperCase();return n.KeyCode.fromString(t)}return r(e)};t.setExtractKeyCode=s;var u=o.isMacintosh?n.KeyMod.WinCtrl:n.KeyMod.CtrlCmd,c=n.KeyMod.Alt,d=n.KeyMod.Shift,h=o.isMacintosh?n.KeyMod.CtrlCmd:n.KeyMod.WinCtrl,p=function(){function e(t){if(t instanceof e)this.browserEvent=null,this.target=t.target,this.ctrlKey=t.ctrlKey,this.shiftKey=t.shiftKey,this.altKey=t.altKey,this.metaKey=t.metaKey,this.keyCode=t.keyCode,this._asKeybinding=t._asKeybinding;else{var o=t;this.browserEvent=o,this.target=o.target||o.targetNode,this.ctrlKey=o.ctrlKey,this.shiftKey=o.shiftKey,this.altKey=o.altKey,this.metaKey=o.metaKey,this.keyCode=l(o),this.ctrlKey=this.ctrlKey||this.keyCode===n.KeyCode.Ctrl,this.altKey=this.altKey||this.keyCode===n.KeyCode.Alt,this.shiftKey=this.shiftKey||this.keyCode===n.KeyCode.Shift,this.metaKey=this.metaKey||this.keyCode===n.KeyCode.Meta,this._asKeybinding=this._computeKeybinding()}}return e.prototype.preventDefault=function(){this.browserEvent&&this.browserEvent.preventDefault&&this.browserEvent.preventDefault()},e.prototype.stopPropagation=function(){this.browserEvent&&this.browserEvent.stopPropagation&&this.browserEvent.stopPropagation()},e.prototype.clone=function(){return new e(this)},e.prototype.asKeybinding=function(){return this._asKeybinding},e.prototype.equals=function(e){return this._asKeybinding===e},e.prototype._computeKeybinding=function(){var e=n.KeyCode.Unknown;this.keyCode!==n.KeyCode.Ctrl&&this.keyCode!==n.KeyCode.Shift&&this.keyCode!==n.KeyCode.Alt&&this.keyCode!==n.KeyCode.Meta&&(e=this.keyCode);var t=0;return this.ctrlKey&&(t|=u),this.altKey&&(t|=c),this.shiftKey&&(t|=d),this.metaKey&&(t|=h),t|=e},e}();t.StandardKeyboardEvent=p});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/browser/dom",["require","exports","vs/base/common/async","vs/base/common/errors","vs/base/common/eventEmitter","vs/base/common/lifecycle","vs/base/common/types","vs/base/browser/browser","vs/base/browser/keyboardEvent","vs/base/browser/mouseEvent"],function(e,t,n,o,i,r,s,a,l,u){"use strict";function c(e){for(;e.firstChild;)e.removeChild(e.firstChild)}function d(e){var t=[];return JSON.stringify(e,function(e,n){if(n instanceof Element)return"[Element]";if(s.isObject(n)||Array.isArray(n)){if(-1!==t.indexOf(n))return"[Circular]";t.push(n)}return n})}function h(e){for(;e;){if(e===document.body)return!0;e=e.parentNode}return!1}function p(e,t){var n=e.className;if(!n)return void(Q=-1);t=t.trim();var o=n.length,i=t.length;if(0===i)return void(Q=-1);if(i>o)return void(Q=-1);if(n===t)return Q=0,void(J=o);for(var r,s=-1;(s=n.indexOf(t,s+1))>=0;){if(r=s+i,(0===s||n.charCodeAt(s-1)===ee)&&n.charCodeAt(r)===ee)return Q=s,void(J=r+1);if(s>0&&n.charCodeAt(s-1)===ee&&r===o)return Q=s-1,void(J=r);if(0===s&&r===o)return Q=0,void(J=r)}Q=-1}function m(e,t){return p(e,t),-1!==Q}function f(e,t){e.className?(p(e,t),-1===Q&&(e.className=e.className+" "+t)):e.className=t}function g(e,t){p(e,t),-1!==Q&&(e.className=e.className.substring(0,Q)+e.className.substring(J))}function v(e,t,n){p(e,t),-1===Q||void 0!==n&&n||g(e,t),-1!==Q||void 0!==n&&!n||f(e,t)}function y(e,t,n,o){return new te(e,t,n,o)}function _(e){return function(t){return e(new u.StandardMouseEvent(t))}}function b(e){return function(t){return e(new l.StandardKeyboardEvent(t))}}function C(e,t){return y(e,"mouseout",function(n){for(var o=n.relatedTarget||n.toElement;o&&o!==e;)o=o.parentNode;o!==e&&t(n)})}function w(e,t,n,o,i){return new se(e,t,n,o,i)}function E(e){return document.defaultView.getComputedStyle(e,null)}function S(e,t,n){var o=E(e),i="0";return o&&(i=o.getPropertyValue?o.getPropertyValue(t):o.getAttribute(n)),ae(e,i)}function x(e){for(var t=e.offsetParent,n=e.offsetTop,o=e.offsetLeft;null!==(e=e.parentNode)&&e!==document.body&&e!==document.documentElement;){n-=e.scrollTop;var i=E(e);i&&(o-="rtl"!==i.direction?e.scrollLeft:-e.scrollLeft),e===t&&(o+=le.getBorderLeftWidth(e),n+=le.getBorderTopWidth(e),n+=e.offsetTop,o+=e.offsetLeft,t=e.offsetParent)}return{left:o,top:n}}function T(e){var t=x(e);return{left:t.left,top:t.top,width:e.clientWidth,height:e.clientHeight}}function L(e){var t=le.getBorderLeftWidth(e)+le.getBorderRightWidth(e),n=le.getPaddingLeft(e)+le.getPaddingRight(e);return e.offsetWidth-t-n}function M(e){var t=le.getMarginLeft(e)+le.getMarginRight(e);return e.offsetWidth+t}function N(e){var t=le.getBorderTopWidth(e)+le.getBorderBottomWidth(e),n=le.getPaddingTop(e)+le.getPaddingBottom(e);return e.offsetHeight-t-n}function I(e){var t=le.getMarginTop(e)+le.getMarginBottom(e);return e.offsetHeight+t}function D(e,t){if(null===e)return 0;var n=x(e),o=x(t);return n.left-o.left}function R(e,t){if(null===e)return 0;var n=x(e),o=x(t);return o.top-n.top}function O(e,t){var n=t.map(function(t){return M(t)+D(t,e)||0}),o=Math.max.apply(Math,n);return o}function k(e,t){for(;e;){if(e===t)return!0;e=e.parentNode}return!1}function P(e,t,n){for(;e;){if(m(e,t))return e;if(n&&m(e,n))return null;e=e.parentNode}return null}function A(){var e=document.createElement("style");return e.type="text/css",e.media="screen",document.getElementsByTagName("head")[0].appendChild(e),e}function W(e){return e&&e.sheet&&e.sheet.rules?e.sheet.rules:e&&e.sheet&&e.sheet.cssRules?e.sheet.cssRules:[]}function F(e,t,n){void 0===n&&(n=ue),n&&t&&n.sheet.insertRule(e+"{"+t+"}",0)}function H(e,t){if(void 0===t&&(t=ue),!t)return null;for(var n=W(t),o=0;o<n.length;o++){var i=n[o],r=i.selectorText.replace(/::/gi,":");if(r===e)return i}return null}function V(e,t){if(void 0===t&&(t=ue),t){for(var n=W(t),o=[],i=0;i<n.length;i++){var r=n[i],s=r.selectorText.replace(/::/gi,":");0===s.indexOf(e)&&o.push(i)}for(var i=o.length-1;i>=0;i--)t.sheet.deleteRule(o[i])}}function K(e){return"object"==typeof HTMLElement?e instanceof HTMLElement:e&&"object"==typeof e&&1===e.nodeType&&"string"==typeof e.nodeName}function B(e){for(var t=[],n=0;e&&e.nodeType===e.ELEMENT_NODE;n++)t[n]=e.scrollTop,e=e.parentNode;return t}function z(e,t){for(var n=0;e&&e.nodeType===e.ELEMENT_NODE;n++)e.scrollTop!==t[n]&&(e.scrollTop=t[n]),e=e.parentNode}function U(e){return new ce(e)}function j(e,t){return e.appendChild(t),t}function q(e){var t=de.exec(e);if(!t)throw new Error("Bad use of emmet");var n=document.createElement(t[1]||"div");return t[3]&&(n.id=t[3]),t[4]&&(n.className=t[4].replace(/\./g," ").trim()),n}function G(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];for(var n=0,o=e;n<o.length;n++){var i=o[n];i.style.display=null}}function Y(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];for(var n=0,o=e;n<o.length;n++){var i=o[n];i.style.display="none"}}function $(e,t){for(;e;){if(e instanceof HTMLElement&&e.hasAttribute(t))return e;e=e.parentNode}return null}function X(e){if(e&&e.hasAttribute("tabIndex")){if(document.activeElement===e){var t=$(e.parentElement,"tabIndex");t&&t.focus()}e.removeAttribute("tabindex")}}function Z(e){return Array.prototype.slice.call(document.getElementsByTagName(e),0)}t.clearNode=c,t.safeStringifyDOMAware=d,t.isInDOM=h;var Q,J,ee=" ".charCodeAt(0);t.hasClass=m,t.addClass=f,t.removeClass=g,t.toggleClass=v;var te=function(e){function t(t,n,o,i){e.call(this),this._node=t,this._type=n,this._useCapture=i||!1,this._wrapHandler=function(e){e=e||window.event,o(e)},"function"==typeof this._node.addEventListener?(this._usedAddEventListener=!0,this._node.addEventListener(this._type,this._wrapHandler,this._useCapture)):(this._usedAddEventListener=!1,this._node.attachEvent("on"+this._type,this._wrapHandler))}return __extends(t,e),t.prototype.dispose=function(){this._wrapHandler&&(this._usedAddEventListener?this._node.removeEventListener(this._type,this._wrapHandler,this._useCapture):this._node.detachEvent("on"+this._type,this._wrapHandler),this._node=null,this._wrapHandler=null)},t}(r.Disposable);t.addDisposableListener=y,t.addStandardDisposableListener=function(e,t,n,o){var i=n;return"click"===t?i=_(n):"keydown"!==t&&"keypress"!==t&&"keyup"!==t||(i=b(n)),e.addEventListener(t,i,o||!1),{dispose:function(){i&&(e.removeEventListener(t,i,o||!1),i=null,e=null,n=null)}}},t.addDisposableNonBubblingMouseOutListener=C;var ne=function(){var e=function(e){return setTimeout(function(){return e((new Date).getTime())},0)},t=self.requestAnimationFrame||self.msRequestAnimationFrame||self.webkitRequestAnimationFrame||self.mozRequestAnimationFrame||self.oRequestAnimationFrame,n=function(e){},o=self.cancelAnimationFrame||self.cancelRequestAnimationFrame||self.msCancelAnimationFrame||self.msCancelRequestAnimationFrame||self.webkitCancelAnimationFrame||self.webkitCancelRequestAnimationFrame||self.mozCancelAnimationFrame||self.mozCancelRequestAnimationFrame||self.oCancelAnimationFrame||self.oCancelRequestAnimationFrame,i=!!t,r=t||e,s=o||n;return{isNative:i,request:function(e){return r(e)},cancel:function(e){return s(e)}}}(),oe=function(){function e(e,t){this._runner=e,this.priority=t,this._canceled=!1}return e.prototype.dispose=function(){this._canceled=!0},e.prototype.execute=function(){if(!this._canceled)try{this._runner()}catch(e){o.onUnexpectedError(e)}},e.sort=function(e,t){return t.priority-e.priority},e}();!function(){var e=[],n=null,o=!1,i=!1,r=function(){for(o=!1,n=e,e=[],i=!0;n.length>0;){n.sort(oe.sort);var t=n.shift();t.execute()}i=!1};t.scheduleAtNextAnimationFrame=function(t,n){void 0===n&&(n=0);var i=new oe(t,n);if(e.push(i),!o)if(o=!0,a.isChrome){var s;ne.request(function(){clearTimeout(s),r()}),s=setTimeout(r,1e3)}else ne.request(r);return i},t.runAtThisOrScheduleAtNextAnimationFrame=function(e,o){if(i){var r=new oe(e,o);return n.push(r),r}return t.scheduleAtNextAnimationFrame(e,o)}}();var ie=16,re=function(e,t){return t},se=function(e){function t(t,o,i,r,s){void 0===r&&(r=re),void 0===s&&(s=ie),e.call(this);var a=null,l=0,u=this._register(new n.TimeoutTimer),c=function(){l=(new Date).getTime(),i(a),a=null};this._register(y(t,o,function(e){a=r(a,e);var t=(new Date).getTime()-l;t>=s?(u.cancel(),c()):u.setIfNotSet(c,s-t)}))}return __extends(t,e),t}(r.Disposable);t.addDisposableThrottledListener=w,t.getComputedStyle=E;var ae=function(){return function(e,t){return parseFloat(t)||0}}(),le={getBorderLeftWidth:function(e){return S(e,"border-left-width","borderLeftWidth")},getBorderTopWidth:function(e){return S(e,"border-top-width","borderTopWidth")},getBorderRightWidth:function(e){return S(e,"border-right-width","borderRightWidth")},getBorderBottomWidth:function(e){return S(e,"border-bottom-width","borderBottomWidth")},getPaddingLeft:function(e){return S(e,"padding-left","paddingLeft")},getPaddingTop:function(e){return S(e,"padding-top","paddingTop")},getPaddingRight:function(e){return S(e,"padding-right","paddingRight")},getPaddingBottom:function(e){return S(e,"padding-bottom","paddingBottom")},getMarginLeft:function(e){return S(e,"margin-left","marginLeft")},getMarginTop:function(e){return S(e,"margin-top","marginTop")},getMarginRight:function(e){return S(e,"margin-right","marginRight")},getMarginBottom:function(e){return S(e,"margin-bottom","marginBottom")},__commaSentinel:!1};t.getTopLeftOffset=x,t.getDomNodePosition=T,t.getContentWidth=L,t.getTotalWidth=M,t.getContentHeight=N,t.getTotalHeight=I,t.getRelativeLeft=D,t.getRelativeTop=R,t.getLargestChildWidth=O,t.isAncestor=k,t.findParentWithClass=P,t.createStyleSheet=A;var ue=A();t.createCSSRule=F,t.getCSSRule=H,t.removeCSSRulesWithPrefix=V,t.isHTMLElement=K,t.EventType={CLICK:"click",DBLCLICK:"dblclick",MOUSE_UP:"mouseup",MOUSE_DOWN:"mousedown",MOUSE_OVER:"mouseover",MOUSE_MOVE:"mousemove",MOUSE_OUT:"mouseout",CONTEXT_MENU:"contextmenu",KEY_DOWN:"keydown",KEY_PRESS:"keypress",KEY_UP:"keyup",LOAD:"load",UNLOAD:"unload",ABORT:"abort",ERROR:"error",RESIZE:"resize",SCROLL:"scroll",SELECT:"select",CHANGE:"change",SUBMIT:"submit",RESET:"reset",FOCUS:"focus",BLUR:"blur",INPUT:"input",STORAGE:"storage",DRAG_START:"dragstart",DRAG:"drag",DRAG_ENTER:"dragenter",DRAG_LEAVE:"dragleave",DRAG_OVER:"dragover",DROP:"drop",DRAG_END:"dragend",ANIMATION_START:a.isWebKit?"webkitAnimationStart":"animationstart",ANIMATION_END:a.isWebKit?"webkitAnimationEnd":"animationend",ANIMATION_ITERATION:a.isWebKit?"webkitAnimationIteration":"animationiteration"},t.EventHelper={stop:function(e,t){e.preventDefault?e.preventDefault():e.returnValue=!1,t&&(e.stopPropagation?e.stopPropagation():e.cancelBubble=!0)}},t.saveParentsScrollTop=B,t.restoreParentsScrollTop=z;var ce=function(e){function n(n){var o=this;e.call(this);var r=!1,s=!1;this._eventEmitter=this._register(new i.EventEmitter);var a=function(e){s=!1,r||(r=!0,o._eventEmitter.emit("focus",{}))},l=function(e){r&&(s=!0,window.setTimeout(function(){s&&(s=!1,r=!1,o._eventEmitter.emit("blur",{}))},0))};this._register(y(n,t.EventType.FOCUS,a,!0)),this._register(y(n,t.EventType.BLUR,l,!0))}return __extends(n,e),n.prototype.addFocusListener=function(e){return this._eventEmitter.addListener2("focus",e)},n.prototype.addBlurListener=function(e){return this._eventEmitter.addListener2("blur",e)},n}(r.Disposable);t.trackFocus=U,t.append=j;var de=/([\w\-]+)?(#([\w\-]+))?((.([\w\-]+))*)/;t.emmet=q,t.show=G,t.hide=Y,t.removeTabIndexAndUpdateFocus=X,t.getElementsByTagName=Z});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/browser/builder",["require","exports","vs/base/common/winjs.base","vs/base/common/types","vs/base/common/lifecycle","vs/base/common/strings","vs/base/common/assert","vs/base/browser/dom","vs/css!./builder"],function(e,t,n,o,i,r,s,a){"use strict";function l(e,t){s.ok(o.isString(e),"Expected String as parameter");var n=document.getElementById(e);return n?new L(n,t):null}function u(e){return e[b]||(e[b]={}),e[b]}function c(e){return!!e[b]}function d(e,t){return e instanceof M?new M(e):new L(e.getHTMLElement(),t)}function h(e,t){return new L(e,t)}function p(){return new L(null,!0)}function m(e,t,n){u(e)[t]=n}function f(e,t,n){if(c(e)){var i=u(e)[t];if(!o.isUndefined(i))return i;
}return n}function g(e,t){c(e)&&delete u(e)[t]}function v(e,t){m(e,C,t)}function y(e){g(e,C)}function _(e){return f(e,C)}t.withElementById=l,t.Build={withElementById:l};var b="_msDataKey",C="__$binding",w="__$listeners",E="__$visibility",S=function(){function e(e,t){this.x=e,this.y=t}return e}();t.Position=S;var x=function(){function e(e,t,n,o){this.top=e,this.right=t,this.bottom=n,this.left=o}return e}();t.Box=x;var T=function(){function e(e,t){this.width=e,this.height=t}return e.prototype.substract=function(t){return new e(this.width-t.left-t.right,this.height-t.top-t.bottom)},e}();t.Dimension=T;var L=function(){function e(e,t){this.offdom=t,this.container=e,this.currentElement=e,this.createdElements=[],this.toUnbind={},this.captureToUnbind={}}return e.prototype.asContainer=function(){return d(this,this.offdom)},e.prototype.clone=function(){var t=new e(this.container,this.offdom);return t.currentElement=this.currentElement,t.createdElements=this.createdElements,t.captureToUnbind=this.captureToUnbind,t.toUnbind=this.toUnbind,t},e.prototype.and=function(t){t instanceof e||t instanceof M||(t=new e(t,this.offdom));var n=[this];if(t instanceof M)for(var o=0;o<t.length;o++)n.push(t.item(o));else n.push(t);return new M(n)},e.prototype.build=function(t,n){s.ok(this.offdom,"This builder was not created off-dom, so build() can not be called."),t?t instanceof e&&(t=t.getHTMLElement()):t=this.container,s.ok(t,"Builder can only be build() with a container provided."),s.ok(a.isHTMLElement(t),"The container must either be a HTMLElement or a Builder.");var i,r,l=t,u=l.childNodes;if(o.isNumber(n)&&n<u.length)for(i=0,r=this.createdElements.length;r>i;i++)l.insertBefore(this.createdElements[i],u[n++]);else for(i=0,r=this.createdElements.length;r>i;i++)l.appendChild(this.createdElements[i]);return this},e.prototype.appendTo=function(t,n){t?t instanceof e&&(t=t.getHTMLElement()):t=this.container,s.ok(t,"Builder can only be build() with a container provided."),s.ok(a.isHTMLElement(t),"The container must either be a HTMLElement or a Builder.");var i=t;this.currentElement.parentNode&&this.currentElement.parentNode.removeChild(this.currentElement);var r=i.childNodes;return o.isNumber(n)&&n<r.length?i.insertBefore(this.currentElement,r[n]):i.appendChild(this.currentElement),this},e.prototype.append=function(t,n){return s.ok(t,"Need a child to append"),a.isHTMLElement(t)&&(t=h(t)),s.ok(t instanceof e||t instanceof M,"Need a child to append"),t.appendTo(this,n),this},e.prototype.offDOM=function(){return this.currentElement.parentNode&&this.currentElement.parentNode.removeChild(this.currentElement),this},e.prototype.getHTMLElement=function(){return this.currentElement},e.prototype.getContainer=function(){return this.container},e.prototype.div=function(e,t){return this.doElement("div",e,t)},e.prototype.p=function(e,t){return this.doElement("p",e,t)},e.prototype.ul=function(e,t){return this.doElement("ul",e,t)},e.prototype.ol=function(e,t){return this.doElement("ol",e,t)},e.prototype.li=function(e,t){return this.doElement("li",e,t)},e.prototype.span=function(e,t){return this.doElement("span",e,t)},e.prototype.img=function(e,t){return this.doElement("img",e,t)},e.prototype.a=function(e,t){return this.doElement("a",e,t)},e.prototype.header=function(e,t){return this.doElement("header",e,t)},e.prototype.section=function(e,t){return this.doElement("section",e,t)},e.prototype.footer=function(e,t){return this.doElement("footer",e,t)},e.prototype.element=function(e,t,n){return this.doElement(e,t,n)},e.prototype.doElement=function(t,n,i){var r=document.createElement(t);if(this.currentElement=r,this.offdom&&this.createdElements.push(r),o.isObject(n)&&this.attr(n),o.isFunction(n)&&(i=n),o.isFunction(i)){var s=new e(r);i.call(s,s)}return this.offdom||this.container.appendChild(r),this},e.prototype.domFocus=function(){return this.currentElement.focus(),this},e.prototype.hasFocus=function(){var e=document.activeElement;return e===this.currentElement},e.prototype.domSelect=function(e){void 0===e&&(e=null);var t=this.currentElement;return t.select(),e&&t.setSelectionRange(e.start,e.end),this},e.prototype.domBlur=function(){return this.currentElement.blur(),this},e.prototype.domClick=function(){return this.currentElement.click(),this},e.prototype.on=function(e,t,n,i){var r=this;if(o.isArray(e))e.forEach(function(e){r.on(e,t,n,i)});else{var s=e,l=a.addDisposableListener(this.currentElement,s,function(e){t(e,r,l)},i||!1);i?(this.captureToUnbind[s]||(this.captureToUnbind[s]=[]),this.captureToUnbind[s].push(l)):(this.toUnbind[s]||(this.toUnbind[s]=[]),this.toUnbind[s].push(l));var u=this.getProperty(w,[]);u.push(l),this.setProperty(w,u),n&&o.isArray(n)&&n.push(l)}return this},e.prototype.off=function(e,t){var n=this;if(o.isArray(e))e.forEach(function(e){n.off(e)});else{var r=e;t?this.captureToUnbind[r]&&(this.captureToUnbind[r]=i.dispose(this.captureToUnbind[r])):this.toUnbind[r]&&(this.toUnbind[r]=i.dispose(this.toUnbind[r]))}return this},e.prototype.once=function(e,t,n,i){var r=this;if(o.isArray(e))e.forEach(function(e){r.once(e,t)});else{var s=e,l=a.addDisposableListener(this.currentElement,s,function(e){t(e,r,l),l.dispose()},i||!1);n&&o.isArray(n)&&n.push(l)}return this},e.prototype.preventDefault=function(e,t,n,o){var i=function(e){e.preventDefault(),t&&(e.stopPropagation?e.stopPropagation():e.cancelBubble=!0)};return this.on(e,i,n)},e.prototype.attr=function(e,t){if(o.isObject(e)){for(var n in e)if(e.hasOwnProperty(n)){var i=e[n];this.doSetAttr(n,i)}return this}return o.isString(e)&&!o.isString(t)?this.currentElement.getAttribute(e):(o.isString(e)&&(o.isString(t)||(t=String(t)),this.doSetAttr(e,t)),this)},e.prototype.doSetAttr=function(e,t){"class"===e&&(e="addClass"),this[e]?o.isArray(t)?this[e].apply(this,t):this[e].call(this,t):this.currentElement.setAttribute(e,t)},e.prototype.removeAttribute=function(e){this.currentElement.removeAttribute(e)},e.prototype.id=function(e){return this.currentElement.setAttribute("id",e),this},e.prototype.src=function(e){return this.currentElement.setAttribute("src",e),this},e.prototype.href=function(e){return this.currentElement.setAttribute("href",e),this},e.prototype.title=function(e){return this.currentElement.setAttribute("title",e),this},e.prototype.name=function(e){return this.currentElement.setAttribute("name",e),this},e.prototype.type=function(e){return this.currentElement.setAttribute("type",e),this},e.prototype.value=function(e){return this.currentElement.setAttribute("value",e),this},e.prototype.alt=function(e){return this.currentElement.setAttribute("alt",e),this},e.prototype.draggable=function(e){return this.currentElement.setAttribute("draggable",e?"true":"false"),this},e.prototype.tabindex=function(e){return this.currentElement.setAttribute("tabindex",e.toString()),this},e.prototype.style=function(e,t){if(o.isObject(e)){for(var n in e)if(e.hasOwnProperty(n)){var i=e[n];this.doSetStyle(n,i)}}else{if(o.isString(e)&&!o.isString(t))return this.currentElement.style[this.cssKeyToJavaScriptProperty(e)];o.isString(e)&&o.isString(t)&&this.doSetStyle(e,t)}return this},e.prototype.doSetStyle=function(e,t){if(e.indexOf("-")>=0){var n=e.split("-");e=n[0];for(var o=1;o<n.length;o++){var i=n[o];e=e+i.charAt(0).toUpperCase()+i.substr(1)}}this.currentElement.style[this.cssKeyToJavaScriptProperty(e)]=t},e.prototype.cssKeyToJavaScriptProperty=function(e){if(e.indexOf("-")>=0){var t=e.split("-");e=t[0];for(var n=1;n<t.length;n++){var o=t[n];e=e+o.charAt(0).toUpperCase()+o.substr(1)}}else"float"===e&&(e="cssFloat");return e},e.prototype.getComputedStyle=function(){return a.getComputedStyle(this.currentElement)},e.prototype.addClass=function(){for(var e=this,t=[],n=0;n<arguments.length;n++)t[n-0]=arguments[n];return t.forEach(function(t){var n=t.split(" ");n.forEach(function(t){a.addClass(e.currentElement,t)})}),this},e.prototype.setClass=function(e,t){return void 0===t&&(t=null),null===t?this.currentElement.className=e:t?this.addClass(e):this.removeClass(e),this},e.prototype.hasClass=function(e){return a.hasClass(this.currentElement,e)},e.prototype.removeClass=function(){for(var e=this,t=[],n=0;n<arguments.length;n++)t[n-0]=arguments[n];return t.forEach(function(t){var n=t.split(" ");n.forEach(function(t){a.removeClass(e.currentElement,t)})}),this},e.prototype.swapClass=function(e,t){return this.hasClass(e)?(this.removeClass(e),this.addClass(t)):(this.removeClass(t),this.addClass(e)),this},e.prototype.toggleClass=function(e){return this.hasClass(e)?this.removeClass(e):this.addClass(e),this},e.prototype.color=function(e){return this.currentElement.style.color=e,this},e.prototype.background=function(e){return this.currentElement.style.backgroundColor=e,this},e.prototype.padding=function(e,t,n,i){return o.isString(e)&&e.indexOf(" ")>=0?this.padding.apply(this,e.split(" ")):(o.isUndefinedOrNull(e)||(this.currentElement.style.paddingTop=this.toPixel(e)),o.isUndefinedOrNull(t)||(this.currentElement.style.paddingRight=this.toPixel(t)),o.isUndefinedOrNull(n)||(this.currentElement.style.paddingBottom=this.toPixel(n)),o.isUndefinedOrNull(i)||(this.currentElement.style.paddingLeft=this.toPixel(i)),this)},e.prototype.margin=function(e,t,n,i){return o.isString(e)&&e.indexOf(" ")>=0?this.margin.apply(this,e.split(" ")):(o.isUndefinedOrNull(e)||(this.currentElement.style.marginTop=this.toPixel(e)),o.isUndefinedOrNull(t)||(this.currentElement.style.marginRight=this.toPixel(t)),o.isUndefinedOrNull(n)||(this.currentElement.style.marginBottom=this.toPixel(n)),o.isUndefinedOrNull(i)||(this.currentElement.style.marginLeft=this.toPixel(i)),this)},e.prototype.position=function(e,t,n,i,r){return o.isString(e)&&e.indexOf(" ")>=0?this.position.apply(this,e.split(" ")):(o.isUndefinedOrNull(e)||(this.currentElement.style.top=this.toPixel(e)),o.isUndefinedOrNull(t)||(this.currentElement.style.right=this.toPixel(t)),o.isUndefinedOrNull(n)||(this.currentElement.style.bottom=this.toPixel(n)),o.isUndefinedOrNull(i)||(this.currentElement.style.left=this.toPixel(i)),r||(r="absolute"),this.currentElement.style.position=r,this)},e.prototype.size=function(e,t){return o.isString(e)&&e.indexOf(" ")>=0?this.size.apply(this,e.split(" ")):(o.isUndefinedOrNull(e)||(this.currentElement.style.width=this.toPixel(e)),o.isUndefinedOrNull(t)||(this.currentElement.style.height=this.toPixel(t)),this)},e.prototype.minSize=function(e,t){return o.isString(e)&&e.indexOf(" ")>=0?this.minSize.apply(this,e.split(" ")):(o.isUndefinedOrNull(e)||(this.currentElement.style.minWidth=this.toPixel(e)),o.isUndefinedOrNull(t)||(this.currentElement.style.minHeight=this.toPixel(t)),this)},e.prototype.maxSize=function(e,t){return o.isString(e)&&e.indexOf(" ")>=0?this.maxSize.apply(this,e.split(" ")):(o.isUndefinedOrNull(e)||(this.currentElement.style.maxWidth=this.toPixel(e)),o.isUndefinedOrNull(t)||(this.currentElement.style.maxHeight=this.toPixel(t)),this)},e.prototype["float"]=function(e){return this.currentElement.style.cssFloat=e,this},e.prototype.clear=function(e){return this.currentElement.style.clear=e,this},e.prototype.normal=function(){return this.currentElement.style.fontStyle="normal",this.currentElement.style.fontWeight="normal",this.currentElement.style.textDecoration="none",this},e.prototype.italic=function(){return this.currentElement.style.fontStyle="italic",this},e.prototype.bold=function(){return this.currentElement.style.fontWeight="bold",this},e.prototype.underline=function(){return this.currentElement.style.textDecoration="underline",this},e.prototype.overflow=function(e){return this.currentElement.style.overflow=e,this},e.prototype.display=function(e){return this.currentElement.style.display=e,this},e.prototype.disable=function(){return this.currentElement.setAttribute("disabled","disabled"),this},e.prototype.enable=function(){return this.currentElement.removeAttribute("disabled"),this},e.prototype.show=function(){return this.hasClass("hidden")&&this.removeClass("hidden"),this.attr("aria-hidden","false"),this.cancelVisibilityPromise(),this},e.prototype.showDelayed=function(e){var t=this;this.cancelVisibilityPromise();var o=n.TPromise.timeout(e);return this.setProperty(E,o),o.done(function(){t.removeProperty(E),t.show()}),this},e.prototype.hide=function(){return this.hasClass("hidden")||this.addClass("hidden"),this.attr("aria-hidden","true"),this.cancelVisibilityPromise(),this},e.prototype.isHidden=function(){return this.hasClass("hidden")||"none"===this.currentElement.style.display},e.prototype.toggleVisibility=function(){return this.cancelVisibilityPromise(),this.swapClass("builder-visible","hidden"),this.isHidden()?this.attr("aria-hidden","true"):this.attr("aria-hidden","false"),this},e.prototype.cancelVisibilityPromise=function(){var e=this.getProperty(E);e&&(e.cancel(),this.removeProperty(E))},e.prototype.border=function(e,t,n){return o.isString(e)&&e.indexOf(" ")>=0?this.border.apply(this,e.split(" ")):(this.currentElement.style.borderWidth=this.toPixel(e),n&&(this.currentElement.style.borderColor=n),t&&(this.currentElement.style.borderStyle=t),this)},e.prototype.borderTop=function(e,t,n){return o.isString(e)&&e.indexOf(" ")>=0?this.borderTop.apply(this,e.split(" ")):(this.currentElement.style.borderTopWidth=this.toPixel(e),n&&(this.currentElement.style.borderTopColor=n),t&&(this.currentElement.style.borderTopStyle=t),this)},e.prototype.borderBottom=function(e,t,n){return o.isString(e)&&e.indexOf(" ")>=0?this.borderBottom.apply(this,e.split(" ")):(this.currentElement.style.borderBottomWidth=this.toPixel(e),n&&(this.currentElement.style.borderBottomColor=n),t&&(this.currentElement.style.borderBottomStyle=t),this)},e.prototype.borderLeft=function(e,t,n){return o.isString(e)&&e.indexOf(" ")>=0?this.borderLeft.apply(this,e.split(" ")):(this.currentElement.style.borderLeftWidth=this.toPixel(e),n&&(this.currentElement.style.borderLeftColor=n),t&&(this.currentElement.style.borderLeftStyle=t),this)},e.prototype.borderRight=function(e,t,n){return o.isString(e)&&e.indexOf(" ")>=0?this.borderRight.apply(this,e.split(" ")):(this.currentElement.style.borderRightWidth=this.toPixel(e),n&&(this.currentElement.style.borderRightColor=n),t&&(this.currentElement.style.borderRightStyle=t),this)},e.prototype.textAlign=function(e){return this.currentElement.style.textAlign=e,this},e.prototype.verticalAlign=function(e){return this.currentElement.style.verticalAlign=e,this},e.prototype.toPixel=function(e){return-1===e.toString().indexOf("px")?e.toString()+"px":e},e.prototype.innerHtml=function(e,t){return t?this.currentElement.innerHTML+=e:this.currentElement.innerHTML=e,this},e.prototype.text=function(e,t){return t?0===this.currentElement.children.length?this.currentElement.textContent+=e:this.currentElement.appendChild(document.createTextNode(e)):this.currentElement.textContent=e,this},e.prototype.safeInnerHtml=function(e,t){return this.innerHtml(r.escape(e),t)},e.prototype.bind=function(e){return v(this.currentElement,e),this},e.prototype.unbind=function(){return y(this.currentElement),this},e.prototype.getBinding=function(){return _(this.currentElement)},e.prototype.setProperty=function(e,t){return m(this.currentElement,e,t),this},e.prototype.getProperty=function(e,t){return f(this.currentElement,e,t)},e.prototype.removeProperty=function(e){return c(this.currentElement)&&delete u(this.currentElement)[e],this},e.prototype.parent=function(e){return s.ok(!this.offdom,"Builder was created with offdom = true and thus has no parent set"),h(this.currentElement.parentNode,e)},e.prototype.children=function(e){for(var t=this.currentElement.children,n=[],o=0;o<t.length;o++)n.push(h(t.item(o),e));return new M(n)},e.prototype.removeChild=function(e){return this.currentElement===e.parent().getHTMLElement()&&this.currentElement.removeChild(e.getHTMLElement()),this},e.prototype.select=function(e,t){s.ok(o.isString(e),"Expected String as parameter");for(var n=this.currentElement.querySelectorAll(e),i=[],r=0;r<n.length;r++)i.push(h(n.item(r),t));return new M(i)},e.prototype.matches=function(e){var t=this.currentElement,n=t.webkitMatchesSelector||t.mozMatchesSelector||t.msMatchesSelector||t.oMatchesSelector;return n&&n.call(t,e)},e.prototype.isEmpty=function(){return!this.currentElement.childNodes||0===this.currentElement.childNodes.length},e.prototype.unbindDescendants=function(e){if(e&&e.children)for(var t=0,n=e.children.length;n>t;t++){var i=e.children.item(t);if(c(i)){var r=u(i)[w];if(o.isArray(r))for(;r.length;)r.pop().dispose();delete i[b]}this.unbindDescendants(i)}},e.prototype.empty=function(){return this.unbindDescendants(this.currentElement),this.clearChildren(),this.offdom&&(this.createdElements=[]),this},e.prototype.clearChildren=function(){return this.currentElement&&a.clearNode(this.currentElement),this},e.prototype.destroy=function(){if(this.currentElement&&(this.currentElement.parentNode&&this.currentElement.parentNode.removeChild(this.currentElement),this.empty(),c(this.currentElement))){var e=u(this.currentElement)[w];if(o.isArray(e))for(;e.length;)e.pop().dispose();delete this.currentElement[b]}var t;for(t in this.toUnbind)this.toUnbind.hasOwnProperty(t)&&o.isArray(this.toUnbind[t])&&(this.toUnbind[t]=i.dispose(this.toUnbind[t]));for(t in this.captureToUnbind)this.captureToUnbind.hasOwnProperty(t)&&o.isArray(this.captureToUnbind[t])&&(this.captureToUnbind[t]=i.dispose(this.captureToUnbind[t]));this.currentElement=null,this.container=null,this.offdom=null,this.createdElements=null,this.captureToUnbind=null,this.toUnbind=null},e.prototype.dispose=function(){this.destroy()},e.prototype.getPositionRelativeTo=function(t){t instanceof e&&(t=t.getHTMLElement());var n=a.getRelativeLeft(this.currentElement,t),o=a.getRelativeTop(this.currentElement,t);return new x(o,-1,-1,n)},e.prototype.getPosition=function(){var e=a.getTopLeftOffset(this.currentElement);return new x(e.top,-1,-1,e.left)},e.prototype.getTotalSize=function(){var e=a.getTotalWidth(this.currentElement),t=a.getTotalHeight(this.currentElement);return new T(e,t)},e.prototype.getContentSize=function(){var e=a.getContentWidth(this.currentElement),t=a.getContentHeight(this.currentElement);return new T(e,t)},e.prototype.getClientArea=function(){if(this.currentElement!==document.body){var e=a.getDomNodePosition(this.currentElement);return new T(e.width,e.height)}if(window.innerWidth&&window.innerHeight)return new T(window.innerWidth,window.innerHeight);if(document.body&&document.body.clientWidth&&document.body.clientWidth)return new T(document.body.clientWidth,document.body.clientHeight);if(document.documentElement&&document.documentElement.clientWidth&&document.documentElement.clientHeight)return new T(document.documentElement.clientWidth,document.documentElement.clientHeight);throw new Error("Unable to figure out browser width and height")},e}();t.Builder=L;var M=function(e){function t(n){if(s.ok(o.isArray(n)||n instanceof t,"Expected Array or MultiBuilder as parameter"),e.call(this),this.length=0,this.builders=[],o.isArray(n))for(var i=0;i<n.length;i++)n[i]instanceof HTMLElement?this.push(h(n[i])):this.push(n[i]);else for(var i=0;i<n.length;i++)this.push(n.item(i));var r=this,a=function(e){r[e]=function(){for(var n,i=Array.prototype.slice.call(arguments),s=!1,a=0;a<r.length;a++){var l=r.item(a)[e].apply(r.item(a),i);if(l instanceof t){n||(n=[]),s=!0;for(var u=0;u<l.length;u++)n.push(l.item(u))}else o.isUndefined(l)||l instanceof L||(n||(n=[]),n.push(l))}return n&&s?new t(n):n||r}};for(var l in L.prototype)"clone"!==l&&"and"!==l&&L.prototype.hasOwnProperty(l)&&o.isFunction(L.prototype[l])&&a(l)}return __extends(t,e),t.prototype.item=function(e){return this.builders[e]},t.prototype.push=function(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];for(var n=0;n<e.length;n++)this.builders.push(e[n]);this.length=this.builders.length},t.prototype.pop=function(){var e=this.builders.pop();return this.length=this.builders.length,e},t.prototype.concat=function(e){var t=this.builders.concat(e);return this.length=this.builders.length,t},t.prototype.shift=function(){var e=this.builders.shift();return this.length=this.builders.length,e},t.prototype.unshift=function(e){var t=this.builders.unshift(e);return this.length=this.builders.length,t},t.prototype.slice=function(e,t){var n=this.builders.slice(e,t);return this.length=this.builders.length,n},t.prototype.splice=function(e,t){var n=this.builders.splice(e,t);return this.length=this.builders.length,n},t.prototype.clone=function(){return new t(this)},t.prototype.and=function(e){e instanceof L||e instanceof t||(e=new L(e));var n=[];if(e instanceof t)for(var o=0;o<e.length;o++)n.push(e.item(o));else n.push(e);return this.push.apply(this,n),this},t}(L);t.MultiBuilder=M,t.setPropertyOnElement=m,t.getPropertyFromElement=f,t.removePropertyFromElement=g,t.bindElement=v,t.unbindElement=y,t.getBindingFromElement=_,t.Binding={setPropertyOnElement:m,getPropertyFromElement:f,removePropertyFromElement:g,bindElement:v,unbindElement:y,getBindingFromElement:_};var N=/([\w\-]+)?(#([\w\-]+))?((.([\w\-]+))*)/;t.$=function(e){if(o.isUndefined(e))return p();if(!e)throw new Error("Bad use of $");if(a.isHTMLElement(e)||e===window)return h(e);if(o.isArray(e))return new M(e);if(e instanceof L)return d(e);if(o.isString(e)){if("<"===e[0]){var t=void 0,n=document.createElement("div");if(n.innerHTML=r.format.apply(r,arguments),0===n.children.length)throw new Error("Bad use of $");if(1===n.children.length)return t=n.firstChild,n.removeChild(t),h(t);for(var i=[];n.firstChild;)t=n.firstChild,n.removeChild(t),i.push(h(t));return new M(i)}if(1===arguments.length){var s=N.exec(e);if(!s)throw new Error("Bad use of $");var l=s[1]||"div",u=s[3]||void 0,c=(s[4]||"").replace(/\./g," "),m={};return u&&(m.id=u),c&&(m["class"]=c),p().element(l,m)}var f=p();return f.element.apply(f,arguments),f}throw new Error("Bad use of $")},t.$.Box=x,t.$.Dimension=T,t.$.Position=S,t.$.Builder=L,t.$.MultiBuilder=M,t.$.Build=t.Build,t.$.Binding=t.Binding});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/browser/globalMouseMoveMonitor",["require","exports","vs/base/common/lifecycle","vs/base/browser/dom","vs/base/browser/iframe","vs/base/browser/mouseEvent"],function(e,t,n,o,i,r){"use strict";function s(e,t){var n=new r.StandardMouseEvent(t);return n.preventDefault(),{leftButton:n.leftButton,posx:n.posx,posy:n.posy}}t.standardMouseMoveMerger=s;var a=function(e){function t(){e.call(this),this.hooks=[],this.mouseMoveEventMerger=null,this.mouseMoveCallback=null,this.onStopCallback=null}return __extends(t,e),t.prototype.dispose=function(){this.stopMonitoring(!1),e.prototype.dispose.call(this)},t.prototype.stopMonitoring=function(e){if(this.isMonitoring()){this.hooks=n.dispose(this.hooks),this.mouseMoveEventMerger=null,this.mouseMoveCallback=null;var t=this.onStopCallback;this.onStopCallback=null,e&&t()}},t.prototype.isMonitoring=function(){return this.hooks.length>0},t.prototype.startMonitoring=function(e,t,n){var s=this;if(!this.isMonitoring()){this.mouseMoveEventMerger=e,this.mouseMoveCallback=t,this.onStopCallback=n;for(var a=i.IframeUtils.getSameOriginWindowChain(),l=0;l<a.length;l++)this.hooks.push(o.addDisposableThrottledListener(a[l].window.document,"mousemove",function(e){return s.mouseMoveCallback(e)},function(e,t){return s.mouseMoveEventMerger(e,t)})),this.hooks.push(o.addDisposableListener(a[l].window.document,"mouseup",function(e){return s.stopMonitoring(!0)}));if(i.IframeUtils.hasDifferentOriginAncestor()){var u=a[a.length-1];this.hooks.push(o.addDisposableListener(u.window.document,"mouseout",function(e){var t=new r.StandardMouseEvent(e);"html"===t.target.tagName.toLowerCase()&&s.stopMonitoring(!0)})),this.hooks.push(o.addDisposableListener(u.window.document,"mouseover",function(e){var t=new r.StandardMouseEvent(e);"html"===t.target.tagName.toLowerCase()&&s.stopMonitoring(!0)})),this.hooks.push(o.addDisposableListener(u.window.document.body,"mouseleave",function(e){s.stopMonitoring(!0)}))}}},t}(n.Disposable);t.GlobalMouseMoveMonitor=a}),define("vs/base/browser/htmlContentRenderer",["require","exports","vs/base/browser/dom","vs/base/common/marked/marked"],function(e,t,n,o){"use strict";function i(e,t){return void 0===t&&(t={}),"string"==typeof e?r({isText:!0,text:e},t):Array.isArray(e)?r({children:e},t):e?r(e,t):void 0}function r(e,t){void 0===t&&(t={});var r=t.codeBlockRenderer,u=t.actionCallback;if(e.isText)return document.createTextNode(e.text);var c=s(e.tagName)||"div",d=document.createElement(c);if(e.className&&(d.className=e.className),e.text&&(d.textContent=e.text),e.style&&d.setAttribute("style",e.style),e.customStyle&&Object.keys(e.customStyle).forEach(function(t){d.style[t]=e.customStyle[t]}),e.code&&r){var h=r(e.code.language,e.code.value);d.innerHTML=h}if(e.children&&e.children.forEach(function(e){d.appendChild(i(e,t))}),e.formattedText&&a(d,l(e.formattedText),u),e.markdown){var p=new o.marked.Renderer;p.link=function(e,t,n){return'<a href="#" data-href="'+e+'" title="'+(t||n)+'">'+n+"</a>"},p.paragraph=function(e){return"<div>"+e+"</div>"},t.codeBlockRenderer&&(p.code=function(e,n){return t.codeBlockRenderer(n,e)}),t.actionCallback&&n.addStandardDisposableListener(d,"click",function(e){if("A"===e.target.tagName){var n=e.target.dataset.href;n&&t.actionCallback(n,e)}}),d.innerHTML=o.marked(e.markdown,{sanitize:!0,renderer:p})}return d}function s(e){return e&&h.hasOwnProperty(e)?e:null}function a(e,t,o){var i;if(t.type===d.Text)i=document.createTextNode(t.content);else if(t.type===d.Bold)i=document.createElement("b");else if(t.type===d.Italics)i=document.createElement("i");else if(t.type===d.Action){var r=document.createElement("a");r.href="#",n.addStandardDisposableListener(r,"click",function(e){o(String(t.index),e)}),i=r}else t.type===d.NewLine?i=document.createElement("br"):t.type===d.Root&&(i=e);e!==i&&e.appendChild(i),Array.isArray(t.children)&&t.children.forEach(function(e){a(i,e,o)})}function l(e){for(var t={type:d.Root,children:[]},n=0,o=t,i=[],r=new p(e);!r.eos();){var s=r.next(),a="\\"===s&&c(r.peek())!==d.Invalid;if(a&&(s=r.next()),!a&&u(s)&&s===r.peek()){r.advance(),o.type===d.Text&&(o=i.pop());var l=c(s);if(o.type===l||o.type===d.Action&&l===d.ActionClose)o=i.pop();else{var h={type:l,children:[]};l===d.Action&&(h.index=n,n++),o.children.push(h),i.push(o),o=h}}else if("\n"===s)o.type===d.Text&&(o=i.pop()),o.children.push({type:d.NewLine});else if(o.type!==d.Text){var m={type:d.Text,content:s};o.children.push(m),i.push(o),o=m}else o.content+=s}return o.type===d.Text&&(o=i.pop()),i.length,t}function u(e){return c(e)!==d.Invalid}function c(e){switch(e){case"*":return d.Bold;case"_":return d.Italics;case"[":return d.Action;case"]":return d.ActionClose;default:return d.Invalid}}t.renderHtml=i;var d,h={a:!0,b:!0,blockquote:!0,code:!0,del:!0,dd:!0,div:!0,dl:!0,dt:!0,em:!0,h1h2h3i:!0,img:!0,kbd:!0,li:!0,ol:!0,p:!0,pre:!0,s:!0,span:!0,sup:!0,sub:!0,strong:!0,strike:!0,ul:!0,br:!0,hr:!0},p=function(){function e(e){this.source=e,this.index=0}return e.prototype.eos=function(){return this.index>=this.source.length},e.prototype.next=function(){var e=this.peek();return this.advance(),e},e.prototype.peek=function(){return this.source[this.index]},e.prototype.advance=function(){this.index++},e}();!function(e){e[e.Invalid=0]="Invalid",e[e.Root=1]="Root",e[e.Text=2]="Text",e[e.Bold=3]="Bold",e[e.Italics=4]="Italics",e[e.Action=5]="Action",e[e.ActionClose=6]="ActionClose",e[e.NewLine=7]="NewLine"}(d||(d={}))});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/browser/styleMutator",["require","exports","vs/base/browser/dom"],function(e,t,n){"use strict";function o(e){return u?new a(e):new l(e)}function i(e,t){return e.getAttribute("data-transform")!==t?(e.setAttribute("data-transform",t),e.style.webkitTransform=t,!0):!1}function r(e,t){return e.getAttribute("data-transform")!==t?(e.setAttribute("data-transform",t),e.style.transform=t,!0):!1}var s=function(){function e(e){this._domNode=e,this._maxWidth=-1,this._width=-1,this._height=-1,this._top=-1,this._left=-1,this._bottom=-1,this._right=-1,this._fontFamily="",this._fontSize=-1,this._lineHeight=-1,this._className="",this._display="",this._position="",this._visibility="",this._transform="",this._lineNumber=""}return Object.defineProperty(e.prototype,"domNode",{get:function(){return this._domNode},enumerable:!0,configurable:!0}),e.prototype.setMaxWidth=function(e){this._maxWidth!==e&&(this._maxWidth=e,this._domNode.style.maxWidth=this._maxWidth+"px")},e.prototype.setWidth=function(e){this._width!==e&&(this._width=e,this._domNode.style.width=this._width+"px")},e.prototype.setHeight=function(e){this._height!==e&&(this._height=e,this._domNode.style.height=this._height+"px")},e.prototype.setTop=function(e){this._top!==e&&(this._top=e,this._domNode.style.top=this._top+"px")},e.prototype.setLeft=function(e){this._left!==e&&(this._left=e,this._domNode.style.left=this._left+"px")},e.prototype.setBottom=function(e){this._bottom!==e&&(this._bottom=e,this._domNode.style.bottom=this._bottom+"px")},e.prototype.setRight=function(e){this._right!==e&&(this._right=e,this._domNode.style.right=this._right+"px")},e.prototype.setFontFamily=function(e){this._fontFamily!==e&&(this._fontFamily=e,this._domNode.style.fontFamily=this._fontFamily)},e.prototype.setFontSize=function(e){this._fontSize!==e&&(this._fontSize=e,this._domNode.style.fontSize=this._fontSize+"px")},e.prototype.setLineHeight=function(e){this._lineHeight!==e&&(this._lineHeight=e,this._domNode.style.lineHeight=this._lineHeight+"px")},e.prototype.setClassName=function(e){this._className!==e&&(this._className=e,this._domNode.className=this._className)},e.prototype.toggleClassName=function(e,t){n.toggleClass(this._domNode,e,t),this._className=this._domNode.className},e.prototype.setDisplay=function(e){this._display!==e&&(this._display=e,this._domNode.style.display=this._display)},e.prototype.setPosition=function(e){this._position!==e&&(this._position=e,this._domNode.style.position=this._position)},e.prototype.setVisibility=function(e){this._visibility!==e&&(this._visibility=e,this._domNode.style.visibility=this._visibility)},e.prototype.setTransform=function(e){this._transform!==e&&(this._transform=e,this._setTransform(this._domNode,this._transform))},e.prototype.setLineNumber=function(e){this._lineNumber!==e&&(this._lineNumber=e,this._domNode.setAttribute("lineNumber",this._lineNumber))},e}();t.FastDomNode=s;var a=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),t.prototype._setTransform=function(e,t){e.style.webkitTransform=t},t}(s),l=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),t.prototype._setTransform=function(e,t){e.style.transform=t},t}(s),u=!1;!function(){var e=document.createElement("div");"undefined"!=typeof e.style.webkitTransform&&(u=!0)}(),t.createFastDomNode=o,t.StyleMutator={setMaxWidth:function(e,t){var n=t+"px";e.style.maxWidth!==n&&(e.style.maxWidth=n)},setWidth:function(e,t){var n=t+"px";e.style.width!==n&&(e.style.width=n)},setHeight:function(e,t){var n=t+"px";e.style.height!==n&&(e.style.height=n)},setTop:function(e,t){var n=t+"px";return e.style.top!==n?(e.style.top=n,!0):!1},setLeft:function(e,t){var n=t+"px";return e.style.left!==n?(e.style.left=n,!0):!1},setBottom:function(e,t){var n=t+"px";e.style.bottom!==n&&(e.style.bottom=n)},setRight:function(e,t){var n=t+"px";e.style.right!==n&&(e.style.right=n)},setFontSize:function(e,t){var n=t+"px";e.style.fontSize!==n&&(e.style.fontSize=n)},setLineHeight:function(e,t){var n=t+"px";e.style.lineHeight!==n&&(e.style.lineHeight=n)},setTransform:null,setDisplay:function(e,t){e.style.display!==t&&(e.style.display=t)},setVisibility:function(e,t){e.style.visibility!==t&&(e.style.visibility=t);
}},function(){var e=document.createElement("div");"undefined"!=typeof e.style.webkitTransform?t.StyleMutator.setTransform=i:t.StyleMutator.setTransform=r}()}),define("vs/base/browser/touch",["require","exports","vs/base/common/arrays","vs/base/common/lifecycle","vs/base/browser/dom"],function(e,t,n,o,i){"use strict";var r;!function(e){e.Tap="-monaco-gesturetap",e.Change="-monaco-gesturechange",e.Start="-monaco-gesturestart",e.End="-monaco-gesturesend",e.Contextmenu="-monaco-gesturecontextmenu"}(r=t.EventType||(t.EventType={}));var s=function(){function e(e){this.callOnTarget=[],this.activeTouches={},this.target=e,this.handle=null}return e.prototype.dispose=function(){this.target=null,this.handle&&(this.handle.dispose(),this.handle=null)},Object.defineProperty(e.prototype,"target",{set:function(e){var t=this;this.callOnTarget=o.dispose(this.callOnTarget),this.activeTouches={},this.targetElement=e,this.targetElement&&(this.callOnTarget.push(i.addDisposableListener(this.targetElement,"touchstart",function(e){return t.onTouchStart(e)})),this.callOnTarget.push(i.addDisposableListener(this.targetElement,"touchend",function(e){return t.onTouchEnd(e)})),this.callOnTarget.push(i.addDisposableListener(this.targetElement,"touchmove",function(e){return t.onTouchMove(e)})))},enumerable:!0,configurable:!0}),e.newGestureEvent=function(e){var t=document.createEvent("CustomEvent");return t.initEvent(e,!1,!0),t},e.prototype.onTouchStart=function(t){var n=Date.now();t.preventDefault(),t.stopPropagation(),this.handle&&(this.handle.dispose(),this.handle=null);for(var o=0,i=t.targetTouches.length;i>o;o++){var s=t.targetTouches.item(o);this.activeTouches[s.identifier]={id:s.identifier,initialTarget:s.target,initialTimeStamp:n,initialPageX:s.pageX,initialPageY:s.pageY,rollingTimestamps:[n],rollingPageX:[s.pageX],rollingPageY:[s.pageY]};var a=e.newGestureEvent(r.Start);a.pageX=s.pageX,a.pageY=s.pageY,this.targetElement.dispatchEvent(a)}},e.prototype.onTouchEnd=function(t){var o=Date.now();t.preventDefault(),t.stopPropagation();for(var i=Object.keys(this.activeTouches).length,s=0,a=t.changedTouches.length;a>s;s++){var l=t.changedTouches.item(s);if(this.activeTouches.hasOwnProperty(String(l.identifier))){var u=this.activeTouches[l.identifier],c=Date.now()-u.initialTimeStamp;if(c<e.HOLD_DELAY&&Math.abs(u.initialPageX-n.tail(u.rollingPageX))<30&&Math.abs(u.initialPageY-n.tail(u.rollingPageY))<30){var d=e.newGestureEvent(r.Tap);d.initialTarget=u.initialTarget,d.pageX=n.tail(u.rollingPageX),d.pageY=n.tail(u.rollingPageY),this.targetElement.dispatchEvent(d)}else if(c>=e.HOLD_DELAY&&Math.abs(u.initialPageX-n.tail(u.rollingPageX))<30&&Math.abs(u.initialPageY-n.tail(u.rollingPageY))<30){var d=e.newGestureEvent(r.Contextmenu);d.initialTarget=u.initialTarget,d.pageX=n.tail(u.rollingPageX),d.pageY=n.tail(u.rollingPageY),this.targetElement.dispatchEvent(d)}else if(1===i){var h=n.tail(u.rollingPageX),p=n.tail(u.rollingPageY),m=n.tail(u.rollingTimestamps)-u.rollingTimestamps[0],f=h-u.rollingPageX[0],g=p-u.rollingPageY[0];this.inertia(o,Math.abs(f)/m,f>0?1:-1,h,Math.abs(g)/m,g>0?1:-1,p)}delete this.activeTouches[l.identifier]}else console.warn("move of an UNKNOWN touch",l)}},e.prototype.inertia=function(t,n,o,s,a,l,u){var c=this;this.handle=i.scheduleAtNextAnimationFrame(function(){var i=Date.now(),d=i-t,h=0,p=0,m=!0;n+=e.SCROLL_FRICTION*d,a+=e.SCROLL_FRICTION*d,n>0&&(m=!1,h=o*n*d),a>0&&(m=!1,p=l*a*d);var f=e.newGestureEvent(r.Change);f.translationX=h,f.translationY=p,c.targetElement.dispatchEvent(f),m||c.inertia(i,n,o,s+h,a,l,u+p)})},e.prototype.onTouchMove=function(t){var o=Date.now();t.preventDefault(),t.stopPropagation();for(var i=0,s=t.changedTouches.length;s>i;i++){var a=t.changedTouches.item(i);if(this.activeTouches.hasOwnProperty(String(a.identifier))){var l=this.activeTouches[a.identifier],u=e.newGestureEvent(r.Change);u.translationX=a.pageX-n.tail(l.rollingPageX),u.translationY=a.pageY-n.tail(l.rollingPageY),u.pageX=a.pageX,u.pageY=a.pageY,this.targetElement.dispatchEvent(u),l.rollingPageX.length>3&&(l.rollingPageX.shift(),l.rollingPageY.shift(),l.rollingTimestamps.shift()),l.rollingPageX.push(a.pageX),l.rollingPageY.push(a.pageY),l.rollingTimestamps.push(o)}else console.warn("end of an UNKNOWN touch",a)}},e.HOLD_DELAY=700,e.SCROLL_FRICTION=-.005,e}();t.Gesture=s});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/browser/ui/actionbar/actionbar",["require","exports","vs/nls!vs/base/browser/ui/actionbar/actionbar","vs/base/common/lifecycle","vs/base/browser/builder","vs/base/common/platform","vs/base/common/actions","vs/base/browser/dom","vs/base/common/events","vs/base/common/types","vs/base/common/eventEmitter","vs/base/browser/touch","vs/base/browser/keyboardEvent","vs/base/common/keyCodes","vs/css!./actionbar"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p){"use strict";var m=function(e){function t(t,n){var o=this;if(e.call(this),this._callOnDispose=[],this._context=t||this,this._action=n,n instanceof s.Action){var i=n.addBulkListener2(function(e){o.builder&&e.forEach(function(e){switch(e.getType()){case s.Action.ENABLED:o._updateEnabled();break;case s.Action.LABEL:o._updateLabel(),o._updateTooltip();break;case s.Action.TOOLTIP:o._updateTooltip();break;case s.Action.CLASS:o._updateClass();break;case s.Action.CHECKED:o._updateChecked();break;default:o._updateUnknown(e)}})});this._callOnDispose.push(i)}}return __extends(t,e),Object.defineProperty(t.prototype,"callOnDispose",{get:function(){return this._callOnDispose},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"actionRunner",{get:function(){return this._actionRunner},set:function(e){this._actionRunner=e},enumerable:!0,configurable:!0}),t.prototype.getAction=function(){return this._action},t.prototype.isEnabled=function(){return this._action.enabled},t.prototype.setActionContext=function(e){this._context=e},t.prototype.render=function(e){var t=this;this.builder=i.$(e),this.gesture=new d.Gesture(e),this.builder.on(a.EventType.CLICK,function(e){t.onClick(e)}),this.builder.on(d.EventType.Tap,function(e){t.onClick(e)}),r.isMacintosh&&this.builder.on(a.EventType.CONTEXT_MENU,function(e){t.onClick(e)}),this.builder.on("mousedown",function(e){0===e.button&&t._action.enabled&&t.builder.addClass("active")}),this.builder.on(["mouseup","mouseout"],function(e){0===e.button&&t._action.enabled&&t.builder.removeClass("active")})},t.prototype.onClick=function(e){a.EventHelper.stop(e,!0);var t;u.isUndefinedOrNull(this._context)?t=e:(t=this._context,t.event=e),this._actionRunner.run(this._action,t)},t.prototype.focus=function(){this.builder&&this.builder.domFocus()},t.prototype.blur=function(){this.builder&&this.builder.domBlur()},t.prototype._updateEnabled=function(){},t.prototype._updateLabel=function(){},t.prototype._updateTooltip=function(){},t.prototype._updateClass=function(){},t.prototype._updateChecked=function(){},t.prototype._updateUnknown=function(e){},t.prototype.dispose=function(){e.prototype.dispose.call(this),this.builder&&(this.builder.destroy(),this.builder=null),this.gesture&&(this.gesture.dispose(),this.gesture=null),this._callOnDispose=o.dispose(this._callOnDispose)},t}(c.EventEmitter);t.BaseActionItem=m;var f=function(e){function t(n,o){e.call(this,t.ID,n,n?"separator text":"separator"),this.checked=!1,this.enabled=!1,this.order=o}return __extends(t,e),t.ID="vs.actions.separator",t}(s.Action);t.Separator=f;var g=function(e){function t(t,n,o){void 0===o&&(o={}),e.call(this,t,n),this.options=o,this.options.icon=void 0!==o.icon?o.icon:!1,this.options.label=void 0!==o.label?o.label:!0,this.cssClass=""}return __extends(t,e),t.prototype.render=function(t){e.prototype.render.call(this,t),this.$e=i.$("a.action-label").appendTo(this.builder),this.$e.attr({role:"button"}),this.options.label&&this.options.keybinding&&i.$("span.keybinding").text(this.options.keybinding).appendTo(this.builder),this._updateClass(),this._updateLabel(),this._updateTooltip(),this._updateEnabled(),this._updateChecked()},t.prototype.focus=function(){e.prototype.focus.call(this),this.$e.domFocus()},t.prototype._updateLabel=function(){this.options.label&&this.$e.text(this.getAction().label)},t.prototype._updateTooltip=function(){var e=null;this.getAction().tooltip?e=this.getAction().tooltip:!this.options.label&&this.getAction().label&&this.options.icon&&(e=this.getAction().label,this.options.keybinding&&(e=n.localize(0,null,e,this.options.keybinding))),e&&this.$e.attr({title:e})},t.prototype._updateClass=function(){this.cssClass&&this.$e.removeClass(this.cssClass),this.options.icon?(this.cssClass=this.getAction()["class"],this.$e.addClass("icon"),this.cssClass&&this.$e.addClass(this.cssClass),this._updateEnabled()):this.$e.removeClass("icon")},t.prototype._updateEnabled=function(){this.getAction().enabled?(this.builder.removeClass("disabled"),this.$e.removeClass("disabled"),this.$e.attr({tabindex:0})):(this.builder.addClass("disabled"),this.$e.addClass("disabled"),a.removeTabIndexAndUpdateFocus(this.$e.getHTMLElement()))},t.prototype._updateChecked=function(){this.getAction().checked?this.$e.addClass("checked"):this.$e.removeClass("checked")},t}(m);t.ActionItem=g;var v=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),t.prototype.render=function(t){var n=document.createElement("div");i.$(n).addClass("progress-item");var o=document.createElement("div");i.$(o).addClass("label"),o.textContent=this.getAction().label,o.title=this.getAction().label,e.prototype.render.call(this,o);var r=document.createElement("div");r.textContent="…",i.$(r).addClass("tag","progress");var s=document.createElement("div");s.textContent="✓",i.$(s).addClass("tag","done");var a=document.createElement("div");a.textContent="!",i.$(a).addClass("tag","error"),this.callOnDispose.push(this.addListener2(l.EventType.BEFORE_RUN,function(){i.$(r).addClass("active"),i.$(s).removeClass("active"),i.$(a).removeClass("active")})),this.callOnDispose.push(this.addListener2(l.EventType.RUN,function(e){i.$(r).removeClass("active"),e.error?(i.$(s).removeClass("active"),i.$(a).addClass("active")):(i.$(a).removeClass("active"),i.$(s).addClass("active"))})),n.appendChild(o),n.appendChild(r),n.appendChild(s),n.appendChild(a),t.appendChild(n)},t.prototype.dispose=function(){e.prototype.dispose.call(this)},t}(m);t.ProgressItem=v,function(e){e[e.HORIZONTAL=1]="HORIZONTAL",e[e.VERTICAL=2]="VERTICAL"}(t.ActionsOrientation||(t.ActionsOrientation={}));var y=t.ActionsOrientation,_={orientation:y.HORIZONTAL,context:null},b=function(e){function t(t,n){var o=this;void 0===n&&(n=_),e.call(this),this.options=n,this._context=n.context,this.toDispose=[],this._actionRunner=this.options.actionRunner,this._actionRunner||(this._actionRunner=new s.ActionRunner,this.toDispose.push(this._actionRunner)),this.toDispose.push(this.addEmitter2(this._actionRunner)),this.items=[],this.focusedItem=void 0,this.domNode=document.createElement("div"),this.domNode.className="monaco-action-bar";var r=this.options.orientation===y.VERTICAL;r&&(this.domNode.className+=" vertical"),i.$(this.domNode).on(a.EventType.KEY_DOWN,function(e){var t=new h.StandardKeyboardEvent(e),n=!0;t.equals(r?p.CommonKeybindings.UP_ARROW:p.CommonKeybindings.LEFT_ARROW)?o.focusPrevious():t.equals(r?p.CommonKeybindings.DOWN_ARROW:p.CommonKeybindings.RIGHT_ARROW)?o.focusNext():t.equals(p.CommonKeybindings.ESCAPE)?o.cancel():t.equals(p.CommonKeybindings.ENTER)||t.equals(p.CommonKeybindings.SPACE)||(n=!1),n&&(t.preventDefault(),t.stopPropagation())}),i.$(this.domNode).on(a.EventType.CONTEXT_MENU,function(e){e.preventDefault(),e.stopPropagation()}),i.$(this.domNode).on(a.EventType.KEY_UP,function(e){var t=new h.StandardKeyboardEvent(e);t.equals(p.CommonKeybindings.ENTER)||t.equals(p.CommonKeybindings.SPACE)?(o.doTrigger(t),t.preventDefault(),t.stopPropagation()):(t.equals(p.CommonKeybindings.TAB)||t.equals(p.CommonKeybindings.SHIFT_TAB))&&o.updateFocusedItem()}),this.focusTracker=a.trackFocus(this.domNode),this.focusTracker.addBlurListener(function(){document.activeElement!==o.domNode&&a.isAncestor(document.activeElement,o.domNode)||(o.emit(a.EventType.BLUR,{}),o.focusedItem=void 0)}),this.focusTracker.addFocusListener(function(){return o.updateFocusedItem()}),this.actionsList=document.createElement("ul"),this.actionsList.className="actions-container",this.actionsList.setAttribute("role","toolbar"),this.options.ariaLabel&&this.actionsList.setAttribute("aria-label",this.options.ariaLabel),this.domNode.appendChild(this.actionsList),t=t instanceof i.Builder?t.getHTMLElement():t,t.appendChild(this.domNode)}return __extends(t,e),t.prototype.setAriaLabel=function(e){e?this.actionsList.setAttribute("aria-label",e):this.actionsList.removeAttribute("aria-label")},t.prototype.updateFocusedItem=function(){for(var e=0;e<this.actionsList.children.length;e++){var t=this.actionsList.children[e];if(a.isAncestor(document.activeElement,t)){this.focusedItem=e;break}}},Object.defineProperty(t.prototype,"context",{get:function(){return this._context},set:function(e){this._context=e,this.items.forEach(function(t){return t.setActionContext(e)})},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"actionRunner",{get:function(){return this._actionRunner},set:function(e){e&&(this._actionRunner=e,this.items.forEach(function(t){return t.actionRunner=e}))},enumerable:!0,configurable:!0}),t.prototype.getContainer=function(){return i.$(this.domNode)},t.prototype.push=function(e,t){var n=this;void 0===t&&(t={}),Array.isArray(e)||(e=[e]);var o=u.isNumber(t.index)?t.index:null;e.forEach(function(e){var i=document.createElement("li");i.className="action-item",i.setAttribute("role","presentation");var r=null;n.options.actionItemProvider&&(r=n.options.actionItemProvider(e)),r||(r=new g(n.context,e,t)),r.actionRunner=n._actionRunner,r.setActionContext(n.context),n.addEmitter2(r),r.render(i),null===o||0>o||o>=n.actionsList.children.length?n.actionsList.appendChild(i):n.actionsList.insertBefore(i,n.actionsList.children[o++]),n.items.push(r)})},t.prototype.clear=function(){for(var e;e=this.items.pop();)e.dispose();i.$(this.actionsList).empty()},t.prototype.length=function(){return this.items.length},t.prototype.isEmpty=function(){return 0===this.items.length},t.prototype.onContentsChange=function(){this.emit(l.EventType.CONTENTS_CHANGED)},t.prototype.focus=function(e){e&&"undefined"==typeof this.focusedItem&&(this.focusedItem=0),this.updateFocus()},t.prototype.focusNext=function(){"undefined"==typeof this.focusedItem&&(this.focusedItem=this.items.length-1);var e,t=this.focusedItem;do this.focusedItem=(this.focusedItem+1)%this.items.length,e=this.items[this.focusedItem];while(this.focusedItem!==t&&!e.isEnabled());this.focusedItem!==t||e.isEnabled()||(this.focusedItem=void 0),this.updateFocus()},t.prototype.focusPrevious=function(){"undefined"==typeof this.focusedItem&&(this.focusedItem=0);var e,t=this.focusedItem;do this.focusedItem=this.focusedItem-1,this.focusedItem<0&&(this.focusedItem=this.items.length-1),e=this.items[this.focusedItem];while(this.focusedItem!==t&&!e.isEnabled());this.focusedItem!==t||e.isEnabled()||(this.focusedItem=void 0),this.updateFocus()},t.prototype.updateFocus=function(){if("undefined"==typeof this.focusedItem)return void this.domNode.focus();for(var e=0;e<this.items.length;e++){var t=this.items[e],n=t;e===this.focusedItem?u.isFunction(n.focus)&&n.focus():u.isFunction(n.blur)&&n.blur()}},t.prototype.doTrigger=function(e){if("undefined"!=typeof this.focusedItem){var t=this.items[this.focusedItem],n=null===t._context||void 0===t._context?e:t._context;this.run(t._action,n).done()}},t.prototype.cancel=function(){document.activeElement instanceof HTMLElement&&document.activeElement.blur(),this.emit(l.EventType.CANCEL)},t.prototype.run=function(e,t){return this._actionRunner.run(e,t)},t.prototype.dispose=function(){null!==this.items&&this.clear(),this.items=null,this.focusTracker&&(this.focusTracker.dispose(),this.focusTracker=null),this.toDispose=o.dispose(this.toDispose),this.getContainer().destroy(),e.prototype.dispose.call(this)},t}(c.EventEmitter);t.ActionBar=b;var C=function(e){function t(t,n,o,i){e.call(this,t,n),this.select=document.createElement("select"),this.select.className="action-bar-select "+(r.isWindows?"windows":""),this.options=o,this.selected=i,this.toDispose=[],this.registerListeners()}return __extends(t,e),t.prototype.setOptions=function(e,t){this.options=e,this.selected=t,this.doSetOptions()},t.prototype.registerListeners=function(){var e=this;this.toDispose.push(a.addStandardDisposableListener(this.select,"change",function(t){e.actionRunner.run(e._action,e.getActionContext(t.target.value)).done()}))},t.prototype.getActionContext=function(e){return e},t.prototype.focus=function(){this.select&&this.select.focus()},t.prototype.blur=function(){this.select&&this.select.blur()},t.prototype.render=function(e){a.addClass(e,"select-container"),e.appendChild(this.select),this.doSetOptions()},t.prototype.doSetOptions=function(){var e=this;this.select.options.length=0,this.options.forEach(function(t){e.select.add(e.createOption(t))}),this.selected>=0&&(this.select.selectedIndex=this.selected)},t.prototype.createOption=function(e){var t=document.createElement("option");return t.value=e,t.text=e,t},t.prototype.dispose=function(){this.toDispose=o.dispose(this.toDispose),e.prototype.dispose.call(this)},t}(m);t.SelectActionItem=C}),define("vs/base/browser/ui/aria/aria",["require","exports","vs/nls!vs/base/browser/ui/aria/aria","vs/base/common/platform","vs/base/browser/builder","vs/css!./aria"],function(e,t,n,o,i){"use strict";function r(e){u=i.$(".aria-container").appendTo(e),c=i.$(".alert").appendTo(u).attr({role:"alert","aria-atomic":"true"}),d=i.$(".status").appendTo(u).attr({role:"status","aria-atomic":"true"})}function s(e){l(c,e)}function a(e){o.isMacintosh?s(e):l(d,e)}function l(e,t){u&&(e.getHTMLElement().textContent===t&&(t=n.localize(0,null,t)),i.$(e).empty(),i.$(e).text(t))}var u,c,d;t.setARIAContainer=r,t.alert=s,t.status=a});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/browser/ui/contextview/contextview",["require","exports","vs/base/browser/builder","vs/base/browser/dom","vs/base/common/lifecycle","vs/base/common/eventEmitter","vs/css!./contextview"],function(e,t,n,o,i,r){"use strict";function s(e,t,n,o,i){var r,s;return o===l.BELOW?(r=t.top+t.height-n.top,n.top+r+e.height>n.height&&t.top-n.top>e.height&&(r=t.top-e.height-n.top)):(r=t.top-e.height-n.top,r+n.top<0&&t.top+t.height+e.height-n.top<n.height&&(r=t.top+t.height-n.top)),i===a.LEFT?(s=t.left-n.left,n.left+s+e.width>n.width&&(s-=e.width-t.width)):(s=t.left+t.width-e.width-n.left,s+n.left<0&&t.left+e.width<n.width&&(s=t.left-n.left)),{top:r,left:s}}!function(e){e[e.LEFT=0]="LEFT",e[e.RIGHT=1]="RIGHT"}(t.AnchorAlignment||(t.AnchorAlignment={}));var a=t.AnchorAlignment;!function(e){e[e.BELOW=0]="BELOW",e[e.ABOVE=1]="ABOVE"}(t.AnchorPosition||(t.AnchorPosition={}));var l=t.AnchorPosition;t.layout=s;var u=function(e){function t(t){var o=this;e.call(this),this.$view=n.$(".context-view").hide(),this.setContainer(t),this.toDispose=[{dispose:function(){o.setContainer(null)}}],this.toDisposeOnClean=null}return __extends(t,e),t.prototype.setContainer=function(e){var o=this;this.$container&&(this.$container.off(t.BUBBLE_UP_EVENTS),this.$container.off(t.BUBBLE_DOWN_EVENTS,!0),this.$container=null),e&&(this.$container=n.$(e),this.$view.appendTo(this.$container),this.$container.on(t.BUBBLE_UP_EVENTS,function(e){o.onDOMEvent(e,document.activeElement,!1)}),this.$container.on(t.BUBBLE_DOWN_EVENTS,function(e){o.onDOMEvent(e,document.activeElement,!0)},null,!0))},t.prototype.show=function(e){this.isVisible()&&this.hide(),this.$view.setClass("context-view").empty().style({top:"0px",left:"0px"}).show(),this.toDisposeOnClean=e.render(this.$view.getHTMLElement()),this.delegate=e,this.doLayout()},t.prototype.layout=function(){if(this.isVisible()){if(this.delegate.canRelayout===!1)return void this.hide();this.delegate.layout&&this.delegate.layout(),this.doLayout()}},t.prototype.doLayout=function(){var e,t=this.delegate.getAnchor();if(o.isHTMLElement(t)){var i=n.$(t),r=i.getPosition(),u=i.getTotalSize();e={top:r.top,left:r.left,width:u.width,height:u.height}}else{var c=t;e={top:c.y,left:c.x,width:c.width||0,height:c.height||0}}var d=this.$container.getPosition(),h={top:d.top,left:d.left,height:window.innerHeight,width:window.innerWidth},p=this.$view.getTotalSize(),m={width:p.width,height:p.height},f=this.delegate.anchorPosition||l.BELOW,g=this.delegate.anchorAlignment||a.LEFT,v=s(m,e,h,f,g);this.$view.removeClass("top","bottom","left","right"),this.$view.addClass(f===l.BELOW?"bottom":"top"),this.$view.addClass(g===a.LEFT?"left":"right"),this.$view.style({top:v.top+"px",left:v.left+"px",width:"initial"})},t.prototype.hide=function(e){this.delegate&&this.delegate.onHide&&this.delegate.onHide(e),this.delegate=null,this.toDisposeOnClean&&(this.toDisposeOnClean.dispose(),this.toDisposeOnClean=null),this.$view.hide()},t.prototype.isVisible=function(){return!!this.delegate},t.prototype.onDOMEvent=function(e,t,n){this.delegate&&(this.delegate.onDOMEvent?this.delegate.onDOMEvent(e,document.activeElement):n&&!o.isAncestor(e.target,this.$container.getHTMLElement())&&this.hide())},t.prototype.dispose=function(){e.prototype.dispose.call(this),this.hide(),this.toDispose=i.dispose(this.toDispose)},t.BUBBLE_UP_EVENTS=["click","keydown","focus","blur"],t.BUBBLE_DOWN_EVENTS=["click"],t}(r.EventEmitter);t.ContextView=u}),define("vs/base/browser/ui/countBadge/countBadge",["require","exports","vs/base/browser/builder","vs/base/common/strings","vs/css!./countBadge"],function(e,t,n,o){"use strict";var i=function(){function e(e,t,o){this.$el=n.$(".monaco-count-badge").appendTo(e),this.titleFormat=o||"",this.setCount(t||0)}return e.prototype.setCount=function(e){this.count=e,this.render()},e.prototype.setTitleFormat=function(e){this.titleFormat=e,this.render()},e.prototype.render=function(){this.$el.text(""+this.count),this.$el.title(o.format(this.titleFormat,this.count))},e.prototype.dispose=function(){this.$el&&(this.$el.destroy(),this.$el=null)},e}();t.CountBadge=i}),define("vs/base/browser/ui/filelabel/fileLabel",["require","exports","vs/base/browser/dom","vs/base/common/paths","vs/base/common/types","vs/base/common/labels","vs/css!./filelabel"],function(e,t,n,o,i,r){"use strict";function s(e){if(!e)return null;if("string"==typeof e)return e;if(i.isFunction(e.getWorkspace)){var t=e.getWorkspace();return t?t.resource.fsPath:void 0}return e.fsPath}var a=function(){function e(e,t,n){this.domNode=document.createElement("span"),this.domNode.className="monaco-file-label",e.appendChild(this.domNode),n&&(this.basepath=s(n)),t&&this.setValue(t)}return e.prototype.getHTMLElement=function(){return this.domNode},e.prototype.setValue=function(e){var t=s(e);this.renderedOnce&&this.path===t||(this.path=t,this.render(),this.renderedOnce=!0)},e.prototype.render=function(){n.clearNode(this.domNode);var e=[];e.push('<span class="file-name">'),e.push(o.basename(this.path)),e.push("</span>");var t=o.dirname(this.path);if(t&&"."!==t){var i=r.getPathLabel(t,this.basepath);e.push('<span class="file-path">'),e.push(i),e.push("</span>")}this.domNode.title=this.path,this.domNode.innerHTML=e.join("")},e}();t.FileLabel=a}),define("vs/base/browser/ui/highlightedlabel/highlightedLabel",["require","exports","vs/base/common/strings","vs/base/browser/dom","vs/base/common/objects","vs/base/browser/ui/octiconLabel/octiconLabel"],function(e,t,n,o,i,r){"use strict";var s=function(){function e(e){this.domNode=document.createElement("span"),this.domNode.className="monaco-highlighted-label",this.didEverRender=!1,e.appendChild(this.domNode)}return Object.defineProperty(e.prototype,"element",{get:function(){return this.domNode},enumerable:!0,configurable:!0}),e.prototype.set=function(e,t){void 0===t&&(t=[]),e||(e=""),this.didEverRender&&this.text===e&&i.equals(this.highlights,t)||(Array.isArray(t)||(t=[]),this.text=e,this.highlights=t,this.render())},e.prototype.render=function(){o.clearNode(this.domNode);for(var e,t=[],i=0,s=0;s<this.highlights.length;s++)e=this.highlights[s],e.end!==e.start&&(i<e.start&&(t.push("<span>"),t.push(r.expand(n.escape(this.text.substring(i,e.start)))),t.push("</span>"),i=e.end),t.push('<span class="highlight">'),t.push(r.expand(n.escape(this.text.substring(e.start,e.end)))),t.push("</span>"),i=e.end);i<this.text.length&&(t.push("<span>"),t.push(r.expand(n.escape(this.text.substring(i)))),t.push("</span>")),this.domNode.innerHTML=t.join(""),this.didEverRender=!0},e.prototype.dispose=function(){this.text=null,this.highlights=null},e}();t.HighlightedLabel=s}),define("vs/base/browser/ui/leftRightWidget/leftRightWidget",["require","exports","vs/base/browser/builder","vs/css!./leftRightWidget"],function(e,t,n){"use strict";var o=function(){function e(e,t,o){this.$el=n.$(".monaco-left-right-widget").appendTo(e),this.toDispose=[o(n.$(".right").appendTo(this.$el).getHTMLElement()),t(n.$("span.left").appendTo(this.$el).getHTMLElement())].filter(function(e){return!!e})}return e.prototype.dispose=function(){this.$el&&(this.$el.destroy(),this.$el=null)},e}();t.LeftRightWidget=o}),define("vs/base/browser/ui/list/rowCache",["require","exports","vs/base/browser/dom"],function(e,t,n){"use strict";function o(e){var t=e.getAttribute("last-scroll-time");return t?parseInt(t,10):0}function i(e){try{e.parentElement.removeChild(e)}catch(t){}}var r=function(){function e(e){this.renderers=e,this.cache=Object.create(null),this.scrollingRow=null}return e.prototype.alloc=function(e){var t=this.getTemplateCache(e).pop();if(!t){var o=n.emmet(".monaco-list-row"),i=this.renderers[e],r=i.renderTemplate(o);t={domNode:o,templateId:e,templateData:r}}return t},e.prototype.release=function(e){var t=o(e.domNode);if(!t)return i(e.domNode),void this.getTemplateCache(e.templateId).push(e);if(this.scrollingRow){var r=o(this.scrollingRow.domNode);if(r>t)return i(e.domNode),void this.getTemplateCache(e.templateId).push(e);this.scrollingRow.domNode.parentElement&&(i(this.scrollingRow.domNode),n.removeClass(this.scrollingRow.domNode,"scrolling"),this.getTemplateCache(this.scrollingRow.templateId).push(this.scrollingRow))}this.scrollingRow=e,n.addClass(this.scrollingRow.domNode,"scrolling")},e.prototype.getTemplateCache=function(e){return this.cache[e]||(this.cache[e]=[])},e.prototype.garbageCollect=function(){var e=this;if(this.cache&&Object.keys(this.cache).forEach(function(t){e.cache[t].forEach(function(n){var o=e.renderers[t];o.disposeTemplate(n.templateData),n.domNode=null,n.templateData=null}),delete e.cache[t]}),this.scrollingRow){var t=this.renderers[this.scrollingRow.templateId];t.disposeTemplate(this.scrollingRow.templateData),this.scrollingRow=null}},e.prototype.dispose=function(){this.garbageCollect(),this.cache=null,this.renderers=null},e}();t.RowCache=r});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/browser/ui/menu/menu",["require","exports","vs/base/browser/builder","vs/base/browser/ui/actionbar/actionbar","vs/base/common/eventEmitter","vs/css!./menu"],function(e,t,n,o,i){"use strict";var r=function(e){function t(t,i,r){void 0===r&&(r={}),e.call(this),n.$(t).addClass("monaco-menu-container");var s=n.$(".monaco-menu").appendTo(t);this.actionBar=new o.ActionBar(s,{orientation:o.ActionsOrientation.VERTICAL,actionItemProvider:r.actionItemProvider,context:r.context,actionRunner:r.actionRunner}),this.listener=this.addEmitter2(this.actionBar),this.actionBar.push(i,{icon:!0,label:!0})}return __extends(t,e),t.prototype.focus=function(){this.actionBar.focus()},t.prototype.dispose=function(){e.prototype.dispose.call(this),this.actionBar&&(this.actionBar.dispose(),this.actionBar=null),this.listener&&(this.listener.dispose(),this.listener=null)},t}(i.EventEmitter);t.Menu=r}),define("vs/base/browser/ui/progressbar/progressbar",["require","exports","vs/base/common/winjs.base","vs/base/common/assert","vs/base/browser/browser","vs/base/browser/builder","vs/base/browser/dom","vs/base/common/uuid","vs/base/common/lifecycle","vs/css!./progressbar"],function(e,t,n,o,i,r,s,a,l){"use strict";var u="done",c="active",d="infinite",h="discrete",p="progress-container",m="progress-bit",f=function(){function e(e){this.toUnbind=[],this.workedVal=0,this.create(e)}return e.prototype.create=function(e){var t=this;e.div({"class":p},function(e){t.element=e.clone(),e.div({"class":m}).on([s.EventType.ANIMATION_START,s.EventType.ANIMATION_END,s.EventType.ANIMATION_ITERATION],function(e){switch(e.type){case s.EventType.ANIMATION_START:case s.EventType.ANIMATION_END:t.animationRunning=e.type===s.EventType.ANIMATION_START;break;case s.EventType.ANIMATION_ITERATION:t.animationStopToken&&t.animationStopToken(null)}},t.toUnbind),t.bit=e.getHTMLElement()})},e.prototype.off=function(){this.bit.style.width="inherit",this.bit.style.opacity="1",this.element.removeClass(c),this.element.removeClass(d),this.element.removeClass(h),this.workedVal=0,this.totalWork=void 0},e.prototype.done=function(){return this.doDone(!0)},e.prototype.stop=function(){return this.doDone(!1)},e.prototype.doDone=function(e){var t=this;return this.element.addClass(u),this.element.hasClass(d)?(this.bit.style.opacity="0",e?n.TPromise.timeout(200).then(function(){return t.off()}):this.off()):(this.bit.style.width="inherit",e?n.TPromise.timeout(200).then(function(){return t.off()}):this.off()),this},e.prototype.infinite=function(){if(this.bit.style.width="2%",this.bit.style.opacity="1",this.element.removeClass(h),this.element.removeClass(u),this.element.addClass(c),this.element.addClass(d),!i.hasCSSAnimationSupport()){var e=a.v4().asHex();this.currentProgressToken=e,this.manualInfinite(e)}return this},e.prototype.manualInfinite=function(e){var t=this;this.bit.style.width="5%",this.bit.style.display="inherit";var o=0,i=function(){n.TPromise.timeout(50).then(function(){e===t.currentProgressToken&&(t.element.hasClass(u)?(t.bit.style.display="none",t.bit.style.left="0"):t.element.isHidden()?i():(o=(o+1)%95,t.bit.style.left=o+"%",i()))})};i()},e.prototype.total=function(e){return this.workedVal=0,this.totalWork=e,this},e.prototype.hasTotal=function(){return!isNaN(this.totalWork)},e.prototype.worked=function(e){return o.ok(!isNaN(this.totalWork),"Total work not set"),e=Number(e),o.ok(!isNaN(e),"Value is not a number"),e=Math.max(1,e),this.workedVal+=e,this.workedVal=Math.min(this.totalWork,this.workedVal),this.element.hasClass(d)&&this.element.removeClass(d),this.element.hasClass(u)&&this.element.removeClass(u),this.element.hasClass(c)||this.element.addClass(c),this.element.hasClass(h)||this.element.addClass(h),this.bit.style.width=100*(this.workedVal/this.totalWork)+"%",this},e.prototype.getContainer=function(){return r.$(this.element)},e.prototype.dispose=function(){this.toUnbind=l.dispose(this.toUnbind)},e}();t.ProgressBar=f});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/browser/ui/sash/sash",["require","exports","vs/base/common/lifecycle","vs/base/browser/builder","vs/base/browser/browser","vs/base/common/platform","vs/base/common/types","vs/base/browser/dom","vs/base/browser/touch","vs/base/common/eventEmitter","vs/base/browser/mouseEvent","vs/css!./sash"],function(e,t,n,o,i,r,s,a,l,u,c){"use strict";!function(e){e[e.VERTICAL=0]="VERTICAL",e[e.HORIZONTAL=1]="HORIZONTAL"}(t.Orientation||(t.Orientation={}));var d=t.Orientation,h=function(e){
function t(t,n,s){var u=this;void 0===s&&(s={}),e.call(this),this.$e=o.$(".monaco-sash").appendTo(t),r.isMacintosh&&this.$e.addClass("mac"),this.gesture=new l.Gesture(this.$e.getHTMLElement()),this.$e.on(a.EventType.MOUSE_DOWN,function(e){u.onMouseDown(e)}),this.$e.on(a.EventType.DBLCLICK,function(e){u.emit("reset",e)}),this.$e.on(l.EventType.Start,function(e){u.onTouchStart(e)}),this.orientation=s.orientation||d.VERTICAL,this.$e.addClass(this.getOrientation()),this.size=s.baseSize||5,i.isIPad&&(this.size*=4,this.$e.addClass("touch")),this.orientation===d.HORIZONTAL?this.$e.size(null,this.size):this.$e.size(this.size),this.isDisabled=!1,this.hidden=!1,this.layoutProvider=n}return __extends(t,e),t.prototype.getHTMLElement=function(){return this.$e.getHTMLElement()},t.prototype.getOrientation=function(){return this.orientation===d.HORIZONTAL?"horizontal":"vertical"},t.prototype.onMouseDown=function(e){var t=this;if(a.EventHelper.stop(e,!1),!this.isDisabled){o.$(a.getElementsByTagName("iframe")).style("pointer-events","none");var n=new c.StandardMouseEvent(e),i=n.posx,s=n.posy,l={startX:i,currentX:i,startY:s,currentY:s};this.$e.addClass("active"),this.emit("start",l);var u=o.$(window),d=this.getOrientation()+"-cursor-container"+(r.isMacintosh?"-mac":""),h=i,p=s;u.on("mousemove",function(e){a.EventHelper.stop(e,!1);var n=new c.StandardMouseEvent(e),o={startX:i,currentX:n.posx,startY:s,currentY:n.posy};h=n.posx,p=n.posy,t.emit("change",o)}).once("mouseup",function(e){a.EventHelper.stop(e,!1),t.$e.removeClass("active"),t.emit("end"),u.off("mousemove"),document.body.classList.remove(d),o.$(a.getElementsByTagName("iframe")).style("pointer-events","auto")}),document.body.classList.add(d)}},t.prototype.onTouchStart=function(e){var t=this;a.EventHelper.stop(e);var o=[],i=e.pageX,r=e.pageY;this.emit("start",{startX:i,currentX:i,startY:r,currentY:r});var u=i,c=r;o.push(a.addDisposableListener(this.$e.getHTMLElement(),l.EventType.Change,function(e){s.isNumber(e.pageX)&&s.isNumber(e.pageY)&&(t.emit("change",{startX:i,currentX:e.pageX,startY:r,currentY:e.pageY}),u=e.pageX,c=e.pageY)})),o.push(a.addDisposableListener(this.$e.getHTMLElement(),l.EventType.End,function(e){t.emit("end"),n.dispose(o)}))},t.prototype.layout=function(){var e;if(this.orientation===d.VERTICAL){var t=this.layoutProvider;e={left:t.getVerticalSashLeft(this)-this.size/2+"px"},t.getVerticalSashTop&&(e.top=t.getVerticalSashTop(this)+"px"),t.getVerticalSashHeight&&(e.height=t.getVerticalSashHeight(this)+"px")}else{var n=this.layoutProvider;e={top:n.getHorizontalSashTop(this)-this.size/2+"px"},n.getHorizontalSashLeft&&(e.left=n.getHorizontalSashLeft(this)+"px"),n.getHorizontalSashWidth&&(e.width=n.getHorizontalSashWidth(this)+"px")}this.$e.style(e)},t.prototype.show=function(){this.hidden=!1,this.$e.show()},t.prototype.hide=function(){this.hidden=!0,this.$e.hide()},t.prototype.isHidden=function(){return this.hidden},t.prototype.enable=function(){this.$e.removeClass("disabled"),this.isDisabled=!1},t.prototype.disable=function(){this.$e.addClass("disabled"),this.isDisabled=!0},t.prototype.dispose=function(){this.$e&&(this.$e.destroy(),this.$e=null),e.prototype.dispose.call(this)},t}(u.EventEmitter);t.Sash=h});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/browser/ui/widget",["require","exports","vs/base/common/lifecycle","vs/base/browser/mouseEvent","vs/base/browser/keyboardEvent","vs/base/browser/dom"],function(e,t,n,o,i,r){"use strict";var s=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),t.prototype.onclick=function(e,t){this._register(r.addDisposableListener(e,r.EventType.CLICK,function(e){return t(new o.StandardMouseEvent(e))}))},t.prototype.onmousedown=function(e,t){this._register(r.addDisposableListener(e,r.EventType.MOUSE_DOWN,function(e){return t(new o.StandardMouseEvent(e))}))},t.prototype.onmouseover=function(e,t){this._register(r.addDisposableListener(e,r.EventType.MOUSE_OVER,function(e){return t(new o.StandardMouseEvent(e))}))},t.prototype.onnonbubblingmouseout=function(e,t){this._register(r.addDisposableNonBubblingMouseOutListener(e,function(e){return t(new o.StandardMouseEvent(e))}))},t.prototype.onkeydown=function(e,t){this._register(r.addDisposableListener(e,r.EventType.KEY_DOWN,function(e){return t(new i.StandardKeyboardEvent(e))}))},t.prototype.onkeyup=function(e,t){this._register(r.addDisposableListener(e,r.EventType.KEY_UP,function(e){return t(new i.StandardKeyboardEvent(e))}))},t.prototype.oninput=function(e,t){this._register(r.addDisposableListener(e,r.EventType.INPUT,t))},t.prototype.onblur=function(e,t){this._register(r.addDisposableListener(e,r.EventType.BLUR,t))},t.prototype.onfocus=function(e,t){this._register(r.addDisposableListener(e,r.EventType.FOCUS,t))},t.prototype.onchange=function(e,t){this._register(r.addDisposableListener(e,r.EventType.CHANGE,t))},t}(n.Disposable);t.Widget=s});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/browser/ui/checkbox/checkbox",["require","exports","vs/base/browser/dom","vs/base/common/keyCodes","vs/base/browser/ui/widget","vs/css!./checkbox"],function(e,t,n,o,i){"use strict";var r=function(e){function t(t){var n=this;e.call(this),this._opts=t,this._checked=this._opts.isChecked,this.domNode=document.createElement("div"),this.domNode.title=this._opts.title,this.domNode.className=this._className(),this.domNode.tabIndex=0,this.domNode.setAttribute("role","checkbox"),this.domNode.setAttribute("aria-checked",String(this._checked)),this.domNode.setAttribute("aria-label",this._opts.title),this.onclick(this.domNode,function(e){n.checked=!n._checked,n._opts.onChange(!1),e.preventDefault()}),this.onkeydown(this.domNode,function(e){return e.keyCode===o.KeyCode.Space||e.keyCode===o.KeyCode.Enter?(n.checked=!n._checked,n._opts.onChange(!0),void e.preventDefault()):void(n._opts.onKeyDown&&n._opts.onKeyDown(e))})}return __extends(t,e),t.prototype.focus=function(){this.domNode.focus()},Object.defineProperty(t.prototype,"checked",{get:function(){return this._checked},set:function(e){this._checked=e,this.domNode.setAttribute("aria-checked",String(this._checked)),this.domNode.className=this._className()},enumerable:!0,configurable:!0}),t.prototype._className=function(){return"custom-checkbox "+this._opts.actionClassName+" "+(this._checked?"checked":"unchecked")},t.prototype.width=function(){return 22},t.prototype.enable=function(){this.domNode.tabIndex=0,this.domNode.setAttribute("aria-disabled",String(!1))},t.prototype.disable=function(){n.removeTabIndexAndUpdateFocus(this.domNode),this.domNode.setAttribute("aria-disabled",String(!0))},t}(i.Widget);t.Checkbox=r});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/browser/ui/inputbox/inputBox",["require","exports","vs/nls!vs/base/browser/ui/inputbox/inputBox","vs/base/browser/browser","vs/base/browser/dom","vs/base/browser/htmlContentRenderer","vs/base/browser/ui/aria/aria","vs/base/browser/ui/actionbar/actionbar","vs/base/browser/ui/contextview/contextview","vs/base/common/event","vs/base/browser/ui/widget","vs/css!./inputBox"],function(e,t,n,o,i,r,s,a,l,u,c){"use strict";var d=i.emmet;!function(e){e[e.INFO=1]="INFO",e[e.WARNING=2]="WARNING",e[e.ERROR=3]="ERROR"}(t.MessageType||(t.MessageType={}));var h=t.MessageType,p=function(e){function t(t,n,r){var s=this;e.call(this),this.state="idle",this._onDidChange=this._register(new u.Emitter),this.onDidChange=this._onDidChange.event,this._onDidHeightChange=this._register(new u.Emitter),this.onDidHeightChange=this._onDidHeightChange.event,this.contextViewProvider=n,this.options=r||Object.create(null),this.message=null,this.cachedHeight=null,this.placeholder=this.options.placeholder||"",this.ariaLabel=this.options.ariaLabel||"",this.options.validationOptions&&(this.validation=this.options.validationOptions.validation,this.showValidationMessage=this.options.validationOptions.showMessage||!1),this.element=i.append(t,d(".monaco-inputbox.idle"));var l=this.options.flexibleHeight?"textarea":"input",c=i.append(this.element,d(".wrapper"));this.input=i.append(c,d(l+".input")),this.input.setAttribute("autocorrect","off"),this.input.setAttribute("autocapitalize","off"),this.input.setAttribute("spellcheck","false"),this.onfocus(this.input,function(){return i.addClass(s.element,"synthetic-focus")}),this.onblur(this.input,function(){return i.removeClass(s.element,"synthetic-focus")}),this.options.flexibleHeight?this.mirror=i.append(c,d("div.mirror")):(this.input.type=this.options.type||"text",this.input.setAttribute("wrap","off")),this.ariaLabel&&this.input.setAttribute("aria-label",this.ariaLabel),this.placeholder&&(this.input.setAttribute("placeholder",this.placeholder),this.input.title=this.placeholder),this.oninput(this.input,function(){return s.onValueChange()}),this.onblur(this.input,function(){return s.onBlur()}),this.onfocus(this.input,function(){return s.onFocus()}),this.placeholder&&o.isIE11orEarlier&&(this.onclick(this.input,function(e){i.EventHelper.stop(e,!0),s.input.focus()}),o.isIE9&&this.onkeyup(this.input,function(){return s.onValueChange()})),setTimeout(function(){return s.layout()},0),this.options.actions&&(this.actionbar=this._register(new a.ActionBar(this.element)),this.actionbar.push(this.options.actions,{icon:!0,label:!1}))}return __extends(t,e),t.prototype.onBlur=function(){this._hideMessage()},t.prototype.onFocus=function(){this._showMessage()},t.prototype.setPlaceHolder=function(e){this.input&&this.input.setAttribute("placeholder",e)},t.prototype.setAriaLabel=function(e){this.ariaLabel=e,this.input&&(e?this.input.setAttribute("aria-label",this.ariaLabel):this.input.removeAttribute("aria-label"))},t.prototype.setContextViewProvider=function(e){this.contextViewProvider=e},Object.defineProperty(t.prototype,"inputElement",{get:function(){return this.input},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"value",{get:function(){return this.input.value},set:function(e){this.input.value!==e&&(this.input.value=e,this.onValueChange())},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"height",{get:function(){return null===this.cachedHeight?i.getTotalHeight(this.element):this.cachedHeight},enumerable:!0,configurable:!0}),t.prototype.focus=function(){this.input.focus()},t.prototype.blur=function(){this.input.blur()},t.prototype.hasFocus=function(){return document.activeElement===this.input},t.prototype.select=function(e){void 0===e&&(e=null),this.input.select(),e&&this.input.setSelectionRange(e.start,e.end)},t.prototype.enable=function(){this.input.removeAttribute("disabled")},t.prototype.disable=function(){this.input.disabled=!0,this._hideMessage()},t.prototype.setEnabled=function(e){e?this.enable():this.disable()},Object.defineProperty(t.prototype,"width",{get:function(){return i.getTotalWidth(this.input)},set:function(e){this.input.style.width=e+"px"},enumerable:!0,configurable:!0}),t.prototype.showMessage=function(e,t){this.message=e,i.removeClass(this.element,"idle"),i.removeClass(this.element,"info"),i.removeClass(this.element,"warning"),i.removeClass(this.element,"error"),i.addClass(this.element,this.classForType(e.type));var o;o=e.type===h.ERROR?n.localize(0,null,e.content):e.type===h.WARNING?n.localize(1,null,e.content):n.localize(2,null,e.content),s.alert(o),(this.hasFocus()||t)&&this._showMessage()},t.prototype.hideMessage=function(){this.message=null,i.removeClass(this.element,"info"),i.removeClass(this.element,"warning"),i.removeClass(this.element,"error"),i.addClass(this.element,"idle"),this._hideMessage()},t.prototype.isInputValid=function(){return!!this.validation&&!this.validation(this.value)},t.prototype.validate=function(){var e=null;return this.validation&&(e=this.validation(this.value),e?(this.inputElement.setAttribute("aria-invalid","true"),this.showMessage(e)):(this.inputElement.removeAttribute("aria-invalid"),this.hideMessage())),!e},t.prototype.classForType=function(e){switch(e){case h.INFO:return"info";case h.WARNING:return"warning";default:return"error"}},t.prototype._showMessage=function(){var e=this;if(this.contextViewProvider&&this.message){var t,n=function(){return t.style.width=i.getTotalWidth(e.element)+"px"};this.state="open",this.contextViewProvider.showContextView({getAnchor:function(){return e.element},anchorAlignment:l.AnchorAlignment.RIGHT,render:function(o){t=i.append(o,d(".monaco-inputbox-container")),n();var s={tagName:"span",className:"monaco-inputbox-message"};e.message.formatContent?s.formattedText=e.message.content:s.text=e.message.content;var a=r.renderHtml(s);return i.addClass(a,e.classForType(e.message.type)),i.append(t,a),null},layout:n})}},t.prototype._hideMessage=function(){this.contextViewProvider&&"open"===this.state&&(this.state="idle",this.contextViewProvider.hideContextView())},t.prototype.onValueChange=function(){if(this._onDidChange.fire(this.value),this.validate(),this.mirror){var e=this.value.charCodeAt(this.value.length-1),t=10===e?" ":"";this.mirror.textContent=this.value+t,this.layout()}},t.prototype.layout=function(){if(this.mirror){var e=this.cachedHeight;this.cachedHeight=i.getTotalHeight(this.mirror),e!==this.cachedHeight&&(this.input.style.height=this.cachedHeight+"px",this._onDidHeightChange.fire(this.cachedHeight))}},t.prototype.dispose=function(){this._hideMessage(),this.element=null,this.input=null,this.contextViewProvider=null,this.message=null,this.placeholder=null,this.ariaLabel=null,this.validation=null,this.showValidationMessage=null,this.state=null,this.actionbar=null,e.prototype.dispose.call(this)},t}(c.Widget);t.InputBox=p});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/browser/ui/findinput/findInput",["require","exports","vs/nls!vs/base/browser/ui/findinput/findInput","vs/base/browser/dom","vs/base/browser/ui/inputbox/inputBox","vs/base/browser/ui/checkbox/checkbox","vs/base/browser/ui/widget","vs/base/common/event","vs/base/common/keyCodes","vs/css!./findInput"],function(e,t,n,o,i,r,s,a,l){"use strict";var u=n.localize(0,null),c=n.localize(1,null),d=n.localize(2,null),h=n.localize(3,null),p=function(e){function t(t,n,o){var i=this;e.call(this),this._onDidOptionChange=this._register(new a.Emitter),this.onDidOptionChange=this._onDidOptionChange.event,this._onKeyDown=this._register(new a.Emitter),this.onKeyDown=this._onKeyDown.event,this._onInput=this._register(new a.Emitter),this.onInput=this._onInput.event,this._onKeyUp=this._register(new a.Emitter),this.onKeyUp=this._onKeyUp.event,this._onCaseSensitiveKeyDown=this._register(new a.Emitter),this.onCaseSensitiveKeyDown=this._onCaseSensitiveKeyDown.event,this.contextViewProvider=n,this.width=o.width||100,this.placeholder=o.placeholder||"",this.validation=o.validation,this.label=o.label||h,this.regex=null,this.wholeWords=null,this.caseSensitive=null,this.domNode=null,this.inputBox=null,this.buildDomNode(o.appendCaseSensitiveLabel||"",o.appendWholeWordsLabel||"",o.appendRegexLabel||""),Boolean(t)&&t.appendChild(this.domNode),this.onkeydown(this.inputBox.inputElement,function(e){return i._onKeyDown.fire(e)}),this.onkeyup(this.inputBox.inputElement,function(e){return i._onKeyUp.fire(e)}),this.oninput(this.inputBox.inputElement,function(e){return i._onInput.fire()})}return __extends(t,e),t.prototype.enable=function(){o.removeClass(this.domNode,"disabled"),this.inputBox.enable(),this.regex.enable(),this.wholeWords.enable(),this.caseSensitive.enable()},t.prototype.disable=function(){o.addClass(this.domNode,"disabled"),this.inputBox.disable(),this.regex.disable(),this.wholeWords.disable(),this.caseSensitive.disable()},t.prototype.setEnabled=function(e){e?this.enable():this.disable()},t.prototype.clear=function(){this.clearValidation(),this.setValue(""),this.focus()},t.prototype.setWidth=function(e){this.width=e,this.domNode.style.width=this.width+"px",this.contextViewProvider.layout(),this.setInputWidth()},t.prototype.getValue=function(){return this.inputBox.value},t.prototype.setValue=function(e){this.inputBox.value!==e&&(this.inputBox.value=e)},t.prototype.setMatchCountState=function(e){this.matchCount.setState(e),this.setInputWidth()},t.prototype.select=function(){this.inputBox.select()},t.prototype.focus=function(){this.inputBox.focus()},t.prototype.getCaseSensitive=function(){return this.caseSensitive.checked},t.prototype.setCaseSensitive=function(e){this.caseSensitive.checked=e,this.setInputWidth()},t.prototype.getWholeWords=function(){return this.wholeWords.checked},t.prototype.setWholeWords=function(e){this.wholeWords.checked=e,this.setInputWidth()},t.prototype.getRegex=function(){return this.regex.checked},t.prototype.setRegex=function(e){this.regex.checked=e,this.setInputWidth()},t.prototype.focusOnCaseSensitive=function(){this.caseSensitive.focus()},t.prototype.setInputWidth=function(){var e=this.width-this.matchCount.width()-this.caseSensitive.width()-this.wholeWords.width()-this.regex.width();this.inputBox.width=e},t.prototype.buildDomNode=function(e,t,n){var s=this;this.domNode=document.createElement("div"),this.domNode.style.width=this.width+"px",o.addClass(this.domNode,"monaco-findInput"),this.inputBox=this._register(new i.InputBox(this.domNode,this.contextViewProvider,{placeholder:this.placeholder||"",ariaLabel:this.label||"",validationOptions:{validation:this.validation||null,showMessage:!0}})),this.regex=this._register(new r.Checkbox({actionClassName:"regex",title:u+n,isChecked:!1,onChange:function(e){s._onDidOptionChange.fire(e),e||s.inputBox.focus(),s.setInputWidth(),s.validate()}})),this.wholeWords=this._register(new r.Checkbox({actionClassName:"whole-word",title:c+t,isChecked:!1,onChange:function(e){s._onDidOptionChange.fire(e),e||s.inputBox.focus(),s.setInputWidth(),s.validate()}})),this.caseSensitive=this._register(new r.Checkbox({actionClassName:"case-sensitive",title:d+e,isChecked:!1,onChange:function(e){s._onDidOptionChange.fire(e),e||s.inputBox.focus(),s.setInputWidth(),s.validate()},onKeyDown:function(e){s._onCaseSensitiveKeyDown.fire(e)}})),this.matchCount=this._register(new m({onClick:function(e){s.inputBox.focus(),e.preventDefault()}}));var a=[this.caseSensitive.domNode,this.wholeWords.domNode,this.regex.domNode];this.onkeydown(this.domNode,function(e){if(e.equals(l.CommonKeybindings.LEFT_ARROW)||e.equals(l.CommonKeybindings.RIGHT_ARROW)||e.equals(l.CommonKeybindings.ESCAPE)){var t=a.indexOf(document.activeElement);if(t>=0){var n=void 0;e.equals(l.CommonKeybindings.RIGHT_ARROW)?n=(t+1)%a.length:e.equals(l.CommonKeybindings.LEFT_ARROW)&&(n=0===t?a.length-1:t-1),e.equals(l.CommonKeybindings.ESCAPE)?a[t].blur():n>=0&&a[n].focus(),o.EventHelper.stop(e,!0)}}}),this.setInputWidth();var h=document.createElement("div");h.className="controls",h.appendChild(this.matchCount.domNode),h.appendChild(this.caseSensitive.domNode),h.appendChild(this.wholeWords.domNode),h.appendChild(this.regex.domNode),this.domNode.appendChild(h)},t.prototype.validate=function(){this.inputBox.validate()},t.prototype.showMessage=function(e){this.inputBox.showMessage(e)},t.prototype.clearMessage=function(){this.inputBox.hideMessage()},t.prototype.clearValidation=function(){this.inputBox.hideMessage()},t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.OPTION_CHANGE="optionChange",t}(s.Widget);t.FindInput=p;var m=function(e){function t(t){e.call(this),this.domNode=document.createElement("div"),this.domNode.className="matchCount",this.setState({isVisible:!1,count:"0",title:""}),this.onclick(this.domNode,t.onClick)}return __extends(t,e),t.prototype.width=function(){return this.isVisible?30:0},t.prototype.setState=function(e){o.clearNode(this.domNode),this.domNode.appendChild(document.createTextNode(e.count)),this.domNode.title=e.title,this.isVisible=e.isVisible,this.isVisible?this.domNode.style.display="block":this.domNode.style.display="none"},t}(s.Widget)});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/browser/ui/scrollbar/scrollbarArrow",["require","exports","vs/base/browser/globalMouseMoveMonitor","vs/base/browser/ui/widget","vs/base/common/async"],function(e,t,n,o,i){"use strict";t.ARROW_IMG_SIZE=11;var r=function(e){function o(o){var r=this;e.call(this),this._onActivate=o.onActivate,this.bgDomNode=document.createElement("div"),this.bgDomNode.className="arrow-background",this.bgDomNode.style.position="absolute",this.bgDomNode.style.width=o.bgWidth+"px",this.bgDomNode.style.height=o.bgHeight+"px","undefined"!=typeof o.top&&(this.bgDomNode.style.top="0px"),"undefined"!=typeof o.left&&(this.bgDomNode.style.left="0px"),"undefined"!=typeof o.bottom&&(this.bgDomNode.style.bottom="0px"),"undefined"!=typeof o.right&&(this.bgDomNode.style.right="0px"),this.domNode=document.createElement("div"),this.domNode.className=o.className,this.domNode.style.position="absolute",this.domNode.style.width=t.ARROW_IMG_SIZE+"px",this.domNode.style.height=t.ARROW_IMG_SIZE+"px","undefined"!=typeof o.top&&(this.domNode.style.top=o.top+"px"),"undefined"!=typeof o.left&&(this.domNode.style.left=o.left+"px"),"undefined"!=typeof o.bottom&&(this.domNode.style.bottom=o.bottom+"px"),"undefined"!=typeof o.right&&(this.domNode.style.right=o.right+"px"),this._mouseMoveMonitor=this._register(new n.GlobalMouseMoveMonitor),this.onmousedown(this.bgDomNode,function(e){return r._arrowMouseDown(e)}),this.onmousedown(this.domNode,function(e){return r._arrowMouseDown(e)}),this._mousedownRepeatTimer=this._register(new i.IntervalTimer),this._mousedownScheduleRepeatTimer=this._register(new i.TimeoutTimer)}return __extends(o,e),o.prototype._arrowMouseDown=function(e){var t=this,o=function(){t._mousedownRepeatTimer.cancelAndSet(function(){return t._onActivate()},1e3/24)};this._onActivate(),this._mousedownRepeatTimer.cancel(),this._mousedownScheduleRepeatTimer.cancelAndSet(o,200),this._mouseMoveMonitor.startMonitoring(n.standardMouseMoveMerger,function(e){},function(){t._mousedownRepeatTimer.cancel(),t._mousedownScheduleRepeatTimer.cancel()}),e.preventDefault()},o}(o.Widget);t.ScrollbarArrow=r});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/browser/ui/scrollbar/abstractScrollbar",["require","exports","vs/base/common/platform","vs/base/browser/dom","vs/base/browser/mouseEvent","vs/base/browser/globalMouseMoveMonitor","vs/base/browser/ui/widget","vs/base/browser/styleMutator","vs/base/browser/ui/scrollbar/scrollbarArrow","vs/base/browser/ui/scrollbar/scrollbarVisibilityController"],function(e,t,n,o,i,r,s,a,l,u){"use strict";var c=140,d=function(e){function t(t){var n=this;e.call(this),this._canUseTranslate3d=t.canUseTranslate3d,this._lazyRender=t.lazyRender,this._host=t.host,this._scrollable=t.scrollable,this._scrollbarState=t.scrollbarState,this._visibilityController=this._register(new u.ScrollbarVisibilityController(t.visibility,"visible scrollbar "+t.extraScrollbarClassName,"invisible scrollbar "+t.extraScrollbarClassName)),this._mouseMoveMonitor=this._register(new r.GlobalMouseMoveMonitor),this._shouldRender=!0,this.domNode=a.createFastDomNode(document.createElement("div")),this._visibilityController.setDomNode(this.domNode),this.domNode.setPosition("absolute"),this.onmousedown(this.domNode.domNode,function(e){return n._domNodeMouseDown(e)})}return __extends(t,e),t.prototype._createArrow=function(e){var t=this._register(new l.ScrollbarArrow(e));this.domNode.domNode.appendChild(t.bgDomNode),this.domNode.domNode.appendChild(t.domNode)},t.prototype._createSlider=function(e,t,n,o){var i=this;this.slider=a.createFastDomNode(document.createElement("div")),this.slider.setClassName("slider"),this.slider.setPosition("absolute"),this.slider.setTop(e),this.slider.setLeft(t),this.slider.setWidth(n),this.slider.setHeight(o),this.domNode.domNode.appendChild(this.slider.domNode),this.onmousedown(this.slider.domNode,function(e){return i._sliderMouseDown(e)})},t.prototype.setCanUseTranslate3d=function(e){return this._canUseTranslate3d=e,!0},t.prototype._onElementSize=function(e){return this._scrollbarState.setVisibleSize(e)&&(this._visibilityController.setIsNeeded(this._scrollbarState.isNeeded()),this._shouldRender=!0,this._lazyRender||this.render()),this._shouldRender},t.prototype._onElementScrollSize=function(e){return this._scrollbarState.setScrollSize(e)&&(this._visibilityController.setIsNeeded(this._scrollbarState.isNeeded()),this._shouldRender=!0,this._lazyRender||this.render()),this._shouldRender},t.prototype._onElementScrollPosition=function(e){return this._scrollbarState.setScrollPosition(e)&&(this._visibilityController.setIsNeeded(this._scrollbarState.isNeeded()),this._shouldRender=!0,this._lazyRender||this.render()),this._shouldRender},t.prototype.beginReveal=function(){this._visibilityController.setShouldBeVisible(!0)},t.prototype.beginHide=function(){this._visibilityController.setShouldBeVisible(!1)},t.prototype.render=function(){this._shouldRender&&(this._shouldRender=!1,this._canUseTranslate3d?this.domNode.setTransform("translate3d(0px, 0px, 0px)"):this.domNode.setTransform(""),this._renderDomNode(this._scrollbarState.getRectangleLargeSize(),this._scrollbarState.getRectangleSmallSize()),this._updateSlider(this._scrollbarState.getSliderSize(),this._scrollbarState.getArrowSize()+this._scrollbarState.getSliderPosition()))},t.prototype._domNodeMouseDown=function(e){e.target===this.domNode.domNode&&this._onMouseDown(e)},t.prototype.delegateMouseDown=function(e){var t=new i.StandardMouseEvent(e),n=this.domNode.domNode.getClientRects()[0].top,o=n+this._scrollbarState.getSliderPosition(),r=n+this._scrollbarState.getSliderPosition()+this._scrollbarState.getSliderSize(),s=this._sliderMousePosition(t);s>=o&&r>=s?this._sliderMouseDown(t):this._onMouseDown(t)},t.prototype._onMouseDown=function(e){var t=o.getDomNodePosition(this.domNode.domNode),n=this._mouseDownRelativePosition(e,t)-this._scrollbarState.getArrowSize()-this._scrollbarState.getSliderSize()/2;this.setDesiredScrollPosition(this._scrollbarState.convertSliderPositionToScrollPosition(n)),this._sliderMouseDown(e)},t.prototype._sliderMouseDown=function(e){var t=this;if(e.leftButton){var o=this._sliderOrthogonalMousePosition(e),i=this._getScrollPosition(),s=this._sliderMousePosition(e)-this._scrollbarState.getSliderPosition();this.slider.toggleClassName("active",!0),this._mouseMoveMonitor.startMonitoring(r.standardMouseMoveMerger,function(e){var r=t._sliderOrthogonalMousePosition(e),a=Math.abs(r-o);if(n.isWindows&&a>c)t.setDesiredScrollPosition(i);else{var l=t._sliderMousePosition(e)-s;t.setDesiredScrollPosition(t._scrollbarState.convertSliderPositionToScrollPosition(l))}},function(){t.slider.toggleClassName("active",!1),t._host.onDragEnd()}),e.preventDefault(),this._host.onDragStart()}},t.prototype.validateScrollPosition=function(e){return this._scrollbarState.validateScrollPosition(e)},t.prototype.setDesiredScrollPosition=function(e){e=this.validateScrollPosition(e);var t=this._getScrollPosition();this._setScrollPosition(e);var n=this._getScrollPosition();return t!==n?(this._onElementScrollPosition(this._getScrollPosition()),!0):!1},t}(s.Widget);t.AbstractScrollbar=d});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/browser/ui/scrollbar/horizontalScrollbar",["require","exports","vs/base/browser/ui/scrollbar/abstractScrollbar","vs/base/browser/mouseEvent","vs/base/browser/ui/scrollbar/scrollableElementOptions","vs/base/browser/ui/scrollbar/scrollbarState","vs/base/browser/ui/scrollbar/scrollbarArrow"],function(e,t,n,o,i,r,s){"use strict";var a=function(e){function t(t,n,a){var l=this;if(e.call(this,{canUseTranslate3d:n.canUseTranslate3d,lazyRender:n.lazyRender,host:a,scrollbarState:new r.ScrollbarState(n.horizontalHasArrows?n.arrowSize:0,n.horizontal===i.ScrollbarVisibility.Hidden?0:n.horizontalScrollbarSize,n.vertical===i.ScrollbarVisibility.Hidden?0:n.verticalScrollbarSize),visibility:n.horizontal,extraScrollbarClassName:"horizontal",scrollable:t}),n.horizontalHasArrows){var u=(n.arrowSize-s.ARROW_IMG_SIZE)/2,c=(n.horizontalScrollbarSize-s.ARROW_IMG_SIZE)/2;this._createArrow({className:"left-arrow",top:c,left:u,bottom:void 0,right:void 0,bgWidth:n.arrowSize,bgHeight:n.horizontalScrollbarSize,onActivate:function(){return l._host.onMouseWheel(new o.StandardMouseWheelEvent(null,1,0))}}),this._createArrow({className:"right-arrow",top:c,left:void 0,bottom:void 0,right:u,bgWidth:n.arrowSize,bgHeight:n.horizontalScrollbarSize,onActivate:function(){return l._host.onMouseWheel(new o.StandardMouseWheelEvent(null,-1,0))}})}this._createSlider(Math.floor((n.horizontalScrollbarSize-n.horizontalSliderSize)/2),0,null,n.horizontalSliderSize)}return __extends(t,e),t.prototype._updateSlider=function(e,t){this.slider.setWidth(e),this._canUseTranslate3d?(this.slider.setTransform("translate3d("+t+"px, 0px, 0px)"),this.slider.setLeft(0)):(this.slider.setTransform(""),this.slider.setLeft(t))},t.prototype._renderDomNode=function(e,t){this.domNode.setWidth(e),this.domNode.setHeight(t),this.domNode.setLeft(0),this.domNode.setBottom(0)},t.prototype.onDidScroll=function(e){return this._shouldRender=this._onElementScrollSize(e.scrollWidth)||this._shouldRender,this._shouldRender=this._onElementScrollPosition(e.scrollLeft)||this._shouldRender,this._shouldRender=this._onElementSize(e.width)||this._shouldRender,this._shouldRender},t.prototype._mouseDownRelativePosition=function(e,t){return e.posx-t.left},t.prototype._sliderMousePosition=function(e){return e.posx},t.prototype._sliderOrthogonalMousePosition=function(e){return e.posy},t.prototype._getScrollPosition=function(){return this._scrollable.getScrollLeft()},t.prototype._setScrollPosition=function(e){this._scrollable.updateState({scrollLeft:e})},t}(n.AbstractScrollbar);t.HorizontalScrollbar=a});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/browser/ui/scrollbar/verticalScrollbar",["require","exports","vs/base/browser/ui/scrollbar/abstractScrollbar","vs/base/browser/mouseEvent","vs/base/browser/ui/scrollbar/scrollableElementOptions","vs/base/browser/ui/scrollbar/scrollbarState","vs/base/browser/ui/scrollbar/scrollbarArrow"],function(e,t,n,o,i,r,s){"use strict";var a=function(e){function t(t,n,a){var l=this;if(e.call(this,{canUseTranslate3d:n.canUseTranslate3d,lazyRender:n.lazyRender,host:a,scrollbarState:new r.ScrollbarState(n.verticalHasArrows?n.arrowSize:0,n.vertical===i.ScrollbarVisibility.Hidden?0:n.verticalScrollbarSize,0),visibility:n.vertical,extraScrollbarClassName:"vertical",scrollable:t}),n.verticalHasArrows){var u=(n.arrowSize-s.ARROW_IMG_SIZE)/2,c=(n.verticalScrollbarSize-s.ARROW_IMG_SIZE)/2;this._createArrow({className:"up-arrow",top:u,left:c,bottom:void 0,right:void 0,bgWidth:n.verticalScrollbarSize,bgHeight:n.arrowSize,onActivate:function(){return l._host.onMouseWheel(new o.StandardMouseWheelEvent(null,0,1))}}),this._createArrow({className:"down-arrow",top:void 0,left:c,bottom:u,right:void 0,bgWidth:n.verticalScrollbarSize,bgHeight:n.arrowSize,
onActivate:function(){return l._host.onMouseWheel(new o.StandardMouseWheelEvent(null,0,-1))}})}this._createSlider(0,Math.floor((n.verticalScrollbarSize-n.verticalSliderSize)/2),n.verticalSliderSize,null)}return __extends(t,e),t.prototype._updateSlider=function(e,t){this.slider.setHeight(e),this._canUseTranslate3d?(this.slider.setTransform("translate3d(0px, "+t+"px, 0px)"),this.slider.setTop(0)):(this.slider.setTransform(""),this.slider.setTop(t))},t.prototype._renderDomNode=function(e,t){this.domNode.setWidth(t),this.domNode.setHeight(e),this.domNode.setRight(0),this.domNode.setTop(0)},t.prototype.onDidScroll=function(e){return this._shouldRender=this._onElementScrollSize(e.scrollHeight)||this._shouldRender,this._shouldRender=this._onElementScrollPosition(e.scrollTop)||this._shouldRender,this._shouldRender=this._onElementSize(e.height)||this._shouldRender,this._shouldRender},t.prototype._mouseDownRelativePosition=function(e,t){return e.posy-t.top},t.prototype._sliderMousePosition=function(e){return e.posy},t.prototype._sliderOrthogonalMousePosition=function(e){return e.posx},t.prototype._getScrollPosition=function(){return this._scrollable.getScrollTop()},t.prototype._setScrollPosition=function(e){this._scrollable.updateState({scrollTop:e})},t}(n.AbstractScrollbar);t.VerticalScrollbar=a});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/browser/ui/scrollbar/scrollableElement",["require","exports","vs/base/browser/browser","vs/base/browser/dom","vs/base/common/platform","vs/base/browser/mouseEvent","vs/base/browser/ui/scrollbar/horizontalScrollbar","vs/base/browser/ui/scrollbar/verticalScrollbar","vs/base/browser/ui/scrollbar/scrollableElementOptions","vs/base/common/lifecycle","vs/base/common/scrollable","vs/base/browser/ui/widget","vs/base/common/async","vs/base/browser/styleMutator","vs/base/common/event","vs/css!./media/scrollbars"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m){"use strict";function f(e){var t={canUseTranslate3d:e.canUseTranslate3d&&n.canUseTranslate3d,lazyRender:"undefined"!=typeof e.lazyRender?e.lazyRender:!1,className:"undefined"!=typeof e.className?e.className:"",useShadows:"undefined"!=typeof e.useShadows?e.useShadows:!0,handleMouseWheel:"undefined"!=typeof e.handleMouseWheel?e.handleMouseWheel:!0,flipAxes:"undefined"!=typeof e.flipAxes?e.flipAxes:!1,mouseWheelScrollSensitivity:"undefined"!=typeof e.mouseWheelScrollSensitivity?e.mouseWheelScrollSensitivity:1,arrowSize:"undefined"!=typeof e.arrowSize?e.arrowSize:11,listenOnDomNode:"undefined"!=typeof e.listenOnDomNode?e.listenOnDomNode:null,horizontal:"undefined"!=typeof e.horizontal?e.horizontal:l.ScrollbarVisibility.Auto,horizontalScrollbarSize:"undefined"!=typeof e.horizontalScrollbarSize?e.horizontalScrollbarSize:10,horizontalSliderSize:"undefined"!=typeof e.horizontalSliderSize?e.horizontalSliderSize:0,horizontalHasArrows:"undefined"!=typeof e.horizontalHasArrows?e.horizontalHasArrows:!1,vertical:"undefined"!=typeof e.vertical?e.vertical:l.ScrollbarVisibility.Auto,verticalScrollbarSize:"undefined"!=typeof e.verticalScrollbarSize?e.verticalScrollbarSize:10,verticalHasArrows:"undefined"!=typeof e.verticalHasArrows?e.verticalHasArrows:!1,verticalSliderSize:"undefined"!=typeof e.verticalSliderSize?e.verticalSliderSize:0,saveLastScrollTimeOnClassName:"undefined"!=typeof e.saveLastScrollTimeOnClassName?e.saveLastScrollTimeOnClassName:null};return t.horizontalSliderSize="undefined"!=typeof e.horizontalSliderSize?e.horizontalSliderSize:t.horizontalScrollbarSize,t.verticalSliderSize="undefined"!=typeof e.verticalSliderSize?e.verticalSliderSize:t.verticalScrollbarSize,i.isMacintosh&&(t.className+=" mac"),t}var g=500,v=50,y=function(e){function t(t,n){var o=this;e.call(this),this._onScroll=this._register(new m.Emitter),this.onScroll=this._onScroll.event,t.style.overflow="hidden",this._options=f(n),this._scrollable=this._register(new c.Scrollable),this._register(this._scrollable.onScroll(function(e){o._onDidScroll(e),o._onScroll.fire(e)}));var i={onMouseWheel:function(e){return o._onMouseWheel(e)},onDragStart:function(){return o._onDragStart()},onDragEnd:function(){return o._onDragEnd()}};this._verticalScrollbar=this._register(new a.VerticalScrollbar(this._scrollable,this._options,i)),this._horizontalScrollbar=this._register(new s.HorizontalScrollbar(this._scrollable,this._options,i)),this._domNode=document.createElement("div"),this._domNode.className="monaco-scrollable-element "+this._options.className,this._domNode.setAttribute("role","presentation"),this._domNode.style.position="relative",this._domNode.style.overflow="hidden",this._domNode.appendChild(t),this._domNode.appendChild(this._horizontalScrollbar.domNode.domNode),this._domNode.appendChild(this._verticalScrollbar.domNode.domNode),this._options.useShadows&&(this._leftShadowDomNode=p.createFastDomNode(document.createElement("div")),this._leftShadowDomNode.setClassName("shadow"),this._domNode.appendChild(this._leftShadowDomNode.domNode),this._topShadowDomNode=p.createFastDomNode(document.createElement("div")),this._topShadowDomNode.setClassName("shadow"),this._domNode.appendChild(this._topShadowDomNode.domNode),this._topLeftShadowDomNode=p.createFastDomNode(document.createElement("div")),this._topLeftShadowDomNode.setClassName("shadow top-left-corner"),this._domNode.appendChild(this._topLeftShadowDomNode.domNode)),this._listenOnDomNode=this._options.listenOnDomNode||this._domNode,this._mouseWheelToDispose=[],this._setListeningToMouseWheel(this._options.handleMouseWheel),this.onmouseover(this._listenOnDomNode,function(e){return o._onMouseOver(e)}),this.onnonbubblingmouseout(this._listenOnDomNode,function(e){return o._onMouseOut(e)}),this._hideTimeout=this._register(new h.TimeoutTimer),this._isDragging=!1,this._mouseIsOver=!1,this._shouldRender=!0}return __extends(t,e),t.prototype.dispose=function(){this._mouseWheelToDispose=u.dispose(this._mouseWheelToDispose),e.prototype.dispose.call(this)},t.prototype.getDomNode=function(){return this._domNode},t.prototype.getOverviewRulerLayoutInfo=function(){return{parent:this._domNode,insertBefore:this._verticalScrollbar.domNode.domNode}},t.prototype.delegateVerticalScrollbarMouseDown=function(e){this._verticalScrollbar.delegateMouseDown(e)},t.prototype.updateState=function(e){this._scrollable.updateState(e)},t.prototype.getWidth=function(){return this._scrollable.getWidth()},t.prototype.getScrollWidth=function(){return this._scrollable.getScrollWidth()},t.prototype.getScrollLeft=function(){return this._scrollable.getScrollLeft()},t.prototype.getHeight=function(){return this._scrollable.getHeight()},t.prototype.getScrollHeight=function(){return this._scrollable.getScrollHeight()},t.prototype.getScrollTop=function(){return this._scrollable.getScrollTop()},t.prototype.updateClassName=function(e){this._options.className=e,i.isMacintosh&&(this._options.className+=" mac"),this._domNode.className="monaco-scrollable-element "+this._options.className},t.prototype.updateOptions=function(e){var t=f(e);this._options.handleMouseWheel=t.handleMouseWheel,this._options.mouseWheelScrollSensitivity=t.mouseWheelScrollSensitivity,this._setListeningToMouseWheel(this._options.handleMouseWheel),this._shouldRender=this._horizontalScrollbar.setCanUseTranslate3d(t.canUseTranslate3d)||this._shouldRender,this._shouldRender=this._verticalScrollbar.setCanUseTranslate3d(t.canUseTranslate3d)||this._shouldRender,this._options.lazyRender||this._render()},t.prototype._setListeningToMouseWheel=function(e){var t=this,n=this._mouseWheelToDispose.length>0;if(n!==e&&(this._mouseWheelToDispose=u.dispose(this._mouseWheelToDispose),e)){var i=function(e){var n=new r.StandardMouseWheelEvent(e);t._onMouseWheel(n)};this._mouseWheelToDispose.push(o.addDisposableListener(this._listenOnDomNode,"mousewheel",i)),this._mouseWheelToDispose.push(o.addDisposableListener(this._listenOnDomNode,"DOMMouseScroll",i))}},t.prototype._onMouseWheel=function(e){if(i.isMacintosh&&e.browserEvent&&this._options.saveLastScrollTimeOnClassName){var t=e.browserEvent.target;if(t&&1===t.nodeType){var n=o.findParentWithClass(t,this._options.saveLastScrollTimeOnClassName);n&&n.setAttribute("last-scroll-time",String((new Date).getTime()))}}var r=-1,s=-1;if(e.deltaY||e.deltaX){var a=e.deltaY*this._options.mouseWheelScrollSensitivity,l=e.deltaX*this._options.mouseWheelScrollSensitivity;if(this._options.flipAxes&&(a=e.deltaX,l=e.deltaY),i.isMacintosh&&(a&&Math.abs(l)<.2&&(l=0),Math.abs(a)>.5*Math.abs(l)&&(l=0)),a){var u=this._scrollable.getScrollTop();r=this._verticalScrollbar.validateScrollPosition((-1!==r?r:u)-v*a),r===u&&(r=-1)}if(l){var c=this._scrollable.getScrollLeft();s=this._horizontalScrollbar.validateScrollPosition((-1!==s?s:c)-v*l),s===c&&(s=-1)}-1===r&&-1===s||(-1!==r&&(this._shouldRender=this._verticalScrollbar.setDesiredScrollPosition(r)||this._shouldRender,r=-1),-1!==s&&(this._shouldRender=this._horizontalScrollbar.setDesiredScrollPosition(s)||this._shouldRender,s=-1))}e.preventDefault(),e.stopPropagation()},t.prototype._onDidScroll=function(e){this._shouldRender=this._horizontalScrollbar.onDidScroll(e)||this._shouldRender,this._shouldRender=this._verticalScrollbar.onDidScroll(e)||this._shouldRender,this._options.useShadows&&(this._shouldRender=!0),this._reveal(),this._options.lazyRender||this._render()},t.prototype.renderNow=function(){if(!this._options.lazyRender)throw new Error("Please use `lazyRender` together with `renderNow`!");this._render()},t.prototype._render=function(){if(this._shouldRender&&(this._shouldRender=!1,this._horizontalScrollbar.render(),this._verticalScrollbar.render(),this._options.useShadows)){var e=this._scrollable.getScrollTop()>0,t=this._scrollable.getScrollLeft()>0;this._leftShadowDomNode.setClassName("shadow"+(t?" left":"")),this._topShadowDomNode.setClassName("shadow"+(e?" top":"")),this._topLeftShadowDomNode.setClassName("shadow top-left-corner"+(e?" top":"")+(t?" left":""))}},t.prototype._onDragStart=function(){this._isDragging=!0,this._reveal()},t.prototype._onDragEnd=function(){this._isDragging=!1,this._hide()},t.prototype._onMouseOut=function(e){this._mouseIsOver=!1,this._hide()},t.prototype._onMouseOver=function(e){this._mouseIsOver=!0,this._reveal()},t.prototype._reveal=function(){this._verticalScrollbar.beginReveal(),this._horizontalScrollbar.beginReveal(),this._scheduleHide()},t.prototype._hide=function(){this._mouseIsOver||this._isDragging||(this._verticalScrollbar.beginHide(),this._horizontalScrollbar.beginHide())},t.prototype._scheduleHide=function(){var e=this;this._hideTimeout.cancelAndSet(function(){return e._hide()},g)},t}(d.Widget);t.ScrollableElement=y;var _=function(e){function t(t,n){var o=this;e.call(this,t,n),this._element=t,this.onScroll(function(e){e.scrollTopChanged&&(o._element.scrollTop=e.scrollTop),e.scrollLeftChanged&&(o._element.scrollLeft=e.scrollLeft)}),this.scanDomNode()}return __extends(t,e),t.prototype.scanDomNode=function(){this.updateState({width:this._element.clientWidth,scrollWidth:this._element.scrollWidth,scrollLeft:this._element.scrollLeft,height:this._element.clientHeight,scrollHeight:this._element.scrollHeight,scrollTop:this._element.scrollTop})},t}(y);t.DomScrollableElement=_}),define("vs/base/browser/ui/list/listView",["require","exports","vs/base/common/objects","vs/base/common/lifecycle","vs/base/browser/touch","vs/base/browser/dom","vs/base/browser/ui/scrollbar/scrollableElement","vs/base/browser/ui/scrollbar/scrollableElementOptions","./rangeMap","./rowCache"],function(e,t,n,o,i,r,s,a,l,u){"use strict";var c=["click","dblclick","mouseup","mousedown","mouseover","mousemove","mouseout","contextmenu"],d=function(){function e(e,t,o){var r=this;this.delegate=t,this.items=[],this.itemId=0,this.rangeMap=new l.RangeMap,this.renderers=n.toObject(o,function(e){return e.templateId}),this.cache=new u.RowCache(this.renderers),this.lastRenderTop=0,this.lastRenderHeight=0,this._domNode=document.createElement("div"),this._domNode.className="monaco-list",this._domNode.tabIndex=0,this.rowsContainer=document.createElement("div"),this.rowsContainer.className="monaco-list-rows",this.gesture=new i.Gesture(this.rowsContainer),this.scrollableElement=new s.ScrollableElement(this.rowsContainer,{canUseTranslate3d:!1,horizontal:a.ScrollbarVisibility.Hidden,vertical:a.ScrollbarVisibility.Auto,useShadows:!1,saveLastScrollTimeOnClassName:"monaco-list-row"});var c=this.scrollableElement.onScroll(function(e){return r.render(e.scrollTop,e.height)});this._domNode.appendChild(this.scrollableElement.getDomNode()),e.appendChild(this._domNode),this.toDispose=[this.rangeMap,this.gesture,c,this.scrollableElement],this.layout()}return Object.defineProperty(e.prototype,"domNode",{get:function(){return this._domNode},enumerable:!0,configurable:!0}),e.prototype.splice=function(e,t){for(var n=this,o=[],i=2;i<arguments.length;i++)o[i-2]=arguments[i];var r=this.getRenderRange(this.lastRenderTop,this.lastRenderHeight);l.each(r,function(e){return n.removeItemFromDOM(n.items[e])});var s=o.map(function(e){return{id:String(n.itemId++),element:e,size:n.delegate.getHeight(e),templateId:n.delegate.getTemplateId(e),row:null}});(d=this.rangeMap).splice.apply(d,[e,t].concat(s));var a=(h=this.items).splice.apply(h,[e,t].concat(s)),u=this.getRenderRange(this.lastRenderTop,this.lastRenderHeight);l.each(u,function(e){return n.insertItemInDOM(n.items[e],e)});var c=this.getContentHeight();return this.rowsContainer.style.height=c+"px",this.scrollableElement.updateState({scrollHeight:c}),a.map(function(e){return e.element});var d,h},Object.defineProperty(e.prototype,"length",{get:function(){return this.items.length},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"renderHeight",{get:function(){return this.scrollableElement.getHeight()},enumerable:!0,configurable:!0}),e.prototype.element=function(e){return this.items[e].element},e.prototype.elementHeight=function(e){return this.items[e].size},e.prototype.elementTop=function(e){return this.rangeMap.positionAt(e)},e.prototype.indexAt=function(e){return this.rangeMap.indexAt(e)},e.prototype.indexAfter=function(e){return this.rangeMap.indexAfter(e)},e.prototype.layout=function(e){this.scrollableElement.updateState({height:e||r.getContentHeight(this._domNode)})},e.prototype.render=function(e,t){var n=this,o=this.getRenderRange(this.lastRenderTop,this.lastRenderHeight),i=this.getRenderRange(e,t),r=l.relativeComplement(i,o),s=l.relativeComplement(o,i);r.forEach(function(e){return l.each(e,function(e){return n.insertItemInDOM(n.items[e],e)})}),s.forEach(function(e){return l.each(e,function(e){return n.removeItemFromDOM(n.items[e])})}),this.rowsContainer.style.transform="translate3d(0px, -"+e+"px, 0px)",this.lastRenderTop=e,this.lastRenderHeight=t},e.prototype.insertItemInDOM=function(e,t){e.row||(e.row=this.cache.alloc(e.templateId)),e.row.domNode.parentElement||this.rowsContainer.appendChild(e.row.domNode);var n=this.renderers[e.templateId];e.row.domNode.style.top=this.elementTop(t)+"px",e.row.domNode.style.height=e.size+"px",e.row.domNode.setAttribute("data-index",""+t),n.renderElement(e.element,t,e.row.templateData)},e.prototype.removeItemFromDOM=function(e){this.cache.release(e.row),e.row=null},e.prototype.getContentHeight=function(){return this.rangeMap.size},e.prototype.getScrollTop=function(){return this.scrollableElement.getScrollTop()},e.prototype.setScrollTop=function(e){this.scrollableElement.updateState({scrollTop:e})},e.prototype.addListener=function(e,t,o){var i=this;if(c.indexOf(e)>-1){var s=t;t=function(e){var t=i.getItemIndex(e);if(!(0>t)){var o=i.items[t].element;s(n.assign(e,{element:o,index:t}))}}}return r.addDisposableListener(this.domNode,e,t,o)},e.prototype.getItemIndex=function(e){for(var t=e.target;t instanceof HTMLElement&&t!==this.rowsContainer;){var n=t,o=n.getAttribute("data-index");if(o){var i=Number(o);if(!isNaN(i))return i}t=n.parentElement}return-1},e.prototype.getRenderRange=function(e,t){return{start:this.rangeMap.indexAt(e),end:this.rangeMap.indexAfter(e+t-1)}},e.prototype.dispose=function(){this.items=null,this._domNode&&this._domNode.parentElement&&(this._domNode.parentNode.removeChild(this._domNode),this._domNode=null),this.toDispose=o.dispose(this.toDispose)},e}();t.ListView=d});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/browser/ui/list/listWidget",["require","exports","vs/base/common/lifecycle","vs/base/common/types","vs/base/browser/dom","vs/base/common/event","./listView","vs/css!./list"],function(e,t,n,o,i,r,s){"use strict";var a=function(){function e(e,t){this.controller=e,this.renderer=t}return Object.defineProperty(e.prototype,"templateId",{get:function(){return this.renderer.templateId},enumerable:!0,configurable:!0}),e.prototype.renderTemplate=function(e){var t=this.renderer.renderTemplate(e);return{container:e,data:t}},e.prototype.renderElement=function(e,t,n){this.controller.renderElement(e,t,n.container),this.renderer.renderElement(e,t,n.data)},e.prototype.disposeTemplate=function(e){return this.renderer.disposeTemplate(e.data)},e}(),l=function(){function e(e){this._trait=e,this._onChange=new r.Emitter,this.indexes=[]}return Object.defineProperty(e.prototype,"onChange",{get:function(){return this._onChange.event},enumerable:!0,configurable:!0}),e.prototype.splice=function(e,t,n){for(var o=n-t,i=e+t,r=[],s=0,a=r;s<a.length;s++){var l=a[s];l>=e&&i>l||r.push(l>e?l+o:l)}this.indexes=r,this._onChange.fire({indexes:r})},e.prototype.renderElement=function(e,t,n){i.toggleClass(n,this._trait,this.contains(t))},e.prototype.set=function(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];var n=this.indexes;return this.indexes=e,this._onChange.fire({indexes:e}),n},e.prototype.get=function(){return this.indexes},e.prototype.contains=function(e){return this.indexes.some(function(t){return t===e})},e.prototype.wrapRenderer=function(e){return new a(this,e)},e.prototype.dispose=function(){this.indexes=null,this._onChange=n.dispose(this._onChange)},e}(),u=function(e){function t(t){e.call(this,"focused"),this.getElementId=t}return __extends(t,e),t.prototype.renderElement=function(t,n,o){e.prototype.renderElement.call(this,t,n,o),o.setAttribute("role","option"),o.setAttribute("id",this.getElementId(n))},t}(l),c=function(){function e(e,t){var n=this;this.list=e,this.view=t,this.toDispose=[],this.toDispose.push(t.addListener("mousedown",function(e){return n.onMouseDown(e)})),this.toDispose.push(t.addListener("click",function(e){return n.onClick(e)}))}return e.prototype.onMouseDown=function(e){e.preventDefault(),e.stopPropagation()},e.prototype.onClick=function(e){e.preventDefault(),e.stopPropagation(),this.list.setSelection(e.index)},e.prototype.dispose=function(){this.toDispose=n.dispose(this.toDispose)},e}(),d=function(){function e(t,n,o){var i=this;this.idPrefix="list_id_"+ ++e.InstanceCount,this.focus=new u(function(e){return i.getElementId(e)}),this.selection=new l("selected"),this.eventBufferer=new r.EventBufferer,o=o.map(function(e){return e=i.focus.wrapRenderer(e),e=i.selection.wrapRenderer(e)}),this.view=new s.ListView(t,n,o),this.view.domNode.setAttribute("role","listbox"),this.controller=new c(this,this.view)}return Object.defineProperty(e.prototype,"onFocusChange",{get:function(){var e=this;return this.eventBufferer.wrapEvent(r.mapEvent(this.focus.onChange,function(t){return e.toListEvent(t)}))},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onSelectionChange",{get:function(){var e=this;return this.eventBufferer.wrapEvent(r.mapEvent(this.selection.onChange,function(t){return e.toListEvent(t)}))},enumerable:!0,configurable:!0}),e.prototype.splice=function(e,t){for(var n=this,o=[],i=2;i<arguments.length;i++)o[i-2]=arguments[i];this.eventBufferer.bufferEvents(function(){n.focus.splice(e,t,o.length),n.selection.splice(e,t,o.length),(i=n.view).splice.apply(i,[e,t].concat(o));var i})},Object.defineProperty(e.prototype,"length",{get:function(){return this.view.length},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"contentHeight",{get:function(){return this.view.getContentHeight()},enumerable:!0,configurable:!0}),e.prototype.layout=function(e){this.view.layout(e)},e.prototype.setSelection=function(){for(var e=this,t=[],n=0;n<arguments.length;n++)t[n-0]=arguments[n];this.eventBufferer.bufferEvents(function(){t=t.concat((n=e.selection).set.apply(n,t)),t.forEach(function(t){return e.view.splice(t,1,e.view.element(t))});var n})},e.prototype.selectNext=function(e,t){if(void 0===e&&(e=1),void 0===t&&(t=!1),0!==this.length){var n=this.selection.get(),o=n.length>0?n[0]+e:0;this.setSelection(t?o%this.length:Math.min(o,this.length-1))}},e.prototype.selectPrevious=function(e,t){if(void 0===e&&(e=1),void 0===t&&(t=!1),0!==this.length){var n=this.selection.get(),o=n.length>0?n[0]-e:0;t&&0>o&&(o=this.length+o%this.length),this.setSelection(Math.max(o,0))}},e.prototype.setFocus=function(){for(var e=this,t=[],n=0;n<arguments.length;n++)t[n-0]=arguments[n];this.eventBufferer.bufferEvents(function(){t=t.concat((n=e.focus).set.apply(n,t)),t.forEach(function(t){return e.view.splice(t,1,e.view.element(t))});var n})},e.prototype.focusNext=function(e,t){if(void 0===e&&(e=1),void 0===t&&(t=!1),0!==this.length){var n=this.focus.get(),o=n.length>0?n[0]+e:0;this.setFocus(t?o%this.length:Math.min(o,this.length-1))}},e.prototype.focusPrevious=function(e,t){if(void 0===e&&(e=1),void 0===t&&(t=!1),0!==this.length){var n=this.focus.get(),o=n.length>0?n[0]-e:0;t&&0>o&&(o=(this.length+o%this.length)%this.length),this.setFocus(Math.max(o,0))}},e.prototype.focusNextPage=function(){var e=this,t=this.view.indexAt(this.view.getScrollTop()+this.view.renderHeight);t=0===t?0:t-1;var n=this.view.element(t),o=this.getFocus()[0];if(o!==n)this.setFocus(t);else{var i=this.view.getScrollTop();this.view.setScrollTop(i+this.view.renderHeight-this.view.elementHeight(t)),this.view.getScrollTop()!==i&&setTimeout(function(){return e.focusNextPage()},0)}},e.prototype.focusPreviousPage=function(){var e,t=this,n=this.view.getScrollTop();e=0===n?this.view.indexAt(n):this.view.indexAfter(n-1);var o=this.view.element(e),i=this.getFocus()[0];if(i!==o)this.setFocus(e);else{var r=n;this.view.setScrollTop(n-this.view.renderHeight),this.view.getScrollTop()!==r&&setTimeout(function(){return t.focusPreviousPage()},0)}},e.prototype.getFocus=function(){var e=this;return this.focus.get().map(function(t){return e.view.element(t)})},e.prototype.reveal=function(e,t){var n=this.view.getScrollTop(),i=this.view.elementTop(e),r=this.view.elementHeight(e);if(o.isNumber(t)){t=0>t?0:t,t=t>1?1:t;var s=r-this.view.renderHeight;this.view.setScrollTop(s*t+i)}else{var a=i+r,l=n+this.view.renderHeight;n>i?this.view.setScrollTop(i):a>=l&&this.view.setScrollTop(a-this.view.renderHeight)}},e.prototype.getElementId=function(e){return this.idPrefix+"_"+e},e.prototype.toListEvent=function(e){var t=this,n=e.indexes;return{indexes:n,elements:n.map(function(e){return t.view.element(e)})}},e.prototype.dispose=function(){this.view=n.dispose(this.view),this.focus=n.dispose(this.focus),this.selection=n.dispose(this.selection)},e.InstanceCount=0,e}();t.List=d});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/parts/tree/browser/treeView",["require","exports","vs/base/common/platform","vs/base/browser/browser","vs/base/common/winjs.base","vs/base/common/lifecycle","vs/base/browser/dom","vs/base/common/diff/diff","vs/base/browser/touch","vs/base/common/strings","vs/base/browser/mouseEvent","vs/base/browser/keyboardEvent","./treeDnd","vs/base/common/iterator","vs/base/browser/ui/scrollbar/scrollableElement","vs/base/browser/ui/scrollbar/scrollableElementOptions","vs/base/parts/tree/browser/treeViewModel","vs/base/parts/tree/browser/tree","vs/base/common/keyCodes"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m,f,g,v,y){"use strict";function _(e){var t=e.getAttribute("last-scroll-time");return t?parseInt(t,10):0}function b(e){try{e.parentElement.removeChild(e)}catch(t){}}function C(e,t){return e||t?e&&t?e.accept!==t.accept?!1:e.bubble!==t.bubble?!1:e.effect===t.effect:!1:!0}var w=function(){function e(e){this.context=e,this._cache={"":[]},this.scrollingRow=null}return e.prototype.alloc=function(e){var t=this.cache(e).pop();if(!t){var n=document.createElement("div");n.className="content";var o=document.createElement("div");o.appendChild(n),t={element:o,templateId:e,templateData:this.context.renderer.renderTemplate(this.context.tree,e,n)}}return t},e.prototype.release=function(e,t){var n=_(t.element);if(!n)return b(t.element),void this.cache(e).push(t);if(this.scrollingRow){var o=_(this.scrollingRow.element);if(o>n)return b(t.element),void this.cache(e).push(t);this.scrollingRow.element.parentElement&&(b(this.scrollingRow.element),s.removeClass(this.scrollingRow.element,"scrolling"),this.cache(this.scrollingRow.templateId).push(this.scrollingRow))}this.scrollingRow=t,s.addClass(this.scrollingRow.element,"scrolling")},e.prototype.cache=function(e){return this._cache[e]||(this._cache[e]=[])},e.prototype.garbageCollect=function(){var e=this;this._cache&&Object.keys(this._cache).forEach(function(t){e._cache[t].forEach(function(n){e.context.renderer.disposeTemplate(e.context.tree,t,n.templateData),n.element=null,n.templateData=null}),delete e._cache[t]}),this.scrollingRow&&(this.context.renderer.disposeTemplate(this.context.tree,this.scrollingRow.templateId,this.scrollingRow.templateData),this.scrollingRow=null)},e.prototype.dispose=function(){this.garbageCollect(),this._cache=null,this.context=null},e}();t.RowCache=w;var E=function(){function e(e,t){var n=this;this.context=e,this.model=t,this.id=this.model.id,this.row=null,this.top=0,this.height=t.getHeight(),this._styles={},t.getAllTraits().forEach(function(e){return n._styles[e]=!0}),t.isExpanded()&&this.addClass("expanded")}return Object.defineProperty(e.prototype,"expanded",{set:function(e){e?this.addClass("expanded"):this.removeClass("expanded")},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"loading",{set:function(e){e?this.addClass("loading"):this.removeClass("loading")},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"draggable",{get:function(){return this._draggable},set:function(e){this._draggable=e,this.render(!0)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"dropTarget",{set:function(e){e?this.addClass("drop-target"):this.removeClass("drop-target")},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"element",{get:function(){return this.row&&this.row.element},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"templateId",{get:function(){return this._templateId||(this._templateId=this.context.renderer.getTemplateId&&this.context.renderer.getTemplateId(this.context.tree,this.model.getElement()))},enumerable:!0,configurable:!0}),e.prototype.addClass=function(e){this._styles[e]=!0,this.render(!0)},e.prototype.removeClass=function(e){delete this._styles[e],this.render(!0)},e.prototype.render=function(e){var t=this;if(void 0===e&&(e=!1),this.model&&this.element){var n=["monaco-tree-row"];if(n.push.apply(n,Object.keys(this._styles)),this.model.hasChildren()&&n.push("has-children"),this.element.className=n.join(" "),this.element.draggable=this.draggable,this.element.style.height=this.height+"px",this.element.setAttribute("role","treeitem"),this.model.hasTrait("focused")){var o=u.safeBtoa(this.model.id),i=this.context.accessibilityProvider.getAriaLabel(this.context.tree,this.model.getElement());this.element.setAttribute("aria-selected","true"),this.element.setAttribute("id",o),i?this.element.setAttribute("aria-label",i):this.element.setAttribute("aria-labelledby",o)}else this.element.setAttribute("aria-selected","false"),this.element.removeAttribute("id"),this.element.removeAttribute("aria-label"),this.element.removeAttribute("aria-labelledby");this.model.hasChildren()?this.element.setAttribute("aria-expanded",String(this.model.isExpanded())):this.element.removeAttribute("aria-expanded"),this.element.setAttribute("aria-level",String(this.model.getDepth())),this.context.options.paddingOnRow?this.element.style.paddingLeft=this.context.options.twistiePixels+(this.model.getDepth()-1)*this.context.options.indentPixels+"px":(this.element.style.paddingLeft=(this.model.getDepth()-1)*this.context.options.indentPixels+"px",this.row.element.firstElementChild.style.paddingLeft=this.context.options.twistiePixels+"px");var r=this.context.dnd.getDragURI(this.context.tree,this.model.getElement());r!==this.uri&&(this.unbindDragStart&&(this.unbindDragStart.dispose(),this.unbindDragStart=null),r?(this.uri=r,this.draggable=!0,this.unbindDragStart=s.addDisposableListener(this.element,"dragstart",function(e){t.onDragStart(e)})):this.uri=null),e||this.context.renderer.renderElement(this.context.tree,this.model.getElement(),this.templateId,this.row.templateData)}},e.prototype.insertInDOM=function(e,t){if(this.row||(this.row=this.context.cache.alloc(this.templateId),this.element[x.BINDING]=this),!this.element.parentElement){if(null===t)e.appendChild(this.element);else try{e.insertBefore(this.element,t)}catch(n){console.warn("Failed to locate previous tree element"),e.appendChild(this.element)}this.render()}},e.prototype.removeFromDOM=function(){this.row&&(this.unbindDragStart&&(this.unbindDragStart.dispose(),this.unbindDragStart=null),this.uri=null,this.element[x.BINDING]=null,this.context.cache.release(this.templateId,this.row),this.row=null)},e.prototype.dispose=function(){this.row=null,this.model=null},e}();t.ViewItem=E;var S=function(e){function t(t,n,o){e.call(this,t,n),this.row={element:o,templateData:null,templateId:null}}return __extends(t,e),t.prototype.render=function(){if(this.model&&this.element){var e=["monaco-tree-wrapper"];e.push.apply(e,Object.keys(this._styles)),this.model.hasChildren()&&e.push("has-children"),this.element.className=e.join(" ")}},t.prototype.insertInDOM=function(e,t){},t.prototype.removeFromDOM=function(){},t}(E),x=function(e){function t(t,n){var i=this;e.call(this),this.lastClickTimeStamp=0,this.isRefreshing=!1,this.refreshingPreviousChildrenIds={},this.context={dataSource:t.dataSource,renderer:t.renderer,controller:t.controller,dnd:t.dnd,filter:t.filter,sorter:t.sorter,tree:t.tree,accessibilityProvider:t.accessibilityProvider,options:t.options,cache:new w(t)},this.modelListeners=[],this.viewListeners=[],this.dragAndDropListeners=[],this.model=null,this.items={},this.domNode=document.createElement("div"),this.domNode.className="monaco-tree no-focused-item",this.domNode.tabIndex=0,this.domNode.setAttribute("role","tree"),this.context.options.ariaLabel&&this.domNode.setAttribute("aria-label",this.context.options.ariaLabel),this.context.options.alwaysFocused&&s.addClass(this.domNode,"focused"),this.context.options.bare&&s.addClass(this.domNode,"bare"),this.context.options.paddingOnRow||s.addClass(this.domNode,"no-row-padding"),this.wrapper=document.createElement("div"),this.wrapper.className="monaco-tree-wrapper",this.scrollableElement=new m.ScrollableElement(this.wrapper,{canUseTranslate3d:!1,horizontal:f.ScrollbarVisibility.Hidden,vertical:"undefined"!=typeof t.options.verticalScrollMode?t.options.verticalScrollMode:f.ScrollbarVisibility.Auto,useShadows:t.options.useShadows,saveLastScrollTimeOnClassName:"monaco-tree-row"}),this.scrollableElement.onScroll(function(e){i.render(e.scrollTop,e.height),i.emit("scroll",e)}),o.isIE11orEarlier?(this.wrapper.style.msTouchAction="none",this.wrapper.style.msContentZooming="none"):this.wrapperGesture=new l.Gesture(this.wrapper),this.rowsContainer=document.createElement("div"),
this.rowsContainer.className="monaco-tree-rows";var r=s.trackFocus(this.domNode);r.addFocusListener(function(){return i.onFocus()}),r.addBlurListener(function(){return i.onBlur()}),this.viewListeners.push(r),this.viewListeners.push(s.addDisposableListener(this.domNode,"keydown",function(e){return i.onKeyDown(e)})),this.viewListeners.push(s.addDisposableListener(this.domNode,"keyup",function(e){return i.onKeyUp(e)})),this.viewListeners.push(s.addDisposableListener(this.domNode,"mousedown",function(e){return i.onMouseDown(e)})),this.viewListeners.push(s.addDisposableListener(this.domNode,"mouseup",function(e){return i.onMouseUp(e)})),this.viewListeners.push(s.addDisposableListener(this.wrapper,"click",function(e){return i.onClick(e)})),this.viewListeners.push(s.addDisposableListener(this.domNode,"contextmenu",function(e){return i.onContextMenu(e)})),this.viewListeners.push(s.addDisposableListener(this.wrapper,l.EventType.Tap,function(e){return i.onTap(e)})),this.viewListeners.push(s.addDisposableListener(this.wrapper,l.EventType.Change,function(e){return i.onTouchChange(e)})),o.isIE11orEarlier&&(this.viewListeners.push(s.addDisposableListener(this.wrapper,"MSPointerDown",function(e){return i.onMsPointerDown(e)})),this.viewListeners.push(s.addDisposableListener(this.wrapper,"MSGestureTap",function(e){return i.onMsGestureTap(e)})),this.viewListeners.push(s.addDisposableThrottledListener(this.wrapper,"MSGestureChange",function(e){return i.onThrottledMsGestureChange(e)},function(e,t){t.stopPropagation(),t.preventDefault();var n={translationY:t.translationY,translationX:t.translationX};return e&&(n.translationY+=e.translationY,n.translationX+=e.translationX),n}))),this.viewListeners.push(s.addDisposableListener(window,"dragover",function(e){return i.onDragOver(e)})),this.viewListeners.push(s.addDisposableListener(window,"drop",function(e){return i.onDrop(e)})),this.viewListeners.push(s.addDisposableListener(window,"dragend",function(e){return i.onDragEnd(e)})),this.viewListeners.push(s.addDisposableListener(window,"dragleave",function(e){return i.onDragOver(e)})),this.wrapper.appendChild(this.rowsContainer),this.domNode.appendChild(this.scrollableElement.getDomNode()),n.appendChild(this.domNode),this.lastRenderTop=0,this.lastRenderHeight=0,this.didJustPressContextMenuKey=!1,this.currentDropTarget=null,this.currentDropTargets=[],this.shouldInvalidateDropReaction=!1,this.dragAndDropScrollInterval=null,this.dragAndDropScrollTimeout=null,this.onHiddenScrollTop=null,this.onRowsChanged(),this.layout(),this.setupMSGesture()}return __extends(t,e),t.prototype.createViewItem=function(e){return new E(this.context,e)},t.prototype.getHTMLElement=function(){return this.domNode},t.prototype.focus=function(){this.domNode.focus()},t.prototype.isFocused=function(){return document.activeElement===this.domNode},t.prototype.blur=function(){this.domNode.blur()},t.prototype.onVisible=function(){this.scrollTop=this.onHiddenScrollTop,this.onHiddenScrollTop=null,this.setupMSGesture()},t.prototype.setupMSGesture=function(){var e=this;window.MSGesture&&(this.msGesture=new MSGesture,setTimeout(function(){return e.msGesture.target=e.wrapper},100))},t.prototype.onHidden=function(){this.onHiddenScrollTop=this.scrollTop},t.prototype.isTreeVisible=function(){return null===this.onHiddenScrollTop},t.prototype.layout=function(e){this.isTreeVisible()&&(this.viewHeight=e||s.getContentHeight(this.wrapper))},t.prototype.render=function(e,t){var n,o,i=e,r=e+t,s=this.lastRenderTop+this.lastRenderHeight;for(n=this.indexAfter(r)-1,o=this.indexAt(Math.max(s,i));n>=o;n--)this.insertItemInDOM(this.itemAtIndex(n));for(n=Math.min(this.indexAt(this.lastRenderTop),this.indexAfter(r))-1,o=this.indexAt(i);n>=o;n--)this.insertItemInDOM(this.itemAtIndex(n));for(n=this.indexAt(this.lastRenderTop),o=Math.min(this.indexAt(i),this.indexAfter(s));o>n;n++)this.removeItemFromDOM(this.itemAtIndex(n));for(n=Math.max(this.indexAfter(r),this.indexAt(this.lastRenderTop)),o=this.indexAfter(s);o>n;n++)this.removeItemFromDOM(this.itemAtIndex(n));var a=this.itemAtIndex(this.indexAt(i));a&&(this.rowsContainer.style.top=a.top-i+"px"),this.lastRenderTop=i,this.lastRenderHeight=r-i},t.prototype.setModel=function(e){var t=this;this.releaseModel(),this.model=e,this.modelListeners.push(this.model.addBulkListener2(function(e){return t.onModelEvents(e)}))},t.prototype.onModelEvents=function(e){for(var t=[],n=0,o=e.length;o>n;n++){var i=e[n],r=i.getData();switch(i.getType()){case"refreshing":this.onRefreshing();break;case"refreshed":this.onRefreshed();break;case"clearingInput":this.onClearingInput(r);break;case"setInput":this.onSetInput(r);break;case"item:childrenRefreshing":this.onItemChildrenRefreshing(r);break;case"item:childrenRefreshed":this.onItemChildrenRefreshed(r);break;case"item:refresh":t.push(r.item);break;case"item:expanding":this.onItemExpanding(r);break;case"item:expanded":this.onItemExpanded(r);break;case"item:collapsing":this.onItemCollapsing(r);break;case"item:reveal":this.onItemReveal(r);break;case"item:addTrait":this.onItemAddTrait(r);break;case"item:removeTrait":this.onItemRemoveTrait(r);break;case"focus":this.onModelFocusChange()}}t.length>0&&this.onItemsRefresh(t)},t.prototype.onRefreshing=function(){this.isRefreshing=!0},t.prototype.onRefreshed=function(){this.isRefreshing=!1,this.onRowsChanged()},t.prototype.onRowsChanged=function(e){void 0===e&&(e=this.scrollTop),this.isRefreshing||(this.scrollTop=e)},t.prototype.focusNextPage=function(e){var t=this,n=this.indexAt(this.scrollTop+this.viewHeight);n=0===n?0:n-1;var o=this.itemAtIndex(n).model.getElement(),i=this.model.getFocus();if(i!==o)this.model.setFocus(o,e);else{var r=this.scrollTop;this.scrollTop+=this.viewHeight,this.scrollTop!==r&&setTimeout(function(){t.focusNextPage(e)},0)}},t.prototype.focusPreviousPage=function(e){var t,n=this;t=0===this.scrollTop?this.indexAt(this.scrollTop):this.indexAfter(this.scrollTop-1);var o=this.itemAtIndex(t).model.getElement(),i=this.model.getFocus();if(i!==o)this.model.setFocus(o,e);else{var r=this.scrollTop;this.scrollTop-=this.viewHeight,this.scrollTop!==r&&setTimeout(function(){n.focusPreviousPage(e)},0)}},Object.defineProperty(t.prototype,"viewHeight",{get:function(){return this.scrollableElement.getHeight()},set:function(e){this.scrollableElement.updateState({height:e,scrollHeight:this.getTotalHeight()})},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"scrollTop",{get:function(){return this.scrollableElement.getScrollTop()},set:function(e){this.scrollableElement.updateState({scrollTop:e,scrollHeight:this.getTotalHeight()})},enumerable:!0,configurable:!0}),t.prototype.getScrollPosition=function(){var e=this.getTotalHeight()-this.viewHeight;return 0>=e?0:this.scrollTop/e},t.prototype.setScrollPosition=function(e){var t=this.getTotalHeight()-this.viewHeight;this.scrollTop=t*e},t.prototype.onClearingInput=function(e){var t=e.item;t&&(this.onRemoveItems(new p.MappedIterator(t.getNavigator(),function(e){return e&&e.id})),this.onRowsChanged())},t.prototype.onSetInput=function(e){this.context.cache.garbageCollect(),this.inputItem=new S(this.context,e.item,this.wrapper),this.emit("viewItem:create",{item:this.inputItem.model})},t.prototype.onItemChildrenRefreshing=function(e){var n=e.item,o=this.items[n.id];if(o&&(o.loadingPromise=i.TPromise.timeout(t.LOADING_DECORATION_DELAY).then(function(){o.loadingPromise=null,o.loading=!0})),!e.isNested){for(var r,s=[],a=n.getNavigator();r=a.next();)s.push(r.id);this.refreshingPreviousChildrenIds[n.id]=s}},t.prototype.onItemChildrenRefreshed=function(e){var t=this,n=e.item,o=this.items[n.id];if(o&&(o.loadingPromise&&(o.loadingPromise.cancel(),o.loadingPromise=null),o.loading=!1),!e.isNested){for(var i,r=this.refreshingPreviousChildrenIds[n.id],s=[],l=n.getNavigator();i=l.next();)s.push(i);var u=Math.abs(r.length-s.length)>1e3,c=void 0,d=void 0;if(!u){var h=new a.LcsDiff({getLength:function(){return r.length},getElementHash:function(e){return r[e]}},{getLength:function(){return s.length},getElementHash:function(e){return s[e].id}},null);c=h.ComputeDiff(),d=c.some(function(e){if(e.modifiedLength>0)for(var n=e.modifiedStart,o=e.modifiedStart+e.modifiedLength;o>n;n++)if(t.items.hasOwnProperty(s[n].id))return!0;return!1})}if(!u&&!d&&c.length<50)for(var m=0,f=c.length;f>m;m++){var g=c[m];if(g.originalLength>0&&this.onRemoveItems(new p.ArrayIterator(r,g.originalStart,g.originalStart+g.originalLength)),g.modifiedLength>0){var v=s[g.modifiedStart-1]||n;v=v.getDepth()>0?v:null,this.onInsertItems(new p.ArrayIterator(s,g.modifiedStart,g.modifiedStart+g.modifiedLength),v?v.id:null)}}else(u||c.length)&&(this.onRemoveItems(new p.ArrayIterator(r)),this.onInsertItems(new p.ArrayIterator(s)));(u||c.length)&&this.onRowsChanged()}},t.prototype.onItemsRefresh=function(e){var t=this;this.onRefreshItemSet(e.filter(function(e){return t.items.hasOwnProperty(e.id)})),this.onRowsChanged()},t.prototype.onItemExpanding=function(e){var t=this.items[e.item.id];t&&(t.expanded=!0)},t.prototype.onItemExpanded=function(e){var t=e.item,n=this.items[t.id];if(n){n.expanded=!0;var o=this.onInsertItems(t.getNavigator(),t.id),i=this.scrollTop;n.top+n.height<=this.scrollTop&&(i+=o),this.onRowsChanged(i)}},t.prototype.onItemCollapsing=function(e){var t=e.item,n=this.items[t.id];n&&(n.expanded=!1,this.onRemoveItems(new p.MappedIterator(t.getNavigator(),function(e){return e&&e.id})),this.onRowsChanged())},t.prototype.onItemReveal=function(e){var t=e.item,n=e.relativeTop,o=this.items[t.id];if(o)if(null!==n){n=0>n?0:n,n=n>1?1:n;var i=o.height-this.viewHeight;this.scrollTop=i*n+o.top}else{var r=o.top+o.height,s=this.scrollTop+this.viewHeight;o.top<this.scrollTop?this.scrollTop=o.top:r>=s&&(this.scrollTop=r-this.viewHeight)}},t.prototype.onItemAddTrait=function(e){var t=e.item,n=e.trait,o=this.items[t.id];o&&o.addClass(n),"highlighted"===n&&(s.addClass(this.domNode,n),o&&(this.highlightedItemWasDraggable=!!o.draggable,o.draggable&&(o.draggable=!1)))},t.prototype.onItemRemoveTrait=function(e){var t=e.item,n=e.trait,o=this.items[t.id];o&&o.removeClass(n),"highlighted"===n&&(s.removeClass(this.domNode,n),this.highlightedItemWasDraggable&&(o.draggable=!0),this.highlightedItemWasDraggable=!1)},t.prototype.onModelFocusChange=function(){var e=this.model&&this.model.getFocus();s.toggleClass(this.domNode,"no-focused-item",!e),e?this.domNode.setAttribute("aria-activedescendant",u.safeBtoa(this.context.dataSource.getId(this.context.tree,e))):this.domNode.removeAttribute("aria-activedescendant")},t.prototype.onInsertItem=function(e){var t=this;e.onDragStart=function(n){t.onDragStart(e,n)},e.needsRender=!0,this.refreshViewItem(e),this.items[e.id]=e},t.prototype.onRefreshItem=function(e,t){void 0===t&&(t=!1),e.needsRender=e.needsRender||t,this.refreshViewItem(e)},t.prototype.onRemoveItem=function(e){this.removeItemFromDOM(e),e.dispose(),this.emit("viewItem:dispose",{item:this.inputItem.model}),delete this.items[e.id]},t.prototype.refreshViewItem=function(e){e.render(),this.shouldBeRendered(e)?this.insertItemInDOM(e):this.removeItemFromDOM(e)},t.prototype.onClick=function(e){if(!this.lastPointerType||"mouse"===this.lastPointerType){var t=new c.StandardMouseEvent(e),n=this.getItemAround(t.target);n&&(o.isIE10orLater&&Date.now()-this.lastClickTimeStamp<300&&(t.detail=2),this.lastClickTimeStamp=Date.now(),this.context.controller.onClick(this.context.tree,n.model.getElement(),t))}},t.prototype.onMouseDown=function(e){if(this.didJustPressContextMenuKey=!1,this.context.controller.onMouseDown&&(!this.lastPointerType||"mouse"===this.lastPointerType)){var t=new c.StandardMouseEvent(e);if(!(t.ctrlKey&&n.isNative&&n.isMacintosh)){var o=this.getItemAround(t.target);o&&this.context.controller.onMouseDown(this.context.tree,o.model.getElement(),t)}}},t.prototype.onMouseUp=function(e){if(this.context.controller.onMouseUp&&(!this.lastPointerType||"mouse"===this.lastPointerType)){var t=new c.StandardMouseEvent(e);if(!(t.ctrlKey&&n.isNative&&n.isMacintosh)){var o=this.getItemAround(t.target);o&&this.context.controller.onMouseUp(this.context.tree,o.model.getElement(),t)}}},t.prototype.onTap=function(e){var t=this.getItemAround(e.initialTarget);t&&this.context.controller.onTap(this.context.tree,t.model.getElement(),e)},t.prototype.onTouchChange=function(e){e.preventDefault(),e.stopPropagation(),this.scrollTop-=e.translationY},t.prototype.onContextMenu=function(e){var t,n;if(e instanceof KeyboardEvent||this.didJustPressContextMenuKey){this.didJustPressContextMenuKey=!1;var o=new d.StandardKeyboardEvent(e);if(n=this.model.getFocus(),!n)return;var i=this.context.dataSource.getId(this.context.tree,n),r=this.items[i],a=s.getDomNodePosition(r.element);t=new v.KeyboardContextMenuEvent(a.left+a.width,a.top,o)}else{var l=new c.StandardMouseEvent(e),u=this.getItemAround(l.target);if(!u)return;n=u.model.getElement(),t=new v.MouseContextMenuEvent(l)}this.context.controller.onContextMenu(this.context.tree,n,t)},t.prototype.onKeyDown=function(e){var t=new d.StandardKeyboardEvent(e);this.didJustPressContextMenuKey=t.keyCode===y.KeyCode.ContextMenu||t.shiftKey&&t.keyCode===y.KeyCode.F10,this.didJustPressContextMenuKey&&(t.preventDefault(),t.stopPropagation()),t.target&&t.target.tagName&&"input"===t.target.tagName.toLowerCase()||this.context.controller.onKeyDown(this.context.tree,t)},t.prototype.onKeyUp=function(e){this.didJustPressContextMenuKey&&this.onContextMenu(e),this.didJustPressContextMenuKey=!1,this.context.controller.onKeyUp(this.context.tree,new d.StandardKeyboardEvent(e))},t.prototype.onDragStart=function(e,n){if(!this.model.getHighlight()){var o,i=e.model.getElement(),r=this.model.getSelection();if(o=r.indexOf(i)>-1?r:[i],n.dataTransfer.effectAllowed="copyMove",n.dataTransfer.setData("URL",e.uri),n.dataTransfer.setDragImage)if(1===o.length&&e.element)n.dataTransfer.setDragImage(e.element,n.offsetX||6,n.offsetY||6);else if(o.length>1){var s=document.createElement("div");s.className="monaco-tree-drag-image",s.textContent=""+o.length,document.body.appendChild(s),n.dataTransfer.setDragImage(s,-10,-10),setTimeout(function(){return document.body.removeChild(s)},0)}this.currentDragAndDropData=new h.ElementsDragAndDropData(o),t.currentExternalDragAndDropData=new h.ExternalElementsDragAndDropData(o),this.context.dnd.onDragStart(this.context.tree,this.currentDragAndDropData,new c.DragMouseEvent(n))}},t.prototype.setupDragAndDropScrollInterval=function(){var e=this,t=s.getTopLeftOffset(this.wrapper).top;this.dragAndDropScrollInterval||(this.dragAndDropScrollInterval=window.setInterval(function(){if(void 0!==e.dragAndDropMouseY){var n=e.dragAndDropMouseY-t,o=0,i=e.viewHeight-35;35>n?o=Math.max(-14,.2*(n-35)):n>i&&(o=Math.min(14,.2*(n-i))),e.scrollTop+=o}},10),this.cancelDragAndDropScrollTimeout(),this.dragAndDropScrollTimeout=window.setTimeout(function(){e.cancelDragAndDropScrollInterval(),e.dragAndDropScrollTimeout=null},1e3))},t.prototype.cancelDragAndDropScrollInterval=function(){this.dragAndDropScrollInterval&&(window.clearInterval(this.dragAndDropScrollInterval),this.dragAndDropScrollInterval=null),this.cancelDragAndDropScrollTimeout()},t.prototype.cancelDragAndDropScrollTimeout=function(){this.dragAndDropScrollTimeout&&(window.clearTimeout(this.dragAndDropScrollTimeout),this.dragAndDropScrollTimeout=null)},t.prototype.onDragOver=function(e){var n=this,o=new c.DragMouseEvent(e),r=this.getItemAround(o.target);if(!r)return this.currentDropTarget&&(this.currentDropTargets.forEach(function(e){return e.dropTarget=!1}),this.currentDropTargets=[],this.currentDropPromise&&(this.currentDropPromise.cancel(),this.currentDropPromise=null)),this.cancelDragAndDropScrollInterval(),this.currentDropTarget=null,this.currentDropElement=null,this.dragAndDropMouseY=null,!1;if(this.setupDragAndDropScrollInterval(),this.dragAndDropMouseY=o.posy,!this.currentDragAndDropData)if(t.currentExternalDragAndDropData)this.currentDragAndDropData=t.currentExternalDragAndDropData;else{if(!o.dataTransfer.types)return!1;this.currentDragAndDropData=new h.DesktopDragAndDropData}this.currentDragAndDropData.update(o);var s,a,l=r.model;do{if(s=l?l.getElement():this.model.getInput(),a=this.context.dnd.onDragOver(this.context.tree,this.currentDragAndDropData,s,o),!a||a.bubble!==v.DragOverBubble.BUBBLE_UP)break;l=l&&l.parent}while(l);if(!l)return this.currentDropElement=null,!1;var u=a&&a.accept;u?(this.currentDropElement=l.getElement(),o.preventDefault(),o.dataTransfer.dropEffect=a.effect===v.DragOverEffect.COPY?"copy":"move"):this.currentDropElement=null;var d=l.id===this.inputItem.id?this.inputItem:this.items[l.id];if((this.shouldInvalidateDropReaction||this.currentDropTarget!==d||!C(this.currentDropElementReaction,a))&&(this.shouldInvalidateDropReaction=!1,this.currentDropTarget&&(this.currentDropTargets.forEach(function(e){return e.dropTarget=!1}),this.currentDropTargets=[],this.currentDropPromise&&(this.currentDropPromise.cancel(),this.currentDropPromise=null)),this.currentDropTarget=d,this.currentDropElementReaction=a,u)){if(this.currentDropTarget&&(this.currentDropTarget.dropTarget=!0,this.currentDropTargets.push(this.currentDropTarget)),a.bubble===v.DragOverBubble.BUBBLE_DOWN)for(var p,m=l.getNavigator();p=m.next();)r=this.items[p.id],r&&(r.dropTarget=!0,this.currentDropTargets.push(r));this.currentDropPromise=i.TPromise.timeout(500).then(function(){return n.context.tree.expand(n.currentDropElement).then(function(){n.shouldInvalidateDropReaction=!0})})}return!0},t.prototype.onDrop=function(e){if(this.currentDropElement){var t=new c.DragMouseEvent(e);t.preventDefault(),this.currentDragAndDropData.update(t),this.context.dnd.drop(this.context.tree,this.currentDragAndDropData,this.currentDropElement,t),this.onDragEnd(e)}this.cancelDragAndDropScrollInterval()},t.prototype.onDragEnd=function(e){this.currentDropTarget&&(this.currentDropTargets.forEach(function(e){return e.dropTarget=!1}),this.currentDropTargets=[]),this.currentDropPromise&&(this.currentDropPromise.cancel(),this.currentDropPromise=null),this.cancelDragAndDropScrollInterval(),this.currentDragAndDropData=null,t.currentExternalDragAndDropData=null,this.currentDropElement=null,this.currentDropTarget=null,this.dragAndDropMouseY=null},t.prototype.onFocus=function(){this.context.options.alwaysFocused||s.addClass(this.domNode,"focused")},t.prototype.onBlur=function(){this.context.options.alwaysFocused||s.removeClass(this.domNode,"focused"),this.domNode.removeAttribute("aria-activedescendant")},t.prototype.onMsPointerDown=function(e){if(this.msGesture){var t=e.pointerType;return t===(e.MSPOINTER_TYPE_MOUSE||"mouse")?void(this.lastPointerType="mouse"):void(t===(e.MSPOINTER_TYPE_TOUCH||"touch")&&(this.lastPointerType="touch",e.stopPropagation(),e.preventDefault(),this.msGesture.addPointer(e.pointerId)))}},t.prototype.onThrottledMsGestureChange=function(e){this.scrollTop-=e.translationY},t.prototype.onMsGestureTap=function(e){e.initialTarget=document.elementFromPoint(e.clientX,e.clientY),this.onTap(e)},t.prototype.insertItemInDOM=function(e){var t=null,n=this.itemAfter(e);n&&n.element&&(t=n.element),e.insertInDOM(this.rowsContainer,t)},t.prototype.removeItemFromDOM=function(e){e.removeFromDOM()},t.prototype.shouldBeRendered=function(e){return e.top<this.lastRenderTop+this.lastRenderHeight&&e.top+e.height>this.lastRenderTop},t.prototype.getItemAround=function(e){var n=this.inputItem;do{if(e[t.BINDING]&&(n=e[t.BINDING]),e===this.wrapper||e===this.domNode)return n;if(e===document.body)return null}while(e=e.parentElement)},t.prototype.releaseModel=function(){this.model&&(this.modelListeners=r.dispose(this.modelListeners),this.model=null)},t.prototype.dispose=function(){this.scrollableElement.dispose(),this.releaseModel(),this.modelListeners=null,this.viewListeners=r.dispose(this.viewListeners),this.domNode.parentNode&&this.domNode.parentNode.removeChild(this.domNode),this.domNode=null,this.wrapperGesture&&(this.wrapperGesture.dispose(),this.wrapperGesture=null),this.context.cache&&(this.context.cache.dispose(),this.context.cache=null),e.prototype.dispose.call(this)},t.BINDING="monaco-tree-row",t.LOADING_DECORATION_DELAY=800,t.currentExternalDragAndDropData=null,t}(g.HeightMap);t.TreeView=x}),define("vs/base/worker/defaultWorkerFactory",["require","exports","vs/base/common/flags","vs/base/common/lifecycle","vs/base/browser/dom"],function(e,t,n,o,i){"use strict";function r(t,n){return e.toUrl("./"+t)}var s=n.getCrossOriginWorkerScriptUrl||r,a=function(){function e(e,t,n,o){this.id=t,this.worker=new Worker(s("workerMain.js",n)),this.postMessage(e),this.worker.onmessage=function(e){o(e.data)}}return e.prototype.getId=function(){return this.id},e.prototype.postMessage=function(e){this.worker.postMessage(e)},e.prototype.dispose=function(){this.worker.terminate(),this.worker=null},e}(),l=function(){function t(t,n,o){var r=this;this.id=n,this._listeners=[],this.loaded=!1,this.beforeLoadMessages=[],this.postMessage(t),this.iframe=document.createElement("iframe"),this.iframe.id=this.iframeId(),this.iframe.src=e.toUrl("./workerMainCompatibility.html"),this.iframe.frameborder=this.iframe.height=this.iframe.width="0",this.iframe.style.display="none",this._listeners.push(i.addDisposableListener(this.iframe,"load",function(){return r.onLoaded()})),this.onMessage=function(e){o(e.data)},this._listeners.push(i.addDisposableListener(window,"message",this.onMessage)),document.body.appendChild(this.iframe)}return t.prototype.dispose=function(){this._listeners=o.dispose(this._listeners),window.removeEventListener("message",this.onMessage),window.frames[this.iframeId()].close()},t.prototype.iframeId=function(){return"worker_iframe_"+this.id},t.prototype.onLoaded=function(){for(this.loaded=!0;this.beforeLoadMessages.length>0;)this.postMessage(this.beforeLoadMessages.shift())},t.prototype.getId=function(){return this.id},t.prototype.postMessage=function(e){if(this.loaded===!0){var t=window.frames[this.iframeId()];t.postMessage?t.postMessage(e,"*"):t.contentWindow.postMessage(e,"*")}else this.beforeLoadMessages.push(e)},t}(),u=function(){function e(){}return e.prototype.create=function(t,n){var o=++e.LAST_WORKER_ID;return"undefined"!=typeof a?new a(t,o,"service"+o,n):new l(t,o,n)},e.LAST_WORKER_ID=0,e}();t.DefaultWorkerFactory=u});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/controller/mouseHandler",["require","exports","vs/base/common/lifecycle","vs/base/common/platform","vs/base/browser/browser","vs/base/browser/dom","vs/base/browser/globalMouseMoveMonitor","vs/base/browser/mouseEvent","vs/editor/common/core/position","vs/editor/common/core/selection","vs/editor/common/editorCommon","vs/editor/common/viewModel/viewEventHandler","vs/editor/browser/controller/mouseTarget","vs/base/common/async"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p){"use strict";function m(e){return function(t,n){var o=new a.StandardMouseEvent(n),i=!1;return e&&(i=e.mouseTargetIsWidget(o)),i||o.preventDefault(),o}}var f=function(e){function t(t,n){var o=this;e.call(this),this._destination=t,this._condition=n,this._retryTimer=this._register(new p.TimeoutTimer),this.handler=function(e){return o._handle(e)}}return __extends(t,e),t.prototype.dispose=function(){this._retryValue=null,e.prototype.dispose.call(this)},t.prototype._handle=function(e){var t=this;this._condition()?(this._retryTimer.cancel(),this._retryValue=null,this._destination(e)):(this._retryValue=e,this._retryTimer.setIfNotSet(function(){var e=t._retryValue;t._retryValue=null,t._handle(e)},10))},t}(n.Disposable),g=function(){function e(e,t){this.position=e,this.mouseColumn=t}return e}(),v=function(e){function t(n,o,i){var s=this;e.call(this),this._context=n,this.viewController=o,this.viewHelper=i,this.mouseTargetFactory=new h.MouseTargetFactory(this._context,i),this.listenersToRemove=[],this._mouseDownOperation=new y(this._context,this.viewController,this.viewHelper,function(e,t){return s._createMouseTarget(e,t)},function(e){return s._getMouseColumn(e)}),this.toDispose=[],this.lastMouseLeaveTime=-1,this.listenersToRemove.push(r.addDisposableListener(this.viewHelper.viewDomNode,"contextmenu",function(e){return s._onContextMenu(e,!0)})),this._mouseMoveEventHandler=new f(function(e){return s._onMouseMove(e)},function(){return!s.viewHelper.isDirty()}),this.toDispose.push(this._mouseMoveEventHandler),this.listenersToRemove.push(r.addDisposableThrottledListener(this.viewHelper.viewDomNode,"mousemove",this._mouseMoveEventHandler.handler,m(this.mouseTargetFactory),t.MOUSE_MOVE_MINIMUM_TIME)),this.listenersToRemove.push(r.addDisposableListener(this.viewHelper.viewDomNode,"mouseup",function(e){return s._onMouseUp(e)})),this.listenersToRemove.push(r.addDisposableNonBubblingMouseOutListener(this.viewHelper.viewDomNode,function(e){return s._onMouseLeave(e)})),this.listenersToRemove.push(r.addDisposableListener(this.viewHelper.viewDomNode,"mousedown",function(e){return s._onMouseDown(e)})),this._context.addEventHandler(this)}return __extends(t,e),t.prototype.dispose=function(){this._context.removeEventHandler(this),this.listenersToRemove=n.dispose(this.listenersToRemove),this.toDispose=n.dispose(this.toDispose),this._mouseDownOperation.dispose()},t.prototype.onLayoutChanged=function(e){return this._layoutInfo=e,!1},t.prototype.onScrollChanged=function(e){return this._mouseDownOperation.onScrollChanged(),!1},t.prototype.onCursorSelectionChanged=function(e){return this._mouseDownOperation.onCursorSelectionChanged(e),!1},t.prototype._createMouseTarget=function(e,t){var n=r.getDomNodePosition(this.viewHelper.viewDomNode);return this.mouseTargetFactory.createMouseTarget(this._layoutInfo,n,e,t)},t.prototype._getMouseColumn=function(e){var t=r.getDomNodePosition(this.viewHelper.viewDomNode);return this.mouseTargetFactory.getMouseColumn(this._layoutInfo,t,e)},t.prototype._onContextMenu=function(e,t){var n=new a.StandardMouseEvent(e),o=this._createMouseTarget(n,t),i={event:n,target:o};this.viewController.emitContextMenu(i)},t.prototype._onMouseMove=function(e){if(!this._mouseDownOperation.isActive()){var t=e.timestamp;if(!(t<this.lastMouseLeaveTime)){var n=this._createMouseTarget(e,!0),o={event:e,target:n};this.viewController.emitMouseMove(o)}}},t.prototype._onMouseLeave=function(e){this.lastMouseLeaveTime=(new Date).getTime();var t={event:new a.StandardMouseEvent(e),target:null};this.viewController.emitMouseLeave(t)},t.prototype._onMouseUp=function(e){var t=new a.StandardMouseEvent(e),n=this._createMouseTarget(t,!0),o={event:t,target:n};this.viewController.emitMouseUp(o)},t.prototype._onMouseDown=function(e){var t=this,n=new a.StandardMouseEvent(e),r=this._createMouseTarget(n,!0),s=r.type===c.MouseTargetType.CONTENT_TEXT||r.type===c.MouseTargetType.CONTENT_EMPTY,l=r.type===c.MouseTargetType.GUTTER_GLYPH_MARGIN||r.type===c.MouseTargetType.GUTTER_LINE_NUMBERS||r.type===c.MouseTargetType.GUTTER_LINE_DECORATIONS,u=r.type===c.MouseTargetType.GUTTER_LINE_NUMBERS,d=this._context.configuration.editor.viewInfo.selectOnLineNumbers,h=r.type===c.MouseTargetType.CONTENT_VIEW_ZONE||r.type===c.MouseTargetType.GUTTER_VIEW_ZONE,p=n.leftButton;if(o.isMacintosh&&n.ctrlKey&&(p=!1),p&&(s||u&&d))i.isIE11orEarlier?n.browserEvent.fromElement?(n.preventDefault(),this.viewHelper.focusTextArea()):setTimeout(function(){t.viewHelper.focusTextArea()}):(n.preventDefault(),this.viewHelper.focusTextArea()),this._mouseDownOperation.start(r.type,n);else if(l)n.preventDefault();else if(h){var m=r.detail;this.viewHelper.shouldSuppressMouseDownOnViewZone(m.viewZoneId)&&n.preventDefault()}var f={event:n,target:r};this.viewController.emitMouseDown(f)},t.MOUSE_MOVE_MINIMUM_TIME=100,t}(d.ViewEventHandler);t.MouseHandler=v;var y=function(e){function t(t,n,o,i,r){var a=this;e.call(this),this._context=t,this._viewController=n,this._viewHelper=o,this._createMouseTarget=i,this._getMouseColumn=r,this._currentSelection=u.Selection.createSelection(1,1,1,1),this._mouseState=new _,this._onScrollTimeout=this._register(new p.TimeoutTimer),this._isActive=!1,this._lastMouseEvent=null,this._mouseMoveMonitor=this._register(new s.GlobalMouseMoveMonitor),this._mouseDownThenMoveEventHandler=this._register(new f(function(e){return a._onMouseDownThenMove(e)},function(){return!a._viewHelper.isDirty()}))}return __extends(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype.isActive=function(){return this._isActive},t.prototype._onMouseDownThenMove=function(e){this._lastMouseEvent=e,this._mouseState.setModifiers(e);var t=this._findMousePosition(e,!0);t&&this._dispatchMouse(t,!0)},t.prototype.start=function(e,t){var n=this;this._lastMouseEvent=t,this._mouseState.setStartedOnLineNumbers(e===c.MouseTargetType.GUTTER_LINE_NUMBERS),this._mouseState.setModifiers(t);var o=this._findMousePosition(t,!0);o&&(this._mouseState.trySetCount(t.detail,o.position),t.detail=this._mouseState.count,this._dispatchMouse(o,t.shiftKey),this._isActive||(this._isActive=!0,this._mouseMoveMonitor.startMonitoring(m(null),this._mouseDownThenMoveEventHandler.handler,function(){return n._stop()})))},t.prototype._stop=function(){this._isActive=!1,this._onScrollTimeout.cancel()},t.prototype.onScrollChanged=function(){var e=this;this._isActive&&this._onScrollTimeout.setIfNotSet(function(){var t=e._findMousePosition(e._lastMouseEvent,!1);t&&e._dispatchMouse(t,!0)},10)},t.prototype.onCursorSelectionChanged=function(e){this._currentSelection=e.selection},t.prototype._getPositionOutsideEditor=function(e){var t=r.getDomNodePosition(this._viewHelper.viewDomNode),n=this._getMouseColumn(e);if(e.posy<t.top){var o=this._viewHelper.getLineNumberAtVerticalOffset(Math.max(this._viewHelper.getScrollTop()-(t.top-e.posy),0));return new g(new l.Position(o,1),n)}if(e.posy>t.top+t.height){var i=this._viewHelper.getLineNumberAtVerticalOffset(this._viewHelper.getScrollTop()+(e.posy-t.top));return new g(new l.Position(i,this._context.model.getLineMaxColumn(i)),n)}var s=this._viewHelper.getLineNumberAtVerticalOffset(this._viewHelper.getScrollTop()+(e.posy-t.top));return e.posx<t.left?new g(new l.Position(s,1),n):e.posx>t.left+t.width?new g(new l.Position(s,this._context.model.getLineMaxColumn(s)),n):null},t.prototype._findMousePosition=function(e,t){var n=this._getPositionOutsideEditor(e);if(n)return n;var o=this._createMouseTarget(e,t),i=o.position;if(!i)return null;if(o.type===c.MouseTargetType.CONTENT_VIEW_ZONE||o.type===c.MouseTargetType.GUTTER_VIEW_ZONE){var r=new l.Position(this._currentSelection.selectionStartLineNumber,this._currentSelection.selectionStartColumn),s=o.detail,a=s.positionBefore,u=s.positionAfter;if(a&&u)return a.isBefore(r)?new g(a,o.mouseColumn):new g(u,o.mouseColumn)}return new g(i,o.mouseColumn)},t.prototype._dispatchMouse=function(e,t){this._viewController.dispatchMouse({position:e.position,mouseColumn:e.mouseColumn,startedOnLineNumbers:this._mouseState.startedOnLineNumbers,inSelectionMode:t,mouseDownCount:this._mouseState.count,altKey:this._mouseState.altKey,ctrlKey:this._mouseState.ctrlKey,metaKey:this._mouseState.metaKey,shiftKey:this._mouseState.shiftKey})},t}(n.Disposable),_=function(){function e(){this._altKey=!1,this._ctrlKey=!1,this._metaKey=!1,this._shiftKey=!1,this._startedOnLineNumbers=!1,this._lastMouseDownPosition=null,this._lastMouseDownPositionEqualCount=0,this._lastMouseDownCount=0,this._lastSetMouseDownCountTime=0}return Object.defineProperty(e.prototype,"altKey",{get:function(){return this._altKey},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"ctrlKey",{get:function(){return this._ctrlKey},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"metaKey",{get:function(){return this._metaKey},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"shiftKey",{get:function(){return this._shiftKey},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"startedOnLineNumbers",{get:function(){return this._startedOnLineNumbers},enumerable:!0,
configurable:!0}),Object.defineProperty(e.prototype,"count",{get:function(){return this._lastMouseDownCount},enumerable:!0,configurable:!0}),e.prototype.setModifiers=function(e){this._altKey=e.altKey,this._ctrlKey=e.ctrlKey,this._metaKey=e.metaKey,this._shiftKey=e.shiftKey},e.prototype.setStartedOnLineNumbers=function(e){this._startedOnLineNumbers=e},e.prototype.trySetCount=function(t,n){var o=(new Date).getTime();o-this._lastSetMouseDownCountTime>e.CLEAR_MOUSE_DOWN_COUNT_TIME&&(t=1),this._lastSetMouseDownCountTime=o,t>this._lastMouseDownCount+1&&(t=this._lastMouseDownCount+1),this._lastMouseDownPosition&&this._lastMouseDownPosition.equals(n)?this._lastMouseDownPositionEqualCount++:this._lastMouseDownPositionEqualCount=1,this._lastMouseDownPosition=n,this._lastMouseDownCount=Math.min(t,this._lastMouseDownPositionEqualCount)},e.CLEAR_MOUSE_DOWN_COUNT_TIME=400,e}()});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/controller/pointerHandler",["require","exports","vs/base/browser/dom","vs/base/browser/mouseEvent","vs/base/browser/touch","vs/editor/browser/controller/mouseHandler"],function(e,t,n,o,i,r){"use strict";var s=function(e,t){var n={translationY:t.translationY,translationX:t.translationX};return e&&(n.translationY+=e.translationY,n.translationX+=e.translationX),n},a=function(e){function t(t,o,i){var r=this;e.call(this,t,o,i),this.viewHelper.linesContentDomNode.style.msTouchAction="none",this.viewHelper.linesContentDomNode.style.msContentZooming="none",this._installGestureHandlerTimeout=window.setTimeout(function(){if(r._installGestureHandlerTimeout=-1,window.MSGesture){var e=new MSGesture,t=new MSGesture;e.target=r.viewHelper.linesContentDomNode,t.target=r.viewHelper.linesContentDomNode,r.viewHelper.linesContentDomNode.addEventListener("MSPointerDown",function(n){var o=n.pointerType;return o===(n.MSPOINTER_TYPE_MOUSE||"mouse")?void(r._lastPointerType="mouse"):void(o===(n.MSPOINTER_TYPE_TOUCH||"touch")?(r._lastPointerType="touch",e.addPointer(n.pointerId)):(r._lastPointerType="pen",t.addPointer(n.pointerId)))}),r.listenersToRemove.push(n.addDisposableThrottledListener(r.viewHelper.linesContentDomNode,"MSGestureChange",function(e){return r._onGestureChange(e)},s)),r.listenersToRemove.push(n.addDisposableListener(r.viewHelper.linesContentDomNode,"MSGestureTap",function(e){return r._onCaptureGestureTap(e)},!0))}},100),this._lastPointerType="mouse"}return __extends(t,e),t.prototype._onMouseDown=function(t){"mouse"===this._lastPointerType&&e.prototype._onMouseDown.call(this,t)},t.prototype._onCaptureGestureTap=function(e){var t=this,n=new o.StandardMouseEvent(e),i=this._createMouseTarget(n,!1);i.position&&this.viewController.moveTo("mouse",i.position),n.browserEvent.fromElement?(n.preventDefault(),this.viewHelper.focusTextArea()):setTimeout(function(){t.viewHelper.focusTextArea()})},t.prototype._onGestureChange=function(e){this.viewHelper.setScrollPosition({scrollLeft:this.viewHelper.getScrollLeft()-e.translationX,scrollTop:this.viewHelper.getScrollTop()-e.translationY})},t.prototype.dispose=function(){window.clearTimeout(this._installGestureHandlerTimeout),e.prototype.dispose.call(this)},t}(r.MouseHandler),l=function(e){function t(t,o,i){var r=this;e.call(this,t,o,i),this.viewHelper.linesContentDomNode.style.touchAction="none",this._installGestureHandlerTimeout=window.setTimeout(function(){if(r._installGestureHandlerTimeout=-1,window.MSGesture){var e=new MSGesture,t=new MSGesture;e.target=r.viewHelper.linesContentDomNode,t.target=r.viewHelper.linesContentDomNode,r.viewHelper.linesContentDomNode.addEventListener("pointerdown",function(n){var o=n.pointerType;return"mouse"===o?void(r._lastPointerType="mouse"):void("touch"===o?(r._lastPointerType="touch",e.addPointer(n.pointerId)):(r._lastPointerType="pen",t.addPointer(n.pointerId)))}),r.listenersToRemove.push(n.addDisposableThrottledListener(r.viewHelper.linesContentDomNode,"MSGestureChange",function(e){return r._onGestureChange(e)},s)),r.listenersToRemove.push(n.addDisposableListener(r.viewHelper.linesContentDomNode,"MSGestureTap",function(e){return r._onCaptureGestureTap(e)},!0))}},100),this._lastPointerType="mouse"}return __extends(t,e),t.prototype._onMouseDown=function(t){"mouse"===this._lastPointerType&&e.prototype._onMouseDown.call(this,t)},t.prototype._onCaptureGestureTap=function(e){var t=this,n=new o.StandardMouseEvent(e),i=this._createMouseTarget(n,!1);i.position&&this.viewController.moveTo("mouse",i.position),n.browserEvent.fromElement?(n.preventDefault(),this.viewHelper.focusTextArea()):setTimeout(function(){t.viewHelper.focusTextArea()})},t.prototype._onGestureChange=function(e){this.viewHelper.setScrollPosition({scrollLeft:this.viewHelper.getScrollLeft()-e.translationX,scrollTop:this.viewHelper.getScrollTop()-e.translationY})},t.prototype.dispose=function(){window.clearTimeout(this._installGestureHandlerTimeout),e.prototype.dispose.call(this)},t}(r.MouseHandler),u=function(e){function t(t,o,r){var s=this;e.call(this,t,o,r),this.gesture=new i.Gesture(this.viewHelper.linesContentDomNode),this.listenersToRemove.push(n.addDisposableListener(this.viewHelper.linesContentDomNode,i.EventType.Tap,function(e){return s.onTap(e)})),this.listenersToRemove.push(n.addDisposableListener(this.viewHelper.linesContentDomNode,i.EventType.Change,function(e){return s.onChange(e)})),this.listenersToRemove.push(n.addDisposableListener(this.viewHelper.linesContentDomNode,i.EventType.Contextmenu,function(e){return s._onContextMenu(e,!1)}))}return __extends(t,e),t.prototype.dispose=function(){this.gesture.dispose(),e.prototype.dispose.call(this)},t.prototype.onTap=function(e){e.preventDefault(),this.viewHelper.focusTextArea();var t=new o.StandardMouseEvent(e),n=this._createMouseTarget(t,!1);n.position&&this.viewController.moveTo("mouse",n.position)},t.prototype.onChange=function(e){this.viewHelper.setScrollPosition({scrollLeft:this.viewHelper.getScrollLeft()-e.translationX,scrollTop:this.viewHelper.getScrollTop()-e.translationY})},t}(r.MouseHandler),c=function(){function e(e,t,n){window.navigator.msPointerEnabled?this.handler=new a(e,t,n):window.TouchEvent?this.handler=new u(e,t,n):window.navigator.pointerEnabled?this.handler=new l(e,t,n):this.handler=new r.MouseHandler(e,t,n)}return e.prototype.onScrollChanged=function(e){this.handler.onScrollChanged(e)},e.prototype.dispose=function(){this.handler.dispose()},e}();t.PointerHandler=c});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/view/viewLayer",["require","exports","vs/editor/browser/view/viewPart","vs/base/browser/styleMutator"],function(e,t,n,o){"use strict";var i=function(e){function t(t){var n=this;e.call(this,t),this.domNode=this._createDomNode(),this._lines=[],this._rendLineNumberStart=1,this._scrollDomNode=null,this._scrollDomNodeIsAbove=!1,this._renderer=new r(function(){return n._createLine()},function(){return n._extraDomNodeHTML()})}return __extends(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this),this._lines=null},t.prototype._extraDomNodeHTML=function(){return""},t.prototype.onConfigurationChanged=function(e){for(var t=0;t<this._lines.length;t++)this._lines[t].onConfigurationChanged(e);return!0},t.prototype.onLayoutChanged=function(e){return!0},t.prototype.onScrollChanged=function(e){return e.scrollTopChanged},t.prototype.onZonesChanged=function(){return!0},t.prototype.onModelFlushed=function(){return this._lines=[],this._rendLineNumberStart=1,this._scrollDomNode=null,!0},t.prototype.onModelLinesDeleted=function(e){var t,n=Math.max(e.fromLineNumber-this._rendLineNumberStart,0),o=Math.min(e.toLineNumber-this._rendLineNumberStart,this._lines.length-1);if(e.fromLineNumber<this._rendLineNumberStart&&(e.toLineNumber<this._rendLineNumberStart?this._rendLineNumberStart-=e.toLineNumber-e.fromLineNumber+1:this._rendLineNumberStart=e.fromLineNumber),o>=n){for(t=n;o>=t;t++){var i=this._lines[t].getDomNode();i&&this.domNode.domNode.removeChild(i)}this._lines.splice(n,o-n+1)}for(t=n;t<this._lines.length;t++)this._lines[t].onLinesDeletedAbove();return!0},t.prototype.onModelLineChanged=function(e){var t=e.lineNumber-this._rendLineNumberStart,n=!1;t>=0&&t<this._lines.length&&(this._lines[t].onContentChanged(),n=!0);for(var o=Math.max(t,0);o<this._lines.length;o++)this._lines[o].onLineChangedAbove(),n=!0;return n},t.prototype.onModelLinesInserted=function(e){var t;if(e.fromLineNumber<=this._rendLineNumberStart){for(this._rendLineNumberStart+=e.toLineNumber-e.fromLineNumber+1,t=0;t<this._lines.length;t++)this._lines[t].onLinesInsertedAbove();return!0}if(e.fromLineNumber>=this._rendLineNumberStart+this._lines.length)return!1;var n=Math.min(e.fromLineNumber-this._rendLineNumberStart,this._lines.length-1),o=Math.min(e.toLineNumber-this._rendLineNumberStart,this._lines.length-1);if(o>=n){for(t=n;o>=t;t++){var i=this._createLine();this._lines.splice(t,0,i)}var r=o-n+1;for(t=0;r>t;t++){var s=this._lines.pop(),a=s.getDomNode();a&&this.domNode.domNode.removeChild(a)}}for(t=o;t<this._lines.length;t++)this._lines[t].onLinesInsertedAbove();return!0},t.prototype.onModelTokensChanged=function(e){if(0===this._lines.length)return!1;var t=e.fromLineNumber-this._rendLineNumberStart,n=e.toLineNumber-this._rendLineNumberStart;if(0>n||t>=this._lines.length)return!1;for(var o=Math.min(Math.max(t,0),this._lines.length-1),i=Math.min(Math.max(n,0),this._lines.length-1),r=!1,s=o;i>=s;s++)r=!0,this._lines[s].onTokensChanged();return r},t.prototype._renderLines=function(e){var t={domNode:this.domNode.domNode,rendLineNumberStart:this._rendLineNumberStart,lines:this._lines,linesLength:this._lines.length,getInlineDecorationsForLineInViewport:function(t){return e.getInlineDecorationsForLineInViewport(t)},viewportTop:e.viewportTop,viewportHeight:e.viewportHeight,scrollDomNode:this._scrollDomNode,scrollDomNodeIsAbove:this._scrollDomNodeIsAbove},n=this._renderer.renderWithManyUpdates(t,e.startLineNumber,e.endLineNumber,e.relativeVerticalOffset);this._rendLineNumberStart=n.rendLineNumberStart,this._lines=n.lines,this._scrollDomNode=n.scrollDomNode,this._scrollDomNodeIsAbove=n.scrollDomNodeIsAbove},t.prototype._createDomNode=function(){var e=o.createFastDomNode(document.createElement("div"));return e.setClassName("view-layer"),e.setPosition("absolute"),e.domNode.setAttribute("role","presentation"),e.domNode.setAttribute("aria-hidden","true"),e},t.prototype._createLine=function(){throw new Error("Implement me!")},t}(n.ViewPart);t.ViewLayer=i;var r=function(){function e(e,t){this._createLine=e,this._extraDomNodeHTML=t}return e.prototype.renderWithManyUpdates=function(e,t,n,o){return this._render(e,t,n,o)},e.prototype._render=function(e,t,n,o){var i={domNode:e.domNode,rendLineNumberStart:e.rendLineNumberStart,lines:e.lines.slice(0),linesLength:e.linesLength,getInlineDecorationsForLineInViewport:e.getInlineDecorationsForLineInViewport,viewportTop:e.viewportTop,viewportHeight:e.viewportHeight,scrollDomNode:e.scrollDomNode,scrollDomNodeIsAbove:e.scrollDomNodeIsAbove},r=!0;if(i.scrollDomNode){var s=this._getScrollDomNodeTime(i.scrollDomNode);(new Date).getTime()-s<1e3&&(r=!1)}if(r&&(i.rendLineNumberStart+i.linesLength-1<t||n<i.rendLineNumberStart)){i.rendLineNumberStart=t,i.linesLength=n-t+1,i.lines=[];for(var a=t;n>=a;a++)i.lines[a-t]=this._createLine();return this._finishRendering(i,!0,o),i.scrollDomNode=null,i}this._renderUntouchedLines(i,Math.max(t-i.rendLineNumberStart,0),Math.min(n-i.rendLineNumberStart,i.linesLength-1),o,t);var l,u,c;return i.rendLineNumberStart>t?(l=t,u=Math.min(n,i.rendLineNumberStart-1),u>=l&&(this._insertLinesBefore(i,l,u,o,t),i.linesLength+=u-l+1,i.scrollDomNode&&i.scrollDomNodeIsAbove&&(i.scrollDomNode.parentNode&&i.scrollDomNode.parentNode.removeChild(i.scrollDomNode),i.scrollDomNode=null))):i.rendLineNumberStart<t&&(c=Math.min(i.linesLength,t-i.rendLineNumberStart),c>0&&(this._removeLinesBefore(i,c),i.linesLength-=c)),i.rendLineNumberStart=t,i.rendLineNumberStart+i.linesLength-1<n?(l=i.rendLineNumberStart+i.linesLength,u=n,u>=l&&(this._insertLinesAfter(i,l,u,o,t),i.linesLength+=u-l+1,i.scrollDomNode&&!i.scrollDomNodeIsAbove&&(i.scrollDomNode.parentNode&&i.scrollDomNode.parentNode.removeChild(i.scrollDomNode),i.scrollDomNode=null))):i.rendLineNumberStart+i.linesLength-1>n&&(l=Math.max(0,n-i.rendLineNumberStart+1),u=i.linesLength-1,c=u-l+1,c>0&&(this._removeLinesAfter(i,c),i.linesLength-=c)),this._finishRendering(i,!1,o),i},e.prototype._renderUntouchedLines=function(e,t,n,o,i){var r,s;for(r=t;n>=r;r++){s=e.rendLineNumberStart+r;var a=e.lines[r].getDomNode();a&&e.lines[r].layoutLine(s,o[s-i])}},e.prototype._insertLinesBefore=function(e,t,n,o,i){var r,s,a=[];for(s=t;n>=s;s++)r=this._createLine(),a.push(r);e.lines=a.concat(e.lines)},e.prototype._getScrollDomNodeTime=function(e){var t=e.getAttribute("last-scroll-time");return t?parseInt(t,10):0},e.prototype._removeIfNotScrollDomNode=function(e,t,n){var o=this._getScrollDomNodeTime(t);if(!o)return void e.domNode.removeChild(t);if(e.scrollDomNode){var i=this._getScrollDomNodeTime(e.scrollDomNode);if(i>o)return void e.domNode.removeChild(t);e.scrollDomNode.parentNode&&e.scrollDomNode.parentNode.removeChild(e.scrollDomNode),e.scrollDomNode=null}e.scrollDomNode=t,e.scrollDomNodeIsAbove=n},e.prototype._removeLinesBefore=function(e,t){var n;for(n=0;t>n;n++){var o=e.lines[n].getDomNode();o&&this._removeIfNotScrollDomNode(e,o,!0)}e.lines.splice(0,t)},e.prototype._insertLinesAfter=function(e,t,n,o,i){var r,s,a=[];for(s=t;n>=s;s++)r=this._createLine(),a.push(r);e.lines=e.lines.concat(a)},e.prototype._removeLinesAfter=function(e,t){var n,o=e.linesLength-t;for(n=0;t>n;n++){var i=e.lines[o+n].getDomNode();i&&this._removeIfNotScrollDomNode(e,i,!1)}e.lines.splice(o,t)},e._resolveInlineDecorations=function(e){for(var t=[],n=0,o=e.linesLength;o>n;n++){var i=n+e.rendLineNumberStart;t[n]=e.getInlineDecorationsForLineInViewport(i)}return t},e.prototype._finishRenderingNewLines=function(e,t,n,o){var i=e.domNode.lastChild;t||!i?e.domNode.innerHTML=this._extraDomNodeHTML()+n.join(""):i.insertAdjacentHTML("afterend",n.join(""));for(var r=e.domNode.lastChild,s=e.linesLength-1;s>=0;s--){var a=e.lines[s];o[s]&&(a.setDomNode(r),r=r.previousSibling)}},e.prototype._finishRenderingInvalidLines=function(e,t,n){var o=document.createElement("div");o.innerHTML=t.join("");for(var i,r,s=0;s<e.linesLength;s++){var a=e.lines[s];n[s]&&(r=o.firstChild,i=a.getDomNode(),i.parentNode.replaceChild(r,i),a.setDomNode(r))}},e.prototype._finishRendering=function(t,n,o){var i,r,s,a,l=e._resolveInlineDecorations(t),u=!1,c=[],d=[],h=!1,p=[],m=[];for(i=0,r=t.linesLength;r>i;i++)if(s=t.lines[i],a=i+t.rendLineNumberStart,s.shouldUpdateHTML(t.rendLineNumberStart,a,l[i])){var f=s.getDomNode();f?(s.getLineOuterHTML(m,a,o[i]),p[i]=!0,h=!0):(s.getLineOuterHTML(d,a,o[i]),c[i]=!0,u=!0)}u&&this._finishRenderingNewLines(t,n,d,c),h&&this._finishRenderingInvalidLines(t,m,p)},e}()}),define("vs/editor/browser/viewLayout/scrollManager",["require","exports","vs/base/common/lifecycle","vs/base/browser/dom","vs/base/browser/ui/scrollbar/scrollableElement","vs/editor/common/editorCommon","vs/editor/browser/editorBrowser"],function(e,t,n,o,i,r,s){"use strict";function a(e,t,n){e.hasOwnProperty(n)&&(t[n]=e[n])}var l=function(){function e(e,t,n,l,u){var c=this;this.toDispose=[],this.configuration=e,this.privateViewEventBus=t,this.linesContent=n;var d=this.configuration.editor.viewInfo.scrollbar,h={canUseTranslate3d:this.configuration.editor.viewInfo.canUseTranslate3d,listenOnDomNode:l,vertical:d.vertical,horizontal:d.horizontal,className:s.ClassNames.SCROLLABLE_ELEMENT+" "+this.configuration.editor.viewInfo.theme,useShadows:!1,lazyRender:!0,saveLastScrollTimeOnClassName:s.ClassNames.VIEW_LINE};a(d,h,"verticalHasArrows"),a(d,h,"horizontalHasArrows"),a(d,h,"verticalScrollbarSize"),a(d,h,"verticalSliderSize"),a(d,h,"horizontalScrollbarSize"),a(d,h,"horizontalSliderSize"),a(d,h,"handleMouseWheel"),a(d,h,"arrowSize"),a(d,h,"mouseWheelScrollSensitivity"),this.scrollbar=new i.ScrollableElement(n,h),this.onLayoutInfoChanged(),this.toDispose.push(this.scrollbar),this.toDispose.push(this.scrollbar.onScroll(function(e){c.privateViewEventBus.emit(r.EventType.ViewScrollChanged,e)})),this.toDispose.push(this.configuration.onDidChange(function(e){if(c.scrollbar.updateClassName(s.ClassNames.SCROLLABLE_ELEMENT+" "+c.configuration.editor.viewInfo.theme),e.viewInfo.scrollbar||e.viewInfo.canUseTranslate3d){var t={canUseTranslate3d:c.configuration.editor.viewInfo.canUseTranslate3d,handleMouseWheel:c.configuration.editor.viewInfo.scrollbar.handleMouseWheel,mouseWheelScrollSensitivity:c.configuration.editor.viewInfo.scrollbar.mouseWheelScrollSensitivity};c.scrollbar.updateOptions(t)}}));var p=function(e,t,n){var o={};if(t){var i=e.scrollTop;i&&(o.scrollTop=c.getScrollTop()+i,e.scrollTop=0)}if(n){var r=e.scrollLeft;r&&(o.scrollLeft=c.getScrollLeft()+r,e.scrollLeft=0)}c.setScrollPosition(o)};this.toDispose.push(o.addDisposableListener(l,"scroll",function(e){return p(l,!0,!0)})),this.toDispose.push(o.addDisposableListener(n,"scroll",function(e){return p(n,!0,!1)})),this.toDispose.push(o.addDisposableListener(u,"scroll",function(e){return p(u,!0,!1)}))}return e.prototype.dispose=function(){this.toDispose=n.dispose(this.toDispose)},e.prototype.renderScrollbar=function(){this.scrollbar.renderNow()},e.prototype.onLayoutInfoChanged=function(){this.scrollbar.updateState({width:this.configuration.editor.layoutInfo.contentWidth,height:this.configuration.editor.layoutInfo.contentHeight})},e.prototype.getOverviewRulerLayoutInfo=function(){return this.scrollbar.getOverviewRulerLayoutInfo()},e.prototype.getScrollbarContainerDomNode=function(){return this.scrollbar.getDomNode()},e.prototype.delegateVerticalScrollbarMouseDown=function(e){this.scrollbar.delegateVerticalScrollbarMouseDown(e)},e.prototype.getWidth=function(){return this.scrollbar.getWidth()},e.prototype.getScrollWidth=function(){return this.scrollbar.getScrollWidth()},e.prototype.getScrollLeft=function(){return this.scrollbar.getScrollLeft()},e.prototype.getHeight=function(){return this.scrollbar.getHeight()},e.prototype.getScrollHeight=function(){return this.scrollbar.getScrollHeight()},e.prototype.getScrollTop=function(){return this.scrollbar.getScrollTop()},e.prototype.setScrollPosition=function(e){this.scrollbar.updateState(e)},e.prototype.setScrollHeight=function(e){this.scrollbar.updateState({scrollHeight:e})},e.prototype.setScrollWidth=function(e){this.scrollbar.updateState({scrollWidth:e})},e}();t.ScrollManager=l});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/viewLayout/layoutProvider",["require","exports","vs/editor/common/editorCommon","vs/editor/common/viewLayout/linesLayout","vs/editor/common/viewModel/viewEventHandler","vs/editor/browser/viewLayout/scrollManager"],function(e,t,n,o,i,r){"use strict";var s=function(e){function t(t,n,i,s,a,l){e.call(this),this.configuration=t,this.privateViewEventBus=i,this.model=n,this.scrollManager=new r.ScrollManager(t,i,s,a,l),this.configuration.setLineCount(this.model.getLineCount()),this.linesLayout=new o.LinesLayout(t,n),this._updateHeight()}return __extends(t,e),t.prototype.dispose=function(){this.scrollManager.dispose()},t.prototype.updateLineCount=function(){this.configuration.setLineCount(this.model.getLineCount())},t.prototype.onZonesChanged=function(){return this._updateHeight(),!1},t.prototype.onModelFlushed=function(){return this.linesLayout.onModelFlushed(),this.updateLineCount(),this._updateHeight(),!1},t.prototype.onModelLinesDeleted=function(e){return this.linesLayout.onModelLinesDeleted(e),this.updateLineCount(),this._updateHeight(),!1},t.prototype.onModelLinesInserted=function(e){return this.linesLayout.onModelLinesInserted(e),this.updateLineCount(),this._updateHeight(),!1},t.prototype.onConfigurationChanged=function(e){return this.linesLayout.onConfigurationChanged(e),e.layoutInfo&&(this.scrollManager.onLayoutInfoChanged(),this._emitLayoutChangedEvent()),this._updateHeight(),!1},t.prototype._updateHeight=function(){this.scrollManager.setScrollHeight(this.getTotalHeight())},t.prototype.getCurrentViewport=function(){return new n.Viewport(this.scrollManager.getScrollTop(),this.scrollManager.getScrollLeft(),this.scrollManager.getWidth(),this.scrollManager.getHeight())},t.prototype.getCenteredViewLineNumberInViewport=function(){return this.linesLayout.getCenteredLineInViewport(this.getCurrentViewport())},t.prototype._emitLayoutChangedEvent=function(){this.privateViewEventBus.emit(n.EventType.ViewLayoutChanged,this.configuration.editor.layoutInfo)},t.prototype.emitLayoutChangedEvent=function(){this._emitLayoutChangedEvent()},t.prototype._computeScrollWidth=function(e,n){var o=this.configuration.editor.wrappingInfo.isViewportWrapping;return o?Math.max(e,n):Math.max(e+t.LINES_HORIZONTAL_EXTRA_PX,n)},t.prototype.onMaxLineWidthChanged=function(e){var t=this._computeScrollWidth(e,this.getCurrentViewport().width);this.scrollManager.setScrollWidth(t),this._updateHeight()},t.prototype.saveState=function(){var e=this.scrollManager.getScrollTop(),t=this.linesLayout.getLineNumberAtOrAfterVerticalOffset(e),n=this.linesLayout.getWhitespaceAccumulatedHeightBeforeLineNumber(t);return{scrollTop:e,scrollTopWithoutViewZones:e-n,scrollLeft:this.scrollManager.getScrollLeft()}},t.prototype.restoreState=function(e){var t=e.scrollTop;"number"!=typeof e.scrollTopWithoutViewZones||this.linesLayout.hasWhitespace()||(t=e.scrollTopWithoutViewZones),this.scrollManager.setScrollPosition({scrollLeft:e.scrollLeft,scrollTop:t})},t.prototype.addWhitespace=function(e,t,n){return this.linesLayout.insertWhitespace(e,t,n)},t.prototype.changeWhitespace=function(e,t,n){return this.linesLayout.changeWhitespace(e,t,n)},t.prototype.removeWhitespace=function(e){return this.linesLayout.removeWhitespace(e)},t.prototype.getVerticalOffsetForLineNumber=function(e){return this.linesLayout.getVerticalOffsetForLineNumber(e)},t.prototype.heightInPxForLine=function(e){return this.linesLayout.getHeightForLineNumber(e)},t.prototype.isAfterLines=function(e){return this.linesLayout.isAfterLines(e)},t.prototype.getLineNumberAtVerticalOffset=function(e){return this.linesLayout.getLineNumberAtOrAfterVerticalOffset(e)},t.prototype.getTotalHeight=function(){var e=0;return this.scrollManager.getScrollWidth()>this.scrollManager.getWidth()&&(e=this.configuration.editor.viewInfo.scrollbar.horizontalScrollbarSize),this.linesLayout.getTotalHeight(this.getCurrentViewport(),e)},t.prototype.getWhitespaceAtVerticalOffset=function(e){return this.linesLayout.getWhitespaceAtVerticalOffset(e)},t.prototype.getLinesViewportData=function(){return this.linesLayout.getLinesViewportData(this.getCurrentViewport())},t.prototype.getWhitespaceViewportData=function(){return this.linesLayout.getWhitespaceViewportData(this.getCurrentViewport())},t.prototype.getWhitespaces=function(){return this.linesLayout.getWhitespaces()},t.prototype.getOverviewRulerInsertData=function(){var e=this.scrollManager.getOverviewRulerLayoutInfo();return{parent:e.parent,insertBefore:e.insertBefore}},t.prototype.getScrollbarContainerDomNode=function(){return this.scrollManager.getScrollbarContainerDomNode()},t.prototype.delegateVerticalScrollbarMouseDown=function(e){this.scrollManager.delegateVerticalScrollbarMouseDown(e)},t.prototype.getScrollWidth=function(){return this.scrollManager.getScrollWidth()},t.prototype.getScrollLeft=function(){return this.scrollManager.getScrollLeft()},t.prototype.getScrollHeight=function(){return this.scrollManager.getScrollHeight()},t.prototype.getScrollTop=function(){return this.scrollManager.getScrollTop()},t.prototype.setScrollPosition=function(e){this.scrollManager.setScrollPosition(e)},t.prototype.getScrolledTopFromAbsoluteTop=function(e){return e-this.scrollManager.getScrollTop()},t.prototype.renderScrollbar=function(){this.scrollManager.renderScrollbar()},t.LINES_HORIZONTAL_EXTRA_PX=30,t}(i.ViewEventHandler);t.LayoutProvider=s});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/viewParts/contentWidgets/contentWidgets",["require","exports","vs/base/browser/dom","vs/base/browser/styleMutator","vs/editor/browser/editorBrowser","vs/editor/browser/view/viewPart","vs/css!./contentWidgets"],function(e,t,n,o,i,r){"use strict";var s=function(e){function t(t,n){e.call(this,t),this._viewDomNode=n,this._widgets={},this._contentWidth=0,this._contentLeft=0,this._lineHeight=this._context.configuration.editor.lineHeight,this._renderData={},this.domNode=document.createElement("div"),this.domNode.className=i.ClassNames.CONTENT_WIDGETS,this.overflowingContentWidgetsDomNode=document.createElement("div"),this.overflowingContentWidgetsDomNode.className=i.ClassNames.OVERFLOWING_CONTENT_WIDGETS}return __extends(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this),this._widgets=null,this.domNode=null},t.prototype.onModelFlushed=function(){return!0},t.prototype.onModelDecorationsChanged=function(e){return e.inlineDecorationsChanged},t.prototype.onModelLinesDeleted=function(e){return!0},t.prototype.onModelLineChanged=function(e){return!0},t.prototype.onModelLinesInserted=function(e){return!0},t.prototype.onCursorPositionChanged=function(e){return!1},t.prototype.onCursorSelectionChanged=function(e){return!1},t.prototype.onCursorRevealRange=function(e){return!1},t.prototype.onConfigurationChanged=function(e){return e.lineHeight&&(this._lineHeight=this._context.configuration.editor.lineHeight),!0},t.prototype.onLayoutChanged=function(e){if(this._contentLeft=e.contentLeft,this._contentWidth!==e.contentWidth){this._contentWidth=e.contentWidth;for(var t=Object.keys(this._widgets),n=0,i=t.length;i>n;n++){var r=t[n];o.StyleMutator.setMaxWidth(this._widgets[r].widget.getDomNode(),this._contentWidth)}}return!0},t.prototype.onScrollChanged=function(e){return!0},t.prototype.onZonesChanged=function(){return!0},t.prototype.addWidget=function(e){var t={allowEditorOverflow:e.allowEditorOverflow||!1,widget:e,position:null,preference:null,isVisible:!1};this._widgets[e.getId()]=t;var n=e.getDomNode();n.style.position="absolute",o.StyleMutator.setMaxWidth(n,this._contentWidth),o.StyleMutator.setVisibility(n,"hidden"),n.setAttribute("widgetId",e.getId()),t.allowEditorOverflow?this.overflowingContentWidgetsDomNode.appendChild(n):this.domNode.appendChild(n),this.setShouldRender()},t.prototype.setWidgetPosition=function(e,t,n){var o=this._widgets[e.getId()];o.position=t,o.preference=n,this.setShouldRender()},t.prototype.removeWidget=function(e){var t=e.getId();if(this._widgets.hasOwnProperty(t)){var n=this._widgets[t];delete this._widgets[t];var o=n.widget.getDomNode();o.parentNode.removeChild(o),o.removeAttribute("monaco-visible-content-widget"),this.setShouldRender()}},t.prototype._layoutBoxInViewport=function(e,t,n){var o=n.visibleRangeForPosition(e);if(!o)return null;var i=t.clientWidth,r=t.clientHeight,s=o.top,a=s,l=o.top+this._lineHeight,u=n.viewportHeight-l,c=s-r,d=a>=r,h=l,p=u>=r,m=o.left;return m+i>n.viewportLeft+n.viewportWidth&&(m=n.viewportLeft+n.viewportWidth-i),m<n.viewportLeft&&(m=n.viewportLeft),{aboveTop:c,fitsAbove:d,belowTop:h,fitsBelow:p,left:m}},t.prototype._layoutBoxInPage=function(e,t,o){var i=o.visibleRangeForPosition(e);if(!i)return null;var r=i.left-o.viewportLeft,s=t.clientWidth,a=t.clientHeight;if(0>r+s||r>this._contentWidth)return null;var l=i.top-a,u=i.top+this._lineHeight,c=r+this._contentLeft,d=n.getDomNodePosition(this._viewDomNode),h=d.top+l-document.body.scrollTop-document.documentElement.scrollTop,p=d.top+u-document.body.scrollTop-document.documentElement.scrollTop,m=d.left+c-document.body.scrollLeft-document.documentElement.scrollLeft,f=window.innerWidth||document.documentElement.clientWidth||document.body.clientWidth,g=window.innerHeight||document.documentElement.clientHeight||document.body.clientHeight,v=22,y=h>=0,_=g-v>=p+a;if(m+s+20>f){var b=m-(f-s-20);m-=b,c-=b}if(0>m){var b=m;m-=b,c-=b}return{aboveTop:l,fitsAbove:y,belowTop:u,fitsBelow:_,left:c}},t.prototype._prepareRenderWidgetAtExactPosition=function(e,t){var n=t.visibleRangeForPosition(e);return n?{top:n.top,left:n.left}:null},t.prototype._prepareRenderWidget=function(e,t){var n=this;if(!e.position||!e.preference)return null;var o=this._context.model.validateModelPosition(e.position);if(!this._context.model.modelPositionIsVisible(o))return null;for(var r=this._context.model.convertModelPositionToViewPosition(o.lineNumber,o.column),s=null,a=function(){if(!s){var o=e.widget.getDomNode();s=e.allowEditorOverflow?n._layoutBoxInPage(r,o,t):n._layoutBoxInViewport(r,o,t)}},l=1;2>=l;l++)for(var u=0;u<e.preference.length;u++){var c=e.preference[u];if(c===i.ContentWidgetPositionPreference.ABOVE){if(a(),!s)return null;if(2===l||s.fitsAbove)return{top:s.aboveTop,left:s.left}}else{if(c!==i.ContentWidgetPositionPreference.BELOW)return this._prepareRenderWidgetAtExactPosition(r,t);if(a(),!s)return null;if(2===l||s.fitsBelow)return{top:s.belowTop,left:s.left}}}},t.prototype.prepareRender=function(e){if(!this.shouldRender())throw new Error("I did not ask to render!");for(var t={},n=Object.keys(this._widgets),o=0,i=n.length;i>o;o++){var r=n[o],s=this._prepareRenderWidget(this._widgets[r],e);s&&(t[r]=s)}this._renderData=t},t.prototype.render=function(e){for(var t=this._renderData,n=Object.keys(this._widgets),i=0,r=n.length;r>i;i++){var s=n[i],a=this._widgets[s],l=this._widgets[s].widget.getDomNode();t.hasOwnProperty(s)?(a.allowEditorOverflow?(o.StyleMutator.setTop(l,t[s].top),o.StyleMutator.setLeft(l,t[s].left)):(o.StyleMutator.setTop(l,t[s].top+e.viewportTop-e.bigNumbersDelta),o.StyleMutator.setLeft(l,t[s].left)),a.isVisible||(o.StyleMutator.setVisibility(l,"inherit"),l.setAttribute("monaco-visible-content-widget","true"),a.isVisible=!0)):a.isVisible&&(l.removeAttribute("monaco-visible-content-widget"),a.isVisible=!1,o.StyleMutator.setVisibility(l,"hidden"))}},t}(r.ViewPart);t.ViewContentWidgets=s});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/viewParts/lines/viewLine",["require","exports","vs/base/browser/browser","vs/base/browser/styleMutator","vs/editor/common/viewLayout/viewLineParts","vs/editor/common/viewLayout/viewLineRenderer","vs/editor/browser/editorBrowser","vs/editor/browser/viewParts/lines/rangeUtil","vs/editor/common/view/renderingContext"],function(e,t,n,o,i,r,s,a,l){"use strict";function u(e,t,n){var o=e.findIndexOfOffset(t);return n>=o?o:n}function c(e){return new m(e)}function d(e){return new f(e)}function h(e){return new p(e)}var p=function(){function e(e){this._context=e,this._renderWhitespace=this._context.configuration.editor.viewInfo.renderWhitespace,this._indentGuides=this._context.configuration.editor.viewInfo.indentGuides,this._spaceWidth=this._context.configuration.editor.fontInfo.spaceWidth,this._lineHeight=this._context.configuration.editor.lineHeight,this._stopRenderingLineAfter=this._context.configuration.editor.viewInfo.stopRenderingLineAfter,this._domNode=null,this._isInvalid=!0,this._isMaybeInvalid=!1,this._lineParts=null,this._charOffsetInPart=[],this._lastRenderedPartIndex=0}return e.prototype.getDomNode=function(){return this._domNode?this._domNode.domNode:null},e.prototype.setDomNode=function(e){this._domNode=o.createFastDomNode(e)},e.prototype.onContentChanged=function(){
this._isInvalid=!0},e.prototype.onLinesInsertedAbove=function(){this._isMaybeInvalid=!0},e.prototype.onLinesDeletedAbove=function(){this._isMaybeInvalid=!0},e.prototype.onLineChangedAbove=function(){this._isMaybeInvalid=!0},e.prototype.onTokensChanged=function(){this._isMaybeInvalid=!0},e.prototype.onModelDecorationsChanged=function(){this._isMaybeInvalid=!0},e.prototype.onConfigurationChanged=function(e){e.viewInfo.renderWhitespace&&(this._renderWhitespace=this._context.configuration.editor.viewInfo.renderWhitespace),e.viewInfo.indentGuides&&(this._indentGuides=this._context.configuration.editor.viewInfo.indentGuides),e.fontInfo&&(this._spaceWidth=this._context.configuration.editor.fontInfo.spaceWidth),e.lineHeight&&(this._lineHeight=this._context.configuration.editor.lineHeight),e.viewInfo.stopRenderingLineAfter&&(this._stopRenderingLineAfter=this._context.configuration.editor.viewInfo.stopRenderingLineAfter),this._isInvalid=!0},e.prototype.shouldUpdateHTML=function(e,t,n){var o=null;return(this._isMaybeInvalid||this._isInvalid)&&(o=i.createLineParts(t,this._context.model.getLineMinColumn(t),this._context.model.getLineContent(t),this._context.model.getTabSize(),this._context.model.getLineTokens(t),n,this._renderWhitespace,this._indentGuides)),this._isMaybeInvalid&&(this._isInvalid||this._lineParts&&this._lineParts.equals(o)||(this._isInvalid=!0),this._isMaybeInvalid=!1),this._isInvalid&&(this._lineParts=o),this._isInvalid},e.prototype.getLineOuterHTML=function(e,t,n){e.push('<div lineNumber="'),e.push(t.toString()),e.push('" style="top:'),e.push(n.toString()),e.push("px;height:"),e.push(this._lineHeight.toString()),e.push('px;" class="'),e.push(s.ClassNames.VIEW_LINE),e.push('">'),e.push(this.getLineInnerHTML(t)),e.push("</div>")},e.prototype.getLineInnerHTML=function(e){return this._isInvalid=!1,this._render(e,this._lineParts)},e.prototype.layoutLine=function(e,t){this._domNode.setLineNumber(String(e)),this._domNode.setTop(t),this._domNode.setHeight(this._lineHeight)},e.prototype._render=function(e,t){this._cachedWidth=-1;var n=r.renderLine(new r.RenderLineInput(this._context.model.getLineContent(e),this._context.model.getTabSize(),this._spaceWidth,this._stopRenderingLineAfter,this._renderWhitespace,t.getParts()));return this._charOffsetInPart=n.charOffsetInPart,this._lastRenderedPartIndex=n.lastRenderedPartIndex,n.output},e.prototype._getReadingTarget=function(){return this._domNode.domNode.firstChild},e.prototype.getWidth=function(){return-1===this._cachedWidth&&(this._cachedWidth=this._getReadingTarget().offsetWidth),this._cachedWidth},e.prototype.getVisibleRangesForRange=function(e,t,n,o){e=0|e,t=0|t,n=0|n;var i=0|this._stopRenderingLineAfter;return-1!==i&&e>i&&t>i?null:(-1!==i&&e>i&&(e=i),-1!==i&&t>i&&(t=i),this._readVisibleRangesForRange(e,t,n,o))},e.prototype._readVisibleRangesForRange=function(e,t,n,o){return e===t?this._readRawVisibleRangesForPosition(e,n,o):this._readRawVisibleRangesForRange(e,t,n,o)},e.prototype._readRawVisibleRangesForPosition=function(e,t,n){if(0===this._charOffsetInPart.length)return[new l.HorizontalRange(0,0)];var o=u(this._lineParts,e-1,this._lastRenderedPartIndex),i=this._charOffsetInPart[e-1];return a.RangeUtil.readHorizontalRanges(this._getReadingTarget(),o,i,o,i,t,this._getScaleRatio(),n)},e.prototype._readRawVisibleRangesForRange=function(e,t,n,o){if(1===e&&t===this._charOffsetInPart.length)return[new l.HorizontalRange(0,this.getWidth())];var i=u(this._lineParts,e-1,this._lastRenderedPartIndex),r=this._charOffsetInPart[e-1],s=u(this._lineParts,t-1,this._lastRenderedPartIndex),c=this._charOffsetInPart[t-1];return a.RangeUtil.readHorizontalRanges(this._getReadingTarget(),i,r,s,c,n,this._getScaleRatio(),o)},e.prototype._getScaleRatio=function(){return 1},e.prototype.getColumnOfNodeOffset=function(e,t,n){for(var o=t.textContent.length,r=-1;t;)t=t.previousSibling,r++;var s=this._lineParts.getParts();return i.getColumnOfLinePartOffset(this._stopRenderingLineAfter,s,this._context.model.getLineMaxColumn(e),this._charOffsetInPart,r,o,n)},e}();t.ViewLine=p;var m=function(e){function t(t){e.call(this,t)}return __extends(t,e),t.prototype._getScaleRatio=function(){return screen.logicalXDPI/screen.deviceXDPI},t}(p),f=function(e){function t(t){e.call(this,t)}return __extends(t,e),t.prototype._readVisibleRangesForRange=function(t,n,o,i){var r=e.prototype._readVisibleRangesForRange.call(this,t,n,o,i);if(!r||0===r.length||t===n||1===t&&n===this._charOffsetInPart.length)return r;var s=this._readRawVisibleRangesForPosition(n-1,o,i),a=this._readRawVisibleRangesForPosition(n,o,i);if(s&&s.length>0&&a&&a.length>0){var l=s[0],u=a[0],c=l.left<=u.left,d=r[r.length-1];c&&d.left<u.left&&(d.width=u.left-d.left)}return r},t}(p);t.createLine=function(){return window.screen&&window.screen.deviceXDPI&&(navigator.userAgent.indexOf("Trident/6.0")>=0||navigator.userAgent.indexOf("Trident/5.0")>=0)?c:n.isWebKit?d:h}()});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/viewParts/overlayWidgets/overlayWidgets",["require","exports","vs/base/browser/styleMutator","vs/editor/browser/editorBrowser","vs/editor/browser/view/viewPart","vs/css!./overlayWidgets"],function(e,t,n,o,i){"use strict";var r=function(e){function t(t){e.call(this,t),this._widgets={},this._verticalScrollbarWidth=0,this._horizontalScrollbarHeight=0,this._editorHeight=0,this._editorWidth=0,this.domNode=document.createElement("div"),this.domNode.className=o.ClassNames.OVERLAY_WIDGETS}return __extends(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this),this._widgets=null},t.prototype.onLayoutChanged=function(e){return this._verticalScrollbarWidth=e.verticalScrollbarWidth,this._horizontalScrollbarHeight=e.horizontalScrollbarHeight,this._editorHeight=e.height,this._editorWidth=e.width,!0},t.prototype.addWidget=function(e){this._widgets[e.getId()]={widget:e,preference:null};var t=e.getDomNode();t.style.position="absolute",t.setAttribute("widgetId",e.getId()),this.domNode.appendChild(t),this.setShouldRender()},t.prototype.setWidgetPosition=function(e,t){var n=this._widgets[e.getId()];return n.preference===t?!1:(n.preference=t,this.setShouldRender(),!0)},t.prototype.removeWidget=function(e){var t=e.getId();if(this._widgets.hasOwnProperty(t)){var n=this._widgets[t],o=n.widget.getDomNode();delete this._widgets[t],o.parentNode.removeChild(o),this.setShouldRender()}},t.prototype._renderWidget=function(e){var t="data-editor-restoreStyleTop",i=e.widget.getDomNode();if(null!==e.preference)if(e.preference===o.OverlayWidgetPositionPreference.TOP_RIGHT_CORNER)i.hasAttribute(t)||i.setAttribute(t,i.style.top),n.StyleMutator.setTop(i,0),n.StyleMutator.setRight(i,2*this._verticalScrollbarWidth);else if(e.preference===o.OverlayWidgetPositionPreference.BOTTOM_RIGHT_CORNER){i.hasAttribute(t)||i.setAttribute(t,i.style.top);var r=i.clientHeight;n.StyleMutator.setTop(i,this._editorHeight-r-2*this._horizontalScrollbarHeight),n.StyleMutator.setRight(i,2*this._verticalScrollbarWidth)}else e.preference===o.OverlayWidgetPositionPreference.TOP_CENTER&&(i.hasAttribute(t)||i.setAttribute(t,i.style.top),n.StyleMutator.setTop(i,0),i.style.right="50%");else if(i.hasAttribute(t)){var s=i.getAttribute(t);i.removeAttribute(t),i.style.top=s}},t.prototype.prepareRender=function(e){if(!this.shouldRender())throw new Error("I did not ask to render!")},t.prototype.render=function(e){n.StyleMutator.setWidth(this.domNode,this._editorWidth);for(var t=Object.keys(this._widgets),o=0,i=t.length;i>o;o++){var r=t[o];this._renderWidget(this._widgets[r])}},t}(i.ViewPart);t.ViewOverlayWidgets=r}),define("vs/editor/browser/viewParts/overviewRuler/overviewRulerImpl",["require","exports","vs/base/browser/styleMutator","vs/editor/common/editorCommon","vs/base/browser/browser","vs/editor/common/view/overviewZoneManager"],function(e,t,n,o,i,r){"use strict";var s=function(){function e(e,t,n,o,s,a,l,u){var c=this;this._canvasLeftOffset=e,this._domNode=document.createElement("canvas"),this._domNode.className=t,this._domNode.style.position="absolute",this._lanesCount=3,this._canUseTranslate3d=s,this._zoneManager=new r.OverviewZoneManager(u),this._zoneManager.setMinimumHeight(a),this._zoneManager.setMaximumHeight(l),this._zoneManager.setUseDarkColor(!1),this._zoneManager.setDOMWidth(0),this._zoneManager.setDOMHeight(0),this._zoneManager.setOuterHeight(n),this._zoneManager.setLineHeight(o),this._zoomListener=i.onDidChangeZoomLevel(function(){c._zoneManager.setPixelRatio(i.getPixelRatio()),c._domNode.style.width=c._zoneManager.getDOMWidth()+"px",c._domNode.style.height=c._zoneManager.getDOMHeight()+"px",c._domNode.width=c._zoneManager.getCanvasWidth(),c._domNode.height=c._zoneManager.getCanvasHeight(),c.render(!0)}),this._zoneManager.setPixelRatio(i.getPixelRatio())}return e.prototype.dispose=function(){this._zoomListener.dispose(),this._zoneManager=null},e.prototype.setLayout=function(e,t){n.StyleMutator.setTop(this._domNode,e.top),n.StyleMutator.setRight(this._domNode,e.right);var o=!1;o=this._zoneManager.setDOMWidth(e.width)||o,o=this._zoneManager.setDOMHeight(e.height)||o,o&&(this._domNode.style.width=this._zoneManager.getDOMWidth()+"px",this._domNode.style.height=this._zoneManager.getDOMHeight()+"px",this._domNode.width=this._zoneManager.getCanvasWidth(),this._domNode.height=this._zoneManager.getCanvasHeight(),t&&this.render(!0))},e.prototype.getLanesCount=function(){return this._lanesCount},e.prototype.setLanesCount=function(e,t){this._lanesCount=e,t&&this.render(!0)},e.prototype.setUseDarkColor=function(e,t){this._zoneManager.setUseDarkColor(e),t&&this.render(!0)},e.prototype.getDomNode=function(){return this._domNode},e.prototype.getPixelWidth=function(){return this._zoneManager.getCanvasWidth()},e.prototype.getPixelHeight=function(){return this._zoneManager.getCanvasHeight()},e.prototype.setScrollHeight=function(e,t){this._zoneManager.setOuterHeight(e),t&&this.render(!0)},e.prototype.setLineHeight=function(e,t){this._zoneManager.setLineHeight(e),t&&this.render(!0)},e.prototype.setCanUseTranslate3d=function(e,t){this._canUseTranslate3d=e,t&&this.render(!0)},e.prototype.setZones=function(e,t){this._zoneManager.setZones(e),t&&this.render(!1)},e.prototype.render=function(t){if(!e.hasCanvas)return!1;if(0===this._zoneManager.getOuterHeight())return!1;this._canUseTranslate3d?n.StyleMutator.setTransform(this._domNode,"translate3d(0px, 0px, 0px)"):n.StyleMutator.setTransform(this._domNode,"");var o=this._zoneManager.getCanvasWidth(),i=this._zoneManager.getCanvasHeight(),r=this._zoneManager.resolveColorZones(),s=this._zoneManager.getId2Color(),a=this._domNode.getContext("2d");if(a.clearRect(0,0,o,i),r.length>0){var l=o-this._canvasLeftOffset;this._lanesCount>=3?this._renderThreeLanes(a,r,s,l):2===this._lanesCount?this._renderTwoLanes(a,r,s,l):1===this._lanesCount&&this._renderOneLane(a,r,s,l)}return!0},e.prototype._renderOneLane=function(e,t,n,i){this._renderVerticalPatch(e,t,n,o.OverviewRulerLane.Left|o.OverviewRulerLane.Center|o.OverviewRulerLane.Right,this._canvasLeftOffset,i)},e.prototype._renderTwoLanes=function(e,t,n,i){var r=Math.floor(i/2),s=i-r,a=this._canvasLeftOffset,l=this._canvasLeftOffset+r;this._renderVerticalPatch(e,t,n,o.OverviewRulerLane.Left|o.OverviewRulerLane.Center,a,r),this._renderVerticalPatch(e,t,n,o.OverviewRulerLane.Right,l,s)},e.prototype._renderThreeLanes=function(e,t,n,i){var r=Math.floor(i/3),s=Math.floor(i/3),a=i-r-s,l=this._canvasLeftOffset,u=this._canvasLeftOffset+r,c=this._canvasLeftOffset+r+a;this._renderVerticalPatch(e,t,n,o.OverviewRulerLane.Left,l,r),this._renderVerticalPatch(e,t,n,o.OverviewRulerLane.Center,u,a),this._renderVerticalPatch(e,t,n,o.OverviewRulerLane.Right,c,s)},e.prototype._renderVerticalPatch=function(e,t,n,o,i,r){for(var s=0,a=0,l=0,u=0,c=t.length;c>u;u++){var d=t[u];if(d.position&o){var h=d.colorId,p=d.from,m=d.to;h!==s?(e.fillRect(i,a,r,l-a),s=h,e.fillStyle=n[s],a=p,l=m):l>=p?l=Math.max(l,m):(e.fillRect(i,a,r,l-a),a=p,l=m)}}e.fillRect(i,a,r,l-a)},e.hasCanvas=-1===window.navigator.userAgent.indexOf("MSIE 8"),e}();t.OverviewRulerImpl=s});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/viewParts/overviewRuler/overviewRuler",["require","exports","vs/editor/common/viewModel/viewEventHandler","vs/editor/browser/viewParts/overviewRuler/overviewRulerImpl"],function(e,t,n,o){"use strict";var i=function(e){function t(t,n,i,r,s,a){e.call(this),this._context=t,this._overviewRuler=new o.OverviewRulerImpl(0,n,i,this._context.configuration.editor.lineHeight,this._context.configuration.editor.viewInfo.canUseTranslate3d,r,s,a),this._context.addEventHandler(this)}return __extends(t,e),t.prototype.destroy=function(){this.dispose()},t.prototype.dispose=function(){this._context.removeEventHandler(this),this._overviewRuler.dispose()},t.prototype.onConfigurationChanged=function(e){return e.lineHeight?(this._overviewRuler.setLineHeight(this._context.configuration.editor.lineHeight,!0),!0):e.viewInfo.canUseTranslate3d?(this._overviewRuler.setCanUseTranslate3d(this._context.configuration.editor.viewInfo.canUseTranslate3d,!0),!0):!1},t.prototype.onZonesChanged=function(){return!0},t.prototype.onModelFlushed=function(){return!0},t.prototype.onScrollChanged=function(t){return this._overviewRuler.setScrollHeight(t.scrollHeight,!0),e.prototype.onScrollChanged.call(this,t)||t.scrollHeightChanged},t.prototype.getDomNode=function(){return this._overviewRuler.getDomNode()},t.prototype.setLayout=function(e){this._overviewRuler.setLayout(e,!0)},t.prototype.setZones=function(e){this._overviewRuler.setZones(e,!0)},t}(n.ViewEventHandler);t.OverviewRuler=i});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/viewParts/rulers/rulers",["require","exports","vs/base/browser/styleMutator","vs/editor/browser/view/viewPart","vs/css!./rulers"],function(e,t,n,o){"use strict";var i=function(e){function t(t,n){e.call(this,t),this._layoutProvider=n,this.domNode=document.createElement("div"),this.domNode.className="view-rulers",this._rulers=this._context.configuration.editor.viewInfo.rulers,this._height=this._context.configuration.editor.layoutInfo.contentHeight,this._typicalHalfwidthCharacterWidth=this._context.configuration.editor.fontInfo.typicalHalfwidthCharacterWidth}return __extends(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype.onConfigurationChanged=function(e){return e.viewInfo.rulers||e.layoutInfo||e.fontInfo?(this._rulers=this._context.configuration.editor.viewInfo.rulers,this._height=this._context.configuration.editor.layoutInfo.contentHeight,this._typicalHalfwidthCharacterWidth=this._context.configuration.editor.fontInfo.typicalHalfwidthCharacterWidth,!0):!1},t.prototype.onScrollChanged=function(t){return e.prototype.onScrollChanged.call(this,t)||t.scrollHeightChanged},t.prototype.prepareRender=function(e){if(!this.shouldRender())throw new Error("I did not ask to render!")},t.prototype.render=function(e){for(var t=this.domNode.children.length,o=Math.max(t,this._rulers.length),i=0;o>i;i++)if(i>=this._rulers.length)this.domNode.removeChild(this.domNode.lastChild);else{var r=void 0;t>i?r=this.domNode.children[i]:(r=document.createElement("div"),r.className="view-ruler",this.domNode.appendChild(r)),n.StyleMutator.setHeight(r,Math.min(this._layoutProvider.getTotalHeight(),1e6)),n.StyleMutator.setLeft(r,this._rulers[i]*this._typicalHalfwidthCharacterWidth)}},t}(o.ViewPart);t.Rulers=i});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/viewParts/scrollDecoration/scrollDecoration",["require","exports","vs/base/browser/dom","vs/base/browser/styleMutator","vs/editor/browser/editorBrowser","vs/editor/browser/view/viewPart","vs/css!./scrollDecoration"],function(e,t,n,o,i,r){"use strict";var s=function(e){function t(t){e.call(this,t),this._scrollTop=0,this._width=0,this._shouldShow=!1,this._useShadows=this._context.configuration.editor.viewInfo.scrollbar.useShadows,this._domNode=document.createElement("div")}return __extends(t,e),t.prototype._updateShouldShow=function(){var e=this._useShadows&&this._scrollTop>0;return this._shouldShow!==e?(this._shouldShow=e,!0):!1},t.prototype.getDomNode=function(){return this._domNode},t.prototype.onConfigurationChanged=function(e){return e.viewInfo.scrollbar&&(this._useShadows=this._context.configuration.editor.viewInfo.scrollbar.useShadows),this._updateShouldShow()},t.prototype.onLayoutChanged=function(e){return this._width!==e.width?(this._width=e.width,!0):!1},t.prototype.onScrollChanged=function(e){return this._scrollTop=e.scrollTop,this._updateShouldShow()},t.prototype.prepareRender=function(e){if(!this.shouldRender())throw new Error("I did not ask to render!")},t.prototype.render=function(e){o.StyleMutator.setWidth(this._domNode,this._width),n.toggleClass(this._domNode,i.ClassNames.SCROLL_DECORATION,this._shouldShow)},t}(r.ViewPart);t.ScrollDecorationViewPart=s});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/viewParts/viewZones/viewZones",["require","exports","vs/base/common/errors","vs/base/browser/styleMutator","vs/editor/browser/editorBrowser","vs/editor/browser/view/viewPart"],function(e,t,n,o,i,r){"use strict";var s=function(e){function t(t,n){e.call(this,t),this._lineHeight=this._context.configuration.editor.lineHeight,this._whitespaceManager=n,this.domNode=document.createElement("div"),this.domNode.className=i.ClassNames.VIEW_ZONES,this.domNode.style.position="absolute",this.domNode.setAttribute("role","presentation"),this.domNode.setAttribute("aria-hidden","true"),this._zones={}}return __extends(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this),this._whitespaceManager=null,this._zones={}},t.prototype._recomputeWhitespacesProps=function(){for(var e=!1,t=Object.keys(this._zones),n=0,o=t.length;o>n;n++){var i=t[n],r=this._zones[i],s=this._computeWhitespaceProps(r.delegate);this._whitespaceManager.changeWhitespace(parseInt(i,10),s.afterViewLineNumber,s.heightInPx)&&(this._safeCallOnComputedHeight(r.delegate,s.heightInPx),e=!0)}return e},t.prototype.onConfigurationChanged=function(e){return e.lineHeight?(this._lineHeight=this._context.configuration.editor.lineHeight,this._recomputeWhitespacesProps()):!1},t.prototype.onLineMappingChanged=function(){return this._recomputeWhitespacesProps()},t.prototype.onLayoutChanged=function(e){return!0},t.prototype.onScrollChanged=function(e){return e.scrollTopChanged||e.scrollWidthChanged},t.prototype.onZonesChanged=function(){return!0},t.prototype.onModelLinesDeleted=function(e){return!0},t.prototype.onModelLinesInserted=function(e){return!0},t.prototype._getZoneOrdinal=function(e){return"undefined"!=typeof e.afterColumn?e.afterColumn:1e4},t.prototype._computeWhitespaceProps=function(e){if(0===e.afterLineNumber)return{afterViewLineNumber:0,heightInPx:this._heightInPixels(e)};var t;if("undefined"!=typeof e.afterColumn)t=this._context.model.validateModelPosition({lineNumber:e.afterLineNumber,column:e.afterColumn});else{var n=this._context.model.validateModelPosition({lineNumber:e.afterLineNumber,column:1}).lineNumber;t={lineNumber:n,column:this._context.model.getModelLineMaxColumn(n)}}var o;o=t.column===this._context.model.getModelLineMaxColumn(t.lineNumber)?this._context.model.validateModelPosition({lineNumber:t.lineNumber+1,column:1}):this._context.model.validateModelPosition({lineNumber:t.lineNumber,column:t.column+1});var i=this._context.model.convertModelPositionToViewPosition(t.lineNumber,t.column),r=this._context.model.modelPositionIsVisible(o);return{afterViewLineNumber:i.lineNumber,heightInPx:r?this._heightInPixels(e):0}},t.prototype.addZone=function(e){var t=this._computeWhitespaceProps(e),n=this._whitespaceManager.addWhitespace(t.afterViewLineNumber,this._getZoneOrdinal(e),t.heightInPx),i={whitespaceId:n,delegate:e,isVisible:!1};return this._safeCallOnComputedHeight(i.delegate,t.heightInPx),i.delegate.domNode.style.position="absolute",i.delegate.domNode.style.width="100%",o.StyleMutator.setDisplay(i.delegate.domNode,"none"),this._zones[i.whitespaceId.toString()]=i,i.delegate.domNode.setAttribute("monaco-view-zone",i.whitespaceId.toString()),this.domNode.appendChild(i.delegate.domNode),this.setShouldRender(),i.whitespaceId},t.prototype.removeZone=function(e){if(this._zones.hasOwnProperty(e.toString())){var t=this._zones[e.toString()];return delete this._zones[e.toString()],this._whitespaceManager.removeWhitespace(t.whitespaceId),t.delegate.domNode.removeAttribute("monaco-visible-view-zone"),t.delegate.domNode.removeAttribute("monaco-view-zone"),t.delegate.domNode.parentNode.removeChild(t.delegate.domNode),this.setShouldRender(),!0}return!1},t.prototype.layoutZone=function(e){var t=!1;if(this._zones.hasOwnProperty(e.toString())){var n=this._zones[e.toString()],o=this._computeWhitespaceProps(n.delegate);t=this._whitespaceManager.changeWhitespace(n.whitespaceId,o.afterViewLineNumber,o.heightInPx)||t,t&&(this._safeCallOnComputedHeight(n.delegate,o.heightInPx),this.setShouldRender())}return t},t.prototype.shouldSuppressMouseDownOnViewZone=function(e){if(this._zones.hasOwnProperty(e.toString())){var t=this._zones[e.toString()];return t.delegate.suppressMouseDown}return!1},t.prototype._heightInPixels=function(e){return"number"==typeof e.heightInPx?e.heightInPx:"number"==typeof e.heightInLines?this._lineHeight*e.heightInLines:this._lineHeight},t.prototype._safeCallOnComputedHeight=function(e,t){if("function"==typeof e.onComputedHeight)try{e.onComputedHeight(t)}catch(o){n.onUnexpectedError(o)}},t.prototype._safeCallOnDomNodeTop=function(e,t){if("function"==typeof e.onDomNodeTop)try{e.onDomNodeTop(t)}catch(o){n.onUnexpectedError(o)}},t.prototype.prepareRender=function(e){if(!this.shouldRender())throw new Error("I did not ask to render!")},t.prototype.render=function(e){for(var t=this._whitespaceManager.getWhitespaceViewportData(),n={},i=!1,r=0,s=t.length;s>r;r++)n[t[r].id.toString()]=t[r],i=!0;for(var a=Object.keys(this._zones),r=0,s=a.length;s>r;r++){var l=a[r],u=this._zones[l];n.hasOwnProperty(l)?(o.StyleMutator.setTop(u.delegate.domNode,n[l].verticalOffset-e.bigNumbersDelta),o.StyleMutator.setHeight(u.delegate.domNode,n[l].height),u.isVisible||(o.StyleMutator.setDisplay(u.delegate.domNode,"block"),u.delegate.domNode.setAttribute("monaco-visible-view-zone","true"),u.isVisible=!0),this._safeCallOnDomNodeTop(u.delegate,e.getScrolledTopFromAbsoluteTop(n[l].verticalOffset))):(u.isVisible&&(o.StyleMutator.setDisplay(u.delegate.domNode,"none"),u.delegate.domNode.removeAttribute("monaco-visible-view-zone"),u.isVisible=!1),this._safeCallOnDomNodeTop(u.delegate,e.getScrolledTopFromAbsoluteTop(-1e6)))}i&&o.StyleMutator.setWidth(this.domNode,e.scrollWidth)},t}(r.ViewPart);t.ViewZones=s});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/controller/textAreaHandler",["require","exports","vs/base/common/async","vs/base/common/event","vs/base/common/keyCodes","vs/base/common/lifecycle","vs/editor/common/controller/textAreaState","vs/editor/common/core/position","vs/editor/common/core/range","vs/editor/common/editorCommon"],function(e,t,n,o,i,r,s,a,l,u){"use strict";var c;!function(e){e[e.Type=0]="Type",e[e.Paste=1]="Paste"}(c||(c={}));var d=function(e){function t(t,i,r,u,d){var h=this;e.call(this),this._onKeyDown=this._register(new o.Emitter),this.onKeyDown=this._onKeyDown.event,this._onKeyUp=this._register(new o.Emitter),this.onKeyUp=this._onKeyUp.event,this._onCut=this._register(new o.Emitter),this.onCut=this._onCut.event,this._onPaste=this._register(new o.Emitter),this.onPaste=this._onPaste.event,this._onType=this._register(new o.Emitter),this.onType=this._onType.event,this._onCompositionStart=this._register(new o.Emitter),this.onCompositionStart=this._onCompositionStart.event,this._onCompositionUpdate=this._register(new o.Emitter),this.onCompositionUpdate=this._onCompositionUpdate.event,this._onCompositionEnd=this._register(new o.Emitter),this.onCompositionEnd=this._onCompositionEnd.event,this.Browser=t,this.textArea=r,this.model=u,this.flushAnyAccumulatedEvents=d,this.selection=new l.Range(1,1,1,1),this.selections=[new l.Range(1,1,1,1)],this.cursorPosition=new a.Position(1,1),this._nextCommand=c.Type,this.asyncTriggerCut=new n.RunOnceScheduler(function(){return h._onCut.fire()},0),this.lastCopiedValue=null,this.lastCopiedValueIsFromEmptySelection=!1,this.textAreaState=s.createTextAreaState(i),this.hasFocus=!1,this.lastCompositionEndTime=0,this._register(this.textArea.onKeyDown(function(e){return h._onKeyDownHandler(e)})),this._register(this.textArea.onKeyUp(function(e){return h._onKeyUp.fire(e)})),this._register(this.textArea.onKeyPress(function(e){return h._onKeyPressHandler(e)})),this.textareaIsShownAtCursor=!1,this._register(this.textArea.onCompositionStart(function(e){if(!h.textareaIsShownAtCursor){h.textareaIsShownAtCursor=!0;var t=!0;t&&(h.Browser.isIE11orEarlier||h.setTextAreaState("compositionstart",h.textAreaState.toEmpty()));var n,o;h.Browser.isIE11orEarlier?(n=h.selection.startLineNumber,o=h.selection.startColumn-h.textAreaState.getSelectionStart()):(n=h.cursorPosition.lineNumber,o=h.cursorPosition.column),h._onCompositionStart.fire({showAtLineNumber:n,showAtColumn:o})}})),this._register(this.textArea.onCompositionUpdate(function(e){h.textAreaState=h.textAreaState.fromText(e.data);var t=h.textAreaState.updateComposition();h._onType.fire(t),h._onCompositionUpdate.fire(e)}));var p=function(){h.textAreaState=h.textAreaState.fromTextArea(h.textArea);var e=h.textAreaState.deduceInput();h._nextCommand===c.Type?""!==e.text&&h._onType.fire(e):(h.executePaste(e.text),h._nextCommand=c.Type)};this._register(this.textArea.onCompositionEnd(function(e){h.textAreaState=h.textAreaState.fromText(e.data);var t=h.textAreaState.updateComposition();h._onType.fire(t),h.lastCompositionEndTime=(new Date).getTime(),h.textareaIsShownAtCursor&&(h.textareaIsShownAtCursor=!1,h._onCompositionEnd.fire())})),this._register(this.textArea.onInput(function(){h.textareaIsShownAtCursor||p()})),this._register(this.textArea.onCut(function(e){h.flushAnyAccumulatedEvents(),h._ensureClipboardGetsEditorSelection(e),h.asyncTriggerCut.schedule()})),this._register(this.textArea.onCopy(function(e){h.flushAnyAccumulatedEvents(),h._ensureClipboardGetsEditorSelection(e)})),this._register(this.textArea.onPaste(function(e){e.canUseTextData()?h.executePaste(e.getTextData()):(h.textArea.getSelectionStart()!==h.textArea.getSelectionEnd()&&h.setTextAreaState("paste",h.textAreaState.toEmpty()),h._nextCommand=c.Paste)})),this._writePlaceholderAndSelectTextArea("ctor")}return __extends(t,e),t.prototype.dispose=function(){this.asyncTriggerCut.dispose(),e.prototype.dispose.call(this)},t.prototype.setStrategy=function(e){this.textAreaState=this.textAreaState.toStrategy(e)},t.prototype.setHasFocus=function(e){this.hasFocus!==e&&(this.hasFocus=e,this.hasFocus&&this._writePlaceholderAndSelectTextArea("focusgain"))},t.prototype.setCursorSelections=function(e,t){this.selection=e,this.selections=[e].concat(t),this._writePlaceholderAndSelectTextArea("selection changed")},t.prototype.setCursorPosition=function(e){this.cursorPosition=e},t.prototype.setTextAreaState=function(e,t){this.hasFocus||(t=t.resetSelection()),t.applyToTextArea(e,this.textArea,this.hasFocus),this.textAreaState=t},t.prototype._onKeyDownHandler=function(e){e.equals(i.CommonKeybindings.ESCAPE)&&e.preventDefault(),this._onKeyDown.fire(e)},t.prototype._onKeyPressHandler=function(e){!this.hasFocus},t.prototype.executePaste=function(e){if(""!==e){var t=!1;this.Browser.enableEmptySelectionClipboard&&(t=e===this.lastCopiedValue&&this.lastCopiedValueIsFromEmptySelection),this._onPaste.fire({text:e,pasteOnNewLine:t})}},t.prototype.writePlaceholderAndSelectTextAreaSync=function(){this._writePlaceholderAndSelectTextArea("focusTextArea")},t.prototype._writePlaceholderAndSelectTextArea=function(e){this.textareaIsShownAtCursor||(this.Browser.isIPad?this.setTextAreaState(e,this.textAreaState.toEmpty()):this.setTextAreaState(e,this.textAreaState.fromEditorSelection(this.model,this.selection)))},t.prototype._ensureClipboardGetsEditorSelection=function(e){var t=this._getPlainTextToCopy();if(e.canUseTextData()?e.setTextData(t):this.setTextAreaState("copy or cut",this.textAreaState.fromText(t)),this.Browser.enableEmptySelectionClipboard){this.Browser.isFirefox?this.lastCopiedValue=t.replace(/\r\n/g,"\n"):this.lastCopiedValue=t;var n=this.selections;this.lastCopiedValueIsFromEmptySelection=1===n.length&&n[0].isEmpty()}},t.prototype._getPlainTextToCopy=function(){var e=this.model.getEOL(),t=this.selections;if(1===t.length){var n=t[0];if(n.isEmpty()){if(this.Browser.enableEmptySelectionClipboard){var o=this.model.convertViewPositionToModelPosition(n.startLineNumber,1).lineNumber;return this.model.getModelLineContent(o)+e}return""}return this.model.getValueInRange(n,u.EndOfLinePreference.TextDefined)}t=t.slice(0).sort(l.Range.compareRangesUsingStarts);for(var i=[],r=0;r<t.length;r++)i.push(this.model.getValueInRange(t[r],u.EndOfLinePreference.TextDefined));return i.join(e)},t}(r.Disposable);t.TextAreaHandler=d});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/contrib/hover/browser/hoverWidgets",["require","exports","vs/base/common/keyCodes","vs/base/browser/styleMutator","vs/editor/common/core/position","vs/editor/browser/editorBrowser","vs/base/browser/ui/widget"],function(e,t,n,o,i,r,s){"use strict";var a=function(e){function t(t,o){var i=this;e.call(this),this.allowEditorOverflow=!0,this._id=t,this._editor=o,this._isVisible=!1,this._containerDomNode=document.createElement("div"),this._containerDomNode.className="monaco-editor-hover monaco-editor-background",this._domNode=document.createElement("div"),this._domNode.style.display="inline-block",this._containerDomNode.appendChild(this._domNode),this._containerDomNode.tabIndex=0,this.onkeydown(this._containerDomNode,function(e){e.equals(n.CommonKeybindings.ESCAPE)&&i.hide()}),this._editor.applyFontInfo(this._domNode),this._register(this._editor.onDidChangeConfiguration(function(e){e.fontInfo&&i._editor.applyFontInfo(i._domNode)})),this._editor.addContentWidget(this),this._showAtPosition=null}return __extends(t,e),t.prototype.getId=function(){return this._id},t.prototype.getDomNode=function(){return this._containerDomNode},t.prototype.showAt=function(e,t){this._showAtPosition=new i.Position(e.lineNumber,e.column),this._isVisible=!0;var n=Math.min(800,parseInt(this._containerDomNode.style.maxWidth,10));o.StyleMutator.setWidth(this._containerDomNode,n),o.StyleMutator.setHeight(this._containerDomNode,0),o.StyleMutator.setLeft(this._containerDomNode,0);var r=Math.min(n,this._domNode.clientWidth+5),s=this._domNode.clientHeight+1;o.StyleMutator.setWidth(this._containerDomNode,r),o.StyleMutator.setHeight(this._containerDomNode,s),this._editor.layoutContentWidget(this),this._editor.render(),this._stoleFocus=t,t&&this._containerDomNode.focus()},t.prototype.hide=function(){this._isVisible&&(this._isVisible=!1,
this._editor.layoutContentWidget(this),this._stoleFocus&&this._editor.focus())},t.prototype.getPosition=function(){return this._isVisible?{position:this._showAtPosition,preference:[r.ContentWidgetPositionPreference.ABOVE,r.ContentWidgetPositionPreference.BELOW]}:null},t.prototype.dispose=function(){this._editor.removeContentWidget(this),e.prototype.dispose.call(this)},t}(s.Widget);t.ContentHoverWidget=a;var l=function(e){function t(t,n){var o=this;e.call(this),this._id=t,this._editor=n,this._isVisible=!1,this._domNode=document.createElement("div"),this._domNode.className="monaco-editor-hover monaco-editor-background",this._domNode.style.display="none",this._domNode.setAttribute("aria-hidden","true"),this._domNode.setAttribute("role","presentation"),this._showAtLineNumber=-1,this._editor.applyFontInfo(this._domNode),this._register(this._editor.onDidChangeConfiguration(function(e){e.fontInfo&&o._editor.applyFontInfo(o._domNode)})),this._editor.addOverlayWidget(this)}return __extends(t,e),t.prototype.getId=function(){return this._id},t.prototype.getDomNode=function(){return this._domNode},t.prototype.showAt=function(e){this._showAtLineNumber=e,this._isVisible||(this._isVisible=!0,this._domNode.style.display="block");var t=this._editor.getLayoutInfo(),n=this._editor.getTopForLineNumber(this._showAtLineNumber),o=this._editor.getScrollTop();this._domNode.style.left=t.glyphMarginLeft+t.glyphMarginWidth+"px",this._domNode.style.top=n-o+"px"},t.prototype.hide=function(){this._isVisible&&(this._isVisible=!1,this._domNode.style.display="none")},t.prototype.getPosition=function(){return null},t.prototype.dispose=function(){this._editor.removeOverlayWidget(this),e.prototype.dispose.call(this)},t}(s.Widget);t.GlyphHoverWidget=l});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/contrib/hover/browser/modesGlyphHover",["require","exports","./hoverOperation","./hoverWidgets"],function(e,t,n,o){"use strict";var i=function(){function e(e){this._editor=e,this._lineNumber=-1}return e.prototype.setLineNumber=function(e){this._lineNumber=e,this._result=[]},e.prototype.clearResult=function(){this._result=[]},e.prototype.computeSync=function(){var e,t,n,o=[],i=this._editor.getLineDecorations(this._lineNumber);for(e=0,t=i.length;t>e;e++)n=i[e],n.options.glyphMarginClassName&&n.options.hoverMessage&&o.push({value:n.options.hoverMessage});return o},e.prototype.onResult=function(e,t){this._result=this._result.concat(e)},e.prototype.getResult=function(){return this._result},e.prototype.getResultWithLoadingMessage=function(){return this.getResult()},e}(),r=function(e){function t(o){var r=this;e.call(this,t.ID,o),this._lastLineNumber=-1,this._computer=new i(this._editor),this._hoverOperation=new n.HoverOperation(this._computer,function(e){return r._withResult(e)},null,function(e){return r._withResult(e)})}return __extends(t,e),t.prototype.dispose=function(){this._hoverOperation.cancel(),e.prototype.dispose.call(this)},t.prototype.onModelDecorationsChanged=function(){this._isVisible&&(this._hoverOperation.cancel(),this._computer.clearResult(),this._hoverOperation.start())},t.prototype.startShowingAt=function(e){this._lastLineNumber!==e&&(this._hoverOperation.cancel(),this.hide(),this._lastLineNumber=e,this._computer.setLineNumber(e),this._hoverOperation.start())},t.prototype.hide=function(){this._lastLineNumber=-1,this._hoverOperation.cancel(),e.prototype.hide.call(this)},t.prototype._withResult=function(e){this._messages=e,this._messages.length>0?this._renderMessages(this._lastLineNumber,this._messages):this.hide()},t.prototype._renderMessages=function(e,t){var n=document.createDocumentFragment();t.forEach(function(e){var t=document.createElement("div"),o=null;e.className?(o=document.createElement("span"),o.textContent=e.value,o.className=e.className,t.appendChild(o)):t.textContent=e.value,n.appendChild(t)}),this._domNode.textContent="",this._domNode.appendChild(n),this.showAt(e)},t.ID="editor.contrib.modesGlyphHoverWidget",t}(o.GlyphHoverWidget);t.ModesGlyphHoverWidget=r}),define("vs/editor/contrib/quickFix/browser/lightBulpWidget",["require","exports","vs/base/common/lifecycle","vs/base/browser/dom","vs/editor/common/core/position","vs/editor/browser/editorBrowser"],function(e,t,n,o,i,r){"use strict";var s=function(){function e(e,t){this.allowEditorOverflow=!0,this.editor=e,this.onclick=t,this.toDispose=[],this.editor.addContentWidget(this)}return e.prototype.dispose=function(){this.editor.removeContentWidget(this),this.toDispose=n.dispose(this.toDispose)},e.prototype.getId=function(){return"__lightBulpWidget"},e.prototype.getDomNode=function(){var e=this;return this.domNode||(this.domNode=document.createElement("div"),this.domNode.style.width="20px",this.domNode.style.height="20px",this.domNode.className="lightbulp-glyph",this.toDispose.push(o.addDisposableListener(this.domNode,"click",function(t){e.editor.focus(),e.onclick(e.position)}))),this.domNode},e.prototype.getPosition=function(){return this.visible?{position:this.position,preference:[r.ContentWidgetPositionPreference.BELOW,r.ContentWidgetPositionPreference.ABOVE]}:null},e.prototype.show=function(e){this.visible&&i.Position.equals(this.position,e)||(this.position=e,this.visible=!0,this.editor.layoutContentWidget(this))},e.prototype.hide=function(){this.visible&&(this.visible=!1,this.editor.layoutContentWidget(this))},e}();t.LightBulpWidget=s}),define("vs/editor/contrib/zoneWidget/browser/zoneWidget",["require","exports","vs/base/common/lifecycle","vs/base/common/objects","vs/base/browser/dom","vs/base/browser/ui/sash/sash","vs/editor/common/core/range","vs/editor/common/core/position","vs/css!./zoneWidget"],function(e,t,n,o,i,r,s,a){"use strict";var l={showArrow:!0,showFrame:!0,frameColor:"",className:""},u="vs.editor.contrib.zoneWidget",c=function(){function e(e,t,n,o,i,r){this.domNode=e,this.afterLineNumber=t,this.afterColumn=n,this.heightInLines=o,this._onDomNodeTop=i,this._onComputedHeight=r}return e.prototype.onDomNodeTop=function(e){this._onDomNodeTop(e)},e.prototype.onComputedHeight=function(e){this._onComputedHeight(e)},e}();t.ViewZoneDelegate=c;var d=function(){function e(e,t){this._id=e,this._domNode=t}return e.prototype.getId=function(){return this._id},e.prototype.getDomNode=function(){return this._domNode},e.prototype.getPosition=function(){return null},e}();t.OverlayWidgetDelegate=d;var h=function(){function e(e,t){var i=this;void 0===t&&(t={}),this._viewZone=null,this._overlayWidget=null,this._disposables=new n.Disposables,this.container=null,this.editor=e,this.options=o.mixin(o.clone(l),t),this.domNode=document.createElement("div"),this.options.isAccessible||(this.domNode.setAttribute("aria-hidden","true"),this.domNode.setAttribute("role","presentation")),this._disposables.add(this.editor.onDidLayoutChange(function(e){var t=i._getWidth(e);i.domNode.style.width=t+"px",i._onWidth(t)}))}return e.prototype.create=function(){i.addClass(this.domNode,"zone-widget"),i.addClass(this.domNode,this.options.className),this.container=document.createElement("div"),i.addClass(this.container,"zone-widget-container"),this.domNode.appendChild(this.container),this._fillContainer(this.container),this._initSash()},e.prototype._getWidth=function(e){return void 0===e&&(e=this.editor.getLayoutInfo()),e.width-e.verticalScrollbarWidth},e.prototype._onViewZoneTop=function(e){this.domNode.style.top=e+"px"},e.prototype._onViewZoneHeight=function(e){this.domNode.style.height=e+"px";var t=e-this._decoratingElementsHeight();this.container.style.height=t+"px",this._doLayout(t,this._getWidth()),this._resizeSash.layout()},e.prototype.show=function(e,t){var n=s.Range.isIRange(e)?e:a.Position.asEmptyRange(e);this._showImpl(n,t)},e.prototype._decoratingElementsHeight=function(){var e=this.editor.getConfiguration().lineHeight,t=0;if(this.options.showArrow){var n=Math.round(e/3);t+=2*n}if(this.options.showFrame){var o=Math.round(e/9);t+=2*o}return t},e.prototype._showImpl=function(e,t){var n=this,o={lineNumber:e.startLineNumber,column:e.startColumn},i=this._getWidth();this.domNode.style.width=i+"px",this.editor.revealPosition(o);var r=document.createElement("div"),s=document.createElement("div"),a=this.editor.getConfiguration().lineHeight,l=0,h=0;this.options.showArrow&&(l=Math.round(a/3),s=document.createElement("div"),s.className="zone-widget-arrow below",s.style.top=-l+"px",s.style.borderWidth=l+"px",s.style.left=this.editor.getOffsetForColumn(o.lineNumber,o.column)+"px",s.style.borderBottomColor=this.options.frameColor,r.appendChild(s)),this.options.showFrame&&(h=Math.round(a/9)),this.editor.changeViewZones(function(e){n._viewZone&&e.removeZone(n._viewZone.id),n._overlayWidget&&(n.editor.removeOverlayWidget(n._overlayWidget),n._overlayWidget=null),n.domNode.style.top="-1000px",n._viewZone=new c(r,o.lineNumber,o.column,t,function(e){return n._onViewZoneTop(e)},function(e){return n._onViewZoneHeight(e)}),n._viewZone.id=e.addZone(n._viewZone),n._overlayWidget=new d(u+n._viewZone.id,n.domNode),n.editor.addOverlayWidget(n._overlayWidget)}),this.options.showFrame&&(this.container.style.borderTopColor=this.options.frameColor,this.container.style.borderBottomColor=this.options.frameColor,this.container.style.borderTopWidth=h+"px",this.container.style.borderBottomWidth=h+"px");var p=t*a-this._decoratingElementsHeight();this.container.style.top=l+"px",this.container.style.height=p+"px",this.container.style.overflow="hidden",this._doLayout(p,i),this.editor.setSelection(e);var m=Math.min(this.editor.getModel().getLineCount(),Math.max(1,e.endLineNumber+1));this.editor.revealLine(m),this.position=o},e.prototype.dispose=function(){var e=this;this._disposables.dispose(),this._overlayWidget&&(this.editor.removeOverlayWidget(this._overlayWidget),this._overlayWidget=null),this._viewZone&&this.editor.changeViewZones(function(t){t.removeZone(e._viewZone.id),e._viewZone=null})},e.prototype._onWidth=function(e){},e.prototype._doLayout=function(e,t){},e.prototype._initSash=function(){var e=this;this._resizeSash=new r.Sash(this.domNode,this,{orientation:r.Orientation.HORIZONTAL}),this.options.isResizeable||(this._resizeSash.hide(),this._resizeSash.disable());var t;this._disposables.add(this._resizeSash.addListener2("start",function(n){e._viewZone&&(t={startY:n.startY,heightInLines:e._viewZone.heightInLines})})),this._disposables.add(this._resizeSash.addListener2("end",function(){t=void 0})),this._disposables.add(this._resizeSash.addListener2("change",function(n){if(t){var o=(n.currentY-t.startY)/e.editor.getConfiguration().lineHeight,i=0>o?Math.ceil(o):Math.floor(o),r=t.heightInLines+i;r>5&&35>r&&e.editor.changeViewZones(function(t){e._viewZone.heightInLines=r,t.layoutZone(e._viewZone.id)})}}))},e.prototype.getHorizontalSashLeft=function(){return 0},e.prototype.getHorizontalSashTop=function(){return parseInt(this.domNode.style.height)-this._decoratingElementsHeight()/2},e.prototype.getHorizontalSashWidth=function(){return this.editor.getLayoutInfo().width},e}();t.ZoneWidget=h}),define("vs/nls!vs/base/common/severity",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/base/common/severity",t)}),define("vs/base/common/severity",["require","exports","vs/nls!vs/base/common/severity","vs/base/common/strings"],function(e,t,n,o){"use strict";var i;!function(e){e[e.Ignore=0]="Ignore",e[e.Info=1]="Info",e[e.Warning=2]="Warning",e[e.Error=3]="Error"}(i||(i={}));var i;!function(e){function t(t){return t?o.equalsIgnoreCase(s,t)?e.Error:o.equalsIgnoreCase(a,t)||o.equalsIgnoreCase(l,t)?e.Warning:o.equalsIgnoreCase(u,t)?e.Info:e.Ignore:e.Ignore}function i(e){return c[e]||o.empty}function r(e,t){return t-e}var s="error",a="warning",l="warn",u="info",c=Object.create(null);c[e.Error]=n.localize(0,null),c[e.Warning]=n.localize(1,null),c[e.Info]=n.localize(2,null),e.fromValue=t,e.toString=i,e.compare=r}(i||(i={})),Object.defineProperty(t,"__esModule",{value:!0}),t["default"]=i}),define("vs/editor/common/standalone/standaloneBase",["require","exports","vs/base/common/event","vs/base/common/keyCodes","vs/editor/common/core/position","vs/editor/common/core/range","vs/editor/common/core/selection","vs/editor/common/editorCommon","vs/base/common/winjs.base","vs/base/common/cancellation","vs/base/common/severity","vs/base/common/uri"],function(e,t,n,o,i,r,s,a,l,u,c,d){"use strict";function h(){return{editor:void 0,worker:void 0,languages:void 0,CancellationTokenSource:u.CancellationTokenSource,Emitter:n.Emitter,KeyCode:o.KeyCode,KeyMod:o.KeyMod,Position:i.Position,Range:r.Range,Selection:s.Selection,SelectionDirection:a.SelectionDirection,Severity:c["default"],Promise:l.TPromise,Uri:d["default"]}}t.createMonacoBaseAPI=h}),define("vs/nls!vs/base/parts/quickopen/browser/quickOpenModel",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/base/parts/quickopen/browser/quickOpenModel",t)}),define("vs/nls!vs/base/parts/quickopen/browser/quickOpenWidget",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/base/parts/quickopen/browser/quickOpenWidget",t)}),define("vs/nls!vs/base/parts/tree/browser/treeDefaults",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/base/parts/tree/browser/treeDefaults",t)});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/parts/tree/browser/treeDefaults",["require","exports","vs/nls!vs/base/parts/tree/browser/treeDefaults","vs/base/common/winjs.base","vs/base/common/actions","vs/base/common/platform","vs/base/common/errors","vs/base/browser/dom","vs/base/common/keyCodes"],function(e,t,n,o,i,r,s,a,l){"use strict";var u=function(){function e(){}return e.prototype.getHeight=function(e,t){return 20},e.prototype.getTemplateId=function(e,t){return"legacy"},e.prototype.renderTemplate=function(e,t,n){return{root:n,element:null,previousCleanupFn:null}},e.prototype.renderElement=function(e,t,n,o){for(o.previousCleanupFn&&o.previousCleanupFn(e,o.element);o.root.firstChild;)o.root.removeChild(o.root.firstChild);o.element=t,o.previousCleanupFn=this.render(e,t,o.root)},e.prototype.disposeTemplate=function(e,t,n){n.previousCleanupFn&&n.previousCleanupFn(e,n.element),n.root=null,n.element=null,n.previousCleanupFn=null},e.prototype.render=function(e,t,n,o){return n.textContent=""+t,null},e}();t.LegacyRenderer=u,function(e){e[e.ON_MOUSE_DOWN=0]="ON_MOUSE_DOWN",e[e.ON_MOUSE_UP=1]="ON_MOUSE_UP"}(t.ClickBehavior||(t.ClickBehavior={}));var c=t.ClickBehavior,d=function(){function e(){this._arr=[]}return e.prototype.set=function(e,t){this._arr.push({keybinding:e,callback:t})},e.prototype.dispatch=function(e){for(var t=this._arr.length-1;t>=0;t--){var n=this._arr[t];if(e===n.keybinding)return n.callback}return null},e}();t.KeybindingDispatcher=d;var h=function(){function e(e){var t=this;void 0===e&&(e={clickBehavior:c.ON_MOUSE_UP}),this.options=e,this.downKeyBindingDispatcher=new d,this.downKeyBindingDispatcher.set(l.CommonKeybindings.SPACE,function(e,n){return t.onSpace(e,n)}),this.downKeyBindingDispatcher.set(l.CommonKeybindings.UP_ARROW,function(e,n){return t.onUp(e,n)}),this.downKeyBindingDispatcher.set(l.CommonKeybindings.PAGE_UP,function(e,n){return t.onPageUp(e,n)}),this.downKeyBindingDispatcher.set(l.CommonKeybindings.DOWN_ARROW,function(e,n){return t.onDown(e,n)}),this.downKeyBindingDispatcher.set(l.CommonKeybindings.PAGE_DOWN,function(e,n){return t.onPageDown(e,n)}),this.downKeyBindingDispatcher.set(l.CommonKeybindings.LEFT_ARROW,function(e,n){return t.onLeft(e,n)}),this.downKeyBindingDispatcher.set(l.CommonKeybindings.RIGHT_ARROW,function(e,n){return t.onRight(e,n)}),this.downKeyBindingDispatcher.set(l.CommonKeybindings.ESCAPE,function(e,n){return t.onEscape(e,n)}),this.upKeyBindingDispatcher=new d,this.upKeyBindingDispatcher.set(l.CommonKeybindings.ENTER,this.onEnter.bind(this)),this.upKeyBindingDispatcher.set(l.CommonKeybindings.CTRLCMD_ENTER,this.onEnter.bind(this))}return e.prototype.onMouseDown=function(e,t,n,o){if(void 0===o&&(o="mouse"),this.options.clickBehavior===c.ON_MOUSE_DOWN&&n.leftButton){if(n.target){if(n.target.tagName&&"input"===n.target.tagName.toLowerCase())return!1;if(a.findParentWithClass(n.target,"monaco-action-bar","row"))return!1}return this.onLeftClick(e,t,n,o)}return!1},e.prototype.onClick=function(e,t,n){var o=r.isMacintosh;return o&&n.ctrlKey?(n.preventDefault(),n.stopPropagation(),!1):n.middleButton?!1:n.target&&n.target.tagName&&"input"===n.target.tagName.toLowerCase()?!1:this.options.clickBehavior===c.ON_MOUSE_DOWN&&n.leftButton?!1:this.onLeftClick(e,t,n)},e.prototype.onLeftClick=function(e,t,n,o){void 0===o&&(o="mouse");var i={origin:o,originalEvent:n};if(e.getInput()===t)e.clearFocus(i),e.clearSelection(i);else{var r=n&&n.browserEvent&&"mousedown"===n.browserEvent.type;r||n.preventDefault(),n.stopPropagation(),e.DOMFocus(),e.setSelection([t],i),e.setFocus(t,i),e.isExpanded(t)?e.collapse(t).done(null,s.onUnexpectedError):e.expand(t).done(null,s.onUnexpectedError)}return!0},e.prototype.onContextMenu=function(e,t,n){return n.target&&n.target.tagName&&"input"===n.target.tagName.toLowerCase()?!1:(n&&(n.preventDefault(),n.stopPropagation()),!1)},e.prototype.onTap=function(e,t,n){var o=n.initialTarget;return o&&o.tagName&&"input"===o.tagName.toLowerCase()?!1:this.onLeftClick(e,t,n,"touch")},e.prototype.onKeyDown=function(e,t){return this.onKey(this.downKeyBindingDispatcher,e,t)},e.prototype.onKeyUp=function(e,t){return this.onKey(this.upKeyBindingDispatcher,e,t)},e.prototype.onKey=function(e,t,n){var o=e.dispatch(n.asKeybinding());return o&&o(t,n)?(n.preventDefault(),n.stopPropagation(),!0):!1},e.prototype.onUp=function(e,t){var n={origin:"keyboard",originalEvent:t};return e.getHighlight()?e.clearHighlight(n):(e.focusPrevious(1,n),e.reveal(e.getFocus()).done(null,s.onUnexpectedError)),!0},e.prototype.onPageUp=function(e,t){var n={origin:"keyboard",originalEvent:t};return e.getHighlight()?e.clearHighlight(n):(e.focusPreviousPage(n),e.reveal(e.getFocus()).done(null,s.onUnexpectedError)),!0},e.prototype.onDown=function(e,t){var n={origin:"keyboard",originalEvent:t};return e.getHighlight()?e.clearHighlight(n):(e.focusNext(1,n),e.reveal(e.getFocus()).done(null,s.onUnexpectedError)),!0},e.prototype.onPageDown=function(e,t){var n={origin:"keyboard",originalEvent:t};return e.getHighlight()?e.clearHighlight(n):(e.focusNextPage(n),e.reveal(e.getFocus()).done(null,s.onUnexpectedError)),!0},e.prototype.onLeft=function(e,t){var n={origin:"keyboard",originalEvent:t};if(e.getHighlight())e.clearHighlight(n);else{var o=e.getFocus();e.collapse(o).then(function(t){return o&&!t?(e.focusParent(n),e.reveal(e.getFocus())):void 0}).done(null,s.onUnexpectedError)}return!0},e.prototype.onRight=function(e,t){var n={origin:"keyboard",originalEvent:t};if(e.getHighlight())e.clearHighlight(n);else{var o=e.getFocus();e.expand(o).done(null,s.onUnexpectedError)}return!0},e.prototype.onEnter=function(e,t){var n={origin:"keyboard",originalEvent:t};if(e.getHighlight())return!1;var o=e.getFocus();return o&&e.setSelection([o],n),!0},e.prototype.onSpace=function(e,t){if(e.getHighlight())return!1;var n=e.getFocus();return n&&e.toggleExpansion(n),!0},e.prototype.onEscape=function(e,t){var n={origin:"keyboard",originalEvent:t};return e.getHighlight()?(e.clearHighlight(n),!0):e.getSelection().length?(e.clearSelection(n),!0):e.getFocus()?(e.clearFocus(n),!0):!1},e}();t.DefaultController=h;var p=function(){function e(){}return e.prototype.getDragURI=function(e,t){return null},e.prototype.onDragStart=function(e,t,n){},e.prototype.onDragOver=function(e,t,n,o){return null},e.prototype.drop=function(e,t,n,o){},e}();t.DefaultDragAndDrop=p;var m=function(){function e(){}return e.prototype.isVisible=function(e,t){return!0},e}();t.DefaultFilter=m;var f=function(){function e(){}return e.prototype.compare=function(e,t,n){return 0},e}();t.DefaultSorter=f;var g=function(){function e(){}return e.prototype.getAriaLabel=function(e,t){return null},e}();t.DefaultAccessibilityProvider=g;var v=function(e){function t(t,i){e.call(this,"workbench.action.collapse",n.localize(0,null),"monaco-tree-action collapse-all",i,function(e){return t.getHighlight()?o.TPromise.as(null):(t.collapseAll(),t.clearSelection(),t.clearFocus(),t.DOMFocus(),t.focusFirst(),o.TPromise.as(null))})}return __extends(t,e),t}(i.Action);t.CollapseAllAction=v});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/parts/quickopen/browser/quickOpenModel",["require","exports","vs/nls!vs/base/parts/quickopen/browser/quickOpenModel","vs/base/common/winjs.base","vs/base/common/types","vs/base/common/filters","vs/base/common/strings","vs/base/common/paths","vs/base/common/comparers","vs/base/browser/ui/actionbar/actionbar","vs/base/parts/tree/browser/treeDefaults","vs/base/browser/ui/highlightedlabel/highlightedLabel","vs/base/browser/dom","vs/base/common/scorer"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p){"use strict";var m=0,f=function(){function e(e){void 0===e&&(e=[]),this.id=(m++).toString(),this.labelHighlights=e,this.descriptionHighlights=[]}return e.prototype.getId=function(){return this.id},e.prototype.getLabel=function(){return null},e.prototype.getAriaLabel=function(){return this.getLabel()},e.prototype.getDetail=function(){return null},e.prototype.getIcon=function(){return null},e.prototype.getDescription=function(){return null},e.prototype.getResource=function(){return null},e.prototype.getExtraClass=function(){return null},e.prototype.isHidden=function(){return this.hidden},e.prototype.setHidden=function(e){this.hidden=e},e.prototype.setHighlights=function(e,t,n){this.labelHighlights=e,this.descriptionHighlights=t,this.detailHighlights=n},e.prototype.getHighlights=function(){return[this.labelHighlights,this.descriptionHighlights,this.detailHighlights]},e.prototype.run=function(e,t){return!1},e.compare=function(e,t,n){n&&(n=s.stripWildcards(n).toLowerCase());var o=e.getHighlights()[0]||[],i=t.getHighlights()[0]||[];if(o.length&&!i.length)return-1;if(!o.length&&i.length)return 1;var r=e.getLabel(),a=t.getLabel();if(r===a){var u=e.getResource(),c=t.getResource();u&&c&&(r=u.fsPath,a=c.fsPath)}return l.compareAnything(r,a,n)},e.compareByScore=function(e,t,n,o,i){var r=e.getLabel(),s=t.getLabel(),a=l.compareByPrefix(r,s,n);if(a)return a;var u=p.score(r,n,i),c=p.score(s,n,i);if(u!==c)return u>c?-1:1;var d=e.getResource(),h=t.getResource();if(d&&h){var m=p.score(d.fsPath,n,i),f=p.score(h.fsPath,n,i);if(m!==f)return m>f?-1:1}return r.length!==s.length?r.length<s.length?-1:1:d&&h&&d.fsPath.length!==h.fsPath.length?d.fsPath.length<h.fsPath.length?-1:1:r===s&&d&&h?l.compareAnything(d.fsPath,h.fsPath,o):l.compareAnything(r,s,o)},e.highlight=function(e,t,n){void 0===n&&(n=!1);var o=[],i=[],s=e.getLabel(),l=e.getDescription();if(e.getResource())if(t.toLowerCase()===e.getResource().fsPath.toLowerCase())o.push({start:0,end:s.length}),i.push({start:0,end:l.length});else if(n||t.indexOf(a.nativeSep)>=0){var u=r.matchesFuzzy(t,s,n);if(u)o=u;else{var c=l?l+a.nativeSep:"",d=c.length,h=r.matchesFuzzy(t,c+s,n);h&&h.forEach(function(e){e.start<d&&e.end>d?(o.push({start:0,end:e.end-d}),i.push({start:e.start,end:d})):e.start>=d?o.push({start:e.start-d,end:e.end-d}):i.push(e)})}}else o=r.matchesFuzzy(t,s);else o=r.matchesFuzzy(t,s);return{labelHighlights:o,descriptionHighlights:i}},e}();t.QuickOpenEntry=f;var g=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),t.prototype.getHeight=function(){return 0},t.prototype.render=function(e,t,n){return null},t}(f);t.QuickOpenEntryItem=g;var v=function(e){function t(t,n,o){e.call(this),this.entry=t,this.groupLabel=n,this.withBorder=o}return __extends(t,e),t.prototype.getGroupLabel=function(){return this.groupLabel},t.prototype.setGroupLabel=function(e){this.groupLabel=e},t.prototype.showBorder=function(){return this.withBorder},t.prototype.setShowBorder=function(e){this.withBorder=e},t.prototype.getLabel=function(){return this.entry?this.entry.getLabel():e.prototype.getLabel.call(this)},t.prototype.getAriaLabel=function(){return this.entry?this.entry.getAriaLabel():e.prototype.getAriaLabel.call(this)},t.prototype.getDetail=function(){return this.entry?this.entry.getDetail():e.prototype.getDetail.call(this)},t.prototype.getResource=function(){return this.entry?this.entry.getResource():e.prototype.getResource.call(this)},t.prototype.getIcon=function(){return this.entry?this.entry.getIcon():e.prototype.getIcon.call(this)},t.prototype.getDescription=function(){return this.entry?this.entry.getDescription():e.prototype.getDescription.call(this)},t.prototype.getEntry=function(){return this.entry},t.prototype.getHighlights=function(){return this.entry?this.entry.getHighlights():e.prototype.getHighlights.call(this)},t.prototype.getExtraClass=function(){return this.entry?this.entry.getExtraClass():e.prototype.getExtraClass.call(this)},t.prototype.isHidden=function(){return this.entry?this.entry.isHidden():e.prototype.isHidden.call(this)},t.prototype.setHighlights=function(t,n,o){this.entry?this.entry.setHighlights(t,n,o):e.prototype.setHighlights.call(this,t,n,o)},t.prototype.setHidden=function(t){this.entry?this.entry.setHidden(t):e.prototype.setHidden.call(this,t)},t.prototype.run=function(t,n){return this.entry?this.entry.run(t,n):e.prototype.run.call(this,t,n)},t}(f);t.QuickOpenEntryGroup=v;var y="quickOpenEntry",_="quickOpenEntryGroup",b="quickOpenEntryItem",C=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),t.prototype.getTemplateId=function(e,t){return b},t.prototype.render=function(t,n,o,i){return n instanceof g?n.render(t,o,i):e.prototype.render.call(this,t,n,o,i)},t}(c.LegacyRenderer),w=function(){function e(){}return e.prototype.hasActions=function(e,t){return!1},e.prototype.getActions=function(e,t){return o.TPromise.as(null)},e.prototype.hasSecondaryActions=function(e,t){return!1},e.prototype.getSecondaryActions=function(e,t){return o.TPromise.as(null)},e.prototype.getActionItem=function(e,t,n){return null},e}(),E=function(){function e(e,t){void 0===e&&(e=new w),void 0===t&&(t=null),this.actionProvider=e,this.actionRunner=t,this.entryItemRenderer=new C}return e.prototype.getHeight=function(e){return e instanceof g?e.getHeight():e.getDetail()?44:22},e.prototype.getTemplateId=function(e){return e instanceof g?b:e instanceof v?_:y},e.prototype.renderTemplate=function(e,t){if(e===b)return this.entryItemRenderer.renderTemplate(null,e,t);var n;e===_&&(n=document.createElement("div"),h.addClass(n,"results-group"),t.appendChild(n)),h.addClass(t,"actions");var o=document.createElement("div");h.addClass(o,"sub-content"),t.appendChild(o);var i=document.createElement("div");h.addClass(i,"primary-action-bar"),t.appendChild(i);var r=new u.ActionBar(i,{actionRunner:this.actionRunner}),s=document.createElement("div");h.addClass(s,"quick-open-entry"),o.appendChild(s);var a=document.createElement("span");s.appendChild(a);var l=new d.HighlightedLabel(s),c=document.createElement("span");s.appendChild(c),h.addClass(c,"quick-open-entry-description");var p=new d.HighlightedLabel(c),m=document.createElement("div");s.appendChild(m),h.addClass(m,"quick-open-entry-meta");var f=new d.HighlightedLabel(m);return{container:t,entry:s,icon:a,label:l,detail:f,description:p,group:n,actionBar:r}},e.prototype.renderElement=function(e,t,n){if(t===b)return void this.entryItemRenderer.renderElement(null,e,t,n);var o=n;if(this.actionProvider.hasActions(null,e)?h.addClass(o.container,"has-actions"):h.removeClass(o.container,"has-actions"),o.actionBar.context=e,this.actionProvider.getActions(null,e).then(function(e){o.actionBar.isEmpty()&&e&&e.length>0?o.actionBar.push(e,{icon:!0,label:!1}):o.actionBar.isEmpty()||e&&0!==e.length||o.actionBar.clear()}),e instanceof v){var i=e;i.showBorder()?h.addClass(o.container,"results-group-separator"):h.removeClass(o.container,"results-group-separator");var r=i.getGroupLabel()||"";n.group.textContent=r}if(e instanceof f){var s=e.getHighlights(),a=s[0],l=s[1],u=s[2],c=e.getExtraClass();c?h.addClass(o.entry,c):o.entry.className="quick-open-entry";var d=e.getIcon()?"quick-open-entry-icon "+e.getIcon():"";o.icon.className=d,o.label.set(e.getLabel(),a||[]),o.detail.set(e.getDetail(),u),o.description.set(e.getDescription(),l||[]),o.description.element.title=e.getDescription()}},e.prototype.disposeTemplate=function(e,t){if(e===b)this.entryItemRenderer.disposeTemplate(null,e,t);else{var n=t;n.actionBar.dispose(),n.actionBar=null,n.container=null,n.entry=null,n.description.dispose(),n.description=null,n.detail.dispose(),n.detail=null,n.group=null,n.icon=null,n.label.dispose(),n.label=null}},e}(),S=function(){function e(e,t){void 0===e&&(e=[]),void 0===t&&(t=new w),this._entries=e,this._dataSource=this,this._renderer=new E(t),this._filter=this,this._runner=this,this._accessibilityProvider=this}return Object.defineProperty(e.prototype,"entries",{get:function(){return this._entries},set:function(e){this._entries=e},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"dataSource",{get:function(){return this._dataSource},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"renderer",{get:function(){return this._renderer},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"filter",{get:function(){return this._filter},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"runner",{get:function(){return this._runner},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"accessibilityProvider",{get:function(){return this._accessibilityProvider},enumerable:!0,configurable:!0}),e.prototype.addEntries=function(e){i.isArray(e)&&(this._entries=this._entries.concat(e))},e.prototype.setEntries=function(e){i.isArray(e)&&(this._entries=e)},e.prototype.getEntries=function(e){return e?this._entries.filter(function(e){return!e.isHidden()}):this._entries},e.prototype.getId=function(e){return e.getId()},e.prototype.getLabel=function(e){return e.getLabel()},e.prototype.getAriaLabel=function(e){var t=e.getAriaLabel();return t?n.localize(0,null,e.getAriaLabel()):n.localize(1,null)},e.prototype.isVisible=function(e){return!e.isHidden()},e.prototype.run=function(e,t,n){return e.run(t,n)},e}();t.QuickOpenModel=S});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/parts/tree/browser/treeImpl",["require","exports","vs/base/parts/tree/browser/treeDefaults","vs/base/common/eventEmitter","vs/base/parts/tree/browser/treeModel","./treeView","vs/base/common/iterator","vs/css!./tree"],function(e,t,n,o,i,r,s){"use strict";var a=function(){function e(e,t,o){if(void 0===o&&(o={}),this.tree=e,this.configuration=t,this.options=o,!t.dataSource)throw new Error("You must provide a Data Source to the tree.");this.dataSource=t.dataSource,this.renderer=t.renderer||new n.LegacyRenderer,this.controller=t.controller||new n.DefaultController,this.dnd=t.dnd||new n.DefaultDragAndDrop,this.filter=t.filter||new n.DefaultFilter,this.sorter=t.sorter||null,this.accessibilityProvider=t.accessibilityProvider||new n.DefaultAccessibilityProvider}return e}();t.TreeContext=a;var l=function(e){function t(t,n,o){void 0===o&&(o={}),e.call(this),this.container=t,this.configuration=n,this.options=o,this.options.twistiePixels="number"==typeof this.options.twistiePixels?this.options.twistiePixels:32,this.options.indentPixels="number"==typeof this.options.indentPixels?this.options.indentPixels:12,this.options.alwaysFocused=this.options.alwaysFocused===!0,this.options.bare=this.options.bare===!0,
this.options.useShadows=this.options.useShadows!==!1,this.options.paddingOnRow=this.options.paddingOnRow!==!1,this.context=new a(this,n,o),this.model=new i.TreeModel(this.context),this.view=new r.TreeView(this.context,this.container),this.view.setModel(this.model),this.addEmitter2(this.model),this.addEmitter2(this.view)}return __extends(t,e),t.prototype.getHTMLElement=function(){return this.view.getHTMLElement()},t.prototype.layout=function(e){this.view.layout(e)},t.prototype.DOMFocus=function(){this.view.focus()},t.prototype.isDOMFocused=function(){return this.view.isFocused()},t.prototype.DOMBlur=function(){this.view.blur()},t.prototype.onVisible=function(){this.view.onVisible()},t.prototype.onHidden=function(){this.view.onHidden()},t.prototype.setInput=function(e){return this.model.setInput(e)},t.prototype.getInput=function(){return this.model.getInput()},t.prototype.refresh=function(e,t){return void 0===e&&(e=null),void 0===t&&(t=!0),this.model.refresh(e,t)},t.prototype.refreshAll=function(e,t){return void 0===t&&(t=!0),this.model.refreshAll(e,t)},t.prototype.expand=function(e){return this.model.expand(e)},t.prototype.expandAll=function(e){return this.model.expandAll(e)},t.prototype.collapse=function(e,t){return void 0===t&&(t=!1),this.model.collapse(e)},t.prototype.collapseAll=function(e,t){return void 0===e&&(e=null),void 0===t&&(t=!1),this.model.collapseAll(e,t)},t.prototype.toggleExpansion=function(e){return this.model.toggleExpansion(e)},t.prototype.toggleExpansionAll=function(e){return this.model.toggleExpansionAll(e)},t.prototype.isExpanded=function(e){return this.model.isExpanded(e)},t.prototype.getExpandedElements=function(){return this.model.getExpandedElements()},t.prototype.reveal=function(e,t){return void 0===t&&(t=null),this.model.reveal(e,t)},t.prototype.getScrollPosition=function(){return this.view.getScrollPosition()},t.prototype.setScrollPosition=function(e){this.view.setScrollPosition(e)},t.prototype.getContentHeight=function(){return this.view.getTotalHeight()},t.prototype.setHighlight=function(e,t){this.model.setHighlight(e,t)},t.prototype.getHighlight=function(){return this.model.getHighlight()},t.prototype.isHighlighted=function(e){return this.model.isFocused(e)},t.prototype.clearHighlight=function(e){this.model.setHighlight(null,e)},t.prototype.select=function(e,t){this.model.select(e,t)},t.prototype.selectRange=function(e,t,n){this.model.selectRange(e,t,n)},t.prototype.deselectRange=function(e,t,n){this.model.deselectRange(e,t,n)},t.prototype.selectAll=function(e,t){this.model.selectAll(e,t)},t.prototype.deselect=function(e,t){this.model.deselect(e,t)},t.prototype.deselectAll=function(e,t){this.model.deselectAll(e,t)},t.prototype.setSelection=function(e,t){this.model.setSelection(e,t)},t.prototype.toggleSelection=function(e,t){this.model.toggleSelection(e,t)},t.prototype.isSelected=function(e){return this.model.isSelected(e)},t.prototype.getSelection=function(){return this.model.getSelection()},t.prototype.clearSelection=function(e){this.model.setSelection([],e)},t.prototype.selectNext=function(e,t,n){this.model.selectNext(e,t,n)},t.prototype.selectPrevious=function(e,t,n){this.model.selectPrevious(e,t,n)},t.prototype.selectParent=function(e,t){this.model.selectParent(e,t)},t.prototype.setFocus=function(e,t){this.model.setFocus(e,t)},t.prototype.isFocused=function(e){return this.model.isFocused(e)},t.prototype.getFocus=function(){return this.model.getFocus()},t.prototype.focusNext=function(e,t){this.model.focusNext(e,t)},t.prototype.focusPrevious=function(e,t){this.model.focusPrevious(e,t)},t.prototype.focusParent=function(e){this.model.focusParent(e)},t.prototype.focusFirst=function(e){this.model.focusFirst(e)},t.prototype.focusNth=function(e,t){this.model.focusNth(e,t)},t.prototype.focusLast=function(e){this.model.focusLast(e)},t.prototype.focusNextPage=function(e){this.view.focusNextPage(e)},t.prototype.focusPreviousPage=function(e){this.view.focusPreviousPage(e)},t.prototype.clearFocus=function(e){this.model.setFocus(null,e)},t.prototype.addTraits=function(e,t){this.model.addTraits(e,t)},t.prototype.removeTraits=function(e,t){this.model.removeTraits(e,t)},t.prototype.toggleTrait=function(e,t){this.model.hasTrait(e,t)?this.model.removeTraits(e,[t]):this.model.addTraits(e,[t])},t.prototype.hasTrait=function(e,t){return this.model.hasTrait(e,t)},t.prototype.getNavigator=function(){return new s.MappedNavigator(this.model.getNavigator(),function(e){return e&&e.getElement()})},t.prototype.dispose=function(){null!==this.model&&(this.model.dispose(),this.model=null),null!==this.view&&(this.view.dispose(),this.view=null),e.prototype.dispose.call(this)},t}(o.EventEmitter);t.Tree=l});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/parts/quickopen/browser/quickOpenWidget",["require","exports","vs/nls!vs/base/parts/quickopen/browser/quickOpenWidget","vs/base/common/winjs.base","vs/base/common/platform","vs/base/browser/browser","vs/base/common/events","vs/base/common/types","vs/base/common/errors","vs/base/common/uuid","vs/base/parts/quickopen/common/quickOpen","vs/base/parts/quickopen/browser/quickOpenViewer","vs/base/browser/builder","vs/base/browser/ui/inputbox/inputBox","vs/base/common/severity","vs/base/parts/tree/browser/treeImpl","vs/base/browser/ui/progressbar/progressbar","vs/base/browser/keyboardEvent","vs/base/parts/tree/browser/treeDefaults","vs/base/browser/dom","vs/base/common/keyCodes","vs/base/common/lifecycle","vs/base/browser/ui/scrollbar/scrollableElementOptions","vs/css!./quickopen"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m,f,g,v,y,_,b,C,w){"use strict";var E=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),t.prototype.onContextMenu=function(t,n,o){return i.isMacintosh?this.onLeftClick(t,n,o):e.prototype.onContextMenu.call(this,t,n,o)},t}(y.DefaultController);t.QuickOpenController=E,function(e){e[e.ELEMENT_SELECTED=0]="ELEMENT_SELECTED",e[e.FOCUS_LOST=1]="FOCUS_LOST",e[e.CANCELED=2]="CANCELED"}(t.HideReason||(t.HideReason={}));var S=t.HideReason,x=n.localize(0,null),T=function(){function e(e,t,n,o){this.toUnbind=[],this.container=e,this.callbacks=t,this.options=n,this.usageLogger=o,this.model=null}return e.prototype.getModel=function(){return this.model},e.prototype.setCallbacks=function(e){this.callbacks=e},e.prototype.create=function(){var e=this;this.builder=h.$().div(function(t){t.on(_.EventType.KEY_DOWN,function(t){var n=new v.StandardKeyboardEvent(t);n.keyCode===b.KeyCode.Escape&&(_.EventHelper.stop(t,!0),e.hide(S.CANCELED))}).on(_.EventType.CONTEXT_MENU,function(e){return _.EventHelper.stop(e,!0)}).on(_.EventType.FOCUS,function(t){return e.gainingFocus()},null,!0).on(_.EventType.BLUR,function(t){return e.loosingFocus(t)},null,!0),e.progressBar=new g.ProgressBar(t.clone()),e.progressBar.getContainer().hide(),t.div({"class":"quick-open-input"},function(t){e.inputContainer=t,e.inputBox=new p.InputBox(t.getHTMLElement(),null,{placeholder:e.options.inputPlaceHolder||"",ariaLabel:x}),e.inputElement=e.inputBox.inputElement,e.inputElement.setAttribute("role","combobox"),e.inputElement.setAttribute("aria-haspopup","false"),e.inputElement.setAttribute("aria-autocomplete","list"),_.addDisposableListener(e.inputBox.inputElement,_.EventType.KEY_DOWN,function(t){var n=new v.StandardKeyboardEvent(t);if(n.keyCode!==b.KeyCode.Tab)if(n.keyCode===b.KeyCode.Tab||n.keyCode===b.KeyCode.DownArrow||n.keyCode===b.KeyCode.UpArrow||n.keyCode===b.KeyCode.PageDown||n.keyCode===b.KeyCode.PageUp)_.EventHelper.stop(t,!0),e.navigateInTree(n.keyCode,n.shiftKey);else if(n.keyCode===b.KeyCode.Enter){_.EventHelper.stop(t,!0);var o=e.tree.getFocus();o&&e.elementSelected(o,t)}else!r.isIE9||n.keyCode!==b.KeyCode.Backspace&&n.keyCode!==b.KeyCode.Delete||e.onType()}),_.addDisposableListener(e.inputBox.inputElement,_.EventType.INPUT,function(t){e.onType()})}),e.treeContainer=t.div({"class":"quick-open-tree"},function(t){e.tree=new f.Tree(t.getHTMLElement(),{dataSource:new d.DataSource(e),controller:new E({clickBehavior:y.ClickBehavior.ON_MOUSE_UP}),renderer:new d.Renderer(e),filter:new d.Filter(e),accessibilityProvider:new d.AccessibilityProvider(e)},{twistiePixels:11,indentPixels:0,alwaysFocused:!0,verticalScrollMode:w.ScrollbarVisibility.Visible,ariaLabel:n.localize(1,null)}),e.treeElement=e.tree.getHTMLElement(),e.toUnbind.push(e.tree.addListener2(s.EventType.FOCUS,function(t){e.elementFocused(t.focus,t)})),e.toUnbind.push(e.tree.addListener2(s.EventType.SELECTION,function(t){t.selection&&t.selection.length>0&&e.elementSelected(t.selection[0],t)}))}).on(_.EventType.KEY_DOWN,function(t){var n=new v.StandardKeyboardEvent(t);e.quickNavigateConfiguration&&(n.keyCode!==b.KeyCode.DownArrow&&n.keyCode!==b.KeyCode.UpArrow&&n.keyCode!==b.KeyCode.PageDown&&n.keyCode!==b.KeyCode.PageUp||(_.EventHelper.stop(t,!0),e.navigateInTree(n.keyCode)))}).on(_.EventType.KEY_UP,function(t){var n=new v.StandardKeyboardEvent(t),o=n.keyCode;if(e.quickNavigateConfiguration){var r=e.quickNavigateConfiguration.keybindings,s=o===b.KeyCode.Enter||r.some(function(e){if(e.hasShift()&&o===b.KeyCode.Shift)return!(n.ctrlKey||n.altKey||n.metaKey);if(e.hasAlt()&&o===b.KeyCode.Alt)return!0;if(i.isMacintosh){if(e.hasCtrlCmd()&&o===b.KeyCode.Meta)return!0;if(e.hasWinCtrl()&&o===b.KeyCode.Ctrl)return!0}else{if(e.hasCtrlCmd()&&o===b.KeyCode.Ctrl)return!0;if(e.hasWinCtrl()&&o===b.KeyCode.Meta)return!0}return!1});if(s){var a=e.tree.getFocus();a&&e.elementSelected(a,t)}}}).clone()}).addClass("quick-open-widget").addClass(r.isIE10orEarlier?" no-shadow":"").build(this.container),this.layoutDimensions&&this.layout(this.layoutDimensions)},e.prototype.onType=function(){var e=this.inputBox.value;this.helpText&&(e?this.helpText.hide():this.helpText.show()),this.callbacks.onType(e)},e.prototype.quickNavigate=function(e,t){this.isVisible&&(this.quickNavigateConfiguration||(this.quickNavigateConfiguration=e,this.tree.DOMFocus()),this.navigateInTree(t?b.KeyCode.DownArrow:b.KeyCode.UpArrow))},e.prototype.navigateInTree=function(e,t){var n=this.tree.getInput(),o=n?n.entries:[],i=this.tree.getFocus(),r=!1,s=!1;if(o.length>1&&(!(e===b.KeyCode.UpArrow||e===b.KeyCode.Tab&&t)||i!==o[0]&&i?e!==b.KeyCode.DownArrow&&(e!==b.KeyCode.Tab||t)||i!==o[o.length-1]||(this.tree.focusFirst(),r=!0):(this.tree.focusLast(),r=!0)),!r)switch(e){case b.KeyCode.DownArrow:this.tree.focusNext();break;case b.KeyCode.UpArrow:this.tree.focusPrevious();break;case b.KeyCode.PageDown:this.tree.focusNextPage();break;case b.KeyCode.PageUp:this.tree.focusPreviousPage();break;case b.KeyCode.Tab:t?this.tree.focusPrevious():this.tree.focusNext()}i=this.tree.getFocus(),i&&(s?this.tree.reveal(i,0).done(null,l.onUnexpectedError):this.tree.reveal(i).done(null,l.onUnexpectedError))},e.prototype.elementFocused=function(e,t){if(e&&this.isVisible()){this.inputElement.setAttribute("aria-activedescendant",this.treeElement.getAttribute("aria-activedescendant"));var n={event:t,keymods:this.extractKeyMods(t),quickNavigateConfiguration:this.quickNavigateConfiguration};this.model.runner.run(e,c.Mode.PREVIEW,n)}},e.prototype.elementSelected=function(e,t){var n=!0;if(this.isVisible()){var o={event:t,keymods:this.extractKeyMods(t),quickNavigateConfiguration:this.quickNavigateConfiguration};n=this.model.runner.run(e,c.Mode.OPEN,o)}if(this.usageLogger){var i=this.model.entries.indexOf(e),r=this.model.entries.length;this.usageLogger.publicLog("quickOpenWidgetItemAccepted",{index:i,count:r,isQuickNavigate:!!this.quickNavigateConfiguration})}n&&this.hide(S.ELEMENT_SELECTED)},e.prototype.extractKeyMods=function(e){var t=e&&(e.ctrlKey||e.metaKey||e.payload&&e.payload.originalEvent&&(e.payload.originalEvent.ctrlKey||e.payload.originalEvent.metaKey));return t?[b.KeyMod.CtrlCmd]:[]},e.prototype.show=function(e,t){this.visible=!0,this.isLoosingFocus=!1,this.quickNavigateConfiguration=t?t.quickNavigateConfiguration:void 0,this.quickNavigateConfiguration?(this.inputContainer.hide(),this.options.enableAnimations&&this.treeContainer.removeClass("transition"),this.builder.show(),this.tree.DOMFocus()):(this.inputContainer.show(),this.options.enableAnimations&&this.treeContainer.addClass("transition"),this.builder.show(),this.inputBox.focus()),this.helpText&&(this.quickNavigateConfiguration||a.isString(e)?this.helpText.hide():this.helpText.show()),a.isString(e)?this.doShowWithPrefix(e):this.doShowWithInput(e,t&&t.autoFocus?t.autoFocus:{}),this.callbacks.onShow&&this.callbacks.onShow()},e.prototype.doShowWithPrefix=function(e){this.inputBox.value=e,this.callbacks.onType(e)},e.prototype.doShowWithInput=function(e,t){this.setInput(e,t)},e.prototype.setInputAndLayout=function(e,t){var n=this,o=u.generateUuid();this.currentInputToken=o,this.setTreeHeightForInput(e).then(function(){n.currentInputToken===o&&n.tree.setInput(null).then(function(){return n.model=e,n.inputElement.setAttribute("aria-haspopup",String(e&&e.entries&&e.entries.length>0)),n.tree.setInput(e)}).done(function(){n.tree.layout(),e&&e.entries.some(function(t){return n.isElementVisible(e,t)})&&n.autoFocus(e,t)},l.onUnexpectedError)})},e.prototype.isElementVisible=function(e,t){return e.filter?e.filter.isVisible(t):!0},e.prototype.autoFocus=function(e,t){var n=this;void 0===t&&(t={});var o=e.entries.filter(function(t){return n.isElementVisible(e,t)});if(t.autoFocusPrefixMatch){for(var i=void 0,r=void 0,s=t.autoFocusPrefixMatch,a=s.toLowerCase(),u=0;u<o.length;u++){var c=o[u],d=e.dataSource.getLabel(c);if(i||0!==d.indexOf(s)?r||0!==d.toLowerCase().indexOf(a)||(r=c):i=c,i&&r)break}var h=i||r;if(h)return this.tree.setFocus(h),void this.tree.reveal(h,0).done(null,l.onUnexpectedError)}t.autoFocusFirstEntry?(this.tree.focusFirst(),this.tree.reveal(this.tree.getFocus(),0).done(null,l.onUnexpectedError)):"number"==typeof t.autoFocusIndex?o.length>t.autoFocusIndex&&(this.tree.focusNth(t.autoFocusIndex),this.tree.reveal(this.tree.getFocus()).done(null,l.onUnexpectedError)):t.autoFocusSecondEntry&&o.length>1&&this.tree.focusNth(1)},e.prototype.refresh=function(e,t){var n=this;this.isVisible()&&this.setTreeHeightForInput(e).then(function(){n.tree.refresh().done(function(){n.tree.layout(),!n.tree.getFocus()&&e&&e.entries.some(function(t){return n.isElementVisible(e,t)})&&n.autoFocus(e,t)},l.onUnexpectedError)})},e.prototype.setTreeHeightForInput=function(e){var t=this,n=this.getHeight(e)+"px",i=this.treeContainer.style("height");return this.treeContainer.style({height:n}),this.treeContainer.hasClass("transition")&&i!==n?new o.TPromise(function(e,n){var o=[],i=!1,r=function(){i||(i=!0,o=C.dispose(o),e(null))};t.treeContainer.once("webkitTransitionEnd",r,o),t.treeContainer.once("transitionend",r,o)}):o.TPromise.as(null)},e.prototype.getHeight=function(t){var n=this,o=t.renderer;if(!t){var i=o.getHeight(null);return this.options.minItemsToShow?this.options.minItemsToShow*i:0}var r,s=0;this.layoutDimensions&&this.layoutDimensions.height&&(r=.4*(this.layoutDimensions.height-50)),(!r||r>e.MAX_ITEMS_HEIGHT)&&(r=e.MAX_ITEMS_HEIGHT);for(var a=t.entries.filter(function(e){return n.isElementVisible(t,e)}),l=this.options.maxItemsToShow||a.length,u=0;l>u&&u<a.length;u++){var c=o.getHeight(a[u]);if(!(r>=s+c))break;s+=c}return s},e.prototype.hide=function(e){var t=this;if(this.isVisible()){if(this.visible=!1,this.builder.hide(),this.builder.domBlur(),e===S.CANCELED&&this.model){var n=this.model.entries.filter(function(e){return t.isElementVisible(t.model,e)}).length;this.usageLogger&&this.usageLogger.publicLog("quickOpenWidgetCancelled",{count:n,isQuickNavigate:!!this.quickNavigateConfiguration})}this.inputBox.value="",this.tree.setInput(null),this.inputElement.setAttribute("aria-haspopup","false"),this.treeContainer.style({height:(this.options.minItemsToShow?22*this.options.minItemsToShow:0)+"px"}),this.progressBar.stop().getContainer().hide(),this.tree.isDOMFocused()?this.tree.DOMBlur():this.inputBox.hasFocus()&&this.inputBox.blur(),e===S.CANCELED?this.callbacks.onCancel():this.callbacks.onOk(),this.callbacks.onHide&&this.callbacks.onHide(e===S.FOCUS_LOST)}},e.prototype.isQuickNavigating=function(){return!!this.quickNavigateConfiguration},e.prototype.setPlaceHolder=function(e){this.inputBox&&this.inputBox.setPlaceHolder(e)},e.prototype.setValue=function(e){this.inputBox&&(this.inputBox.value=e,this.inputBox.select())},e.prototype.setPassword=function(e){this.inputBox&&(this.inputBox.inputElement.type=e?"password":"text")},e.prototype.setInput=function(e,t,n){this.isVisible()&&(this.setInputAndLayout(e,t),this.inputBox&&this.inputBox.setAriaLabel(n||x))},e.prototype.getInput=function(){return this.tree.getInput()},e.prototype.showInputDecoration=function(e){this.inputBox&&this.inputBox.showMessage({type:e===m["default"].Info?p.MessageType.INFO:e===m["default"].Warning?p.MessageType.WARNING:p.MessageType.ERROR,content:""})},e.prototype.clearInputDecoration=function(){this.inputBox&&this.inputBox.hideMessage()},e.prototype.runFocus=function(){var e=this.tree.getFocus();return e?(this.elementSelected(e),!0):!1},e.prototype.getProgressBar=function(){return this.progressBar},e.prototype.setExtraClass=function(e){var t=this.builder.getProperty("extra-class");t&&this.builder.removeClass(t),e?(this.builder.addClass(e),this.builder.setProperty("extra-class",e)):t&&this.builder.removeProperty("extra-class")},e.prototype.isVisible=function(){return this.visible},e.prototype.layout=function(t){this.layoutDimensions=t;var n=Math.min(.62*this.layoutDimensions.width,e.MAX_WIDTH);this.builder&&(this.builder.style({width:n+"px",marginLeft:"-"+n/2+"px"}),this.inputContainer.style({width:n-12+"px"}))},e.prototype.gainingFocus=function(){this.isLoosingFocus=!1},e.prototype.loosingFocus=function(e){var t=this;if(this.isVisible()){var n=e.relatedTarget;!this.quickNavigateConfiguration&&_.isAncestor(n,this.builder.getHTMLElement())||(this.isLoosingFocus=!0,o.TPromise.timeout(0).then(function(){if(t.isLoosingFocus){var e=t.callbacks.onFocusLost&&t.callbacks.onFocusLost();e||t.hide(S.FOCUS_LOST)}}))}},e.prototype.dispose=function(){this.toUnbind=C.dispose(this.toUnbind),this.progressBar.dispose(),this.inputBox.dispose(),this.tree.dispose()},e.MAX_WIDTH=600,e.MAX_ITEMS_HEIGHT=440,e}();t.QuickOpenWidget=T}),define("vs/editor/contrib/quickOpen/browser/quickOpenEditorWidget",["require","exports","vs/base/browser/builder","vs/base/parts/quickopen/browser/quickOpenWidget","vs/editor/browser/editorBrowser"],function(e,t,n,o,i){"use strict";var r=function(){function e(e,t,n,o,i){this.codeEditor=e,this.create(t,n,o,i)}return e.prototype.create=function(e,t,i,r){this.domNode=n.$().div().getHTMLElement(),this.quickOpenWidget=new o.QuickOpenWidget(this.domNode,{onOk:e,onCancel:t,onType:i},{inputPlaceHolder:null,inputAriaLabel:r.inputAriaLabel},null),this.quickOpenWidget.create(),this.codeEditor.addOverlayWidget(this)},e.prototype.setInput=function(e,t){this.quickOpenWidget.setInput(e,t)},e.prototype.getId=function(){return e.ID},e.prototype.getDomNode=function(){return this.domNode},e.prototype.destroy=function(){this.codeEditor.removeOverlayWidget(this),this.quickOpenWidget.dispose()},e.prototype.isVisible=function(){return this.visible},e.prototype.show=function(e){this.visible=!0;var t=this.codeEditor.getLayoutInfo();t&&this.quickOpenWidget.layout(new n.Dimension(t.width,t.height)),this.quickOpenWidget.show(e),this.codeEditor.layoutOverlayWidget(this)},e.prototype.hide=function(){this.visible=!1,this.quickOpenWidget.hide(),this.codeEditor.layoutOverlayWidget(this)},e.prototype.getPosition=function(){return this.visible?{preference:i.OverlayWidgetPositionPreference.TOP_CENTER}:null},e.ID="editor.contrib.quickOpenEditorWidget",e}();t.QuickOpenEditorWidget=r}),define("vs/nls!vs/editor/browser/standalone/standaloneSchemas",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/browser/standalone/standaloneSchemas",t)}),define("vs/editor/browser/standalone/standaloneSchemas",["require","exports","vs/nls!vs/editor/browser/standalone/standaloneSchemas"],function(e,t,n){"use strict";var o=self;o.MonacoEditorSchemas=o.MonacoEditorSchemas||{};var i=o.MonacoEditorSchemas;i["http://json.schemastore.org/project"]={title:n.localize(0,null),$schema:"http://json-schema.org/draft-04/schema#",id:"http://json.schemastore.org/project",type:"object",definitions:{compilationOptions:{description:n.localize(1,null),type:"object",properties:{define:{type:"array",items:{type:"string",uniqueItems:!0}},warningsAsErrors:{type:"boolean","default":!1},allowUnsafe:{type:"boolean","default":!1},optimize:{type:"boolean","default":!1},languageVersion:{type:"string","enum":["csharp1","csharp2","csharp3","csharp4","csharp5","csharp6","experimental"]}}},configType:{type:"object",properties:{dependencies:{$ref:"#/definitions/dependencies"},compilationOptions:{$ref:"#/definitions/compilationOptions"},frameworkAssemblies:{$ref:"#/definitions/dependencies"}}},dependencies:{type:"object",additionalProperties:{type:["string","object"],properties:{version:{type:"string",description:n.localize(2,null)},type:{type:"string","default":"default","enum":["default","build"],description:n.localize(3,null)}},id:"nugget-package"},description:n.localize(4,null),id:"nugget-packages"},script:{type:["string","array"],items:{type:"string"},description:n.localize(5,null)}},properties:{authors:{description:n.localize(6,null),type:"array",items:{type:"string",uniqueItems:!0}},bundleExclude:{description:n.localize(7,null),type:["string","array"],items:{type:"string"},"default":""},code:{description:n.localize(8,null),type:["string","array"],items:{type:"string"},"default":"**\\*.cs"},commands:{description:n.localize(9,null),type:"object",additionalProperties:{type:"string"}},compilationOptions:{$ref:"#/definitions/compilationOptions"},configurations:{type:"object",description:n.localize(10,null),additionalProperties:{type:"object",properties:{compilationOptions:{$ref:"#/definitions/compilationOptions"}}}},dependencies:{$ref:"#/definitions/dependencies"},description:{description:n.localize(11,null),type:"string"},exclude:{description:n.localize(12,null),type:["string","array"],items:{type:"string"},"default":["bin/**/*.*","obj/**/*.*"]},frameworks:{description:n.localize(13,null),type:"object",additionalProperties:{$ref:"#/definitions/configType"}},preprocess:{description:n.localize(14,null),type:"string","default":"Compiler\\Preprocess\\**\\*.cs"},resources:{description:n.localize(15,null),type:["string","array"],items:{type:"string"},"default":"Compiler\\Resources\\**\\*.cs"},scripts:{type:"object",description:n.localize(16,null),properties:{prepack:{$ref:"#/definitions/script"},postpack:{$ref:"#/definitions/script"},prebundle:{$ref:"#/definitions/script"},postbundle:{$ref:"#/definitions/script"},prerestore:{$ref:"#/definitions/script"},postrestore:{$ref:"#/definitions/script"},prepare:{$ref:"#/definitions/script"}}},shared:{description:n.localize(17,null),type:["string","array"],items:{type:"string"},"default":"Compiler\\Shared\\**\\*.cs"},version:{description:n.localize(18,null),type:"string"},webroot:{description:n.localize(19,null),type:"string"}}},i["http://json.schemastore.org/bower"]={title:n.localize(20,null),$schema:"http://json-schema.org/draft-04/schema#",id:"http://json.schemastore.org/bower",type:"object",required:["name"],patternProperties:{"^_":{description:n.localize(21,null),additionalProperties:!0,additionalItems:!0}},properties:{name:{description:n.localize(22,null),type:"string",maxLength:50},description:{description:n.localize(23,null),type:"string"},version:{description:n.localize(24,null),type:"string"},main:{description:n.localize(25,null),type:["string","array"]},license:{description:n.localize(26,null),type:["string","array"],maxLength:140},ignore:{description:n.localize(27,null),type:["string","array"]},keywords:{description:n.localize(28,null),type:"array",items:{type:"string",maxLength:50}},authors:{description:n.localize(29,null),type:"array",items:{type:["string","object"]}},homepage:{description:n.localize(30,null),type:"string"},repository:{description:n.localize(31,null),type:"object",properties:{type:{type:"string","enum":["git"]},url:{type:"string"}}},dependencies:{id:"bower-packages",description:n.localize(32,null),type:"object",additionalProperties:{id:"bower-package",type:"string"}},devDependencies:{id:"bower-packages",description:n.localize(33,null),type:"object",additionalProperties:{id:"bower-package",type:"string"}},resolutions:{description:n.localize(34,null),type:"object"},"private":{description:n.localize(35,null),type:"boolean"},exportsOverride:{description:n.localize(36,null),type:"object",additionalProperties:{type:"object",additionalProperties:{type:"string"}}},moduleType:{description:n.localize(37,null),type:"array",items:{"enum":["amd","es6","globals","node","yui"]}}}},i["http://json.schemastore.org/package"]={id:"http://json.schemastore.org/package",description:n.localize(38,null),type:"object",required:["name","version"],definitions:{person:{description:n.localize(39,null),type:["object","string"],required:["name"],properties:{name:{type:"string"},url:{type:"string",format:"uri"},email:{type:"string",format:"email"}}},dependency:{id:"npm-packages",description:n.localize(40,null),type:"object",additionalProperties:{type:"string"}}},patternProperties:{"^_":{description:n.localize(41,null),additionalProperties:!0,additionalItems:!0}},properties:{name:{description:n.localize(42,null),type:"string"},version:{description:n.localize(43,null),type:"string"},description:{description:n.localize(44,null),type:"string"},icon:{description:n.localize(45,null),type:"string"},keywords:{description:n.localize(46,null),type:"array"},homepage:{description:n.localize(47,null),type:"string"},bugs:{description:n.localize(48,null),type:["object","string"],properties:{url:{type:"string",description:n.localize(49,null),format:"uri"},email:{type:"string",description:n.localize(50,null)}}},license:{type:"string",description:n.localize(51,null)},licenses:{description:n.localize(52,null),type:"array",items:{type:"object",properties:{type:{type:"string"},url:{type:"string",format:"uri"}}}},author:{$ref:"#/definitions/person"},contributors:{description:n.localize(53,null),type:"array",items:{$ref:"#/definitions/person"}},maintainers:{description:n.localize(54,null),type:"array",items:{$ref:"#/definitions/person"}},files:{description:n.localize(55,null),type:"array",items:{type:"string"}},main:{description:n.localize(56,null),type:"string"},bin:{type:["string","object"],additionalProperties:{type:"string"}},man:{type:["array","string"],description:n.localize(57,null),items:{type:"string"}},directories:{type:"object",properties:{bin:{description:n.localize(58,null),type:"string"},doc:{description:n.localize(59,null),type:"string"},example:{description:n.localize(60,null),type:"string"},lib:{description:n.localize(61,null),type:"string"},man:{description:n.localize(62,null),type:"string"},test:{type:"string"}}},repository:{description:n.localize(63,null),type:"object",properties:{type:{type:"string"},url:{type:"string"}}},scripts:{description:n.localize(64,null),type:"object",additionalProperties:{type:"string"}},config:{description:n.localize(65,null),type:"object",additionalProperties:!0},dependencies:{$ref:"#/definitions/dependency"},devDependencies:{$ref:"#/definitions/dependency"},bundleDependencies:{type:"array",description:n.localize(66,null),items:{type:"string"}},bundledDependencies:{type:"array",description:n.localize(67,null),items:{type:"string"}},optionalDependencies:{$ref:"#/definitions/dependency"},peerDependencies:{$ref:"#/definitions/dependency"},engines:{type:"object",additionalProperties:{type:"string"}},engineStrict:{type:"boolean"},os:{type:"array",items:{type:"string"}},cpu:{type:"array",items:{type:"string"}},preferGlobal:{type:"boolean",description:n.localize(68,null)},"private":{type:"boolean",description:n.localize(69,null)},publishConfig:{type:"object",additionalProperties:!0},dist:{type:"object",properties:{shasum:{type:"string"},tarball:{type:"string"}}},readme:{type:"string"}}},i["http://json.schemastore.org/global"]={title:n.localize(70,null),type:"object",additionalProperties:!0,required:["projects"],properties:{projects:{type:"array",description:n.localize(71,null),items:{type:"string"}},sources:{type:"array",description:n.localize(72,null),items:{type:"string"}},sdk:{type:"object",description:n.localize(73,null),properties:{version:{type:"string",description:n.localize(74,null)},runtime:{type:"string",description:n.localize(75,null)},architecture:{type:"string",description:n.localize(76,null)}}}}},i["http://json.schemastore.org/tsconfig"]={title:n.localize(77,null),$schema:"http://json-schema.org/draft-04/schema#",type:"object","default":{compilerOptions:{target:"ES5",module:"commonjs"}},properties:{compilerOptions:{type:"object",description:n.localize(78,null),properties:{charset:{description:n.localize(79,null),type:"string"},declaration:{description:n.localize(80,null),type:"boolean"},diagnostics:{description:n.localize(81,null),type:"boolean"},emitBOM:{description:n.localize(82,null),type:"boolean"},inlineSourceMap:{description:n.localize(83,null),type:"boolean"},inlineSources:{description:n.localize(84,null),type:"boolean"},listFiles:{description:n.localize(85,null),type:"boolean"},locale:{description:n.localize(86,null),type:"string"},mapRoot:{description:n.localize(87,null),type:"string",format:"uri"},module:{description:n.localize(88,null),"enum":["commonjs","amd","umd","system"]},newLine:{description:n.localize(89,null),"enum":["CRLF","LF"]},noEmit:{description:n.localize(90,null),type:"boolean"},noEmitOnError:{description:n.localize(91,null),type:"boolean"},noEmitHelpers:{description:n.localize(92,null),type:"boolean"},noImplicitAny:{description:n.localize(93,null),type:"boolean"},noLib:{description:n.localize(94,null),type:"boolean"},noResolve:{description:n.localize(95,null),type:"boolean"},out:{description:n.localize(96,null),type:"string",format:"uri"},outDir:{description:n.localize(97,null),type:"string",format:"uri"},preserveConstEnums:{description:n.localize(98,null),type:"boolean"},removeComments:{description:n.localize(99,null),type:"boolean"},rootDir:{description:n.localize(100,null),type:"string"},sourceMap:{description:n.localize(101,null),type:"boolean"},sourceRoot:{description:n.localize(102,null),type:"string",format:"uri"},suppressImplicitAnyIndexErrors:{description:n.localize(103,null),type:"boolean"},target:{description:n.localize(104,null),"enum":["ES3","ES5","ES6","es3","es5","es6"],"default":"ES3"},watch:{description:n.localize(105,null),type:"boolean"},jsx:{description:n.localize(106,null),"enum":["react","preserve"],"default":"react"},emitDecoratorMetadata:{description:n.localize(107,null),type:"boolean"},isolatedModules:{description:n.localize(108,null),type:"boolean"},experimentalDecorators:{description:n.localize(109,null),type:"boolean"},experimentalAsyncFunctions:{description:n.localize(110,null),type:"boolean"}}},files:{type:"array",description:n.localize(111,null),items:{type:"string",format:"uri"}}}},i["http://opentools.azurewebsites.net/jsconfig"]={title:n.localize(112,null),type:"object","default":{compilerOptions:{target:"ES6"}},properties:{compilerOptions:{type:"object",description:n.localize(113,null),properties:{charset:{description:n.localize(114,null),type:"string"},diagnostics:{description:n.localize(115,null),type:"boolean"},locale:{description:n.localize(116,null),type:"string"},mapRoot:{description:n.localize(117,null),type:"string",format:"uri"},module:{description:n.localize(118,null),"enum":["commonjs","amd","system","umd"]},noLib:{description:n.localize(119,null),type:"boolean"},target:{description:n.localize(120,null),"enum":["ES3","ES5","ES6","es3","es5","es6"],"default":"ES3"},experimentalDecorators:{description:n.localize(121,null),type:"boolean"
}}},files:{type:"array",description:n.localize(122,null),items:{type:"string",format:"uri"}},exclude:{type:"array",description:n.localize(123,null),items:{type:"string",format:"uri"}}}}}),define("vs/nls!vs/editor/common/config/commonEditorConfig",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/common/config/commonEditorConfig",t)}),define("vs/nls!vs/editor/common/config/defaultConfig",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/common/config/defaultConfig",t)}),define("vs/editor/common/config/defaultConfig",["require","exports","vs/nls!vs/editor/common/config/defaultConfig","vs/base/common/platform"],function(e,t,n,o){"use strict";t.USUAL_WORD_SEPARATORS="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?",t.DEFAULT_INDENTATION={tabSize:4,insertSpaces:!0,detectIndentation:!0},t.DEFAULT_TRIM_AUTO_WHITESPACE=!0;var i="Consolas, 'Courier New', monospace",r="Menlo, Monaco, 'Courier New', monospace",s="'Droid Sans Mono', 'Courier New', monospace, 'Droid Sans Fallback'";t.GOLDEN_LINE_HEIGHT_RATIO=o.isMacintosh?1.5:1.35;var a=function(){function e(){this.editor={experimentalScreenReader:!0,rulers:[],wordSeparators:t.USUAL_WORD_SEPARATORS,selectionClipboard:!0,ariaLabel:n.localize(0,null),lineNumbers:!0,selectOnLineNumbers:!0,lineNumbersMinChars:5,glyphMargin:!1,lineDecorationsWidth:10,revealHorizontalRightPadding:30,roundedSelection:!0,theme:"vs",readOnly:!1,scrollbar:{verticalScrollbarSize:14,horizontal:"auto",useShadows:!0,verticalHasArrows:!1,horizontalHasArrows:!1},overviewRulerLanes:2,cursorBlinking:"blink",cursorStyle:"line",fontLigatures:!1,disableTranslate3d:!1,hideCursorInOverviewRuler:!1,scrollBeyondLastLine:!0,automaticLayout:!1,wrappingColumn:300,wrappingIndent:"same",wordWrapBreakBeforeCharacters:"([{‘“〈《「『【〔（［｛｢£¥＄￡￥+＋",wordWrapBreakAfterCharacters:" 	})]?|&,;¢°′″‰℃、。｡､￠，．：；？！％・･ゝゞヽヾーァィゥェォッャュョヮヵヶぁぃぅぇぉっゃゅょゎゕゖㇰㇱㇲㇳㇴㇵㇶㇷㇸㇹㇺㇻㇼㇽㇾㇿ々〻ｧｨｩｪｫｬｭｮｯｰ’”〉》」』】〕）］｝｣",wordWrapBreakObtrusiveCharacters:".",tabFocusMode:!1,hover:!0,contextmenu:!0,mouseWheelScrollSensitivity:1,quickSuggestions:!0,quickSuggestionsDelay:10,iconsInSuggestions:!0,autoClosingBrackets:!0,formatOnType:!1,suggestOnTriggerCharacters:!0,acceptSuggestionOnEnter:!0,selectionHighlight:!0,outlineMarkers:!1,referenceInfos:!0,folding:!0,renderWhitespace:!1,indentGuides:!1,useTabStops:!0,fontFamily:o.isMacintosh?r:o.isLinux?s:i,fontSize:o.isMacintosh?12:14,lineHeight:0}}return e}();t.DefaultConfig=new a});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/model/textModel",["require","exports","vs/base/common/eventEmitter","vs/base/common/strings","vs/editor/common/core/position","vs/editor/common/core/range","vs/editor/common/editorCommon","vs/editor/common/model/modelLine","vs/editor/common/model/indentationGuesser","vs/editor/common/config/defaultConfig","vs/editor/common/viewModel/prefixSumComputer"],function(e,t,n,o,i,r,s,a,l,u,c){"use strict";var d=999;t.LONG_LINE_BOUNDARY=1e3;var h=function(e){function n(t,o){t.push(s.EventType.ModelRawContentChanged,s.EventType.ModelOptionsChanged),e.call(this,t),this._shouldSimplifyMode=o.length>n.MODEL_SYNC_LIMIT,this._shouldDenyMode=o.length>n.MODEL_TOKENIZATION_LIMIT,this._options=o.options,this._constructLines(o),this._setVersionId(1),this._isDisposed=!1,this._isDisposing=!1}return __extends(n,e),n.prototype.isTooLargeForHavingAMode=function(){return this._shouldDenyMode},n.prototype.isTooLargeForHavingARichMode=function(){return this._shouldSimplifyMode},n.prototype.getOptions=function(){return this._options},n.prototype.updateOptions=function(e){var t=!1,n={tabSize:!1,insertSpaces:!1,trimAutoWhitespace:!1};"undefined"!=typeof e.insertSpaces&&this._options.insertSpaces!==e.insertSpaces&&(t=!0,n.insertSpaces=!0,this._options.insertSpaces=e.insertSpaces),"undefined"!=typeof e.tabSize&&this._options.tabSize!==e.tabSize&&(t=!0,n.tabSize=!0,this._options.tabSize=e.tabSize),"undefined"!=typeof e.trimAutoWhitespace&&this._options.trimAutoWhitespace!==e.trimAutoWhitespace&&(t=!0,n.trimAutoWhitespace=!0,this._options.trimAutoWhitespace=e.trimAutoWhitespace),t&&this.emit(s.EventType.ModelOptionsChanged,n)},n.prototype.detectIndentation=function(e,t){var n=this._lines.map(function(e){return e.text}),o=l.guessIndentation(n,t,e);this.updateOptions({insertSpaces:o.insertSpaces,tabSize:o.tabSize})},n.prototype._normalizeIndentationFromWhitespace=function(e){for(var t=this._options.tabSize,n=this._options.insertSpaces,o=0,i=0;i<e.length;i++)"	"===e.charAt(i)?o+=t:o++;var r="";if(!n){var s=Math.floor(o/t);o%=t;for(var i=0;s>i;i++)r+="	"}for(var i=0;o>i;i++)r+=" ";return r},n.prototype.normalizeIndentation=function(e){var t=o.firstNonWhitespaceIndex(e);return-1===t&&(t=e.length),this._normalizeIndentationFromWhitespace(e.substring(0,t))+e.substring(t)},n.prototype.getOneIndent=function(){var e=this._options.tabSize,t=this._options.insertSpaces;if(t){for(var n="",o=0;e>o;o++)n+=" ";return n}return"	"},n.prototype.getVersionId=function(){return this._versionId},n.prototype.getAlternativeVersionId=function(){return this._alternativeVersionId},n.prototype._ensureLineStarts=function(){if(!this._lineStarts){for(var e=[],t=this._EOL.length,n=0,o=this._lines.length;o>n;n++)e.push(this._lines[n].text.length+t);this._lineStarts=new c.PrefixSumComputer(e)}},n.prototype.getOffsetAt=function(e){var t=this.validatePosition(e);return this._ensureLineStarts(),this._lineStarts.getAccumulatedValue(t.lineNumber-2)+t.column-1},n.prototype.getPositionAt=function(e){e=Math.floor(e),e=Math.max(0,e),this._ensureLineStarts();var t=this._lineStarts.getIndexOf(e),n=this._lines[t.index].text.length;return new i.Position(t.index+1,Math.min(t.remainder+1,n+1))},n.prototype._increaseVersionId=function(){this._setVersionId(this._versionId+1)},n.prototype._setVersionId=function(e){this._versionId=e,this._alternativeVersionId=this._versionId},n.prototype._overwriteAlternativeVersionId=function(e){this._alternativeVersionId=e},n.prototype.isDisposed=function(){return this._isDisposed},n.prototype.dispose=function(){this._isDisposed=!0,this._lines=null,this._EOL=null,this._BOM=null,e.prototype.dispose.call(this)},n.prototype._createContentChangedFlushEvent=function(){return{changeType:s.EventType.ModelRawContentChangedFlush,detail:null,versionId:-1,isUndoing:!1,isRedoing:!1}},n.prototype._emitContentChanged2=function(e,t,n,o,i,a,l,u){var c={range:new r.Range(e,t,n,o),rangeLength:i,text:a,eol:this._EOL,versionId:this.getVersionId(),isUndoing:l,isRedoing:u};this._isDisposing||this.emit(s.EventType.ModelContentChanged2,c)},n.prototype._resetValue=function(e,t){this._constructLines(t),this._increaseVersionId(),e.detail=this.toRawText(),e.versionId=this._versionId},n.prototype.toRawText=function(){return{BOM:this._BOM,EOL:this._EOL,lines:this.getLinesContent(),length:this.getValueLength(),options:this._options}},n.prototype.equals=function(e){if(this._BOM!==e.BOM)return!1;if(this._EOL!==e.EOL)return!1;if(this._lines.length!==e.lines.length)return!1;for(var t=0,n=this._lines.length;n>t;t++)if(this._lines[t].text!==e.lines[t])return!1;return!0},n.prototype.setValue=function(e){if(null!==e){var t=null;t=n.toRawText(e,{tabSize:this._options.tabSize,insertSpaces:this._options.insertSpaces,trimAutoWhitespace:this._options.trimAutoWhitespace,detectIndentation:!1,defaultEOL:this._options.defaultEOL}),this.setValueFromRawText(t)}},n.prototype.setValueFromRawText=function(e){if(null!==e){var t=this.getFullModelRange(),n=this.getValueLengthInRange(t),o=this.getLineCount(),i=this.getLineMaxColumn(o),r=this._createContentChangedFlushEvent();this._resetValue(r,e),this._emitModelContentChangedFlushEvent(r),this._emitContentChanged2(1,1,o,i,n,this.getValue(),!1,!1)}},n.prototype.getValue=function(e,t){void 0===t&&(t=!1);var n=this.getFullModelRange(),o=this.getValueInRange(n,e);return t?this._BOM+o:o},n.prototype.getValueLength=function(e,t){void 0===t&&(t=!1);var n=this.getFullModelRange(),o=this.getValueLengthInRange(n,e);return t?this._BOM.length+o:o},n.prototype.getEmptiedValueInRange=function(e,t,n){void 0===t&&(t=""),void 0===n&&(n=s.EndOfLinePreference.TextDefined);var o=this.validateRange(e);if(o.isEmpty())return"";if(o.startLineNumber===o.endLineNumber)return this._repeatCharacter(t,o.endColumn-o.startColumn);var i=this._getEndOfLine(n),r=o.startLineNumber-1,a=o.endLineNumber-1,l=[];l.push(this._repeatCharacter(t,this._lines[r].text.length-o.startColumn+1));for(var u=r+1;a>u;u++)l.push(this._repeatCharacter(t,this._lines[u].text.length));return l.push(this._repeatCharacter(t,o.endColumn-1)),l.join(i)},n.prototype._repeatCharacter=function(e,t){for(var n="",o=0;t>o;o++)n+=e;return n},n.prototype.getValueInRange=function(e,t){void 0===t&&(t=s.EndOfLinePreference.TextDefined);var n=this.validateRange(e);if(n.isEmpty())return"";if(n.startLineNumber===n.endLineNumber)return this._lines[n.startLineNumber-1].text.substring(n.startColumn-1,n.endColumn-1);var o=this._getEndOfLine(t),i=n.startLineNumber-1,r=n.endLineNumber-1,a=[];a.push(this._lines[i].text.substring(n.startColumn-1));for(var l=i+1;r>l;l++)a.push(this._lines[l].text);return a.push(this._lines[r].text.substring(0,n.endColumn-1)),a.join(o)},n.prototype.getValueLengthInRange=function(e,t){void 0===t&&(t=s.EndOfLinePreference.TextDefined);var n=this.validateRange(e);if(n.isEmpty())return 0;if(n.startLineNumber===n.endLineNumber)return n.endColumn-n.startColumn;var o=this.getOffsetAt(new i.Position(n.startLineNumber,n.startColumn)),r=this.getOffsetAt(new i.Position(n.endLineNumber,n.endColumn));return r-o},n.prototype.isDominatedByLongLines=function(){var e,n,o,i=0,r=0,s=this._lines;for(e=0,n=this._lines.length;n>e;e++)o=s[e].text.length,o>=t.LONG_LINE_BOUNDARY?r+=o:i+=o;return r>i},n.prototype.getLineCount=function(){return this._lines.length},n.prototype.getLineContent=function(e){if(1>e||e>this.getLineCount())throw new Error("Illegal value "+e+" for `lineNumber`");return this._lines[e-1].text},n.prototype.getLinesContent=function(){for(var e=[],t=0,n=this._lines.length;n>t;t++)e[t]=this._lines[t].text;return e},n.prototype.getEOL=function(){return this._EOL},n.prototype.setEOL=function(e){var t=e===s.EndOfLineSequence.CRLF?"\r\n":"\n";if(this._EOL!==t){var n=this.getFullModelRange(),o=this.getValueLengthInRange(n),i=this.getLineCount(),r=this.getLineMaxColumn(i);this._EOL=t,this._lineStarts=null,this._increaseVersionId();var a=this._createContentChangedFlushEvent();a.detail=this.toRawText(),a.versionId=this._versionId,this._emitModelContentChangedFlushEvent(a),this._emitContentChanged2(1,1,i,r,o,this.getValue(),!1,!1)}},n.prototype.getLineMinColumn=function(e){return 1},n.prototype.getLineMaxColumn=function(e){if(1>e||e>this.getLineCount())throw new Error("Illegal value "+e+" for `lineNumber`");return this._lines[e-1].text.length+1},n.prototype.getLineFirstNonWhitespaceColumn=function(e){if(1>e||e>this.getLineCount())throw new Error("Illegal value "+e+" for `lineNumber`");var t=o.firstNonWhitespaceIndex(this._lines[e-1].text);return-1===t?0:t+1},n.prototype.getLineLastNonWhitespaceColumn=function(e){if(1>e||e>this.getLineCount())throw new Error("Illegal value "+e+" for `lineNumber`");var t=o.lastNonWhitespaceIndex(this._lines[e-1].text);return-1===t?0:t+2},n.prototype.validateLineNumber=function(e){return 1>e&&(e=1),e>this._lines.length&&(e=this._lines.length),e},n.prototype.validatePosition=function(e){var t=e.lineNumber?e.lineNumber:1,n=e.column?e.column:1;if(1>t)t=1,n=1;else if(t>this._lines.length)t=this._lines.length,n=this.getLineMaxColumn(t);else{var o=this.getLineMaxColumn(t);1>n?n=1:n>o&&(n=o)}return new i.Position(t,n)},n.prototype.validateRange=function(e){var t=this.validatePosition(new i.Position(e.startLineNumber,e.startColumn)),n=this.validatePosition(new i.Position(e.endLineNumber,e.endColumn));return new r.Range(t.lineNumber,t.column,n.lineNumber,n.column)},n.prototype.modifyPosition=function(e,t){return this.getPositionAt(this.getOffsetAt(e)+t)},n.prototype.getFullModelRange=function(){var e=this.getLineCount();return new r.Range(1,1,e,this.getLineMaxColumn(e))},n.prototype._emitModelContentChangedFlushEvent=function(e){this._isDisposing||this.emit(s.EventType.ModelRawContentChanged,e)},n.toRawText=function(e,t){for(var n=0,i=-1;-1!==(i=e.indexOf("\r",i+1));)n++;var r=e.split(/\r\n|\r|\n/),a="";o.startsWithUTF8BOM(r[0])&&(a=o.UTF8_BOM_CHARACTER,r[0]=r[0].substr(1));var u=r.length-1,c="";c=0===u?t.defaultEOL===s.DefaultEndOfLine.LF?"\n":"\r\n":n>u/2?"\r\n":"\n";var d;if(t.detectIndentation){var h=l.guessIndentation(r,t.tabSize,t.insertSpaces);d={tabSize:h.tabSize,insertSpaces:h.insertSpaces,trimAutoWhitespace:t.trimAutoWhitespace,defaultEOL:t.defaultEOL}}else d={tabSize:t.tabSize,insertSpaces:t.insertSpaces,trimAutoWhitespace:t.trimAutoWhitespace,defaultEOL:t.defaultEOL};return{BOM:a,EOL:c,lines:r,length:e.length,options:d}},n.prototype._constructLines=function(e){var t,n,o=e.lines,i=[];for(t=0,n=o.length;n>t;t++)i.push(new a.ModelLine(t+1,o[t]));this._BOM=e.BOM,this._EOL=e.EOL,this._lines=i,this._lineStarts=null},n.prototype._getEndOfLine=function(e){switch(e){case s.EndOfLinePreference.LF:return"\n";case s.EndOfLinePreference.CRLF:return"\r\n";case s.EndOfLinePreference.TextDefined:return this.getEOL()}throw new Error("Unknown EOL preference")},n.prototype.findMatches=function(e,t,n,i,s,a){void 0===a&&(a=d);var l=o.createSafeRegExp(e,n,i,s);if(!l)return[];var u;return u=r.Range.isIRange(t)?t:this.getFullModelRange(),this._doFindMatches(u,l,a)},n.prototype.findNextMatch=function(e,t,n,i,r){var s=o.createSafeRegExp(e,n,i,r);if(!s)return null;var a,l,u=this.validatePosition(t),c=this.getLineCount(),d=u.lineNumber;if(a=this._lines[d-1].text.substring(u.column-1),l=this._findMatchInLine(s,a,d,u.column-1))return l;for(var h=1;c>=h;h++){var p=(d+h-1)%c;if(a=this._lines[p].text,l=this._findMatchInLine(s,a,p+1,0))return l}return null},n.prototype.findPreviousMatch=function(e,t,n,i,r){var s=o.createSafeRegExp(e,n,i,r);if(!s)return null;var a,l,u=this.validatePosition(t),c=this.getLineCount(),d=u.lineNumber;if(a=this._lines[d-1].text.substring(0,u.column-1),l=this._findLastMatchInLine(s,a,d))return l;for(var h=1;c>=h;h++){var p=(c+d-h-1)%c;if(a=this._lines[p].text,l=this._findLastMatchInLine(s,a,p+1))return l}return null},n.prototype._doFindMatches=function(e,t,n){var o,i=[],r=0;if(e.startLineNumber===e.endLineNumber)return o=this._lines[e.startLineNumber-1].text.substring(e.startColumn-1,e.endColumn-1),r=this._findMatchesInLine(t,o,e.startLineNumber,e.startColumn-1,r,i,n),i;o=this._lines[e.startLineNumber-1].text.substring(e.startColumn-1),r=this._findMatchesInLine(t,o,e.startLineNumber,e.startColumn-1,r,i,n);for(var s=e.startLineNumber+1;s<e.endLineNumber&&n>r;s++)r=this._findMatchesInLine(t,this._lines[s-1].text,s,0,r,i,n);return n>r&&(o=this._lines[e.endLineNumber-1].text.substring(0,e.endColumn-1),r=this._findMatchesInLine(t,o,e.endLineNumber,0,r,i,n)),i},n.prototype._findMatchInLine=function(e,t,n,o){var i=e.exec(t);return i?new r.Range(n,i.index+1+o,n,i.index+1+i[0].length+o):null},n.prototype._findLastMatchInLine=function(e,t,n){for(var o,i=null;o=e.exec(t);){var s=new r.Range(n,o.index+1,n,o.index+1+o[0].length);if(s.equalsRange(i))break;i=s}return i},n.prototype._findMatchesInLine=function(e,t,n,o,i,s,a){var l;e.lastIndex=0;do if(l=e.exec(t)){var u=new r.Range(n,l.index+1+o,n,l.index+1+l[0].length+o);if(u.equalsRange(s[s.length-1]))return i;if(s.push(u),i++,i>=a)return i}while(l);return i},n.MODEL_SYNC_LIMIT=5242880,n.MODEL_TOKENIZATION_LIMIT=20971520,n.DEFAULT_CREATION_OPTIONS={tabSize:u.DEFAULT_INDENTATION.tabSize,insertSpaces:u.DEFAULT_INDENTATION.insertSpaces,detectIndentation:!1,defaultEOL:s.DefaultEndOfLine.LF,trimAutoWhitespace:u.DEFAULT_TRIM_AUTO_WHITESPACE},n}(n.OrderGuaranteeEventEmitter);t.TextModel=h;var p=function(){function e(){}return e.fromString=function(e,t){return h.toRawText(e,t)},e.fromStringWithModelOptions=function(e,t){var n=t.getOptions();return h.toRawText(e,{tabSize:n.tabSize,insertSpaces:n.insertSpaces,trimAutoWhitespace:n.trimAutoWhitespace,detectIndentation:!1,defaultEOL:n.defaultEOL})},e}();t.RawText=p}),define("vs/editor/common/modes/nullMode",["require","exports","vs/editor/common/config/defaultConfig"],function(e,t,n){"use strict";function o(e,t,n,o,i){void 0===o&&(o=0);var r=[{startIndex:o,type:""}],s=[{startIndex:o,mode:e}];return{tokens:r,actualStopOffset:o+t.length,endState:n,modeTransitions:s}}var i=function(){function e(e,t){this.mode=e,this.stateData=t}return e.prototype.clone=function(){var t=this.stateData?this.stateData.clone():null;return new e(this.mode,t)},e.prototype.equals=function(e){if(this.mode!==e.getMode())return!1;var t=e.getStateData();return this.stateData||t?this.stateData&&t?this.stateData.equals(t):!1:!0},e.prototype.getMode=function(){return this.mode},e.prototype.tokenize=function(e){return e.advanceToEOS(),{type:""}},e.prototype.getStateData=function(){return this.stateData},e.prototype.setStateData=function(e){this.stateData=e},e}();t.NullState=i;var r=function(){function e(){this.richEditSupport={wordDefinition:e.DEFAULT_WORD_REGEXP}}return e.createWordRegExp=function(e){void 0===e&&(e="");for(var t=n.USUAL_WORD_SEPARATORS,o="(-?\\d*\\.\\d\\w*)|([^",i=0;i<t.length;i++)e.indexOf(t[i])>=0||(o+="\\"+t[i]);return o+="\\s]+)",new RegExp(o,"g")},e.prototype.getId=function(){return e.ID},e.prototype.toSimplifiedMode=function(){return this},e.DEFAULT_WORD_REGEXP=e.createWordRegExp(),e.ID="vs.editor.modes.nullMode",e}();t.NullMode=r,t.nullTokenize=o}),define("vs/editor/common/model/textModelWithTokensHelpers",["require","exports","vs/editor/common/modes/nullMode","vs/editor/common/core/modeTransition"],function(e,t,n,o){"use strict";var i=function(){function e(){}return e._safeGetWordDefinition=function(e){return e.richEditSupport?e.richEditSupport.wordDefinition:null},e.ensureValidWordDefinition=function(e){var t=n.NullMode.DEFAULT_WORD_REGEXP;if(e&&e instanceof RegExp)if(e.global)t=e;else{var o="g";e.ignoreCase&&(o+="i"),e.multiline&&(o+="m"),t=new RegExp(e.source,o)}return t.lastIndex=0,t},e.massageWordDefinitionOf=function(t){return e.ensureValidWordDefinition(e._safeGetWordDefinition(t))},e._getWordAtColumn=function(t,n,o,i){var r=i[o].startIndex,s=o+1<i.length?i[o+1].startIndex:t.length,a=i[o].mode;return e._getWordAtText(n,e.massageWordDefinitionOf(a),t.substring(r,s),r)},e.getWordAtPosition=function(t,n){if(!t._lineIsTokenized(n.lineNumber))return e._getWordAtText(n.column,e.massageWordDefinitionOf(t.getMode()),t.getLineContent(n.lineNumber),0);var i=null,r=t.getLineContent(n.lineNumber),s=t._getLineModeTransitions(n.lineNumber),a=n.column-1,l=o.ModeTransition.findIndexInSegmentsArray(s,a);return i=e._getWordAtColumn(r,n.column,l,s),!i&&l>0&&s[l].startIndex===a&&(i=e._getWordAtColumn(r,n.column,l-1,s)),i},e._getWordAtText=function(e,t,n,o){var i,r,s,a,l,u,c=n.match(t);if(c)for(i=0;i<c.length;i++)if(u=c[i].trim(),u.length>0&&(r=n.indexOf(u,s),s=r+u.length,a=o+r+1,l=o+s+1,e>=a&&l>=e))return{word:u,startColumn:a,endColumn:l};return null},e}();t.WordHelper=i}),define("vs/editor/common/modes/supports/richEditSupport",["require","exports","vs/editor/common/modes/nullMode","vs/editor/common/modes/supports/characterPair","vs/editor/common/modes/supports/electricCharacter","vs/editor/common/modes/supports/onEnter","vs/editor/common/modes/supports/richEditBrackets"],function(e,t,n,o,i,r,s){"use strict";var a=function(){function e(t,r,a){var l=null;r instanceof e&&(l=r._conf),this._conf=e._mergeConf(l,a),this._conf.brackets&&(this.brackets=new s.RichEditBrackets(t,this._conf.brackets)),this._handleOnEnter(t,this._conf),this._handleComments(t,this._conf),this._conf.autoClosingPairs&&(this.characterPair=new o.CharacterPairSupport(t,this._conf)),(this._conf.__electricCharacterSupport||this._conf.brackets)&&(this.electricCharacter=new i.BracketElectricCharacterSupport(t,this.brackets,this._conf.__electricCharacterSupport)),this.wordDefinition=this._conf.wordPattern||n.NullMode.DEFAULT_WORD_REGEXP}return e._mergeConf=function(e,t){return{comments:e?t.comments||e.comments:t.comments,brackets:e?t.brackets||e.brackets:t.brackets,wordPattern:e?t.wordPattern||e.wordPattern:t.wordPattern,indentationRules:e?t.indentationRules||e.indentationRules:t.indentationRules,onEnterRules:e?t.onEnterRules||e.onEnterRules:t.onEnterRules,autoClosingPairs:e?t.autoClosingPairs||e.autoClosingPairs:t.autoClosingPairs,surroundingPairs:e?t.surroundingPairs||e.surroundingPairs:t.surroundingPairs,__electricCharacterSupport:e?t.__electricCharacterSupport||e.__electricCharacterSupport:t.__electricCharacterSupport}},e.prototype._handleOnEnter=function(e,t){var n={},o=!0;t.brackets&&(o=!1,n.brackets=t.brackets),t.indentationRules&&(o=!1,n.indentationRules=t.indentationRules),t.onEnterRules&&(o=!1,n.regExpRules=t.onEnterRules),o||(this.onEnter=new r.OnEnterSupport(e,n))},e.prototype._handleComments=function(e,t){var n=t.comments;if(n&&(this.comments={},n.lineComment&&(this.comments.lineCommentToken=n.lineComment),n.blockComment)){var o=n.blockComment,i=o[0],r=o[1];this.comments.blockCommentStartToken=i,this.comments.blockCommentEndToken=r}},e}();t.RichEditSupport=a}),define("vs/editor/common/modes/supports/tokenizationSupport",["require","exports","vs/editor/common/modes","vs/editor/common/modes/lineStream","vs/editor/common/modes/nullMode","vs/editor/common/modes/supports"],function(e,t,n,o,i,r){"use strict";function s(e){return"function"==typeof e}var a=function(){function e(e,t,n,o){if(this._mode=e,this.customization=t,this.supportsNestedModes=n,this._embeddedModesListeners={},this.supportsNestedModes&&!this._mode.registerSupport)throw new Error("Cannot be a mode with nested modes unless I can emit a tokenizationSupport changed event!");this.shouldGenerateEmbeddedModels=o,this.defaults={enterNestedMode:!s(t.enterNestedMode),getNestedMode:!s(t.getNestedMode),getNestedModeInitialState:!s(t.getNestedModeInitialState),getLeavingNestedModeData:!s(t.getLeavingNestedModeData),onReturningFromNestedMode:!s(t.onReturningFromNestedMode)}}return e.prototype.dispose=function(){for(var e in this._embeddedModesListeners)this._embeddedModesListeners[e].dispose(),delete this._embeddedModesListeners[e]},e.prototype.getInitialState=function(){return this.customization.getInitialState()},e.prototype.tokenize=function(e,t,n,o){return void 0===n&&(n=0),void 0===o&&(o=n+e.length),t.getMode()!==this._mode?this._nestedTokenize(e,t,n,o,[],[]):this._myTokenize(e,t,n,o,[],[])},e.prototype._nestedTokenize=function(e,t,n,o,r,s){for(var a=t.getStateData(),l=this.getLeavingNestedModeData(e,a),u=t;u.getStateData()&&u.getStateData().getMode()!==this._mode;)u=u.getStateData();var c=u.getMode();if(!l){var d;return d=c.tokenizationSupport?c.tokenizationSupport.tokenize(e,t,n,o):i.nullTokenize(c,e,t,n),d.tokens=r.concat(d.tokens),d.modeTransitions=s.concat(d.modeTransitions),d}var h=l.nestedModeBuffer;if(h.length>0){var p;p=c.tokenizationSupport?c.tokenizationSupport.tokenize(h,t,n,o):i.nullTokenize(c,h,t,n),t=p.endState,r=r.concat(p.tokens),s=s.concat(p.modeTransitions)}var m=l.bufferAfterNestedMode,f=l.stateAfterNestedMode;return f.setStateData(a.getStateData()),this.onReturningFromNestedMode(f,t),this._myTokenize(m,f,n+h.length,o,r,s)},e.prototype._myTokenize=function(t,i,s,a,l,u){var c,d,h=this,p=new o.LineStream(t),m=null,f=null;i=i.clone(),(u.length<=0||u[u.length-1].mode!==this._mode)&&u.push({startIndex:s,mode:this._mode});for(var g=Math.min(a-s,t.length);p.pos()<g;){d=p.pos();do{if(c=i.tokenize(p),null===c||void 0===c||(void 0===c.type||null===c.type)&&(void 0===c.nextState||null===c.nextState))throw new Error("Tokenizer must return a valid state");if(c.nextState&&(c.nextState.setStateData(i.getStateData()),i=c.nextState),p.pos()<=d)throw new Error("Stream did not advance while tokenizing. Mode id is "+this._mode.getId()+' (stuck at token type: "'+c.type+'", prepend tokens: "'+l.map(function(e){return e.type}).join(",")+'").')}while(!c.type&&""!==c.type);if((m!==c.type||c.dontMergeWithPrev||null===m)&&l.push(new r.Token(d+s,c.type)),m=c.type,this.supportsNestedModes&&this.enterNestedMode(i)){var v=this._getEmbeddedLevel(i);if(v<e.MAX_EMBEDDED_LEVELS){var y=this.getNestedModeInitialState(i),_=y.state.getMode();if("function"==typeof _.addSupportChangedListener&&!this._embeddedModesListeners.hasOwnProperty(_.getId())){var b=!1;this._embeddedModesListeners[_.getId()]=_.addSupportChangedListener(function(e){b||e.tokenizationSupport&&(b=!0,h._mode.registerSupport(n.MutableSupport.TokenizationSupport,function(e){return e.tokenizationSupport}),b=!1)})}if(!p.eos()){var C=t.substr(p.pos()),w=this._nestedTokenize(C,y.state,s+p.pos(),a,l,u);return w.retokenize=w.retokenize||y.missingModePromise,w}i=y.state,f=y.missingModePromise}}}return{tokens:l,actualStopOffset:p.pos()+s,modeTransitions:u,endState:i,retokenize:f}},e.prototype._getEmbeddedLevel=function(e){for(var t=-1;e;)t++,e=e.getStateData();return t},e.prototype.enterNestedMode=function(e){return this.defaults.enterNestedMode?!1:this.customization.enterNestedMode(e)},e.prototype.getNestedMode=function(e){return this.defaults.getNestedMode?null:this.customization.getNestedMode(e)},e._validatedNestedMode=function(e){var t=new i.NullMode,n=null;return e&&e.mode&&(t=e.mode),e&&e.missingModePromise&&(n=e.missingModePromise),{mode:t,missingModePromise:n}},e.prototype.getNestedModeInitialState=function(t){if(this.defaults.getNestedModeInitialState){var n,o=e._validatedNestedMode(this.getNestedMode(t)),r=o.missingModePromise;return n=o.mode.tokenizationSupport?o.mode.tokenizationSupport.getInitialState():new i.NullState(o.mode,null),n.setStateData(t),{state:n,missingModePromise:r}}return this.customization.getNestedModeInitialState(t)},e.prototype.getLeavingNestedModeData=function(e,t){return this.defaults.getLeavingNestedModeData?null:this.customization.getLeavingNestedModeData(e,t)},e.prototype.onReturningFromNestedMode=function(e,t){return this.defaults.onReturningFromNestedMode?null:this.customization.onReturningFromNestedMode(e,t)},e.MAX_EMBEDDED_LEVELS=5,e}();t.TokenizationSupport=a});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/modes/monarch/monarchLexer",["require","exports","vs/editor/common/modes/abstractState","vs/editor/common/modes/lineStream","vs/editor/common/modes/monarch/monarchCommon","vs/editor/common/modes/supports/tokenizationSupport"],function(e,t,n,o,i,r){"use strict";function s(e,t){if(!t)return null;t=i.fixCase(e,t);for(var n=e.brackets,o=0;o<n.length;o++){var r=n[o];if(r.open===t)return{token:r.token,bracketType:i.MonarchBracket.Open};if(r.close===t)return{token:r.token,bracketType:i.MonarchBracket.Close}}return null}function a(e,t,n){return new r.TokenizationSupport(t,{getInitialState:function(){return new l(t,e,n)},enterNestedMode:function(e){return e instanceof l?e.embeddedEntered:!1},getNestedMode:function(t){var n=t.embeddedMode;if(!e.isRegisteredMode(n))return{mode:e.getMode("text/plain"),missingModePromise:null};var o=e.getMode(n);return o?{mode:o,missingModePromise:null}:{mode:e.getMode("text/plain"),missingModePromise:e.getOrCreateMode(n).then(function(){return null})}},getLeavingNestedModeData:function(e,t){for(var n=t.clone(),i=new o.LineStream(e);!i.eos()&&n.embeddedMode;)n.tokenize(i,!0);if(n.embeddedMode)return null;var r=i.pos();return{nestedModeBuffer:e.substring(0,r),bufferAfterNestedMode:e.substring(r),stateAfterNestedMode:n}}},n.usesEmbedded,!1)}var l=function(e){function t(n,o,i,r,s){e.call(this,n),this.id=t.ID++,this.modeService=o,this.lexer=i,this.stack=r?r:[i.start],this.embeddedMode=s?s:null,this.embeddedEntered=!1,this.groupActions=null,this.groupMatches=null,this.groupMatched=null,this.groupRule=null}return __extends(t,e),t.prototype.makeClone=function(){return new t(this.getMode(),this.modeService,this.lexer,this.stack.slice(0),this.embeddedMode)},t.prototype.equals=function(n){if(!e.prototype.equals.call(this,n))return!1;if(!(n instanceof t))return!1;var o=n;if(this.stack.length!==o.stack.length||this.lexer.name!==o.lexer.name||this.embeddedMode!==o.embeddedMode)return!1;var i;for(i in this.stack)if(this.stack.hasOwnProperty(i)&&this.stack[i]!==o.stack[i])return!1;return!0},t.prototype.tokenize=function(e,t){var n=this.stack.length,o=0,r=this.stack[0];this.embeddedEntered=!1;var a=null,l=null,u=null,c=null,d=null;if(this.groupActions)o=this.groupActions.length,a=this.groupMatches,l=this.groupMatched.shift(),u=this.groupActions.shift(),d=this.groupRule,0===this.groupActions.length&&(this.groupActions=null,this.groupMatches=null,this.groupMatched=null,this.groupRule=null);else{if(e.eos())return{type:""};var h=e.advanceToEOS();e.goBack(h.length);var p=this.lexer.tokenizer[r];if(p||(p=i.findRules(this.lexer,r)),p){d=null;var m,f=e.pos();for(m in p)if(p.hasOwnProperty(m)&&(d=p[m],(0===f||!d.matchOnlyAtLineStart)&&(a=h.match(d.regex)))){l=a[0],u=d.action;break}}else i.throwError(this.lexer,"tokenizer state is not defined: "+r)}for(a||(a=[""],l=""),u||(e.eos()||(a=[e.peek()],l=a[0]),u=this.lexer.defaultToken),e.advance(l.length);u.test;){var g=u.test(l,a,r,e.eos());u=g}var v=null;if("string"==typeof u||Array.isArray(u))v=u;else if(u.group)v=u.group;else if(null!==u.token&&void 0!==u.token){if(v=u.token,u.tokenSubst&&(v=i.substituteMatches(this.lexer,v,l,a,r)),u.nextEmbedded)if("@pop"===u.nextEmbedded)this.embeddedMode||i.throwError(this.lexer,"cannot pop embedded mode if not inside one"),this.embeddedMode=null;else if(this.embeddedMode)i.throwError(this.lexer,"cannot enter embedded mode from within an embedded mode");else{this.embeddedMode=i.substituteMatches(this.lexer,u.nextEmbedded,l,a,r);var y=this.modeService.getModeIdForLanguageName(this.embeddedMode);this.embeddedMode&&y&&(this.embeddedMode=y),this.embeddedEntered=!0}if(u.goBack&&e.goBack(u.goBack),u.switchTo&&"string"==typeof u.switchTo){var _=i.substituteMatches(this.lexer,u.switchTo,l,a,r);"@"===_[0]&&(_=_.substr(1)),i.findRules(this.lexer,_)?this.stack[0]=_:i.throwError(this.lexer,"trying to switch to a state '"+_+"' that is undefined in rule: "+d.name),c=null}else if(u.transform&&"function"==typeof u.transform)this.stack=u.transform(this.stack),c=null;else if(u.next)if("@push"===u.next)this.stack.length>=this.lexer.maxStack?i.throwError(this.lexer,"maximum tokenizer stack size reached: ["+this.stack[0]+","+this.stack[1]+",...,"+this.stack[this.stack.length-2]+","+this.stack[this.stack.length-1]+"]"):this.stack.unshift(r);else if("@pop"===u.next)this.stack.length<=1?i.throwError(this.lexer,"trying to pop an empty stack in rule: "+d.name):this.stack.shift();else if("@popall"===u.next)this.stack.length>1&&(this.stack=[this.stack[this.stack.length-1]]);else{var _=i.substituteMatches(this.lexer,u.next,l,a,r);"@"===_[0]&&(_=_.substr(1)),i.findRules(this.lexer,_)?this.stack.unshift(_):i.throwError(this.lexer,"trying to set a next state '"+_+"' that is undefined in rule: "+d.name)}u.log&&"string"==typeof u.log&&i.log(this.lexer,this.lexer.displayName+": "+i.substituteMatches(this.lexer,u.log,l,a,r))}if(null===v&&(i.throwError(this.lexer,"lexer rule has no well-defined action in rule: "+d.name),v=this.lexer.defaultToken),Array.isArray(v)){this.groupActions&&this.groupActions.length>0&&i.throwError(this.lexer,"groups cannot be nested: "+d.name),a.length!==v.length+1&&i.throwError(this.lexer,"matched number of groups does not match the number of actions in rule: "+d.name);for(var b=0,C=1;C<a.length;C++)b+=a[C].length;return b!==l.length&&i.throwError(this.lexer,"with groups, all characters should be matched in consecutive groups in rule: "+d.name),this.groupMatches=a,this.groupMatched=a.slice(1),this.groupActions=v.slice(0),this.groupRule=d,e.goBack(l.length),
this.tokenize(e)}if("@rematch"===v&&(e.goBack(l.length),l="",a=null,v=""),0===l.length)if(n!==this.stack.length||r!==this.stack[0]||(this.groupActions?this.groupActions.length:0)!==o){if(!t)return this.tokenize(e)}else i.throwError(this.lexer,"no progress in tokenizer in rule: "+d.name),e.advanceToEOS();if(0===v.indexOf("@brackets")){var w=v.substr("@brackets".length),E=s(this.lexer,l);return E||(i.throwError(this.lexer,"@brackets token returned but no bracket defined as: "+l),E={token:"",bracketType:i.MonarchBracket.None}),{type:i.sanitize(E.token+w)}}var S=""===v?"":v+this.lexer.tokenPostfix;return{type:i.sanitize(S)}},t.ID=0,t}(n.AbstractState);t.MonarchLexer=l,t.createTokenizationSupport=a}),define("vs/editor/common/modes/textToHtmlTokenizer",["require","exports","vs/base/common/strings","vs/editor/common/modes/nullMode"],function(e,t,n,o){"use strict";function i(e,t){return a(e,s(t))}function r(e,t,n){return l(e,s(t),n)}function s(e){return e&&e.tokenizationSupport?e.tokenizationSupport:{shouldGenerateEmbeddedModels:!1,getInitialState:function(){return new o.NullState(null,null)},tokenize:function(e,t,n,i){return void 0===n&&(n=0),o.nullTokenize(null,e,t,n,i)}}}function a(e,t){var n={tagName:"div",style:"white-space: pre-wrap",children:[]},o=function(e,t){n.children.push({tagName:"span",className:e,text:t})},i=function(){n.children.push({tagName:"br"})};return u(e,t,o,i),n}function l(e,t,o){void 0===o&&(o=""),o&&o.length>0&&(o=" "+o);var i="",r=function(e,t){i+='<span class="'+e+o+'">'+n.escape(t)+"</span>"},s=function(){i+="<br/>"};return i='<div style="white-space: pre-wrap;">',u(e,t,r,s),i+="</div>"}function u(e,t,n,o){for(var i=e.split(/\r\n|\r|\n/),r=t.getInitialState(),s=0;s<i.length;s++)r=c(i[s],t,n,r),s<i.length-1&&o()}function c(e,t,n,o){for(var i,r=t.tokenize(e,o),s=r.endState,a=r.tokens,l=0,u=0;u<a.length;u++){var c=a[u];u<a.length-1?(i=e.substring(l,a[u+1].startIndex),l=a[u+1].startIndex):i=e.substr(l);var d="token",h=c.type.replace(/[^a-z0-9\-]/gi," ");h.length>0&&(d+=" "+h),n(d,i)}return s}t.tokenizeToHtmlContent=i,t.tokenizeToString=r}),define("vs/nls!vs/editor/common/controller/cursor",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/common/controller/cursor",t)});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/controller/cursor",["require","exports","vs/nls!vs/editor/common/controller/cursor","vs/base/common/errors","vs/base/common/eventEmitter","vs/base/common/lifecycle","vs/editor/common/commands/replaceCommand","vs/editor/common/controller/cursorCollection","vs/editor/common/controller/oneCursor","vs/editor/common/core/position","vs/editor/common/core/range","vs/editor/common/core/selection","vs/editor/common/editorCommon"],function(e,t,n,o,i,r,s,a,l,u,c,d,h){"use strict";var p;!function(e){e[e.Primary=0]="Primary",e[e.TopMost=1]="TopMost",e[e.BottomMost=2]="BottomMost"}(p||(p={}));var m=function(e){function t(t,n,o,i,r){var s=this;e.call(this,[h.EventType.CursorPositionChanged,h.EventType.CursorSelectionChanged,h.EventType.CursorRevealRange,h.EventType.CursorScrollRequest]),this._columnSelectToLineNumber=0,this._columnSelectToVisualColumn=0,this.editorId=t,this.configuration=n,this.model=o,this.viewModelHelper=i,this.enableEmptySelectionClipboard=r,this.viewModelHelper||(this.viewModelHelper={viewModel:this.model,convertModelPositionToViewPosition:function(e,t){return new u.Position(e,t)},convertModelRangeToViewRange:function(e){return e},convertViewToModelPosition:function(e,t){return new u.Position(e,t)},convertViewSelectionToModelSelection:function(e){return e},validateViewPosition:function(e,t,n){return n},validateViewRange:function(e,t,n,o,i){return i}}),this.cursors=new a.CursorCollection(this.editorId,this.model,this.configuration,this.viewModelHelper),this.cursorUndoStack=[],this.typingListeners={},this._isHandling=!1,this.modelUnbinds=[],this.modelUnbinds.push(this.model.onDidChangeRawContent(function(e){s._onModelContentChanged(e)})),this.modelUnbinds.push(this.model.onDidChangeMode(function(e){s._onModelModeChanged()})),this.modelUnbinds.push(this.model.onDidChangeModeSupport(function(e){s._onModelModeChanged()})),this._handlers={},this._registerHandlers()}return __extends(t,e),t.prototype.dispose=function(){this.modelUnbinds=r.dispose(this.modelUnbinds),this.model=null,this.cursors.dispose(),this.cursors=null,this.configuration=null,this.viewModelHelper=null,e.prototype.dispose.call(this)},t.prototype.saveState=function(){for(var e,t=this.cursors.getSelections(),n=[],o=0;o<t.length;o++)e=t[o],n.push({inSelectionMode:!e.isEmpty(),selectionStart:{lineNumber:e.selectionStartLineNumber,column:e.selectionStartColumn},position:{lineNumber:e.positionLineNumber,column:e.positionColumn}});return n},t.prototype.restoreState=function(e){for(var t,n=this,o=[],i=0;i<e.length;i++){t=e[i];var r=1,s=1;t.position&&t.position.lineNumber&&(r=t.position.lineNumber),t.position&&t.position.column&&(s=t.position.column);var a=r,l=s;t.selectionStart&&t.selectionStart.lineNumber&&(a=t.selectionStart.lineNumber),t.selectionStart&&t.selectionStart.column&&(l=t.selectionStart.column),o.push({selectionStartLineNumber:a,selectionStartColumn:l,positionLineNumber:r,positionColumn:s})}this._onHandler("restoreState",function(e){return n.cursors.setSelections(o),!1},"restoreState",null)},t.prototype.setEditableRange=function(e){this.model.setEditableRange(e)},t.prototype.getEditableRange=function(){return this.model.getEditableRange()},t.prototype.addTypingListener=function(e,t){this.typingListeners.hasOwnProperty(e)||(this.typingListeners[e]=[]),this.typingListeners[e].push(t)},t.prototype.removeTypingListener=function(e,t){if(this.typingListeners.hasOwnProperty(e))for(var n=this.typingListeners[e],o=0;o<n.length;o++)if(n[o]===t)return void n.splice(o,1)},t.prototype._onModelModeChanged=function(){this.cursors.updateMode()},t.prototype._onModelContentChanged=function(e){var t=this;e.changeType===h.EventType.ModelRawContentChangedFlush?(this.cursors.dispose(),this.cursors=new a.CursorCollection(this.editorId,this.model,this.configuration,this.viewModelHelper),this.emitCursorPositionChanged("model",h.CursorChangeReason.ContentFlush),this.emitCursorSelectionChanged("model",h.CursorChangeReason.ContentFlush)):this._isHandling||this._onHandler("recoverSelectionFromMarkers",function(e){var n=t._invokeForAll(e,function(e,t,n){return t.recoverSelectionFromMarkers(n)});return e.shouldPushStackElementBefore=!1,e.shouldPushStackElementAfter=!1,n},"modelChange",null)},t.prototype.getSelection=function(){return this.cursors.getSelection(0)},t.prototype.getSelections=function(){return this.cursors.getSelections()},t.prototype.getPosition=function(){return this.cursors.getPosition(0)},t.prototype.setSelections=function(e,t){var n=this;this._onHandler("setSelections",function(e){return e.shouldReveal=!1,n.cursors.setSelections(t),!1},e,null)},t.prototype._createAndInterpretHandlerCtx=function(e,t,n){var o={cursorPositionChangeReason:h.CursorChangeReason.NotSet,shouldReveal:!0,shouldRevealVerticalInCenter:!1,shouldRevealHorizontal:!0,shouldRevealTarget:p.Primary,eventSource:e,eventData:t,executeCommands:[],isAutoWhitespaceCommand:[],hasExecutedCommands:!1,isCursorUndo:!1,postOperationRunnables:[],shouldPushStackElementBefore:!1,shouldPushStackElementAfter:!1,requestScrollDeltaLines:0,setColumnSelectToLineNumber:0,setColumnSelectToVisualColumn:0};return n(o),this._interpretHandlerContext(o),this.cursors.normalize(),o.hasExecutedCommands},t.prototype._onHandler=function(e,t,n,i){this._isHandling=!0,this.charactersTyped="";var r=!1;try{var s,a,l,u,c,d,p,m=this.cursors.getSelections(),f=this.cursors.getViewSelections(),g=this.cursors.saveState(),v=n,y=this._createAndInterpretHandlerCtx(v,i,function(e){r=t(e),s=e.cursorPositionChangeReason,a=e.shouldReveal,c=e.shouldRevealTarget,l=e.shouldRevealVerticalInCenter,u=e.shouldRevealHorizontal,d=e.isCursorUndo,p=e.requestScrollDeltaLines});y&&(this.cursorUndoStack=[]);for(var _=0;_<this.charactersTyped.length;_++){var b=this.charactersTyped.charAt(_);if(this.typingListeners.hasOwnProperty(b))for(var C=this.typingListeners[b].slice(0),w=0,E=C.length;E>w;w++)try{C[w]()}catch(S){o.onUnexpectedError(S)}}var x=this.cursors.getSelections(),T=this.cursors.getViewSelections(),L=!1;if(m.length!==x.length)L=!0;else{for(var _=0,M=m.length;!L&&M>_;_++)m[_].equalsSelection(x[_])||(L=!0);for(var _=0,M=f.length;!L&&M>_;_++)f[_].equalsSelection(T[_])||(L=!0)}L&&(y||d||this.cursorUndoStack.push(g),this.cursorUndoStack.length>50&&(this.cursorUndoStack=this.cursorUndoStack.splice(0,this.cursorUndoStack.length-50)),this.emitCursorPositionChanged(v,s),a&&this.emitCursorRevealRange(c,l?h.VerticalRevealType.Center:h.VerticalRevealType.Simple,u),this.emitCursorSelectionChanged(v,s)),p&&this.emitCursorScrollRequest(p)}catch(N){o.onUnexpectedError(N)}return this._isHandling=!1,r},t.prototype._interpretHandlerContext=function(e){e.shouldPushStackElementBefore&&(this.model.pushStackElement(),e.shouldPushStackElementBefore=!1),this._columnSelectToLineNumber=e.setColumnSelectToLineNumber,this._columnSelectToVisualColumn=e.setColumnSelectToVisualColumn,e.hasExecutedCommands=this._internalExecuteCommands(e.executeCommands,e.isAutoWhitespaceCommand,e.postOperationRunnables)||e.hasExecutedCommands,e.executeCommands=[],e.shouldPushStackElementAfter&&(this.model.pushStackElement(),e.shouldPushStackElementAfter=!1);for(var t=!1,n=0,o=e.postOperationRunnables.length;o>n;n++)if(e.postOperationRunnables[n]){t=!0;break}if(t){var i=e.postOperationRunnables.slice(0);e.postOperationRunnables=[],this._invokeForAll(e,function(e,t,n){return i[e]&&i[e](n),!1}),this._interpretHandlerContext(e)}},t.prototype._interpretCommandResult=function(e){return e?(this.cursors.setSelections(e),!0):!1},t.prototype._getEditOperationsFromCommand=function(e,t,i,r){var s=this,a=[],l=0,u=function(e,n){e.isEmpty()&&""===n||a.push({identifier:{major:t,minor:l++},range:e,text:n,forceMoveMarkers:!1,isAutoWhitespaceEdit:r})},c=!1,d=function(t,n){var o,i;if(t.isEmpty())if("boolean"==typeof n)o=n,i=n;else{var r=s.model.getLineMaxColumn(t.startLineNumber);t.startColumn===r?(o=!0,i=!0):(o=!1,i=!1)}else t.getDirection()===h.SelectionDirection.LTR?(o=!1,i=!0):(o=!0,i=!1);var a=e.selectionStartMarkers.length;return e.selectionStartMarkers[a]=s.model._addMarker(t.selectionStartLineNumber,t.selectionStartColumn,o),e.positionMarkers[a]=s.model._addMarker(t.positionLineNumber,t.positionColumn,i),a.toString()},p={addEditOperation:u,trackSelection:d};try{i.getEditOperations(this.model,p)}catch(m){return m.friendlyMessage=n.localize(0,null),o.onUnexpectedError(m),{operations:[],hadTrackedRange:!1}}return{operations:a,hadTrackedRange:c}},t.prototype._getEditOperations=function(e,t,n){for(var o,i,r=[],s=[],a=0;a<t.length;a++)t[a]?(o=this._getEditOperationsFromCommand(e,a,t[a],n[a]),r=r.concat(o.operations),s[a]=o.hadTrackedRange,i=i||s[a]):s[a]=!1;return{operations:r,hadTrackedRanges:s,anyoneHadTrackedRange:i}},t.prototype._getLoserCursorMap=function(e){e=e.slice(0),e.sort(function(e,t){return-c.Range.compareRangesUsingEnds(e.range,t.range)});for(var t,n,o,i={},r=1;r<e.length;r++)if(t=e[r-1],n=e[r],t.range.getStartPosition().isBefore(n.range.getEndPosition())){o=t.identifier.major>n.identifier.major?t.identifier.major:n.identifier.major,i[o.toString()]=!0;for(var s=0;s<e.length;s++)e[s].identifier.major===o&&(e.splice(s,1),r>s&&r--,s--);r>0&&r--}return i},t.prototype._collapseDeleteCommands=function(e,t,n){if(1!==e.length){var o=e.every(function(e){if(!(e instanceof s.ReplaceCommand))return!1;var t=e;return!(t.getText().length>0)});if(o){var i=e,r=i.map(function(e,t){return{range:i[t].getRange(),postOperationRunnable:n[t],order:t}});r.sort(function(e,t){return c.Range.compareRangesUsingStarts(e.range,t.range)});for(var a=r[0],l=1;l<r.length;l++)if(a.range.endLineNumber===r[l].range.startLineNumber&&a.range.endColumn===r[l].range.startColumn){var u=new c.Range(a.range.startLineNumber,a.range.startColumn,r[l].range.endLineNumber,r[l].range.endColumn);a.range=u,i[r[l].order].setRange(u),i[a.order].setRange(u)}else a=r[l]}}},t.prototype._internalExecuteCommands=function(e,t,n){var o={selectionStartMarkers:[],positionMarkers:[]};this._collapseDeleteCommands(e,t,n);for(var i=this._innerExecuteCommands(o,e,t,n),r=0;r<o.selectionStartMarkers.length;r++)this.model._removeMarker(o.selectionStartMarkers[r]),this.model._removeMarker(o.positionMarkers[r]);return i},t.prototype._arrayIsEmpty=function(e){var t,n;for(t=0,n=e.length;n>t;t++)if(e[t])return!1;return!0},t.prototype._innerExecuteCommands=function(e,t,n,o){var i=this;if(this.configuration.editor.readOnly)return!1;if(this._arrayIsEmpty(t))return!1;var r=this.cursors.getSelections(),s=this._getEditOperations(e,t,n);if(0===s.operations.length&&!s.anyoneHadTrackedRange)return!1;for(var a=s.operations,l=this.model.getEditableRange(),u=l.getStartPosition(),c=l.getEndPosition(),h=0;h<a.length;h++){var p=a[h].range;if(!u.isBeforeOrEqual(p.getStartPosition())||!p.getEndPosition().isBeforeOrEqual(c))return!1}var m=this._getLoserCursorMap(a);if(m.hasOwnProperty("0"))return console.warn("Ignoring commands"),!1;for(var f=[],h=0;h<a.length;h++)m.hasOwnProperty(a[h].identifier.major.toString())||f.push(a[h]);var g,v=this.model.pushEditOperations(r,f,function(n){for(var o=[],a=0;a<r.length;a++)o[a]=[];for(var a=0;a<n.length;a++){var l=n[a];l.identifier&&o[l.identifier.major].push(l)}for(var u=function(e,t){return e.identifier.minor-t.identifier.minor},c=[],a=0;a<r.length;a++)o[a].length>0||s.hadTrackedRanges[a]?(o[a].sort(u),c[a]=t[a].computeCursorState(i.model,{getInverseEditOperations:function(){return o[a]},getTrackedSelection:function(t){var n=parseInt(t,10),o=i.model._getMarker(e.selectionStartMarkers[n]),r=i.model._getMarker(e.positionMarkers[n]);return new d.Selection(o.lineNumber,o.column,r.lineNumber,r.column)}})):c[a]=r[a];return c}),y=[];for(g in m)m.hasOwnProperty(g)&&y.push(parseInt(g,10));y.sort(function(e,t){return t-e});for(var h=0;h<y.length;h++)v.splice(y[h],1),o.splice(y[h],1);return this._interpretCommandResult(v)},t.prototype.emitCursorPositionChanged=function(e,t){var n=this.cursors.getPositions(),o=n[0],i=n.slice(1),r=this.cursors.getViewPositions(),s=r[0],a=r.slice(1),l=!0;if(this.model.hasEditableRange()){var u=this.model.getEditableRange();u.containsPosition(o)||(l=!1)}var c={position:o,viewPosition:s,secondaryPositions:i,secondaryViewPositions:a,reason:t,source:e,isInEditableRange:l};this.emit(h.EventType.CursorPositionChanged,c)},t.prototype.emitCursorSelectionChanged=function(e,t){var n=this.cursors.getSelections(),o=n[0],i=n.slice(1),r=this.cursors.getViewSelections(),s=r[0],a=r.slice(1),l={selection:o,viewSelection:s,secondarySelections:i,secondaryViewSelections:a,source:e,reason:t};this.emit(h.EventType.CursorSelectionChanged,l)},t.prototype.emitCursorScrollRequest=function(e){var t={deltaLines:e};this.emit(h.EventType.CursorScrollRequest,t)},t.prototype.emitCursorRevealRange=function(e,t,n){var o=this.cursors.getPositions(),i=this.cursors.getViewPositions(),r=o[0],s=i[0];if(e===p.TopMost)for(var a=1;a<o.length;a++)o[a].isBefore(r)&&(r=o[a],s=i[a]);else if(e===p.BottomMost)for(var a=1;a<o.length;a++)r.isBeforeOrEqual(o[a])&&(r=o[a],s=i[a]);else if(o.length>1)return;var l=new c.Range(r.lineNumber,r.column,r.lineNumber,r.column),u=new c.Range(s.lineNumber,s.column,s.lineNumber,s.column),d={range:l,viewRange:u,verticalType:t,revealHorizontal:n};this.emit(h.EventType.CursorRevealRange,d)},t.prototype.trigger=function(e,t,n){if(this._handlers.hasOwnProperty(t)){var o=this._handlers[t];this._onHandler(t,o,e,n)}},t.prototype._registerHandlers=function(){var e=this,t=h.Handler;this._handlers[t.JumpToBracket]=function(t){return e._jumpToBracket(t)},this._handlers[t.MoveTo]=function(t){return e._moveTo(!1,t)},this._handlers[t.MoveToSelect]=function(t){return e._moveTo(!0,t)},this._handlers[t.ColumnSelect]=function(t){return e._columnSelectMouse(t)},this._handlers[t.AddCursorUp]=function(t){return e._addCursorUp(t)},this._handlers[t.AddCursorDown]=function(t){return e._addCursorDown(t)},this._handlers[t.CreateCursor]=function(t){return e._createCursor(t)},this._handlers[t.LastCursorMoveToSelect]=function(t){return e._lastCursorMoveTo(t)},this._handlers[t.CursorLeft]=function(t){return e._moveLeft(!1,t)},this._handlers[t.CursorLeftSelect]=function(t){return e._moveLeft(!0,t)},this._handlers[t.CursorWordLeft]=function(t){return e._moveWordLeft(!1,l.WordNavigationType.WordStart,t)},this._handlers[t.CursorWordStartLeft]=function(t){return e._moveWordLeft(!1,l.WordNavigationType.WordStart,t)},this._handlers[t.CursorWordEndLeft]=function(t){return e._moveWordLeft(!1,l.WordNavigationType.WordEnd,t)},this._handlers[t.CursorWordLeftSelect]=function(t){return e._moveWordLeft(!0,l.WordNavigationType.WordStart,t)},this._handlers[t.CursorWordStartLeftSelect]=function(t){return e._moveWordLeft(!0,l.WordNavigationType.WordStart,t)},this._handlers[t.CursorWordEndLeftSelect]=function(t){return e._moveWordLeft(!0,l.WordNavigationType.WordEnd,t)},this._handlers[t.CursorRight]=function(t){return e._moveRight(!1,t)},this._handlers[t.CursorRightSelect]=function(t){return e._moveRight(!0,t)},this._handlers[t.CursorWordRight]=function(t){return e._moveWordRight(!1,l.WordNavigationType.WordEnd,t)},this._handlers[t.CursorWordStartRight]=function(t){return e._moveWordRight(!1,l.WordNavigationType.WordStart,t)},this._handlers[t.CursorWordEndRight]=function(t){return e._moveWordRight(!1,l.WordNavigationType.WordEnd,t)},this._handlers[t.CursorWordRightSelect]=function(t){return e._moveWordRight(!0,l.WordNavigationType.WordEnd,t)},this._handlers[t.CursorWordStartRightSelect]=function(t){return e._moveWordRight(!0,l.WordNavigationType.WordStart,t)},this._handlers[t.CursorWordEndRightSelect]=function(t){return e._moveWordRight(!0,l.WordNavigationType.WordEnd,t)},this._handlers[t.CursorUp]=function(t){return e._moveUp(!1,!1,t)},this._handlers[t.CursorUpSelect]=function(t){return e._moveUp(!0,!1,t)},this._handlers[t.CursorDown]=function(t){return e._moveDown(!1,!1,t)},this._handlers[t.CursorDownSelect]=function(t){return e._moveDown(!0,!1,t)},this._handlers[t.CursorPageUp]=function(t){return e._moveUp(!1,!0,t)},this._handlers[t.CursorPageUpSelect]=function(t){return e._moveUp(!0,!0,t)},this._handlers[t.CursorPageDown]=function(t){return e._moveDown(!1,!0,t)},this._handlers[t.CursorPageDownSelect]=function(t){return e._moveDown(!0,!0,t)},this._handlers[t.CursorHome]=function(t){return e._moveToBeginningOfLine(!1,t)},this._handlers[t.CursorHomeSelect]=function(t){return e._moveToBeginningOfLine(!0,t)},this._handlers[t.CursorEnd]=function(t){return e._moveToEndOfLine(!1,t)},this._handlers[t.CursorEndSelect]=function(t){return e._moveToEndOfLine(!0,t)},this._handlers[t.CursorTop]=function(t){return e._moveToBeginningOfBuffer(!1,t)},this._handlers[t.CursorTopSelect]=function(t){return e._moveToBeginningOfBuffer(!0,t)},this._handlers[t.CursorBottom]=function(t){return e._moveToEndOfBuffer(!1,t)},this._handlers[t.CursorBottomSelect]=function(t){return e._moveToEndOfBuffer(!0,t)},this._handlers[t.CursorColumnSelectLeft]=function(t){return e._columnSelectLeft(t)},this._handlers[t.CursorColumnSelectRight]=function(t){return e._columnSelectRight(t)},this._handlers[t.CursorColumnSelectUp]=function(t){return e._columnSelectUp(!1,t)},this._handlers[t.CursorColumnSelectPageUp]=function(t){return e._columnSelectUp(!0,t)},this._handlers[t.CursorColumnSelectDown]=function(t){return e._columnSelectDown(!1,t)},this._handlers[t.CursorColumnSelectPageDown]=function(t){return e._columnSelectDown(!0,t)},this._handlers[t.SelectAll]=function(t){return e._selectAll(t)},this._handlers[t.LineSelect]=function(t){return e._line(!1,t)},this._handlers[t.LineSelectDrag]=function(t){return e._line(!0,t)},this._handlers[t.LastCursorLineSelect]=function(t){return e._lastCursorLine(!1,t)},this._handlers[t.LastCursorLineSelectDrag]=function(t){return e._lastCursorLine(!0,t)},this._handlers[t.LineInsertBefore]=function(t){return e._lineInsertBefore(t)},this._handlers[t.LineInsertAfter]=function(t){return e._lineInsertAfter(t)},this._handlers[t.LineBreakInsert]=function(t){return e._lineBreakInsert(t)},this._handlers[t.WordSelect]=function(t){return e._word(!1,t)},this._handlers[t.WordSelectDrag]=function(t){return e._word(!0,t)},this._handlers[t.LastCursorWordSelect]=function(t){return e._lastCursorWord(t)},this._handlers[t.CancelSelection]=function(t){return e._cancelSelection(t)},this._handlers[t.RemoveSecondaryCursors]=function(t){return e._removeSecondaryCursors(t)},this._handlers[t.Type]=function(t){return e._type(t)},this._handlers[t.ReplacePreviousChar]=function(t){return e._replacePreviousChar(t)},this._handlers[t.Tab]=function(t){return e._tab(t)},this._handlers[t.Indent]=function(t){return e._indent(t)},this._handlers[t.Outdent]=function(t){return e._outdent(t)},this._handlers[t.Paste]=function(t){return e._paste(t)},this._handlers[t.ScrollLineUp]=function(t){return e._scrollUp(!1,t)},this._handlers[t.ScrollLineDown]=function(t){return e._scrollDown(!1,t)},this._handlers[t.ScrollPageUp]=function(t){return e._scrollUp(!0,t)},this._handlers[t.ScrollPageDown]=function(t){return e._scrollDown(!0,t)},this._handlers[t.DeleteLeft]=function(t){return e._deleteLeft(t)},this._handlers[t.DeleteWordLeft]=function(t){return e._deleteWordLeft(!0,l.WordNavigationType.WordStart,t)},this._handlers[t.DeleteWordStartLeft]=function(t){return e._deleteWordLeft(!1,l.WordNavigationType.WordStart,t)},this._handlers[t.DeleteWordEndLeft]=function(t){return e._deleteWordLeft(!1,l.WordNavigationType.WordEnd,t)},this._handlers[t.DeleteRight]=function(t){return e._deleteRight(t)},this._handlers[t.DeleteWordRight]=function(t){return e._deleteWordRight(!0,l.WordNavigationType.WordEnd,t)},this._handlers[t.DeleteWordStartRight]=function(t){return e._deleteWordRight(!1,l.WordNavigationType.WordStart,t)},this._handlers[t.DeleteWordEndRight]=function(t){return e._deleteWordRight(!1,l.WordNavigationType.WordEnd,t)},this._handlers[t.DeleteAllLeft]=function(t){return e._deleteAllLeft(t)},this._handlers[t.DeleteAllRight]=function(t){return e._deleteAllRight(t)},this._handlers[t.Cut]=function(t){return e._cut(t)},this._handlers[t.ExpandLineSelection]=function(t){return e._expandLineSelection(t)},this._handlers[t.Undo]=function(t){return e._undo(t)},this._handlers[t.CursorUndo]=function(t){return e._cursorUndo(t)},this._handlers[t.Redo]=function(t){return e._redo(t)},this._handlers[t.ExecuteCommand]=function(t){return e._externalExecuteCommand(t)},this._handlers[t.ExecuteCommands]=function(t){return e._externalExecuteCommands(t)}},t.prototype._invokeForAllSorted=function(e,t,n,o){return void 0===n&&(n=!0),void 0===o&&(o=!0),this._doInvokeForAll(e,!0,t,n,o)},t.prototype._invokeForAll=function(e,t,n,o){return void 0===n&&(n=!0),void 0===o&&(o=!0),this._doInvokeForAll(e,!1,t,n,o)},t.prototype._doInvokeForAll=function(e,t,n,o,i){void 0===o&&(o=!0),void 0===i&&(i=!0);var r=!1,s=this.cursors.getAll();t&&(s=s.sort(function(e,t){return c.Range.compareRangesUsingStarts(e.getSelection(),t.getSelection())}));var a;e.shouldPushStackElementBefore=o,e.shouldPushStackElementAfter=i;for(var l=0;l<s.length;l++)a={cursorPositionChangeReason:h.CursorChangeReason.NotSet,shouldReveal:!0,shouldRevealVerticalInCenter:!1,shouldRevealHorizontal:!0,executeCommand:null,isAutoWhitespaceCommand:!1,postOperationRunnable:null,shouldPushStackElementBefore:!1,shouldPushStackElementAfter:!1,requestScrollDeltaLines:0},r=n(l,s[l],a)||r,0===l&&(e.cursorPositionChangeReason=a.cursorPositionChangeReason,e.shouldRevealHorizontal=a.shouldRevealHorizontal,e.shouldReveal=a.shouldReveal,e.shouldRevealVerticalInCenter=a.shouldRevealVerticalInCenter,e.requestScrollDeltaLines=a.requestScrollDeltaLines),e.shouldPushStackElementBefore=e.shouldPushStackElementBefore||a.shouldPushStackElementBefore,e.shouldPushStackElementAfter=e.shouldPushStackElementAfter||a.shouldPushStackElementAfter,e.executeCommands[l]=a.executeCommand,e.isAutoWhitespaceCommand[l]=a.isAutoWhitespaceCommand,e.postOperationRunnables[l]=a.postOperationRunnable;return r},t.prototype._jumpToBracket=function(e){return this.cursors.killSecondaryCursors(),this._invokeForAll(e,function(e,t,n){return l.OneCursorOp.jumpToBracket(t,n)})},t.prototype._moveTo=function(e,t){return this.cursors.killSecondaryCursors(),this._invokeForAll(t,function(n,o,i){return l.OneCursorOp.moveTo(o,e,t.eventData.position,t.eventData.viewPosition,t.eventSource,i)})},t.prototype._getColumnSelectToLineNumber=function(){if(!this._columnSelectToLineNumber){var e=this.cursors.getAll()[0],t=e.getViewPosition();return t.lineNumber}return this._columnSelectToLineNumber},t.prototype._getColumnSelectToVisualColumn=function(){if(!this._columnSelectToVisualColumn){var e=this.cursors.getAll()[0],t=e.getViewPosition();return e.getViewVisibleColumnFromColumn(t.lineNumber,t.column)}return this._columnSelectToVisualColumn},t.prototype._columnSelectMouse=function(e){var t=this.cursors.getAll(),n=l.OneCursorOp.columnSelectMouse(t[0],e.eventData.position,e.eventData.viewPosition,e.eventData.mouseColumn-1);return e.shouldRevealTarget=n.reversed?p.TopMost:p.BottomMost,e.shouldReveal=!0,e.setColumnSelectToLineNumber=n.toLineNumber,e.setColumnSelectToVisualColumn=n.toVisualColumn,this.cursors.setSelections(n.selections,n.viewSelections),!0},t.prototype._columnSelectOp=function(e,t){var n=this.cursors.getAll()[0],o=t(n,this._getColumnSelectToLineNumber(),this._getColumnSelectToVisualColumn());return e.shouldRevealTarget=o.reversed?p.TopMost:p.BottomMost,e.shouldReveal=!0,e.setColumnSelectToLineNumber=o.toLineNumber,e.setColumnSelectToVisualColumn=o.toVisualColumn,this.cursors.setSelections(o.selections,o.viewSelections),!0},t.prototype._columnSelectLeft=function(e){return this._columnSelectOp(e,function(e,t,n){return l.OneCursorOp.columnSelectLeft(e,t,n)})},t.prototype._columnSelectRight=function(e){return this._columnSelectOp(e,function(e,t,n){return l.OneCursorOp.columnSelectRight(e,t,n)})},t.prototype._columnSelectUp=function(e,t){return this._columnSelectOp(t,function(t,n,o){return l.OneCursorOp.columnSelectUp(e,t,n,o)})},t.prototype._columnSelectDown=function(e,t){return this._columnSelectOp(t,function(t,n,o){return l.OneCursorOp.columnSelectDown(e,t,n,o)})},t.prototype._createCursor=function(e){if(this.configuration.editor.readOnly||this.model.hasEditableRange())return!1;this.cursors.addSecondaryCursor({selectionStartLineNumber:1,selectionStartColumn:1,positionLineNumber:1,positionColumn:1});var t=this.cursors.getLastAddedCursor();return this._invokeForAll(e,function(n,o,i){return o===t?e.eventData.wholeLine?l.OneCursorOp.line(o,!1,e.eventData.position,e.eventData.viewPosition,i):l.OneCursorOp.moveTo(o,!1,e.eventData.position,e.eventData.viewPosition,e.eventSource,i):!1}),e.shouldReveal=!1,e.shouldRevealHorizontal=!1,!0},t.prototype._lastCursorMoveTo=function(e){if(this.configuration.editor.readOnly||this.model.hasEditableRange())return!1;var t=this.cursors.getLastAddedCursor();return this._invokeForAll(e,function(n,o,i){return o===t?l.OneCursorOp.moveTo(o,!0,e.eventData.position,e.eventData.viewPosition,e.eventSource,i):!1}),e.shouldReveal=!1,e.shouldRevealHorizontal=!1,!0},t.prototype._addCursorUp=function(e){if(this.configuration.editor.readOnly)return!1;var t=this.cursors.getSelections().length;return this.cursors.duplicateCursors(),e.shouldRevealTarget=p.TopMost,this._invokeForAll(e,function(e,n,o){return e>=t?l.OneCursorOp.translateUp(n,o):!1})},t.prototype._addCursorDown=function(e){if(this.configuration.editor.readOnly)return!1;var t=this.cursors.getSelections().length;return this.cursors.duplicateCursors(),e.shouldRevealTarget=p.BottomMost,this._invokeForAll(e,function(e,n,o){return e>=t?l.OneCursorOp.translateDown(n,o):!1})},t.prototype._moveLeft=function(e,t){return this._invokeForAll(t,function(t,n,o){return l.OneCursorOp.moveLeft(n,e,o)})},t.prototype._moveWordLeft=function(e,t,n){return this._invokeForAll(n,function(n,o,i){return l.OneCursorOp.moveWordLeft(o,e,t,i)})},t.prototype._moveRight=function(e,t){return this._invokeForAll(t,function(t,n,o){return l.OneCursorOp.moveRight(n,e,o)})},t.prototype._moveWordRight=function(e,t,n){return this._invokeForAll(n,function(n,o,i){return l.OneCursorOp.moveWordRight(o,e,t,i)})},t.prototype._moveDown=function(e,t,n){return this._invokeForAll(n,function(o,i,r){return l.OneCursorOp.moveDown(i,e,t,n.eventData&&n.eventData.pageSize||0,r)})},t.prototype._moveUp=function(e,t,n){return this._invokeForAll(n,function(o,i,r){return l.OneCursorOp.moveUp(i,e,t,n.eventData&&n.eventData.pageSize||0,r)})},t.prototype._moveToBeginningOfLine=function(e,t){return this._invokeForAll(t,function(t,n,o){return l.OneCursorOp.moveToBeginningOfLine(n,e,o)})},t.prototype._moveToEndOfLine=function(e,t){return this._invokeForAll(t,function(t,n,o){return l.OneCursorOp.moveToEndOfLine(n,e,o)})},t.prototype._moveToBeginningOfBuffer=function(e,t){return this._invokeForAll(t,function(t,n,o){return l.OneCursorOp.moveToBeginningOfBuffer(n,e,o)})},t.prototype._moveToEndOfBuffer=function(e,t){return this._invokeForAll(t,function(t,n,o){return l.OneCursorOp.moveToEndOfBuffer(n,e,o)})},t.prototype._selectAll=function(e){return this.cursors.killSecondaryCursors(),this._invokeForAll(e,function(e,t,n){return l.OneCursorOp.selectAll(t,n)})},t.prototype._line=function(e,t){return this.cursors.killSecondaryCursors(),this._invokeForAll(t,function(n,o,i){return l.OneCursorOp.line(o,e,t.eventData.position,t.eventData.viewPosition,i)})},t.prototype._lastCursorLine=function(e,t){if(this.configuration.editor.readOnly||this.model.hasEditableRange())return!1;var n=this.cursors.getLastAddedCursor();return this._invokeForAll(t,function(o,i,r){return i===n?l.OneCursorOp.line(i,e,t.eventData.position,t.eventData.viewPosition,r):!1}),t.shouldReveal=!1,t.shouldRevealHorizontal=!1,!0},t.prototype._expandLineSelection=function(e){return this._invokeForAll(e,function(e,t,n){return l.OneCursorOp.expandLineSelection(t,n)})},t.prototype._lineInsertBefore=function(e){return this._invokeForAll(e,function(e,t,n){return l.OneCursorOp.lineInsertBefore(t,n)})},t.prototype._lineInsertAfter=function(e){return this._invokeForAll(e,function(e,t,n){return l.OneCursorOp.lineInsertAfter(t,n)})},t.prototype._lineBreakInsert=function(e){return this._invokeForAll(e,function(e,t,n){return l.OneCursorOp.lineBreakInsert(t,n)})},t.prototype._word=function(e,t){return this.cursors.killSecondaryCursors(),this._invokeForAll(t,function(n,o,i){return l.OneCursorOp.word(o,e,t.eventData.position,i)})},t.prototype._lastCursorWord=function(e){if(this.configuration.editor.readOnly||this.model.hasEditableRange())return!1;var t=this.cursors.getLastAddedCursor();return this._invokeForAll(e,function(n,o,i){return o===t?l.OneCursorOp.word(o,!0,e.eventData.position,i):!1}),e.shouldReveal=!1,e.shouldRevealHorizontal=!1,!0},t.prototype._removeSecondaryCursors=function(e){return this.cursors.killSecondaryCursors(),!0},t.prototype._cancelSelection=function(e){return this._invokeForAll(e,function(e,t,n){return l.OneCursorOp.cancelSelection(t,n)})},t.prototype._type=function(e){var t=this,n=e.eventData.text;if("keyboard"===e.eventSource){var o,i,r;for(o=0,i=n.length;i>o;o++)r=n.charAt(o),this.charactersTyped+=r,e.hasExecutedCommands=this._createAndInterpretHandlerCtx(e.eventSource,e.eventData,function(n){t._invokeForAll(n,function(e,t,n){return l.OneCursorOp.type(t,r,n)},!1,!1),e.cursorPositionChangeReason=n.cursorPositionChangeReason,e.shouldReveal=n.shouldReveal,e.shouldRevealVerticalInCenter=n.shouldRevealVerticalInCenter,e.shouldRevealHorizontal=n.shouldRevealHorizontal})||e.hasExecutedCommands}else this._invokeForAll(e,function(e,t,o){return l.OneCursorOp.actualType(t,n,!1,o);
});return!0},t.prototype._replacePreviousChar=function(e){var t=e.eventData.text,n=e.eventData.replaceCharCnt;return this._invokeForAll(e,function(e,o,i){return l.OneCursorOp.replacePreviousChar(o,t,n,i)})},t.prototype._tab=function(e){return this._invokeForAll(e,function(e,t,n){return l.OneCursorOp.tab(t,n)},!1,!1)},t.prototype._indent=function(e){return this._invokeForAll(e,function(e,t,n){return l.OneCursorOp.indent(t,n)})},t.prototype._outdent=function(e){return this._invokeForAll(e,function(e,t,n){return l.OneCursorOp.outdent(t,n)})},t.prototype._paste=function(e){var t=this._distributePasteToCursors(e);return t?this._invokeForAllSorted(e,function(e,n,o){return l.OneCursorOp.paste(n,t[e],!1,o)}):this._invokeForAll(e,function(t,n,o){return l.OneCursorOp.paste(n,e.eventData.text,e.eventData.pasteOnNewLine,o)})},t.prototype._scrollUp=function(e,t){return t.requestScrollDeltaLines=e?-this.cursors.getAll()[0].getPageSize():-1,!0},t.prototype._scrollDown=function(e,t){return t.requestScrollDeltaLines=e?this.cursors.getAll()[0].getPageSize():1,!0},t.prototype._distributePasteToCursors=function(e){if(e.eventData.pasteOnNewLine)return null;var t=this.cursors.getSelections();if(1===t.length)return null;for(var n=0;n<t.length;n++)if(t[n].startLineNumber!==t[n].endLineNumber)return null;var o=e.eventData.text.split(/\r\n|\r|\n/);return o.length!==t.length?null:o},t.prototype._deleteLeft=function(e){return this._invokeForAll(e,function(e,t,n){return l.OneCursorOp.deleteLeft(t,n)},!1,!1)},t.prototype._deleteWordLeft=function(e,t,n){return this._invokeForAll(n,function(n,o,i){return l.OneCursorOp.deleteWordLeft(o,e,t,i)},!1,!1)},t.prototype._deleteRight=function(e){return this._invokeForAll(e,function(e,t,n){return l.OneCursorOp.deleteRight(t,n)},!1,!1)},t.prototype._deleteWordRight=function(e,t,n){return this._invokeForAll(n,function(n,o,i){return l.OneCursorOp.deleteWordRight(o,e,t,i)},!1,!1)},t.prototype._deleteAllLeft=function(e){return this._invokeForAll(e,function(e,t,n){return l.OneCursorOp.deleteAllLeft(t,n)},!1,!1)},t.prototype._deleteAllRight=function(e){return this._invokeForAll(e,function(e,t,n){return l.OneCursorOp.deleteAllRight(t,n)},!1,!1)},t.prototype._cut=function(e){var t=this;return this._invokeForAll(e,function(e,n,o){return l.OneCursorOp.cut(n,t.enableEmptySelectionClipboard,o)})},t.prototype._undo=function(e){return e.cursorPositionChangeReason=h.CursorChangeReason.Undo,e.hasExecutedCommands=!0,this._interpretCommandResult(this.model.undo()),!0},t.prototype._cursorUndo=function(e){return 0===this.cursorUndoStack.length?!1:(e.cursorPositionChangeReason=h.CursorChangeReason.Undo,e.isCursorUndo=!0,this.cursors.restoreState(this.cursorUndoStack.pop()),!0)},t.prototype._redo=function(e){return e.cursorPositionChangeReason=h.CursorChangeReason.Redo,e.hasExecutedCommands=!0,this._interpretCommandResult(this.model.redo()),!0},t.prototype._externalExecuteCommand=function(e){return this.cursors.killSecondaryCursors(),this._invokeForAll(e,function(t,n,o){return o.shouldPushStackElementBefore=!0,o.shouldPushStackElementAfter=!0,o.executeCommand=e.eventData,!1})},t.prototype._externalExecuteCommands=function(e){return this._invokeForAll(e,function(t,n,o){return o.shouldPushStackElementBefore=!0,o.shouldPushStackElementAfter=!0,o.executeCommand=e.eventData[t],!1})},t}(i.EventEmitter);t.Cursor=m}),define("vs/nls!vs/editor/common/model/textModelWithTokens",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/common/model/textModelWithTokens",t)});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/model/textModelWithTokens",["require","exports","vs/nls!vs/editor/common/model/textModelWithTokens","vs/base/common/async","vs/base/common/errors","vs/base/common/lifecycle","vs/base/common/stopwatch","vs/base/common/timer","vs/base/common/winjs.base","vs/editor/common/editorCommon","vs/editor/common/model/textModel","vs/editor/common/model/textModelWithTokensHelpers","vs/editor/common/model/tokenIterator","vs/editor/common/modes/nullMode","vs/editor/common/modes/supports","vs/editor/common/modes/supports/richEditBrackets","vs/editor/common/core/modeTransition","vs/editor/common/model/lineToken","vs/editor/common/model/tokensBinaryEncoding"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m,f,g,v,y){"use strict";var _=function(){function e(e,t){var n=this;this._modePromise=e,this._externalModePromise=new l.TPromise(function(e,t,o){n._externalModePromise_c=e,n._externalModePromise_e=t},function(){}),this._model=t,this._isDisposed=!1,l.TPromise.timeout(0).then(function(){return n._modePromise}).then(function(e){if(n._isDisposed)return void n._externalModePromise_c(!1);var t=n._model;n.dispose(),t.setMode(e),t._warmUpTokens(),n._externalModePromise_c(!0)}).done(null,function(e){n._externalModePromise_e(e),i.onUnexpectedError(e)})}return e.prototype.getModePromise=function(){return this._externalModePromise},e.prototype.dispose=function(){this._modePromise=null,this._model=null,this._isDisposed=!0},e}(),b=function(){function e(e,t){var n=this;this._retokenizePromise=e,this._model=t,this._isDisposed=!1,this.isFulfilled=!1,l.TPromise.timeout(0).then(function(){return n._retokenizePromise}).then(function(){n._isDisposed||(n.isFulfilled=!0,n._model.onRetokenizerFulfilled())}).done(null,i.onUnexpectedError)}return e.prototype.getRange=function(){return null},e.prototype.dispose=function(){this._retokenizePromise=null,this._model=null,this._isDisposed=!0},e}();t.FullModelRetokenizer=b;var C=function(){function e(e,t){this.modeTransitions=t.getModeTransitions(e),this._text=t.text,this._lineTokens=t.getTokens()}return e.prototype.getLineContent=function(){return this._text},e.prototype.getTokenCount=function(){return this._lineTokens.getTokenCount()},e.prototype.getTokenStartIndex=function(e){return this._lineTokens.getTokenStartIndex(e)},e.prototype.getTokenEndIndex=function(e){return this._lineTokens.getTokenEndIndex(e,this._text.length)},e.prototype.getTokenType=function(e){return this._lineTokens.getTokenType(e)},e.prototype.getTokenText=function(e){var t=this._lineTokens.getTokenStartIndex(e),n=this._lineTokens.getTokenEndIndex(e,this._text.length);return this._text.substring(t,n)},e.prototype.findIndexOfOffset=function(e){return this._lineTokens.findIndexOfOffset(e)},e}(),w=function(e){function t(t,n,i,r){var s=this;if(t.push(u.EventType.ModelTokensChanged),t.push(u.EventType.ModelModeChanged),t.push(u.EventType.ModelModeSupportChanged),e.call(this,t,n),this._shouldAutoTokenize=i,this._mode=null,this._modeListener=null,this._modeToModelBinder=null,this._tokensInflatorMap=null,this._invalidLineStartIndex=0,this._lastState=null,this._revalidateTokensTimeout=-1,this._scheduleRetokenizeNow=null,this._retokenizers=null,r)if(l.TPromise.is(r)){var a=r._value;if(a&&"function"==typeof a.getId)this._mode=this._massageMode(a),this._resetModeListener(this._mode);else{var c=r;this._modeToModelBinder=new _(c,this),this._mode=new p.NullMode}}else this._mode=this._massageMode(r),this._resetModeListener(this._mode);else this._mode=new p.NullMode;this._revalidateTokensTimeout=-1,this._scheduleRetokenizeNow=new o.RunOnceScheduler(function(){return s._retokenizeNow()},200),this._retokenizers=[],this._resetTokenizationState()}return __extends(t,e),t.prototype.dispose=function(){this._modeToModelBinder&&(this._modeToModelBinder.dispose(),this._modeToModelBinder=null),this._resetModeListener(null),this._clearTimers(),this._mode=null,this._lastState=null,this._tokensInflatorMap=null,this._retokenizers=r.dispose(this._retokenizers),this._scheduleRetokenizeNow.dispose(),e.prototype.dispose.call(this)},t.prototype._massageMode=function(e){return this.isTooLargeForHavingAMode()?new p.NullMode:this.isTooLargeForHavingARichMode()?e.toSimplifiedMode():e},t.prototype.whenModeIsReady=function(){var e=this;return this._modeToModelBinder?this._modeToModelBinder.getModePromise().then(function(){return e._mode}):l.TPromise.as(this._mode)},t.prototype.onRetokenizerFulfilled=function(){this._scheduleRetokenizeNow.schedule()},t.prototype._retokenizeNow=function(){var e=this._retokenizers.filter(function(e){return e.isFulfilled});this._retokenizers=this._retokenizers.filter(function(e){return!e.isFulfilled});for(var t=!1,n=0;n<e.length;n++)e[n].getRange()||(t=!0);if(t){for(var n=0,o=this._lines.length;o>n;n++)this._lines[n].isInvalid=!0;this._invalidLineStartIndex=0}else{for(var i=Number.MAX_VALUE,n=0;n<e.length;n++){var r=e[n].getRange();i=Math.min(i,r.startLineNumber);for(var s=r.startLineNumber;s<=r.endLineNumber;s++)this._lines[s-1].isInvalid=!0}i-1<this._invalidLineStartIndex&&(this._invalidLineStartIndex<this._lines.length&&(this._lines[this._invalidLineStartIndex].isInvalid=!0),this._invalidLineStartIndex=i-1)}this._beginBackgroundTokenization();for(var n=0;n<e.length;n++)e[n].dispose()},t.prototype._createRetokenizer=function(e,t){return new b(e,this)},t.prototype._resetValue=function(t,n){e.prototype._resetValue.call(this,t,n),this._resetTokenizationState()},t.prototype._resetMode=function(e,t){this._mode=t,this._resetModeListener(t),this._resetTokenizationState(),this.emitModelTokensChangedEvent(1,this.getLineCount())},t.prototype._resetModeListener=function(e){var t=this;this._modeListener&&(this._modeListener.dispose(),this._modeListener=null),e&&"function"==typeof e.addSupportChangedListener&&(this._modeListener=e.addSupportChangedListener(function(e){return t._onModeSupportChanged(e)}))},t.prototype._onModeSupportChanged=function(e){this._emitModelModeSupportChangedEvent(e),e.tokenizationSupport&&(this._resetTokenizationState(),this.emitModelTokensChangedEvent(1,this.getLineCount()))},t.prototype._resetTokenizationState=function(){this._retokenizers=r.dispose(this._retokenizers),this._scheduleRetokenizeNow.cancel(),this._clearTimers();for(var e=0;e<this._lines.length;e++)this._lines[e].setState(null);this._initializeTokenizationState()},t.prototype._clearTimers=function(){-1!==this._revalidateTokensTimeout&&(clearTimeout(this._revalidateTokensTimeout),this._revalidateTokensTimeout=-1)},t.prototype._initializeTokenizationState=function(){var e=null;if(this._mode.tokenizationSupport)try{e=this._mode.tokenizationSupport.getInitialState()}catch(n){n.friendlyMessage=t.MODE_TOKENIZATION_FAILED_MSG,i.onUnexpectedError(n),this._mode=new p.NullMode}e||(e=new p.NullState(this._mode,null)),this._lines[0].setState(e),this._lastState=null,this._tokensInflatorMap=new y.TokensInflatorMap,this._invalidLineStartIndex=0,this._beginBackgroundTokenization()},t.prototype.getLineTokens=function(e,t){if(void 0===t&&(t=!1),1>e||e>this.getLineCount())throw new Error("Illegal value "+e+" for `lineNumber`");return t||this._updateTokensUntilLine(e,!0),this._lines[e-1].getTokens()},t.prototype.getLineContext=function(e){if(1>e||e>this.getLineCount())throw new Error("Illegal value "+e+" for `lineNumber`");return this._updateTokensUntilLine(e,!0),new C(this._mode,this._lines[e-1])},t.prototype._getInternalTokens=function(e){return this._updateTokensUntilLine(e,!0),this._lines[e-1].getTokens()},t.prototype.getMode=function(){return this._mode},t.prototype.setMode=function(e){if(e)if(this._modeToModelBinder&&(this._modeToModelBinder.dispose(),this._modeToModelBinder=null),l.TPromise.is(e))this._modeToModelBinder=new _(e,this);else{var t=this._massageMode(e);if(this._mode!==t){var n={oldMode:this._mode,newMode:t};this._resetMode(n,t),this._emitModelModeChangedEvent(n)}}},t.prototype.getModeAtPosition=function(e,t){var n=this.validatePosition({lineNumber:e,column:t}),o=n.lineNumber,i=n.column;if(1===i)return this.getStateBeforeLine(o).getMode();if(i===this.getLineMaxColumn(o))return this.getStateAfterLine(o).getMode();var r=this._getLineModeTransitions(o),s=g.ModeTransition.findIndexInSegmentsArray(r,i-1);return r[s].mode},t.prototype._invalidateLine=function(e){this._lines[e].isInvalid=!0,e<this._invalidLineStartIndex&&(this._invalidLineStartIndex<this._lines.length&&(this._lines[this._invalidLineStartIndex].isInvalid=!0),this._invalidLineStartIndex=e,this._beginBackgroundTokenization())},t._toLineTokens=function(e){if(!e||0===e.length)return[];if(e[0]instanceof v.LineToken)return e;for(var t=[],n=0,o=e.length;o>n;n++)t[n]=new v.LineToken(e[n].startIndex,e[n].type);return t},t._toModeTransitions=function(e){if(!e||0===e.length)return[];if(e[0]instanceof g.ModeTransition)return e;for(var t=[],n=0,o=e.length;o>n;n++)t[n]=new g.ModeTransition(e[n].startIndex,e[n].mode);return t},t.prototype._updateLineTokens=function(e,n,o,i){this._lines[e].setTokens(n,t._toLineTokens(i.tokens),o,t._toModeTransitions(i.modeTransitions))},t.prototype._beginBackgroundTokenization=function(){var e=this;this._shouldAutoTokenize&&-1===this._revalidateTokensTimeout&&(this._revalidateTokensTimeout=setTimeout(function(){e._revalidateTokensTimeout=-1,e._revalidateTokensNow()},0))},t.prototype._warmUpTokens=function(){for(var e=Math.min(100,this.getLineCount()),t=e,n=1;e>=n;n++){var o=this._lines[n-1].text;if(o.length>=200){t=n-1;break}}this._revalidateTokensNow(t)},t.prototype._revalidateTokensNow=function(e){void 0===e&&(e=this._invalidLineStartIndex+1e6);var t=a.start(a.Topic.EDITOR,"backgroundTokenization");e=Math.min(this._lines.length,e);for(var n,o=20,i=this._invalidLineStartIndex+1,r=0,l=0,u=0,c=s.StopWatch.create(!1),d=i;e>=d;d++){if(n=c.elapsed(),n>o){e=d-1;break}if(l=this._lines[d-1].text.length,r>0&&(u=n/r*l,n+u>o)){e=d-1;break}this._updateTokensUntilLine(d,!1),r+=l}n=c.elapsed(),e>=i&&this.emitModelTokensChangedEvent(i,e),this._invalidLineStartIndex<this._lines.length&&this._beginBackgroundTokenization(),t.stop()},t.prototype.getStateBeforeLine=function(e){return this._updateTokensUntilLine(e-1,!0),this._lines[e-1].getState()},t.prototype.getStateAfterLine=function(e){return this._updateTokensUntilLine(e,!0),e<this._lines.length?this._lines[e].getState():this._lastState},t.prototype._getLineModeTransitions=function(e){if(1>e||e>this.getLineCount())throw new Error("Illegal value "+e+" for `lineNumber`");return this._updateTokensUntilLine(e,!0),this._lines[e-1].getModeTransitions(this._mode)},t.prototype._updateTokensUntilLine=function(e,n){for(var o=this._lines.length,r=e-1,s=1e9,a=this._invalidLineStartIndex+1,l=e,u=this._invalidLineStartIndex;r>=u;u++){var c=u+1,d=null,h=this._lines[u].text;if(this._mode.tokenizationSupport){try{d=this._mode.tokenizationSupport.tokenize(this._lines[u].text,this._lines[u].getState(),0,s)}catch(m){m.friendlyMessage=t.MODE_TOKENIZATION_FAILED_MSG,i.onUnexpectedError(m)}d&&d.retokenize&&this._retokenizers.push(this._createRetokenizer(d.retokenize,u+1)),d&&d.tokens&&d.tokens.length>0&&(d.actualStopOffset=Math.max(d.actualStopOffset,d.tokens[d.tokens.length-1].startIndex+1)),d&&d.actualStopOffset<h.length&&(d.tokens.push({startIndex:d.actualStopOffset,type:""}),d.endState=this._lines[u].getState())}if(d||(d=p.nullTokenize(this._mode,h,this._lines[u].getState())),d.modeTransitions||(d.modeTransitions=[]),0===d.modeTransitions.length&&d.modeTransitions.push({startIndex:0,mode:this._mode}),this._updateLineTokens(u,this._tokensInflatorMap,this._mode,d),this._lines[u].isInvalid&&(this._lines[u].isInvalid=!1),o>c)if(null!==this._lines[c].getState()&&d.endState.equals(this._lines[c].getState())){for(var f=u+1;o>f&&!this._lines[f].isInvalid;){if(o>f+1){if(null===this._lines[f+1].getState())break}else if(null===this._lastState)break;f++}this._invalidLineStartIndex=Math.max(this._invalidLineStartIndex,f),u=f-1}else this._lines[c].setState(d.endState);else this._lastState=d.endState}this._invalidLineStartIndex=Math.max(this._invalidLineStartIndex,r+1),n&&l>=a&&this.emitModelTokensChangedEvent(a,l)},t.prototype.emitModelTokensChangedEvent=function(e,t){var n={fromLineNumber:e,toLineNumber:t};this._isDisposing||this.emit(u.EventType.ModelTokensChanged,n)},t.prototype._emitModelModeChangedEvent=function(e){this._isDisposing||this.emit(u.EventType.ModelModeChanged,e)},t.prototype._emitModelModeSupportChangedEvent=function(e){this._isDisposing||this.emit(u.EventType.ModelModeSupportChanged,e)},t.prototype._lineIsTokenized=function(e){return this._invalidLineStartIndex>e-1},t.prototype._getWordDefinition=function(){return d.WordHelper.massageWordDefinitionOf(this._mode)},t.prototype.getWordAtPosition=function(e){return d.WordHelper.getWordAtPosition(this,this.validatePosition(e))},t.prototype.getWordUntilPosition=function(e){var t=this.getWordAtPosition(e);return t?{word:t.word.substr(0,e.column-t.startColumn),startColumn:t.startColumn,endColumn:e.column}:{word:"",startColumn:e.column,endColumn:e.column}},t.prototype.tokenIterator=function(e,t){var n=new h.TokenIterator(this,this.validatePosition(e)),o=t(n);return n._invalidate(),o},t.prototype.findMatchingBracketUp=function(e,t){var n=this.validatePosition(t),o=this._lines[n.lineNumber-1].getModeTransitions(this._mode),i=g.ModeTransition.findIndexInSegmentsArray(o,n.column-1),r=o[i],s=r.mode.richEditSupport?r.mode.richEditSupport.brackets:null;if(!s)return null;var a=s.textIsBracket[e];return a?this._findMatchingBracketUp(a,n):null},t.prototype.matchBracket=function(e){return this._matchBracket(this.validatePosition(e))},t.prototype._matchBracket=function(e){var t=e.lineNumber,n=this._lines[t-1].text,o=this._lines[t-1].getTokens(),i=o.findIndexOfOffset(e.column-1),r=o.getTokenStartIndex(i),s=this._lines[t-1].getModeTransitions(this._mode),a=g.ModeTransition.findIndexInSegmentsArray(s,e.column-1),l=s[a],u=l.mode.richEditSupport?l.mode.richEditSupport.brackets:null;if(i>0&&r===e.column-1){var c=i-1,d=o.getTokenType(c);if(!m.ignoreBracketsInToken(d)){var h=o.getTokenStartIndex(c),p=l,v=u;if(a>0&&l.startIndex===e.column-1&&(p=s[a-1],v=p.mode.richEditSupport?p.mode.richEditSupport.brackets:null),v){h=Math.max(h,e.column-1-v.maxBracketLength);var y=f.BracketsUtils.findPrevBracketInToken(v.reversedRegex,t,n,h,r);if(y&&y.startColumn<=e.column&&e.column<=y.endColumn){var _=n.substring(y.startColumn-1,y.endColumn-1),b=this._matchFoundBracket(y,v.textIsBracket[_],v.textIsOpenBracket[_]);if(b)return b}}}}if(!m.ignoreBracketsInToken(o.getTokenType(i))&&u){r=Math.max(r,e.column-1-u.maxBracketLength);var C=o.getTokenEndIndex(i,n.length);for(C=Math.min(C,e.column-1+u.maxBracketLength);;){var y=f.BracketsUtils.findNextBracketInText(u.forwardRegex,t,n.substring(r,C),r);if(!y)break;if(y.startColumn<=e.column&&e.column<=y.endColumn){var _=n.substring(y.startColumn-1,y.endColumn-1),b=this._matchFoundBracket(y,u.textIsBracket[_],u.textIsOpenBracket[_]);if(b)return b}r=y.endColumn-1}}return null},t.prototype._matchFoundBracket=function(e,t,n){if(n){var o=this._findMatchingBracketDown(t,e.getEndPosition());if(o)return[e,o]}else{var o=this._findMatchingBracketUp(t,e.getStartPosition());if(o)return[e,o]}return null},t.prototype._findMatchingBracketUp=function(e,t){for(var n=e.modeId,o=e.reversedRegex,i=-1,r=t.lineNumber;r>=1;r--){var s=this._lines[r-1].getTokens(),a=this._lines[r-1].text,l=this._lines[r-1].getModeTransitions(this._mode),u=l.length-1,c=l[u].startIndex,d=l[u].mode.getId(),h=s.getTokenCount()-1,p=a.length;r===t.lineNumber&&(h=s.findIndexOfOffset(t.column-1),p=t.column-1,u=g.ModeTransition.findIndexInSegmentsArray(l,t.column-1),c=l[u].startIndex,d=l[u].mode.getId());for(var v=h;v>=0;v--){var y=s.getTokenType(v),_=s.getTokenStartIndex(v);if(c>_&&(u--,c=l[u].startIndex,d=l[u].mode.getId()),d===n&&!m.ignoreBracketsInToken(y))for(;;){var b=f.BracketsUtils.findPrevBracketInToken(o,r,a,_,p);if(!b)break;var C=a.substring(b.startColumn-1,b.endColumn-1);if(C===e.open?i++:C===e.close&&i--,0===i)return b;p=b.startColumn-1}p=_}}return null},t.prototype._findMatchingBracketDown=function(e,t){for(var n=e.modeId,o=e.forwardRegex,i=1,r=t.lineNumber,s=this.getLineCount();s>=r;r++){var a=this._lines[r-1].getTokens(),l=this._lines[r-1].text,u=this._lines[r-1].getModeTransitions(this._mode),c=0,d=c+1<u.length?u[c+1].startIndex:l.length+1,h=u[c].mode.getId(),p=0,v=a.getTokenStartIndex(p);r===t.lineNumber&&(p=a.findIndexOfOffset(t.column-1),v=Math.max(v,t.column-1),c=g.ModeTransition.findIndexInSegmentsArray(u,t.column-1),d=c+1<u.length?u[c+1].startIndex:l.length+1,h=u[c].mode.getId());for(var y=p,_=a.getTokenCount();_>y;y++){var b=a.getTokenType(y),C=a.getTokenEndIndex(y,l.length);if(v>=d&&(c++,d=c+1<u.length?u[c+1].startIndex:l.length+1,h=u[c].mode.getId()),h===n&&!m.ignoreBracketsInToken(b))for(;;){var w=f.BracketsUtils.findNextBracketInToken(o,r,l,v,C);if(!w)break;var E=l.substring(w.startColumn-1,w.endColumn-1);if(E===e.open?i++:E===e.close&&i--,0===i)return w;v=w.endColumn-1}v=C}}return null},t.prototype.findPrevBracket=function(e){for(var t=this.validatePosition(e),n=/[\(\)\[\]\{\}]/,o=t.lineNumber;o>=1;o--){var i=this._lines[o-1].getTokens(),r=this._lines[o-1].text,s=i.getTokenCount()-1,a=r.length;o===t.lineNumber&&(s=i.findIndexOfOffset(t.column-1),a=t.column-1);for(var l=s;l>=0;l--){var u=i.getTokenType(l),c=i.getTokenStartIndex(l);if(!m.ignoreBracketsInToken(u)){var d=f.BracketsUtils.findPrevBracketInToken(n,o,r,c,a);if(d)return this._toFoundBracket(d)}a=c}}return null},t.prototype.findNextBracket=function(e){for(var t=this.validatePosition(e),n=/[\(\)\[\]\{\}]/,o=t.lineNumber,i=this.getLineCount();i>=o;o++){var r=this._lines[o-1].getTokens(),s=this._lines[o-1].text,a=0,l=r.getTokenStartIndex(a);o===t.lineNumber&&(a=r.findIndexOfOffset(t.column-1),l=Math.max(l,t.column-1));for(var u=a,c=r.getTokenCount();c>u;u++){var d=r.getTokenType(u),h=r.getTokenEndIndex(u,s.length);if(!m.ignoreBracketsInToken(d)){var p=f.BracketsUtils.findNextBracketInToken(n,o,s,l,h);if(p)return this._toFoundBracket(p)}l=h}}return null},t.prototype._toFoundBracket=function(e){if(!e)return null;var t=this.getValueInRange(e);switch(t){case"(":return{range:e,open:"(",close:")",isOpen:!0};case")":return{range:e,open:"(",close:")",isOpen:!1};case"[":return{range:e,open:"[",close:"]",isOpen:!0};case"]":return{range:e,open:"[",close:"]",isOpen:!1};case"{":return{range:e,open:"{",close:"}",isOpen:!0};case"}":return{range:e,open:"{",close:"}",isOpen:!1}}return null},t.MODE_TOKENIZATION_FAILED_MSG=n.localize(0,null),t}(c.TextModel);t.TextModelWithTokens=w});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/model/mirrorModel",["require","exports","vs/base/common/lifecycle","vs/editor/common/editorCommon","vs/editor/common/model/modelLine","vs/editor/common/model/textModel","vs/editor/common/model/textModelWithTokens","vs/editor/common/core/range","vs/editor/common/core/position"],function(e,t,n,o,i,r,s,a,l){"use strict";function u(e,t,n){return void 0===t&&(t=null),new p(null,0,r.TextModel.toRawText(e,r.TextModel.DEFAULT_CREATION_OPTIONS),t,n)}var c=function(e){function t(t,n,i,r,s){e.call(this,t.concat([o.EventType.ModelDispose]),i,!1,r),this._setVersionId(n),this._associatedResource=s}return __extends(t,e),t.prototype.getModeId=function(){return this.getMode().getId()},t.prototype.getEmbeddedAtPosition=function(e){return null},t.prototype.getAllEmbedded=function(){return[]},t.prototype._constructLines=function(t){e.prototype._constructLines.call(this,t),this._EOL="\n"},t.prototype.destroy=function(){this.dispose()},t.prototype.dispose=function(){this.emit(o.EventType.ModelDispose),e.prototype.dispose.call(this)},Object.defineProperty(t.prototype,"uri",{get:function(){return this._associatedResource},enumerable:!0,configurable:!0}),t.prototype.getRangeFromOffsetAndLength=function(e,t){var n=this.getPositionAt(e),o=this.getPositionAt(e+t);return new a.Range(n.lineNumber,n.column,o.lineNumber,o.column)},t.prototype.getOffsetAndLengthFromRange=function(e){var t=this.getOffsetAt(new l.Position(e.startLineNumber,e.startColumn)),n=this.getOffsetAt(new l.Position(e.endLineNumber,e.endColumn));return{offset:t,length:n-t}},t.prototype.getPositionFromOffset=function(e){return this.getPositionAt(e)},t.prototype.getOffsetFromPosition=function(e){return this.getOffsetAt(e)},t.prototype.getLineStart=function(e){return 1>e&&(e=1),e>this.getLineCount()&&(e=this.getLineCount()),this.getOffsetAt(new l.Position(e,1))},t.prototype.getAllWordsWithRange=function(){if(this._lines.length>1e4)return[];var e,t=[],n=function(n){var i=o.text.substring(n.start,n.end),r={startLineNumber:e+1,startColumn:n.start+1,endLineNumber:e+1,endColumn:n.end+1};t.push({text:i,range:r})};for(e=0;e<this._lines.length;e++){var o=this._lines[e];this.wordenize(o.text).forEach(n)}return t},t.prototype.getAllWords=function(){var e=this,t=[];return this._lines.forEach(function(n){e.wordenize(n.text).forEach(function(e){t.push(n.text.substring(e.start,e.end))})}),t},t.prototype.getAllUniqueWords=function(e){var t=!1,n={};return this.getAllWords().filter(function(o){return e&&!t&&e===o?(t=!0,!1):n[o]?!1:(n[o]=!0,!0)})},t.prototype.wordenize=function(e){for(var t,n=[],o=this._getWordDefinition();t=o.exec(e);)n.push({start:t.index,end:t.index+t[0].length});return n},t}(s.TextModelWithTokens);t.AbstractMirrorModel=c;var d=function(e){function t(n,o,i,r){e.call(this,["changed"],n.getVersionId(),t._getMirrorValueWithinRanges(n,o),i,r),this._actualModel=n}return __extends(t,e),t._getMirrorValueWithinRanges=function(e,t){var n,o="",i=1,s=1;for(n=0;n<t.length;n++){var a=t[n];o+=e.getEmptiedValueInRange({startLineNumber:i,startColumn:s,endLineNumber:a.startLineNumber,endColumn:a.startColumn}," "),o+=e.getValueInRange(a),i=a.endLineNumber,s=a.endColumn}var l=e.getLineCount(),u=e.getLineMaxColumn(l);o+=e.getEmptiedValueInRange({startLineNumber:i,startColumn:s,endLineNumber:l,endColumn:u}," ");var c=e.getOptions();return r.TextModel.toRawText(o,{tabSize:c.tabSize,insertSpaces:c.insertSpaces,detectIndentation:!1,defaultEOL:c.defaultEOL,trimAutoWhitespace:c.trimAutoWhitespace})},t.prototype.setIncludedRanges=function(e){var n=this.getVersionId();this._constructLines(t._getMirrorValueWithinRanges(this._actualModel,e)),this._resetTokenizationState(),this._setVersionId(n+1),this.emit("changed",{})},t}(c);t.MirrorModelEmbedded=d;var h=function(){function e(e){this.mode=e,this.ranges=[]}return e}();t.createTestMirrorModelFromString=u;var p=function(e){function t(t,n,o,i,r){e.call(this,["changed"],n,o,i,r),this._resourceService=t,this._embeddedModels={},this._updateEmbeddedModels()}return __extends(t,e),t.prototype.getEmbeddedAtPosition=function(e){var t=this.getModeAtPosition(e.lineNumber,e.column);return this._embeddedModels.hasOwnProperty(t.getId())?this._embeddedModels[t.getId()]:null},t.prototype.getAllEmbedded=function(){var e=this;return Object.keys(this._embeddedModels).map(function(t){return e._embeddedModels[t]})},t.prototype.dispose=function(){var t=this;e.prototype.dispose.call(this);var o=Object.keys(this._embeddedModels).map(function(e){return t._embeddedModels[e]});o.forEach(function(e){return t._resourceService.remove(e.uri)}),n.dispose(o),this._embeddedModels={}},t.prototype.setMode=function(t){e.prototype.setMode.call(this,t),this._updateEmbeddedModels()},t._getModesRanges=function(e){for(var t={},n=function(e,n){return t.hasOwnProperty(e)||(t[e]=new h(n)),t[e]},o=e.getLineCount(),i=e.getMode().getId(),r=e.getMode(),s=1,a=1,l=1;o>=l;l++)for(var u=e._getLineModeTransitions(l),c=0;c<u.length;c++){var d=u[c];if(d.mode.getId()!==i){var p=n(i,r);p.ranges.push({startLineNumber:s,startColumn:a,endLineNumber:l,endColumn:d.startIndex+1}),i=d.mode.getId(),r=d.mode,s=l,a=d.startIndex+1}}var m=o,f=e.getLineMaxColumn(m);if(s!==m||a!==f){var p=n(i,r);p.ranges.push({startLineNumber:s,startColumn:a,endLineNumber:m,endColumn:f})}return t},t.prototype._updateEmbeddedModels=function(){if(!this._resourceService||!this.getMode().tokenizationSupport||!this.getMode().tokenizationSupport.shouldGenerateEmbeddedModels)return!1;for(var e=t._getModesRanges(this),n=Object.keys(this._embeddedModels),o=0;o<n.length;o++){var i=n[o];e.hasOwnProperty(i)||this._embeddedModels[i].setIncludedRanges([{startLineNumber:1,startColumn:1,endLineNumber:1,endColumn:1}])}for(var r=Object.keys(e),o=0;o<r.length;o++){var s=r[o];if(this._embeddedModels.hasOwnProperty(s))this._embeddedModels[s].setIncludedRanges(e[s].ranges);else{var a=this.uri["with"]({fragment:this.uri.fragment+"URL_MARSHAL_REMOVE"+s});this._embeddedModels[s]=new d(this,e[s].ranges,e[s].mode,a),this._resourceService.insert(this._embeddedModels[s].uri,this._embeddedModels[s])}}return!1},t.prototype.onEvents=function(e){for(var t=!1,n=0,i=e.contentChanged.length;i>n;n++){var r=e.contentChanged[n];switch(this._setVersionId(r.versionId),r.changeType){case o.EventType.ModelRawContentChangedFlush:this._onLinesFlushed(r),t=!0;break;case o.EventType.ModelRawContentChangedLinesDeleted:this._onLinesDeleted(r),t=!0;break;case o.EventType.ModelRawContentChangedLinesInserted:this._onLinesInserted(r),t=!0;break;case o.EventType.ModelRawContentChangedLineChanged:this._onLineChanged(r),t=!0}}var s=!1;return t&&(this.emit("changed",{}),s=this._updateEmbeddedModels()),s},t.prototype._onLinesFlushed=function(e){this._constructLines(e.detail),this._resetTokenizationState()},t.prototype._onLineChanged=function(e){this._lines[e.lineNumber-1].applyEdits({},[{startColumn:1,endColumn:Number.MAX_VALUE,text:e.detail,forceMoveMarkers:!1}]),this._lineStarts&&this._lineStarts.changeValue(e.lineNumber-1,this._lines[e.lineNumber-1].text.length+this._EOL.length),this._invalidateLine(e.lineNumber-1)},t.prototype._onLinesDeleted=function(e){var t=e.fromLineNumber-1,n=e.toLineNumber-1,o=this._lines[t].getState();this._lines.splice(t,n-t+1),this._lineStarts&&this._lineStarts.removeValues(t,n-t+1),t<this._lines.length&&(this._lines[t].setState(o),this._invalidateLine(t))},t.prototype._onLinesInserted=function(e){var t,n,o=e.detail.split("\n"),r=[];for(t=e.fromLineNumber-1,n=0;t<e.toLineNumber;t++,n++)this._lines.splice(t,0,new i.ModelLine(0,o[n])),r.push(o[n].length+this._EOL.length);this._lineStarts&&this._lineStarts.insertValues(e.fromLineNumber-1,r),e.fromLineNumber>=2&&this._invalidateLine(e.fromLineNumber-2)},t}(c);t.MirrorModel=p});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/model/textModelWithMarkers",["require","exports","vs/base/common/idGenerator","vs/editor/common/core/position","vs/editor/common/model/textModelWithTokens"],function(e,t,n,o,i){"use strict";var r=function(){function e(e,t,n){this.id=e,this.column=t,this.stickToPreviousCharacter=n,this.oldLineNumber=0,this.oldColumn=0,this.line=null}return e.prototype.toString=function(){return"{'"+this.id+"';"+this.column+","+this.stickToPreviousCharacter+",["+this.oldLineNumber+","+this.oldColumn+"]}"},e}();t.LineMarker=r;var s=0,a=function(e){function t(t,o,i){e.call(this,t,o,!0,i),this._markerIdGenerator=new n.IdGenerator(++s+";"),this._markerIdToMarker={}}return __extends(t,e),t.prototype.dispose=function(){this._markerIdToMarker=null,e.prototype.dispose.call(this)},t.prototype._resetValue=function(t,n){e.prototype._resetValue.call(this,t,n),this._markerIdToMarker={}},t.prototype._addMarker=function(e,t,n){var i=this.validatePosition(new o.Position(e,t)),s=new r(this._markerIdGenerator.nextId(),i.column,n);return this._markerIdToMarker[s.id]=s,this._lines[i.lineNumber-1].addMarker(s),s.id},t.prototype._addMarkers=function(e){for(var t=Object.create(null),n=[],o=0,i=e.length;i>o;o++){var s=e[o],a=new r(this._markerIdGenerator.nextId(),s.column,s.stickToPreviousCharacter);this._markerIdToMarker[a.id]=a,t[s.lineNumber]||(t[s.lineNumber]=[]),t[s.lineNumber].push(a),n.push(a.id)}for(var l=Object.keys(t),o=0,i=l.length;i>o;o++){var u=parseInt(l[o],10);this._lines[u-1].addMarkers(t[l[o]])}return n},t.prototype._changeMarker=function(e,t,n){if(this._markerIdToMarker.hasOwnProperty(e)){
var i=this._markerIdToMarker[e],r=this.validatePosition(new o.Position(t,n));r.lineNumber!==i.line.lineNumber&&(i.line.removeMarker(i),this._lines[r.lineNumber-1].addMarker(i)),i.column=r.column}},t.prototype._changeMarkerStickiness=function(e,t){if(this._markerIdToMarker.hasOwnProperty(e)){var n=this._markerIdToMarker[e];n.stickToPreviousCharacter!==t&&(n.stickToPreviousCharacter=t)}},t.prototype._getMarker=function(e){if(this._markerIdToMarker.hasOwnProperty(e)){var t=this._markerIdToMarker[e];return new o.Position(t.line.lineNumber,t.column)}return null},t.prototype._getMarkersCount=function(){return Object.keys(this._markerIdToMarker).length},t.prototype._getLineMarkers=function(e){if(1>e||e>this.getLineCount())throw new Error("Illegal value "+e+" for `lineNumber`");return this._lines[e-1].getMarkers()},t.prototype._removeMarker=function(e){if(this._markerIdToMarker.hasOwnProperty(e)){var t=this._markerIdToMarker[e];t.line.removeMarker(t),delete this._markerIdToMarker[e]}},t.prototype._removeMarkers=function(e){for(var t=Object.create(null),n=0,o=e.length;o>n;n++){var i=e[n];if(this._markerIdToMarker.hasOwnProperty(i)){var r=this._markerIdToMarker[i],s=r.line.lineNumber;t[s]||(t[s]=Object.create(null)),t[s][i]=!0,delete this._markerIdToMarker[i]}}for(var a=Object.keys(t),n=0,o=a.length;o>n;n++){var s=parseInt(a[n],10);this._lines[s-1].removeMarkers(t[a[n]])}},t.prototype._getMarkersInMap=function(e){for(var t=[],n=Object.keys(e),o=0,i=n.length;i>o;o++){var r=n[o];this._markerIdToMarker.hasOwnProperty(r)&&t.push(this._markerIdToMarker[r])}return t},t}(i.TextModelWithTokens);t.TextModelWithMarkers=a});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/model/textModelWithTrackedRanges",["require","exports","vs/base/common/idGenerator","vs/editor/common/core/range","vs/editor/common/editorCommon","vs/editor/common/model/textModelWithMarkers","vs/editor/common/model/textModelWithTokens"],function(e,t,n,o,i,r,s){"use strict";var a=function(e){function t(t,n,o){e.call(this,t,o),this.trackedRangeId=o.addTrackedRange({startLineNumber:n,startColumn:1,endLineNumber:n,endColumn:o.getLineMaxColumn(n)},i.TrackedRangeStickiness.AlwaysGrowsWhenTypingAtEdges)}return __extends(t,e),t.prototype.getRange=function(){return this._model.getTrackedRange(this.trackedRangeId)},t.prototype.dispose=function(){var t=this._model;t.isValidTrackedRange(this.trackedRangeId)&&t.removeTrackedRange(this.trackedRangeId),e.prototype.dispose.call(this)},t}(s.FullModelRetokenizer),l=function(){function e(e,t,n){this.id=e,this.startMarkerId=t,this.endMarkerId=n}return e}(),u=0,c=function(e){function t(t,o,i){e.call(this,t,o,i),this._rangeIdGenerator=new n.IdGenerator(++u+";"),this._ranges={},this._markerIdToRangeId={},this._multiLineTrackedRanges={}}return __extends(t,e),t.prototype._createRetokenizer=function(e,t){return new a(e,t,this)},t.prototype.dispose=function(){this._ranges=null,this._markerIdToRangeId=null,this._multiLineTrackedRanges=null,e.prototype.dispose.call(this)},t.prototype._resetValue=function(t,n){e.prototype._resetValue.call(this,t,n),this._ranges={},this._markerIdToRangeId={},this._multiLineTrackedRanges={}},t.prototype._setRangeIsMultiLine=function(e,t){var n=this._multiLineTrackedRanges.hasOwnProperty(e);!n&&t?this._multiLineTrackedRanges[e]=!0:n&&!t&&delete this._multiLineTrackedRanges[e]},t.prototype._shouldStartMarkerSticksToPreviousCharacter=function(e){return e===i.TrackedRangeStickiness.AlwaysGrowsWhenTypingAtEdges||e===i.TrackedRangeStickiness.GrowsOnlyWhenTypingBefore},t.prototype._shouldEndMarkerSticksToPreviousCharacter=function(e){return e===i.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges||e===i.TrackedRangeStickiness.GrowsOnlyWhenTypingBefore},t.prototype._getTrackedRangesCount=function(){return Object.keys(this._ranges).length},t.prototype.addTrackedRange=function(e,t){e=this.validateRange(e);var n=this._shouldStartMarkerSticksToPreviousCharacter(t),o=this._shouldEndMarkerSticksToPreviousCharacter(t),i=this._addMarker(e.startLineNumber,e.startColumn,n),r=this._addMarker(e.endLineNumber,e.endColumn,o),s=new l(this._rangeIdGenerator.nextId(),i,r);return this._ranges[s.id]=s,this._markerIdToRangeId[i]=s.id,this._markerIdToRangeId[r]=s.id,this._setRangeIsMultiLine(s.id,e.startLineNumber!==e.endLineNumber),s.id},t.prototype._addTrackedRanges=function(e,t){for(var n=[],o=0,i=e.length;i>o;o++){var r=e[o],s=t[o];n.push({lineNumber:r.startLineNumber,column:r.startColumn,stickToPreviousCharacter:this._shouldStartMarkerSticksToPreviousCharacter(s)}),n.push({lineNumber:r.endLineNumber,column:r.endColumn,stickToPreviousCharacter:this._shouldEndMarkerSticksToPreviousCharacter(s)})}for(var a=this._addMarkers(n),u=[],o=0,i=e.length;i>o;o++){var r=e[o],c=a[2*o],d=a[2*o+1],h=new l(this._rangeIdGenerator.nextId(),c,d);this._ranges[h.id]=h,this._markerIdToRangeId[c]=h.id,this._markerIdToRangeId[d]=h.id,this._setRangeIsMultiLine(h.id,r.startLineNumber!==r.endLineNumber),u.push(h.id)}return u},t.prototype.changeTrackedRange=function(e,t){if(this._ranges.hasOwnProperty(e)){t=this.validateRange(t);var n=this._ranges[e];this._changeMarker(n.startMarkerId,t.startLineNumber,t.startColumn),this._changeMarker(n.endMarkerId,t.endLineNumber,t.endColumn),this._setRangeIsMultiLine(n.id,t.startLineNumber!==t.endLineNumber)}},t.prototype.changeTrackedRangeStickiness=function(e,t){if(this._ranges.hasOwnProperty(e)){var n=this._ranges[e];this._changeMarkerStickiness(n.startMarkerId,this._shouldStartMarkerSticksToPreviousCharacter(t)),this._changeMarkerStickiness(n.endMarkerId,this._shouldEndMarkerSticksToPreviousCharacter(t))}},t.prototype.isValidTrackedRange=function(e){return this._isDisposed||!this._ranges?!1:this._ranges.hasOwnProperty(e)},t.prototype.removeTrackedRange=function(e){if(this._ranges.hasOwnProperty(e)){var t=this._ranges[e];this._removeMarker(t.startMarkerId),this._removeMarker(t.endMarkerId),this._setRangeIsMultiLine(t.id,!1),delete this._ranges[t.id],delete this._markerIdToRangeId[t.startMarkerId],delete this._markerIdToRangeId[t.endMarkerId]}},t.prototype.removeTrackedRanges=function(e){for(var t=[],n=0,o=e.length;o>n;n++){var i=e[n];if(this._ranges.hasOwnProperty(i)){var r=this._ranges[i];t.push(r.startMarkerId),t.push(r.endMarkerId),this._setRangeIsMultiLine(r.id,!1),delete this._ranges[r.id],delete this._markerIdToRangeId[r.startMarkerId],delete this._markerIdToRangeId[r.endMarkerId]}}t.length>0&&this._removeMarkers(t)},t.prototype._newEditorRange=function(e,t){return t.isBefore(e)?new o.Range(e.lineNumber,e.column,e.lineNumber,e.column):new o.Range(e.lineNumber,e.column,t.lineNumber,t.column)},t.prototype.getTrackedRange=function(e){var t=this._ranges[e],n=this._getMarker(t.startMarkerId),o=this._getMarker(t.endMarkerId);return this._newEditorRange(n,o)},t.prototype._getMultiLineTrackedRanges=function(e,t){for(var n=[],o=Object.keys(this._multiLineTrackedRanges),i=0,r=o.length;r>i;i++){var s=o[i],a=this._ranges[s],l=this._getMarker(a.startMarkerId);if(!(l.lineNumber>t)){var u=this._getMarker(a.endMarkerId);u.lineNumber<e||n.push({id:a.id,range:this._newEditorRange(l,u)})}}return n},t.prototype.getLinesTrackedRanges=function(e,t){var n,o,i,r,s,a,l,u,c=this._getMultiLineTrackedRanges(e,t),d={};for(r=0,s=c.length;s>r;r++)d[c[r].id]=!0;for(a=e;t>=a;a++)for(n=this._getLineMarkers(a),r=0,s=n.length;s>r;r++)o=n[r],this._markerIdToRangeId.hasOwnProperty(o.id)&&(i=this._markerIdToRangeId[o.id],d.hasOwnProperty(i)||(l=this._getMarker(this._ranges[i].startMarkerId),u=this._getMarker(this._ranges[i].endMarkerId),c.push({id:i,range:this._newEditorRange(l,u)}),d[i]=!0));return c},t.prototype._onChangedMarkers=function(e){var t,n,o,i,r,s,a={};for(r=0,s=e.length;s>r;r++)i=e[r],this._markerIdToRangeId.hasOwnProperty(i.id)&&(o=this._markerIdToRangeId[i.id],n=this._ranges[o],a.hasOwnProperty(n.id)?t=a[n.id]:(t={startLineNumber:0,startColumn:0,endLineNumber:0,endColumn:0},a[n.id]=t),i.id===n.startMarkerId?(t.startLineNumber=i.oldLineNumber,t.startColumn=i.oldColumn):(t.endLineNumber=i.oldLineNumber,t.endColumn=i.oldColumn),this._setRangeIsMultiLine(n.id,this._getMarker(n.startMarkerId).lineNumber!==this._getMarker(n.endMarkerId).lineNumber));return a},t}(r.TextModelWithMarkers);t.TextModelWithTrackedRanges=c});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/model/textModelWithDecorations",["require","exports","vs/base/common/errors","vs/base/common/htmlContent","vs/base/common/strings","vs/base/common/idGenerator","vs/editor/common/core/range","vs/editor/common/editorCommon","vs/editor/common/model/textModelWithTrackedRanges"],function(e,t,n,o,i,r,s,a,l){"use strict";function u(e){return e.replace(/[^a-z0-9\-]/gi," ")}function c(e){return new g(e)}function d(e,t){return void 0===t&&(t=null),new y(e,t)}var h=function(){function e(){this.changedMarkers={},this.oldDecorationRange={},this.oldDecorationOptions={},this.newOrChangedDecorations={},this.removedDecorations={}}return e.prototype.addNewDecoration=function(e){this.newOrChangedDecorations[e]=!0},e.prototype.addRemovedDecoration=function(e,t,n,o){this.newOrChangedDecorations.hasOwnProperty(e)&&delete this.newOrChangedDecorations[e],this.oldDecorationRange.hasOwnProperty(e)||(this.oldDecorationRange[e]=n),this.oldDecorationOptions.hasOwnProperty(e)||(this.oldDecorationOptions[e]=o),this.removedDecorations[e]=!0},e.prototype.addMovedDecoration=function(e,t){this.oldDecorationRange.hasOwnProperty(e)||(this.oldDecorationRange[e]=t),this.newOrChangedDecorations[e]=!0},e.prototype.addUpdatedDecoration=function(e,t){this.oldDecorationOptions.hasOwnProperty(e)||(this.oldDecorationOptions[e]=t),this.newOrChangedDecorations[e]=!0},e}();t.DeferredEventsBuilder=h;var p=0,m=function(e){function t(t,n,o){t.push(a.EventType.ModelDecorationsChanged),e.call(this,t,n,o),this._decorationIdGenerator=new r.IdGenerator(++p+";"),this.decorations={},this.rangeIdToDecorationId={},this._currentDeferredEvents=null}return __extends(t,e),t.prototype.dispose=function(){this.decorations=null,this.rangeIdToDecorationId=null,e.prototype.dispose.call(this)},t.prototype._resetValue=function(t,n){e.prototype._resetValue.call(this,t,n),this.decorations={},this.rangeIdToDecorationId={}},t.prototype.changeDecorations=function(e,t){var o=this;return void 0===t&&(t=0),this._withDeferredEvents(function(i){var r={addDecoration:function(e,n){return o._addDecorationImpl(i,t,o.validateRange(e),c(n))},changeDecoration:function(e,t){o._changeDecorationImpl(i,e,o.validateRange(t))},changeDecorationOptions:function(e,t){o._changeDecorationOptionsImpl(i,e,c(t))},removeDecoration:function(e){o._removeDecorationImpl(i,e)},deltaDecorations:function(e,n){return o._deltaDecorationsImpl(i,t,e,o._normalizeDeltaDecorations(n))}},s=null;try{s=e(r)}catch(a){n.onUnexpectedError(a)}return r.addDecoration=null,r.changeDecoration=null,r.removeDecoration=null,r.deltaDecorations=null,s})},t.prototype.deltaDecorations=function(e,t,n){return void 0===n&&(n=0),e||(e=[]),this.changeDecorations(function(n){return n.deltaDecorations(e,t)},n)},t.prototype.removeAllDecorationsWithOwnerId=function(e){for(var t=[],n=Object.keys(this.decorations),o=0,i=n.length;i>o;o++){var r=n[o],s=this.decorations[r];s.ownerId===e&&t.push(s.id)}this._removeDecorationsImpl(null,t)},t.prototype.getDecorationOptions=function(e){return this.decorations.hasOwnProperty(e)?this.decorations[e].options:null},t.prototype.getDecorationRange=function(e){if(this.decorations.hasOwnProperty(e)){var t=this.decorations[e];return this.getTrackedRange(t.rangeId)}return null},t.prototype.getLineDecorations=function(e,t,n){return void 0===t&&(t=0),void 0===n&&(n=!1),1>e||e>this.getLineCount()?[]:this.getLinesDecorations(e,e,t,n)},t.prototype._getDecorationsInRange=function(e,t,n,o,i,r){var s,l,u,c,d=[],h=this.getLinesTrackedRanges(e,n);for(l=0,c=h.length;c>l;l++)if(u=h[l],this.rangeIdToDecorationId.hasOwnProperty(u.id)){if(s=this.decorations[this.rangeIdToDecorationId[u.id]],i&&s.ownerId&&s.ownerId!==i)continue;if(r&&(s.options.className===a.ClassName.EditorErrorDecoration||s.options.className===a.ClassName.EditorWarningDecoration))continue;if(u.range.startLineNumber===e&&u.range.endColumn<t)continue;if(u.range.endLineNumber===n&&u.range.startColumn>o)continue;d.push({id:s.id,ownerId:s.ownerId,range:u.range,options:s.options})}return d},t.prototype.getLinesDecorations=function(e,t,n,o){void 0===n&&(n=0),void 0===o&&(o=!1);var i=this.getLineCount();return e=Math.min(i,Math.max(1,e)),t=Math.min(i,Math.max(1,t)),this._getDecorationsInRange(e,1,t,Number.MAX_VALUE,n,o)},t.prototype.getDecorationsInRange=function(e,t,n){var o=this.validateRange(e);return this._getDecorationsInRange(o.startLineNumber,o.startColumn,o.endLineNumber,o.endColumn,t,n)},t.prototype.getAllDecorations=function(e,t){void 0===e&&(e=0),void 0===t&&(t=!1);for(var n=[],o=Object.keys(this.decorations),i=0,r=o.length;r>i;i++){var s=o[i],l=this.decorations[s];e&&l.ownerId&&l.ownerId!==e||(!t||l.options.className!==a.ClassName.EditorErrorDecoration&&l.options.className!==a.ClassName.EditorWarningDecoration)&&n.push({id:l.id,ownerId:l.ownerId,range:this.getTrackedRange(l.rangeId),options:l.options})}return n},t.prototype._withDeferredEvents=function(e){var t=this;return this.deferredEmit(function(){var n=!t._currentDeferredEvents;n&&(t._currentDeferredEvents=new h);try{var o=e(t._currentDeferredEvents);n&&t._handleCollectedEvents(t._currentDeferredEvents)}finally{n&&(t._currentDeferredEvents=null)}return o})},t.prototype._handleCollectedEvents=function(e){var t=this._getMarkersInMap(e.changedMarkers),n=this._onChangedMarkers(t);this._onChangedRanges(e,n),this._handleCollectedDecorationsEvents(e);for(var o=0,i=t.length;i>o;o++)t[o].oldLineNumber=0,t[o].oldColumn=0},t.prototype._onChangedRanges=function(e,t){for(var n=Object.keys(t),o=0,i=n.length;i>o;o++){var r=n[o];if(this.rangeIdToDecorationId.hasOwnProperty(r)){var s=this.rangeIdToDecorationId[r];e.addMovedDecoration(s,t[r])}}},t.prototype._handleCollectedDecorationsEvents=function(e){for(var t,n,o=[],i=[],r=[],s=Object.keys(e.newOrChangedDecorations),l=0,u=s.length;u>l;l++){var c=s[l];r.push(c),t=this._getDecorationData(c),t.isForValidation=t.options.className===a.ClassName.EditorErrorDecoration||t.options.className===a.ClassName.EditorWarningDecoration,o.push(t),e.oldDecorationRange.hasOwnProperty(c)&&(n=e.oldDecorationRange[c],n.startLineNumber=n.startLineNumber||t.range.startLineNumber,n.startColumn=n.startColumn||t.range.startColumn,n.endLineNumber=n.endLineNumber||t.range.endLineNumber,n.endColumn=n.endColumn||t.range.endColumn)}s=Object.keys(e.removedDecorations);for(var l=0,u=s.length;u>l;l++){var c=s[l];r.push(c),i.push(c)}if(r.length>0){var d={ids:r,addedOrChangedDecorations:o,removedDecorations:i,oldOptions:e.oldDecorationOptions,oldRanges:e.oldDecorationRange};this.emitModelDecorationsChangedEvent(d)}},t.prototype._getDecorationData=function(e){var t=this.decorations[e];return{id:t.id,ownerId:t.ownerId,range:this.getTrackedRange(t.rangeId),isForValidation:!1,options:t.options}},t.prototype.emitModelDecorationsChangedEvent=function(e){this._isDisposing||this.emit(a.EventType.ModelDecorationsChanged,e)},t.prototype._normalizeDeltaDecorations=function(e){for(var t=[],n=0,o=e.length;o>n;n++){var i=e[n];t.push(new v(n,this.validateRange(i.range),c(i.options)))}return t},t.prototype._addDecorationImpl=function(e,t,n,o){var i=this.addTrackedRange(n,o.stickiness),r=new f(this._decorationIdGenerator.nextId(),t,i,o);return this.decorations[r.id]=r,this.rangeIdToDecorationId[i]=r.id,e.addNewDecoration(r.id),r.id},t.prototype._addDecorationsImpl=function(e,t,n){for(var o=this._addTrackedRanges(n.map(function(e){return e.range}),n.map(function(e){return e.options.stickiness})),i=[],r=0,s=n.length;s>r;r++){var a=o[r],l=new f(this._decorationIdGenerator.nextId(),t,a,n[r].options);this.decorations[l.id]=l,this.rangeIdToDecorationId[a]=l.id,e.addNewDecoration(l.id),i.push(l.id)}return i},t.prototype._changeDecorationImpl=function(e,t,n){if(this.decorations.hasOwnProperty(t)){var o=this.decorations[t],i=this.getTrackedRange(o.rangeId);this.changeTrackedRange(o.rangeId,n),e.addMovedDecoration(t,i)}},t.prototype._changeDecorationOptionsImpl=function(e,t,n){if(this.decorations.hasOwnProperty(t)){var o=this.decorations[t],i=o.options;i.stickiness!==n.stickiness&&this.changeTrackedRangeStickiness(o.rangeId,n.stickiness),o.options=n,e.addUpdatedDecoration(t,i)}},t.prototype._removeDecorationImpl=function(e,t){if(this.decorations.hasOwnProperty(t)){var n=this.decorations[t],o=null;e&&(o=this.getTrackedRange(n.rangeId)),this.removeTrackedRange(n.rangeId),delete this.rangeIdToDecorationId[n.rangeId],delete this.decorations[t],e&&e.addRemovedDecoration(t,n.ownerId,o,n.options)}},t.prototype._removeDecorationsImpl=function(e,t){for(var n=[],o=0,i=t.length;i>o;o++){var r=t[o];if(this.decorations.hasOwnProperty(r)){var s=this.decorations[r];if(e){var a=this.getTrackedRange(s.rangeId);e.addRemovedDecoration(r,s.ownerId,a,s.options)}n.push(s.rangeId),delete this.rangeIdToDecorationId[s.rangeId],delete this.decorations[r]}}n.length>0&&this.removeTrackedRanges(n)},t.prototype._resolveOldDecorations=function(e){for(var t=[],n=0,o=e.length;o>n;n++){var i=e[n];if(this.decorations.hasOwnProperty(i)){var r=this.decorations[i];t.push({id:i,range:this.getTrackedRange(r.rangeId),options:r.options})}}return t},t.prototype._deltaDecorationsImpl=function(e,t,n,o){if(0===n.length)return this._addDecorationsImpl(e,t,o);if(0===o.length)return this._removeDecorationsImpl(e,n),[];var i=this._resolveOldDecorations(n);i.sort(function(e,t){return s.Range.compareRangesUsingStarts(e.range,t.range)}),o.sort(function(e,t){return s.Range.compareRangesUsingStarts(e.range,t.range)});for(var r=[],a=0,l=i.length,u=0,c=o.length,d=[],h=[];l>a&&c>u;){var p=i[a],m=o[u],f=s.Range.compareRangesUsingStarts(p.range,m.range);0>f?(h.push(p.id),a++):f>0?(d.push(m),u++):p.options.equals(m.options)?(r[m.index]=p.id,a++,u++):(h.push(p.id),a++)}for(;l>a;)h.push(i[a].id),a++;for(;c>u;)d.push(o[u]),u++;if(h.length>0&&this._removeDecorationsImpl(e,h),d.length>0)for(var g=this._addDecorationsImpl(e,t,d),v=0,y=d.length;y>v;v++)r[d[v].index]=g[v];return r},t}(l.TextModelWithTrackedRanges);t.TextModelWithDecorations=m;var f=function(){function e(e,t,n,o){this.id=e,this.ownerId=t,this.rangeId=n,this.options=o}return e}(),g=function(){function e(e){this.stickiness=e.stickiness||a.TrackedRangeStickiness.AlwaysGrowsWhenTypingAtEdges,this.className=u(e.className||i.empty),this.hoverMessage=e.hoverMessage||i.empty,this.htmlMessage=e.htmlMessage||[],this.isWholeLine=e.isWholeLine||!1,this.overviewRuler=d(e.overviewRuler,e.showInOverviewRuler),this.glyphMarginClassName=u(e.glyphMarginClassName||i.empty),this.linesDecorationsClassName=u(e.linesDecorationsClassName||i.empty),this.inlineClassName=u(e.inlineClassName||i.empty)}return e._overviewRulerEquals=function(e,t){return e.color===t.color&&e.position===t.position&&e.darkColor===t.darkColor},e.prototype.equals=function(t){return this.stickiness===t.stickiness&&this.className===t.className&&this.hoverMessage===t.hoverMessage&&this.isWholeLine===t.isWholeLine&&this.showInOverviewRuler===t.showInOverviewRuler&&this.glyphMarginClassName===t.glyphMarginClassName&&this.linesDecorationsClassName===t.linesDecorationsClassName&&this.inlineClassName===t.inlineClassName&&o.htmlContentElementArrEquals(this.htmlMessage,t.htmlMessage)&&e._overviewRulerEquals(this.overviewRuler,t.overviewRuler)},e}(),v=function(){function e(e,t,n){this.index=e,this.range=t,this.options=n}return e}(),y=function(){function e(e,t){this.color=i.empty,this.darkColor=i.empty,this.position=a.OverviewRulerLane.Center,t&&(this.color=t),e&&e.color&&(this.color=e.color),e&&e.darkColor&&(this.darkColor=e.darkColor),e&&e.hasOwnProperty("position")&&(this.position=e.position)}return e}()});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/model/editableTextModel",["require","exports","vs/editor/common/core/range","vs/editor/common/editorCommon","vs/editor/common/model/editStack","vs/editor/common/model/modelLine","vs/editor/common/model/textModelWithDecorations","vs/base/common/strings"],function(e,t,n,o,i,r,s,a){"use strict";var l=function(e){function t(t,n,r){t.push(o.EventType.ModelRawContentChanged),t.push(o.EventType.ModelContentChanged2),e.call(this,t,n,r),this._commandManager=new i.EditStack(this),this._isUndoing=!1,this._isRedoing=!1,this._hasEditableRange=!1,this._editableRangeId=null,this._trimAutoWhitespaceLines=null}return __extends(t,e),t.prototype.onDidChangeRawContent=function(e){return this.addListener2(o.EventType.ModelRawContentChanged,e)},t.prototype.onDidChangeContent=function(e){return this.addListener2(o.EventType.ModelContentChanged2,e)},t.prototype.dispose=function(){this._commandManager=null,e.prototype.dispose.call(this)},t.prototype._resetValue=function(t,n){e.prototype._resetValue.call(this,t,n),this._commandManager=new i.EditStack(this),this._hasEditableRange=!1,this._editableRangeId=null,this._trimAutoWhitespaceLines=null},t.prototype.pushStackElement=function(){this._commandManager.pushStackElement()},t.prototype.pushEditOperations=function(e,t,o){var i=this;return this.deferredEmit(function(){if(i._options.trimAutoWhitespace&&i._trimAutoWhitespaceLines){for(var r=t.map(function(e){return{range:i.validateRange(e.range),text:e.text}}),s=!0,a=0,l=e.length;l>a;a++){for(var u=e[a],c=!1,d=0,h=r.length;h>d;d++){var p=r[d].range,m=p.startLineNumber>u.endLineNumber,f=u.startLineNumber>p.endLineNumber;if(!m&&!f){c=!0;break}}if(!c){s=!1;break}}if(s)for(var a=0,l=i._trimAutoWhitespaceLines.length;l>a;a++){for(var g=i._trimAutoWhitespaceLines[a],v=i.getLineMaxColumn(g),y=!0,d=0,h=r.length;h>d;d++){var p=r[d].range,_=r[d].text;if(!(g<p.startLineNumber||g>p.endLineNumber||g===p.startLineNumber&&p.startColumn===v&&p.isEmpty()&&_&&_.length>0&&"\n"===_.charAt(0))){y=!1;break}}y&&t.push({identifier:null,range:new n.Range(g,1,g,v),text:null,forceMoveMarkers:!1,isAutoWhitespaceEdit:!1})}i._trimAutoWhitespaceLines=null}return i._commandManager.pushEditOperation(e,t,o)})},t.prototype._reduceOperations=function(e){return e.length<1e3?e:[this._toSingleEditOperation(e)]},t.prototype._toSingleEditOperation=function(e){for(var t=!1,o=e[0].range,i=e[e.length-1].range,r=new n.Range(o.startLineNumber,o.startColumn,i.endLineNumber,i.endColumn),s=o.startLineNumber,a=o.startColumn,l=[],u=0,c=e.length;c>u;u++){var d=e[u],h=d.range;t=t||d.forceMoveMarkers;for(var p=s;p<h.startLineNumber;p++)p===s?l.push(this._lines[p-1].text.substring(a-1)):(l.push("\n"),l.push(this._lines[p-1].text));if(h.startLineNumber===s?l.push(this._lines[h.startLineNumber-1].text.substring(a-1,h.startColumn-1)):(l.push("\n"),l.push(this._lines[h.startLineNumber-1].text.substring(0,h.startColumn-1))),d.lines)for(var m=0,f=d.lines.length;f>m;m++)0!==m&&l.push("\n"),l.push(d.lines[m]);s=d.range.endLineNumber,a=d.range.endColumn}return{sortIndex:0,identifier:e[0].identifier,range:r,rangeLength:this.getValueLengthInRange(r),lines:l.join("").split("\n"),forceMoveMarkers:t,isAutoWhitespaceEdit:!1}},t._sortOpsAscending=function(e,t){var o=n.Range.compareRangesUsingEnds(e.range,t.range);return 0===o?e.sortIndex-t.sortIndex:o},t._sortOpsDescending=function(e,t){var o=n.Range.compareRangesUsingEnds(e.range,t.range);return 0===o?t.sortIndex-e.sortIndex:-o},t.prototype.applyEdits=function(e){if(0===e.length)return[];for(var n=[],o=0;o<e.length;o++){var i=e[o],r=this.validateRange(i.range);n[o]={sortIndex:o,identifier:i.identifier,range:r,rangeLength:this.getValueLengthInRange(r),lines:i.text?i.text.split(/\r\n|\r|\n/):null,forceMoveMarkers:i.forceMoveMarkers,isAutoWhitespaceEdit:i.isAutoWhitespaceEdit||!1}}n.sort(t._sortOpsAscending);for(var o=0,s=n.length-1;s>o;o++){var l=n[o].range.getEndPosition(),u=n[o+1].range.getStartPosition();if(u.isBefore(l))throw new Error("Overlapping ranges are not allowed!")}n=this._reduceOperations(n);for(var c=this.getEditableRange(),d=c.getStartPosition(),h=c.getEndPosition(),o=0;o<n.length;o++){var p=n[o].range;if(!d.isBeforeOrEqual(p.getStartPosition())||!p.getEndPosition().isBeforeOrEqual(h))throw new Error("Editing outside of editable range not allowed!")}for(var m=t._getInverseEditRanges(n),f=[],g=[],o=0;o<n.length;o++){var i=n[o],v=m[o];if(f[o]={identifier:i.identifier,range:v,text:this.getValueInRange(i.range),forceMoveMarkers:i.forceMoveMarkers},this._options.trimAutoWhitespace&&i.isAutoWhitespaceEdit&&i.range.isEmpty())for(var y=v.startLineNumber;y<=v.endLineNumber;y++){var _="";y===v.startLineNumber&&(_=this.getLineContent(i.range.startLineNumber),-1!==a.firstNonWhitespaceIndex(_))||g.push({lineNumber:y,oldContent:_})}}if(this._applyEdits(n),this._trimAutoWhitespaceLines=null,this._options.trimAutoWhitespace&&g.length>0){g.sort(function(e,t){return t.lineNumber-e.lineNumber}),this._trimAutoWhitespaceLines=[];for(var o=0,b=g.length;b>o;o++){var y=g[o].lineNumber;if(!(o>0&&g[o-1].lineNumber===y)){var C=g[o].oldContent,w=this.getLineContent(y);0!==w.length&&w!==C&&-1===a.firstNonWhitespaceIndex(w)&&this._trimAutoWhitespaceLines.push(y)}}}return f},t._getInverseEditRanges=function(e){for(var t,o,i=[],r=null,s=0,a=e.length;a>s;s++){var l=e[s],u=void 0,c=void 0;r?r.range.endLineNumber===l.range.startLineNumber?(u=t,c=o+(l.range.startColumn-r.range.endColumn)):(u=t+(l.range.startLineNumber-r.range.endLineNumber),c=l.range.startColumn):(u=l.range.startLineNumber,c=l.range.startColumn);var d=void 0;if(l.lines&&l.lines.length>0){var h=l.lines.length,p=l.lines[0],m=l.lines[h-1];d=1===h?new n.Range(u,c,u,c+p.length):new n.Range(u,c,u+h-1,m.length+1)}else d=new n.Range(u,c,u,c);t=d.endLineNumber,o=d.endColumn,i.push(d),r=l}return i},t.prototype._applyEdits=function(e){var i=this;e.sort(t._sortOpsDescending),this._withDeferredEvents(function(t){for(var s=[],a=[],l=[],u=function(e){e.startColumn===e.endColumn&&0===e.text.length||l.push(e)},c=function(){if(0!==l.length){l.reverse();for(var e=l[0].lineNumber,n=0,o=1,r=l.length;r>o;o++){var a=l[o].lineNumber;a!==e&&(i._invalidateLine(e-1),i._lines[e-1].applyEdits(t.changedMarkers,l.slice(n,o)),i._lineStarts&&i._lineStarts.changeValue(e-1,i._lines[e-1].text.length+i._EOL.length),s.push(i._createLineChangedEvent(e)),e=a,n=o)}i._invalidateLine(e-1),i._lines[e-1].applyEdits(t.changedMarkers,l.slice(n,l.length)),i._lineStarts&&i._lineStarts.changeValue(e-1,i._lines[e-1].text.length+i._EOL.length),s.push(i._createLineChangedEvent(e)),l=[]}},d=e[e.length-1].range.startLineNumber,h=e[0].range.endLineNumber+1,p=0,m=0,f=e.length;f>m;m++){var g=e[m],v=g.range.startLineNumber,y=g.range.startColumn,_=g.range.endLineNumber,b=g.range.endColumn;if(v!==_||y!==b||g.lines&&0!==g.lines.length){var C=_-v,w=g.lines?g.lines.length-1:0,E=Math.min(C,w);p+=w-C;for(var S=E;S>=0;S--){var x=v+S;u({lineNumber:x,startColumn:x===v?y:1,endColumn:x===_?b:i.getLineMaxColumn(x),text:g.lines?g.lines[S]:"",forceMoveMarkers:g.forceMoveMarkers})}if(C>E){c();var T=v+E,L=i.getLineMaxColumn(T),M=i._lines[_-1].split(t.changedMarkers,b,!1);i._invalidateLine(T-1);for(var N=_-T,I=[],S=0;N>S;S++){var D=T+S;I=I.concat(i._lines[D].deleteLine(t.changedMarkers,L,D+1))}i._lines.splice(T,N),i._lineStarts&&i._lineStarts.removeValues(T,N),i._lines[T-1].append(t.changedMarkers,M),i._lineStarts&&i._lineStarts.changeValue(T-1,i._lines[T-1].text.length+i._EOL.length),i._lines[T-1].addMarkers(I),s.push(i._createLineChangedEvent(T)),s.push(i._createLinesDeletedEvent(T+1,T+N))}if(w>E){c();var R=v+E,O=R===v?y:1;g.lines&&(O+=g.lines[E].length);var k=i._lines[R-1].split(t.changedMarkers,O,g.forceMoveMarkers);i._lineStarts&&i._lineStarts.changeValue(R-1,i._lines[R-1].text.length+i._EOL.length),s.push(i._createLineChangedEvent(R)),i._invalidateLine(R-1);for(var P=[],A=[],S=E+1;w>=S;S++){var W=v+S;i._lines.splice(W-1,0,new r.ModelLine(W,g.lines[S])),P.push(g.lines[S]),A.push(g.lines[S].length+i._EOL.length)}P[P.length-1]+=k.text,i._lineStarts&&i._lineStarts.insertValues(v+E,A),i._lines[v+w-1].append(t.changedMarkers,k),i._lineStarts&&i._lineStarts.changeValue(v+w-1,i._lines[v+w-1].text.length+i._EOL.length),s.push(i._createLinesInsertedEvent(R+1,v+w,P.join("\n")))}a.push({range:new n.Range(v,y,_,b),rangeLength:g.rangeLength,text:g.lines?g.lines.join(i.getEOL()):"",eol:i._EOL,versionId:-1,isUndoing:i._isUndoing,isRedoing:i._isRedoing})}}c(),h=Math.max(1,Math.min(i.getLineCount(),h+p)),0!==p&&(h=i.getLineCount());for(var F=d;h>=F;F++)i._lines[F-1].updateLineNumber(t.changedMarkers,F);if(0!==s.length||0!==a.length){0===s.length&&s.push(i._createLineChangedEvent(d));var H=Math.max(s.length,a.length),V=i.getVersionId()+H;i._setVersionId(V);for(var m=s.length-1,K=V;m>=0;m--,K--)s[m].versionId=K;for(var m=a.length-1,K=V;m>=0;m--,K--)a[m].versionId=K;for(var m=0,f=s.length;f>m;m++)i.emit(o.EventType.ModelRawContentChanged,s[m]);for(var m=0,f=a.length;f>m;m++)i.emit(o.EventType.ModelContentChanged2,a[m])}})},t.prototype._assertLineNumbersOK=function(){for(var e=0,t=0,n=this._lines.length;n>t;t++){var o=this._lines[t],i=t+1;if(o.lineNumber!==i)throw new Error("Invalid lineNumber at line: "+i+"; text is: "+this.getValue());for(var r=o.getMarkers(),s=0,a=r.length;a>s;s++){e++;var l=r[s].id,u=this._markerIdToMarker[l];if(u.line!==o)throw new Error("Misplaced marker with id "+l)}}var c=Object.keys(this._markerIdToMarker).length;if(c!==e)throw new Error("There are misplaced markers!")},t.prototype.undo=function(){var e=this;return this._withDeferredEvents(function(){e._isUndoing=!0;var t=e._commandManager.undo();return e._isUndoing=!1,t?(e._overwriteAlternativeVersionId(t.recordedVersionId),t.selections):null})},t.prototype.redo=function(){var e=this;return this._withDeferredEvents(function(){e._isRedoing=!0;var t=e._commandManager.redo();return e._isRedoing=!1,t?(e._overwriteAlternativeVersionId(t.recordedVersionId),t.selections):null})},t.prototype.setEditableRange=function(e){this._commandManager.clear(),this._hasEditableRange&&(this.removeTrackedRange(this._editableRangeId),this._editableRangeId=null,this._hasEditableRange=!1),e&&(this._hasEditableRange=!0,this._editableRangeId=this.addTrackedRange(e,o.TrackedRangeStickiness.AlwaysGrowsWhenTypingAtEdges))},t.prototype.hasEditableRange=function(){return this._hasEditableRange},t.prototype.getEditableRange=function(){return this._hasEditableRange?this.getTrackedRange(this._editableRangeId):this.getFullModelRange()},t.prototype._createLineChangedEvent=function(e){return{changeType:o.EventType.ModelRawContentChangedLineChanged,lineNumber:e,detail:this._lines[e-1].text,versionId:-1,isUndoing:this._isUndoing,isRedoing:this._isRedoing}},t.prototype._createLinesDeletedEvent=function(e,t){return{changeType:o.EventType.ModelRawContentChangedLinesDeleted,fromLineNumber:e,toLineNumber:t,versionId:-1,isUndoing:this._isUndoing,isRedoing:this._isRedoing}},t.prototype._createLinesInsertedEvent=function(e,t,n){return{changeType:o.EventType.ModelRawContentChangedLinesInserted,fromLineNumber:e,toLineNumber:t,detail:n,versionId:-1,isUndoing:this._isUndoing,isRedoing:this._isRedoing}},t}(s.TextModelWithDecorations);t.EditableTextModel=l});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/model/model",["require","exports","vs/base/common/uri","vs/editor/common/editorCommon","vs/editor/common/model/editableTextModel","vs/editor/common/model/textModel"],function(e,t,n,o,i,r){
"use strict";var s=0,a={},l=function(e){function t(t,i,l,u){if(void 0===u&&(u=null),e.call(this,[o.EventType.ModelDispose],r.TextModel.toRawText(t,i),l),s++,this.id="$model"+s,"undefined"==typeof u||null===u?this._associatedResource=n["default"].parse("inmemory://model/"+s):this._associatedResource=u,a[String(this._associatedResource)])throw new Error("Cannot instantiate a second Model with the same URI!");this._attachedEditorCount=0,a[String(this._associatedResource)]=!0}return __extends(t,e),t.prototype.onDidChangeModeSupport=function(e){return this.addListener2(o.EventType.ModelModeSupportChanged,e)},t.prototype.onDidChangeDecorations=function(e){return this.addListener2(o.EventType.ModelDecorationsChanged,e)},t.prototype.onDidChangeOptions=function(e){return this.addListener2(o.EventType.ModelOptionsChanged,e)},t.prototype.onWillDispose=function(e){return this.addListener2(o.EventType.ModelDispose,e)},t.prototype.onDidChangeMode=function(e){return this.addListener2(o.EventType.ModelModeChanged,e)},t.prototype.addBulkListener=function(t){return e.prototype.addBulkListener.call(this,t)},t.prototype.getModeId=function(){return this.getMode().getId()},t.prototype.destroy=function(){this.dispose()},t.prototype.dispose=function(){this._isDisposing=!0,delete a[String(this._associatedResource)],this.emit(o.EventType.ModelDispose),e.prototype.dispose.call(this),this._isDisposing=!1},t.prototype.onBeforeAttached=function(){this._attachedEditorCount++,this._warmUpTokens()},t.prototype.onBeforeDetached=function(){this._attachedEditorCount--},t.prototype.isAttachedToEditor=function(){return this._attachedEditorCount>0},Object.defineProperty(t.prototype,"uri",{get:function(){return this._associatedResource},enumerable:!0,configurable:!0}),t.DEFAULT_CREATION_OPTIONS=r.TextModel.DEFAULT_CREATION_OPTIONS,t}(i.EditableTextModel);t.Model=l}),define("vs/nls!vs/editor/common/modes/modesRegistry",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/common/modes/modesRegistry",t)}),define("vs/nls!vs/editor/common/modes/supports/suggestSupport",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/common/modes/supports/suggestSupport",t)}),define("vs/nls!vs/editor/common/services/bulkEdit",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/common/services/bulkEdit",t)}),define("vs/nls!vs/editor/common/services/modeServiceImpl",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/common/services/modeServiceImpl",t)}),define("vs/nls!vs/editor/common/services/modelServiceImpl",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/common/services/modelServiceImpl",t)}),define("vs/nls!vs/editor/contrib/accessibility/browser/accessibility",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/accessibility/browser/accessibility",t)}),define("vs/nls!vs/editor/contrib/clipboard/browser/clipboard",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/clipboard/browser/clipboard",t)}),define("vs/nls!vs/editor/contrib/comment/common/comment",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/comment/common/comment",t)}),define("vs/nls!vs/editor/contrib/contextmenu/browser/contextmenu",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/contextmenu/browser/contextmenu",t)}),define("vs/nls!vs/editor/contrib/defineKeybinding/browser/defineKeybinding",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/defineKeybinding/browser/defineKeybinding",t)}),define("vs/nls!vs/editor/contrib/find/browser/findWidget",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/find/browser/findWidget",t)});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/contrib/find/browser/findWidget",["require","exports","vs/nls!vs/editor/contrib/find/browser/findWidget","vs/base/common/errors","vs/base/common/keyCodes","vs/base/common/strings","vs/base/browser/dom","vs/base/browser/ui/findinput/findInput","vs/base/browser/ui/inputbox/inputBox","vs/base/browser/ui/widget","vs/editor/browser/editorBrowser","vs/editor/contrib/find/common/findModel","vs/css!./findWidget"],function(e,t,n,o,i,r,s,a,l,u,c,d){"use strict";var h=n.localize(0,null),p=n.localize(1,null),m=n.localize(2,null),f=n.localize(3,null),g=n.localize(4,null),v=n.localize(5,null),y=n.localize(6,null),_=n.localize(7,null),b=n.localize(8,null),C=n.localize(9,null),w=n.localize(10,null),E=n.localize(11,null),S=n.localize(12,null),x=n.localize(13,null),T=function(e){function t(t,n,o,i,r){var a=this;e.call(this),this._codeEditor=t,this._controller=n,this._state=o,this._contextViewProvider=i,this._keybindingService=r,this._isVisible=!1,this._isReplaceVisible=!1,this._register(this._state.addChangeListener(function(e){return a._onStateChanged(e)})),this._buildDomNode(),this._updateButtons(),this.focusTracker=this._register(s.trackFocus(this._findInput.inputBox.inputElement)),this.focusTracker.addFocusListener(function(){return a._reseedFindScope()}),this._register(this._codeEditor.onDidChangeConfiguration(function(e){e.readOnly&&(a._codeEditor.getConfiguration().readOnly&&a._state.change({isReplaceRevealed:!1},!1),a._updateButtons())})),this._register(this._codeEditor.onDidChangeCursorSelection(function(){a._isVisible&&a._updateToggleSelectionFindButton()})),this._codeEditor.addOverlayWidget(this)}return __extends(t,e),t.prototype._reseedFindScope=function(){var e=this._codeEditor.getSelection();e.startLineNumber!==e.endLineNumber&&this._state.change({searchScope:e},!0)},t.prototype.getId=function(){return t.ID},t.prototype.getDomNode=function(){return this._domNode},t.prototype.getPosition=function(){return this._isVisible?{preference:c.OverlayWidgetPositionPreference.TOP_RIGHT_CORNER}:null},t.prototype._onStateChanged=function(e){if(e.searchString&&(this._findInput.setValue(this._state.searchString),this._updateButtons()),e.replaceString&&(this._replaceInputBox.value=this._state.replaceString),e.isRevealed&&(this._state.isRevealed?this._reveal(!0):this._hide(!0)),e.isReplaceRevealed&&(this._state.isReplaceRevealed?this._codeEditor.getConfiguration().readOnly||this._isReplaceVisible||(this._isReplaceVisible=!0,this._updateButtons()):this._isReplaceVisible&&(this._isReplaceVisible=!1,this._updateButtons())),e.isRegex&&this._findInput.setRegex(this._state.isRegex),e.wholeWord&&this._findInput.setWholeWords(this._state.wholeWord),e.matchCase&&this._findInput.setCaseSensitive(this._state.matchCase),e.searchScope&&(this._state.searchScope?this._toggleSelectionFind.checked=!0:this._toggleSelectionFind.checked=!1,this._updateToggleSelectionFindButton()),e.searchString||e.matchesCount||e.matchesPosition){var t=this._state.searchString.length>0&&0===this._state.matchesCount;s.toggleClass(this._domNode,"no-results",t),this._updateMatchesCount()}},t.prototype._updateMatchesCount=function(){this._state.matchesCount>=d.MATCHES_LIMIT?this._matchesCount.title=E:this._matchesCount.title="",this._matchesCount.firstChild&&this._matchesCount.removeChild(this._matchesCount.firstChild);var e;if(this._state.matchesCount>0){var t=String(this._state.matchesCount);this._state.matchesCount>=d.MATCHES_LIMIT&&(t+="+");var n=String(this._state.matchesPosition);"0"===n&&(n="?"),e=r.format(S,n,t)}else e=x;this._matchesCount.appendChild(document.createTextNode(e))},t.prototype._updateToggleSelectionFindButton=function(){var e=this._codeEditor.getSelection(),t=e?e.startLineNumber!==e.endLineNumber:!1,n=this._toggleSelectionFind.checked;this._toggleSelectionFind.setEnabled(this._isVisible&&(n||t))},t.prototype._updateButtons=function(){this._findInput.setEnabled(this._isVisible),this._replaceInputBox.setEnabled(this._isVisible&&this._isReplaceVisible),this._updateToggleSelectionFindButton(),this._closeBtn.setEnabled(this._isVisible);var e=this._state.searchString.length>0;this._prevBtn.setEnabled(this._isVisible&&e),this._nextBtn.setEnabled(this._isVisible&&e),this._replaceBtn.setEnabled(this._isVisible&&this._isReplaceVisible&&e),this._replaceAllBtn.setEnabled(this._isVisible&&this._isReplaceVisible&&e),s.toggleClass(this._domNode,"replaceToggled",this._isReplaceVisible),this._toggleReplaceBtn.toggleClass("collapse",!this._isReplaceVisible),this._toggleReplaceBtn.toggleClass("expand",this._isReplaceVisible),this._toggleReplaceBtn.setExpanded(this._isReplaceVisible);var t=!this._codeEditor.getConfiguration().readOnly;this._toggleReplaceBtn.setEnabled(this._isVisible&&t)},t.prototype._reveal=function(e){var t=this;this._isVisible||(this._isVisible=!0,this._updateButtons(),setTimeout(function(){s.addClass(t._domNode,"visible"),e||(s.addClass(t._domNode,"noanimation"),setTimeout(function(){s.removeClass(t._domNode,"noanimation")},200))},0),this._codeEditor.layoutOverlayWidget(this))},t.prototype._hide=function(e){this._isVisible&&(this._isVisible=!1,this._updateButtons(),s.removeClass(this._domNode,"visible"),e&&this._codeEditor.focus(),this._codeEditor.layoutOverlayWidget(this))},t.prototype.focusFindInput=function(){this._findInput.select(),this._findInput.focus()},t.prototype.focusReplaceInput=function(){this._replaceInputBox.select(),this._replaceInputBox.focus()},t.prototype._onFindInputKeyDown=function(e){switch(e.asKeybinding()){case i.CommonKeybindings.ENTER:return this._codeEditor.getAction(d.FIND_IDS.NextMatchFindAction).run().done(null,o.onUnexpectedError),void e.preventDefault();case i.CommonKeybindings.SHIFT_ENTER:return this._codeEditor.getAction(d.FIND_IDS.PreviousMatchFindAction).run().done(null,o.onUnexpectedError),void e.preventDefault();case i.CommonKeybindings.TAB:return this._isReplaceVisible?this._replaceInputBox.focus():this._findInput.focusOnCaseSensitive(),void e.preventDefault();case i.CommonKeybindings.CTRLCMD_DOWN_ARROW:return this._codeEditor.focus(),void e.preventDefault()}},t.prototype._onReplaceInputKeyDown=function(e){switch(e.asKeybinding()){case i.CommonKeybindings.ENTER:return this._controller.replace(),void e.preventDefault();case i.CommonKeybindings.CTRLCMD_ENTER:return this._controller.replaceAll(),void e.preventDefault();case i.CommonKeybindings.TAB:return this._findInput.focusOnCaseSensitive(),void e.preventDefault();case i.CommonKeybindings.SHIFT_TAB:return this._findInput.focus(),void e.preventDefault();case i.CommonKeybindings.CTRLCMD_DOWN_ARROW:return this._codeEditor.focus(),void e.preventDefault()}},t.prototype._keybindingLabelFor=function(e){var t=this._keybindingService.lookupKeybindings(e);return 0===t.length?"":" ("+this._keybindingService.getLabelFor(t[0])+")"},t.prototype._buildFindPart=function(){var e=this;this._findInput=this._register(new a.FindInput(null,this._contextViewProvider,{width:t.FIND_INPUT_AREA_WIDTH,label:h,placeholder:p,appendCaseSensitiveLabel:this._keybindingLabelFor(d.FIND_IDS.ToggleCaseSensitiveCommand),appendWholeWordsLabel:this._keybindingLabelFor(d.FIND_IDS.ToggleWholeWordCommand),appendRegexLabel:this._keybindingLabelFor(d.FIND_IDS.ToggleRegexCommand),validation:function(t){if(0===t.length)return null;if(!e._findInput.getRegex())return null;try{return new RegExp(t),null}catch(n){return{content:n.message}}}})),this._register(this._findInput.onKeyDown(function(t){return e._onFindInputKeyDown(t)})),this._register(this._findInput.onInput(function(){e._state.change({searchString:e._findInput.getValue()},!0)})),this._register(this._findInput.onDidOptionChange(function(){e._state.change({isRegex:e._findInput.getRegex(),wholeWord:e._findInput.getWholeWords(),matchCase:e._findInput.getCaseSensitive()},!0)})),this._register(this._findInput.onCaseSensitiveKeyDown(function(t){t.equals(i.CommonKeybindings.SHIFT_TAB)&&e._isReplaceVisible&&(e._replaceInputBox.focus(),t.preventDefault())})),this._matchesCount=document.createElement("div"),this._matchesCount.className="matchesCount",this._updateMatchesCount(),this._prevBtn=this._register(new M({label:m+this._keybindingLabelFor(d.FIND_IDS.PreviousMatchFindAction),className:"previous",onTrigger:function(){e._codeEditor.getAction(d.FIND_IDS.PreviousMatchFindAction).run().done(null,o.onUnexpectedError)},onKeyDown:function(e){}})),this._nextBtn=this._register(new M({label:f+this._keybindingLabelFor(d.FIND_IDS.NextMatchFindAction),className:"next",onTrigger:function(){e._codeEditor.getAction(d.FIND_IDS.NextMatchFindAction).run().done(null,o.onUnexpectedError)},onKeyDown:function(e){}}));var n=document.createElement("div");return n.className="find-part",n.appendChild(this._findInput.domNode),n.appendChild(this._matchesCount),n.appendChild(this._prevBtn.domNode),n.appendChild(this._nextBtn.domNode),this._toggleSelectionFind=this._register(new L({parent:n,title:g,onChange:function(){e._toggleSelectionFind.checked?e._reseedFindScope():e._state.change({searchScope:null},!0)}})),this._closeBtn=this._register(new M({label:v+this._keybindingLabelFor(d.FIND_IDS.CloseFindWidgetCommand),className:"close-fw",onTrigger:function(){e._state.change({isRevealed:!1},!1)},onKeyDown:function(t){t.equals(i.CommonKeybindings.TAB)&&e._isReplaceVisible&&(e._replaceBtn.isEnabled()?e._replaceBtn.focus():e._codeEditor.focus(),t.preventDefault())}})),n.appendChild(this._closeBtn.domNode),n},t.prototype._buildReplacePart=function(){var e=this,n=document.createElement("div");n.className="replace-input",n.style.width=t.REPLACE_INPUT_AREA_WIDTH+"px",this._replaceInputBox=this._register(new l.InputBox(n,null,{ariaLabel:y,placeholder:_})),this._register(s.addStandardDisposableListener(this._replaceInputBox.inputElement,"keydown",function(t){return e._onReplaceInputKeyDown(t)})),this._register(s.addStandardDisposableListener(this._replaceInputBox.inputElement,"input",function(t){e._state.change({replaceString:e._replaceInputBox.value},!1)})),this._replaceBtn=this._register(new M({label:b+this._keybindingLabelFor(d.FIND_IDS.ReplaceOneAction),className:"replace",onTrigger:function(){e._controller.replace()},onKeyDown:function(t){t.equals(i.CommonKeybindings.SHIFT_TAB)&&(e._closeBtn.focus(),t.preventDefault())}})),this._replaceAllBtn=this._register(new M({label:C+this._keybindingLabelFor(d.FIND_IDS.ReplaceAllAction),className:"replace-all",onTrigger:function(){e._controller.replaceAll()},onKeyDown:function(e){}}));var o=document.createElement("div");return o.className="replace-part",o.appendChild(n),o.appendChild(this._replaceBtn.domNode),o.appendChild(this._replaceAllBtn.domNode),o},t.prototype._buildDomNode=function(){var e=this,t=this._buildFindPart(),n=this._buildReplacePart();this._toggleReplaceBtn=this._register(new M({label:w,className:"toggle left",onTrigger:function(){e._state.change({isReplaceRevealed:!e._isReplaceVisible},!0)},onKeyDown:function(e){}})),this._toggleReplaceBtn.toggleClass("expand",this._isReplaceVisible),this._toggleReplaceBtn.toggleClass("collapse",!this._isReplaceVisible),this._toggleReplaceBtn.setExpanded(this._isReplaceVisible),this._domNode=document.createElement("div"),this._domNode.className="editor-widget find-widget",this._domNode.setAttribute("aria-hidden","false"),this._domNode.appendChild(this._toggleReplaceBtn.domNode),this._domNode.appendChild(t),this._domNode.appendChild(n)},t.ID="editor.contrib.findWidget",t.PART_WIDTH=275,t.FIND_INPUT_AREA_WIDTH=t.PART_WIDTH-54,t.REPLACE_INPUT_AREA_WIDTH=t.FIND_INPUT_AREA_WIDTH,t}(u.Widget);t.FindWidget=T;var L=function(e){function t(n){var o=this;e.call(this),this._opts=n,this._domNode=document.createElement("div"),this._domNode.className="monaco-checkbox",this._domNode.title=this._opts.title,this._checkbox=document.createElement("input"),this._checkbox.type="checkbox",this._checkbox.className="checkbox",this._checkbox.id="checkbox-"+t._COUNTER++,this._label=document.createElement("label"),this._label.className="label",this._label.htmlFor=this._checkbox.id,this._domNode.appendChild(this._checkbox),this._domNode.appendChild(this._label),this._opts.parent.appendChild(this._domNode),this.onchange(this._checkbox,function(e){o._opts.onChange()})}return __extends(t,e),Object.defineProperty(t.prototype,"domNode",{get:function(){return this._domNode},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"checked",{get:function(){return this._checkbox.checked},set:function(e){this._checkbox.checked=e},enumerable:!0,configurable:!0}),t.prototype.focus=function(){this._checkbox.focus()},t.prototype.enable=function(){this._checkbox.removeAttribute("disabled")},t.prototype.disable=function(){this._checkbox.disabled=!0},t.prototype.setEnabled=function(e){e?this.enable():this.disable()},t._COUNTER=0,t}(u.Widget),M=function(e){function t(t){var n=this;e.call(this),this._opts=t,this._domNode=document.createElement("div"),this._domNode.title=this._opts.label,this._domNode.tabIndex=0,this._domNode.className="button "+this._opts.className,this._domNode.setAttribute("role","button"),this._domNode.setAttribute("aria-label",this._opts.label),this.onclick(this._domNode,function(e){n._opts.onTrigger(),e.preventDefault()}),this.onkeydown(this._domNode,function(e){return e.equals(i.CommonKeybindings.SPACE)||e.equals(i.CommonKeybindings.ENTER)?(n._opts.onTrigger(),void e.preventDefault()):void n._opts.onKeyDown(e)})}return __extends(t,e),Object.defineProperty(t.prototype,"domNode",{get:function(){return this._domNode},enumerable:!0,configurable:!0}),t.prototype.isEnabled=function(){return this._domNode.tabIndex>=0},t.prototype.focus=function(){this._domNode.focus()},t.prototype.setEnabled=function(e){s.toggleClass(this._domNode,"disabled",!e),this._domNode.setAttribute("aria-disabled",String(!e)),this._domNode.tabIndex=e?0:-1},t.prototype.setExpanded=function(e){this._domNode.setAttribute("aria-expanded",String(e))},t.prototype.toggleClass=function(e,t){s.toggleClass(this._domNode,e,t)},t}(u.Widget)}),define("vs/nls!vs/editor/contrib/find/common/findController",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/find/common/findController",t)}),define("vs/nls!vs/editor/contrib/folding/browser/folding",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/folding/browser/folding",t)}),define("vs/nls!vs/editor/contrib/format/common/formatActions",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/format/common/formatActions",t)}),define("vs/nls!vs/editor/contrib/goToDeclaration/browser/goToDeclaration",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/goToDeclaration/browser/goToDeclaration",t)}),define("vs/nls!vs/editor/contrib/gotoError/browser/gotoError",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/gotoError/browser/gotoError",t)}),define("vs/nls!vs/editor/contrib/hover/browser/hover",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/hover/browser/hover",t)}),define("vs/nls!vs/editor/contrib/hover/browser/modesContentHover",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/hover/browser/modesContentHover",t)}),define("vs/nls!vs/editor/contrib/inPlaceReplace/common/inPlaceReplace",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/inPlaceReplace/common/inPlaceReplace",t)}),define("vs/nls!vs/editor/contrib/indentation/common/indentation",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/indentation/common/indentation",t)}),define("vs/nls!vs/editor/contrib/linesOperations/common/linesOperations",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/linesOperations/common/linesOperations",t)}),define("vs/nls!vs/editor/contrib/links/browser/links",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/links/browser/links",t)}),define("vs/nls!vs/editor/contrib/multicursor/common/multicursor",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/multicursor/common/multicursor",t)}),define("vs/nls!vs/editor/contrib/parameterHints/browser/parameterHints",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/parameterHints/browser/parameterHints",t)}),define("vs/nls!vs/editor/contrib/parameterHints/browser/parameterHintsWidget",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/parameterHints/browser/parameterHintsWidget",t)}),define("vs/editor/contrib/parameterHints/browser/parameterHintsWidget",["require","exports","vs/nls!vs/editor/contrib/parameterHints/browser/parameterHintsWidget","vs/base/common/lifecycle","vs/base/common/winjs.base","vs/base/browser/builder","vs/base/browser/ui/aria/aria","vs/editor/browser/editorBrowser","vs/css!./parameterHints"],function(e,t,n,o,i,r,s,a){"use strict";var l=function(){function e(e,t,n,o){var i=this;this.allowEditorOverflow=!0,this._onShown=n,this._onHidden=o,this.editor=t,this.model=null,this.isVisible=!1,this.isDisposed=!1,this.model=e,this.toDispose=[],this.toDispose.push(this.model.onHint(function(e){i.show(),i.parameterHints=e.hints,i.render(e.hints),i.currentSignature=e.hints.activeSignature,i.select(i.currentSignature)})),this.toDispose.push(this.model.onCancel(function(){i.hide()})),this.$el=r.$(".editor-widget.parameter-hints-widget").on("click",function(){i.selectNext(),i.editor.focus()}),this.$wrapper=r.$(".wrapper.monaco-editor-background").appendTo(this.$el);var s=r.$(".buttons").appendTo(this.$wrapper);r.$(".button.previous").on("click",function(e){e.preventDefault(),e.stopPropagation(),i.selectPrevious()}).appendTo(s),r.$(".button.next").on("click",function(e){e.preventDefault(),e.stopPropagation(),i.selectNext()}).appendTo(s),this.$overloads=r.$(".overloads").appendTo(this.$wrapper),this.$signatures=r.$(".signatures").appendTo(this.$wrapper),this.signatureViews=[],this.currentSignature=0,this.editor.addContentWidget(this),this.hide(),this.toDispose.push(this.editor.onDidChangeCursorSelection(function(e){i.isVisible&&i.editor.layoutContentWidget(i)})),this.editor.applyFontInfo(this.getDomNode()),this.toDispose.push(this.editor.onDidChangeConfiguration(function(e){e.fontInfo&&i.editor.applyFontInfo(i.getDomNode())}))}return e.prototype.show=function(){var e=this;this.isDisposed||this.isVisible||(this._onShown(),this.isVisible=!0,i.TPromise.timeout(100).done(function(){e.$el.addClass("visible")}),this.editor.layoutContentWidget(this))},e.prototype.hide=function(){this.isDisposed||this.isVisible&&(this._onHidden(),this.isVisible=!1,this.parameterHints=null,this.announcedLabel=null,this.$el.removeClass("visible"),this.editor.layoutContentWidget(this))},e.prototype.getPosition=function(){return this.isVisible?{position:this.editor.getPosition(),preference:[a.ContentWidgetPositionPreference.ABOVE,a.ContentWidgetPositionPreference.BELOW]}:null},e.prototype.render=function(e){e.signatures.length>1?this.$el.addClass("multiple"):this.$el.removeClass("multiple"),this.$signatures.empty(),this.signatureViews=[];for(var t=0,n=0,o=e.signatures.length;o>n;n++){var i=e.signatures[n],r=this.renderSignature(this.$signatures,i,e.activeParameter);this.renderDocumentation(r,i,e.activeParameter);var s=r.getClientArea().height;this.signatureViews.push({top:t,height:s}),t+=s}},e.prototype.renderSignature=function(e,t,n){var o=r.$(".signature").appendTo(e),i=t.parameters.length>0;if(i){for(var s=r.$("span.parameters"),a=0,l=0,u=0,c=t.parameters.length;c>u;u++){var d=t.parameters[u];l=t.label.indexOf(d.label,l);var h=0,p=0;l>=0&&(h=l,l+=d.label.length,p=l),(0===u?o:s).append(r.$("span").text(t.label.substring(a,h))),s.append(r.$("span.parameter").addClass(u===n?"active":"").text(t.label.substring(h,p))),a=p}o.append(s),o.append(r.$("span").text(t.label.substring(a)))}else o.append(r.$("span").text(t.label));return o},e.prototype.renderDocumentation=function(e,t,n){t.documentation&&e.append(r.$(".documentation").text(t.documentation));var o=t.parameters[n];if(o&&o.documentation){var i=r.$(".documentation");i.append(r.$("span.parameter").text(o.label)),i.append(r.$("span").text(o.documentation)),e.append(i)}},e.prototype.select=function(e){var t=this.signatureViews[e];if(t){this.$signatures.style({height:t.height+"px"}),this.$signatures.getHTMLElement().scrollTop=t.top;var o=""+(e+1);if(this.signatureViews.length<10&&(o+="/"+this.signatureViews.length),this.$overloads.text(o),this.parameterHints&&this.parameterHints.signatures[e].parameters[this.parameterHints.activeParameter]){var i=this.parameterHints.signatures[e].parameters[this.parameterHints.activeParameter].label;this.announcedLabel!==i&&(s.alert(n.localize(0,null,i)),this.announcedLabel=i)}this.editor.layoutContentWidget(this)}},e.prototype.selectNext=function(){return this.signatureViews.length<2?(this.cancel(),!1):(this.currentSignature=(this.currentSignature+1)%this.signatureViews.length,this.select(this.currentSignature),!0)},e.prototype.selectPrevious=function(){return this.signatureViews.length<2?(this.cancel(),!1):(this.currentSignature--,this.currentSignature<0&&(this.currentSignature=this.signatureViews.length-1),this.select(this.currentSignature),!0)},e.prototype.cancel=function(){this.model.cancel()},e.prototype.getDomNode=function(){return this.$el.getHTMLElement()},e.prototype.getId=function(){return e.ID},e.prototype.destroy=function(){this.toDispose=o.dispose(this.toDispose),this.model=null,this.$overloads&&(this.$overloads.destroy(),delete this.$overloads),this.$signatures&&(this.$signatures.destroy(),delete this.$signatures),this.$wrapper&&(this.$wrapper.destroy(),delete this.$wrapper),this.$el&&(this.$el.destroy(),delete this.$el),this.isDisposed=!0},e.ID="editor.widget.parameterHintsWidget",e}();t.ParameterHintsWidget=l}),define("vs/nls!vs/editor/contrib/quickFix/browser/quickFix",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/quickFix/browser/quickFix",t)}),define("vs/nls!vs/editor/contrib/quickFix/browser/quickFixSelectionWidget",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/quickFix/browser/quickFixSelectionWidget",t)});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/contrib/quickFix/browser/quickFixSelectionWidget",["require","exports","vs/nls!vs/editor/contrib/quickFix/browser/quickFixSelectionWidget","vs/base/common/errors","vs/base/common/winjs.base","vs/base/browser/dom","vs/base/parts/tree/browser/treeDefaults","vs/base/parts/tree/browser/treeImpl","vs/editor/browser/editorBrowser","vs/base/browser/ui/aria/aria","vs/base/browser/ui/scrollbar/scrollableElementOptions","vs/base/common/lifecycle","vs/css!./quickFix"],function(e,t,n,o,i,r,s,a,l,u,c,d){"use strict";function h(e){return e&&"object"==typeof e.command&&"string"==typeof e.command.title}function p(e){return n.localize(0,null,e.command.title)}function m(e,t){return 19}var f=r.emmet,g=function(){function e(e,t){this.parent=e,this.message=t}return e}();t.Message=g;var v=function(){function e(e){this.child=new g(this,e)}return e}();t.MessageRoot=v;var y=function(){function e(){this.root=null}return e.prototype.isRoot=function(e){return e instanceof v?!0:e instanceof g?!1:Array.isArray(e)?(this.root=e,!0):!1},e.prototype.getId=function(e,t){if(t instanceof v)return"messageroot";if(t instanceof g)return"message"+t.message;if(Array.isArray(t))return"root";if(h(t))return t.id;throw o.illegalArgument("element")},e.prototype.getParent=function(e,t){return t instanceof v?i.TPromise.as(null):t instanceof g?i.TPromise.as(t.parent):i.TPromise.as(this.isRoot(t)?null:this.root)},e.prototype.getChildren=function(e,t){return t instanceof v?i.TPromise.as([t.child]):t instanceof g?i.TPromise.as([]):i.TPromise.as(this.isRoot(t)?t:[])},e.prototype.hasChildren=function(e,t){return this.isRoot(t)},e}(),_=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),t.prototype.onLeftClick=function(e,t,n){return n.preventDefault(),n.stopPropagation(),t instanceof g||e.setSelection([t],{origin:"mouse"}),!0},t}(s.DefaultController),b=function(){function e(){}return e.prototype.getAriaLabel=function(e,t){return h(t)?p(t):void 0},e}();t.AccessibilityProvider=b;var C=function(){function e(){}return e.prototype.getHeight=function(e,t){return m(e,t)},e.prototype.getTemplateId=function(e,t){return t instanceof g?"message":"default"},e.prototype.renderTemplate=function(e,t,n){if("message"===t){var o=r.append(n,f("span"));return o.style.opacity="0.7",o.style.paddingLeft="12px",{element:o}}var i={},s=r.append(n,f(".text"));i.main=r.append(s,f(".main"));var a=r.append(s,f(".docs"));return i.documentationLabel=r.append(a,f("span.docs-label")),i},e.prototype.renderElement=function(e,t,n,o){if("message"===n)return void(o.element.textContent=t.message);var i=t;o.main.textContent=i.command.title,o.documentationLabel.textContent=""},e.prototype.disposeTemplate=function(e,t,n){},e}(),w=function(){function e(t,i,r,s){var l=this;this.allowEditorOverflow=!0,this.editor=t,this._onShown=r,this._onHidden=s,this.shouldShowEmptyList=!0,this.isActive=!1,this.isLoading=!1,this.isAuto=!1,this.modelListenersToRemove=[],this.model=null,this.telemetryData=Object.create(null),this.telemetryService=i,this.listenersToRemove=[],this.domnode=f(".editor-widget.quickfix-widget.monaco-editor-background.no-icons"),this.domnode.style.width=e.WIDTH+"px",this.tree=new a.Tree(this.domnode,{dataSource:new y,renderer:new C,controller:new _,accessibilityProvider:new b},{twistiePixels:0,alwaysFocused:!0,verticalScrollMode:c.ScrollbarVisibility.Visible,useShadows:!1,ariaLabel:n.localize(3,null)}),this.listenersToRemove.push(this.tree.addListener2("selection",function(e){if(e.selection&&e.selection.length>0){var t=e.selection[0];!h(t)||t instanceof v||t instanceof g||(l.telemetryData.selectedIndex=l.tree.getInput().indexOf(t),l.telemetryData.wasCancelled=!1,l.submitTelemetryData(),u.alert(n.localize(4,null,t.command.title)),l.model.accept(t,l.range),l.editor.focus())}}));var d=null;this.listenersToRemove.push(this.tree.addListener2("focus",function(e){var t=e.focus,n=e.payload;if(t!==d){var i=[];d&&i.push(d),t&&(i.push(t),h(t)&&l._ariaAlert(p(t))),d=t,l.tree.refreshAll(i).done(function(){return l.updateWidgetHeight(),t?l.tree.reveal(t,n&&n.firstSuggestion?0:null):void 0},o.onUnexpectedError)}})),this.editor.addContentWidget(this),this.listenersToRemove.push(this.editor.onDidChangeCursorSelection(function(e){l.isActive&&l.editor.layoutContentWidget(l)})),this.hide()}return e.prototype._ariaAlert=function(e){this._lastAriaAlertLabel!==e&&(this._lastAriaAlertLabel=e,this._lastAriaAlertLabel&&u.alert(this._lastAriaAlertLabel))},e.prototype.setModel=function(t){var n=this;this.releaseModel(),this.model=t;var i,s=null;this.modelListenersToRemove.push(this.model.addListener2("loading",function(t){n.isActive||(s=n.telemetryService.timedPublicLog("QuickFixSelectionWidgetLoadingTime"),n.isLoading=!0,n.isAuto=!!t.auto,n.isAuto||(i=setTimeout(function(){r.removeClass(n.domnode,"empty"),n.tree.setInput(e.LOADING_MESSAGE).done(null,o.onUnexpectedError),n.updateWidgetHeight(),n.show()},50)),t.retrigger||(n.telemetryData={wasAutomaticallyTriggered:t.characterTriggered}))})),this.modelListenersToRemove.push(this.model.addListener2("suggest",function(e){n.isLoading=!1,"undefined"!=typeof i&&(clearTimeout(i),i=void 0);for(var t=e.fixes,a=-1,l=t[0],u=-1,c=0,d=t.length;d>c;c++){var h=t[c],p=h.score;p>u&&(u=p,l=h,a=c)}r.removeClass(n.domnode,"empty"),n.tree.setInput(t).done(null,o.onUnexpectedError),
n.tree.setFocus(l,{firstSuggestion:!0}),n.updateWidgetHeight(),n.range=e.range,n.show(),n.telemetryData=n.telemetryData||{},n.telemetryData.suggestionCount=t.length,n.telemetryData.suggestedIndex=a,s&&(s.data={reason:"results"},s.stop(),s=null)})),this.modelListenersToRemove.push(this.model.addListener2("empty",function(t){var a=n.isLoading;n.isLoading=!1,"undefined"!=typeof i&&(clearTimeout(i),i=void 0),t.auto?n.hide():a?n.shouldShowEmptyList?(r.removeClass(n.domnode,"empty"),n.tree.setInput(e.NO_SUGGESTIONS_MESSAGE).done(null,o.onUnexpectedError),n.updateWidgetHeight(),n.show()):n.hide():r.addClass(n.domnode,"empty"),s&&(s.data={reason:"empty"},s.stop(),s=null)})),this.modelListenersToRemove.push(this.model.addListener2("cancel",function(e){n.isLoading=!1,"undefined"!=typeof i&&(clearTimeout(i),i=void 0),e.retrigger||(n.hide(),n.telemetryData&&(n.telemetryData.selectedIndex=-1,n.telemetryData.wasCancelled=!0,n.submitTelemetryData())),s&&(s.data={reason:"cancel"},s.stop(),s=null)}))},e.prototype.selectNextPage=function(){return this.isLoading?!this.isAuto:this.isActive?(this.tree.focusNextPage(),!0):!1},e.prototype.selectNext=function(){if(this.isLoading)return!this.isAuto;if(this.isActive){var e=this.tree.getFocus();return this.tree.focusNext(1),e===this.tree.getFocus()&&this.tree.focusFirst(),!0}return!1},e.prototype.selectPreviousPage=function(){return this.isLoading?!this.isAuto:this.isActive?(this.tree.focusPreviousPage(),!0):!1},e.prototype.selectPrevious=function(){if(this.isLoading)return!this.isAuto;if(this.isActive){var e=this.tree.getFocus();return this.tree.focusPrevious(1),e===this.tree.getFocus()&&this.tree.focusLast(),!0}return!1},e.prototype.acceptSelectedSuggestion=function(){if(this.isLoading)return!this.isAuto;if(this.isActive){var e=this.tree.getFocus();return e?this.tree.setSelection([e]):this.model.cancelDialog(),!0}return!1},e.prototype.releaseModel=function(){this.modelListenersToRemove=d.dispose(this.modelListenersToRemove),this.model=null},e.prototype.show=function(){this.isActive=!0,this.tree.layout(),this.editor.layoutContentWidget(this),this._onShown()},e.prototype.hide=function(){this._onHidden(),this.isActive=!1,this.editor.layoutContentWidget(this)},e.prototype.getPosition=function(){return this.isActive?{position:this.editor.getPosition(),preference:[l.ContentWidgetPositionPreference.BELOW,l.ContentWidgetPositionPreference.ABOVE]}:null},e.prototype.getDomNode=function(){return this.domnode},e.prototype.getId=function(){return e.ID},e.prototype.submitTelemetryData=function(){this.telemetryService.publicLog("QuickFixSelectionWidget",this.telemetryData),this.telemetryData=Object.create(null)},e.prototype.updateWidgetHeight=function(){var t,n=this.tree.getInput();if(n===e.LOADING_MESSAGE||n===e.NO_SUGGESTIONS_MESSAGE)t=19;else{var o=n;t=19*Math.min(o.length-1,11);var i=this.tree.getFocus();t+=i?m(this.tree,i):19}this.domnode.style.height=t+"px",this.tree.layout(t),this.editor.layoutContentWidget(this)},e.prototype.destroy=function(){this.releaseModel(),this.domnode=null,this.tree.dispose(),this.tree=null,this.listenersToRemove=d.dispose(this.listenersToRemove)},e.ID="editor.widget.QuickFixSelectionWidget",e.WIDTH=360,e.LOADING_MESSAGE=new v(n.localize(1,null)),e.NO_SUGGESTIONS_MESSAGE=new v(n.localize(2,null)),e}();t.QuickFixSelectionWidget=w}),define("vs/nls!vs/editor/contrib/quickOpen/browser/gotoLine",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/quickOpen/browser/gotoLine",t)}),define("vs/nls!vs/editor/contrib/quickOpen/browser/gotoLine.contribution",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/quickOpen/browser/gotoLine.contribution",t)}),define("vs/nls!vs/editor/contrib/quickOpen/browser/quickCommand",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/quickOpen/browser/quickCommand",t)}),define("vs/nls!vs/editor/contrib/quickOpen/browser/quickCommand.contribution",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/quickOpen/browser/quickCommand.contribution",t)}),define("vs/nls!vs/editor/contrib/quickOpen/browser/quickOutline",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/quickOpen/browser/quickOutline",t)}),define("vs/nls!vs/editor/contrib/quickOpen/browser/quickOutline.contribution",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/quickOpen/browser/quickOutline.contribution",t)}),define("vs/nls!vs/editor/contrib/referenceSearch/browser/referenceSearch",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/referenceSearch/browser/referenceSearch",t)}),define("vs/nls!vs/editor/contrib/referenceSearch/browser/referencesController",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/referenceSearch/browser/referencesController",t)}),define("vs/nls!vs/editor/contrib/referenceSearch/browser/referencesWidget",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/referenceSearch/browser/referencesWidget",t)}),define("vs/nls!vs/editor/contrib/rename/browser/rename",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/rename/browser/rename",t)}),define("vs/nls!vs/editor/contrib/rename/browser/renameInputField",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/rename/browser/renameInputField",t)}),define("vs/editor/contrib/rename/browser/renameInputField",["require","exports","vs/nls!vs/editor/contrib/rename/browser/renameInputField","vs/base/common/errors","vs/base/common/lifecycle","vs/base/common/winjs.base","vs/editor/common/core/range","vs/editor/browser/editorBrowser","vs/css!./renameInputField"],function(e,t,n,o,i,r,s,a){"use strict";var l=function(){function e(e){this.allowEditorOverflow=!0,this._currentAcceptInput=null,this._currentCancelInput=null,this._editor=e,this._editor.addContentWidget(this)}return e.prototype.dispose=function(){this._editor.removeContentWidget(this)},e.prototype.getId=function(){return"__renameInputWidget"},e.prototype.getDomNode=function(){return this._domNode||(this._inputField=document.createElement("input"),this._inputField.className="rename-input",this._inputField.type="text",this._inputField.setAttribute("aria-label",n.localize(0,null)),this._domNode=document.createElement("div"),this._domNode.style.height=this._editor.getConfiguration().lineHeight+"px",this._domNode.className="monaco-editor rename-box",this._domNode.appendChild(this._inputField)),this._domNode},e.prototype.getPosition=function(){return this._visible?{position:this._position,preference:[a.ContentWidgetPositionPreference.BELOW,a.ContentWidgetPositionPreference.ABOVE]}:null},e.prototype.acceptInput=function(){this._currentAcceptInput&&this._currentAcceptInput()},e.prototype.cancelInput=function(){this._currentCancelInput&&this._currentCancelInput()},e.prototype.getInput=function(e,t,n,a){var l=this;this._position={lineNumber:e.startLineNumber,column:e.startColumn},this._inputField.value=t,this._inputField.setAttribute("selectionStart",n.toString()),this._inputField.setAttribute("selectionEnd",a.toString()),this._inputField.size=Math.max(1.1*(e.endColumn-e.startColumn),20);var u,c=[];return u=function(){i.dispose(c),l._hide()},new r.TPromise(function(n,i){l._currentCancelInput=function(){return l._currentAcceptInput=null,l._currentCancelInput=null,i(o.canceled()),!0},l._currentAcceptInput=function(){return 0===l._inputField.value.trim().length||l._inputField.value===t?void l._currentCancelInput():(l._currentAcceptInput=null,l._currentCancelInput=null,void n(l._inputField.value))};var r=function(){s.Range.containsPosition(e,l._editor.getPosition())||l._currentCancelInput()};c.push(l._editor.onDidChangeCursorSelection(r)),c.push(l._editor.onDidBlurEditor(l._currentCancelInput)),l._show()},this._currentCancelInput).then(function(e){return u(),e},function(e){return u(),r.TPromise.wrapError(e)})},e.prototype._show=function(){var e=this;this._editor.revealLineInCenterIfOutsideViewport(this._position.lineNumber),this._visible=!0,this._editor.layoutContentWidget(this),setTimeout(function(){e._inputField.focus(),e._inputField.setSelectionRange(parseInt(e._inputField.getAttribute("selectionStart")),parseInt(e._inputField.getAttribute("selectionEnd")))},25)},e.prototype._hide=function(){this._visible=!1,this._editor.layoutContentWidget(this)},e}();Object.defineProperty(t,"__esModule",{value:!0}),t["default"]=l}),define("vs/nls!vs/editor/contrib/rename/common/rename",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/rename/common/rename",t)}),define("vs/nls!vs/editor/contrib/smartSelect/common/jumpToBracket",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/smartSelect/common/jumpToBracket",t)}),define("vs/nls!vs/editor/contrib/smartSelect/common/smartSelect",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/smartSelect/common/smartSelect",t)}),define("vs/nls!vs/editor/contrib/suggest/browser/suggest",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/suggest/browser/suggest",t)}),define("vs/nls!vs/editor/contrib/suggest/browser/suggestWidget",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/suggest/browser/suggestWidget",t)}),define("vs/nls!vs/editor/contrib/toggleTabFocusMode/common/toggleTabFocusMode",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/toggleTabFocusMode/common/toggleTabFocusMode",t)}),define("vs/nls!vs/editor/contrib/toggleWordWrap/common/toggleWordWrap",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/toggleWordWrap/common/toggleWordWrap",t)}),define("vs/nls!vs/editor/contrib/zoneWidget/browser/peekViewWidget",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/editor/contrib/zoneWidget/browser/peekViewWidget",t)}),define("vs/nls!vs/languages/css/common/css.contribution",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/languages/css/common/css.contribution",t)}),define("vs/nls!vs/languages/css/common/services/lintRules",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/languages/css/common/services/lintRules",t)}),define("vs/languages/css/common/services/lintRules",["require","exports","vs/nls!vs/languages/css/common/services/lintRules","vs/languages/css/common/level"],function(e,t,n,o){"use strict";function i(e){var o={};o[e+".validate"]={type:"boolean","default":!0,description:n.localize(18,null)};for(var i in t.Rules){var r=t.Rules[i];o[e+".lint."+r.id]=r.getConfiguration()}return o}function r(e){var n={};for(var i in t.Rules){var r=t.Rules[i],s=o.toLevel(e[r.id]);s&&(n[r.id]=s)}return n}var s="warning",a="error",l="ignore",u=function(){function e(e,t,n){this.id=e,this.message=t,this.defaultValue=n}return e.prototype.getConfiguration=function(){return{type:"string","enum":[l,s,a],"default":this.defaultValue,description:this.message}},e}();t.Rule=u,t.Rules={AllVendorPrefixes:new u("compatibleVendorPrefixes",n.localize(0,null),l),IncludeStandardPropertyWhenUsingVendorPrefix:new u("vendorPrefix",n.localize(1,null),s),DuplicateDeclarations:new u("duplicateProperties",n.localize(2,null),l),EmptyRuleSet:new u("emptyRules",n.localize(3,null),s),ImportStatemement:new u("importStatement",n.localize(4,null),l),NoWidthOrHeightWhenPaddingOrBorder:new u("boxModel",n.localize(5,null),l),UniversalSelector:new u("universalSelector",n.localize(6,null),l),ZeroWithUnit:new u("zeroUnits",n.localize(7,null),l),RequiredPropertiesForFontFace:new u("fontFaceProperties",n.localize(8,null),s),HexColorLength:new u("hexColorLength",n.localize(9,null),a),ArgsInColorFunction:new u("argumentsInColorFunction",n.localize(10,null),a),UnknownProperty:new u("unknownProperties",n.localize(11,null),s),IEStarHack:new u("ieHack",n.localize(12,null),l),UnknownVendorSpecificProperty:new u("unknownVendorSpecificProperties",n.localize(13,null),l),PropertyIgnoredDueToDisplay:new u("propertyIgnoredDueToDisplay",n.localize(14,null),s),AvoidImportant:new u("important",n.localize(15,null),l),AvoidFloat:new u("float",n.localize(16,null),l),AvoidIdSelector:new u("idSelector",n.localize(17,null),l)},t.getConfigurationProperties=i,t.sanitize=r}),define("vs/nls!vs/languages/html/common/html.contribution",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/languages/html/common/html.contribution",t)}),define("vs/nls!vs/languages/json/common/json.contribution",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/languages/json/common/json.contribution",t)}),define("vs/nls!vs/languages/less/common/less.contribution",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/languages/less/common/less.contribution",t)}),define("vs/nls!vs/languages/markdown/common/markdown.contribution",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/languages/markdown/common/markdown.contribution",t)}),define("vs/nls!vs/languages/sass/common/sass.contribution",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/languages/sass/common/sass.contribution",t)}),define("vs/nls!vs/platform/configuration/common/configurationRegistry",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/platform/configuration/common/configurationRegistry",t)}),define("vs/nls!vs/platform/extensions/common/abstractExtensionService",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/platform/extensions/common/abstractExtensionService",t)}),define("vs/nls!vs/platform/extensions/common/extensionsRegistry",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/platform/extensions/common/extensionsRegistry",t)}),define("vs/nls!vs/platform/jsonschemas/common/jsonContributionRegistry",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/platform/jsonschemas/common/jsonContributionRegistry",t)}),define("vs/nls!vs/platform/keybinding/browser/keybindingServiceImpl",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/platform/keybinding/browser/keybindingServiceImpl",t)}),define("vs/nls!vs/platform/message/common/message",["vs/nls","vs/nls!vs/editor/editor.main"],function(e,t){return e.create("vs/platform/message/common/message",t)}),define("vs/platform/contextview/browser/contextMenuHandler",["require","exports","vs/base/browser/builder","vs/base/common/lifecycle","vs/base/browser/mouseEvent","vs/base/common/actions","vs/base/browser/ui/menu/menu","vs/base/common/events","vs/base/common/severity","vs/css!./contextMenuHandler"],function(e,t,n,o,i,r,s,a,l){"use strict";var u=function(){function e(e,t,n,o){var i=this;this.setContainer(e),this.contextViewService=t,this.telemetryService=n,this.messageService=o,this.actionRunner=new r.ActionRunner,this.menuContainerElement=null,this.toDispose=[];var s=!1;this.toDispose.push(this.actionRunner.addListener2(a.EventType.BEFORE_RUN,function(e){i.telemetryService&&i.telemetryService.publicLog("workbenchActionExecuted",{id:e.action.id,From:"contextMenu"}),s=!!e.retainActionItem,s||i.contextViewService.hideContextView(!1)})),this.toDispose.push(this.actionRunner.addListener2(a.EventType.RUN,function(e){s&&i.contextViewService.hideContextView(!1),s=!1,e.error&&i.messageService&&i.messageService.show(l["default"].Error,e.error)}))}return e.prototype.setContainer=function(e){var t=this;this.$el&&(this.$el.off(["click","mousedown"]),this.$el=null),e&&(this.$el=n.$(e),this.$el.on("mousedown",function(e){return t.onMouseDown(e)}))},e.prototype.showContextMenu=function(e){var t=this;e.getActions().done(function(n){t.contextViewService.showContextView({getAnchor:function(){return e.getAnchor()},canRelayout:!1,render:function(i){t.menuContainerElement=i;var r=e.getMenuClassName?e.getMenuClassName():"";r&&(i.className+=" "+r);var l=new s.Menu(i,n,{actionItemProvider:e.getActionItem,context:e.getActionsContext?e.getActionsContext():null,actionRunner:t.actionRunner}),u=l.addListener2(a.EventType.CANCEL,function(e){t.contextViewService.hideContextView(!0)}),c=l.addListener2(a.EventType.BLUR,function(e){t.contextViewService.hideContextView(!0)});return l.focus(),o.combinedDisposable(u,c,l)},onHide:function(n){e.onHide&&e.onHide(n),t.menuContainerElement=null}})})},e.prototype.onMouseDown=function(e){if(this.menuContainerElement){for(var t=new i.StandardMouseEvent(e),n=t.target;n;){if(n===this.menuContainerElement)return;n=n.parentElement}this.contextViewService.hideContextView()}},e.prototype.dispose=function(){this.setContainer(null)},e}();t.ContextMenuHandler=u});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/platform/instantiation/common/descriptors",["require","exports","vs/base/common/errors"],function(e,t,n){"use strict";var o=function(){function e(e){this._staticArguments=e}return e.prototype.appendStaticArguments=function(e){this._staticArguments.push.apply(this._staticArguments,e)},e.prototype.staticArguments=function(e){return isNaN(e)?this._staticArguments.slice(0):this._staticArguments[e]},e.prototype._validate=function(e){if(!e)throw n.illegalArgument("can not be falsy")},e}();t.AbstractDescriptor=o;var i=function(e){function t(t){for(var n=[],o=1;o<arguments.length;o++)n[o-1]=arguments[o];e.call(this,n),this._ctor=t}return __extends(t,e),Object.defineProperty(t.prototype,"ctor",{get:function(){return this._ctor},enumerable:!0,configurable:!0}),t.prototype.bind=function(){for(var e=[],n=0;n<arguments.length;n++)e[n-0]=arguments[n];var o=[];return o=o.concat(this.staticArguments()),o=o.concat(e),new(t.bind.apply(t,[void 0].concat([this._ctor],o)))},t}(o);t.SyncDescriptor=i,t.createSyncDescriptor=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return new(i.bind.apply(i,[void 0].concat([e],t)))};var r=function(e){function t(t,n){for(var o=[],i=2;i<arguments.length;i++)o[i-2]=arguments[i];if(e.call(this,o),this._moduleName=t,this._ctorName=n,"string"!=typeof t)throw new Error("Invalid AsyncDescriptor arguments, expected `moduleName` to be a string!")}return __extends(t,e),t.create=function(e,n){return new t(e,n)},Object.defineProperty(t.prototype,"moduleName",{get:function(){return this._moduleName},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"ctorName",{get:function(){return this._ctorName},enumerable:!0,configurable:!0}),t.prototype.bind=function(){for(var e=[],n=0;n<arguments.length;n++)e[n-0]=arguments[n];var o=[];return o=o.concat(this.staticArguments()),o=o.concat(e),new(t.bind.apply(t,[void 0].concat([this.moduleName,this.ctorName],o)))},t}(o);t.AsyncDescriptor=r;var s=function(e,t){for(var n=[],o=2;o<arguments.length;o++)n[o-2]=arguments[o];return new(r.bind.apply(r,[void 0].concat([e,t],n)))};t.createAsyncDescriptor0=s,t.createAsyncDescriptor1=s,t.createAsyncDescriptor2=s,t.createAsyncDescriptor3=s,t.createAsyncDescriptor4=s,t.createAsyncDescriptor5=s,t.createAsyncDescriptor6=s,t.createAsyncDescriptor7=s}),define("vs/platform/instantiation/common/instantiation",["require","exports"],function(e,t){"use strict";function n(e,t,n,o){t[r.DI_TARGET]===t?t[r.DI_DEPENDENCIES].push({id:e,index:n,optional:o}):(t[r.DI_DEPENDENCIES]=[{id:e,index:n,optional:o}],t[r.DI_TARGET]=t)}function o(e){var t=function(e,o,i){if(3!==arguments.length)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");n(t,e,i,!1)};return t.toString=function(){return e},t}function i(e){return function(t,o,i){if(3!==arguments.length)throw new Error("@optional-decorator can only be used to decorate a parameter");n(e,t,i,!0)}}var r;!function(e){function t(t){return t[e.DI_DEPENDENCIES]||[]}e.DI_TARGET="$di$target",e.DI_DEPENDENCIES="$di$dependencies",e.getServiceDependencies=t}(r=t._util||(t._util={})),t.IInstantiationService=o("instantiationService"),t.createDecorator=o,t.optional=i}),define("vs/editor/common/services/codeEditorService",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";t.ID_CODE_EDITOR_SERVICE="codeEditorService",t.ICodeEditorService=n.createDecorator(t.ID_CODE_EDITOR_SERVICE)}),define("vs/editor/common/services/abstractCodeEditorService",["require","exports","vs/base/common/event","vs/editor/common/services/codeEditorService"],function(e,t,n,o){"use strict";var i=function(){function e(){this.serviceId=o.ICodeEditorService,this._codeEditors=Object.create(null),this._onCodeEditorAdd=new n.Emitter,this._onCodeEditorRemove=new n.Emitter}return e.prototype.addCodeEditor=function(e){this._codeEditors[e.getId()]=e,this._onCodeEditorAdd.fire(e)},Object.defineProperty(e.prototype,"onCodeEditorAdd",{get:function(){return this._onCodeEditorAdd.event},enumerable:!0,configurable:!0}),e.prototype.removeCodeEditor=function(e){delete this._codeEditors[e.getId()]&&this._onCodeEditorRemove.fire(e)},Object.defineProperty(e.prototype,"onCodeEditorRemove",{get:function(){return this._onCodeEditorRemove.event},enumerable:!0,configurable:!0}),e.prototype.getCodeEditor=function(e){return this._codeEditors[e]||null},e.prototype.listCodeEditors=function(){var e=this;return Object.keys(this._codeEditors).map(function(t){return e._codeEditors[t]})},e.prototype.getFocusedCodeEditor=function(){for(var e=null,t=this.listCodeEditors(),n=0;n<t.length;n++){var o=t[n];if(o.isFocused())return o;o.hasWidgetFocus()&&(e=o)}return e},e}();t.AbstractCodeEditorService=i});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/services/codeEditorServiceImpl",["require","exports","vs/base/common/objects","vs/base/common/strings","vs/base/common/uri","vs/base/browser/dom","vs/editor/common/editorCommon","vs/editor/common/services/abstractCodeEditorService"],function(e,t,n,o,i,r,s,a){"use strict";function l(e){var t=n.deepClone(e);n.mixin(t,e.light);var o=n.deepClone(e);return n.mixin(o,e.dark),{light:t,dark:o}}var u=function(e){function t(){e.call(this),this._styleSheet=r.createStyleSheet(),this._decorationRenderOptions=Object.create(null)}return __extends(t,e),t.prototype.registerDecorationType=function(e,t){this._decorationRenderOptions[e]&&(this._decorationRenderOptions[e].dispose(),delete this._decorationRenderOptions[e]);var n=new d(this._styleSheet,e,t);this._decorationRenderOptions[e]=n},t.prototype.removeDecorationType=function(e){this._decorationRenderOptions[e]&&(this._decorationRenderOptions[e].dispose(),delete this._decorationRenderOptions[e],this.listCodeEditors().forEach(function(t){return t.removeDecorations(e)}))},t.prototype.resolveDecorationType=function(e){if(this._decorationRenderOptions[e])return this._decorationRenderOptions[e];throw new Error("Unknown decoration type key: "+e)},t}(a.AbstractCodeEditorService);t.CodeEditorServiceImpl=u;var c,d=function(){function e(t,n,o){var i=l(o);this._styleSheet=t,this._key=n,this.className=e._handle(this._styleSheet,this._key,h.ClassName,e._getCSSTextForModelDecorationClassName(i.light),e._getCSSTextForModelDecorationClassName(i.dark)),this.inlineClassName=e._handle(this._styleSheet,this._key,h.InlineClassName,e._getCSSTextForModelDecorationInlineClassName(i.light),e._getCSSTextForModelDecorationInlineClassName(i.dark)),this.glyphMarginClassName=e._handle(this._styleSheet,this._key,h.GlyphMarginClassName,e._getCSSTextForModelDecorationGlyphMarginClassName(i.light),e._getCSSTextForModelDecorationGlyphMarginClassName(i.dark)),this.isWholeLine=Boolean(o.isWholeLine),"undefined"==typeof i.light.overviewRulerColor&&"undefined"==typeof i.dark.overviewRulerColor||(this.overviewRuler={color:i.light.overviewRulerColor||i.dark.overviewRulerColor,darkColor:i.dark.overviewRulerColor||i.light.overviewRulerColor,position:o.overviewRulerLane||s.OverviewRulerLane.Center})}return e.prototype.dispose=function(){r.removeCSSRulesWithPrefix(p.getDeletionPrefixFor(c.Light,this._key),this._styleSheet),r.removeCSSRulesWithPrefix(p.getDeletionPrefixFor(c.Dark,this._key),this._styleSheet),r.removeCSSRulesWithPrefix(p.getDeletionPrefixFor(c.HighContrastBlack,this._key),this._styleSheet)},e._getCSSTextForModelDecorationClassName=function(e){var t=[];return"undefined"!=typeof e.backgroundColor&&t.push(o.format(this._CSS_MAP.backgroundColor,e.backgroundColor)),"undefined"!=typeof e.outlineColor&&t.push(o.format(this._CSS_MAP.outlineColor,e.outlineColor)),"undefined"!=typeof e.outlineStyle&&t.push(o.format(this._CSS_MAP.outlineStyle,e.outlineStyle)),"undefined"!=typeof e.outlineWidth&&t.push(o.format(this._CSS_MAP.outlineWidth,e.outlineWidth)),"undefined"==typeof e.borderColor&&"undefined"==typeof e.borderRadius&&"undefined"==typeof e.borderSpacing&&"undefined"==typeof e.borderStyle&&"undefined"==typeof e.borderWidth||t.push(o.format("box-sizing: border-box;")),"undefined"!=typeof e.borderColor&&t.push(o.format(this._CSS_MAP.borderColor,e.borderColor)),"undefined"!=typeof e.borderRadius&&t.push(o.format(this._CSS_MAP.borderRadius,e.borderRadius)),"undefined"!=typeof e.borderSpacing&&t.push(o.format(this._CSS_MAP.borderSpacing,e.borderSpacing)),"undefined"!=typeof e.borderStyle&&t.push(o.format(this._CSS_MAP.borderStyle,e.borderStyle)),"undefined"!=typeof e.borderWidth&&t.push(o.format(this._CSS_MAP.borderWidth,e.borderWidth)),t.join("")},e._getCSSTextForModelDecorationInlineClassName=function(e){var t=[];return"undefined"!=typeof e.textDecoration&&t.push(o.format(this._CSS_MAP.textDecoration,e.textDecoration)),"undefined"!=typeof e.cursor&&t.push(o.format(this._CSS_MAP.cursor,e.cursor)),"undefined"!=typeof e.color&&t.push(o.format(this._CSS_MAP.color,e.color)),"undefined"!=typeof e.letterSpacing&&t.push(o.format(this._CSS_MAP.letterSpacing,e.letterSpacing)),t.join("")},e._getCSSTextForModelDecorationGlyphMarginClassName=function(e){var t=[];return"undefined"!=typeof e.gutterIconPath&&t.push(o.format(this._CSS_MAP.gutterIconPath,i["default"].file(e.gutterIconPath).toString())),t.join("")},e._handle=function(e,t,n,o,i){return o.length>0||i.length>0?(o.length>0&&this._createCSSSelector(e,c.Light,t,n,o),i.length>0&&(this._createCSSSelector(e,c.Dark,t,n,i),this._createCSSSelector(e,c.HighContrastBlack,t,n,i)),p.getClassName(t,n)):void 0},e._createCSSSelector=function(e,t,n,o,i){r.createCSSRule(p.getSelector(t,n,o),i,e)},e._CSS_MAP={color:"color:{0} !important;",backgroundColor:"background-color:{0};",outlineColor:"outline-color:{0};",outlineStyle:"outline-style:{0};",outlineWidth:"outline-width:{0};",borderColor:"border-color:{0};",borderRadius:"border-radius:{0};",borderSpacing:"border-spacing:{0};",borderStyle:"border-style:{0};",borderWidth:"border-width:{0};",textDecoration:"text-decoration:{0};",cursor:"cursor:{0};",letterSpacing:"letter-spacing:{0};",gutterIconPath:"background:url('{0}') center center no-repeat;"},e}();!function(e){e[e.Light=0]="Light",e[e.Dark=1]="Dark",e[e.HighContrastBlack=2]="HighContrastBlack"}(c||(c={}));var h;!function(e){e[e.ClassName=0]="ClassName",e[e.InlineClassName=1]="InlineClassName",e[e.GlyphMarginClassName=2]="GlyphMarginClassName"}(h||(h={}));var p=function(){function e(){}return e._getSelectorPrefixOf=function(e){return e===c.Light?".monaco-editor.vs":e===c.Dark?".monaco-editor.vs-dark":".monaco-editor.hc-black"},e.getClassName=function(e,t){return"ced-"+e+"-"+t},e.getSelector=function(e,t,n){return this._getSelectorPrefixOf(e)+" ."+this.getClassName(t,n)},e.getDeletionPrefixFor=function(e,t){return this._getSelectorPrefixOf(e)+" .ced-"+t},e}()}),define("vs/editor/common/services/editorWorkerService",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";t.ID_EDITOR_WORKER_SERVICE="editorWorkerService",t.IEditorWorkerService=n.createDecorator(t.ID_EDITOR_WORKER_SERVICE)});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/services/editorWorkerServiceImpl",["require","exports","vs/base/common/async","vs/base/common/lifecycle","vs/base/common/winjs.base","vs/base/common/worker/simpleWorker","vs/base/worker/defaultWorkerFactory","vs/editor/common/editorCommon","vs/editor/common/model/textModelWithTokensHelpers","vs/editor/common/services/editorSimpleWorkerCommon","vs/editor/common/services/editorWorkerService"],function(e,t,n,o,i,r,s,a,l,u,c){"use strict";var d=6e4,h=3e5,p=function(){function e(e){this.serviceId=c.IEditorWorkerService,this._workerManager=new m(e)}return e.prototype.computeDiff=function(e,t,n){return this._workerManager.withWorker().then(function(o){return o.computeDiff(e,t,n)})},e.prototype.computeDirtyDiff=function(e,t,n){return this._workerManager.withWorker().then(function(o){return o.computeDirtyDiff(e,t,n)})},e.prototype.computeLinks=function(e){return this._workerManager.withWorker().then(function(t){return t.computeLinks(e)})},e.prototype.textualSuggest=function(e,t){return this._workerManager.withWorker().then(function(n){return n.textualSuggest(e,t)})},e.prototype.navigateValueSet=function(e,t,n){return this._workerManager.withWorker().then(function(o){return o.navigateValueSet(e,t,n)})},e}();t.EditorWorkerServiceImpl=p;var m=function(e){function t(t){var o=this;e.call(this),this._modelService=t,this._editorWorkerClient=null;var i=this._register(new n.IntervalTimer);i.cancelAndSet(function(){return o._checkStopWorker()},Math.round(h/2))}return __extends(t,e),t.prototype.dispose=function(){this._editorWorkerClient&&(this._editorWorkerClient.dispose(),this._editorWorkerClient=null),e.prototype.dispose.call(this)},t.prototype._checkStopWorker=function(){if(this._editorWorkerClient){var e=(new Date).getTime()-this._lastWorkerUsedTime;e>h&&(this._editorWorkerClient.dispose(),this._editorWorkerClient=null)}},t.prototype.withWorker=function(){return this._lastWorkerUsedTime=(new Date).getTime(),this._editorWorkerClient||(this._editorWorkerClient=new g(this._modelService)),i.TPromise.as(this._editorWorkerClient)},t}(o.Disposable),f=function(e){function t(t,o,i){var r=this;if(e.call(this),this._syncedModels=Object.create(null),this._syncedModelsLastUsedTime=Object.create(null),this._proxy=t,this._modelService=o,!i){var s=new n.IntervalTimer;s.cancelAndSet(function(){return r._checkStopModelSync()},Math.round(d/2)),this._register(s)}}return __extends(t,e),t.prototype.dispose=function(){for(var t in this._syncedModels)o.dispose(this._syncedModels[t]);this._syncedModels=Object.create(null),this._syncedModelsLastUsedTime=Object.create(null),e.prototype.dispose.call(this)},t.prototype.withSyncedResources=function(e){for(var t=0;t<e.length;t++){var n=e[t],o=n.toString();this._syncedModels[o]||this._beginModelSync(n),this._syncedModels[o]&&(this._syncedModelsLastUsedTime[o]=(new Date).getTime())}return i.TPromise.as(null)},t.prototype._checkStopModelSync=function(){var e=(new Date).getTime(),t=[];for(var n in this._syncedModelsLastUsedTime){var o=e-this._syncedModelsLastUsedTime[n];o>d&&t.push(n)}for(var i=0;i<t.length;i++)this._stopModelSync(t[i])},t.prototype._beginModelSync=function(e){var t=this,n=e.toString(),o=this._modelService.getModel(e);if(o&&!o.isTooLargeForHavingARichMode()){this._proxy.acceptNewModel({url:o.uri.toString(),value:o.toRawText(),versionId:o.getVersionId()});var i=[];i.push(o.addBulkListener(function(e){for(var o=[],i=0,r=e.length;r>i;i++){var s=e[i];switch(s.getType()){case a.EventType.ModelContentChanged2:
o.push(s.getData());break;case a.EventType.ModelDispose:return void t._stopModelSync(n)}}o.length>0&&t._proxy.acceptModelChanged(n.toString(),o)})),i.push({dispose:function(){t._proxy.acceptRemovedModel(n)}}),this._syncedModels[n]=i}},t.prototype._stopModelSync=function(e){var t=this._syncedModels[e];delete this._syncedModels[e],delete this._syncedModelsLastUsedTime[e],o.dispose(t)},t}(o.Disposable);t.EditorModelManager=f;var g=function(e){function t(t){e.call(this),this._modelService=t,this._worker=this._register(new r.SimpleWorkerClient(new s.DefaultWorkerFactory,"vs/editor/common/services/editorSimpleWorker",u.EditorSimpleWorker)),this._proxy=this._worker.get(),this._modelManager=new f(this._proxy,this._modelService,!1)}return __extends(t,e),t.prototype.computeDiff=function(e,t,n){var o=this;return this._modelManager.withSyncedResources([e,t]).then(function(i){return o._proxy.computeDiff(e.toString(),t.toString(),n)})},t.prototype.computeDirtyDiff=function(e,t,n){var o=this;return this._modelManager.withSyncedResources([e,t]).then(function(i){return o._proxy.computeDirtyDiff(e.toString(),t.toString(),n)})},t.prototype.computeLinks=function(e){var t=this;return this._modelManager.withSyncedResources([e]).then(function(n){return t._proxy.computeLinks(e.toString())})},t.prototype.textualSuggest=function(e,t){var n=this;return this._modelManager.withSyncedResources([e]).then(function(o){var i=n._modelService.getModel(e);if(!i)return null;var r=l.WordHelper.massageWordDefinitionOf(i.getMode()),s=r.source,a=(r.global?"g":"")+(r.ignoreCase?"i":"")+(r.multiline?"m":"");return n._proxy.textualSuggest(e.toString(),t,s,a)})},t.prototype.navigateValueSet=function(e,t,n){var o=this;return this._modelManager.withSyncedResources([e]).then(function(i){var r=o._modelService.getModel(e);if(!r)return null;var s=l.WordHelper.massageWordDefinitionOf(r.getMode()),a=s.source,u=(s.global?"g":"")+(s.ignoreCase?"i":"")+(s.multiline?"m":"");return o._proxy.navigateValueSet(e.toString(),t,n,a,u)})},t}(o.Disposable)}),define("vs/editor/common/services/modeService",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";t.IModeService=n.createDecorator("modeService")}),define("vs/editor/common/services/modelService",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";t.IModelService=n.createDecorator("modelService")}),define("vs/editor/common/services/resourceService",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";t.ResourceEvents={ADDED:"resource.added",REMOVED:"resource.removed",CHANGED:"resource.changed"},t.IResourceService=n.createDecorator("resourceService")});var __decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/contrib/smartSelect/common/tokenSelectionSupport",["require","exports","vs/base/common/winjs.base","vs/editor/common/core/range","vs/editor/common/services/modelService","./tokenTree"],function(e,t,n,o,i,r){"use strict";var s=function(){function e(e){this._modelService=e}return e.prototype.getRangesToPosition=function(e,t){return n.TPromise.as(this.getRangesToPositionSync(e,t))},e.prototype.getRangesToPositionSync=function(e,t){var n=this._modelService.getModel(e),o=[];return n&&this._doGetRangesToPosition(n,t).forEach(function(e){o.push({type:void 0,range:e})}),o},e.prototype._doGetRangesToPosition=function(e,t){var n,i,s=r.build(e);n=r.find(s,t);for(var a=[];n;)i&&o.Range.equalsRange(i,n.range)||a.push(n.range),i=n.range,n=n.parent;return a=a.reverse()},e=__decorate([__param(0,i.IModelService)],e)}();t.TokenSelectionSupport=s}),define("vs/platform/configuration/common/configuration",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";function o(e,t,n){function o(e,t){for(var n=e,o=0;o<t.length;o++)if(n=n[t[o]],!n)return;return n}var i=t.split("."),r=o(e,i);return"undefined"==typeof r?n:r}t.IConfigurationService=n.createDecorator("configurationService"),t.getConfigurationValue=o}),define("vs/platform/contextview/browser/contextView",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";t.IContextViewService=n.createDecorator("contextViewService"),t.IContextMenuService=n.createDecorator("contextMenuService");var o=function(){function e(e,t){this.label=e,this.entries=t}return e}();t.ContextSubMenu=o}),define("vs/platform/contextview/browser/contextMenuService",["require","exports","./contextMenuHandler","./contextView"],function(e,t,n,o){"use strict";var i=function(){function e(e,t,i,r){this.serviceId=o.IContextMenuService,this.contextMenuHandler=new n.ContextMenuHandler(e,r,t,i)}return e.prototype.dispose=function(){this.contextMenuHandler.dispose()},e.prototype.setContainer=function(e){this.contextMenuHandler.setContainer(e)},e.prototype.showContextMenu=function(e){this.contextMenuHandler.showContextMenu(e)},e}();t.ContextMenuService=i}),define("vs/platform/contextview/browser/contextViewService",["require","exports","./contextView","vs/base/browser/ui/contextview/contextview"],function(e,t,n,o){"use strict";var i=function(){function e(e,t,i){this.serviceId=n.IContextViewService,this.contextView=new o.ContextView(e)}return e.prototype.dispose=function(){this.contextView.dispose()},e.prototype.setContainer=function(e){this.contextView.setContainer(e)},e.prototype.showContextView=function(e){this.contextView.show(e)},e.prototype.layout=function(){this.contextView.layout()},e.prototype.hideContextView=function(e){this.contextView.hide(e)},e}();t.ContextViewService=i}),define("vs/platform/editor/common/editor",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";t.IEditorService=n.createDecorator("editorService"),function(e){e[e.LEFT=0]="LEFT",e[e.CENTER=1]="CENTER",e[e.RIGHT=2]="RIGHT"}(t.Position||(t.Position={}));var o=t.Position;t.POSITIONS=[o.LEFT,o.CENTER,o.RIGHT],function(e){e[e.LEFT=0]="LEFT",e[e.RIGHT=1]="RIGHT"}(t.Direction||(t.Direction={}));t.Direction}),define("vs/platform/event/common/event",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";t.IEventService=n.createDecorator("eventService")});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/platform/event/common/eventService",["require","exports","vs/base/common/eventEmitter","./event"],function(e,t,n,o){"use strict";var i=function(e){function t(){e.call(this),this.serviceId=o.IEventService}return __extends(t,e),t}(n.EventEmitter);t.EventService=i}),define("vs/platform/extensions/common/extensions",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";t.IExtensionService=n.createDecorator("extensionService")});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/platform/files/common/files",["require","exports","vs/base/common/paths","vs/base/common/events","vs/platform/instantiation/common/instantiation"],function(e,t,n,o,i){"use strict";t.IFileService=i.createDecorator("fileService"),function(e){e[e.UPDATED=0]="UPDATED",e[e.ADDED=1]="ADDED",e[e.DELETED=2]="DELETED"}(t.FileChangeType||(t.FileChangeType={}));var r=t.FileChangeType;t.EventType={FILE_CHANGES:"files:fileChanges"};var s=function(e){function t(t){e.call(this),this._changes=t}return __extends(t,e),Object.defineProperty(t.prototype,"changes",{get:function(){return this._changes},enumerable:!0,configurable:!0}),t.prototype.contains=function(e,t){return e?this.containsAny([e],t):!1},t.prototype.containsAny=function(e,t){return e&&e.length?this._changes.some(function(o){return o.type!==t?!1:t===r.DELETED?e.some(function(e){return e?n.isEqualOrParent(e.fsPath,o.resource.fsPath):!1}):e.some(function(e){return e?e.fsPath===o.resource.fsPath:!1})}):!1},t.prototype.getAdded=function(){return this.getOfType(r.ADDED)},t.prototype.gotAdded=function(){return this.hasType(r.ADDED)},t.prototype.getDeleted=function(){return this.getOfType(r.DELETED)},t.prototype.gotDeleted=function(){return this.hasType(r.DELETED)},t.prototype.getUpdated=function(){return this.getOfType(r.UPDATED)},t.prototype.gotUpdated=function(){return this.hasType(r.UPDATED)},t.prototype.getOfType=function(e){return this._changes.filter(function(t){return t.type===e})},t.prototype.hasType=function(e){return this._changes.some(function(t){return t.type===e})},t}(o.Event);t.FileChangesEvent=s,function(e){e[e.FILE_IS_BINARY=0]="FILE_IS_BINARY",e[e.FILE_IS_DIRECTORY=1]="FILE_IS_DIRECTORY",e[e.FILE_NOT_FOUND=2]="FILE_NOT_FOUND",e[e.FILE_NOT_MODIFIED_SINCE=3]="FILE_NOT_MODIFIED_SINCE",e[e.FILE_MODIFIED_SINCE=4]="FILE_MODIFIED_SINCE",e[e.FILE_MOVE_CONFLICT=5]="FILE_MOVE_CONFLICT",e[e.FILE_READ_ONLY=6]="FILE_READ_ONLY",e[e.FILE_TOO_LARGE=7]="FILE_TOO_LARGE"}(t.FileOperationResult||(t.FileOperationResult={}));t.FileOperationResult;t.MAX_FILE_SIZE=52428800,t.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange"},t.SUPPORTED_ENCODINGS={utf8:{labelLong:"UTF-8",labelShort:"UTF-8",order:1,alias:"utf8bom"},utf8bom:{labelLong:"UTF-8 with BOM",labelShort:"UTF-8 with BOM",encodeOnly:!0,order:2,alias:"utf8"},utf16le:{labelLong:"UTF-16 LE",labelShort:"UTF-16 LE",order:3},utf16be:{labelLong:"UTF-16 BE",labelShort:"UTF-16 BE",order:4},windows1252:{labelLong:"Western (Windows 1252)",labelShort:"Windows 1252",order:5},iso88591:{labelLong:"Western (ISO 8859-1)",labelShort:"ISO 8859-1",order:6},iso88593:{labelLong:"Western (ISO 8859-3)",labelShort:"ISO 8859-3",order:7},iso885915:{labelLong:"Western (ISO 8859-15)",labelShort:"ISO 8859-15",order:8},macroman:{labelLong:"Western (Mac Roman)",labelShort:"Mac Roman",order:9},cp437:{labelLong:"DOS (CP 437)",labelShort:"CP437",order:10},windows1256:{labelLong:"Arabic (Windows 1256)",labelShort:"Windows 1256",order:11},iso88596:{labelLong:"Arabic (ISO 8859-6)",labelShort:"ISO 8859-6",order:12},windows1257:{labelLong:"Baltic (Windows 1257)",labelShort:"Windows 1257",order:13},iso88594:{labelLong:"Baltic (ISO 8859-4)",labelShort:"ISO 8859-4",order:14},iso885914:{labelLong:"Celtic (ISO 8859-14)",labelShort:"ISO 8859-14",order:15},windows1250:{labelLong:"Central European (Windows 1250)",labelShort:"Windows 1250",order:16},iso88592:{labelLong:"Central European (ISO 8859-2)",labelShort:"ISO 8859-2",order:17},windows1251:{labelLong:"Cyrillic (Windows 1251)",labelShort:"Windows 1251",order:18},cp866:{labelLong:"Cyrillic (CP 866)",labelShort:"CP 866",order:19},iso88595:{labelLong:"Cyrillic (ISO 8859-5)",labelShort:"ISO 8859-5",order:20},koi8r:{labelLong:"Cyrillic (KOI8-R)",labelShort:"KOI8-R",order:21},koi8u:{labelLong:"Cyrillic (KOI8-U)",labelShort:"KOI8-U",order:22},iso885913:{labelLong:"Estonian (ISO 8859-13)",labelShort:"ISO 8859-13",order:23},windows1253:{labelLong:"Greek (Windows 1253)",labelShort:"Windows 1253",order:24},iso88597:{labelLong:"Greek (ISO 8859-7)",labelShort:"ISO 8859-7",order:25},windows1255:{labelLong:"Hebrew (Windows 1255)",labelShort:"Windows 1255",order:26},iso88598:{labelLong:"Hebrew (ISO 8859-8)",labelShort:"ISO 8859-8",order:27},iso885910:{labelLong:"Nordic (ISO 8859-10)",labelShort:"ISO 8859-10",order:28},iso885916:{labelLong:"Romanian (ISO 8859-16)",labelShort:"ISO 8859-16",order:29},windows1254:{labelLong:"Turkish (Windows 1254)",labelShort:"Windows 1254",order:30},iso88599:{labelLong:"Turkish (ISO 8859-9)",labelShort:"ISO 8859-9",order:31},windows1258:{labelLong:"Vietnamese (Windows 1258)",labelShort:"Windows 1258",order:32},gbk:{labelLong:"Chinese (GBK)",labelShort:"GBK",order:33},gb18030:{labelLong:"Chinese (GB18030)",labelShort:"GB18030",order:34},cp950:{labelLong:"Traditional Chinese (Big5)",labelShort:"Big5",order:35},big5hkscs:{labelLong:"Traditional Chinese (Big5-HKSCS)",labelShort:"Big5-HKSCS",order:36},shiftjis:{labelLong:"Japanese (Shift JIS)",labelShort:"Shift JIS",order:37},eucjp:{labelLong:"Japanese (EUC-JP)",labelShort:"EUC-JP",order:38},euckr:{labelLong:"Korean (EUC-KR)",labelShort:"EUC-KR",order:39},windows874:{labelLong:"Thai (Windows 874)",labelShort:"Windows 874",order:40},iso885911:{labelLong:"Latin/Thai (ISO 8859-11)",labelShort:"ISO 8859-11",order:41},"koi8-ru":{labelLong:"Cyrillic (KOI8-RU)",labelShort:"KOI8-RU",order:42},"koi8-t":{labelLong:"Tajik (KOI8-T)",labelShort:"KOI8-T",order:43},GB2312:{labelLong:"Simplified Chinese (GB 2312)",labelShort:"GB 2312",order:44}}});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/services/bulkEdit",["require","exports","vs/nls!vs/editor/common/services/bulkEdit","vs/base/common/arrays","vs/base/common/collections","vs/base/common/uri","vs/base/common/winjs.base","vs/platform/files/common/files","vs/editor/common/core/editOperation","vs/editor/common/core/range","vs/editor/common/core/selection"],function(e,t,n,o,i,r,s,a,l,u,c){"use strict";function d(e,t,n,o){var i=h(e,t,n);return i.add(o),i.finish()}function h(e,t,o){function i(e){l.push.apply(l,e)}function r(){for(var e,t=0,o=l;t<o.length;t++){var i=o[t];u.hasChanged(i.resource)&&(e||(e=[]),e.push(i.resource.fsPath))}return e?n.localize(0,null,e.join(", ")):void 0}function a(){if(0===l.length)return s.TPromise.as(void 0);var e=r();if(e)return s.TPromise.wrapError(e);var n,i;o&&o.getModel()&&(n=o.getModel().uri,i=o.getSelections());var a=new g(t,n,i,l);return a.prepare().then(function(e){var t=r();if(t)throw new Error(t);return u.stop(),a.apply()})}var l=[],u=new p(e).start();return{add:i,finish:a}}var p=function(){function e(e){this._eventService=e}return e.prototype.start=function(){var e=Object.create(null),t=this._eventService.addListener2(a.EventType.FILE_CHANGES,function(t){t.changes.forEach(function(t){var n=String(t.resource),o=e[n];o||(e[n]=o=[]),o.push(t)})});return{stop:function(){t.dispose()},hasChanged:function(t){return!!e[t.toString()]},allChanges:function(){return o.merge(i.values(e))}}},e}(),m=function(){function e(e){this._endCursorSelection=null,this._model=e,this._edits=[]}return e.prototype.addEdit=function(e){var t;t=e.range?e.range:this._model.getFullModelRange(),this._edits.push(l.EditOperation.replace(u.Range.lift(t),e.newText))},e.prototype.apply=function(){var t=this;0!==this._edits.length&&(this._edits.sort(e._editCompare),this._initialSelections=this._getInitialSelections(),this._model.pushEditOperations(this._initialSelections,this._edits,function(e){return t._getEndCursorSelections(e)}))},e.prototype._getInitialSelections=function(){var e=this._edits[0].range,t=c.Selection.createSelection(e.startLineNumber,e.startColumn,e.endLineNumber,e.endColumn);return[t]},e.prototype._getEndCursorSelections=function(e){for(var t=0,n=0;n<e.length;n++)for(var o=e[n].range,i=0;i<this._initialSelections.length;i++){var r=this._initialSelections[i];if(u.Range.areIntersectingOrTouching(o,r)){t=n;break}}var s=e[t].range;return this._endCursorSelection=c.Selection.createSelection(s.endLineNumber,s.endColumn,s.endLineNumber,s.endColumn),[this._endCursorSelection]},e.prototype.getEndCursorSelection=function(){return this._endCursorSelection},e._editCompare=function(e,t){return u.Range.compareRangesUsingStarts(e.range,t.range)},e}(),f=function(e){function t(t,n){e.call(this,t),this._knownInitialSelections=n}return __extends(t,e),t.prototype._getInitialSelections=function(){return this._knownInitialSelections},t}(m),g=function(){function e(e,t,n,o){this._numberOfResourcesToModify=0,this._numberOfChanges=0,this._edits=Object.create(null),this._editorService=e,this._sourceModel=t,this._sourceSelections=n,this._sourceModelTask=null;for(var i=0,r=o;i<r.length;i++){var s=r[i];this._addEdit(s)}}return e.prototype.resourcesCount=function(){return this._numberOfResourcesToModify},e.prototype.changeCount=function(){return this._numberOfChanges},e.prototype._addEdit=function(e){var t=this._edits[e.resource.toString()];t||(this._edits[e.resource.toString()]=t=[],this._numberOfResourcesToModify+=1),this._numberOfChanges+=1,t.push(e)},e.prototype.prepare=function(){var e=this;if(this._tasks)throw new Error("illegal state - already prepared");this._tasks=[];var t=[];return i.forEach(this._edits,function(n){var o=e._editorService.resolveEditorModel({resource:r["default"].parse(n.key)}).then(function(t){if(!t||!t.textEditorModel)throw new Error("Cannot load file "+n.key);var o,i=t.textEditorModel;e._sourceModel&&i.uri.toString()===e._sourceModel.toString()?(e._sourceModelTask=new f(i,e._sourceSelections),o=e._sourceModelTask):o=new m(i),n.value.forEach(function(e){return o.addEdit(e)}),e._tasks.push(o)});t.push(o)}),s.TPromise.join(t).then(function(t){return e})},e.prototype.apply=function(){this._tasks.forEach(function(e){return e.apply()});var e=null;return this._sourceModelTask&&(e=this._sourceModelTask.getEndCursorSelection()),e},e}();t.bulkEdit=d,t.createBulkEdit=h}),define("vs/platform/instantiation/common/serviceCollection",["require","exports","vs/base/common/arrays"],function(e,t,n){"use strict";var o=function(){function e(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];this._entries=[];for(var n=0,o=e;n<o.length;n++){var i=o[n];this.set(i[0],i[1])}}return e.prototype.set=function(t,o){var i=[t,o],r=n.binarySearch(this._entries,i,e._entryCompare);if(!(0>r)){var s=this._entries[r];return this._entries[r]=i,s[1]}this._entries.splice(~r,0,i)},e.prototype.forEach=function(e){for(var t=0,n=this._entries;t<n.length;t++){var o=n[t],i=o[0],r=o[1];e(i,r)}},e.prototype.has=function(t){return n.binarySearch(this._entries,e._searchEntry(t),e._entryCompare)>=0},e.prototype.get=function(t){var o=n.binarySearch(this._entries,e._searchEntry(t),e._entryCompare);return o>=0?this._entries[o][1]:void 0},e._searchEntry=function(t){return e._dummy[0]=t,e._dummy},e._entryCompare=function(e,t){var n=e[0].toString(),o=t[0].toString();return o>n?-1:n>o?1:0},e._dummy=[void 0,void 0],e}();t.ServiceCollection=o}),define("vs/platform/instantiation/common/instantiationService",["require","exports","vs/base/common/winjs.base","vs/base/common/errors","vs/base/common/types","vs/base/common/assert","vs/base/common/graph","vs/platform/instantiation/common/descriptors","vs/platform/instantiation/common/instantiation","vs/platform/instantiation/common/serviceCollection"],function(e,t,n,o,i,r,s,a,l,u){"use strict";var c=function(){function t(e,t){void 0===e&&(e=new u.ServiceCollection),void 0===t&&(t=!1),this._services=e,this._strict=t,this._services.set(l.IInstantiationService,this)}return t.prototype.createChild=function(e){return this._services.forEach(function(t,n){e.has(t)||e.set(t,n)}),new t(e,this._strict)},t.prototype.invokeFunction=function(e){for(var t=this,n=[],i=1;i<arguments.length;i++)n[i-1]=arguments[i];var r;try{return r={get:function(e,n){var o=t._getOrCreateServiceInstance(e);if(!o&&n!==l.optional)throw new Error("[invokeFunction] unkown service '"+e+"'");return o}},e.apply(void 0,[r].concat(n))}finally{r.get=function(){throw o.illegalState("service accessor is only valid during the invocation of its target method")}}},t.prototype.createInstance=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return e instanceof a.AsyncDescriptor?this._createInstanceAsync(e,t):e instanceof a.SyncDescriptor?this._createInstance(e,t):this._createInstance(new a.SyncDescriptor(e),t)},t.prototype._createInstanceAsync=function(t,i){var r,s=this;return new n.TPromise(function(n,l,u){e([t.moduleName],function(e){if(r&&l(r),!e)return l(o.illegalArgument("module not found: "+t.moduleName));var u;if(u=t.ctorName?e[t.ctorName]:e,"function"!=typeof u)return l(o.illegalArgument("not a function: "+t.ctorName||t.moduleName));try{i.unshift.apply(i,t.staticArguments()),n(s._createInstance(new a.SyncDescriptor(u),i))}catch(c){return l(c)}},l)},function(){r=o.canceled()})},t.prototype._createInstance=function(e,t){var n=this,o=e.staticArguments().concat(t),r=l._util.getServiceDependencies(e.ctor).sort(function(e,t){return e.index-t.index}),s=r.map(function(t){var o=n._getOrCreateServiceInstance(t.id);if(!o&&n._strict&&!t.optional)throw new Error("[createInstance] "+e.ctor.name+" depends on UNKNOWN service "+t.id+".");return o}),a=r.length>0?r[0].index:o.length;if(o.length!==a){console.warn("[createInstance] First service dependency of "+e.ctor.name+" at position "+(a+1)+" conflicts with "+o.length+" static arguments");var u=a-o.length;o=u>0?o.concat(new Array(u)):o.slice(0,a)}var c=[e.ctor];c.push.apply(c,o),c.push.apply(c,s);var d=i.create.apply(null,c);return e._validate(d),d},t.prototype._getOrCreateServiceInstance=function(e){var t=this._services.get(e);return t instanceof a.SyncDescriptor?this._createAndCacheServiceInstance(e,t):t},t.prototype._createAndCacheServiceInstance=function(e,t){function n(){var e=new Error("[createInstance] cyclic dependency between services");throw e.message=o.toString(),e}r.ok(this._services.get(e)instanceof a.SyncDescriptor);for(var o=new s.Graph(function(e){return e.id.toString()}),i=0,u=[{id:e,desc:t}];u.length;){var c=u.pop();o.lookupOrInsertNode(c),i++>100&&n();for(var d=l._util.getServiceDependencies(c.desc.ctor),h=0,p=d;h<p.length;h++){var m=p[h],f=this._services.get(m.id);if(f||console.warn("[createInstance] "+e+" depends on "+m.id+" which is NOT registered."),f instanceof a.SyncDescriptor){var g={id:m.id,desc:f};o.insertEdge(c,g),u.push(g)}}}for(;;){var v=o.roots();if(0===v.length){0!==o.length&&n();break}for(var y=0,_=v;y<_.length;y++){var b=_[y],C=this._createInstance(b.data.desc,[]);this._services.set(b.data.id,C),o.removeNode(b.data)}}return this._services.get(e)},t}();t.InstantiationService=c}),define("vs/platform/keybinding/common/keybindingService",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";function o(e,t){var n=e.getType(),o=t.getType();if(n!==o)return n-o;switch(n){case i.KbDefinedExpression:return e.cmp(t);case i.KbNotExpression:return e.cmp(t);case i.KbEqualsExpression:return e.cmp(t);case i.KbNotEqualsExpression:return e.cmp(t);default:throw new Error("Unknown KbExpr!")}}!function(e){e[e.KbDefinedExpression=1]="KbDefinedExpression",e[e.KbNotExpression=2]="KbNotExpression",e[e.KbEqualsExpression=3]="KbEqualsExpression",e[e.KbNotEqualsExpression=4]="KbNotEqualsExpression",e[e.KbAndExpression=5]="KbAndExpression"}(t.KbExprType||(t.KbExprType={}));var i=t.KbExprType,r=function(){function e(e){this.key=e}return e.prototype.getType=function(){return i.KbDefinedExpression},e.prototype.cmp=function(e){return this.key<e.key?-1:this.key>e.key?1:0},e.prototype.equals=function(t){return t instanceof e?this.key===t.key:!1},e.prototype.evaluate=function(e){return!!e[this.key]},e.prototype.normalize=function(){return this},e.prototype.serialize=function(){return this.key},e}();t.KbDefinedExpression=r;var s=function(){function e(e,t){this.key=e,this.value=t}return e.prototype.getType=function(){return i.KbEqualsExpression},e.prototype.cmp=function(e){return this.key<e.key?-1:this.key>e.key?1:this.value<e.value?-1:this.value>e.value?1:0},e.prototype.equals=function(t){return t instanceof e?this.key===t.key&&this.value===t.value:!1},e.prototype.evaluate=function(e){return e[this.key]==this.value},e.prototype.normalize=function(){return"boolean"==typeof this.value?this.value?new r(this.key):new l(this.key):this},e.prototype.serialize=function(){return"boolean"==typeof this.value?this.normalize().serialize():this.key+" == '"+this.value+"'"},e}();t.KbEqualsExpression=s;var a=function(){function e(e,t){this.key=e,this.value=t}return e.prototype.getType=function(){return i.KbNotEqualsExpression},e.prototype.cmp=function(e){return this.key<e.key?-1:this.key>e.key?1:this.value<e.value?-1:this.value>e.value?1:0},e.prototype.equals=function(t){return t instanceof e?this.key===t.key&&this.value===t.value:!1},e.prototype.evaluate=function(e){return e[this.key]!=this.value},e.prototype.normalize=function(){return"boolean"==typeof this.value?this.value?new l(this.key):new r(this.key):this},e.prototype.serialize=function(){return"boolean"==typeof this.value?this.normalize().serialize():this.key+" != '"+this.value+"'"},e}();t.KbNotEqualsExpression=a;var l=function(){function e(e){this.key=e}return e.prototype.getType=function(){return i.KbNotExpression},e.prototype.cmp=function(e){return this.key<e.key?-1:this.key>e.key?1:0},e.prototype.equals=function(t){return t instanceof e?this.key===t.key:!1},e.prototype.evaluate=function(e){return!e[this.key]},e.prototype.normalize=function(){return this},e.prototype.serialize=function(){return"!"+this.key},e}();t.KbNotExpression=l;var u=function(){function e(t){this.expr=e._normalizeArr(t)}return e.prototype.getType=function(){return i.KbAndExpression},e.prototype.equals=function(t){if(t instanceof e){if(this.expr.length!==t.expr.length)return!1;for(var n=0,o=this.expr.length;o>n;n++)if(!this.expr[n].equals(t.expr[n]))return!1;return!0}},e.prototype.evaluate=function(e){for(var t=0,n=this.expr.length;n>t;t++)if(!this.expr[t].evaluate(e))return!1;return!0},e._normalizeArr=function(t){var n=[];if(t){for(var i=0,r=t.length;r>i;i++){var s=t[i];s&&(s=s.normalize(),s&&(s instanceof e?n=n.concat(s.expr):n.push(s)))}n.sort(o)}return n},e.prototype.normalize=function(){return 0===this.expr.length?null:1===this.expr.length?this.expr[0]:this},e.prototype.serialize=function(){return 0===this.expr.length?"":1===this.expr.length?this.normalize().serialize():this.expr.map(function(e){return e.serialize()}).join(" && ")},e}();t.KbAndExpression=u,t.KbExpr={has:function(e){return new r(e)},equals:function(e,t){return new s(e,t)},notEquals:function(e,t){return new a(e,t)},not:function(e){return new l(e)},and:function(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];return new u(e)},deserialize:function(e){if(!e)return null;var n=e.split("&&"),o=new u(n.map(function(e){return t.KbExpr._deserializeOne(e)}));return o.normalize()},_deserializeOne:function(e){if(e=e.trim(),e.indexOf("!=")>=0){var n=e.split("!=");return new a(n[0].trim(),t.KbExpr._deserializeValue(n[1]))}if(e.indexOf("==")>=0){var n=e.split("==");return new s(n[0].trim(),t.KbExpr._deserializeValue(n[1]))}return/^\!\s*/.test(e)?new l(e.substr(1).trim()):new r(e)},_deserializeValue:function(e){if(e=e.trim(),"true"===e)return!0;if("false"===e)return!1;var t=/^'([^']*)'$/.exec(e);return t?t[1].trim():e}},t.IKeybindingService=n.createDecorator("keybindingService"),t.SET_CONTEXT_COMMAND_ID="setContext"});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/commonCodeEditor",["require","exports","vs/base/common/actions","vs/base/common/errors","vs/base/common/eventEmitter","vs/base/common/lifecycle","vs/base/common/objects","vs/base/common/timer","vs/base/common/winjs.base","vs/platform/instantiation/common/serviceCollection","vs/platform/keybinding/common/keybindingService","vs/editor/common/config/defaultConfig","vs/editor/common/controller/cursor","vs/editor/common/controller/cursorMoveHelper","vs/editor/common/core/editorState","vs/editor/common/core/position","vs/editor/common/core/range","vs/editor/common/core/selection","vs/editor/common/editorAction","vs/editor/common/editorCommon","vs/editor/common/viewModel/characterHardWrappingLineMapper","vs/editor/common/viewModel/splitLinesCollection","vs/editor/common/viewModel/viewModelImpl"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m,f,g,v,y,_,b,C,w){"use strict";var E=0,S=function(e){function t(t,n,o,i,r,s){var l=this;e.call(this),this.domElement=t,this.id=++E,this._codeEditorService=i;var h=a.start(a.Topic.EDITOR,"CodeEditor.ctor");this._lifetimeDispose=[],this._keybindingService=r.createScoped(t),this._editorIdContextKey=this._keybindingService.createKey("editorId",this.getId()),this._editorFocusContextKey=this._keybindingService.createKey(_.KEYBINDING_CONTEXT_EDITOR_FOCUS,void 0),this._editorTabMovesFocusKey=this._keybindingService.createKey(_.KEYBINDING_CONTEXT_EDITOR_TAB_MOVES_FOCUS,!1),this._hasMultipleSelectionsKey=this._keybindingService.createKey(_.KEYBINDING_CONTEXT_EDITOR_HAS_MULTIPLE_SELECTIONS,!1),this._hasNonEmptySelectionKey=this._keybindingService.createKey(_.KEYBINDING_CONTEXT_EDITOR_HAS_NON_EMPTY_SELECTION,!1),this._langIdKey=this._keybindingService.createKey(_.KEYBINDING_CONTEXT_EDITOR_LANGUAGE_ID,void 0),this._decorationTypeKeysToIds={},n=n||{},"undefined"==typeof n.ariaLabel&&(n.ariaLabel=d.DefaultConfig.editor.ariaLabel),this._configuration=this._createConfiguration(n),this._configuration.editor.tabFocusMode&&this._editorTabMovesFocusKey.set(!0),this._lifetimeDispose.push(this._configuration.onDidChange(function(e){return l.emit(_.EventType.ConfigurationChanged,e)})),this._telemetryService=s,this._instantiationService=o.createChild(new u.ServiceCollection([c.IKeybindingService,this._keybindingService])),this._attachModel(null),this.contributions={},h.stop(),this._codeEditorService.addCodeEditor(this)}return __extends(t,e),t.prototype.onDidChangeModelRawContent=function(e){return this.addListener2(_.EventType.ModelRawContentChanged,e)},t.prototype.onDidChangeModelContent=function(e){return this.addListener2(_.EventType.ModelContentChanged2,e)},t.prototype.onDidChangeModelMode=function(e){return this.addListener2(_.EventType.ModelModeChanged,e)},t.prototype.onDidChangeModelOptions=function(e){return this.addListener2(_.EventType.ModelOptionsChanged,e)},t.prototype.onDidChangeModelModeSupport=function(e){return this.addListener2(_.EventType.ModelModeSupportChanged,e)},t.prototype.onDidChangeModelDecorations=function(e){return this.addListener2(_.EventType.ModelDecorationsChanged,e)},t.prototype.onDidChangeConfiguration=function(e){return this.addListener2(_.EventType.ConfigurationChanged,e)},t.prototype.onDidChangeModel=function(e){return this.addListener2(_.EventType.ModelChanged,e)},t.prototype.onDidChangeCursorPosition=function(e){return this.addListener2(_.EventType.CursorPositionChanged,e)},t.prototype.onDidChangeCursorSelection=function(e){return this.addListener2(_.EventType.CursorSelectionChanged,e)},t.prototype.onDidFocusEditorText=function(e){return this.addListener2(_.EventType.EditorTextFocus,e)},t.prototype.onDidBlurEditorText=function(e){return this.addListener2(_.EventType.EditorTextBlur,e)},t.prototype.onDidFocusEditor=function(e){return this.addListener2(_.EventType.EditorFocus,e)},t.prototype.onDidBlurEditor=function(e){return this.addListener2(_.EventType.EditorBlur,e)},t.prototype.onDidDispose=function(e){return this.addListener2(_.EventType.Disposed,e)},t.prototype.getId=function(){return this.getEditorType()+":"+this.id},t.prototype.getEditorType=function(){return _.EditorType.ICodeEditor},t.prototype.destroy=function(){this.dispose()},t.prototype.dispose=function(){this._codeEditorService.removeCodeEditor(this),this._lifetimeDispose=r.dispose(this._lifetimeDispose);for(var t=Object.keys(this.contributions),n=0,o=t.length;o>n;n++){var i=t[n];this.contributions[i].dispose()}this.contributions={},this._postDetachModelCleanup(this._detachModel()),this._configuration.dispose(),this._keybindingService.dispose(),this.emit(_.EventType.Disposed),e.prototype.dispose.call(this)},t.prototype.captureState=function(){
for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];return new m.EditorState(this,e)},t.prototype.updateOptions=function(e){this._configuration.updateOptions(e),this._configuration.editor.tabFocusMode?this._editorTabMovesFocusKey.set(!0):this._editorTabMovesFocusKey.reset()},t.prototype.getConfiguration=function(){return this._configuration.editorClone},t.prototype.getRawConfiguration=function(){return this._configuration.getRawOptions()},t.prototype.getValue=function(e){if(void 0===e&&(e=null),this.model){var t=!(!e||!e.preserveBOM),n=_.EndOfLinePreference.TextDefined;return e&&e.lineEnding&&"\n"===e.lineEnding?n=_.EndOfLinePreference.LF:e&&e.lineEnding&&"\r\n"===e.lineEnding&&(n=_.EndOfLinePreference.CRLF),this.model.getValue(n,t)}return""},t.prototype.setValue=function(e){this.model&&this.model.setValue(e)},t.prototype.getModel=function(){return this.model},t.prototype.setModel=function(e){if(void 0===e&&(e=null),this.model!==e){var t=a.start(a.Topic.EDITOR,"CodeEditor.setModel"),n=this._detachModel();this._attachModel(e);var o=null,i=null;n&&(o=n.uri.toString()),e&&(i=e.uri.toString());var r={oldModelUrl:o,newModelUrl:i};t.stop(),this.emit(_.EventType.ModelChanged,r),this._postDetachModelCleanup(n)}},t.prototype.getVisibleColumnFromPosition=function(e){if(!this.model)return e.column;var t=this.model.validatePosition(e),n=this.model.getOptions().tabSize;return p.CursorMoveHelper.visibleColumnFromColumn(this.model,t.lineNumber,t.column,n)+1},t.prototype.getPosition=function(){return this.cursor?this.cursor.getPosition().clone():null},t.prototype.setPosition=function(e,t,n,o){if(void 0===t&&(t=!1),void 0===n&&(n=!1),void 0===o&&(o=!1),this.cursor){if(!f.Position.isIPosition(e))throw new Error("Invalid arguments");this.cursor.setSelections("api",[{selectionStartLineNumber:e.lineNumber,selectionStartColumn:e.column,positionLineNumber:e.lineNumber,positionColumn:e.column}]),t&&this.revealPosition(e,n,o)}},t.prototype._sendRevealRange=function(e,t,n){if(this.model&&this.cursor){if(!g.Range.isIRange(e))throw new Error("Invalid arguments");var o=this.model.validateRange(e),i={range:o,viewRange:null,verticalType:t,revealHorizontal:n};this.cursor.emit(_.EventType.CursorRevealRange,i)}},t.prototype.revealLine=function(e){this._sendRevealRange({startLineNumber:e,startColumn:1,endLineNumber:e,endColumn:1},_.VerticalRevealType.Simple,!1)},t.prototype.revealLineInCenter=function(e){this._sendRevealRange({startLineNumber:e,startColumn:1,endLineNumber:e,endColumn:1},_.VerticalRevealType.Center,!1)},t.prototype.revealLineInCenterIfOutsideViewport=function(e){this._sendRevealRange({startLineNumber:e,startColumn:1,endLineNumber:e,endColumn:1},_.VerticalRevealType.CenterIfOutsideViewport,!1)},t.prototype.revealPosition=function(e,t,n){if(void 0===t&&(t=!1),void 0===n&&(n=!1),!f.Position.isIPosition(e))throw new Error("Invalid arguments");this._sendRevealRange({startLineNumber:e.lineNumber,startColumn:e.column,endLineNumber:e.lineNumber,endColumn:e.column},t?_.VerticalRevealType.Center:_.VerticalRevealType.Simple,n)},t.prototype.revealPositionInCenter=function(e){if(!f.Position.isIPosition(e))throw new Error("Invalid arguments");this._sendRevealRange({startLineNumber:e.lineNumber,startColumn:e.column,endLineNumber:e.lineNumber,endColumn:e.column},_.VerticalRevealType.Center,!0)},t.prototype.revealPositionInCenterIfOutsideViewport=function(e){if(!f.Position.isIPosition(e))throw new Error("Invalid arguments");this._sendRevealRange({startLineNumber:e.lineNumber,startColumn:e.column,endLineNumber:e.lineNumber,endColumn:e.column},_.VerticalRevealType.CenterIfOutsideViewport,!0)},t.prototype.getSelection=function(){return this.cursor?this.cursor.getSelection().clone():null},t.prototype.getSelections=function(){if(!this.cursor)return null;for(var e=this.cursor.getSelections(),t=[],n=0,o=e.length;o>n;n++)t[n]=e[n].clone();return t},t.prototype.setSelection=function(e,t,n,o){void 0===t&&(t=!1),void 0===n&&(n=!1),void 0===o&&(o=!1);var i=v.Selection.isISelection(e),r=g.Range.isIRange(e);if(!i&&!r)throw new Error("Invalid arguments");if(i)this._setSelectionImpl(e,t,n,o);else if(r){var s={selectionStartLineNumber:e.startLineNumber,selectionStartColumn:e.startColumn,positionLineNumber:e.endLineNumber,positionColumn:e.endColumn};this._setSelectionImpl(s,t,n,o)}},t.prototype._setSelectionImpl=function(e,t,n,o){if(this.cursor){var i=v.Selection.createSelection(e.selectionStartLineNumber,e.selectionStartColumn,e.positionLineNumber,e.positionColumn);this.cursor.setSelections("api",[i]),t&&this.revealRange(i,n,o)}},t.prototype.revealLines=function(e,t){this._sendRevealRange({startLineNumber:e,startColumn:1,endLineNumber:t,endColumn:1},_.VerticalRevealType.Simple,!1)},t.prototype.revealLinesInCenter=function(e,t){this._sendRevealRange({startLineNumber:e,startColumn:1,endLineNumber:t,endColumn:1},_.VerticalRevealType.Center,!1)},t.prototype.revealLinesInCenterIfOutsideViewport=function(e,t){this._sendRevealRange({startLineNumber:e,startColumn:1,endLineNumber:t,endColumn:1},_.VerticalRevealType.CenterIfOutsideViewport,!1)},t.prototype.revealRange=function(e,t,n){void 0===t&&(t=!1),void 0===n&&(n=!0),this._sendRevealRange(e,t?_.VerticalRevealType.Center:_.VerticalRevealType.Simple,n)},t.prototype.revealRangeInCenter=function(e){this._sendRevealRange(e,_.VerticalRevealType.Center,!0)},t.prototype.revealRangeInCenterIfOutsideViewport=function(e){this._sendRevealRange(e,_.VerticalRevealType.CenterIfOutsideViewport,!0)},t.prototype.setSelections=function(e){if(this.cursor){if(!e||0===e.length)throw new Error("Invalid arguments");for(var t=0,n=e.length;n>t;t++)if(!v.Selection.isISelection(e[t]))throw new Error("Invalid arguments");this.cursor.setSelections("api",e)}},t.prototype.onVisible=function(){},t.prototype.onHide=function(){},t.prototype.getContribution=function(e){return this.contributions[e]||null},t.prototype.addAction=function(e){if("string"!=typeof e.id||"string"!=typeof e.label||"function"!=typeof e.run)throw new Error("Invalid action descriptor, `id`, `label` and `run` are required properties!");var t=this._instantiationService.createInstance(y.DynamicEditorAction,e,this);this.contributions[t.getId()]=t},t.prototype.getActions=function(){for(var e=[],t=Object.keys(this.contributions),o=0,i=t.length;i>o;o++){var r=t[o],s=this.contributions[r];n.isAction(s)&&e.push(s)}return e},t.prototype.getAction=function(e){var t=this.contributions[e];return t&&n.isAction(t)?t:null},t.prototype.trigger=function(e,t,n){n=n||{};var i=this.getAction(t);if(null!==i)i.enabled&&(this._telemetryService.publicLog("editorActionInvoked",{name:i.label,id:i.id}),l.TPromise.as(i.run()).done(null,o.onUnexpectedError));else{if(!this.cursor)return;this.cursor.trigger(e,t,n)}},t.prototype.executeCommand=function(e,t){this.cursor&&this.cursor.trigger(e,_.Handler.ExecuteCommand,t)},t.prototype.executeEdits=function(e,t){var n=this;return this.cursor?this._configuration.editor.readOnly?!1:(this.model.pushStackElement(),this.model.pushEditOperations(this.cursor.getSelections(),t,function(){return n.cursor.getSelections()}),this.model.pushStackElement(),!0):!1},t.prototype.executeCommands=function(e,t){this.cursor&&this.cursor.trigger(e,_.Handler.ExecuteCommands,t)},t.prototype.changeDecorations=function(e){return this.model?this.model.changeDecorations(e,this.id):null},t.prototype.getLineDecorations=function(e){return this.model?this.model.getLineDecorations(e,this.id,this._configuration.editor.readOnly):null},t.prototype.deltaDecorations=function(e,t){return this.model?0===e.length&&0===t.length?e:this.model.deltaDecorations(e,t,this.id):[]},t.prototype.setDecorations=function(e,t){var n=this._codeEditorService.resolveDecorationType(e),o=this._decorationTypeKeysToIds[e]||[];this._decorationTypeKeysToIds[e]=this.deltaDecorations(o,t.map(function(e){var t;return e.hoverMessage?(t=s.clone(n),t.htmlMessage=e.hoverMessage):t=n,{range:e.range,options:t}}))},t.prototype.removeDecorations=function(e){this._decorationTypeKeysToIds.hasOwnProperty(e)&&(this.deltaDecorations(this._decorationTypeKeysToIds[e],[]),delete this._decorationTypeKeysToIds[e])},t.prototype.addTypingListener=function(e,t){var n=this;return this.cursor?(this.cursor.addTypingListener(e,t),{dispose:function(){n.cursor&&n.cursor.removeTypingListener(e,t)}}):{dispose:function(){}}},t.prototype.getLayoutInfo=function(){return this._configuration.editor.layoutInfo},t.prototype._attachModel=function(e){var t=this;if(this.model=e?e:null,this.listenersToRemove=[],this.viewModel=null,this.cursor=null,this.model){this.domElement.setAttribute("data-mode-id",this.model.getMode().getId()),this._langIdKey.set(this.model.getMode().getId()),this._configuration.setIsDominatedByLongLines(this.model.isDominatedByLongLines()),this.model.onBeforeAttached();var n=new b.CharacterHardWrappingLineMapperFactory(this._configuration.editor.wrappingInfo.wordWrapBreakBeforeCharacters,this._configuration.editor.wrappingInfo.wordWrapBreakAfterCharacters,this._configuration.editor.wrappingInfo.wordWrapBreakObtrusiveCharacters),o=new C.SplitLinesCollection(this.model,n,this.model.getOptions().tabSize,this._configuration.editor.wrappingInfo.wrappingColumn,this._configuration.editor.fontInfo.typicalFullwidthCharacterWidth/this._configuration.editor.fontInfo.typicalHalfwidthCharacterWidth,this._configuration.editor.wrappingInfo.wrappingIndent);this.viewModel=new w.ViewModel(o,this.id,this._configuration,this.model,function(){return t.getCenteredRangeInViewport()});var i={viewModel:this.viewModel,convertModelPositionToViewPosition:function(e,n){return t.viewModel.convertModelPositionToViewPosition(e,n)},convertModelRangeToViewRange:function(e){return t.viewModel.convertModelRangeToViewRange(e)},convertViewToModelPosition:function(e,n){return t.viewModel.convertViewPositionToModelPosition(e,n)},convertViewSelectionToModelSelection:function(e){return t.viewModel.convertViewSelectionToModelSelection(e)},validateViewPosition:function(e,n,o){return t.viewModel.validateViewPosition(e,n,o)},validateViewRange:function(e,n,o,i,r){return t.viewModel.validateViewRange(e,n,o,i,r)}};this.cursor=new h.Cursor(this.id,this._configuration,this.model,i,this._enableEmptySelectionClipboard()),this.viewModel.addEventSource(this.cursor),this._createView(),this.listenersToRemove.push(this._getViewInternalEventBus().addBulkListener2(function(e){for(var n=0,o=e.length;o>n;n++){var i=e[n].getType(),r=e[n].getData();switch(i){case _.EventType.ViewFocusGained:t.emit(_.EventType.EditorTextFocus),t.emit(_.EventType.EditorFocus,{});break;case"scroll":t.emit("scroll",r);break;case _.EventType.ViewFocusLost:t.emit(_.EventType.EditorTextBlur);break;case _.EventType.ContextMenu:t.emit(_.EventType.ContextMenu,r);break;case _.EventType.MouseDown:t.emit(_.EventType.MouseDown,r);break;case _.EventType.MouseUp:t.emit(_.EventType.MouseUp,r);break;case _.EventType.KeyUp:t.emit(_.EventType.KeyUp,r);break;case _.EventType.MouseMove:t.emit(_.EventType.MouseMove,r);break;case _.EventType.MouseLeave:t.emit(_.EventType.MouseLeave,r);break;case _.EventType.KeyDown:t.emit(_.EventType.KeyDown,r);break;case _.EventType.ViewLayoutChanged:t.emit(_.EventType.EditorLayout,r)}}})),this.listenersToRemove.push(this.model.addBulkListener(function(e){for(var n=0,o=e.length;o>n;n++){var i=e[n].getType(),r=e[n].getData();switch(i){case _.EventType.ModelDecorationsChanged:t.emit(_.EventType.ModelDecorationsChanged,r);break;case _.EventType.ModelModeChanged:t.domElement.setAttribute("data-mode-id",t.model.getMode().getId()),t._langIdKey.set(t.model.getMode().getId()),t.emit(_.EventType.ModelModeChanged,r);break;case _.EventType.ModelModeSupportChanged:t.emit(_.EventType.ModelModeSupportChanged,r);break;case _.EventType.ModelRawContentChanged:t.emit(_.EventType.ModelRawContentChanged,r);break;case _.EventType.ModelContentChanged2:t.emit(_.EventType.ModelContentChanged2,r);break;case _.EventType.ModelOptionsChanged:t.emit(_.EventType.ModelOptionsChanged,r);break;case _.EventType.ModelDispose:t.setModel(null)}}}));var r=function(e){var t=[e.selection].concat(e.secondarySelections);return t.some(function(e){return!e.isEmpty()})};this.listenersToRemove.push(this.cursor.addBulkListener2(function(e){for(var n=!1,o=!1,i=!1,s=!1,a=0,l=e.length;l>a;a++){var u=e[a].getType(),c=e[a].getData();switch(u){case _.EventType.CursorPositionChanged:var d=c;n=!0,o=d.secondaryPositions.length>0,t.emit(_.EventType.CursorPositionChanged,c);break;case _.EventType.CursorSelectionChanged:var h=c;n=!0,o=h.secondarySelections.length>0,i=!0,s=r(h),t.emit(_.EventType.CursorSelectionChanged,c)}}n&&(o?t._hasMultipleSelectionsKey.set(!0):t._hasMultipleSelectionsKey.reset()),i&&(s?t._hasNonEmptySelectionKey.set(!0):t._hasNonEmptySelectionKey.reset())}))}else this.hasView=!1},t.prototype._postDetachModelCleanup=function(e){e&&(this._decorationTypeKeysToIds={},e.removeAllDecorationsWithOwnerId(this.id))},t.prototype._detachModel=function(){this.model&&this.model.onBeforeDetached(),this.hasView=!1,this.listenersToRemove=r.dispose(this.listenersToRemove),this.cursor&&(this.cursor.dispose(),this.cursor=null),this.viewModel&&(this.viewModel.dispose(),this.viewModel=null);var e=this.model;return this.model=null,this.domElement.removeAttribute("data-mode-id"),e},t}(i.EventEmitter);t.CommonCodeEditor=S}),define("vs/platform/keybinding/common/keybindingResolver",["require","exports","vs/base/common/keyCodes","vs/base/common/platform","vs/platform/keybinding/common/keybindingService"],function(e,t,n,o,i){"use strict";function r(e,t){return e.length<t?e+new Array(t-e.length).join(" "):e}function s(e,t){return e.weight1!==t.weight1?e.weight1-t.weight1:e.command<t.command?-1:e.command>t.command?1:e.weight2-t.weight2}var a=function(){function e(e,t,n,o){this.keybinding=e,this.command=t,this.actualCommand=this.command?this.command.replace(/^\^/,""):this.command,this.when=n,this.isDefault=o}return e.fromKeybindingItem=function(t,n){var o=null;return t.when&&(o=t.when.normalize()),new e(t.keybinding,t.command,o,n)},e}();t.NormalizedKeybindingItem=a;var l=function(){function e(t,o,i){void 0===i&&(i=!0),t=t.slice(0).sort(s),this._defaultKeybindings=t,this._shouldWarnOnConflict=i,this._defaultBoundCommands=Object.create(null);for(var r=0,a=t.length;a>r;r++)this._defaultBoundCommands[t[r].command]=!0;this._map=Object.create(null),this._lookupMap=Object.create(null),this._lookupMapUnreachable=Object.create(null),this._chords=Object.create(null);for(var l=e.combine(t,o),r=0,a=l.length;a>r;r++){var u=l[r];if(0!==u.keybinding){var c={when:u.when,keybinding:u.keybinding,commandId:u.command};if(n.BinaryKeybindings.hasChord(u.keybinding)){var d=n.BinaryKeybindings.extractFirstPart(u.keybinding),h=n.BinaryKeybindings.extractChordPart(u.keybinding);this._chords[d]=this._chords[d]||Object.create(null),this._chords[d][h]=this._chords[d][h]||[],this._chords[d][h].push(c),this._addKeyPress(d,c,u)}else this._addKeyPress(u.keybinding,c,u)}}}return e._isTargetedForRemoval=function(e,t,n,o){if(e.actualCommand!==n)return!1;if(t&&e.keybinding!==t)return!1;if(o){if(!e.when)return!1;if(!o.equals(e.when))return!1}return!0},e.combine=function(e,t){for(var n=e.map(function(e){return a.fromKeybindingItem(e,!0)}),o=[],i=0,r=t.length;r>i;i++){var s=a.fromKeybindingItem(t[i],!1);if(s.command&&0!==s.command.length&&"-"===s.command.charAt(0))for(var l=s.command.substr(1),u=s.keybinding,c=s.when,d=n.length-1;d>=0;d--)this._isTargetedForRemoval(n[d],u,l,c)&&n.splice(d,1);else o.push(s)}return n.concat(o)},e.prototype._addKeyPress=function(t,o,i){if(!this._map[t])return this._map[t]=[o],void this._addToLookupMap(i);for(var r=this._map[t],s=r.length-1;s>=0;s--){var a=r[s];a.commandId!==i.command&&(n.BinaryKeybindings.hasChord(a.keybinding)&&n.BinaryKeybindings.hasChord(o.keybinding)&&a.keybinding!==o.keybinding||e.whenIsEntirelyIncluded(!0,a.when,i.when)&&(this._shouldWarnOnConflict&&i.isDefault&&console.warn("Conflict detected, command `"+a.commandId+"` cannot be triggered by "+n.Keybinding.toUserSettingsLabel(t)+" due to "+i.command),this._lookupMapUnreachable[a.commandId]=this._lookupMapUnreachable[a.commandId]||[],this._lookupMapUnreachable[a.commandId].push(a.keybinding)))}r.push(o),this._addToLookupMap(i)},e.whenIsEntirelyIncluded=function(e,t,n){if(e||(t=t?t.normalize():null,n=n?n.normalize():null),!n)return!0;if(!t)return!1;for(var o=t.serialize().split(" && "),i=n.serialize().split(" && "),r=Object.create(null),s=0,a=o.length;a>s;s++)r[o[s]]=!0;for(var s=0,a=i.length;a>s;s++)if(!r[i[s]])return!1;return!0},e.prototype._addToLookupMap=function(e){e.command&&(this._lookupMap[e.command]=this._lookupMap[e.command]||[],this._lookupMap[e.command].push(e))},e.prototype.getDefaultBoundCommands=function(){return this._defaultBoundCommands},e.prototype.getDefaultKeybindings=function(){var e=new u;e.writeLine("[");var t=this._defaultKeybindings.length-1;return this._defaultKeybindings.forEach(function(n,o){c.writeKeybindingItem(e,n),o!==t?e.writeLine(","):e.writeLine()}),e.writeLine("]"),e.toString()},e.prototype.lookupKeybinding=function(e){var t=this._lookupMap[e];if(!t)return[];var o=t.map(function(e){return e.keybinding}),i=this._lookupMapUnreachable[e];i&&(o=o.filter(function(e){return-1===i.indexOf(e)}));var r=[],s=o.filter(function(e){return r.indexOf(e)>=0?!1:(r.push(e),!0)});return s.map(function(e){return new n.Keybinding(e)}).reverse()},e.prototype.resolve=function(e,t,o){var i=null;if(0!==t){var r=this._chords[t];if(!r)return null;i=r[o]}else i=this._map[o];var s=this._findCommand(e,i);return s?0===t&&n.BinaryKeybindings.hasChord(s.keybinding)?{enterChord:o,commandId:null}:{enterChord:0,commandId:s.commandId}:null},e.prototype._findCommand=function(t,n){if(!n)return null;for(var o=n.length-1;o>=0;o--){var i=n[o];if(e.contextMatchesRules(t,i.when))return i}return null},e.contextMatchesRules=function(e,t){return t?t.evaluate(e):!0},e}();t.KeybindingResolver=l;var u=function(){function e(){this._lines=[],this._currentLine=""}return e.prototype.write=function(e){this._currentLine+=e},e.prototype.writeLine=function(e){void 0===e&&(e=""),this._lines.push(this._currentLine+e),this._currentLine=""},e.prototype.toString=function(){return this.writeLine(),this._lines.join("\n")},e}();t.OutputBuilder=u;var c=function(){function e(){}return e.writeKeybindingItem=function(t,n){var o=JSON.stringify(e.writeKeybinding(n.keybinding));t.write('{ "key": '+r(o+",",25)+' "command": ');var i=n.when?n.when.serialize():"",s=JSON.stringify(n.command);i.length>0?(t.write(s+","),t.writeLine(),t.write('                                     "when": "'+i+'" ')):t.write(s+" "),t.write("}")},e.readKeybindingItem=function(t,n){var o=e.readKeybinding(t.key),i=e.readKeybindingWhen(t.when);return{keybinding:o,command:t.command,when:i,weight1:1e3,weight2:n}},e.writeKeybinding=function(e,t){return void 0===t&&(t=o),n.Keybinding.toUserSettingsLabel(e,t)},e.readKeybinding=function(e,t){return void 0===t&&(t=o),n.Keybinding.fromUserSettingsLabel(e,t)},e.readKeybindingWhen=function(e){return i.KbExpr.deserialize(e)},e}();t.IOSupport=c}),define("vs/platform/markers/common/markers",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";t.IMarkerService=n.createDecorator("markerService"),function(e){e[e["transient"]=1]="transient",e[e.permanent=2]="permanent"}(t.MarkerType||(t.MarkerType={}));t.MarkerType}),define("vs/platform/message/common/message",["require","exports","vs/nls!vs/platform/message/common/message","vs/base/common/winjs.base","vs/base/common/severity","vs/platform/instantiation/common/instantiation","vs/base/common/actions"],function(e,t,n,o,i,r,s){"use strict";t.CloseAction=new s.Action("close.message",n.localize(0,null),null,!0,function(){return o.TPromise.as(!0)}),t.CancelAction=new s.Action("close.message",n.localize(1,null),null,!0,function(){return o.TPromise.as(!0)}),t.IMessageService=r.createDecorator("messageService"),t.Severity=i["default"]}),define("vs/platform/opener/common/opener",["require","exports","vs/base/common/winjs.base","vs/platform/instantiation/common/instantiation"],function(e,t,n,o){"use strict";t.IOpenerService=o.createDecorator("openerService"),t.NullOpenerService=Object.freeze({serviceId:void 0,open:function(){return n.TPromise.as(void 0)}})}),define("vs/platform/platform",["require","exports","vs/base/common/types","vs/base/common/assert"],function(e,t,n,o){"use strict";var i=function(){function e(){this.data={}}return e.prototype.add=function(e,t){o.ok(n.isString(e)),o.ok(n.isObject(t)),o.ok(!this.data.hasOwnProperty(e),"There is already an extension with this id"),this.data[e]=t},e.prototype.knows=function(e){return this.data.hasOwnProperty(e)},e.prototype.as=function(e){return this.data[e]||null},e}();t.Registry=new i;var r=function(){function e(){this.toBeInstantiated=[],this.instances=[]}return e.prototype.setInstantiationService=function(e){for(this.instantiationService=e;this.toBeInstantiated.length>0;){var t=this.toBeInstantiated.shift();this.instantiate(t)}},e.prototype.instantiate=function(e){var t=this.instantiationService.createInstance(e);this.instances.push(t)},e.prototype._register=function(e){this.instantiationService?this.instantiate(e):this.toBeInstantiated.push(e)},e.prototype._getInstances=function(){return this.instances.slice(0)},e.prototype._setInstances=function(e){this.instances=e},e}();t.BaseRegistry=r}),define("vs/editor/browser/editorBrowserExtensions",["require","exports","vs/platform/platform"],function(e,t,n){"use strict";var o;!function(e){function t(e){n.Registry.as(r.EditorContributions).registerEditorBrowserContribution(e)}function o(){return n.Registry.as(r.EditorContributions).getEditorBrowserContributions()}e.registerEditorContribution=t,e.getEditorContributions=o}(o=t.EditorBrowserRegistry||(t.EditorBrowserRegistry={}));var i=function(){function e(e){this._ctor=e}return e.prototype.createInstance=function(e,t){return e.createInstance(this._ctor,t)},e}(),r={EditorContributions:"editor.contributions"},s=function(){function e(){this.editorContributions=[]}return e.prototype.registerEditorBrowserContribution=function(e){this.editorContributions.push(new i(e))},e.prototype.getEditorBrowserContributions=function(){return this.editorContributions.slice(0)},e}();n.Registry.add(r.EditorContributions,new s)}),define("vs/editor/common/modes/modesRegistry",["require","exports","vs/nls!vs/editor/common/modes/modesRegistry","vs/base/common/event","vs/platform/platform"],function(e,t,n,o,i){"use strict";t.Extensions={ModesRegistry:"editor.modesRegistry"};var r=function(){function e(){this._onDidAddCompatModes=new o.Emitter,this.onDidAddCompatModes=this._onDidAddCompatModes.event,this._onDidAddLanguages=new o.Emitter,this.onDidAddLanguages=this._onDidAddLanguages.event,this._compatModes=[],this._languages=[]}return e.prototype.registerCompatModes=function(e){this._compatModes=this._compatModes.concat(e),this._onDidAddCompatModes.fire(e)},e.prototype.registerCompatMode=function(e){this._compatModes.push(e),this._onDidAddCompatModes.fire([e])},e.prototype.getCompatModes=function(){return this._compatModes.slice(0)},e.prototype.registerLanguage=function(e){this._languages.push(e),this._onDidAddLanguages.fire([e])},e.prototype.registerLanguages=function(e){this._languages=this._languages.concat(e),this._onDidAddLanguages.fire(e)},e.prototype.getLanguages=function(){return this._languages.slice(0)},e}();t.EditorModesRegistry=r,t.ModesRegistry=new r,i.Registry.add(t.Extensions.ModesRegistry,t.ModesRegistry),t.ModesRegistry.registerLanguage({id:"plaintext",extensions:[".txt",".gitignore"],aliases:[n.localize(0,null),"text"],mimetypes:["text/plain"]})}),define("vs/editor/common/services/languagesRegistry",["require","exports","vs/base/common/errors","vs/base/common/event","vs/base/common/mime","vs/base/common/strings","vs/editor/common/modes/modesRegistry"],function(e,t,n,o,i,r,s){"use strict";var a=Object.prototype.hasOwnProperty,l=function(){function e(e){var t=this;void 0===e&&(e=!0),this._onDidAddModes=new o.Emitter,this.onDidAddModes=this._onDidAddModes.event,this.knownModeIds={},this.mime2LanguageId={},this.name2LanguageId={},this.id2Name={},this.id2Extensions={},this.compatModes={},this.lowerName2Id={},this.id2ConfigurationFiles={},e&&(this._registerCompatModes(s.ModesRegistry.getCompatModes()),s.ModesRegistry.onDidAddCompatModes(function(e){return t._registerCompatModes(e)}),this._registerLanguages(s.ModesRegistry.getLanguages()),s.ModesRegistry.onDidAddLanguages(function(e){return t._registerLanguages(e)}))}return e.prototype._registerCompatModes=function(e){for(var t=[],n=0;n<e.length;n++){var o=e[n];this._registerLanguage({id:o.id,extensions:o.extensions,filenames:o.filenames,firstLine:o.firstLine,aliases:o.aliases,mimetypes:o.mimetypes}),this.compatModes[o.id]={moduleId:o.moduleId,ctorName:o.ctorName},t.push(o.id)}this._onDidAddModes.fire(t)},e.prototype._registerLanguages=function(e){for(var t=[],n=0;n<e.length;n++)this._registerLanguage(e[n]),t.push(e[n].id);this._onDidAddModes.fire(t)},e.prototype._setLanguageName=function(e,t,n){var o=this.id2Name[e];if(o){if(!n)return;delete this.name2LanguageId[o]}this.name2LanguageId[t]=e,this.id2Name[e]=t},e.prototype._registerLanguage=function(e){this.knownModeIds[e.id]=!0;var t=null;if("undefined"!=typeof e.mimetypes&&Array.isArray(e.mimetypes))for(var o=0;o<e.mimetypes.length;o++)t||(t=e.mimetypes[o]),this.mime2LanguageId[e.mimetypes[o]]=e.id;if(t||(t="text/x-"+e.id,this.mime2LanguageId[t]=e.id),Array.isArray(e.extensions)){this.id2Extensions[e.id]=this.id2Extensions[e.id]||[];for(var s=0,a=e.extensions;s<a.length;s++){var l=a[s];i.registerTextMime({mime:t,extension:l}),this.id2Extensions[e.id].push(l)}}if(Array.isArray(e.filenames))for(var u=0,c=e.filenames;u<c.length;u++){var d=c[u];i.registerTextMime({mime:t,filename:d})}if(Array.isArray(e.filenamePatterns))for(var h=0,p=e.filenamePatterns;h<p.length;h++){var m=p[h];i.registerTextMime({mime:t,filepattern:m})}if("string"==typeof e.firstLine&&e.firstLine.length>0){var f=e.firstLine;"^"!==f.charAt(0)&&(f="^"+f);try{var g=new RegExp(f);r.regExpLeadsToEndlessLoop(g)||i.registerTextMime({mime:t,firstline:g})}catch(v){n.onUnexpectedError(v)}}if(this.lowerName2Id[e.id.toLowerCase()]=e.id,"undefined"!=typeof e.aliases&&Array.isArray(e.aliases))for(var o=0;o<e.aliases.length;o++)e.aliases[o]&&0!==e.aliases[o].length&&(this.lowerName2Id[e.aliases[o].toLowerCase()]=e.id);var y="undefined"!=typeof e.aliases&&Array.isArray(e.aliases)&&e.aliases.length>0;if(y&&null===e.aliases[0]);else{var _=(y?e.aliases[0]:null)||e.id;this._setLanguageName(e.id,_,y)}"string"==typeof e.configuration&&(this.id2ConfigurationFiles[e.id]=this.id2ConfigurationFiles[e.id]||[],this.id2ConfigurationFiles[e.id].push(e.configuration))},e.prototype.isRegisteredMode=function(e){return a.call(this.mime2LanguageId,e)?!0:a.call(this.knownModeIds,e)},e.prototype.getRegisteredModes=function(){return Object.keys(this.knownModeIds)},e.prototype.getRegisteredLanguageNames=function(){return Object.keys(this.name2LanguageId)},e.prototype.getLanguageName=function(e){return this.id2Name[e]||null},e.prototype.getModeIdForLanguageNameLowercase=function(e){return this.lowerName2Id[e]||null},e.prototype.getConfigurationFiles=function(e){return this.id2ConfigurationFiles[e]||[]},e.prototype.getMimeForMode=function(e){for(var t=Object.keys(this.mime2LanguageId),n=0,o=t.length;o>n;n++){var i=t[n],r=this.mime2LanguageId[i];if(r===e)return i}return null},e.prototype.extractModeIds=function(e){var t=this;return e?e.split(",").map(function(e){return e.trim()}).map(function(e){return t.mime2LanguageId[e]||e}).filter(function(e){return t.knownModeIds[e]}):[]},e.prototype.getModeIdsFromLanguageName=function(e){return e&&a.call(this.name2LanguageId,e)?[this.name2LanguageId[e]]:[]},e.prototype.getModeIdsFromFilenameOrFirstLine=function(e,t){if(!e&&!t)return[];var n=i.guessMimeTypes(e,t);return this.extractModeIds(n.join(","))},e.prototype.getCompatMode=function(e){return this.compatModes[e]||null},e.prototype.getExtensions=function(e){var t=this.name2LanguageId[e];return t?this.id2Extensions[t]:[]},e}();t.LanguagesRegistry=l}),define("vs/editor/contrib/iPadShowKeyboard/browser/iPadShowKeyboard",["require","exports","vs/base/common/lifecycle","vs/base/browser/browser","vs/base/browser/dom","vs/editor/browser/editorBrowser","vs/editor/browser/editorBrowserExtensions","vs/css!./iPadShowKeyboard"],function(e,t,n,o,i,r,s){"use strict";var a=function(){function e(e){var t=this;this.editor=e,this.toDispose=[],o.isIPad&&(this.toDispose.push(e.onDidChangeConfiguration(function(){return t.update()})),this.update())}return e.prototype.update=function(){var e=!!this.widget,t=!this.editor.getConfiguration().readOnly;!e&&t?this.widget=new l(this.editor):e&&!t&&(this.widget.dispose(),this.widget=null)},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this.toDispose=n.dispose(this.toDispose),this.widget&&(this.widget.dispose(),this.widget=null)},e.ID="editor.contrib.iPadShowKeyboard",e}();t.IPadShowKeyboard=a;var l=function(){function e(e){var t=this;this.editor=e,this._domNode=document.createElement("textarea"),this._domNode.className="iPadShowKeyboard",this._toDispose=[],this._toDispose.push(i.addDisposableListener(this._domNode,"touchstart",function(e){t.editor.focus()})),this._toDispose.push(i.addDisposableListener(this._domNode,"focus",function(e){t.editor.focus()})),this.editor.addOverlayWidget(this)}return e.prototype.dispose=function(){this.editor.removeOverlayWidget(this),this._toDispose=n.dispose(this._toDispose)},e.prototype.getId=function(){return e.ID},e.prototype.getDomNode=function(){return this._domNode},e.prototype.getPosition=function(){return{preference:r.OverlayWidgetPositionPreference.BOTTOM_RIGHT_CORNER}},e.ID="editor.contrib.ShowKeyboardWidget",e}();s.EditorBrowserRegistry.registerEditorContribution(a)});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/contrib/quickOpen/browser/editorQuickOpen",["require","exports","vs/base/common/winjs.base","vs/editor/common/editorAction","vs/editor/common/editorActionEnablement","vs/editor/browser/editorBrowserExtensions","./quickOpenEditorWidget"],function(e,t,n,o,i,r,s){"use strict";var a=function(){function e(e){this.editor=e}return e.get=function(t){return t.getContribution(e.ID)},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this.widget&&(this.widget.destroy(),this.widget=null)},e.prototype.run=function(e){var t=this;this.widget&&(this.widget.destroy(),this.widget=null),this.widget||(this.widget=new s.QuickOpenEditorWidget(this.editor,function(){return e.onOk()},function(){return e.onCancel()},function(n){t.widget.setInput(e.getModel(n),e.getAutoFocus(n))},{inputAriaLabel:e.inputAriaLabel}),this.widget.show(""))},e.ID="editor.controller.quickOpenController",e}();t.QuickOpenController=a;var l=function(e){function t(t,n,o,r){void 0===r&&(r=i.Behaviour.WidgetFocus),e.call(this,t,n,r),this.label=o}return __extends(t,e),t.prototype.run=function(){var e=this;return a.get(this.editor).run({inputAriaLabel:this._getInputAriaLabel(),getModel:function(t){return e._getModel(t)},getAutoFocus:function(t){return e._getAutoFocus(t)},onOk:function(){return e._onClose(!1)},onCancel:function(){return e._onClose(!0)}}),this.lastKnownEditorSelection||(this.lastKnownEditorSelection=this.editor.getSelection()),n.TPromise.as(!0)},t.prototype._getModel=function(e){throw new Error("Subclasses to implement")},t.prototype._getAutoFocus=function(e){throw new Error("Subclasses to implement")},t.prototype._getInputAriaLabel=function(){throw new Error("Subclasses to implement")},t.prototype.decorateLine=function(e,t){var n=this;t.changeDecorations(function(t){var o=[];n.lineHighlightDecorationId&&(o.push(n.lineHighlightDecorationId),
n.lineHighlightDecorationId=null);var i=[{range:e,options:{className:"lineHighlight",isWholeLine:!0}}],r=t.deltaDecorations(o,i);n.lineHighlightDecorationId=r[0]})},t.prototype.clearDecorations=function(){var e=this;this.lineHighlightDecorationId&&this.editor.changeDecorations(function(t){t.deltaDecorations([e.lineHighlightDecorationId],[]),e.lineHighlightDecorationId=null})},t.prototype._onClose=function(e){this.clearDecorations(),e&&this.lastKnownEditorSelection&&(this.editor.setSelection(this.lastKnownEditorSelection),this.editor.revealRangeInCenterIfOutsideViewport(this.lastKnownEditorSelection)),this.lastKnownEditorSelection=null,this.editor.focus()},t.prototype.dispose=function(){e.prototype.dispose.call(this)},t}(o.EditorAction);t.BaseEditorQuickOpenAction=l,r.EditorBrowserRegistry.registerEditorContribution(a)});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/contrib/quickOpen/browser/gotoLine",["require","exports","vs/nls!vs/editor/contrib/quickOpen/browser/gotoLine","vs/base/parts/quickopen/browser/quickOpenModel","vs/base/parts/quickopen/common/quickOpen","vs/editor/common/editorCommon","./editorQuickOpen","vs/css!./gotoLine"],function(e,t,n,o,i,r,s){"use strict";var a=function(e){function t(t,n,o){e.call(this),this.editor=n,this.decorator=o,this._parseResult=this._parseInput(t)}return __extends(t,e),t.prototype._parseInput=function(e){var t,o=e.split(",").map(function(e){return parseInt(e,10)}).filter(function(e){return!isNaN(e)});t=0===o.length?{lineNumber:-1,column:-1}:1===o.length?{lineNumber:o[0],column:1}:{lineNumber:o[0],column:o[1]};var i,s=this.editor.getEditorType();switch(s){case r.EditorType.IDiffEditor:i=this.editor.getModel().modified;break;case r.EditorType.ICodeEditor:i=this.editor.getModel();break;default:throw new Error}var a,l=i.validatePosition(t).equals(t);return a=l?t.column&&t.column>1?n.localize(0,null,t.lineNumber,t.column):n.localize(1,null,t.lineNumber,t.column):t.lineNumber<1||t.lineNumber>i.getLineCount()?n.localize(2,null,i.getLineCount()):n.localize(3,null,i.getLineMaxColumn(t.lineNumber)),{position:t,isValid:l,label:a}},t.prototype.getLabel=function(){return this._parseResult.label},t.prototype.getAriaLabel=function(){return n.localize(4,null,this._parseResult.label)},t.prototype.run=function(e,t){return e===i.Mode.OPEN?this.runOpen():this.runPreview()},t.prototype.runOpen=function(){if(!this._parseResult.isValid)return!1;var e=this.toSelection();return this.editor.setSelection(e),this.editor.revealRangeInCenter(e),this.editor.focus(),!0},t.prototype.runPreview=function(){if(!this._parseResult.isValid)return this.decorator.clearDecorations(),!1;var e=this.toSelection();return this.editor.revealRangeInCenter(e),this.decorator.decorateLine(e,this.editor),!1},t.prototype.toSelection=function(){return{startLineNumber:this._parseResult.position.lineNumber,startColumn:this._parseResult.position.column,endLineNumber:this._parseResult.position.lineNumber,endColumn:this._parseResult.position.column}},t}(o.QuickOpenEntry);t.GotoLineEntry=a;var l=function(e){function t(t,o){e.call(this,t,o,n.localize(5,null))}return __extends(t,e),t.prototype._getModel=function(e){return new o.QuickOpenModel([new a(e,this.editor,this)])},t.prototype._getAutoFocus=function(e){return{autoFocusFirstEntry:e.length>0}},t.prototype._getInputAriaLabel=function(){return n.localize(6,null)},t.ID="editor.action.gotoLine",t}(s.BaseEditorQuickOpenAction);t.GotoLineAction=l});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/contrib/quickOpen/browser/quickCommand",["require","exports","vs/nls!vs/editor/contrib/quickOpen/browser/quickCommand","vs/base/common/errors","vs/base/common/filters","vs/base/common/strings","vs/base/common/winjs.base","vs/base/parts/quickopen/browser/quickOpenModel","vs/base/parts/quickopen/common/quickOpen","vs/platform/keybinding/common/keybindingService","vs/editor/common/editorActionEnablement","./editorQuickOpen"],function(e,t,n,o,i,r,s,a,l,u,c,d){"use strict";var h=function(e){function t(t,n,o,i){e.call(this),this.key=t,this.setHighlights(n),this.action=o,this.editor=i}return __extends(t,e),t.prototype.getLabel=function(){return this.action.label},t.prototype.getAriaLabel=function(){return n.localize(0,null,this.getLabel())},t.prototype.getGroupLabel=function(){return this.key},t.prototype.run=function(e,t){var n=this;return e===l.Mode.OPEN?(s.TPromise.timeout(50).done(function(){if(n.editor.focus(),n.action.enabled)try{var e=n.action.run()||s.TPromise.as(null);e.done(null,o.onUnexpectedError)}catch(t){o.onUnexpectedError(t)}},o.onUnexpectedError),!0):!1},t}(a.QuickOpenEntryGroup);t.EditorActionCommandEntry=h;var p=function(e){function t(t,o,i){e.call(this,t,o,n.localize(1,null),c.Behaviour.WidgetFocus|c.Behaviour.ShowInContextMenu),this._keybindingService=i}return __extends(t,e),t.prototype._getModel=function(e){return new a.QuickOpenModel(this._editorActionsToEntries(this.editor.getActions(),e))},t.prototype.getGroupId=function(){return"4_tools/1_commands"},t.prototype._sort=function(e,t){var n=e.getLabel().toLowerCase(),o=t.getLabel().toLowerCase();return r.localeCompare(n,o)},t.prototype._editorActionsToEntries=function(e,t){for(var n=this,o=[],r=0;r<e.length;r++){var s=e[r],a=s;if(a.isSupported()){var l=this._keybindingService.lookupKeybindings(a.id).map(function(e){return n._keybindingService.getLabelFor(e)});if(s.label){var u=i.matchesFuzzy(t,s.label);u&&o.push(new h(l.length>0?l.join(", "):"",u,s,this.editor))}}}return o=o.sort(this._sort)},t.prototype._getAutoFocus=function(e){return{autoFocusFirstEntry:!0,autoFocusPrefixMatch:e}},t.prototype._getInputAriaLabel=function(){return n.localize(2,null)},t.ID="editor.action.quickCommand",t=__decorate([__param(2,u.IKeybindingService)],t)}(d.BaseEditorQuickOpenAction);t.QuickCommandAction=p}),define("vs/languages/handlebars/common/handlebars.contribution",["require","exports","vs/editor/common/modes/modesRegistry"],function(e,t,n){"use strict";n.ModesRegistry.registerCompatMode({id:"handlebars",extensions:[".handlebars",".hbs"],aliases:["Handlebars","handlebars"],mimetypes:["text/x-handlebars-template"],moduleId:"vs/languages/handlebars/common/handlebars",ctorName:"HandlebarsMode"})}),define("vs/languages/php/common/php.contribution",["require","exports","vs/editor/common/modes/modesRegistry"],function(e,t,n){"use strict";n.ModesRegistry.registerCompatMode({id:"php",extensions:[".php",".php4",".php5",".phtml",".ctp"],aliases:["PHP","php"],mimetypes:["application/x-php"],moduleId:"vs/languages/php/common/php",ctorName:"PHPMode"})}),define("vs/languages/razor/common/razor.contribution",["require","exports","vs/editor/common/modes/modesRegistry"],function(e,t,n){"use strict";n.ModesRegistry.registerCompatMode({id:"razor",extensions:[".cshtml"],aliases:["Razor","razor"],mimetypes:["text/x-cshtml"],moduleId:"vs/languages/razor/common/razor",ctorName:"RAZORMode"})}),define("vs/platform/jsonschemas/common/jsonContributionRegistry",["require","exports","vs/nls!vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/platform","vs/base/common/eventEmitter"],function(e,t,n,o,i){"use strict";function r(e){return e.length>0&&"#"===e.charAt(e.length-1)?e.substring(0,e.length-1):e}t.Extensions={JSONContribution:"base.contributions.json"};var s=function(){function e(){this.schemasById={},this.eventEmitter=new i.EventEmitter}return e.prototype.addRegistryChangedListener=function(e){return this.eventEmitter.addListener2("registryChanged",e)},e.prototype.registerSchema=function(e,t){this.schemasById[r(e)]=t,this.eventEmitter.emit("registryChanged",{})},e.prototype.getSchemaContributions=function(){return{schemas:this.schemasById}},e}(),a=new s;o.Registry.add(t.Extensions.JSONContribution,a),a.registerSchema("http://json-schema.org/draft-04/schema#",{id:"http://json-schema.org/draft-04/schema#",title:n.localize(0,null),$schema:"http://json-schema.org/draft-04/schema#",definitions:{schemaArray:{type:"array",minItems:1,items:{$ref:"#"}},positiveInteger:{type:"integer",minimum:0},positiveIntegerDefault0:{allOf:[{$ref:"#/definitions/positiveInteger"},{"default":0}]},simpleTypes:{type:"string","enum":["array","boolean","integer","null","number","object","string"]},stringArray:{type:"array",items:{type:"string"},minItems:1,uniqueItems:!0}},type:"object",properties:{id:{type:"string",format:"uri",description:n.localize(1,null)},$schema:{type:"string",format:"uri",description:n.localize(2,null)},title:{type:"string",description:n.localize(3,null)},description:{type:"string",description:n.localize(4,null)},"default":{description:n.localize(5,null)},multipleOf:{type:"number",minimum:0,exclusiveMinimum:!0,description:n.localize(6,null)},maximum:{type:"number",description:n.localize(7,null)},exclusiveMaximum:{type:"boolean","default":!1,description:n.localize(8,null)},minimum:{type:"number",description:n.localize(9,null)},exclusiveMinimum:{type:"boolean","default":!1,description:n.localize(10,null)},maxLength:{allOf:[{$ref:"#/definitions/positiveInteger"}],description:n.localize(11,null)},minLength:{allOf:[{$ref:"#/definitions/positiveIntegerDefault0"}],description:n.localize(12,null)},pattern:{type:"string",format:"regex",description:n.localize(13,null)},additionalItems:{anyOf:[{type:"boolean"},{$ref:"#"}],"default":{},description:n.localize(14,null)},items:{anyOf:[{$ref:"#"},{$ref:"#/definitions/schemaArray"}],"default":{},description:n.localize(15,null)},maxItems:{allOf:[{$ref:"#/definitions/positiveInteger"}],description:n.localize(16,null)},minItems:{allOf:[{$ref:"#/definitions/positiveIntegerDefault0"}],description:n.localize(17,null)},uniqueItems:{type:"boolean","default":!1,description:n.localize(18,null)},maxProperties:{allOf:[{$ref:"#/definitions/positiveInteger"}],description:n.localize(19,null)},minProperties:{allOf:[{$ref:"#/definitions/positiveIntegerDefault0"}],description:n.localize(20,null)},required:{allOf:[{$ref:"#/definitions/stringArray"}],description:n.localize(21,null)},additionalProperties:{anyOf:[{type:"boolean"},{$ref:"#"}],"default":{},description:n.localize(22,null)},definitions:{type:"object",additionalProperties:{$ref:"#"},"default":{},description:n.localize(23,null)},properties:{type:"object",additionalProperties:{$ref:"#"},"default":{},description:n.localize(24,null)},patternProperties:{type:"object",additionalProperties:{$ref:"#"},"default":{},description:n.localize(25,null)},dependencies:{type:"object",additionalProperties:{anyOf:[{$ref:"#"},{$ref:"#/definitions/stringArray"}]},description:n.localize(26,null)},"enum":{type:"array",minItems:1,uniqueItems:!0,description:n.localize(27,null)},type:{anyOf:[{$ref:"#/definitions/simpleTypes"},{type:"array",items:{$ref:"#/definitions/simpleTypes"},minItems:1,uniqueItems:!0}],description:n.localize(28,null)},format:{anyOf:[{type:"string",description:n.localize(29,null),"enum":["date-time","uri","email","hostname","ipv4","ipv6","regex"]},{type:"string"}]},allOf:{allOf:[{$ref:"#/definitions/schemaArray"}],description:n.localize(30,null)},anyOf:{allOf:[{$ref:"#/definitions/schemaArray"}],description:n.localize(31,null)},oneOf:{allOf:[{$ref:"#/definitions/schemaArray"}],description:n.localize(32,null)},not:{allOf:[{$ref:"#"}],description:n.localize(33,null)}},dependencies:{exclusiveMaximum:["maximum"],exclusiveMinimum:["minimum"]},"default":{}})}),define("vs/platform/extensions/common/extensionsRegistry",["require","exports","vs/nls!vs/platform/extensions/common/extensionsRegistry","vs/base/common/errors","vs/base/common/paths","vs/base/common/severity","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/platform"],function(e,t,n,o,i,r,s,a){"use strict";function l(e,t,o){if(!t)return o.push(n.localize(0,null)),!1;if("string"!=typeof t.publisher)return o.push(n.localize(1,null,"publisher")),!1;if("string"!=typeof t.name)return o.push(n.localize(2,null,"name")),!1;if("string"!=typeof t.version)return o.push(n.localize(3,null,"version")),!1;if(!t.engines)return o.push(n.localize(4,null,"engines")),!1;if("string"!=typeof t.engines.vscode)return o.push(n.localize(5,null,"engines.vscode")),!1;if("undefined"!=typeof t.extensionDependencies&&!u(t.extensionDependencies))return o.push(n.localize(6,null,"extensionDependencies")),!1;if("undefined"!=typeof t.activationEvents){if(!u(t.activationEvents))return o.push(n.localize(7,null,"activationEvents")),!1;if("undefined"==typeof t.main)return o.push(n.localize(8,null,"activationEvents","main")),!1}if("undefined"!=typeof t.main){if("string"!=typeof t.main)return o.push(n.localize(9,null,"main")),!1;var r=i.normalize(i.join(e,t.main));if(r.indexOf(e)&&o.push(n.localize(10,null,r,e)),"undefined"==typeof t.activationEvents)return o.push(n.localize(11,null,"activationEvents","main")),!1}return!0}function u(e){if(!Array.isArray(e))return!1;for(var t=0,n=e.length;n>t;t++)if("string"!=typeof e[t])return!1;return!0}var c=function(){function e(e,t){this._messageHandler=e,this._source=t}return e.prototype._msg=function(e,t){this._messageHandler({type:e,message:t,source:this._source})},e.prototype.error=function(e){this._msg(r["default"].Error,e)},e.prototype.warn=function(e){this._msg(r["default"].Warning,e)},e.prototype.info=function(e){this._msg(r["default"].Info,e)},e}();t.isValidExtensionDescription=l;var d=Object.hasOwnProperty,h=a.Registry.as(s.Extensions.JSONContribution),p=function(){function e(e,t){this.name=e,this._registry=t,this._handler=null,this._messageHandler=null}return e.prototype.setHandler=function(e){if(this._handler)throw new Error("Handler already set!");this._handler=e,this._handle()},e.prototype.handle=function(e){this._messageHandler=e,this._handle()},e.prototype._handle=function(){var e=this;this._handler&&this._messageHandler&&this._registry.registerPointListener(this.name,function(t){var n=t.map(function(t){return{description:t,value:t.contributes[e.name],collector:new c(e._messageHandler,t.extensionFolderPath)}});e._handler(n)})},e}(),m="vscode://schemas/vscode-extensions",f={"default":{name:"{{name}}",description:"{{description}}",author:"{{author}}",version:"{{1.0.0}}",main:"{{pathToMain}}",dependencies:{}},properties:{displayName:{description:n.localize(12,null),type:"string"},categories:{description:n.localize(13,null),type:"array",items:{type:"string","enum":["Languages","Snippets","Linters","Themes","Debuggers","Other"]}},galleryBanner:{type:"object",description:n.localize(14,null),properties:{color:{description:n.localize(15,null),type:"string"},theme:{description:n.localize(16,null),type:"string","enum":["dark","light"]}}},publisher:{description:n.localize(17,null),type:"string"},activationEvents:{description:n.localize(18,null),type:"array",items:{type:"string"}},extensionDependencies:{description:n.localize(19,null),type:"array",items:{type:"string"}},scripts:{type:"object",properties:{"vscode:prepublish":{description:n.localize(20,null),type:"string"}}},contributes:{description:n.localize(21,null),type:"object",properties:{},"default":{}}}},g=function(){function e(){this._extensionsMap={},this._extensionsArr=[],this._activationMap={},this._pointListeners=[],this._extensionPoints={},this._oneTimeActivationEventListeners={}}return e.prototype.registerPointListener=function(t,n){var o={extensionPoint:t,listener:n};this._pointListeners.push(o),this._triggerPointListener(o,e._filterWithExtPoint(this.getAllExtensionDescriptions(),t))},e.prototype.registerExtensionPoint=function(e,t){if(d.call(this._extensionPoints,e))throw new Error("Duplicate extension point: "+e);var n=new p(e,this);return this._extensionPoints[e]=n,f.properties.contributes.properties[e]=t,h.registerSchema(m,f),n},e.prototype.handleExtensionPoints=function(e){var t=this;Object.keys(this._extensionPoints).forEach(function(n){t._extensionPoints[n].handle(e)})},e.prototype._triggerPointListener=function(e,t){if(t&&0!==t.length)try{e.listener(t)}catch(n){o.onUnexpectedError(n)}},e.prototype.registerExtensions=function(t){for(var n=0,o=t.length;o>n;n++){var i=t[n];if(d.call(this._extensionsMap,i.id))console.error("Extension `"+i.id+"` is already registered");else if(this._extensionsMap[i.id]=i,this._extensionsArr.push(i),Array.isArray(i.activationEvents))for(var r=0,s=i.activationEvents.length;s>r;r++){var a=i.activationEvents[r];this._activationMap[a]=this._activationMap[a]||[],this._activationMap[a].push(i)}}for(var n=0,o=this._pointListeners.length;o>n;n++){var l=this._pointListeners[n],u=e._filterWithExtPoint(t,l.extensionPoint);this._triggerPointListener(l,u)}},e._filterWithExtPoint=function(e,t){return e.filter(function(e){return e.contributes&&d.call(e.contributes,t)})},e.prototype.getExtensionDescriptionsForActivationEvent=function(e){return d.call(this._activationMap,e)?this._activationMap[e].slice(0):[]},e.prototype.getAllExtensionDescriptions=function(){return this._extensionsArr.slice(0)},e.prototype.getExtensionDescription=function(e){return d.call(this._extensionsMap,e)?this._extensionsMap[e]:null},e.prototype.registerOneTimeActivationEventListener=function(e,t){d.call(this._oneTimeActivationEventListeners,e)||(this._oneTimeActivationEventListeners[e]=[]),this._oneTimeActivationEventListeners[e].push(t)},e.prototype.triggerActivationEventListeners=function(e){if(d.call(this._oneTimeActivationEventListeners,e)){var t=this._oneTimeActivationEventListeners[e];delete this._oneTimeActivationEventListeners[e];for(var n=0,i=t.length;i>n;n++){var r=t[n];try{r()}catch(s){o.onUnexpectedError(s)}}}},e}(),v={ExtensionsRegistry:"ExtensionsRegistry"};a.Registry.add(v.ExtensionsRegistry,new g),t.ExtensionsRegistry=a.Registry.as(v.ExtensionsRegistry),h.registerSchema(m,f)}),define("vs/platform/configuration/common/configurationRegistry",["require","exports","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/base/common/event","vs/platform/platform","vs/base/common/objects","vs/platform/extensions/common/extensionsRegistry","vs/platform/jsonschemas/common/jsonContributionRegistry"],function(e,t,n,o,i,r,s,a){"use strict";t.Extensions={Configuration:"base.contributions.configuration"};var l="vscode://schemas/settings",u=i.Registry.as(a.Extensions.JSONContribution),c=function(){function e(){this.configurationContributors=[],this.configurationSchema={allOf:[]},this._onDidRegisterConfiguration=new o.Emitter,u.registerSchema(l,this.configurationSchema)}return Object.defineProperty(e.prototype,"onDidRegisterConfiguration",{get:function(){return this._onDidRegisterConfiguration.event},enumerable:!0,configurable:!0}),e.prototype.registerConfiguration=function(e){this.configurationContributors.push(e),this.registerJSONConfiguration(e),this._onDidRegisterConfiguration.fire(this)},e.prototype.getConfigurations=function(){return this.configurationContributors.slice(0)},e.prototype.registerJSONConfiguration=function(e){var t=r.clone(e);this.configurationSchema.allOf.push(t),u.registerSchema(l,this.configurationSchema)},e}(),d=new c;i.Registry.add(t.Extensions.Configuration,d);var h=s.ExtensionsRegistry.registerExtensionPoint("configuration",{description:n.localize(0,null),type:"object",defaultSnippets:[{body:{title:"",properties:{}}}],properties:{title:{description:n.localize(1,null),type:"string"},properties:{description:n.localize(2,null),type:"object",additionalProperties:{$ref:"http://json-schema.org/draft-04/schema#"}}}});h.setHandler(function(e){for(var t=0;t<e.length;t++){var o=e[t].value,i=e[t].collector;if(o.type&&"object"!==o.type?i.warn(n.localize(3,null)):o.type="object",o.title&&"string"!=typeof o.title&&i.error(n.localize(4,null)),o.properties&&"object"!=typeof o.properties)return void i.error(n.localize(5,null));var s=r.clone(o);s.id=e[t].description.id,d.registerConfiguration(s)}})});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/config/commonEditorConfig",["require","exports","vs/nls!vs/editor/common/config/commonEditorConfig","vs/base/common/event","vs/base/common/lifecycle","vs/base/common/objects","vs/base/common/platform","vs/platform/configuration/common/configurationRegistry","vs/platform/platform","vs/editor/common/config/defaultConfig","vs/editor/common/editorCommon","vs/editor/common/viewLayout/editorLayoutProvider","vs/base/browser/ui/scrollbar/scrollableElementOptions"],function(e,t,n,o,i,r,s,a,l,u,c,d,h){"use strict";function p(e){return"false"===e?!1:Boolean(e)}function m(e,t){return"undefined"==typeof e?t:p(e)}function f(e,t){var n=parseFloat(e);return isNaN(n)&&(n=t),n}function g(e,t,n){var o=parseInt(e,10);return isNaN(o)&&(o=0),"number"==typeof t&&(o=Math.max(t,o)),"number"==typeof n&&(o=Math.min(n,o)),o}function v(e){if(!Array.isArray(e))return[];var t=e,n=t.map(function(e){return g(e)});return n.sort(),n}function y(e){return"indent"===e?c.WrappingIndent.Indent:"same"===e?c.WrappingIndent.Same:c.WrappingIndent.None}function _(e){return"line"===e?c.TextEditorCursorStyle.Line:"block"===e?c.TextEditorCursorStyle.Block:"underline"===e?c.TextEditorCursorStyle.Underline:c.TextEditorCursorStyle.Line}function b(e,t){return"undefined"==typeof e?t:g(e)}var C=function(){function e(){}return e.getValue=function(){return this._value},e.setValue=function(e){this._value!==e&&(this._value=e,this._onChange.fire(this._value))},e._value=!1,e._onChange=new o.Emitter,e.onChange=e._onChange.event,e}();t.GlobalScreenReaderNVDA=C;var w=function(){function e(e){this._editor=r.clone(u.DefaultConfig.editor),this._mergeOptionsIn(e)}return e.prototype.getEditorOptions=function(){return this._editor},e.prototype._mergeOptionsIn=function(e){this._editor=r.mixin(this._editor,e||{})},e.prototype.updateOptions=function(e){this._mergeOptionsIn(e)},e}();t.ConfigurationWithDefaults=w;var E=function(){function e(){}return e.createInternalEditorOptions=function(e,t,n,o,i,r,s,a){var l,u=g(n.wrappingColumn,-1);l="undefined"!=typeof n.stopRenderingLineAfter?g(n.stopRenderingLineAfter,-1):u>=0?-1:1e4;var h=f(n.mouseWheelScrollSensitivity,1),m=this._sanitizeScrollbarOpts(n.scrollbar,h),b=p(n.glyphMargin),C=n.lineNumbers,w=g(n.lineNumbersMinChars,1),E=g(n.lineDecorationsWidth,0);n.folding&&(E+=16);var S=d.EditorLayoutProvider.compute({outerWidth:e,outerHeight:t,showGlyphMargin:b,lineHeight:o.lineHeight,showLineNumbers:!!C,lineNumbersMinChars:w,lineDecorationsWidth:E,maxDigitWidth:o.maxDigitWidth,lineCount:s,verticalScrollbarWidth:m.verticalScrollbarSize,horizontalScrollbarHeight:m.horizontalScrollbarSize,scrollbarArrowSize:m.arrowSize,verticalScrollbarHasArrows:m.verticalHasArrows});r&&u>0&&(u=0);var x;x=0===u?{isViewportWrapping:!0,wrappingColumn:Math.max(1,Math.floor((S.contentWidth-S.verticalScrollbarWidth)/o.typicalHalfwidthCharacterWidth))}:u>0?{isViewportWrapping:!1,wrappingColumn:u}:{isViewportWrapping:!1,wrappingColumn:-1};var T=new c.EditorWrappingInfo({isViewportWrapping:x.isViewportWrapping,wrappingColumn:x.wrappingColumn,wrappingIndent:y(n.wrappingIndent),wordWrapBreakBeforeCharacters:String(n.wordWrapBreakBeforeCharacters),wordWrapBreakAfterCharacters:String(n.wordWrapBreakAfterCharacters),wordWrapBreakObtrusiveCharacters:String(n.wordWrapBreakObtrusiveCharacters)}),L=p(n.readOnly),M=p(n.tabFocusMode);L&&(M=!0);var N=new c.InternalEditorViewOptions({theme:n.theme,canUseTranslate3d:a,experimentalScreenReader:p(n.experimentalScreenReader),rulers:v(n.rulers),ariaLabel:String(n.ariaLabel),lineNumbers:C,selectOnLineNumbers:p(n.selectOnLineNumbers),glyphMargin:b,revealHorizontalRightPadding:g(n.revealHorizontalRightPadding,0),roundedSelection:p(n.roundedSelection),overviewRulerLanes:g(n.overviewRulerLanes,0,3),cursorBlinking:n.cursorBlinking,cursorStyle:_(n.cursorStyle),hideCursorInOverviewRuler:p(n.hideCursorInOverviewRuler),scrollBeyondLastLine:p(n.scrollBeyondLastLine),editorClassName:i,stopRenderingLineAfter:l,renderWhitespace:p(n.renderWhitespace),indentGuides:p(n.indentGuides),scrollbar:m}),I=new c.EditorContribOptions({selectionClipboard:p(n.selectionClipboard),hover:p(n.hover),contextmenu:p(n.contextmenu),quickSuggestions:p(n.quickSuggestions),quickSuggestionsDelay:g(n.quickSuggestionsDelay),iconsInSuggestions:p(n.iconsInSuggestions),formatOnType:p(n.formatOnType),suggestOnTriggerCharacters:p(n.suggestOnTriggerCharacters),acceptSuggestionOnEnter:p(n.acceptSuggestionOnEnter),selectionHighlight:p(n.selectionHighlight),outlineMarkers:p(n.outlineMarkers),referenceInfos:p(n.referenceInfos),folding:p(n.folding)});return new c.InternalEditorOptions({lineHeight:o.lineHeight,readOnly:L,wordSeparators:String(n.wordSeparators),autoClosingBrackets:p(n.autoClosingBrackets),useTabStops:p(n.useTabStops),tabFocusMode:M,layoutInfo:S,fontInfo:o,viewInfo:N,wrappingInfo:T,contribInfo:I})},e._sanitizeScrollbarOpts=function(e,t){var n=function(e){switch(e){case"hidden":return h.ScrollbarVisibility.Hidden;case"visible":return h.ScrollbarVisibility.Visible;default:return h.ScrollbarVisibility.Auto}},o=b(e.horizontalScrollbarSize,10),i=b(e.verticalScrollbarSize,14);return new c.InternalEditorScrollbarOptions({vertical:n(e.vertical),horizontal:n(e.horizontal),arrowSize:b(e.arrowSize,11),useShadows:m(e.useShadows,!0),verticalHasArrows:m(e.verticalHasArrows,!1),horizontalHasArrows:m(e.horizontalHasArrows,!1),horizontalScrollbarSize:o,horizontalSliderSize:b(e.horizontalSliderSize,o),verticalScrollbarSize:i,verticalSliderSize:b(e.verticalSliderSize,i),handleMouseWheel:m(e.handleMouseWheel,!0),mouseWheelScrollSensitivity:t})},e}(),S=function(e){function t(t,n){void 0===n&&(n=null),e.call(this),this._onDidChange=this._register(new o.Emitter),this.onDidChange=this._onDidChange.event,this._configWithDefaults=new w(t),this._elementSizeObserver=n,this._isDominatedByLongLines=!1,this._lineCount=1,this.editor=this._computeInternalOptions(),this.editorClone=this.editor.clone()}return __extends(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype._recomputeOptions=function(){this._setOptions(this._computeInternalOptions())},t.prototype._setOptions=function(e){if(!this.editor||!this.editor.equals(e)){var t=this.editor.createChangeEvent(e);this.editor=e,this.editorClone=this.editor.clone(),this._onDidChange.fire(t)}},t.prototype.getRawOptions=function(){return this._configWithDefaults.getEditorOptions()},t.prototype._computeInternalOptions=function(){var e=this._configWithDefaults.getEditorOptions(),t=this._getEditorClassName(e.theme,p(e.fontLigatures)),n=String(e.fontFamily)||u.DefaultConfig.editor.fontFamily,o=g(e.fontSize,0,100)||u.DefaultConfig.editor.fontSize,i=g(e.lineHeight,0,150);0===i&&(i=Math.round(u.GOLDEN_LINE_HEIGHT_RATIO*o));var r=p(e.disableTranslate3d),s=this._getCanUseTranslate3d();return r&&(s=!1),E.createInternalEditorOptions(this.getOuterWidth(),this.getOuterHeight(),e,this.readConfiguration(new c.BareFontInfo({fontFamily:n,fontSize:o,lineHeight:i})),t,this._isDominatedByLongLines,this._lineCount,s)},t.prototype.updateOptions=function(e){this._configWithDefaults.updateOptions(e),this._recomputeOptions()},t.prototype.setIsDominatedByLongLines=function(e){this._isDominatedByLongLines=e,this._recomputeOptions()},t.prototype.setLineCount=function(e){this._lineCount=e,this._recomputeOptions()},t}(i.Disposable);t.CommonEditorConfiguration=S;var x=function(){function e(){}return e.apply=function(t,n){if(t){var o=n;Array.isArray(n)||(o=[n]);for(var i=0;i<o.length;i++){var s=o[i];if(s&&"function"==typeof s.updateOptions){var a=s.getEditorType();if(a!==c.EditorType.ICodeEditor&&a!==c.EditorType.IDiffEditor)continue;var l=t[e.EDITOR_SECTION];if(a===c.EditorType.IDiffEditor){var u=t[e.DIFF_EDITOR_SECTION];u&&(l=l?r.mixin(l,u):u)}l&&(delete l.readOnly,s.updateOptions(l))}}}},e.EDITOR_SECTION="editor",e.DIFF_EDITOR_SECTION="diffEditor",e}();t.EditorConfiguration=x;var T=l.Registry.as(a.Extensions.Configuration),L={id:"editor",order:5,type:"object",title:n.localize(0,null),properties:{"editor.fontFamily":{type:"string","default":u.DefaultConfig.editor.fontFamily,description:n.localize(1,null)},"editor.fontSize":{type:"number","default":u.DefaultConfig.editor.fontSize,description:n.localize(2,null)},"editor.lineHeight":{type:"number","default":u.DefaultConfig.editor.lineHeight,description:n.localize(3,null)},"editor.lineNumbers":{type:"boolean","default":u.DefaultConfig.editor.lineNumbers,description:n.localize(4,null)},"editor.glyphMargin":{type:"boolean","default":u.DefaultConfig.editor.glyphMargin,description:n.localize(5,null)},"editor.rulers":{type:"array",items:{type:"number"},"default":u.DefaultConfig.editor.rulers,description:n.localize(6,null)},"editor.wordSeparators":{type:"string","default":u.DefaultConfig.editor.wordSeparators,description:n.localize(7,null)},"editor.tabSize":{type:"number","default":u.DEFAULT_INDENTATION.tabSize,minimum:1,description:n.localize(8,null),errorMessage:n.localize(9,null)},"editor.insertSpaces":{type:"boolean","default":u.DEFAULT_INDENTATION.insertSpaces,description:n.localize(10,null),errorMessage:n.localize(11,null)},"editor.detectIndentation":{type:"boolean","default":u.DEFAULT_INDENTATION.detectIndentation,description:n.localize(12,null)},"editor.roundedSelection":{type:"boolean","default":u.DefaultConfig.editor.roundedSelection,description:n.localize(13,null)},"editor.scrollBeyondLastLine":{type:"boolean","default":u.DefaultConfig.editor.scrollBeyondLastLine,description:n.localize(14,null)},"editor.wrappingColumn":{type:"integer","default":u.DefaultConfig.editor.wrappingColumn,minimum:-1,description:n.localize(15,null)},"editor.wrappingIndent":{type:"string","enum":["none","same","indent"],"default":u.DefaultConfig.editor.wrappingIndent,description:n.localize(16,null)},"editor.mouseWheelScrollSensitivity":{type:"number","default":u.DefaultConfig.editor.mouseWheelScrollSensitivity,description:n.localize(17,null)},"editor.quickSuggestions":{type:"boolean","default":u.DefaultConfig.editor.quickSuggestions,description:n.localize(18,null)},"editor.quickSuggestionsDelay":{type:"integer","default":u.DefaultConfig.editor.quickSuggestionsDelay,minimum:0,description:n.localize(19,null)},"editor.autoClosingBrackets":{type:"boolean","default":u.DefaultConfig.editor.autoClosingBrackets,description:n.localize(20,null)},"editor.formatOnType":{type:"boolean","default":u.DefaultConfig.editor.formatOnType,description:n.localize(21,null)},"editor.suggestOnTriggerCharacters":{type:"boolean","default":u.DefaultConfig.editor.suggestOnTriggerCharacters,description:n.localize(22,null)},"editor.acceptSuggestionOnEnter":{type:"boolean","default":u.DefaultConfig.editor.acceptSuggestionOnEnter,description:n.localize(23,null)},"editor.selectionHighlight":{type:"boolean","default":u.DefaultConfig.editor.selectionHighlight,description:n.localize(24,null)},"editor.overviewRulerLanes":{type:"integer","default":3,description:n.localize(25,null)},"editor.cursorBlinking":{type:"string","enum":["blink","visible","hidden"],"default":u.DefaultConfig.editor.cursorBlinking,description:n.localize(26,null)},"editor.cursorStyle":{type:"string","enum":["block","line"],"default":u.DefaultConfig.editor.cursorStyle,description:n.localize(27,null)},"editor.fontLigatures":{type:"boolean","default":u.DefaultConfig.editor.fontLigatures,description:n.localize(28,null)},"editor.hideCursorInOverviewRuler":{
type:"boolean","default":u.DefaultConfig.editor.hideCursorInOverviewRuler,description:n.localize(29,null)},"editor.renderWhitespace":{type:"boolean","default":u.DefaultConfig.editor.renderWhitespace,description:n.localize(30,null)},"editor.referenceInfos":{type:"boolean","default":u.DefaultConfig.editor.referenceInfos,description:n.localize(31,null)},"editor.folding":{type:"boolean","default":u.DefaultConfig.editor.folding,description:n.localize(32,null)},"editor.useTabStops":{type:"boolean","default":u.DefaultConfig.editor.useTabStops,description:n.localize(33,null)},"editor.trimAutoWhitespace":{type:"boolean","default":u.DEFAULT_TRIM_AUTO_WHITESPACE,description:n.localize(34,null)},"editor.stablePeek":{type:"boolean","default":!1,description:n.localize(35,null)},"diffEditor.renderSideBySide":{type:"boolean","default":!0,description:n.localize(36,null)},"diffEditor.ignoreTrimWhitespace":{type:"boolean","default":!0,description:n.localize(37,null)}}};s.isLinux&&(L.properties["editor.selectionClipboard"]={type:"boolean","default":u.DefaultConfig.editor.selectionClipboard,description:n.localize(38,null)}),T.registerConfiguration(L)});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/config/configuration",["require","exports","vs/base/common/event","vs/base/common/lifecycle","vs/base/common/platform","vs/base/browser/browser","vs/editor/common/config/commonEditorConfig","vs/editor/common/editorCommon","vs/editor/browser/config/elementSizeObserver"],function(e,t,n,o,i,r,s,a,l){"use strict";var u=function(){function e(){this._keys=Object.create(null),this._values=Object.create(null)}return e.prototype.has=function(e){return!!this._values[e.getId()]},e.prototype.get=function(e){return this._values[e.getId()]},e.prototype.put=function(e,t){this._keys[e.getId()]=e,this._values[e.getId()]=t},e.prototype.getKeys=function(){var e=this;return Object.keys(this._keys).map(function(t){return e._keys[t]})},e}(),c=function(){function e(e){this._chr=e,this._width=0}return Object.defineProperty(e.prototype,"width",{get:function(){return this._width},enumerable:!0,configurable:!0}),e.prototype.render=function(e){if(" "===this._chr){for(var t="&nbsp;",n=0;8>n;n++)t+=t;e.innerHTML=t}else{for(var o=this._chr,n=0;8>n;n++)o+=o;e.textContent=o}},e.prototype.read=function(e){this._width=e.offsetWidth/256},e}(),d=function(e){function t(){e.call(this),this._changeMonitorTimeout=-1,this._onDidChange=this._register(new n.Emitter),this.onDidChange=this._onDidChange.event,this._cache=new u}return __extends(t,e),t.prototype.dispose=function(){-1!==this._changeMonitorTimeout&&(clearTimeout(this._changeMonitorTimeout),this._changeMonitorTimeout=-1),e.prototype.dispose.call(this)},t.prototype.readConfiguration=function(e){if(!this._cache.has(e)){var n=t._actualReadConfiguration(e);(n.typicalHalfwidthCharacterWidth<=2||n.typicalFullwidthCharacterWidth<=2||n.spaceWidth<=2||n.maxDigitWidth<=2)&&(n.typicalHalfwidthCharacterWidth=Math.max(n.typicalHalfwidthCharacterWidth,5),n.typicalFullwidthCharacterWidth=Math.max(n.typicalFullwidthCharacterWidth,5),n.spaceWidth=Math.max(n.spaceWidth,5),n.maxDigitWidth=Math.max(n.maxDigitWidth,5),this._installChangeMonitor()),this._cache.put(e,n)}return this._cache.get(e)},t.prototype._installChangeMonitor=function(){var e=this;-1===this._changeMonitorTimeout&&(this._changeMonitorTimeout=setTimeout(function(){e._changeMonitorTimeout=-1,e._monitorForChanges()},500))},t.prototype._monitorForChanges=function(){for(var e=!1,n=this._cache.getKeys(),o=0;o<n.length;o++){var i=n[o],r=t._actualReadConfiguration(i);r.typicalHalfwidthCharacterWidth<=2||r.typicalFullwidthCharacterWidth<=2||r.maxDigitWidth<=2?e=!0:(this._cache.put(i,r),this._onDidChange.fire())}e&&this._installChangeMonitor()},t._testElementId=function(e){return"editorSizeProvider"+e},t._createTestElements=function(e,t){var n=document.createElement("div");h.applyFontInfoSlow(n,e),n.style.position="absolute",n.style.top="-50000px",n.style.width="50000px";for(var o=0,i=t.length;i>o;o++){n.appendChild(document.createElement("br"));var r=document.createElement("span");r.id=this._testElementId(o),t[o].render(r),n.appendChild(r)}return n.appendChild(document.createElement("br")),n},t._readFromTestElements=function(e){for(var t=0,n=e.length;n>t;t++)e[t].read(document.getElementById(this._testElementId(t)))},t._runReaders=function(e,t){var n=this._createTestElements(e,t);document.body.appendChild(n),this._readFromTestElements(t),document.body.removeChild(n)},t._actualReadConfiguration=function(e){var t=new c("n"),n=new c("ｍ"),o=new c(" "),i=["0","1","2","3","4","5","6","7","8","9"].map(function(e){return new c(e)});this._runReaders(e,i.concat([t,n,o]));for(var r=0,s=0,l=i.length;l>s;s++)r=Math.max(r,i[s].width);return new a.FontInfo({fontFamily:e.fontFamily,fontSize:e.fontSize,lineHeight:e.lineHeight,typicalHalfwidthCharacterWidth:t.width,typicalFullwidthCharacterWidth:n.width,spaceWidth:o.width,maxDigitWidth:r})},t.INSTANCE=new t,t}(o.Disposable),h=function(e){function t(t,n){var o=this;void 0===n&&(n=null),e.call(this,t,new l.ElementSizeObserver(n,function(){return o._onReferenceDomElementSizeChanged()})),this._register(d.INSTANCE.onDidChange(function(){return function(){return o._onCSSBasedConfigurationChanged()}})),this._configWithDefaults.getEditorOptions().automaticLayout&&this._elementSizeObserver.startObserving(),this._register(r.onDidChangeZoomLevel(function(e){return o._recomputeOptions()}))}return __extends(t,e),t.applyFontInfoSlow=function(e,t){e.style.fontFamily=t.fontFamily,e.style.fontSize=t.fontSize+"px",e.style.lineHeight=t.lineHeight+"px"},t.applyFontInfo=function(e,t){e.setFontFamily(t.fontFamily),e.setFontSize(t.fontSize),e.setLineHeight(t.lineHeight)},t.prototype._onReferenceDomElementSizeChanged=function(){this._recomputeOptions()},t.prototype._onCSSBasedConfigurationChanged=function(){this._recomputeOptions()},t.prototype.observeReferenceElement=function(e){this._elementSizeObserver.observe(e)},t.prototype.dispose=function(){this._elementSizeObserver.dispose(),e.prototype.dispose.call(this)},t.prototype._getEditorClassName=function(e,t){var n="";return r.isIE11orEarlier?n+="ie ":r.isFirefox&&(n+="ff "),r.isIE9&&(n+="ie9 "),i.isMacintosh&&(n+="mac "),t&&(n+="enable-ligatures "),"monaco-editor "+n+e},t.prototype.getOuterWidth=function(){return this._elementSizeObserver.getWidth()},t.prototype.getOuterHeight=function(){return this._elementSizeObserver.getHeight()},t.prototype._getCanUseTranslate3d=function(){return r.canUseTranslate3d&&0===r.getZoomLevel()},t.prototype.readConfiguration=function(e){return d.INSTANCE.readConfiguration(e)},t}(s.CommonEditorConfiguration);t.Configuration=h});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/controller/keyboardHandler",["require","exports","vs/base/common/event","vs/base/common/lifecycle","vs/base/browser/browser","vs/base/browser/dom","vs/base/browser/styleMutator","vs/editor/common/config/commonEditorConfig","vs/editor/common/controller/textAreaHandler","vs/editor/common/controller/textAreaState","vs/editor/common/core/range","vs/editor/common/editorCommon","vs/editor/common/viewModel/viewEventHandler","vs/editor/browser/config/configuration"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p){"use strict";var m=function(){function e(e){this._event=e}return e.prototype.canUseTextData=function(){return this._event.clipboardData?!0:!!window.clipboardData},e.prototype.setTextData=function(e){if(this._event.clipboardData)return this._event.clipboardData.setData("text/plain",e),void this._event.preventDefault();if(window.clipboardData)return window.clipboardData.setData("Text",e),void this._event.preventDefault();throw new Error("ClipboardEventWrapper.setTextData: Cannot use text data!")},e.prototype.getTextData=function(){if(this._event.clipboardData)return this._event.preventDefault(),this._event.clipboardData.getData("text/plain");if(window.clipboardData)return this._event.preventDefault(),window.clipboardData.getData("Text");throw new Error("ClipboardEventWrapper.getTextData: Cannot use text data!")},e}(),f=function(){function e(e){this._actual=e}return e.prototype.equals=function(e){return this._actual.equals(e)},e.prototype.preventDefault=function(){this._actual.preventDefault()},e.prototype.isDefaultPrevented=function(){return this._actual.browserEvent?this._actual.browserEvent.defaultPrevented:!1},e}(),g=function(e){function t(t){var o=this;e.call(this),this._onKeyDown=this._register(new n.Emitter),this.onKeyDown=this._onKeyDown.event,this._onKeyUp=this._register(new n.Emitter),this.onKeyUp=this._onKeyUp.event,this._onKeyPress=this._register(new n.Emitter),this.onKeyPress=this._onKeyPress.event,this._onCompositionStart=this._register(new n.Emitter),this.onCompositionStart=this._onCompositionStart.event,this._onCompositionUpdate=this._register(new n.Emitter),this.onCompositionUpdate=this._onCompositionUpdate.event,this._onCompositionEnd=this._register(new n.Emitter),this.onCompositionEnd=this._onCompositionEnd.event,this._onInput=this._register(new n.Emitter),this.onInput=this._onInput.event,this._onCut=this._register(new n.Emitter),this.onCut=this._onCut.event,this._onCopy=this._register(new n.Emitter),this.onCopy=this._onCopy.event,this._onPaste=this._register(new n.Emitter),this.onPaste=this._onPaste.event,this._textArea=t,this._register(r.addStandardDisposableListener(this._textArea,"keydown",function(e){return o._onKeyDown.fire(new f(e))})),this._register(r.addStandardDisposableListener(this._textArea,"keyup",function(e){return o._onKeyUp.fire(new f(e))})),this._register(r.addStandardDisposableListener(this._textArea,"keypress",function(e){return o._onKeyPress.fire(new f(e))})),this._register(r.addDisposableListener(this._textArea,"compositionstart",function(e){return o._onCompositionStart.fire(e)})),this._register(r.addDisposableListener(this._textArea,"compositionupdate",function(e){return o._onCompositionUpdate.fire(e)})),this._register(r.addDisposableListener(this._textArea,"compositionend",function(e){return o._onCompositionEnd.fire(e)})),this._register(r.addDisposableListener(this._textArea,"input",function(e){return o._onInput.fire()})),this._register(r.addDisposableListener(this._textArea,"cut",function(e){return o._onCut.fire(new m(e))})),this._register(r.addDisposableListener(this._textArea,"copy",function(e){return o._onCopy.fire(new m(e))})),this._register(r.addDisposableListener(this._textArea,"paste",function(e){return o._onPaste.fire(new m(e))}))}return __extends(t,e),Object.defineProperty(t.prototype,"actual",{get:function(){return this._textArea},enumerable:!0,configurable:!0}),t.prototype.getValue=function(){return this._textArea.value},t.prototype.setValue=function(e,t){this._textArea.value=t},t.prototype.getSelectionStart=function(){return this._textArea.selectionStart},t.prototype.getSelectionEnd=function(){return this._textArea.selectionEnd},t.prototype.setSelectionRange=function(e,t){var n=document.activeElement;n===this._textArea?this._textArea.setSelectionRange(e,t):this._setSelectionRangeJumpy(e,t)},t.prototype._setSelectionRangeJumpy=function(e,t){try{var n=r.saveParentsScrollTop(this._textArea);this._textArea.focus(),this._textArea.setSelectionRange(e,t),r.restoreParentsScrollTop(this._textArea,n)}catch(o){console.log("an error has been thrown!")}},t.prototype.isInOverwriteMode=function(){return!(!i.isIE11orEarlier||!document.queryCommandValue("OverWrite"))},t}(o.Disposable),v=function(e){function t(t,n,o){var u=this;e.call(this),this._lastCursorSelectionChanged=null,this._context=t,this.viewController=n,this.textArea=new g(o.textArea),p.Configuration.applyFontInfoSlow(this.textArea.actual,this._context.configuration.editor.fontInfo),this.viewHelper=o,this.contentLeft=0,this.contentWidth=0,this.scrollLeft=0,this.textAreaHandler=new l.TextAreaHandler(i,this._getStrategy(),this.textArea,this._context.model,function(){return u.viewHelper.flushAnyAccumulatedEvents()}),this._toDispose=[],this._toDispose.push(this.textAreaHandler.onKeyDown(function(e){return u.viewController.emitKeyDown(e._actual)})),this._toDispose.push(this.textAreaHandler.onKeyUp(function(e){return u.viewController.emitKeyUp(e._actual)})),this._toDispose.push(this.textAreaHandler.onPaste(function(e){return u.viewController.paste("keyboard",e.text,e.pasteOnNewLine)})),this._toDispose.push(this.textAreaHandler.onCut(function(e){return u.viewController.cut("keyboard")})),this._toDispose.push(this.textAreaHandler.onType(function(e){e.replaceCharCnt?u.viewController.replacePreviousChar("keyboard",e.text,e.replaceCharCnt):u.viewController.type("keyboard",e.text)})),this._toDispose.push(this.textAreaHandler.onCompositionStart(function(e){var t=e.showAtLineNumber,n=e.showAtColumn,o={range:new c.Range(t,n,t,n),verticalType:d.VerticalRevealType.Simple,revealHorizontal:!0};u._context.privateViewEventBus.emit(d.ViewEventNames.RevealRangeEvent,o),u.visibleRange=u.viewHelper.visibleRangeForPositionRelativeToEditor(t,n),u.visibleRange&&(s.StyleMutator.setTop(u.textArea.actual,u.visibleRange.top),s.StyleMutator.setLeft(u.textArea.actual,u.contentLeft+u.visibleRange.left-u.scrollLeft)),i.isIE11orEarlier&&s.StyleMutator.setWidth(u.textArea.actual,u.contentWidth),s.StyleMutator.setHeight(u.textArea.actual,u._context.configuration.editor.lineHeight),r.addClass(u.viewHelper.viewDomNode,"ime-input")})),this._toDispose.push(this.textAreaHandler.onCompositionUpdate(function(e){var t=document.createElement("canvas"),n=t.getContext("2d");n.font=window.getComputedStyle(u.textArea.actual).font;var o=n.measureText(e.data);s.StyleMutator.setWidth(u.textArea.actual,o.width)})),this._toDispose.push(this.textAreaHandler.onCompositionEnd(function(e){u.textArea.actual.style.height="",u.textArea.actual.style.width="",s.StyleMutator.setLeft(u.textArea.actual,0),s.StyleMutator.setTop(u.textArea.actual,0),r.removeClass(u.viewHelper.viewDomNode,"ime-input"),u.visibleRange=null})),this._toDispose.push(a.GlobalScreenReaderNVDA.onChange(function(e){u.textAreaHandler.setStrategy(u._getStrategy())})),this._context.addEventHandler(this)}return __extends(t,e),t.prototype.dispose=function(){this._context.removeEventHandler(this),this.textAreaHandler.dispose(),this.textArea.dispose(),this._toDispose=o.dispose(this._toDispose)},t.prototype._getStrategy=function(){return a.GlobalScreenReaderNVDA.getValue()?u.TextAreaStrategy.NVDA:this._context.configuration.editor.viewInfo.experimentalScreenReader?u.TextAreaStrategy.NVDA:u.TextAreaStrategy.IENarrator},t.prototype.focusTextArea=function(){this.textAreaHandler.writePlaceholderAndSelectTextAreaSync()},t.prototype.onConfigurationChanged=function(e){return e.fontInfo&&p.Configuration.applyFontInfoSlow(this.textArea.actual,this._context.configuration.editor.fontInfo),e.viewInfo.experimentalScreenReader&&this.textAreaHandler.setStrategy(this._getStrategy()),!1},t.prototype.onScrollChanged=function(e){return this.scrollLeft=e.scrollLeft,this.visibleRange&&(s.StyleMutator.setTop(this.textArea.actual,this.visibleRange.top),s.StyleMutator.setLeft(this.textArea.actual,this.contentLeft+this.visibleRange.left-this.scrollLeft)),!1},t.prototype.onViewFocusChanged=function(e){return this.textAreaHandler.setHasFocus(e),!1},t.prototype.onCursorSelectionChanged=function(e){return this._lastCursorSelectionChanged=e,!1},t.prototype.onCursorPositionChanged=function(e){return this.textAreaHandler.setCursorPosition(e.position),!1},t.prototype.onLayoutChanged=function(e){return this.contentLeft=e.contentLeft,this.contentWidth=e.contentWidth,!1},t.prototype.writeToTextArea=function(){if(this._lastCursorSelectionChanged){var e=this._lastCursorSelectionChanged;this._lastCursorSelectionChanged=null,this.textAreaHandler.setCursorSelections(e.selection,e.secondarySelections)}},t}(h.ViewEventHandler);t.KeyboardHandler=v});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/view/viewOverlays",["require","exports","vs/base/browser/styleMutator","vs/editor/browser/editorBrowser","vs/editor/browser/view/viewLayer","vs/editor/browser/config/configuration"],function(e,t,n,o,i,r){"use strict";var s=function(e){function t(t,n){e.call(this,t),this._dynamicOverlays=[],this._isFocused=!1,this._layoutProvider=n,this.domNode.setClassName("view-overlays")}return __extends(t,e),t.prototype.shouldRender=function(){if(e.prototype.shouldRender.call(this))return!0;for(var t=0,n=this._dynamicOverlays.length;n>t;t++){var o=this._dynamicOverlays[t];if(o.shouldRender())return!0}return!1},t.prototype.dispose=function(){e.prototype.dispose.call(this),this._layoutProvider=null;for(var t=0,n=this._dynamicOverlays.length;n>t;t++){var o=this._dynamicOverlays[t];o.dispose()}this._dynamicOverlays=null},t.prototype.getDomNode=function(){return this.domNode.domNode},t.prototype.addDynamicOverlay=function(e){this._dynamicOverlays.push(e)},t.prototype.onViewFocusChanged=function(e){return this._isFocused=e,!0},t.prototype._createLine=function(){var e=new a(this._context,this._dynamicOverlays);return e},t.prototype.prepareRender=function(e){for(var t=this._dynamicOverlays.filter(function(e){return e.shouldRender()}),n=0,o=t.length;o>n;n++){var i=t[n];i.prepareRender(e),i.onDidRender()}return null},t.prototype.render=function(e){this._viewOverlaysRender(e),this.domNode.toggleClassName("focused",this._isFocused)},t.prototype._viewOverlaysRender=function(t){e.prototype._renderLines.call(this,t.linesViewportData)},t}(i.ViewLayer);t.ViewOverlays=s;var a=function(){function e(e,t){this._context=e,this._lineHeight=this._context.configuration.editor.lineHeight,this._dynamicOverlays=t,this._domNode=null,this._renderPieces=null}return e.prototype.getDomNode=function(){return this._domNode?this._domNode.domNode:null},e.prototype.setDomNode=function(e){this._domNode=n.createFastDomNode(e)},e.prototype.onContentChanged=function(){},e.prototype.onLinesInsertedAbove=function(){},e.prototype.onLinesDeletedAbove=function(){},e.prototype.onLineChangedAbove=function(){},e.prototype.onTokensChanged=function(){},e.prototype.onConfigurationChanged=function(e){e.lineHeight&&(this._lineHeight=this._context.configuration.editor.lineHeight)},e.prototype.shouldUpdateHTML=function(e,t,n){for(var o="",i=0,r=this._dynamicOverlays.length;r>i;i++){var s=this._dynamicOverlays[i];o+=s.render(e,t)}var a=this._renderPieces===o;return a||(this._renderPieces=o),!a},e.prototype.getLineOuterHTML=function(e,t,n){e.push('<div lineNumber="'),e.push(t.toString()),e.push('" style="top:'),e.push(n.toString()),e.push("px;height:"),e.push(this._lineHeight.toString()),e.push('px;" class="'),e.push(o.ClassNames.VIEW_LINE),e.push('">'),e.push(this.getLineInnerHTML(t)),e.push("</div>")},e.prototype.getLineInnerHTML=function(e){return this._renderPieces},e.prototype.layoutLine=function(e,t){this._domNode.setLineNumber(String(e)),this._domNode.setTop(t),this._domNode.setHeight(this._lineHeight)},e}(),l=function(e){function t(t,n){e.call(this,t,n),this._scrollWidth=this._layoutProvider.getScrollWidth(),this.domNode.setWidth(this._scrollWidth),this.domNode.setHeight(0)}return __extends(t,e),t.prototype.onScrollChanged=function(t){return this._scrollWidth=t.scrollWidth,e.prototype.onScrollChanged.call(this,t)||t.scrollWidthChanged},t.prototype._viewOverlaysRender=function(t){e.prototype._viewOverlaysRender.call(this,t),this.domNode.setWidth(this._scrollWidth)},t}(s);t.ContentViewOverlays=l;var u=function(e){function t(t,n){e.call(this,t,n),this._glyphMarginLeft=t.configuration.editor.layoutInfo.glyphMarginLeft,this._glyphMarginWidth=t.configuration.editor.layoutInfo.glyphMarginWidth,this._scrollHeight=n.getScrollHeight(),this._contentLeft=t.configuration.editor.layoutInfo.contentLeft,this._canUseTranslate3d=t.configuration.editor.viewInfo.canUseTranslate3d,this.domNode.setClassName(o.ClassNames.MARGIN_VIEW_OVERLAYS+" monaco-editor-background"),this.domNode.setWidth(1),r.Configuration.applyFontInfo(this.domNode,this._context.configuration.editor.fontInfo)}return __extends(t,e),t.prototype._extraDomNodeHTML=function(){return['<div class="',o.ClassNames.GLYPH_MARGIN,'" style="left:',String(this._glyphMarginLeft),"px;width:",String(this._glyphMarginWidth),"px;height:",String(this._scrollHeight),'px;"></div>'].join("")},t.prototype._getGlyphMarginDomNode=function(){return this.domNode.domNode.children[0]},t.prototype.onScrollChanged=function(t){return this._scrollHeight=t.scrollHeight,e.prototype.onScrollChanged.call(this,t)||t.scrollHeightChanged},t.prototype.onLayoutChanged=function(t){return this._glyphMarginLeft=t.glyphMarginLeft,this._glyphMarginWidth=t.glyphMarginWidth,this._scrollHeight=this._layoutProvider.getScrollHeight(),this._contentLeft=t.contentLeft,e.prototype.onLayoutChanged.call(this,t)||!0},t.prototype.onConfigurationChanged=function(t){return t.fontInfo&&r.Configuration.applyFontInfo(this.domNode,this._context.configuration.editor.fontInfo),t.viewInfo.canUseTranslate3d&&(this._canUseTranslate3d=this._context.configuration.editor.viewInfo.canUseTranslate3d),e.prototype.onConfigurationChanged.call(this,t)},t.prototype._viewOverlaysRender=function(t){if(e.prototype._viewOverlaysRender.call(this,t),this._canUseTranslate3d){var o="translate3d(0px, "+t.linesViewportData.visibleRangesDeltaTop+"px, 0px)";this.domNode.setTransform(o),this.domNode.setTop(0)}else this.domNode.setTransform(""),this.domNode.setTop(t.linesViewportData.visibleRangesDeltaTop);var i=Math.min(this._layoutProvider.getTotalHeight(),1e6);this.domNode.setHeight(i),this.domNode.setWidth(this._contentLeft);var r=this._getGlyphMarginDomNode();r&&(n.StyleMutator.setHeight(r,this._scrollHeight),n.StyleMutator.setLeft(r,this._glyphMarginLeft),n.StyleMutator.setWidth(r,this._glyphMarginWidth))},t}(s);t.MarginViewOverlays=u});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/viewParts/lines/viewLines",["require","exports","vs/base/common/async","vs/base/browser/styleMutator","vs/editor/common/core/range","vs/editor/common/editorCommon","vs/editor/browser/editorBrowser","vs/editor/browser/view/viewLayer","vs/editor/browser/viewParts/lines/viewLine","vs/editor/browser/config/configuration","vs/editor/common/view/renderingContext","vs/css!./viewLines"],function(e,t,n,o,i,r,s,a,l,u,c){"use strict";var d=function(){function e(){this._currentVisibleRange=new i.Range(1,1,1,1),this._bigNumbersDelta=0}return e.prototype.getCurrentVisibleRange=function(){return this._currentVisibleRange},e.prototype.setCurrentVisibleRange=function(e){this._currentVisibleRange=e},e.prototype.getBigNumbersDelta=function(){return this._bigNumbersDelta},e.prototype.setBigNumbersDelta=function(e){this._bigNumbersDelta=e},e}(),h=function(e){function t(t,o){var i=this;e.call(this,t),this._lineHeight=this._context.configuration.editor.lineHeight,this._isViewportWrapping=this._context.configuration.editor.wrappingInfo.isViewportWrapping,this._revealHorizontalRightPadding=this._context.configuration.editor.viewInfo.revealHorizontalRightPadding,this._canUseTranslate3d=t.configuration.editor.viewInfo.canUseTranslate3d,this._layoutProvider=o,this.domNode.setClassName(s.ClassNames.VIEW_LINES),u.Configuration.applyFontInfo(this.domNode,this._context.configuration.editor.fontInfo),this._maxLineWidth=0,this._asyncUpdateLineWidths=new n.RunOnceScheduler(function(){i._updateLineWidths()},200),this._lastRenderedData=new d,this._lastCursorRevealRangeHorizontallyEvent=null,this._textRangeRestingSpot=document.createElement("div"),this._textRangeRestingSpot.className="textRangeRestingSpot"}return __extends(t,e),t.prototype.dispose=function(){this._asyncUpdateLineWidths.dispose(),this._layoutProvider=null,e.prototype.dispose.call(this)},t.prototype.getDomNode=function(){return this.domNode.domNode},t.prototype.onConfigurationChanged=function(t){var n=e.prototype.onConfigurationChanged.call(this,t);return t.wrappingInfo&&(this._maxLineWidth=0),t.lineHeight&&(this._lineHeight=this._context.configuration.editor.lineHeight),t.wrappingInfo&&(this._isViewportWrapping=this._context.configuration.editor.wrappingInfo.isViewportWrapping),t.viewInfo.revealHorizontalRightPadding&&(this._revealHorizontalRightPadding=this._context.configuration.editor.viewInfo.revealHorizontalRightPadding),t.viewInfo.canUseTranslate3d&&(this._canUseTranslate3d=this._context.configuration.editor.viewInfo.canUseTranslate3d),t.fontInfo&&u.Configuration.applyFontInfo(this.domNode,this._context.configuration.editor.fontInfo),n},t.prototype.onLayoutChanged=function(t){var n=e.prototype.onLayoutChanged.call(this,t);return this._maxLineWidth=0,n},t.prototype.onModelFlushed=function(){var t=e.prototype.onModelFlushed.call(this);return this._maxLineWidth=0,t},t.prototype.onModelDecorationsChanged=function(t){for(var n=e.prototype.onModelDecorationsChanged.call(this,t),o=0;o<this._lines.length;o++)this._lines[o].onModelDecorationsChanged();return n||!0},t.prototype.onCursorRevealRange=function(e){var t=this._computeScrollTopToRevealRange(this._layoutProvider.getCurrentViewport(),e.range,e.verticalType);return e.revealHorizontal&&(this._lastCursorRevealRangeHorizontallyEvent=e),this._layoutProvider.setScrollPosition({scrollTop:t}),!0},t.prototype.onCursorScrollRequest=function(e){var t=this._layoutProvider.getScrollTop(),n=t+e.deltaLines*this._lineHeight;return this._layoutProvider.setScrollPosition({scrollTop:n}),!0},t.prototype.onScrollChanged=function(t){return this.domNode.setWidth(t.scrollWidth),e.prototype.onScrollChanged.call(this,t)||!0},t.prototype.getPositionFromDOMInfo=function(e,t){var n=this._getLineNumberFromDOMInfo(e);if(-1===n)return null;if(1>n||n>this._context.model.getLineCount())return null;if(1===this._context.model.getLineMaxColumn(n))return{lineNumber:n,column:1};var o=n-this._rendLineNumberStart;if(0>o||o>=this._lines.length)return null;var i=this._lines[o].getColumnOfNodeOffset(n,e,t),r=this._context.model.getLineMinColumn(n);return r>i&&(i=r),{lineNumber:n,column:i}},t.prototype._getLineNumberFromDOMInfo=function(e){for(;e&&1===e.nodeType;){if(e.className===s.ClassNames.VIEW_LINE)return parseInt(e.getAttribute("lineNumber"),10);e=e.parentElement}return-1},t.prototype.getLineWidth=function(e){var t=e-this._rendLineNumberStart;return 0>t||t>=this._lines.length?-1:this._lines[t].getWidth()},t.prototype.linesVisibleRangesForRange=function(e,n){if(this.shouldRender())return null;var o=e.endLineNumber;if(e=i.Range.intersectRanges(e,this._lastRenderedData.getCurrentVisibleRange()),!e)return null;var r,s=[],a=this.domNode.domNode.getBoundingClientRect().left;n&&(r=this._context.model.convertViewPositionToModelPosition(e.startLineNumber,1).lineNumber);for(var l=e.startLineNumber;l<=e.endLineNumber;l++){var u=l-this._rendLineNumberStart;if(!(0>u||u>=this._lines.length)){var d=l===e.startLineNumber?e.startColumn:1,h=l===e.endLineNumber?e.endColumn:this._context.model.getLineMaxColumn(l),p=this._lines[u].getVisibleRangesForRange(d,h,a,this._textRangeRestingSpot);if(p&&0!==p.length){if(n&&o>l){var m=r;r=this._context.model.convertViewPositionToModelPosition(l+1,1).lineNumber,m!==r&&(p[p.length-1].width+=t.LINE_FEED_WIDTH)}s.push(new c.LineVisibleRanges(l,p))}}}return 0===s.length?null:s},t.prototype.visibleRangesForRange2=function(e,t){if(this.shouldRender())return null;if(e=i.Range.intersectRanges(e,this._lastRenderedData.getCurrentVisibleRange()),!e)return null;for(var n=[],o=this.domNode.domNode.getBoundingClientRect().left,r=this._lastRenderedData.getBigNumbersDelta(),s=e.startLineNumber;s<=e.endLineNumber;s++){var a=s-this._rendLineNumberStart;if(!(0>a||a>=this._lines.length)){var l=s===e.startLineNumber?e.startColumn:1,u=s===e.endLineNumber?e.endColumn:this._context.model.getLineMaxColumn(s),d=this._lines[a].getVisibleRangesForRange(l,u,o,this._textRangeRestingSpot);if(d&&0!==d.length)for(var h=this._layoutProvider.getVerticalOffsetForLineNumber(s)-r+t,p=0,m=d.length;m>p;p++)n.push(new c.VisibleRange(h,d[p].left,d[p].width))}}return 0===n.length?null:n},t.prototype._createLine=function(){return l.createLine(this._context)},t.prototype._updateLineWidths=function(){var e,t,n=1;for(e=0;e<this._lines.length;e++)t=this._lines[e].getWidth(),n=Math.max(n,t);this._ensureMaxLineWidth(n)},t.prototype.prepareRender=function(){throw new Error("Not supported")},t.prototype.render=function(){throw new Error("Not supported")},t.prototype.renderText=function(t,n){if(!this.shouldRender())throw new Error("I did not ask to render!");if(e.prototype._renderLines.call(this,t),this._lastRenderedData.setBigNumbersDelta(t.bigNumbersDelta),this._lastRenderedData.setCurrentVisibleRange(t.visibleRange),this.domNode.setWidth(this._layoutProvider.getScrollWidth()),this.domNode.setHeight(Math.min(this._layoutProvider.getTotalHeight(),1e6)),n(),this._lastCursorRevealRangeHorizontallyEvent){var i=this._lastCursorRevealRangeHorizontallyEvent.range;this._lastCursorRevealRangeHorizontallyEvent=null,this.onDidRender();var r=this._computeScrollLeftToRevealRange(i),s=this._isViewportWrapping;s||this._ensureMaxLineWidth(r.maxHorizontalOffset),this._layoutProvider.setScrollPosition({scrollLeft:r.scrollLeft})}if(this._canUseTranslate3d){var a="translate3d("+-this._layoutProvider.getScrollLeft()+"px, "+t.visibleRangesDeltaTop+"px, 0px)";o.StyleMutator.setTransform(this.domNode.domNode.parentNode,a),o.StyleMutator.setTop(this.domNode.domNode.parentNode,0),o.StyleMutator.setLeft(this.domNode.domNode.parentNode,0)}else o.StyleMutator.setTransform(this.domNode.domNode.parentNode,""),o.StyleMutator.setTop(this.domNode.domNode.parentNode,t.visibleRangesDeltaTop),o.StyleMutator.setLeft(this.domNode.domNode.parentNode,-this._layoutProvider.getScrollLeft());this._asyncUpdateLineWidths.schedule()},t.prototype._ensureMaxLineWidth=function(e){var t=Math.ceil(e);this._maxLineWidth<t&&(this._maxLineWidth=t,this._layoutProvider.onMaxLineWidthChanged(this._maxLineWidth))},t.prototype._computeScrollTopToRevealRange=function(e,t,n){var o,i,s=e.top,a=e.height,l=s+a;o=this._layoutProvider.getVerticalOffsetForLineNumber(t.startLineNumber),i=this._layoutProvider.getVerticalOffsetForLineNumber(t.endLineNumber)+this._layoutProvider.heightInPxForLine(t.endLineNumber),n===r.VerticalRevealType.Simple&&(i+=this._lineHeight);var u;if(n===r.VerticalRevealType.Center||n===r.VerticalRevealType.CenterIfOutsideViewport)if(n===r.VerticalRevealType.CenterIfOutsideViewport&&o>=s&&l>=i)u=s;else{var c=(o+i)/2;u=Math.max(0,c-a/2)}else u=this._computeMinimumScrolling(s,l,o,i);return u},t.prototype._computeScrollLeftToRevealRange=function(e){var n=0;if(e.startLineNumber!==e.endLineNumber)return{scrollLeft:0,maxHorizontalOffset:n};var o=this._layoutProvider.getCurrentViewport(),i=o.left,r=i+o.width,s=this.visibleRangesForRange2(e,0),a=Number.MAX_VALUE,l=0;if(!s)return{scrollLeft:i,maxHorizontalOffset:n};var u,c;for(u=0;u<s.length;u++)c=s[u],c.left<a&&(a=c.left),c.left+c.width>l&&(l=c.left+c.width);n=l,a=Math.max(0,a-t.HORIZONTAL_EXTRA_PX),l+=this._revealHorizontalRightPadding;var d=this._computeMinimumScrolling(i,r,a,l);return{scrollLeft:d,maxHorizontalOffset:n}},t.prototype._computeMinimumScrolling=function(e,t,n,o){e=0|e,t=0|t,n=0|n,o=0|o;var i=t-e,r=o-n;return i>r?e>n?n:o>t?Math.max(0,o-i):e:n},t.LINE_FEED_WIDTH=10,t.HORIZONTAL_EXTRA_PX=30,t}(a.ViewLayer);t.ViewLines=h}),define("vs/editor/browser/viewParts/viewCursors/viewCursor",["require","exports","vs/base/browser/styleMutator","vs/editor/common/editorCommon","vs/editor/browser/config/configuration"],function(e,t,n,o,i){
"use strict";var r=function(){function e(e,t){this._context=e,this._cursorStyle=this._context.configuration.editor.viewInfo.cursorStyle,this._lineHeight=this._context.configuration.editor.lineHeight,this._lastRenderedContent="",this._isInEditableRange=!0,this._domNode=this._createCursorDomNode(t),i.Configuration.applyFontInfo(this._domNode,this._context.configuration.editor.fontInfo),this._isVisible=!0,this._domNode.setDisplay("none"),this.updatePosition({lineNumber:1,column:1})}return e.prototype._createCursorDomNode=function(e){var t=n.createFastDomNode(document.createElement("div"));return e?t.setClassName("cursor secondary"):t.setClassName("cursor"),t.setHeight(this._lineHeight),t.setTop(0),t.setLeft(0),t.domNode.setAttribute("role","presentation"),t.domNode.setAttribute("aria-hidden","true"),t},e.prototype.getDomNode=function(){return this._domNode.domNode},e.prototype.getIsInEditableRange=function(){return this._isInEditableRange},e.prototype.getPositionTop=function(){return this._positionTop},e.prototype.getPosition=function(){return this._position},e.prototype.show=function(){this._isVisible||(this._domNode.setVisibility("inherit"),this._isVisible=!0)},e.prototype.hide=function(){this._isVisible&&(this._domNode.setVisibility("hidden"),this._isVisible=!1)},e.prototype.onModelFlushed=function(){return this.updatePosition({lineNumber:1,column:1}),this._isInEditableRange=!0,!0},e.prototype.onCursorPositionChanged=function(e,t){return this.updatePosition(e),this._isInEditableRange=t,!0},e.prototype.onConfigurationChanged=function(e){return e.lineHeight&&(this._lineHeight=this._context.configuration.editor.lineHeight),e.viewInfo.cursorStyle&&(this._cursorStyle=this._context.configuration.editor.viewInfo.cursorStyle),e.fontInfo&&i.Configuration.applyFontInfo(this._domNode,this._context.configuration.editor.fontInfo),!0},e.prototype.prepareRender=function(e){var t=e.visibleRangeForPosition(this._position);t?(this._positionTop=t.top,this._positionLeft=t.left,this._isInViewport=!0):this._isInViewport=!1},e.prototype._getRenderedContent=function(){if(this._cursorStyle===o.TextEditorCursorStyle.Block){var e=this._context.model.getLineContent(this._position.lineNumber);return e.charAt(this._position.column-1)}return""},e.prototype.render=function(e){if(this._isInViewport){var t=this._getRenderedContent();this._lastRenderedContent!==t&&(this._lastRenderedContent=t,this._domNode.domNode.textContent=this._lastRenderedContent),this._domNode.setDisplay("block"),this._domNode.setLeft(this._positionLeft),this._domNode.setTop(this._positionTop+e.viewportTop-e.bigNumbersDelta),this._domNode.setLineHeight(this._lineHeight),this._domNode.setHeight(this._lineHeight)}else this._domNode.setDisplay("none")},e.prototype.updatePosition=function(e){this._position=e,this._domNode.domNode.setAttribute("lineNumber",this._position.lineNumber.toString()),this._domNode.domNode.setAttribute("column",this._position.column.toString()),this._isInViewport=!1},e}();t.ViewCursor=r});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/viewParts/viewCursors/viewCursors",["require","exports","vs/editor/common/editorCommon","vs/editor/browser/editorBrowser","vs/editor/browser/view/viewPart","vs/editor/browser/viewParts/viewCursors/viewCursor","vs/base/browser/styleMutator","vs/css!./viewCursors"],function(e,t,n,o,i,r,s){"use strict";var a;!function(e){e[e.Hidden=0]="Hidden",e[e.Visible=1]="Visible",e[e.Blink=2]="Blink"}(a||(a={}));var l=function(e){function t(t){e.call(this,t),this._readOnly=this._context.configuration.editor.readOnly,this._cursorBlinking=this._context.configuration.editor.viewInfo.cursorBlinking,this._cursorStyle=this._context.configuration.editor.viewInfo.cursorStyle,this._canUseTranslate3d=t.configuration.editor.viewInfo.canUseTranslate3d,this._primaryCursor=new r.ViewCursor(this._context,!1),this._secondaryCursors=[],this._domNode=s.createFastDomNode(document.createElement("div")),this._updateDomClassName(),this._domNode.domNode.appendChild(this._primaryCursor.getDomNode()),this._blinkTimer=-1,this._editorHasFocus=!1,this._updateBlinking()}return __extends(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this),-1!==this._blinkTimer&&(window.clearInterval(this._blinkTimer),this._blinkTimer=-1)},t.prototype.getDomNode=function(){return this._domNode.domNode},t.prototype.onModelFlushed=function(){this._primaryCursor.onModelFlushed();for(var e=0,t=this._secondaryCursors.length;t>e;e++){var n=this._secondaryCursors[e].getDomNode();n.parentNode.removeChild(n)}return this._secondaryCursors=[],!0},t.prototype.onModelDecorationsChanged=function(e){return e.inlineDecorationsChanged},t.prototype.onModelLinesDeleted=function(e){return!0},t.prototype.onModelLineChanged=function(e){return!0},t.prototype.onModelLinesInserted=function(e){return!0},t.prototype.onModelTokensChanged=function(e){var t=function(t){return e.fromLineNumber<=t.lineNumber&&t.lineNumber<=e.toLineNumber};if(t(this._primaryCursor.getPosition()))return!0;for(var n=0;n<this._secondaryCursors.length;n++)if(t(this._secondaryCursors[n].getPosition()))return!0;return!1},t.prototype.onCursorPositionChanged=function(e){if(this._primaryCursor.onCursorPositionChanged(e.position,e.isInEditableRange),this._updateBlinking(),this._secondaryCursors.length<e.secondaryPositions.length)for(var t=e.secondaryPositions.length-this._secondaryCursors.length,n=0;t>n;n++){var o=new r.ViewCursor(this._context,!0);this._primaryCursor.getDomNode().parentNode.insertBefore(o.getDomNode(),this._primaryCursor.getDomNode().nextSibling),this._secondaryCursors.push(o)}else if(this._secondaryCursors.length>e.secondaryPositions.length)for(var i=this._secondaryCursors.length-e.secondaryPositions.length,n=0;i>n;n++)this._secondaryCursors[0].getDomNode().parentNode.removeChild(this._secondaryCursors[0].getDomNode()),this._secondaryCursors.splice(0,1);for(var n=0;n<e.secondaryPositions.length;n++)this._secondaryCursors[n].onCursorPositionChanged(e.secondaryPositions[n],e.isInEditableRange);return!0},t.prototype.onCursorSelectionChanged=function(e){return!1},t.prototype.onConfigurationChanged=function(e){e.readOnly&&(this._readOnly=this._context.configuration.editor.readOnly),e.viewInfo.cursorBlinking&&(this._cursorBlinking=this._context.configuration.editor.viewInfo.cursorBlinking),e.viewInfo.cursorStyle&&(this._cursorStyle=this._context.configuration.editor.viewInfo.cursorStyle),e.viewInfo.canUseTranslate3d&&(this._canUseTranslate3d=this._context.configuration.editor.viewInfo.canUseTranslate3d),this._primaryCursor.onConfigurationChanged(e),this._updateBlinking(),e.viewInfo.cursorStyle&&this._updateDomClassName();for(var t=0,n=this._secondaryCursors.length;n>t;t++)this._secondaryCursors[t].onConfigurationChanged(e);return!0},t.prototype.onLayoutChanged=function(e){return!0},t.prototype.onScrollChanged=function(e){return!0},t.prototype.onZonesChanged=function(){return!0},t.prototype.onViewFocusChanged=function(e){return this._editorHasFocus=e,this._updateBlinking(),!1},t.prototype.getPosition=function(){return this._primaryCursor.getPosition()},t.prototype._getRenderType=function(){if(this._editorHasFocus){if(this._primaryCursor.getIsInEditableRange()&&!this._readOnly)switch(this._cursorBlinking){case"blink":return a.Blink;case"visible":return a.Visible;case"hidden":return a.Hidden;default:return a.Blink}return a.Visible}return a.Hidden},t.prototype._updateBlinking=function(){var e=this;-1!==this._blinkTimer&&(window.clearInterval(this._blinkTimer),this._blinkTimer=-1);var n=this._getRenderType();n===a.Visible||n===a.Blink?this._show():this._hide(),n===a.Blink&&(this._blinkTimer=window.setInterval(function(){return e._blink()},t.BLINK_INTERVAL))},t.prototype._updateDomClassName=function(){this._domNode.setClassName(this._getClassName())},t.prototype._getClassName=function(){var e,t=o.ClassNames.VIEW_CURSORS_LAYER;switch(this._cursorStyle){case n.TextEditorCursorStyle.Line:e="cursor-line-style";break;case n.TextEditorCursorStyle.Block:e="cursor-block-style";break;case n.TextEditorCursorStyle.Underline:e="cursor-underline-style";break;default:e="cursor-line-style"}return t+" "+e},t.prototype._blink=function(){this._isVisible?this._hide():this._show()},t.prototype._show=function(){this._primaryCursor.show();for(var e=0,t=this._secondaryCursors.length;t>e;e++)this._secondaryCursors[e].show();this._isVisible=!0},t.prototype._hide=function(){this._primaryCursor.hide();for(var e=0,t=this._secondaryCursors.length;t>e;e++)this._secondaryCursors[e].hide();this._isVisible=!1},t.prototype.prepareRender=function(e){if(!this.shouldRender())throw new Error("I did not ask to render!");this._primaryCursor.prepareRender(e);for(var t=0,n=this._secondaryCursors.length;n>t;t++)this._secondaryCursors[t].prepareRender(e)},t.prototype.render=function(e){this._primaryCursor.render(e);for(var t=0,n=this._secondaryCursors.length;n>t;t++)this._secondaryCursors[t].render(e);this._canUseTranslate3d?this._domNode.setTransform("translate3d(0px, 0px, 0px)"):this._domNode.setTransform("")},t.BLINK_INTERVAL=500,t}(i.ViewPart);t.ViewCursors=l}),define("vs/editor/common/modes/supports/suggestSupport",["require","exports","vs/base/common/filters","vs/platform/configuration/common/configurationRegistry","vs/platform/platform","vs/nls!vs/editor/common/modes/supports/suggestSupport","vs/base/common/async"],function(e,t,n,o,i,r,s){"use strict";function a(e){if(e){var t=n.fuzzyContiguousFilter,o=[];return o.push({currentWord:e.currentWord,suggestions:e.suggestions.filter(function(n){return!!t(e.currentWord,n.label)}),incomplete:e.incomplete}),o}}var l=function(){function e(e,t){this._editorWorkerService=e,this._configurationService=t}return Object.defineProperty(e.prototype,"triggerCharacters",{get:function(){return[]},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"shouldAutotriggerSuggest",{get:function(){return!0},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"filter",{get:function(){return n.matchesStrictPrefix},enumerable:!0,configurable:!0}),e.prototype.provideCompletionItems=function(e,t,n){var o=this._configurationService.getConfiguration("editor");return!o||o.wordBasedSuggestions?s.wireCancellationToken(n,this._editorWorkerService.textualSuggest(e.uri,t)):[]},e._c=i.Registry.as(o.Extensions.Configuration).registerConfiguration({type:"object",properties:{"editor.wordBasedSuggestions":{type:"boolean",description:r.localize(0,null),"default":!0}}}),e}();t.TextualSuggestSupport=l,t.filterSuggestions=a});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/common/modes/abstractMode",["require","exports","vs/base/common/eventEmitter","vs/base/common/winjs.base","vs/platform/instantiation/common/descriptors","vs/platform/instantiation/common/instantiation","vs/platform/configuration/common/configuration","vs/editor/common/modes","vs/editor/common/modes/nullMode","vs/editor/common/modes/supports/suggestSupport","vs/editor/common/services/editorWorkerService"],function(e,t,n,o,i,r,s,a,l,u,c){"use strict";function d(e){return void 0===e&&(e=""),l.NullMode.createWordRegExp(e)}function h(e){var t={richEditSupport:!1,tokenizationSupport:!1};if(e===a.MutableSupport.RichEditSupport)return t.richEditSupport=!0,t;if(e===a.MutableSupport.TokenizationSupport)return t.tokenizationSupport=!0,t;throw new Error("Illegal argument!")}t.createWordRegExp=d;var p=function(){function t(e,t,n,o,r){this._descriptor=e,this._workerDescriptor=i.createAsyncDescriptor1(t,n),this._superWorkerModuleId=o,this._instantiationService=r,this._workerPiecePromise=null}return t.prototype.worker=function(e){return this._getOrCreateWorker().then(e)},t.prototype._getOrCreateWorker=function(){var e=this;if(!this._workerPiecePromise){var n=this._superWorkerModuleId?t._loadModule(this._superWorkerModuleId):o.TPromise.as(null);this._workerPiecePromise=n.then(function(){return t._loadModule(e._workerDescriptor.moduleName)}).then(function(){return e._instantiationService.createInstance(e._workerDescriptor,e._descriptor.id)})}return this._workerPiecePromise},t._loadModule=function(t){return new o.TPromise(function(n,o,i){e([t],n,o)},function(){})},t}();t.ModeWorkerManager=p;var m=function(){function e(e){this._modeId=e,this._eventEmitter=new n.EventEmitter,this._simplifiedMode=null}return e.prototype.getId=function(){return this._modeId},e.prototype.toSimplifiedMode=function(){return this._simplifiedMode||(this._simplifiedMode=new f(this)),this._simplifiedMode},e.prototype.addSupportChangedListener=function(e){return this._eventEmitter.addListener2("modeSupportChanged",e)},e.prototype.registerSupport=function(e,t){var n=this,o=a.mutableSupportToString(e),i=t(this);return this[o]=i,this._eventEmitter.emit("modeSupportChanged",h(e)),{dispose:function(){n[o]===i&&(delete n[o],n._eventEmitter.emit("modeSupportChanged",h(e)))}}},e}();t.AbstractMode=m;var f=function(){function e(e){var t=this;this._sourceMode=e,this._eventEmitter=new n.EventEmitter,this._id="vs.editor.modes.simplifiedMode:"+e.getId(),this._assignSupports(),this._sourceMode.addSupportChangedListener&&this._sourceMode.addSupportChangedListener(function(e){t._assignSupports(),t._eventEmitter.emit("modeSupportChanged",e)})}return e.prototype.getId=function(){return this._id},e.prototype.toSimplifiedMode=function(){return this},e.prototype._assignSupports=function(){this.tokenizationSupport=this._sourceMode.tokenizationSupport,this.richEditSupport=this._sourceMode.richEditSupport},e}();t.isDigit=function(){var e="0".charCodeAt(0),t="1".charCodeAt(0),n="2".charCodeAt(0),o="3".charCodeAt(0),i="4".charCodeAt(0),r="5".charCodeAt(0),s="6".charCodeAt(0),a="7".charCodeAt(0),l="8".charCodeAt(0),u="9".charCodeAt(0),c="a".charCodeAt(0),d="b".charCodeAt(0),h="c".charCodeAt(0),p="d".charCodeAt(0),m="e".charCodeAt(0),f="f".charCodeAt(0),g="A".charCodeAt(0),v="B".charCodeAt(0),y="C".charCodeAt(0),_="D".charCodeAt(0),b="E".charCodeAt(0),C="F".charCodeAt(0);return function(w,E){var S=w.charCodeAt(0);switch(E){case 1:return S===e;case 2:return S>=e&&t>=S;case 3:return S>=e&&n>=S;case 4:return S>=e&&o>=S;case 5:return S>=e&&i>=S;case 6:return S>=e&&r>=S;case 7:return S>=e&&s>=S;case 8:return S>=e&&a>=S;case 9:return S>=e&&l>=S;case 10:return S>=e&&u>=S;case 11:return S>=e&&u>=S||S===c||S===g;case 12:return S>=e&&u>=S||S>=c&&d>=S||S>=g&&v>=S;case 13:return S>=e&&u>=S||S>=c&&h>=S||S>=g&&y>=S;case 14:return S>=e&&u>=S||S>=c&&p>=S||S>=g&&_>=S;case 15:return S>=e&&u>=S||S>=c&&m>=S||S>=g&&b>=S;default:return S>=e&&u>=S||S>=c&&f>=S||S>=g&&C>=S}}}();var g=function(e){function t(t,n,o){e.call(this,t.id),o&&a.SuggestRegistry.register(this.getId(),new u.TextualSuggestSupport(o,n),!0)}return __extends(t,e),t=__decorate([__param(1,s.IConfigurationService),__param(2,r.optional(c.IEditorWorkerService))],t)}(m);t.FrankensteinMode=g}),define("vs/languages/html/common/html.contribution",["require","exports","vs/editor/common/modes/modesRegistry","vs/nls!vs/languages/html/common/html.contribution","vs/platform/platform","vs/platform/configuration/common/configurationRegistry"],function(e,t,n,o,i,r){"use strict";n.ModesRegistry.registerCompatMode({id:"html",extensions:[".html",".htm",".shtml",".xhtml",".mdoc",".jsp",".asp",".aspx",".jshtm"],aliases:["HTML","htm","html","xhtml"],mimetypes:["text/html","text/x-jshtm","text/template","text/ng-template"],moduleId:"vs/languages/html/common/html",ctorName:"HTMLMode"});var s=i.Registry.as(r.Extensions.Configuration);s.registerConfiguration({id:"html",order:20,type:"object",title:o.localize(0,null),properties:{"html.format.wrapLineLength":{type:"integer","default":120,description:o.localize(1,null)},"html.format.unformatted":{type:["string","null"],"default":"a, abbr, acronym, b, bdo, big, br, button, cite, code, dfn, em, i, img, input, kbd, label, map, object, q, samp, script, select, small, span, strong, sub, sup, textarea, tt, var",description:o.localize(2,null)},"html.format.indentInnerHtml":{type:"boolean","default":!1,description:o.localize(3,null)},"html.format.preserveNewLines":{type:"boolean","default":!0,description:o.localize(4,null)},"html.format.maxPreserveNewLines":{type:["number","null"],"default":null,description:o.localize(5,null)},"html.format.indentHandlebars":{type:"boolean","default":!1,description:o.localize(6,null)},"html.format.endWithNewline":{type:"boolean","default":!1,description:o.localize(7,null)},"html.format.extraLiners":{type:["string","null"],"default":"head, body, /html",description:o.localize(8,null)}}})}),define("vs/languages/json/common/json.contribution",["require","exports","vs/nls!vs/languages/json/common/json.contribution","vs/platform/configuration/common/configurationRegistry","vs/platform/platform","vs/editor/common/modes/modesRegistry"],function(e,t,n,o,i,r){"use strict";r.ModesRegistry.registerCompatMode({id:"json",extensions:[".json",".bowerrc",".jshintrc",".jscsrc",".eslintrc",".babelrc"],aliases:["JSON","json"],mimetypes:["application/json"],moduleId:"vs/languages/json/common/json",ctorName:"JSONMode"});var s=i.Registry.as(o.Extensions.Configuration);s.registerConfiguration({id:"json",order:20,type:"object",title:n.localize(0,null),properties:{"json.schemas":{type:"array",description:n.localize(1,null),items:{type:"object",defaultSnippets:[{body:{fileMatch:["{{/myfile}}"],url:"{{schemaURL}}"}}],properties:{url:{type:"string","default":"/user.schema.json",description:n.localize(2,null)},fileMatch:{type:"array",items:{type:"string","default":"MyFile.json",description:n.localize(3,null)},minItems:1,description:n.localize(4,null)},schema:{type:"object",description:n.localize(5,null)}}}}}})}),define("vs/languages/less/common/less.contribution",["require","exports","vs/platform/platform","vs/nls!vs/languages/less/common/less.contribution","vs/languages/css/common/services/lintRules","vs/editor/common/modes/modesRegistry","vs/platform/configuration/common/configurationRegistry","vs/css!vs/languages/css/common/css-hover"],function(e,t,n,o,i,r,s){"use strict";r.ModesRegistry.registerCompatMode({id:"less",extensions:[".less"],aliases:["Less","less"],mimetypes:["text/x-less","text/less"],moduleId:"vs/languages/less/common/less",ctorName:"LESSMode"});var a=n.Registry.as(s.Extensions.Configuration);a.registerConfiguration({id:"less",order:22,type:"object",title:o.localize(0,null),allOf:[{title:o.localize(1,null),properties:i.getConfigurationProperties("less")}]})}),define("vs/languages/markdown/common/markdown.contribution",["require","exports","vs/nls!vs/languages/markdown/common/markdown.contribution","vs/editor/common/modes/modesRegistry","vs/platform/configuration/common/configurationRegistry","vs/platform/platform"],function(e,t,n,o,i,r){"use strict";o.ModesRegistry.registerCompatMode({id:"markdown",extensions:[".md",".markdown",".mdown",".mkdn",".mkd",".mdwn",".mdtxt",".mdtext"],aliases:["Markdown","markdown"],mimetypes:["text/x-web-markdown"],moduleId:"vs/languages/markdown/common/markdown",ctorName:"MarkdownMode"});var s=r.Registry.as(i.Extensions.Configuration);s.registerConfiguration({id:"markdown",order:20,type:"object",title:n.localize(0,null),properties:{"markdown.styles":{type:"array",description:n.localize(1,null),items:{type:"string"}}}})}),define("vs/languages/sass/common/sass.contribution",["require","exports","vs/editor/common/modes/modesRegistry","vs/platform/platform","vs/nls!vs/languages/sass/common/sass.contribution","vs/languages/css/common/services/lintRules","vs/platform/configuration/common/configurationRegistry","vs/css!vs/languages/css/common/css-hover"],function(e,t,n,o,i,r,s){"use strict";n.ModesRegistry.registerCompatMode({id:"sass",extensions:[".scss"],aliases:["Sass","sass","scss"],mimetypes:["text/x-scss","text/scss"],moduleId:"vs/languages/sass/common/sass",ctorName:"SASSMode"});var a=o.Registry.as(s.Extensions.Configuration);a.registerConfiguration({id:"sass",order:24,title:i.localize(0,null),allOf:[{title:i.localize(1,null),properties:r.getConfigurationProperties("sass")}]})}),define("vs/platform/configuration/common/model",["require","exports","vs/base/common/objects","vs/platform/platform","vs/base/common/types","vs/base/common/json","./configurationRegistry"],function(e,t,n,o,i,r,s){"use strict";function a(e,t,n){var o=t.split("."),i=o.pop(),r=e;o.forEach(function(e){var n=r[e];switch(typeof n){case"undefined":n=r[e]=Object.create(null);break;case"object":break;default:console.log("Conflicting configuration setting: "+t+" at "+e+" with "+JSON.stringify(n))}r=n}),r[i]=n}function l(e){try{var t=Object.create(null),n=r.parse(e)||{};for(var o in n)a(t,o,n[o]);return{contents:t}}catch(i){return{contents:{},parseError:i}}}function u(e,t,n){Object.keys(t).forEach(function(o){o in e?i.isObject(e[o])&&i.isObject(t[o])?u(e[o],t[o],n):n&&(e[o]=t[o]):e[o]=t[o]})}function c(e){var o=Object.create(null),i=[],r=/\/(team\.)?([^\.]*)*\.json/;return Object.keys(e).forEach(function(s){var a=n.clone(e[s]),l=r.exec(s);if(l&&a){var c=!!l[1],d=o;if(l&&l[2]&&l[2]!==t.CONFIG_DEFAULT_NAME){var h=l[2],p=d[h];p||(p=Object.create(null),d[h]=p),d=p}u(d,a.contents,!c),a.parseError&&i.push(s)}}),{contents:o,parseErrors:i}}function d(e){var t=o.Registry.as(s.Extensions.Configuration).getConfigurations(),n=function(t,o){e(t,o),Array.isArray(t.allOf)&&t.allOf.forEach(function(e){n(e,!1)})};t.sort(function(e,t){return"number"!=typeof e.order?1:"number"!=typeof t.order?-1:e.order-t.order}).forEach(function(e){n(e,!0)})}function h(){var e=Object.create(null),t=function(t,n){t.properties&&Object.keys(t.properties).forEach(function(n){var o=t.properties[n],r=o["default"];i.isUndefined(o["default"])&&(r=f(o.type)),a(e,n,r)})};return d(t),e}function p(e){var t=-1,n=[];n.push("{");var o=function(o,r){o.title&&(r?(n.push(""),n.push(e+"//-------- "+o.title+" --------")):n.push(e+"// "+o.title),n.push("")),o.properties&&Object.keys(o.properties).forEach(function(r){var s=o.properties[r],a=s["default"];i.isUndefined(a)&&(a=f(s.type)),s.description&&n.push(e+"// "+s.description);var l=JSON.stringify(a,null,e);l&&"object"==typeof a&&(l=m(l,e)),-1!==t&&(n[t]+=","),t=n.length,n.push(e+JSON.stringify(r)+": "+l),n.push("")})};return d(o),n.push("}"),n.join("\n")}function m(e,t){return e.split("\n").join("\n"+t)}function f(e){var t=Array.isArray(e)?e[0]:e;switch(t){case"boolean":return!1;case"integer":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}t.CONFIG_DEFAULT_NAME="settings",t.newConfigFile=l,t.merge=u,t.consolidate=c,t.getDefaultValues=h,t.getDefaultValuesContent=p}),define("vs/platform/configuration/common/configurationService",["require","exports","vs/base/common/paths","vs/base/common/winjs.base","vs/base/common/objects","vs/base/common/errors","./model","vs/base/common/async","vs/base/common/collections","./configuration","vs/platform/files/common/files","./configurationRegistry","vs/platform/platform","vs/base/common/event"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p){"use strict";var m=function(){function e(e,t,n){void 0===n&&(n=".vscode"),this.serviceId=u.IConfigurationService,this._onDidUpdateConfiguration=new p.Emitter,this.contextService=e,this.eventService=t,this.workspaceSettingsRootFolder=n,this.workspaceFilePathToConfiguration=Object.create(null),this.cachedConfig={config:{}},this.registerListeners()}return Object.defineProperty(e.prototype,"onDidUpdateConfiguration",{get:function(){return this._onDidUpdateConfiguration.event},enumerable:!0,configurable:!0}),e.prototype.registerListeners=function(){var e=this,t=this.eventService.addListener2(c.EventType.FILE_CHANGES,function(t){return e.handleFileEvents(t)}),n=h.Registry.as(d.Extensions.Configuration).onDidRegisterConfiguration(function(){return e.onDidRegisterConfiguration()});this.callOnDispose={dispose:function(){t.dispose(),n.dispose()}}},e.prototype.initialize=function(){return this.doLoadConfiguration().then(function(){return null})},e.prototype.getConfiguration=function(e){var t=e?this.cachedConfig.config[e]:this.cachedConfig.config,n=this.cachedConfig.parseErrors;return n&&n.length>0&&(t||(t={}),t.$parseErrors=n),t},e.prototype.loadConfiguration=function(e){return this.bulkFetchFromWorkspacePromise=null,this.workspaceFilePathToConfiguration=Object.create(null),this.doLoadConfiguration(e)},e.prototype.doLoadConfiguration=function(e){var t=this,n=this.loadGlobalConfiguration();return this.loadWorkspaceConfiguration().then(function(e){var t=s.consolidate(e),o=i.mixin(i.clone(n.contents),t.contents,!0),r=[];return t.parseErrors&&(r=t.parseErrors),n.parseErrors&&r.push.apply(r,n.parseErrors),{config:o,parseErrors:r}}).then(function(n){return t.cachedConfig=n,t.getConfiguration(e)})},e.prototype.loadGlobalConfiguration=function(){return{contents:s.getDefaultValues()}},e.prototype.hasWorkspaceConfiguration=function(){return!!this.workspaceFilePathToConfiguration[".vscode/"+s.CONFIG_DEFAULT_NAME+".json"]},e.prototype.loadWorkspaceConfiguration=function(e){var t=this;return this.bulkFetchFromWorkspacePromise||(this.bulkFetchFromWorkspacePromise=this.resolveStat(this.contextService.toResource(this.workspaceSettingsRootFolder)).then(function(e){return e.isDirectory?t.resolveContents(e.children.filter(function(e){return".json"===n.extname(e.resource.fsPath)}).map(function(e){return e.resource})):o.TPromise.as([])},function(e){return e?[]:void 0}).then(function(e){e.forEach(function(e){return t.workspaceFilePathToConfiguration[t.contextService.toWorkspaceRelativePath(e.resource)]=o.TPromise.as(s.newConfigFile(e.value))})},r.onUnexpectedError)),this.bulkFetchFromWorkspacePromise.then(function(){return o.TPromise.join(t.workspaceFilePathToConfiguration)})},e.prototype.onDidRegisterConfiguration=function(){this.cachedConfig.config=i.mixin(i.clone(s.getDefaultValues()),this.cachedConfig.config,!0),this._onDidUpdateConfiguration.fire({config:this.cachedConfig.config})},e.prototype.handleConfigurationChange=function(){var t=this;this.reloadConfigurationScheduler||(this.reloadConfigurationScheduler=new a.RunOnceScheduler(function(){t.doLoadConfiguration().then(function(e){return t._onDidUpdateConfiguration.fire({config:e})}).done(null,r.onUnexpectedError)},e.RELOAD_CONFIGURATION_DELAY)),this.reloadConfigurationScheduler.isScheduled()||this.reloadConfigurationScheduler.schedule()},e.prototype.handleFileEvents=function(e){for(var t=e.changes,o=!1,i=0,a=t.length;a>i;i++){var u=this.contextService.toWorkspaceRelativePath(t[i].resource);if(u&&(u===this.workspaceSettingsRootFolder&&t[i].type===c.FileChangeType.DELETED&&(this.workspaceFilePathToConfiguration=Object.create(null),o=!0),".json"===n.extname(u)&&n.isEqualOrParent(u,this.workspaceSettingsRootFolder)))switch(t[i].type){case c.FileChangeType.DELETED:o=l.remove(this.workspaceFilePathToConfiguration,u);break;case c.FileChangeType.UPDATED:case c.FileChangeType.ADDED:this.workspaceFilePathToConfiguration[u]=this.resolveContent(t[i].resource).then(function(e){return s.newConfigFile(e.value)},r.onUnexpectedError),o=!0}}o&&this.handleConfigurationChange()},e.prototype.dispose=function(){this.reloadConfigurationScheduler&&this.reloadConfigurationScheduler.dispose(),this.callOnDispose.dispose(),this._onDidUpdateConfiguration.dispose()},e.RELOAD_CONFIGURATION_DELAY=50,e}();t.ConfigurationService=m}),define("vs/platform/extensions/common/abstractExtensionService",["require","exports","vs/nls!vs/platform/extensions/common/abstractExtensionService","vs/base/common/severity","vs/base/common/winjs.base","vs/platform/extensions/common/extensions","vs/platform/extensions/common/extensionsRegistry"],function(e,t,n,o,i,r,s){"use strict";var a=Object.hasOwnProperty,l=function(){function e(e){this.activationFailed=e}return e}();t.ActivatedExtension=l;var u=function(){function e(e){var t=this;this.serviceId=r.IExtensionService,e?(this._onReady=i.TPromise.as(!0),this._onReadyC=function(e){}):this._onReady=new i.TPromise(function(e,n,o){t._onReadyC=e},function(){console.warn("You should really not try to cancel this ready promise!")}),this._activatingExtensions={},this._activatedExtensions={}}return e.prototype._triggerOnReady=function(){this._onReadyC(!0)},e.prototype.onReady=function(){return this._onReady},e.prototype.getExtensionsStatus=function(){return null},e.prototype.isActivated=function(e){return a.call(this._activatedExtensions,e)},e.prototype.activateByEvent=function(e){var t=this;return this._onReady.then(function(){s.ExtensionsRegistry.triggerActivationEventListeners(e);var n=s.ExtensionsRegistry.getExtensionDescriptionsForActivationEvent(e);return t._activateExtensions(n,0)})},e.prototype.activateById=function(e){var t=this;return this._onReady.then(function(){var n=s.ExtensionsRegistry.getExtensionDescription(e);if(!n)throw new Error("Extension `"+e+"` is not known");return t._activateExtensions([n],0)})},e.prototype._handleActivateRequest=function(e,t,i){for(var r="undefined"==typeof e.extensionDependencies?[]:e.extensionDependencies,l=!0,u=0,c=r.length;c>u;u++){var d=r[u],h=s.ExtensionsRegistry.getExtensionDescription(d);if(!h)return this._showMessage(o["default"].Error,n.localize(0,null,d,e.id)),void(this._activatedExtensions[e.id]=this._createFailedExtension());if(a.call(this._activatedExtensions,d)){var p=this._activatedExtensions[d];if(p.activationFailed)return this._showMessage(o["default"].Error,n.localize(1,null,d,e.id)),void(this._activatedExtensions[e.id]=this._createFailedExtension())}else l=!1,t[d]=h}l?t[e.id]=e:i.push(e)},e.prototype._activateExtensions=function(e,t){var r=this;if(0===e.length)return i.TPromise.as(void 0);if(e=e.filter(function(e){return!a.call(r._activatedExtensions,e.id)}),0===e.length)return i.TPromise.as(void 0);if(t>10){for(var s=0,l=e.length;l>s;s++)this._showMessage(o["default"].Error,n.localize(2,null,e[s].id)),this._activatedExtensions[e[s].id]=this._createFailedExtension();return i.TPromise.as(void 0)}for(var u=Object.create(null),c=[],s=0,l=e.length;l>s;s++)this._handleActivateRequest(e[s],u,c);for(var s=0,l=c.length;l>s;s++)u[c[s].id]&&delete u[c[s].id];var d=Object.keys(u).map(function(e){return u[e]});return 0===c.length?i.TPromise.join(d.map(function(e){return r._activateExtension(e)})).then(function(e){}):this._activateExtensions(d,t+1).then(function(e){return r._activateExtensions(c,t+1)})},e.prototype._activateExtension=function(e){var t=this;return a.call(this._activatedExtensions,e.id)?i.TPromise.as(void 0):a.call(this._activatingExtensions,e.id)?this._activatingExtensions[e.id]:(this._activatingExtensions[e.id]=this._actualActivateExtension(e).then(null,function(i){return t._showMessage(o["default"].Error,n.localize(3,null,e.id,i.message)),console.error("Activating extension `"+e.id+"` failed: ",i.message),console.log("Here is the error stack: ",i.stack),t._createFailedExtension()}).then(function(n){t._activatedExtensions[e.id]=n,delete t._activatingExtensions[e.id]}),this._activatingExtensions[e.id])},e}();t.AbstractExtensionService=u}),define("vs/platform/keybinding/common/keybindingsRegistry",["require","exports","vs/base/common/keyCodes","vs/base/common/platform","vs/base/common/types","vs/platform/platform"],function(e,t,n,o,i,r){"use strict";var s=function(){function e(){this.WEIGHT={editorCore:function(e){return void 0===e&&(e=0),0+e},editorContrib:function(e){return void 0===e&&(e=0),
100+e},workbenchContrib:function(e){return void 0===e&&(e=0),200+e},builtinExtension:function(e){return void 0===e&&(e=0),300+e},externalExtension:function(e){return void 0===e&&(e=0),400+e}},this._keybindings=[],this._commands=Object.create(null)}return e.bindToCurrentPlatform=function(e){if(o.isWindows){if(e&&e.win)return e.win}else if(o.isMacintosh){if(e&&e.mac)return e.mac}else if(e&&e.linux)return e.linux;return e},e.prototype.registerCommandRule=function(t){var n=this,o=e.bindToCurrentPlatform(t);o&&o.primary&&this.registerDefaultKeybinding(o.primary,t.id,t.weight,0,t.when),o&&Array.isArray(o.secondary)&&o.secondary.forEach(function(e,o){return n.registerDefaultKeybinding(e,t.id,t.weight,-o-1,t.when)})},e.prototype.registerCommandDesc=function(e){this.registerCommandRule(e);var t=e.handler,n=e.description||t.description;if("object"==typeof n){for(var o=[],r=0,s=n.args;r<s.length;r++){var a=s[r];o.push(a.constraint)}t=function(t){for(var n=[],r=1;r<arguments.length;r++)n[r-1]=arguments[r];return i.validateConstraints(n,o),e.handler.apply(e,[t].concat(n))}}t.description=n,this._commands[e.id]=t},e.prototype.getCommands=function(){return this._commands},e.prototype.registerDefaultKeybinding=function(e,t,i,r,s){o.isWindows&&n.BinaryKeybindings.hasCtrlCmd(e)&&!n.BinaryKeybindings.hasShift(e)&&n.BinaryKeybindings.hasAlt(e)&&!n.BinaryKeybindings.hasWinCtrl(e)&&/^[A-Z0-9\[\]\|\;\'\,\.\/\`]$/.test(n.KeyCode.toString(n.BinaryKeybindings.extractKeyCode(e)))&&console.warn("Ctrl+Alt+ keybindings should not be used by default under Windows. Offender: ",e," for ",t),this._keybindings.push({keybinding:e,command:t,when:s,weight1:i,weight2:r})},e.prototype.getDefaultKeybindings=function(){return this._keybindings},e}();t.KeybindingsRegistry=new s,t.Extensions={EditorModes:"platform.keybindingsRegistry"},r.Registry.add(t.Extensions.EditorModes,t.KeybindingsRegistry)}),define("vs/editor/common/config/config",["require","exports","vs/base/common/keyCodes","vs/platform/editor/common/editor","vs/platform/keybinding/common/keybindingService","vs/platform/keybinding/common/keybindingsRegistry","vs/editor/common/editorCommon","vs/editor/common/services/codeEditorService"],function(e,t,n,o,i,r,s,a){"use strict";function l(e,t,n){var o=t.get(a.ICodeEditorService).getFocusedCodeEditor();return o?o:(n&&console.warn("Cannot execute "+e+" because no code editor is focused."),null)}function u(e,t,n){var o=l(e,t,!0);o&&n(o)}function c(e){var t=e.get(o.IEditorService),n=t.getActiveEditor&&t.getActiveEditor();if(n){var i=n.getControl();if(i&&"function"==typeof i.getEditorType){var r=i;return r}}return null}function d(e,t,n){u(e,t,function(t){t.trigger("keyboard",e,n)})}function h(e,t,n,o){void 0===n&&(n=r.KeybindingsRegistry.WEIGHT.editorCore());var a={id:e,handler:d.bind(null,e),weight:n,when:o?o:i.KbExpr.has(s.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS),primary:t.primary,secondary:t.secondary,win:t.win,mac:t.mac,linux:t.linux};r.KeybindingsRegistry.registerCommandDesc(a)}function p(e){var t={id:e,handler:d.bind(null,e),weight:r.KeybindingsRegistry.WEIGHT.editorCore(),when:null,primary:0};r.KeybindingsRegistry.registerCommandDesc(t);var n={id:"default:"+e,handler:function(t,n){u(e,t,function(t){t.trigger("keyboard",e,n)})},weight:r.KeybindingsRegistry.WEIGHT.editorCore(),when:null,primary:0};r.KeybindingsRegistry.registerCommandDesc(n)}function m(e,t){return e?n.KeyMod.Shift|n.KeyMod.Alt|t:n.KeyMod.Alt|t}function f(e,t){return e?n.KeyMod.CtrlCmd|n.KeyMod.Shift|t:n.KeyMod.CtrlCmd|t}function g(e,t,n){h(e,{primary:f(t,n),mac:{primary:m(t,n)}})}function v(e,t){var n=s.Handler.SelectAll,o=l(n,e,!1);if(o&&o.isFocused())return void o.trigger("keyboard",n,t);var i=document.activeElement;if(i&&["input","textarea"].indexOf(i.tagName.toLowerCase())>=0)return void i.select();var r=c(e);return r?void r.trigger("keyboard",n,t):void 0}var y=s.Handler;t.findFocusedEditor=l,t.withCodeEditorFromCommandHandler=u,t.getActiveEditor=c,p(y.Type),p(y.ReplacePreviousChar),p(y.Paste),p(y.Cut),h(y.CursorLeft,{primary:n.KeyCode.LeftArrow,mac:{primary:n.KeyCode.LeftArrow,secondary:[n.KeyMod.WinCtrl|n.KeyCode.KEY_B]}}),h(y.CursorLeftSelect,{primary:n.KeyMod.Shift|n.KeyCode.LeftArrow}),h(y.CursorRight,{primary:n.KeyCode.RightArrow,mac:{primary:n.KeyCode.RightArrow,secondary:[n.KeyMod.WinCtrl|n.KeyCode.KEY_F]}}),h(y.CursorRightSelect,{primary:n.KeyMod.Shift|n.KeyCode.RightArrow}),h(y.CursorUp,{primary:n.KeyCode.UpArrow,mac:{primary:n.KeyCode.UpArrow,secondary:[n.KeyMod.WinCtrl|n.KeyCode.KEY_P]}}),h(y.CursorUpSelect,{primary:n.KeyMod.Shift|n.KeyCode.UpArrow,secondary:[f(!0,n.KeyCode.UpArrow)],mac:{primary:n.KeyMod.Shift|n.KeyCode.UpArrow},linux:{primary:n.KeyMod.Shift|n.KeyCode.UpArrow}}),h(y.CursorDown,{primary:n.KeyCode.DownArrow,mac:{primary:n.KeyCode.DownArrow,secondary:[n.KeyMod.WinCtrl|n.KeyCode.KEY_N]}}),h(y.CursorDownSelect,{primary:n.KeyMod.Shift|n.KeyCode.DownArrow,secondary:[f(!0,n.KeyCode.DownArrow)],mac:{primary:n.KeyMod.Shift|n.KeyCode.DownArrow},linux:{primary:n.KeyMod.Shift|n.KeyCode.DownArrow}}),h(y.CursorPageUp,{primary:n.KeyCode.PageUp}),h(y.CursorPageUpSelect,{primary:n.KeyMod.Shift|n.KeyCode.PageUp}),h(y.CursorPageDown,{primary:n.KeyCode.PageDown}),h(y.CursorPageDownSelect,{primary:n.KeyMod.Shift|n.KeyCode.PageDown}),h(y.CursorHome,{primary:n.KeyCode.Home,mac:{primary:n.KeyCode.Home,secondary:[n.KeyMod.CtrlCmd|n.KeyCode.LeftArrow,n.KeyMod.WinCtrl|n.KeyCode.KEY_A]}}),h(y.CursorHomeSelect,{primary:n.KeyMod.Shift|n.KeyCode.Home,mac:{primary:n.KeyMod.Shift|n.KeyCode.Home,secondary:[n.KeyMod.CtrlCmd|n.KeyMod.Shift|n.KeyCode.LeftArrow]}}),h(y.CursorEnd,{primary:n.KeyCode.End,mac:{primary:n.KeyCode.End,secondary:[n.KeyMod.CtrlCmd|n.KeyCode.RightArrow,n.KeyMod.WinCtrl|n.KeyCode.KEY_E]}}),h(y.CursorEndSelect,{primary:n.KeyMod.Shift|n.KeyCode.End,mac:{primary:n.KeyMod.Shift|n.KeyCode.End,secondary:[n.KeyMod.CtrlCmd|n.KeyMod.Shift|n.KeyCode.RightArrow]}}),h(y.ExpandLineSelection,{primary:n.KeyMod.CtrlCmd|n.KeyCode.KEY_I}),h(y.ScrollLineUp,{primary:n.KeyMod.CtrlCmd|n.KeyCode.UpArrow,mac:{primary:n.KeyMod.WinCtrl|n.KeyCode.PageUp}}),h(y.ScrollLineDown,{primary:n.KeyMod.CtrlCmd|n.KeyCode.DownArrow,mac:{primary:n.KeyMod.WinCtrl|n.KeyCode.PageDown}}),h(y.ScrollPageUp,{primary:n.KeyMod.CtrlCmd|n.KeyCode.PageUp}),h(y.ScrollPageDown,{primary:n.KeyMod.CtrlCmd|n.KeyCode.PageDown}),h(y.CursorColumnSelectLeft,{primary:n.KeyMod.CtrlCmd|n.KeyMod.Shift|n.KeyMod.Alt|n.KeyCode.LeftArrow,linux:{primary:0}}),h(y.CursorColumnSelectRight,{primary:n.KeyMod.CtrlCmd|n.KeyMod.Shift|n.KeyMod.Alt|n.KeyCode.RightArrow,linux:{primary:0}}),h(y.CursorColumnSelectUp,{primary:n.KeyMod.CtrlCmd|n.KeyMod.Shift|n.KeyMod.Alt|n.KeyCode.UpArrow,linux:{primary:0}}),h(y.CursorColumnSelectPageUp,{primary:n.KeyMod.CtrlCmd|n.KeyMod.Shift|n.KeyMod.Alt|n.KeyCode.PageUp,linux:{primary:0}}),h(y.CursorColumnSelectDown,{primary:n.KeyMod.CtrlCmd|n.KeyMod.Shift|n.KeyMod.Alt|n.KeyCode.DownArrow,linux:{primary:0}}),h(y.CursorColumnSelectPageDown,{primary:n.KeyMod.CtrlCmd|n.KeyMod.Shift|n.KeyMod.Alt|n.KeyCode.PageDown,linux:{primary:0}}),h(y.Tab,{primary:n.KeyCode.Tab},r.KeybindingsRegistry.WEIGHT.editorCore(),i.KbExpr.and(i.KbExpr.has(s.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS),i.KbExpr.not(s.KEYBINDING_CONTEXT_EDITOR_TAB_MOVES_FOCUS))),h(y.Outdent,{primary:n.KeyMod.Shift|n.KeyCode.Tab},r.KeybindingsRegistry.WEIGHT.editorCore(),i.KbExpr.and(i.KbExpr.has(s.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS),i.KbExpr.not(s.KEYBINDING_CONTEXT_EDITOR_TAB_MOVES_FOCUS))),h(y.DeleteLeft,{primary:n.KeyCode.Backspace,secondary:[n.KeyMod.Shift|n.KeyCode.Backspace],mac:{primary:n.KeyCode.Backspace,secondary:[n.KeyMod.Shift|n.KeyCode.Backspace,n.KeyMod.WinCtrl|n.KeyCode.KEY_H,n.KeyMod.WinCtrl|n.KeyCode.Backspace]}}),h(y.DeleteRight,{primary:n.KeyCode.Delete,mac:{primary:n.KeyCode.Delete,secondary:[n.KeyMod.WinCtrl|n.KeyCode.KEY_D,n.KeyMod.WinCtrl|n.KeyCode.Delete]}}),h(y.DeleteAllLeft,{primary:null,mac:{primary:n.KeyMod.CtrlCmd|n.KeyCode.Backspace}}),h(y.DeleteAllRight,{primary:null,mac:{primary:n.KeyMod.WinCtrl|n.KeyCode.KEY_K,secondary:[n.KeyMod.CtrlCmd|n.KeyCode.Delete]}}),g(y.CursorWordStartLeft,!1,n.KeyCode.LeftArrow),h(y.CursorWordEndLeft,{primary:0}),h(y.CursorWordLeft,{primary:0}),g(y.CursorWordStartLeftSelect,!0,n.KeyCode.LeftArrow),h(y.CursorWordEndLeftSelect,{primary:0}),h(y.CursorWordLeftSelect,{primary:0}),g(y.CursorWordEndRight,!1,n.KeyCode.RightArrow),h(y.CursorWordStartRight,{primary:0}),h(y.CursorWordRight,{primary:0}),g(y.CursorWordEndRightSelect,!0,n.KeyCode.RightArrow),h(y.CursorWordStartRightSelect,{primary:0}),h(y.CursorWordRightSelect,{primary:0}),g(y.DeleteWordLeft,!1,n.KeyCode.Backspace),h(y.DeleteWordStartLeft,{primary:0}),h(y.DeleteWordEndLeft,{primary:0}),g(y.DeleteWordRight,!1,n.KeyCode.Delete),h(y.DeleteWordStartRight,{primary:0}),h(y.DeleteWordEndRight,{primary:0}),h(y.CancelSelection,{primary:n.KeyCode.Escape,secondary:[n.KeyMod.Shift|n.KeyCode.Escape]},r.KeybindingsRegistry.WEIGHT.editorCore(),i.KbExpr.and(i.KbExpr.has(s.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS),i.KbExpr.has(s.KEYBINDING_CONTEXT_EDITOR_HAS_NON_EMPTY_SELECTION))),h(y.RemoveSecondaryCursors,{primary:n.KeyCode.Escape,secondary:[n.KeyMod.Shift|n.KeyCode.Escape]},r.KeybindingsRegistry.WEIGHT.editorCore(1),i.KbExpr.and(i.KbExpr.has(s.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS),i.KbExpr.has(s.KEYBINDING_CONTEXT_EDITOR_HAS_MULTIPLE_SELECTIONS))),h(y.CursorTop,{primary:n.KeyMod.CtrlCmd|n.KeyCode.Home,mac:{primary:n.KeyMod.CtrlCmd|n.KeyCode.UpArrow}}),h(y.CursorTopSelect,{primary:n.KeyMod.CtrlCmd|n.KeyMod.Shift|n.KeyCode.Home,mac:{primary:n.KeyMod.CtrlCmd|n.KeyMod.Shift|n.KeyCode.UpArrow}}),h(y.CursorBottom,{primary:n.KeyMod.CtrlCmd|n.KeyCode.End,mac:{primary:n.KeyMod.CtrlCmd|n.KeyCode.DownArrow}}),h(y.CursorBottomSelect,{primary:n.KeyMod.CtrlCmd|n.KeyMod.Shift|n.KeyCode.End,mac:{primary:n.KeyMod.CtrlCmd|n.KeyMod.Shift|n.KeyCode.DownArrow}}),h(y.LineBreakInsert,{primary:null,mac:{primary:n.KeyMod.WinCtrl|n.KeyCode.KEY_O}}),h(y.Undo,{primary:n.KeyMod.CtrlCmd|n.KeyCode.KEY_Z}),h(y.CursorUndo,{primary:n.KeyMod.CtrlCmd|n.KeyCode.KEY_U}),h(y.Redo,{primary:n.KeyMod.CtrlCmd|n.KeyCode.KEY_Y,secondary:[n.KeyMod.CtrlCmd|n.KeyMod.Shift|n.KeyCode.KEY_Z],mac:{primary:n.KeyMod.CtrlCmd|n.KeyMod.Shift|n.KeyCode.KEY_Z}}),r.KeybindingsRegistry.registerCommandDesc({id:"editor.action.selectAll",handler:v,weight:r.KeybindingsRegistry.WEIGHT.editorCore(),when:null,primary:n.KeyMod.CtrlCmd|n.KeyCode.KEY_A})});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/platform/keybinding/browser/keybindingServiceImpl",["require","exports","vs/nls!vs/platform/keybinding/browser/keybindingServiceImpl","vs/base/common/keyCodes","vs/base/common/lifecycle","vs/base/common/severity","vs/base/common/arrays","vs/base/common/winjs.base","vs/base/browser/dom","vs/base/browser/keyboardEvent","vs/platform/keybinding/common/keybindingResolver","vs/platform/keybinding/common/keybindingService","vs/platform/keybinding/common/keybindingsRegistry","vs/css!./keybindings"],function(e,t,n,o,i,r,s,a,l,u,c,d,h){"use strict";var p="data-keybinding-context",m=function(){function e(e,t){this._id=e,this._parent=t,this._value=Object.create(null),this._value._contextId=e}return e.prototype.setValue=function(e,t){this._value[e]=t},e.prototype.removeValue=function(e){delete this._value[e]},e.prototype.fillInContext=function(e){this._parent&&this._parent.fillInContext(e);for(var t in this._value)e[t]=this._value[t]},e}();t.KeybindingContext=m;var f=function(){function e(e){var t=this;this._subscription=e.onDidUpdateConfiguration(function(e){return t._updateConfigurationContext(e.config)}),this._updateConfigurationContext(e.getConfiguration())}return e.prototype.dispose=function(){this._subscription.dispose()},e.prototype._updateConfigurationContext=function(e){var t=this;this._values=Object.create(null);var n=function(e,o){for(var i in e)if(Object.prototype.hasOwnProperty.call(e,i)){o.push(i);var r=e[i];"boolean"==typeof r?t._values[o.join(".")]=r:"object"==typeof r&&n(r,o),o.pop()}};n(e,["config"])},e.prototype.fillInContext=function(e){if(this._values)for(var t in this._values)e[t]=this._values[t]},e}();t.ConfigurationContext=f;var g=function(){function e(e,t,n){this._parent=e,this._key=t,this._defaultValue=n,"undefined"!=typeof this._defaultValue&&this._parent.setContext(this._key,this._defaultValue)}return e.prototype.set=function(e){this._parent.setContext(this._key,e)},e.prototype.reset=function(){"undefined"==typeof this._defaultValue?this._parent.removeContext(this._key):this._parent.setContext(this._key,this._defaultValue)},e}(),v=function(){function e(e){this.serviceId=d.IKeybindingService,this._myContextId=e,this._instantiationService=null}return e.prototype.createKey=function(e,t){return new g(this,e,t)},e.prototype.setInstantiationService=function(e){this._instantiationService=e},e.prototype.createScoped=function(e){return new _(this,e)},e.prototype.setContext=function(e,t){this.getContext(this._myContextId).setValue(e,t)},e.prototype.removeContext=function(e){this.getContext(this._myContextId).removeValue(e)},e.prototype.hasCommand=function(e){return!!h.KeybindingsRegistry.getCommands()[e]},e}();t.AbstractKeybindingService=v;var y=function(e){function t(t,n,o){e.call(this,0),this._toDispose=[],this._lastContextId=0,this._contexts=Object.create(null),this._contexts[String(this._myContextId)]=new m(this._myContextId,null),this._cachedResolver=null,this._firstTimeComputingResolver=!0,this._currentChord=0,this._currentChordStatusMessage=null,this._configurationContext=new f(t),this._toDispose.push(this._configurationContext),this._statusService=o,this._messageService=n}return __extends(t,e),t.prototype._beginListening=function(e){var t=this;this._toDispose.push(l.addDisposableListener(e,l.EventType.KEY_DOWN,function(e){var n=new u.StandardKeyboardEvent(e);t._dispatch(n)}))},t.prototype._getResolver=function(){return this._cachedResolver||(this._cachedResolver=new c.KeybindingResolver(h.KeybindingsRegistry.getDefaultKeybindings(),this._getExtraKeybindings(this._firstTimeComputingResolver)),this._firstTimeComputingResolver=!1),this._cachedResolver},t.prototype.dispose=function(){this._toDispose=i.dispose(this._toDispose)},t.prototype.getLabelFor=function(e){return e._toUSLabel()},t.prototype.getHTMLLabelFor=function(e){return e._toUSHTMLLabel()},t.prototype.getAriaLabelFor=function(e){return e._toUSAriaLabel()},t.prototype.getElectronAcceleratorFor=function(e){return e._toElectronAccelerator()},t.prototype.updateResolver=function(){this._cachedResolver=null},t.prototype._getExtraKeybindings=function(e){return[]},t.prototype.getDefaultKeybindings=function(){return this._getResolver().getDefaultKeybindings()+"\n\n"+this._getAllCommandsAsComment()},t.prototype.customKeybindingsCount=function(){return 0},t.prototype.lookupKeybindings=function(e){return this._getResolver().lookupKeybinding(e)},t.prototype._getAllCommandsAsComment=function(){var e=h.KeybindingsRegistry.getCommands(),t=[],o=this._getResolver().getDefaultBoundCommands();for(var i in e)"_"!==i[0]&&0!==i.indexOf("vscode.")&&("object"!=typeof e[i].description||s.isFalsyOrEmpty(e[i].description.args))&&(o[i]||t.push(i));var r=t.sort().join("\n// - ");return"// "+n.localize(0,null)+"\n// - "+r},t.prototype._getCommandHandler=function(e){return h.KeybindingsRegistry.getCommands()[e]},t.prototype._dispatch=function(e){var t=this,i=e.keyCode===o.KeyCode.Ctrl||e.keyCode===o.KeyCode.Shift||e.keyCode===o.KeyCode.Alt||e.keyCode===o.KeyCode.Meta;if(!i){var s=Object.create(null);this.getContext(this._findContextAttr(e.target)).fillInContext(s),this._configurationContext.fillInContext(s);var a=this._getResolver().resolve(s,this._currentChord,e.asKeybinding());if(a&&a.enterChord){if(e.preventDefault(),this._currentChord=a.enterChord,this._statusService){var l=this.getLabelFor(new o.Keybinding(this._currentChord));this._currentChordStatusMessage=this._statusService.setStatusMessage(n.localize(1,null,l))}}else{if(this._statusService&&this._currentChord&&(!a||!a.commandId)){var l=this.getLabelFor(new o.Keybinding(this._currentChord)),u=this.getLabelFor(new o.Keybinding(e.asKeybinding()));this._statusService.setStatusMessage(n.localize(2,null,l,u),1e4),e.preventDefault()}if(this._currentChordStatusMessage&&(this._currentChordStatusMessage.dispose(),this._currentChordStatusMessage=null),this._currentChord=0,a&&a.commandId){/^\^/.test(a.commandId)||e.preventDefault();var c=a.commandId.replace(/^\^/,"");this._invokeHandler(c,[{}]).done(void 0,function(e){t._messageService.show(r["default"].Warning,e)})}}}},t.prototype._invokeHandler=function(e,t){var n=this._getCommandHandler(e);if(!n)return a.TPromise.wrapError(new Error("No handler found for the command: '"+e+"'. An extension might be missing an activation event."));try{var o=this._instantiationService.invokeFunction.apply(this._instantiationService,[n].concat(t));return a.TPromise.as(o)}catch(i){return a.TPromise.wrapError(i)}},t.prototype._findContextAttr=function(e){for(;e;){if(e.hasAttribute(p))return parseInt(e.getAttribute(p),10);e=e.parentElement}return this._myContextId},t.prototype.getContext=function(e){return this._contexts[String(e)]},t.prototype.createChildContext=function(e){void 0===e&&(e=this._myContextId);var t=++this._lastContextId;return this._contexts[String(t)]=new m(t,this.getContext(e)),t},t.prototype.disposeContext=function(e){delete this._contexts[String(e)]},t.prototype.executeCommand=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return this._invokeHandler(e,t)},t}(v);t.KeybindingService=y,h.KeybindingsRegistry.registerCommandDesc({id:d.SET_CONTEXT_COMMAND_ID,handler:function(e,t,n){e.get(d.IKeybindingService).createKey(String(t),n)},weight:0,primary:void 0,when:null});var _=function(e){function t(t,n){e.call(this,t.createChildContext()),this._parent=t,this._domNode=n,this._domNode.setAttribute(p,String(this._myContextId))}return __extends(t,e),t.prototype.dispose=function(){this._parent.disposeContext(this._myContextId),this._domNode.removeAttribute(p)},t.prototype.getLabelFor=function(e){return this._parent.getLabelFor(e)},t.prototype.getHTMLLabelFor=function(e){return this._parent.getHTMLLabelFor(e)},t.prototype.getAriaLabelFor=function(e){return this._parent.getAriaLabelFor(e)},t.prototype.getElectronAcceleratorFor=function(e){return this._parent.getElectronAcceleratorFor(e)},t.prototype.getDefaultKeybindings=function(){return this._parent.getDefaultKeybindings()},t.prototype.customKeybindingsCount=function(){return this._parent.customKeybindingsCount()},t.prototype.lookupKeybindings=function(e){return this._parent.lookupKeybindings(e)},t.prototype.getContext=function(e){return this._parent.getContext(e)},t.prototype.createChildContext=function(e){return void 0===e&&(e=this._myContextId),this._parent.createChildContext(e)},t.prototype.disposeContext=function(e){this._parent.disposeContext(e)},t.prototype.executeCommand=function(e,t){return this._parent.executeCommand(e,t)},t}(v)}),define("vs/platform/request/common/request",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";t.IRequestService=n.createDecorator("requestService")}),define("vs/platform/storage/common/storage",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";t.ID="storageService",t.IStorageService=n.createDecorator(t.ID),function(e){e[e.GLOBAL=0]="GLOBAL",e[e.WORKSPACE=1]="WORKSPACE"}(t.StorageScope||(t.StorageScope={}));t.StorageScope;t.NullStorageService={serviceId:void 0,store:function(){},swap:function(){},remove:function(){},get:function(e,t,n){return n},getInteger:function(e,t,n){return n},getBoolean:function(e,t,n){return n}}}),define("vs/platform/telemetry/common/telemetry",["require","exports","vs/base/common/winjs.base","vs/base/common/timer","vs/platform/instantiation/common/instantiation"],function(e,t,n,o,i){"use strict";function r(e){if(!e)return e;for(var t="",n=0;n<e.length;n++){var o=e[n];t+=o>="0"&&"9">=o?"0":o>="a"&&"z">=o?"a":o>="A"&&"Z">=o?"A":o}return t}t.ITelemetryService=i.createDecorator("telemetryService"),t.NullTelemetryService={serviceId:void 0,timedPublicLog:function(e,t){return o.nullEvent},publicLog:function(e,t){},isOptedIn:!0,getTelemetryInfo:function(){return n.TPromise.as({instanceId:"someValue.instanceId",sessionId:"someValue.sessionId",machineId:"someValue.machineId"})}},t.anonymize=r}),define("vs/editor/common/editorCommonExtensions",["require","exports","vs/base/common/errors","vs/base/common/uri","vs/platform/instantiation/common/descriptors","vs/platform/keybinding/common/keybindingService","vs/platform/keybinding/common/keybindingsRegistry","vs/platform/platform","vs/platform/telemetry/common/telemetry","vs/editor/common/config/config","vs/editor/common/core/position","vs/editor/common/editorCommon","vs/editor/common/services/modelService"],function(e,t,n,o,i,r,s,a,l,u,c,d,h){"use strict";function p(e,t,n){u.withCodeEditorFromCommandHandler(e,t,function(t){t.trigger("keyboard",e,n)})}function m(e,t,o){var i=u.findFocusedEditor(e,t,!1);if(i)return void i.trigger("keyboard",e,o);var r=u.getActiveEditor(t);if(r){var s=r.getAction(e);return void(s&&(t.get(l.ITelemetryService).publicLog("editorActionInvoked",{name:s.label}),s.run().done(null,n.onUnexpectedError)))}}function f(e,t){var n=r.KbExpr.has(e?d.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS:d.KEYBINDING_CONTEXT_EDITOR_FOCUS);return t?r.KbExpr.and(n,r.KbExpr.has(t)):n}function g(e,t){return function(n,o){u.withCodeEditorFromCommandHandler(e,n,function(e){t(n,e,o||{})})}}!function(e){e[e.None=0]="None",e[e.EditorTextFocus=1]="EditorTextFocus",e[e.EditorFocus=2]="EditorFocus"}(t.ContextKey||(t.ContextKey={}));var v=t.ContextKey,y=function(){function e(e,t,n,o,i){void 0===o&&(o=S),this.ctor=e,this.id=t,this.label=n,this.alias=i,this.kbOpts=o}return e}();t.EditorActionDescriptor=y;var _;!function(e){function t(e){a.Registry.as(w.EditorCommonContributions).registerEditorAction(e)}function i(e){a.Registry.as(w.EditorCommonContributions).registerEditorContribution2(e)}function r(){return a.Registry.as(w.EditorCommonContributions).getEditorContributions2()}function l(e){return void 0===e&&(e=0),s.KeybindingsRegistry.WEIGHT.editorContrib(e)}function u(e,t,n,o,i,r){var a={id:e,handler:g(e,r),weight:t,when:f(o,i),primary:n.primary,secondary:n.secondary,win:n.win,linux:n.linux,mac:n.mac};s.KeybindingsRegistry.registerCommandDesc(a)}function d(e,t){s.KeybindingsRegistry.registerCommandDesc({id:e,handler:function(e,n){return t(e,n||{})},weight:s.KeybindingsRegistry.WEIGHT.editorContrib(),primary:void 0,when:void 0})}function p(e,t){d(e,function(e,i){var r=i.resource,s=i.position;if(!(r instanceof o["default"]&&c.Position.isIPosition(s)))throw n.illegalArgument();var a=e.get(h.IModelService).getModel(r);if(!a)throw n.illegalArgument();var l=c.Position.lift(s);return t(a,l,i)})}e.registerEditorAction=t,e.registerEditorContribution=i,e.getEditorContributions=r,e.commandWeight=l,e.registerEditorCommand=u,e.registerLanguageCommand=d,e.registerDefaultLanguageCommand=p}(_=t.CommonEditorRegistry||(t.CommonEditorRegistry={}));var b=function(){function e(e){this._ctor=e}return e.prototype.createInstance=function(e,t){return e.createInstance(this._ctor,t)},e}(),C=function(){function e(e,t,n,o){this._descriptor=i.createSyncDescriptor(e,{id:t,label:n,alias:o})}return e.prototype.createInstance=function(e,t){return e.createInstance(this._descriptor,t)},e}(),w={EditorCommonContributions:"editor.commonContributions"},E=function(){function e(){this.editorContributions=[]}return e.prototype.registerEditorContribution2=function(e){this.editorContributions.push(new b(e))},e.prototype.registerEditorAction=function(e){var t=e.kbOpts.handler;t||(t=e.kbOpts.context===v.EditorTextFocus||e.kbOpts.context===v.EditorFocus?p.bind(null,e.id):m.bind(null,e.id));var n=null;"undefined"==typeof e.kbOpts.kbExpr?e.kbOpts.context===v.EditorTextFocus?n=r.KbExpr.has(d.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS):e.kbOpts.context===v.EditorFocus&&(n=r.KbExpr.has(d.KEYBINDING_CONTEXT_EDITOR_FOCUS)):n=e.kbOpts.kbExpr;var o={id:e.id,handler:t,weight:s.KeybindingsRegistry.WEIGHT.editorContrib(),when:n,primary:e.kbOpts.primary,secondary:e.kbOpts.secondary,win:e.kbOpts.win,linux:e.kbOpts.linux,mac:e.kbOpts.mac};s.KeybindingsRegistry.registerCommandDesc(o),this.editorContributions.push(new C(e.ctor,e.id,e.label,e.alias))},e.prototype.getEditorContributions2=function(){return this.editorContributions.slice(0)},e}();a.Registry.add(w.EditorCommonContributions,new E);var S={primary:null,context:v.EditorTextFocus}});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/contrib/clipboard/browser/clipboard",["require","exports","vs/nls!vs/editor/contrib/clipboard/browser/clipboard","vs/base/common/keyCodes","vs/base/common/lifecycle","vs/base/common/winjs.base","vs/base/browser/browser","vs/editor/common/config/config","vs/editor/common/editorAction","vs/editor/common/editorActionEnablement","vs/editor/common/editorCommonExtensions","vs/css!./clipboard"],function(e,t,n,o,i,r,s,a,l,u,c){"use strict";function d(e){var t=e.getModel();if(!t)return!1;var n=t.hasEditableRange();if(!n)return!0;var o=t.getEditableRange(),i=e.getPosition();return o.containsPosition(i)}function h(e,t){s.supportsExecCommand(e.execCommand)&&c.CommonEditorRegistry.registerEditorAction(new c.EditorActionDescriptor(e.ctor,e.id,e.label,{handler:p.bind(null,e.id,e.execCommand),context:c.ContextKey.None,primary:e.primary,secondary:e.secondary,win:e.win,linux:e.linux,mac:e.mac},t))}function p(e,t,n,o){var i=a.findFocusedEditor(e,n,!1);return i&&i.isFocused()?void i.trigger("keyboard",e,o):void document.execCommand(t)}var m=function(e){function t(t,n,o){var i=this;e.call(this,t,n,o),this.toUnhook=[],this.toUnhook.push(this.editor.onDidChangeCursorSelection(function(e){i.resetEnablementState()}))}return __extends(t,e),t.prototype.dispose=function(){this.toUnhook=i.dispose(this.toUnhook),e.prototype.dispose.call(this)},t.prototype.getEnablementState=function(){return s.enableEmptySelectionClipboard?!0:!this.editor.getSelection().isEmpty()},t}(l.EditorAction),f=function(e){function t(t,n){e.call(this,t,n,u.Behaviour.Writeable|u.Behaviour.WidgetFocus|u.Behaviour.ShowInContextMenu|u.Behaviour.UpdateOnCursorPositionChange)}return __extends(t,e),t.prototype.getGroupId=function(){return"3_edit/1_cut"},t.prototype.getEnablementState=function(){return e.prototype.getEnablementState.call(this)&&d(this.editor)},t.prototype.run=function(){return this.editor.focus(),document.execCommand("cut"),r.TPromise.as(!0)},t}(m),g=function(e){function t(t,n){e.call(this,t,n,u.Behaviour.WidgetFocus|u.Behaviour.ShowInContextMenu)}return __extends(t,e),t.prototype.getGroupId=function(){return"3_edit/2_copy"},t.prototype.run=function(){return this.editor.focus(),document.execCommand("copy"),r.TPromise.as(!0)},t}(m),v=function(e){function t(t,n){e.call(this,t,n,u.Behaviour.Writeable|u.Behaviour.WidgetFocus|u.Behaviour.ShowInContextMenu|u.Behaviour.UpdateOnCursorPositionChange)}return __extends(t,e),t.prototype.getGroupId=function(){return"3_edit/3_paste"},t.prototype.getEnablementState=function(){return d(this.editor)},t.prototype.run=function(){return this.editor.focus(),document.execCommand("paste"),null},t}(l.EditorAction);h({ctor:f,id:"editor.action.clipboardCutAction",label:n.localize(0,null),execCommand:"cut",primary:o.KeyMod.CtrlCmd|o.KeyCode.KEY_X,win:{primary:o.KeyMod.CtrlCmd|o.KeyCode.KEY_X,secondary:[o.KeyMod.Shift|o.KeyCode.Delete]}},"Cut"),h({ctor:g,id:"editor.action.clipboardCopyAction",label:n.localize(1,null),execCommand:"copy",primary:o.KeyMod.CtrlCmd|o.KeyCode.KEY_C,win:{primary:o.KeyMod.CtrlCmd|o.KeyCode.KEY_C,secondary:[o.KeyMod.CtrlCmd|o.KeyCode.Insert]}},"Copy"),h({ctor:v,id:"editor.action.clipboardPasteAction",label:n.localize(2,null),execCommand:"paste",primary:o.KeyMod.CtrlCmd|o.KeyCode.KEY_V,win:{primary:o.KeyMod.CtrlCmd|o.KeyCode.KEY_V,secondary:[o.KeyMod.Shift|o.KeyCode.Insert]}},"Paste")}),define("vs/editor/contrib/codelens/common/codelens",["require","exports","vs/base/common/errors","vs/base/common/uri","vs/base/common/winjs.base","vs/editor/common/editorCommonExtensions","vs/editor/common/modes","vs/editor/common/services/modelService","vs/base/common/async"],function(e,t,n,o,i,r,s,a,l){"use strict";function u(e){var t=[],o=s.CodeLensProviderRegistry.all(e).map(function(o){return l.asWinJsPromise(function(t){return o.provideCodeLenses(e,t)}).then(function(e){if(Array.isArray(e))for(var n=0,i=e;n<i.length;n++){var r=i[n];t.push({symbol:r,support:o})}},function(e){n.isPromiseCanceledError(e)||n.onUnexpectedError(e)})});return i.TPromise.join(o).then(function(){return t})}t.getCodeLensData=u,r.CommonEditorRegistry.registerLanguageCommand("_executeCodeLensProvider",function(e,t){var i=t.resource;if(!(i instanceof o["default"]))throw n.illegalArgument();var r=e.get(a.IModelService).getModel(i);if(!r)throw n.illegalArgument();return u(r)})});var __decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/contrib/codelens/browser/codelens",["require","exports","vs/base/common/async","vs/base/common/errors","vs/base/common/lifecycle","vs/base/common/severity","vs/base/common/strings","vs/base/common/winjs.base","vs/base/browser/dom","vs/platform/keybinding/common/keybindingService","vs/platform/message/common/message","vs/editor/common/core/range","vs/editor/common/editorCommon","vs/editor/common/modes","vs/editor/common/services/modelService","vs/editor/browser/editorBrowser","vs/editor/browser/editorBrowserExtensions","../common/codelens","vs/css!./codelens"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m,f,g,v){"use strict";function y(e,t){for(var n=1,o=e.getModels().filter(function(e){return e.getMode().getId()===t}).map(function(e){return{url:e.uri.toString(),versionId:e.getVersionId()}}).sort(function(e,t){return e.url<t.url?-1:e.url>t.url?1:0}),i=0;i<o.length;i++)n=(31*n|0)+o[i].versionId|0;return n}var _=function(){function e(e){this.afterLineNumber=e,this.heightInLines=1,this.suppressMouseDown=!0,this.domNode=document.createElement("div")}return e.prototype.setAfterLineNumber=function(e){this.afterLineNumber=e},e}(),b=function(){function e(t,n,o,i){var s=this;this._commands=Object.create(null),this._id="codeLensWidget"+ ++e.ID,this._editor=t,this.setSymbolRange(n),this._domNode=document.createElement("span"),this._domNode.style.height=t.getConfiguration().lineHeight+"px",this._domNode.innerHTML="&nbsp;",l.addClass(this._domNode,"codelens-decoration"),l.addClass(this._domNode,"invisible-cl"),this._subscription=l.addDisposableListener(this._domNode,"click",function(e){var n=e.target;if("A"===n.tagName&&n.id){var a=s._commands[n.id];a&&(t.focus(),o.executeCommand.apply(o,[a.id].concat(a.arguments)).done(void 0,function(e){i.show(r["default"].Error,e)}))}}),this.updateVisibility()}return e.prototype.dispose=function(){this._subscription.dispose(),this._symbolRange=null},e.prototype.updateVisibility=function(){this.isVisible()&&(l.removeClass(this._domNode,"invisible-cl"),l.addClass(this._domNode,"fadein"))},e.prototype.withCommands=function(e){if(this._commands=Object.create(null),!e||!e.length)return void(this._domNode.innerHTML="no commands");for(var t=[],n=0;n<e.length;n++){var o=e[n].command,i=void 0;o.id?(i=s.format("<a id={0}>{1}</a>",n,o.title),
this._commands[n]=o):i=s.format("<span>{0}</span>",o.title),t.push(i)}this._domNode.innerHTML=t.join("<span>&nbsp;|&nbsp;</span>"),this._editor.layoutContentWidget(this)},e.prototype.getId=function(){return this._id},e.prototype.getDomNode=function(){return this._domNode},e.prototype.setSymbolRange=function(e){this._symbolRange=e;var t=e.startLineNumber,n=this._editor.getModel().getLineFirstNonWhitespaceColumn(t);this._widgetPosition={position:{lineNumber:t,column:n},preference:[f.ContentWidgetPositionPreference.ABOVE]}},e.prototype.getPosition=function(){return this._widgetPosition},e.prototype.isVisible=function(){return this._domNode.hasAttribute("monaco-visible-content-widget")},e.ID=0,e}(),C=function(){function e(){this._removeDecorations=[],this._addDecorations=[],this._addDecorationsCallbacks=[]}return e.prototype.addDecoration=function(e,t){this._addDecorations.push(e),this._addDecorationsCallbacks.push(t)},e.prototype.removeDecoration=function(e){this._removeDecorations.push(e)},e.prototype.commit=function(e){for(var t=e.deltaDecorations(this._removeDecorations,this._addDecorations),n=0,o=t.length;o>n;n++)this._addDecorationsCallbacks[n](t[n])},e}(),w=function(){function e(e,t,n,o,i,r){var s=this;this._editor=t,this._data=e,this._decorationIds=new Array(this._data.length);var a;this._data.forEach(function(e,t){n.addDecoration({range:e.symbol.range,options:{}},function(e){return s._decorationIds[t]=e});for(var o=0,i=s._data;o<i.length;o++){var r=i[o];a=a?d.Range.plusRange(a,r.symbol.range):r.symbol.range}}),this._viewZone=new _(a.startLineNumber-1),this._contentWidget=new b(t,d.Range.lift(a),i,r),this._viewZoneId=o.addZone(this._viewZone),this._editor.addContentWidget(this._contentWidget),this._lastUpdateModelsVersionId=-1}return e.prototype.dispose=function(e,t){for(;this._decorationIds.length;)e.removeDecoration(this._decorationIds.pop());t&&t.removeZone(this._viewZoneId),this._editor.removeContentWidget(this._contentWidget),this._contentWidget.dispose()},e.prototype.isValid=function(){var e=this;return this._decorationIds.some(function(t){var n=e._editor.getModel().getDecorationRange(t);return n&&!n.isEmpty()})},e.prototype.updateCodeLensSymbols=function(e,t){for(var n=this;this._decorationIds.length;)t.removeDecoration(this._decorationIds.pop());this._data=e,this._decorationIds=new Array(this._data.length),this._data.forEach(function(e,o){t.addDecoration({range:e.symbol.range,options:{}},function(e){return n._decorationIds[o]=e})})},e.prototype.computeIfNecessary=function(e,t){if(this._contentWidget.updateVisibility(),!this._contentWidget.isVisible())return null;if(this._lastUpdateModelsVersionId===e)return null;for(var n=0;n<this._decorationIds.length;n++)this._data[n].symbol.range=t.getDecorationRange(this._decorationIds[n]);return this._data},e.prototype.updateCommands=function(e,t){this._contentWidget.withCommands(e),this._lastUpdateModelsVersionId=t},e.prototype.getLineNumber=function(){var e=this._editor.getModel().getDecorationRange(this._decorationIds[0]);return e?e.startLineNumber:-1},e.prototype.update=function(e){if(this.isValid()){var t=this._editor.getModel().getDecorationRange(this._decorationIds[0]);this._viewZone.setAfterLineNumber(t.startLineNumber-1),e.layoutZone(this._viewZoneId),this._contentWidget.setSymbolRange(t),this._editor.layoutContentWidget(this._contentWidget)}},e}(),E=function(){function e(e,t,n,o){var i=this;this._editor=e,this._modelService=t,this._keybindingService=n,this._messageService=o,this._isEnabled=this._editor.getConfiguration().contribInfo.referenceInfos,this._globalToDispose=[],this._localToDispose=[],this._lenses=[],this._currentFindCodeLensSymbolsPromise=null,this._modelChangeCounter=0,this._globalToDispose.push(this._editor.onDidChangeModel(function(){return i.onModelChange()})),this._globalToDispose.push(this._editor.onDidChangeModelMode(function(){return i.onModelChange()})),this._globalToDispose.push(this._editor.onDidChangeConfiguration(function(e){var t=i._isEnabled;i._isEnabled=i._editor.getConfiguration().contribInfo.referenceInfos,t!==i._isEnabled&&i.onModelChange()})),this._globalToDispose.push(p.CodeLensProviderRegistry.onDidChange(this.onModelChange,this)),this.onModelChange()}return e.prototype.dispose=function(){this.localDispose(),this._globalToDispose=i.dispose(this._globalToDispose)},e.prototype.localDispose=function(){this._currentFindCodeLensSymbolsPromise&&(this._currentFindCodeLensSymbolsPromise.cancel(),this._currentFindCodeLensSymbolsPromise=null,this._modelChangeCounter++),this._currentFindOccPromise&&(this._currentFindOccPromise.cancel(),this._currentFindOccPromise=null),this._localToDispose=i.dispose(this._localToDispose)},e.prototype.getId=function(){return e.ID},e.prototype.onModelChange=function(){var e=this;this.localDispose();var t=this._editor.getModel();if(t&&this._isEnabled&&p.CodeLensProviderRegistry.has(t)){var i=new n.RunOnceScheduler(function(){e._onViewportChanged(t.getMode().getId())},500),r=new n.RunOnceScheduler(function(){e._currentFindCodeLensSymbolsPromise&&e._currentFindCodeLensSymbolsPromise.cancel(),e._currentFindCodeLensSymbolsPromise=v.getCodeLensData(t);var n=++e._modelChangeCounter;e._currentFindCodeLensSymbolsPromise.then(function(t){n===e._modelChangeCounter&&(e.renderCodeLensSymbols(t),i.schedule())},function(e){o.onUnexpectedError(e)})},250);this._localToDispose.push(r),this._localToDispose.push(i),this._localToDispose.push(t.addBulkListener(function(t){for(var n=!1,o=0;o<t.length;o++){var s=t[o].getType();if(s===h.EventType.ModelRawContentChanged){n=!0;break}}n&&(e._editor.changeDecorations(function(t){e._editor.changeViewZones(function(n){var o=[];e._lenses.forEach(function(e){e.isValid()?e.update(n):o.push(e)});var i=new C;o.forEach(function(t){t.dispose(i,n),e._lenses.splice(e._lenses.indexOf(t),1)}),i.commit(t)})}),i.schedule(),r.schedule())})),this._localToDispose.push(this._editor.onDidScrollChange(function(e){e.scrollTopChanged&&i.schedule()})),this._localToDispose.push({dispose:function(){e._editor.getModel()?e._editor.changeDecorations(function(t){e._editor.changeViewZones(function(n){e._disposeAllLenses(t,n)})}):e._disposeAllLenses(null,null)}}),r.schedule()}},e.prototype._disposeAllLenses=function(e,t){var n=new C;this._lenses.forEach(function(e){return e.dispose(n,t)}),e&&n.commit(e),this._lenses=[]},e.prototype.renderCodeLensSymbols=function(e){var t=this;if(this._editor.getModel()){e=e?e.sort(function(e,t){return d.Range.compareRangesUsingStarts(d.Range.lift(e.symbol.range),d.Range.lift(t.symbol.range))}):[];for(var n,o=this._editor.getModel().getLineCount(),i=[],r=0,s=e;r<s.length;r++){var a=s[r],l=a.symbol.range.startLineNumber;1>l||l>=o||(n&&n[n.length-1].symbol.range.startLineNumber===l?n.push(a):(n=[a],i.push(n)))}var u=this._editor.getCenteredRangeInViewport(),c=i.length!==this._lenses.length&&0!==this._editor.getScrollTop();this._editor.changeDecorations(function(e){t._editor.changeViewZones(function(n){for(var o=0,r=0,s=new C;r<i.length&&o<t._lenses.length;){var a=i[r][0].symbol.range.startLineNumber,l=t._lenses[o].getLineNumber();a>l?(t._lenses[o].dispose(s,n),t._lenses.splice(o,1)):l===a?(t._lenses[o].updateCodeLensSymbols(i[r],s),r++,o++):(t._lenses.splice(o,0,new w(i[r],t._editor,s,n,t._keybindingService,t._messageService)),o++,r++)}for(;o<t._lenses.length;)t._lenses[o].dispose(s,n),t._lenses.splice(o,1);for(;r<i.length;)t._lenses.push(new w(i[r],t._editor,s,n,t._keybindingService,t._messageService)),r++;s.commit(e)})}),c&&this._editor.revealRangeInCenter(u)}},e.prototype._onViewportChanged=function(e){var t=this;this._currentFindOccPromise&&(this._currentFindOccPromise.cancel(),this._currentFindOccPromise=null);var o=this._editor.getModel();if(o){var i=y(this._modelService,e),r=[],s=[];if(this._lenses.forEach(function(e){var t=e.computeIfNecessary(i,o);t&&(r.push(t),s.push(e))}),0!==r.length){var l=r.map(function(e,t){var r=new Array(e.length),l=e.map(function(e,t){return n.asWinJsPromise(function(t){return e.support.resolveCodeLens(o,e.symbol,t)}).then(function(e){r[t]=e})});return a.TPromise.join(l).then(function(){s[t].updateCommands(r,i)})});this._currentFindOccPromise=a.TPromise.join(l).then(function(){t._currentFindOccPromise=null})}}},e.ID="css.editor.codeLens",e=__decorate([__param(1,m.IModelService),__param(2,u.IKeybindingService),__param(3,c.IMessageService)],e)}();t.CodeLensContribution=E,g.EditorBrowserRegistry.registerEditorContribution(E)}),define("vs/editor/contrib/color/browser/color",["require","exports","vs/base/common/async","vs/base/common/errors","vs/base/common/lifecycle","vs/base/common/strings","vs/base/browser/dom","vs/editor/common/editorCommon","vs/editor/common/editorCommonExtensions","vs/css!./color"],function(e,t,n,o,i,r,s,a,l){"use strict";var u=function(){function e(e,t){this.renderingDecorationId=e,this.trackingDecorationId=t}return e.createRenderingDecoration=function(e,t){return{range:{startLineNumber:e.startLineNumber,startColumn:e.startColumn,endLineNumber:e.startLineNumber,endColumn:e.startColumn+1},options:{inlineClassName:"inline-color-decoration "+t,stickiness:a.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges}}},e.createTrackingDecoration=function(e){return{range:e,options:{stickiness:a.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges}}},e.prototype.getColorValue=function(e){var t=e.getDecorationRange(this.trackingDecorationId);return t?e.getValueInRange(t):""},e}(),c=function(){function e(t){var o=this;this._instanceCount=++e.INSTANCE_COUNT,this._editor=t,this._callOnDispose=[],this._callOnModelChange=[],this._currentDecorations=[],this._currentDynamicColors=[],this._contentChangedScheduler=new n.RunOnceScheduler(null,250),this._decorationsChangedScheduler=new n.RunOnceScheduler(function(){return o.onDecorationsChanged()},250),this._currentFindColorDeclarationsPromise=null,this._callOnDispose.push(this._contentChangedScheduler),this._callOnDispose.push(this._decorationsChangedScheduler),this._callOnDispose.push(this._editor.onDidChangeModel(function(){return o.onModelChange()})),this._callOnDispose.push(this._editor.onDidChangeModelMode(function(){return o.onModelChange()})),this._callOnDispose.push(this._editor.onDidChangeModelModeSupport(function(e){o.onModelChange()})),this._style=s.createStyleSheet(),this.onModelChange()}return e.prototype.dispose=function(){var e=this;this._currentDecorations.length>0&&this._editor.changeDecorations(function(t){for(var n=[],o=0,i=e._currentDecorations.length;i>o;o++)n.push(e._currentDecorations[o].renderingDecorationId),n.push(e._currentDecorations[o].trackingDecorationId);t.deltaDecorations(n,[]),e._currentDecorations=null}),this._style.parentNode.removeChild(this._style),this._style=null,this._callOnDispose=i.dispose(this._callOnDispose)},e.prototype.getId=function(){return e.ID},e.prototype.onModelChange=function(){var e=this;this._callOnModelChange=i.dispose(this._callOnModelChange);var t=this._editor.getModel();if(t){var n=t.getMode();"function"==typeof n.findColorDeclarations&&(this._contentChangedScheduler.setRunner(function(){e._currentFindColorDeclarationsPromise&&e._currentFindColorDeclarationsPromise.cancel(),e._currentFindColorDeclarationsPromise=n.findColorDeclarations(t.uri);var i=e._editor.getModel().getVersionId();e._currentFindColorDeclarationsPromise.then(function(t){i===e._editor.getModel().getVersionId()&&e.renderAndTrackColors(t)},function(e){o.onUnexpectedError(e)})}),this._contentChangedScheduler.schedule(),this._callOnModelChange.push({dispose:function(){e._contentChangedScheduler.cancel(),e._decorationsChangedScheduler.cancel()}}),this._callOnModelChange.push({dispose:function(){e._currentFindColorDeclarationsPromise&&e._currentFindColorDeclarationsPromise.cancel(),e._currentFindColorDeclarationsPromise=null}}),this._callOnModelChange.push(this._editor.onDidChangeModelContent(function(t){return e._contentChangedScheduler.schedule()})),this._callOnModelChange.push(t.onDidChangeDecorations(function(t){return e._decorationsChangedScheduler.schedule()})))}},e.prototype.renderAndTrackColors=function(e){var t=this;e=e.slice(0,500),this._editor.changeDecorations(function(n){for(var o=[],i=0,r=t._currentDecorations.length;r>i;i++)o.push(t._currentDecorations[i].renderingDecorationId),o.push(t._currentDecorations[i].trackingDecorationId);for(var s=[],i=0,r=e.length;r>i;i++)s.push(u.createRenderingDecoration(e[i].range,t.getCSSRuleName(i))),s.push(u.createTrackingDecoration(e[i].range));var a=n.deltaDecorations(o,s);t._currentDecorations=[];for(var i=0,r=e.length;r>i;i++)t._currentDecorations.push(new u(a[2*i],a[2*i+1]))}),this.onDecorationsChanged()},e.prototype.onDecorationsChanged=function(){var e,t,n,o,i,r,s=this,a=this._editor.getModel(),l=[];this._editor.changeDecorations(function(u){for(e=0,t=s._currentDecorations.length;t>e;e++)r=s._currentDecorations[e],n=a.getDecorationRange(r.trackingDecorationId),n&&!n.isEmpty()?(l[e]=a.getValueInRange(n).replace(/[^%#a-z0-9.,()]/gi,""),o=a.getDecorationRange(r.renderingDecorationId),i=a.validateRange({startLineNumber:n.startLineNumber,startColumn:n.startColumn,endLineNumber:n.startLineNumber,endColumn:n.startColumn+1}),o&&o.equalsRange(i)||u.changeDecoration(r.renderingDecorationId,i)):l[e]="";s.ensureColors(l)})},e.prototype.getCSSRuleName=function(e){return 0>e?".monaco-css-dynamic-"+this._instanceCount+"-":".monaco-css-dynamic-"+this._instanceCount+"-"+e+":before"},e.prototype._changeCost=function(e){if(this._currentDynamicColors.length!==e.length)return Number.MAX_VALUE;for(var t=0,n=0;n<e.length;n++)e[n]!==this._currentDynamicColors[n]&&t++;return t},e.prototype.ensureColors=function(e){var t,n=this._changeCost(e);if(0!==n){if(10>n){for(t=0;t<e.length;t++)if(e[t]!==this._currentDynamicColors[t]){var o=s.getCSSRule(this.getCSSRuleName(t),this._style);o&&(o.style.backgroundColor=e[t])}}else{var i=[];for(t=0;t<e.length;t++)i.push(this.getCSSRuleName(t)),i.push("{"),i.push(this.getCSSText(e[t])),i.push("}");this._style.innerHTML=i.join("")}this._currentDynamicColors=e}},e.prototype.getCSSText=function(e){return r.format("background-color:{0};",e)},e.ID="css.editor.colorContribution",e.INSTANCE_COUNT=0,e}();t.ColorContribution=c,l.CommonEditorRegistry.registerEditorContribution(c)});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/contrib/comment/common/comment",["require","exports","vs/nls!vs/editor/contrib/comment/common/comment","vs/base/common/keyCodes","vs/base/common/winjs.base","vs/editor/common/editorAction","vs/editor/common/editorCommonExtensions","./blockCommentCommand","./lineCommentCommand"],function(e,t,n,o,i,r,s,a,l){"use strict";var u=function(e){function t(t,n,o){e.call(this,t,n),this._type=o}return __extends(t,e),t.prototype.run=function(){var e=this.editor.getModel();if(e){for(var t=[],n=this.editor.getSelections(),o=e.getOptions(),r=0;r<n.length;r++)t.push(new l.LineCommentCommand(n[r],o.tabSize,this._type));return this.editor.executeCommands(this.id,t),i.TPromise.as(null)}},t.ID="editor.action.commentLine",t}(r.EditorAction),c=function(e){function t(t,n){e.call(this,t,n,l.Type.Toggle)}return __extends(t,e),t.ID="editor.action.commentLine",t}(u),d=function(e){function t(t,n){e.call(this,t,n,l.Type.ForceAdd)}return __extends(t,e),t.ID="editor.action.addCommentLine",t}(u),h=function(e){function t(t,n){e.call(this,t,n,l.Type.ForceRemove)}return __extends(t,e),t.ID="editor.action.removeCommentLine",t}(u),p=function(e){function t(t,n){e.call(this,t,n)}return __extends(t,e),t.prototype.run=function(){for(var e=[],t=this.editor.getSelections(),n=0;n<t.length;n++)e.push(new a.BlockCommentCommand(t[n]));return this.editor.executeCommands(this.id,e),i.TPromise.as(null)},t.ID="editor.action.blockComment",t}(r.EditorAction);s.CommonEditorRegistry.registerEditorAction(new s.EditorActionDescriptor(c,c.ID,n.localize(0,null),{context:s.ContextKey.EditorTextFocus,primary:o.KeyMod.CtrlCmd|o.KeyCode.US_SLASH},"Toggle Line Comment")),s.CommonEditorRegistry.registerEditorAction(new s.EditorActionDescriptor(d,d.ID,n.localize(1,null),{context:s.ContextKey.EditorTextFocus,primary:o.KeyMod.chord(o.KeyMod.CtrlCmd|o.KeyCode.KEY_K,o.KeyMod.CtrlCmd|o.KeyCode.KEY_C)},"Add Line Comment")),s.CommonEditorRegistry.registerEditorAction(new s.EditorActionDescriptor(h,h.ID,n.localize(2,null),{context:s.ContextKey.EditorTextFocus,primary:o.KeyMod.chord(o.KeyMod.CtrlCmd|o.KeyCode.KEY_K,o.KeyMod.CtrlCmd|o.KeyCode.KEY_U)},"Remove Line Comment")),s.CommonEditorRegistry.registerEditorAction(new s.EditorActionDescriptor(p,p.ID,n.localize(3,null),{context:s.ContextKey.EditorTextFocus,primary:o.KeyMod.Shift|o.KeyMod.Alt|o.KeyCode.KEY_A,linux:{primary:o.KeyMod.CtrlCmd|o.KeyMod.Shift|o.KeyCode.KEY_A}},"Toggle Block Comment"))});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/contrib/contextmenu/browser/contextmenu",["require","exports","vs/nls!vs/editor/contrib/contextmenu/browser/contextmenu","vs/base/common/keyCodes","vs/base/common/lifecycle","vs/base/common/sortedList","vs/base/common/winjs.base","vs/base/browser/dom","vs/base/browser/ui/actionbar/actionbar","vs/platform/contextview/browser/contextView","vs/platform/keybinding/common/keybindingService","vs/editor/common/editorAction","vs/editor/common/editorActionEnablement","vs/editor/common/editorCommon","vs/editor/common/editorCommonExtensions","vs/editor/browser/editorBrowserExtensions"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m,f){"use strict";var g=function(){function e(e,t,n,i){var r=this;this.contextMenuService=t,this.contextViewService=n,this.keybindingService=i,this._editor=e,this._toDispose=[],this._contextMenuIsBeingShownCount=0,this._toDispose.push(this._editor.onContextMenu(function(e){return r._onContextMenu(e)})),this._toDispose.push(this._editor.onKeyDown(function(e){e.keyCode===o.KeyCode.ContextMenu&&(e.preventDefault(),e.stopPropagation(),r.showContextMenu())}))}return e.prototype._onContextMenu=function(e){if(!this._editor.getConfiguration().contribInfo.contextmenu)return this._editor.focus(),void(e.target.position&&!this._editor.getSelection().containsPosition(e.target.position)&&this._editor.setPosition(e.target.position));if(e.target.type!==p.MouseTargetType.OVERLAY_WIDGET&&(e.event.preventDefault(),e.target.type===p.MouseTargetType.CONTENT_TEXT||e.target.type===p.MouseTargetType.CONTENT_EMPTY||e.target.type===p.MouseTargetType.TEXTAREA)){this._editor.focus(),e.target.position&&!this._editor.getSelection().containsPosition(e.target.position)&&this._editor.setPosition(e.target.position);var t;e.target.type!==p.MouseTargetType.TEXTAREA&&(t={x:e.event.posx,y:e.event.posy+1}),this.showContextMenu(t)}},e.prototype.showContextMenu=function(e){if(this._editor.getConfiguration().contribInfo.contextmenu){if(!this.contextMenuService)return void this._editor.focus();var t=this._editor.getPosition(),n=this._editor.getModel();if(t&&n){var o=this._getMenuActions();o.length>0&&this._doShowContextMenu(o,e)}}},e.prototype._getMenuActions=function(){var e=this._editor.getModel();if(!e)return[];var t=this._editor.getActions(),n=t.filter(function(e){return"function"==typeof e.shouldShowInContextMenu&&e.shouldShowInContextMenu()&&e.isSupported()});return this._prepareActions(n)},e.prototype._prepareActions=function(e){var t=new r.SortedList;e.forEach(function(e){var n=e.getGroupId().split("/"),o=t.getValue(n[0]);o||(o=new r.SortedList,t.add(n[0],o)),o.add(n[1]||n[0],e)});for(var n=[],o=t.getIterator();o.moveNext();){for(var i=o.current.value,s=i.getIterator();s.moveNext();){var a=s.current.value;n.push(a)}o.hasNext()&&n.push(new l.Separator)}return n},e.prototype._doShowContextMenu=function(e,t){var n=this;void 0===t&&(t=null),this._editor.beginForcedWidgetFocus();var o=this._editor.getConfiguration().contribInfo.hover;this._editor.updateOptions({hover:!1});var i=t;if(!i){this._editor.revealPosition(this._editor.getPosition()),this._editor.render();var r=this._editor.getScrolledVisiblePosition(this._editor.getPosition()),u=a.getDomNodePosition(this._editor.getDomNode()),c=u.left+r.left,d=u.top+r.top+r.height;i={x:c,y:d}}this.contextMenuService.showContextMenu({getAnchor:function(){return i},getActions:function(){return s.TPromise.as(e)},getActionItem:function(e){var t=n._keybindingFor(e);if(t)return new l.ActionItem(e,e,{label:!0,keybinding:n.keybindingService.getLabelFor(t)});var o=e;return"function"==typeof o.getActionItem?o.getActionItem():null},getKeyBinding:function(e){return n._keybindingFor(e)},onHide:function(e){n._contextMenuIsBeingShownCount--,n._editor.focus(),n._editor.endForcedWidgetFocus(),n._editor.updateOptions({hover:o})}})},e.prototype._keybindingFor=function(e){var t=this.keybindingService.lookupKeybindings(e.id);return t.length>0?t[0]:null},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this._contextMenuIsBeingShownCount>0&&this.contextViewService.hideContextView(),this._toDispose=i.dispose(this._toDispose)},e.ID="editor.contrib.contextmenu",e=__decorate([__param(1,u.IContextMenuService),__param(2,u.IContextViewService),__param(3,c.IKeybindingService)],e)}(),v=function(e){function t(t,n){e.call(this,t,n,h.Behaviour.TextFocus)}return __extends(t,e),t.prototype.run=function(){var e=this.editor.getContribution(g.ID);return e?(e.showContextMenu(),s.TPromise.as(null)):s.TPromise.as(null)},t.ID="editor.action.showContextMenu",t}(d.EditorAction);f.EditorBrowserRegistry.registerEditorContribution(g),m.CommonEditorRegistry.registerEditorAction(new m.EditorActionDescriptor(v,v.ID,n.localize(0,null),{context:m.ContextKey.EditorTextFocus,primary:o.KeyMod.Shift|o.KeyCode.F10},"Show Editor Context Menu"))});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/contrib/find/common/findController",["require","exports","vs/nls!vs/editor/contrib/find/common/findController","vs/base/common/keyCodes","vs/base/common/lifecycle","vs/base/common/winjs.base","vs/platform/keybinding/common/keybindingService","vs/editor/common/core/range","vs/editor/common/core/selection","vs/editor/common/editorAction","vs/editor/common/editorActionEnablement","vs/base/common/strings","vs/editor/common/editorCommon","vs/editor/common/editorCommonExtensions","vs/editor/contrib/find/common/findModel","vs/editor/contrib/find/common/findState","vs/editor/common/modes","vs/base/common/async"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m,f,g,v){"use strict";function y(e,t){var n,o,i=w.getFindController(e),r=i.getState(),s=r.wholeWord,a=r.matchCase;if(!e.isFocused()&&r.isRevealed&&r.searchString.length>0)n=r.searchString;else{var u=e.getSelection();if(u.startLineNumber!==u.endLineNumber)return null;if(u.isEmpty()){var c=e.getModel().getWordAtPosition(u.getStartPosition());if(!c)return null;n=c.word,o=l.Selection.createSelection(u.startLineNumber,c.startColumn,u.startLineNumber,c.endColumn)}else n=e.getModel().getValueInRange(u);t&&i.setSearchString(n)}return{searchText:n,matchCase:a,wholeWord:s,nextMatch:o}}function _(e,t,n,o){void 0===o&&(o=null),p.CommonEditorRegistry.registerEditorCommand(e,p.CommonEditorRegistry.commandWeight(5),n,!1,o,function(e,n,o){t(w.getFindController(n))})}!function(e){e[e.NoFocusChange=0]="NoFocusChange",e[e.FocusFindInput=1]="FocusFindInput",e[e.FocusReplaceInput=2]="FocusReplaceInput"}(t.FindStartFocusAction||(t.FindStartFocusAction={}));var b=t.FindStartFocusAction,C="findWidgetVisible",w=function(e){function t(t,n){var o=this;e.call(this),this._editor=t,this._findWidgetVisible=n.createKey(C,!1),this._state=this._register(new f.FindReplaceState),this._register(this._state.addChangeListener(function(e){return o._onStateChanged(e)})),this._model=null,this._register(this._editor.onDidChangeModel(function(){var e=o._editor.getModel()&&o._state.isRevealed;o.disposeModel(),e&&o._start({forceRevealReplace:!1,seedSearchStringFromSelection:!1,seedSearchScopeFromSelection:!1,shouldFocus:b.NoFocusChange,shouldAnimate:!1})}))}return __extends(t,e),t.getFindController=function(e){return e.getContribution(t.ID)},t.prototype.dispose=function(){this.disposeModel(),e.prototype.dispose.call(this)},t.prototype.disposeModel=function(){this._model&&(this._model.dispose(),this._model=null)},t.prototype.getId=function(){return t.ID},t.prototype._onStateChanged=function(e){e.isRevealed&&(this._state.isRevealed?this._findWidgetVisible.set(!0):(this._findWidgetVisible.reset(),this.disposeModel()))},t.prototype.getState=function(){return this._state},t.prototype.closeFindWidget=function(){this._state.change({isRevealed:!1},!1),this._editor.focus()},t.prototype.toggleCaseSensitive=function(){this._state.change({matchCase:!this._state.matchCase},!1)},t.prototype.toggleWholeWords=function(){this._state.change({wholeWord:!this._state.wholeWord},!1)},t.prototype.toggleRegex=function(){this._state.change({isRegex:!this._state.isRegex},!1)},t.prototype.setSearchString=function(e){this._state.change({searchString:e},!1)},t.prototype.getSelectionSearchString=function(){var e=this._editor.getSelection();if(e.startLineNumber===e.endLineNumber){if(!e.isEmpty())return this._editor.getModel().getValueInRange(e);var t=this._editor.getModel().getWordAtPosition(e.getStartPosition());if(t)return t.word}return null},t.prototype._start=function(e){if(this.disposeModel(),this._editor.getModel()){var t={isRevealed:!0};if(e.seedSearchStringFromSelection){var n=this.getSelectionSearchString();n&&(this._state.isRegex?t.searchString=d.escapeRegExpCharacters(n):t.searchString=n)}var o=this._editor.getSelection();t.searchScope=null,e.seedSearchScopeFromSelection&&o.startLineNumber<o.endLineNumber&&(t.searchScope=o),e.forceRevealReplace&&(t.isReplaceRevealed=!0),this._state.change(t,!1),this._model||(this._model=new m.FindModelBoundToEditorModel(this._editor,this._state))}},t.prototype.start=function(e){this._start(e)},t.prototype.moveToNextMatch=function(){return this._model?(this._model.moveToNextMatch(),!0):!1},t.prototype.moveToPrevMatch=function(){return this._model?(this._model.moveToPrevMatch(),!0):!1},t.prototype.replace=function(){return this._model?(this._model.replace(),!0):!1},t.prototype.replaceAll=function(){return this._model?(this._model.replaceAll(),!0):!1},t.prototype.selectAllMatches=function(){return this._model?(this._model.selectAllMatches(),this._editor.focus(),!0):!1},t.ID="editor.contrib.findController",t=__decorate([__param(1,s.IKeybindingService)],t)}(i.Disposable);t.CommonFindController=w;var E=function(e){function t(t,n){e.call(this,t,n,c.Behaviour.WidgetFocus)}return __extends(t,e),t.prototype.run=function(){var e=w.getFindController(this.editor);return e.start({forceRevealReplace:!1,seedSearchStringFromSelection:!0,seedSearchScopeFromSelection:!0,shouldFocus:b.FocusFindInput,shouldAnimate:!0}),r.TPromise.as(!0)},t}(u.EditorAction);t.StartFindAction=E;var S=function(e){function t(t,n){e.call(this,t,n,c.Behaviour.WidgetFocus)}return __extends(t,e),t.prototype.run=function(){var e=w.getFindController(this.editor);return this._run(e)||(e.start({forceRevealReplace:!1,seedSearchStringFromSelection:0===e.getState().searchString.length,seedSearchScopeFromSelection:!1,shouldFocus:b.NoFocusChange,shouldAnimate:!0}),this._run(e)),r.TPromise.as(!0)},t}(u.EditorAction);t.MatchFindAction=S;var x=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),t.prototype._run=function(e){return e.moveToNextMatch()},t}(S);t.NextMatchFindAction=x;var T=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),t.prototype._run=function(e){return e.moveToPrevMatch()},t}(S);t.PreviousMatchFindAction=T;var L=function(e){function t(t,n){e.call(this,t,n,c.Behaviour.WidgetFocus)}return __extends(t,e),t.prototype.run=function(){var e=w.getFindController(this.editor),t=e.getSelectionSearchString();return t&&e.setSearchString(t),this._run(e)||(e.start({forceRevealReplace:!1,seedSearchStringFromSelection:!1,seedSearchScopeFromSelection:!1,shouldFocus:b.NoFocusChange,shouldAnimate:!0}),this._run(e)),r.TPromise.as(!0)},t}(u.EditorAction);t.SelectionMatchFindAction=L;var M=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),t.prototype._run=function(e){return e.moveToNextMatch()},t}(L);t.NextSelectionMatchFindAction=M;var N=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),t.prototype._run=function(e){return e.moveToPrevMatch()},t}(L);t.PreviousSelectionMatchFindAction=N;var I=function(e){function t(t,n){e.call(this,t,n,c.Behaviour.WidgetFocus|c.Behaviour.Writeable)}return __extends(t,e),t.prototype.run=function(){var e=w.getFindController(this.editor);return e.start({forceRevealReplace:!0,seedSearchStringFromSelection:!0,seedSearchScopeFromSelection:!0,shouldFocus:b.FocusReplaceInput,shouldAnimate:!0}),r.TPromise.as(!0)},t}(u.EditorAction);t.StartFindReplaceAction=I;var D=function(e){function t(t,n){e.call(this,t,n,c.Behaviour.WidgetFocus)}return __extends(t,e),t.prototype._getNextMatch=function(){var e=y(this.editor,!0);if(!e)return null;if(e.nextMatch)return e.nextMatch;var t=this.editor.getSelections(),n=t[t.length-1],o=this.editor.getModel().findNextMatch(e.searchText,n.getEndPosition(),!1,e.matchCase,e.wholeWord);return o?l.Selection.createSelection(o.startLineNumber,o.startColumn,o.endLineNumber,o.endColumn):null},t}(u.EditorAction);t.SelectNextFindMatchAction=D;var R=function(e){function t(t,n){e.call(this,t,n)}return __extends(t,e),t.prototype.run=function(){var e=this._getNextMatch();if(!e)return r.TPromise.as(!1);var t=this.editor.getSelections();return this.editor.setSelections(t.concat(e)),this.editor.revealRangeInCenterIfOutsideViewport(e),r.TPromise.as(!0)},t.ID=m.FIND_IDS.AddSelectionToNextFindMatchAction,t}(D);t.AddSelectionToNextFindMatchAction=R;var O=function(e){function t(t,n){e.call(this,t,n)}return __extends(t,e),t.prototype.run=function(){var e=this._getNextMatch();if(!e)return r.TPromise.as(!1);var t=this.editor.getSelections();return this.editor.setSelections(t.slice(0,t.length-1).concat(e)),this.editor.revealRangeInCenterIfOutsideViewport(e),r.TPromise.as(!0)},t.ID=m.FIND_IDS.MoveSelectionToNextFindMatchAction,t}(D);t.MoveSelectionToNextFindMatchAction=O;var k=function(e){function t(n,o){var i=c.Behaviour.WidgetFocus|c.Behaviour.Writeable;n.id===t.COMPAT_ID&&(i|=c.Behaviour.ShowInContextMenu),e.call(this,n,o,i)}return __extends(t,e),t.prototype.getGroupId=function(){return"2_change/1_changeAll"},t.prototype.run=function(){var e=y(this.editor,!0);if(!e)return r.TPromise.as(!1);var t=this.editor.getModel().findMatches(e.searchText,!0,!1,e.matchCase,e.wholeWord);return t.length>0&&this.editor.setSelections(t.map(function(e){return l.Selection.createSelection(e.startLineNumber,e.startColumn,e.endLineNumber,e.endColumn)})),r.TPromise.as(!0)},t.ID="editor.action.selectHighlights",
t.COMPAT_ID="editor.action.changeAll",t}(u.EditorAction);t.SelectHighlightsAction=k;var P=function(e){function t(t){var n=this;e.call(this),this.editor=t,this.decorations=[],this.updateSoon=this._register(new v.RunOnceScheduler(function(){return n._update()},300)),this.lastWordUnderCursor=null,this._register(t.onDidChangeCursorSelection(function(e){e.selection.isEmpty()?e.reason===h.CursorChangeReason.Explicit?(n.lastWordUnderCursor&&n.lastWordUnderCursor.containsPosition(e.selection.getStartPosition())||n.removeDecorations(),n.updateSoon.schedule()):n.removeDecorations():n._update()})),this._register(t.onDidChangeModel(function(e){n.removeDecorations()})),this._register(w.getFindController(t).getState().addChangeListener(function(e){n._update()}))}return __extends(t,e),t.prototype.getId=function(){return t.ID},t.prototype.removeDecorations=function(){this.lastWordUnderCursor=null,this.decorations.length>0&&(this.decorations=this.editor.deltaDecorations(this.decorations,[]))},t.prototype._update=function(){var e=this.editor.getModel();if(e&&(this.lastWordUnderCursor=null,this.editor.getConfiguration().contribInfo.selectionHighlight)){var t=y(this.editor,!1);if(!t)return void this.removeDecorations();var n=g.DocumentHighlightProviderRegistry.has(e);if(t.nextMatch){if(n)return void this.removeDecorations();this.lastWordUnderCursor=t.nextMatch}if(/^[ \t]+$/.test(t.searchText))return void this.removeDecorations();if(t.searchText.length>200)return void this.removeDecorations();for(var o=this.editor.getSelections(),i=e.getValueInRange(o[0]),r=1;r<o.length;r++){var s=e.getValueInRange(o[r]);if(i!==s)return void this.removeDecorations()}var l=e.findMatches(t.searchText,!0,!1,t.matchCase,t.wholeWord);l.sort(a.Range.compareRangesUsingStarts),o.sort(a.Range.compareRangesUsingStarts);for(var u=[],r=0,c=0,d=l.length,p=o.length;d>r;){var m=l[r];if(c>=p)u.push(m),r++;else{var f=a.Range.compareRangesUsingStarts(m,o[c]);0>f?(u.push(m),r++):f>0?c++:(r++,c++)}}var v=u.map(function(e){return{range:e,options:{stickiness:h.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,className:"selectionHighlight",overviewRuler:n?void 0:{color:"#A0A0A0",darkColor:"#A0A0A0",position:h.OverviewRulerLane.Center}}}});this.decorations=this.editor.deltaDecorations(this.decorations,v)}},t.prototype.dispose=function(){this.removeDecorations(),e.prototype.dispose.call(this)},t.ID="editor.contrib.selectionHighlighter",t}(i.Disposable);t.SelectionHighlighter=P,p.CommonEditorRegistry.registerEditorAction(new p.EditorActionDescriptor(k,k.ID,n.localize(0,null),{context:p.ContextKey.EditorFocus,primary:o.KeyMod.CtrlCmd|o.KeyMod.Shift|o.KeyCode.KEY_L},"Select All Occurences of Find Match")),p.CommonEditorRegistry.registerEditorAction(new p.EditorActionDescriptor(k,k.COMPAT_ID,n.localize(1,null),{context:p.ContextKey.EditorTextFocus,primary:o.KeyMod.CtrlCmd|o.KeyCode.F2},"Change All Occurrences")),p.CommonEditorRegistry.registerEditorAction(new p.EditorActionDescriptor(E,m.FIND_IDS.StartFindAction,n.localize(2,null),{context:p.ContextKey.None,primary:o.KeyMod.CtrlCmd|o.KeyCode.KEY_F},"Find")),p.CommonEditorRegistry.registerEditorAction(new p.EditorActionDescriptor(x,m.FIND_IDS.NextMatchFindAction,n.localize(3,null),{context:p.ContextKey.EditorFocus,primary:o.KeyCode.F3,mac:{primary:o.KeyMod.CtrlCmd|o.KeyCode.KEY_G,secondary:[o.KeyCode.F3]}},"Find Next")),p.CommonEditorRegistry.registerEditorAction(new p.EditorActionDescriptor(T,m.FIND_IDS.PreviousMatchFindAction,n.localize(4,null),{context:p.ContextKey.EditorFocus,primary:o.KeyMod.Shift|o.KeyCode.F3,mac:{primary:o.KeyMod.CtrlCmd|o.KeyMod.Shift|o.KeyCode.KEY_G,secondary:[o.KeyMod.Shift|o.KeyCode.F3]}},"Find Previous")),p.CommonEditorRegistry.registerEditorAction(new p.EditorActionDescriptor(M,m.FIND_IDS.NextSelectionMatchFindAction,n.localize(5,null),{context:p.ContextKey.EditorFocus,primary:o.KeyMod.CtrlCmd|o.KeyCode.F3},"Find Next Selection")),p.CommonEditorRegistry.registerEditorAction(new p.EditorActionDescriptor(N,m.FIND_IDS.PreviousSelectionMatchFindAction,n.localize(6,null),{context:p.ContextKey.EditorFocus,primary:o.KeyMod.CtrlCmd|o.KeyMod.Shift|o.KeyCode.F3},"Find Previous Selection")),p.CommonEditorRegistry.registerEditorAction(new p.EditorActionDescriptor(I,m.FIND_IDS.StartFindReplaceAction,n.localize(7,null),{context:p.ContextKey.None,primary:o.KeyMod.CtrlCmd|o.KeyCode.KEY_H,mac:{primary:o.KeyMod.CtrlCmd|o.KeyMod.Alt|o.KeyCode.KEY_F}},"Replace")),p.CommonEditorRegistry.registerEditorAction(new p.EditorActionDescriptor(O,O.ID,n.localize(8,null),{context:p.ContextKey.EditorFocus,primary:o.KeyMod.chord(o.KeyMod.CtrlCmd|o.KeyCode.KEY_K,o.KeyMod.CtrlCmd|o.KeyCode.KEY_D)},"Move Last Selection To Next Find Match")),p.CommonEditorRegistry.registerEditorAction(new p.EditorActionDescriptor(R,R.ID,n.localize(9,null),{context:p.ContextKey.EditorFocus,primary:o.KeyMod.CtrlCmd|o.KeyCode.KEY_D},"Add Selection To Next Find Match")),_(m.FIND_IDS.CloseFindWidgetCommand,function(e){return e.closeFindWidget()},{primary:o.KeyCode.Escape,secondary:[o.KeyMod.Shift|o.KeyCode.Escape]},C),_(m.FIND_IDS.ToggleCaseSensitiveCommand,function(e){return e.toggleCaseSensitive()},{primary:o.KeyMod.Alt|o.KeyCode.KEY_C,mac:{primary:o.KeyMod.CtrlCmd|o.KeyMod.Alt|o.KeyCode.KEY_C}}),_(m.FIND_IDS.ToggleWholeWordCommand,function(e){return e.toggleWholeWords()},{primary:o.KeyMod.Alt|o.KeyCode.KEY_W,mac:{primary:o.KeyMod.CtrlCmd|o.KeyMod.Alt|o.KeyCode.KEY_W}}),_(m.FIND_IDS.ToggleRegexCommand,function(e){return e.toggleRegex()},{primary:o.KeyMod.Alt|o.KeyCode.KEY_R,mac:{primary:o.KeyMod.CtrlCmd|o.KeyMod.Alt|o.KeyCode.KEY_R}}),_(m.FIND_IDS.ReplaceOneAction,function(e){return e.replace()},{primary:o.KeyMod.CtrlCmd|o.KeyMod.Shift|o.KeyCode.KEY_1},C),_(m.FIND_IDS.ReplaceAllAction,function(e){return e.replaceAll()},{primary:o.KeyMod.CtrlCmd|o.KeyMod.Alt|o.KeyCode.Enter},C),_(m.FIND_IDS.SelectAllMatchesAction,function(e){return e.selectAllMatches()},{primary:o.KeyMod.Alt|o.KeyCode.Enter},C)});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/contrib/find/browser/find",["require","exports","vs/platform/contextview/browser/contextView","vs/platform/keybinding/common/keybindingService","vs/editor/browser/editorBrowserExtensions","vs/editor/contrib/find/browser/findWidget","vs/editor/contrib/find/common/findController"],function(e,t,n,o,i,r,s){"use strict";var a=function(e){function t(t,n,o){e.call(this,t,o),this._widget=this._register(new r.FindWidget(t,this,this._state,n,o))}return __extends(t,e),t.prototype._start=function(t){e.prototype._start.call(this,t),t.shouldFocus===s.FindStartFocusAction.FocusReplaceInput?this._widget.focusReplaceInput():t.shouldFocus===s.FindStartFocusAction.FocusFindInput&&this._widget.focusFindInput()},t=__decorate([__param(1,n.IContextViewService),__param(2,o.IKeybindingService)],t)}(s.CommonFindController);i.EditorBrowserRegistry.registerEditorContribution(a),i.EditorBrowserRegistry.registerEditorContribution(s.SelectionHighlighter)});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/contrib/folding/browser/folding",["require","exports","vs/nls!vs/editor/contrib/folding/browser/folding","vs/base/common/async","vs/base/common/keyCodes","vs/base/common/lifecycle","vs/base/common/winjs.base","vs/editor/common/editorAction","vs/editor/common/editorActionEnablement","vs/editor/common/editorCommon","vs/editor/common/core/range","vs/editor/common/editorCommonExtensions","vs/editor/browser/editorBrowserExtensions","vs/editor/contrib/folding/common/indentFoldStrategy","vs/css!./folding"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p){"use strict";var m=function(){function e(e,t,n){this.decorationIds=[],this.update(e,t,n)}return Object.defineProperty(e.prototype,"isCollapsed",{get:function(){return this._isCollapsed},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"isExpanded",{get:function(){return!this._isCollapsed},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"indent",{get:function(){return this._indent},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"startLineNumber",{get:function(){return this._lastRange?this._lastRange.startLineNumber:void 0},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"endLineNumber",{get:function(){return this._lastRange?this._lastRange.endLineNumber:void 0},enumerable:!0,configurable:!0}),e.prototype.setCollapsed=function(e,t){this._isCollapsed=e,this.decorationIds.length>0&&t.changeDecorationOptions(this.decorationIds[0],this.getVisualDecorationOptions())},e.prototype.getDecorationRange=function(e){return this.decorationIds.length>0?e.getDecorationRange(this.decorationIds[1]):null},e.prototype.getVisualDecorationOptions=function(){return this._isCollapsed?{stickiness:u.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,inlineClassName:"inline-folded",linesDecorationsClassName:"folding collapsed"}:{stickiness:u.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,linesDecorationsClassName:"folding"}},e.prototype.getRangeDecorationOptions=function(){return{stickiness:u.TrackedRangeStickiness.GrowsOnlyWhenTypingBefore}},e.prototype.update=function(e,t,n){this._lastRange=e,this._isCollapsed=!!e.isCollapsed,this._indent=e.indent;var o=[],i=t.getLineMaxColumn(e.startLineNumber),r={startLineNumber:e.startLineNumber,startColumn:i-1,endLineNumber:e.startLineNumber,endColumn:i};o.push({range:r,options:this.getVisualDecorationOptions()});var s={startLineNumber:e.startLineNumber,startColumn:1,endLineNumber:e.endLineNumber,endColumn:t.getLineMaxColumn(e.endLineNumber)};o.push({range:s,options:this.getRangeDecorationOptions()}),this.decorationIds=n.deltaDecorations(this.decorationIds,o)},e.prototype.dispose=function(e){this._lastRange=null,this.decorationIds=e.deltaDecorations(this.decorationIds,[])},e.prototype.toString=function(){var e=this.isCollapsed?"collapsed ":"expanded ";return e+=this._lastRange?this._lastRange.startLineNumber+"/"+this._lastRange.endLineNumber:"no range"},e}(),f=function(){function e(e){var t=this;this.editor=e,this._isEnabled=this.editor.getConfiguration().contribInfo.folding,this.globalToDispose=[],this.localToDispose=[],this.decorations=[],this.computeToken=0,this.globalToDispose.push(this.editor.onDidChangeModel(function(){return t.onModelChanged()})),this.globalToDispose.push(this.editor.onDidChangeConfiguration(function(e){var n=t._isEnabled;t._isEnabled=t.editor.getConfiguration().contribInfo.folding,n!==t._isEnabled&&t.onModelChanged()})),this.onModelChanged()}return e.getFoldingController=function(t){return t.getContribution(e.ID)},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this.cleanState(),this.globalToDispose=r.dispose(this.globalToDispose)},e.prototype.saveViewState=function(){var e=this.editor.getModel();if(!e)return{};var t=[];return this.decorations.forEach(function(n){if(n.isCollapsed){var o=n.getDecorationRange(e);o&&t.push({startLineNumber:o.startLineNumber,endLineNumber:o.endLineNumber,indent:n.indent,isCollapsed:!0})}}),{collapsedRegions:t,lineCount:e.getLineCount()}},e.prototype.restoreViewState=function(e){var t=this.editor.getModel();t&&this._isEnabled&&e&&Array.isArray(e.collapsedRegions)&&0!==e.collapsedRegions.length&&e.lineCount===t.getLineCount()&&this.applyRegions(e.collapsedRegions)},e.prototype.cleanState=function(){this.localToDispose=r.dispose(this.localToDispose)},e.prototype.applyRegions=function(t){var n=this,o=this.editor.getModel();if(o){var i=!1;t=p.limitByIndent(t,e.MAX_FOLDING_REGIONS).sort(function(e,t){return e.startLineNumber-t.startLineNumber}),this.editor.changeDecorations(function(e){for(var r=[],s=0,a=0;a<n.decorations.length&&s<t.length;){var l=n.decorations[a],u=l.getDecorationRange(o);if(u){for(;s<t.length&&u.startLineNumber>t[s].startLineNumber;){var c=t[s];i=i||c.isCollapsed,r.push(new m(c,o,e)),s++}if(s<t.length){var d=t[s];u.startLineNumber<d.startLineNumber?(i=i||l.isCollapsed,l.dispose(e),a++):u.startLineNumber===d.startLineNumber&&(!l.isCollapsed||l.startLineNumber===d.startLineNumber&&l.endLineNumber===d.endLineNumber||(i=!0),d.isCollapsed=l.isCollapsed,l.update(d,o,e),r.push(l),a++,s++)}}else i=i||l.isCollapsed,l.dispose(e),a++}for(;a<n.decorations.length;){var l=n.decorations[a];i=i||l.isCollapsed,l.dispose(e),a++}for(;s<t.length;){var c=t[s];i=i||c.isCollapsed,r.push(new m(c,o,e)),s++}n.decorations=r}),i&&this.updateHiddenAreas(void 0)}},e.prototype.onModelChanged=function(){var e=this;this.cleanState();var t=this.editor.getModel();this._isEnabled&&t&&(this.contentChangedScheduler=new o.RunOnceScheduler(function(){var t=++e.computeToken;e.computeCollapsibleRegions().then(function(n){t===e.computeToken&&e.applyRegions(n)})},200),this.cursorChangedScheduler=new o.RunOnceScheduler(function(){e.revealCursor()},200),this.localToDispose.push(this.contentChangedScheduler),this.localToDispose.push(this.cursorChangedScheduler),this.localToDispose.push(this.editor.onDidChangeModelContent(function(){e.contentChangedScheduler.schedule()})),this.localToDispose.push({dispose:function(){++e.computeToken,e.editor.changeDecorations(function(t){e.decorations.forEach(function(e){return e.dispose(t)})}),e.decorations=[],e.editor.setHiddenAreas([])}}),this.localToDispose.push(this.editor.onMouseDown(function(t){return e.onEditorMouseDown(t)})),this.localToDispose.push(this.editor.onMouseUp(function(t){return e.onEditorMouseUp(t)})),this.localToDispose.push(this.editor.onDidChangeCursorPosition(function(t){e.cursorChangedScheduler.schedule()})),this.contentChangedScheduler.schedule())},e.prototype.computeCollapsibleRegions=function(){var e=this.editor.getModel();if(!e)return s.TPromise.as([]);var t=e.getOptions().tabSize,n=p.computeRanges(e,t);return s.TPromise.as(n)},e.prototype.revealCursor=function(){var e=this,t=this.editor.getModel();if(t){var n=!1,o=this.editor.getPosition(),i=o.lineNumber;this.editor.changeDecorations(function(o){return e.decorations.forEach(function(e){if(e.isCollapsed){var r=e.getDecorationRange(t);r&&r.startLineNumber<i&&i<=r.endLineNumber&&(e.setCollapsed(!1,o),n=!0)}})}),n&&this.updateHiddenAreas(i)}},e.prototype.onEditorMouseDown=function(e){if(this.mouseDownInfo=null,0!==this.decorations.length){var t=e.target.range;if(t&&t.isEmpty&&e.event.leftButton){var n=this.editor.getModel(),o=!1;switch(e.target.type){case u.MouseTargetType.GUTTER_LINE_DECORATIONS:o=!0;break;case u.MouseTargetType.CONTENT_TEXT:if(t.isEmpty&&t.startColumn===n.getLineMaxColumn(t.startLineNumber))break;return;default:return}this.mouseDownInfo={lineNumber:t.startLineNumber,iconClicked:o}}}},e.prototype.onEditorMouseUp=function(e){var t=this;if(this.mouseDownInfo){var n=this.mouseDownInfo.lineNumber,o=this.mouseDownInfo.iconClicked,i=e.target.range;if(i&&i.isEmpty&&i.startLineNumber===n){var r=this.editor.getModel();if(o){if(e.target.type!==u.MouseTargetType.GUTTER_LINE_DECORATIONS)return}else if(i.startColumn!==r.getLineMaxColumn(n))return;this.editor.changeDecorations(function(e){for(var i=0;i<t.decorations.length;i++){var s=t.decorations[i],a=s.getDecorationRange(r);if(a.startLineNumber===n)return void((o||s.isCollapsed)&&(s.setCollapsed(!s.isCollapsed,e),t.updateHiddenAreas(n)))}})}}},e.prototype.updateHiddenAreas=function(e){var t=this.editor.getModel(),n=this.editor.getSelections(),o=!1,i=[];this.decorations.filter(function(e){return e.isCollapsed}).forEach(function(e){var r=e.getDecorationRange(t);i.push({startLineNumber:r.startLineNumber+1,startColumn:1,endLineNumber:r.endLineNumber,endColumn:1}),n.forEach(function(e,i){c.Range.containsPosition(r,e.getStartPosition())&&(n[i]=e=e.setStartPosition(r.startLineNumber,t.getLineMaxColumn(r.startLineNumber)),o=!0),c.Range.containsPosition(r,e.getEndPosition())&&(n[i]=e.setEndPosition(r.startLineNumber,t.getLineMaxColumn(r.startLineNumber)),o=!0)})});var r;r=e?{lineNumber:e,column:1}:n[0].getStartPosition(),o&&this.editor.setSelections(n),this.editor.setHiddenAreas(i),this.editor.revealPositionInCenterIfOutsideViewport(r)},e.prototype.unfold=function(){var e=this,t=this.editor.getModel(),n=!1,o=this.editor.getSelections(),i=!1;o.forEach(function(r,s){for(var a,l=r.startLineNumber,u=function(u,d){var h=e.decorations[u],p=h.getDecorationRange(t);if(!p)return"continue";if(p.startLineNumber<=l){if(l<=p.endLineNumber){if(h.isCollapsed)return e.editor.changeDecorations(function(e){h.setCollapsed(!1,e),n=!0}),{value:void 0};a=p}}else{if(!a||!c.Range.containsRange(a,p))return{value:void 0};if(h.isCollapsed)return e.editor.changeDecorations(function(e){h.setCollapsed(!1,e),n=!0;var a=p.startLineNumber,l=t.getLineMaxColumn(p.startLineNumber);o[s]=r.setEndPosition(a,l).setStartPosition(a,l),i=!0}),{value:void 0}}},d=0,h=e.decorations.length;h>d;d++){var p=u(d,h);if("object"==typeof p)return p.value}}),i&&this.editor.setSelections(o),n&&this.updateHiddenAreas(o[0].startLineNumber)},e.prototype.fold=function(){var e=this,t=!1,n=this.editor.getModel(),o=this.editor.getSelections();o.forEach(function(o){for(var i=o.startLineNumber,r=null,s=0,a=e.decorations.length;a>s;s++){var l=e.decorations[s],u=l.getDecorationRange(n);if(u){if(!(u.startLineNumber<=i))break;i<=u.endLineNumber&&!l.isCollapsed&&(r=l)}}r&&e.editor.changeDecorations(function(e){r.setCollapsed(!0,e),t=!0})}),t&&this.updateHiddenAreas(o[0].startLineNumber)},e.prototype.foldUnfoldRecursively=function(e){var t=this,n=!1,o=this.editor.getModel(),i=this.editor.getSelections();i.forEach(function(i){for(var r,s=i.startLineNumber,a=[],l=0,u=t.decorations.length;u>l;l++){var c=t.decorations[l],d=c.getDecorationRange(o);if(d&&d.startLineNumber>=s&&(d.endLineNumber<=r||"undefined"==typeof r)){if(d.startLineNumber!==s&&"undefined"==typeof r)return;r=r||d.endLineNumber,a.push(c)}}a.length>0&&a.forEach(function(o){t.editor.changeDecorations(function(t){o.setCollapsed(e,t),n=!0})})}),n&&this.updateHiddenAreas(i[0].startLineNumber)},e.prototype.changeAll=function(e){var t=this;if(this.decorations.length>0){var n=!0;this.editor.changeDecorations(function(o){t.decorations.forEach(function(t){e!==t.isCollapsed&&(t.setCollapsed(e,o),n=!0)})}),n&&this.updateHiddenAreas(void 0)}},e.prototype.foldLevel=function(e,t){var n=this,o=this.editor.getModel(),i=[o.getFullModelRange()],r=!1;this.editor.changeDecorations(function(s){n.decorations.forEach(function(n){var a=n.getDecorationRange(o);if(a){for(;!c.Range.containsRange(i[i.length-1],a);)i.pop();i.push(a),i.length!==e+1||n.isCollapsed||t.some(function(e){return a.startLineNumber<e&&e<=a.endLineNumber})||(n.setCollapsed(!0,s),r=!0)}})}),r&&this.updateHiddenAreas(t[0])},e.ID="editor.contrib.folding",e.MAX_FOLDING_REGIONS=5e3,e}();t.FoldingController=f;var g=function(e){function t(t,n){e.call(this,t,n,l.Behaviour.TextFocus)}return __extends(t,e),t.prototype.run=function(){var e=f.getFoldingController(this.editor);return this.invoke(e),s.TPromise.as(!0)},t}(a.EditorAction),v=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),t.prototype.invoke=function(e){e.unfold()},t.ID="editor.unfold",t}(g),y=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),t.prototype.invoke=function(e){e.foldUnfoldRecursively(!1)},t.ID="editor.unFoldRecursively",t}(g),_=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),t.prototype.invoke=function(e){e.fold()},t.ID="editor.fold",t}(g),b=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),t.prototype.invoke=function(e){e.foldUnfoldRecursively(!0)},t.ID="editor.foldRecursively",t}(g),C=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),t.prototype.invoke=function(e){e.changeAll(!0)},t.ID="editor.foldAll",t}(g),w=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),t.prototype.invoke=function(e){e.changeAll(!1)},t.ID="editor.unfoldAll",t}(g),E=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),t.prototype.getFoldingLevel=function(){return parseInt(this.id.substr(t.ID_PREFIX.length))},t.prototype.getSelectedLines=function(){return this.editor.getSelections().map(function(e){return e.startLineNumber})},t.prototype.invoke=function(e){e.foldLevel(this.getFoldingLevel(),this.getSelectedLines())},t.ID_PREFIX="editor.foldLevel",t.ID=function(e){return t.ID_PREFIX+e},t}(g);h.EditorBrowserRegistry.registerEditorContribution(f),d.CommonEditorRegistry.registerEditorAction(new d.EditorActionDescriptor(v,v.ID,n.localize(0,null),{context:d.ContextKey.EditorFocus,primary:i.KeyMod.CtrlCmd|i.KeyMod.Shift|i.KeyCode.US_CLOSE_SQUARE_BRACKET},"Unfold")),d.CommonEditorRegistry.registerEditorAction(new d.EditorActionDescriptor(y,y.ID,n.localize(1,null),{context:d.ContextKey.EditorFocus,primary:i.KeyMod.chord(i.KeyMod.CtrlCmd|i.KeyCode.KEY_K,i.KeyMod.CtrlCmd|i.KeyCode.US_CLOSE_SQUARE_BRACKET)},"Unfold Recursively")),d.CommonEditorRegistry.registerEditorAction(new d.EditorActionDescriptor(_,_.ID,n.localize(2,null),{context:d.ContextKey.EditorFocus,primary:i.KeyMod.CtrlCmd|i.KeyMod.Shift|i.KeyCode.US_OPEN_SQUARE_BRACKET},"Fold")),d.CommonEditorRegistry.registerEditorAction(new d.EditorActionDescriptor(b,b.ID,n.localize(3,null),{context:d.ContextKey.EditorFocus,primary:i.KeyMod.chord(i.KeyMod.CtrlCmd|i.KeyCode.KEY_K,i.KeyMod.CtrlCmd|i.KeyCode.US_OPEN_SQUARE_BRACKET)},"Fold Recursively")),d.CommonEditorRegistry.registerEditorAction(new d.EditorActionDescriptor(C,C.ID,n.localize(4,null),{context:d.ContextKey.EditorFocus,primary:i.KeyMod.chord(i.KeyMod.CtrlCmd|i.KeyCode.KEY_K,i.KeyMod.CtrlCmd|i.KeyCode.KEY_0)},"Fold All")),d.CommonEditorRegistry.registerEditorAction(new d.EditorActionDescriptor(w,w.ID,n.localize(5,null),{context:d.ContextKey.EditorFocus,primary:i.KeyMod.chord(i.KeyMod.CtrlCmd|i.KeyCode.KEY_K,i.KeyMod.CtrlCmd|i.KeyCode.KEY_J)},"Unfold All")),d.CommonEditorRegistry.registerEditorAction(new d.EditorActionDescriptor(E,E.ID(1),n.localize(6,null),{context:d.ContextKey.EditorFocus,primary:i.KeyMod.chord(i.KeyMod.CtrlCmd|i.KeyCode.KEY_K,i.KeyMod.CtrlCmd|i.KeyCode.KEY_1)},"Fold Level 1")),d.CommonEditorRegistry.registerEditorAction(new d.EditorActionDescriptor(E,E.ID(2),n.localize(7,null),{context:d.ContextKey.EditorFocus,primary:i.KeyMod.chord(i.KeyMod.CtrlCmd|i.KeyCode.KEY_K,i.KeyMod.CtrlCmd|i.KeyCode.KEY_2)},"Fold Level 2")),d.CommonEditorRegistry.registerEditorAction(new d.EditorActionDescriptor(E,E.ID(3),n.localize(8,null),{context:d.ContextKey.EditorFocus,primary:i.KeyMod.chord(i.KeyMod.CtrlCmd|i.KeyCode.KEY_K,i.KeyMod.CtrlCmd|i.KeyCode.KEY_3)},"Fold Level 3")),d.CommonEditorRegistry.registerEditorAction(new d.EditorActionDescriptor(E,E.ID(4),n.localize(9,null),{context:d.ContextKey.EditorFocus,primary:i.KeyMod.chord(i.KeyMod.CtrlCmd|i.KeyCode.KEY_K,i.KeyMod.CtrlCmd|i.KeyCode.KEY_4)},"Fold Level 4")),d.CommonEditorRegistry.registerEditorAction(new d.EditorActionDescriptor(E,E.ID(5),n.localize(10,null),{context:d.ContextKey.EditorFocus,primary:i.KeyMod.chord(i.KeyMod.CtrlCmd|i.KeyCode.KEY_K,i.KeyMod.CtrlCmd|i.KeyCode.KEY_5)},"Fold Level 5"))}),define("vs/editor/contrib/format/common/format",["require","exports","vs/base/common/errors","vs/base/common/uri","vs/base/common/winjs.base","vs/editor/common/core/range","vs/editor/common/editorCommonExtensions","vs/editor/common/modes","vs/editor/common/services/modelService","vs/base/common/async"],function(e,t,n,o,i,r,s,a,l,u){"use strict";function c(e,t,n){var o=a.DocumentRangeFormattingEditProviderRegistry.ordered(e)[0];return o?u.asWinJsPromise(function(i){return o.provideDocumentRangeFormattingEdits(e,t,n,i)}):i.TPromise.as(void 0)}function d(e,t){var n=a.DocumentFormattingEditProviderRegistry.ordered(e)[0];return n?u.asWinJsPromise(function(o){return n.provideDocumentFormattingEdits(e,t,o)}):c(e,e.getFullModelRange(),t)}function h(e,t,n,o){var r=a.OnTypeFormattingEditProviderRegistry.ordered(e)[0];return r?r.autoFormatTriggerCharacters.indexOf(n)<0?i.TPromise.as(void 0):u.asWinJsPromise(function(i){return r.provideOnTypeFormattingEdits(e,t,n,o,i)}):i.TPromise.as(void 0)}t.getDocumentRangeFormattingEdits=c,t.getDocumentFormattingEdits=d,t.getOnTypeFormattingEdits=h,s.CommonEditorRegistry.registerLanguageCommand("_executeFormatRangeProvider",function(e,t){var i=t.resource,s=t.range,a=t.options;if(!(i instanceof o["default"]&&r.Range.isIRange(s)))throw n.illegalArgument();var u=e.get(l.IModelService).getModel(i);if(!u)throw n.illegalArgument("resource");return c(u,r.Range.lift(s),a)}),s.CommonEditorRegistry.registerLanguageCommand("_executeFormatDocumentProvider",function(e,t){var i=t.resource,r=t.options;if(!(i instanceof o["default"]))throw n.illegalArgument("resource");var s=e.get(l.IModelService).getModel(i);if(!s)throw n.illegalArgument("resource");return d(s,r)}),s.CommonEditorRegistry.registerDefaultLanguageCommand("_executeFormatOnTypeProvider",function(e,t,o){var i=o.ch,r=o.options;if("string"!=typeof i)throw n.illegalArgument("ch");return h(e,t,i,r)})});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/contrib/format/common/formatActions",["require","exports","vs/nls!vs/editor/contrib/format/common/formatActions","vs/base/common/arrays","vs/base/common/keyCodes","vs/base/common/lifecycle","vs/base/common/winjs.base","vs/editor/common/editorAction","vs/editor/common/editorActionEnablement","vs/editor/common/editorCommon","vs/editor/common/editorCommonExtensions","vs/editor/common/modes","../common/format","./formatCommand"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p){"use strict";var m=function(){function e(e){var t=this;this.editor=e,this.callOnDispose=[],this.callOnModel=[],this.callOnDispose.push(e.onDidChangeConfiguration(function(){return t.update()})),this.callOnDispose.push(e.onDidChangeModel(function(){return t.update()})),this.callOnDispose.push(e.onDidChangeModelMode(function(){return t.update()})),this.callOnDispose.push(d.OnTypeFormattingEditProviderRegistry.onDidChange(this.update,this))}return e.prototype.update=function(){var e=this;if(this.callOnModel=r.dispose(this.callOnModel),this.editor.getConfiguration().contribInfo.formatOnType&&this.editor.getModel()){var t=this.editor.getModel(),n=d.OnTypeFormattingEditProviderRegistry.ordered(t)[0];n&&n.autoFormatTriggerCharacters&&n.autoFormatTriggerCharacters.forEach(function(t){e.callOnModel.push(e.editor.addTypingListener(t,e.trigger.bind(e,t)))})}},e.prototype.trigger=function(e){var t=this;if(!(this.editor.getSelections().length>1)){var n=this.editor.getModel(),i=this.editor.getPosition(),r=!1,s=this.editor.onDidChangeModelRawContent(function(e){if(e.changeType===u.EventType.ModelRawContentChangedFlush)r=!0;else if(e.changeType===u.EventType.ModelRawContentChangedLineChanged){var t=e.lineNumber;r=t<=i.lineNumber}else if(e.changeType===u.EventType.ModelRawContentChangedLinesInserted){var n=e.fromLineNumber;r=n<=i.lineNumber}else if(e.changeType===u.EventType.ModelRawContentChangedLinesDeleted){var o=e.toLineNumber;r=o<=i.lineNumber}r&&s.dispose()}),a=n.getOptions();h.getOnTypeFormattingEdits(n,i,e,{tabSize:a.tabSize,insertSpaces:a.insertSpaces}).then(function(e){s.dispose(),r||o.isFalsyOrEmpty(e)||t.editor.executeCommand(t.getId(),new p.EditOperationsCommand(e,t.editor.getSelection()))},function(e){throw s.dispose(),e})}},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this.callOnDispose=r.dispose(this.callOnDispose),this.callOnModel=r.dispose(this.callOnModel)},e.ID="editor.contrib.autoFormat",e}(),f=function(e){function t(t,n){var o=this;e.call(this,t,n,l.Behaviour.WidgetFocus|l.Behaviour.Writeable|l.Behaviour.UpdateOnModelChange|l.Behaviour.ShowInContextMenu),this._disposables=[d.DocumentFormattingEditProviderRegistry.onDidChange(function(){return o.resetEnablementState()}),d.DocumentRangeFormattingEditProviderRegistry.onDidChange(function(){return o.resetEnablementState()})]}return __extends(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this),this._disposables=r.dispose(this._disposables)},t.prototype.getGroupId=function(){return"2_change/2_format"},t.prototype.isSupported=function(){return(d.DocumentFormattingEditProviderRegistry.has(this.editor.getModel())||d.DocumentRangeFormattingEditProviderRegistry.has(this.editor.getModel()))&&e.prototype.isSupported.call(this)},t.prototype.run=function(){var e,t=this,n=this.editor.getModel(),o=this.editor.getSelection(),i=n.getOptions(),r={tabSize:i.tabSize,insertSpaces:i.insertSpaces};if(e=o.isEmpty()?h.getDocumentFormattingEdits(n,r):h.getDocumentRangeFormattingEdits(n,o,r),!e)return s.TPromise.as(!1);var a=this.editor.captureState(u.CodeEditorStateFlag.Value,u.CodeEditorStateFlag.Position);return e.then(function(e){return a.validate(t.editor)&&e&&0!==e.length?(t.apply(t.editor,o,e),t.editor.focus(),!0):!1})},t.prototype.apply=function(e,t,n){var o=null;t.isEmpty()&&(o=e.saveViewState());var i=new p.EditOperationsCommand(n,t);e.executeCommand(this.id,i),o&&e.restoreViewState(o)},t.ID="editor.action.format",t}(a.EditorAction);t.FormatAction=f,c.CommonEditorRegistry.registerEditorAction(new c.EditorActionDescriptor(f,f.ID,n.localize(0,null),{context:c.ContextKey.EditorTextFocus,primary:i.KeyMod.Shift|i.KeyMod.Alt|i.KeyCode.KEY_F,linux:{primary:i.KeyMod.CtrlCmd|i.KeyMod.Shift|i.KeyCode.KEY_I}},"Format Code")),c.CommonEditorRegistry.registerEditorContribution(m)}),define("vs/editor/contrib/goToDeclaration/common/goToDeclaration",["require","exports","vs/base/common/errors","vs/base/common/winjs.base","vs/editor/common/editorCommonExtensions","vs/editor/common/modes","vs/base/common/async"],function(e,t,n,o,i,r,s){"use strict";function a(e,t){var i=r.DefinitionProviderRegistry.ordered(e),a=i.map(function(o,i){return s.asWinJsPromise(function(n){return o.provideDefinition(e,t,n)}).then(function(e){return e},function(e){n.onUnexpectedError(e)})});return o.TPromise.join(a).then(function(e){for(var t=[],n=0,o=e;n<o.length;n++){var i=o[n];Array.isArray(i)?t.push.apply(t,i):i&&t.push(i)}return t})}t.getDeclarationsAtPosition=a,i.CommonEditorRegistry.registerDefaultLanguageCommand("_executeDefinitionProvider",a)}),define("vs/editor/contrib/hover/common/hover",["require","exports","vs/base/common/arrays","vs/base/common/errors","vs/base/common/winjs.base","vs/editor/common/editorCommonExtensions","vs/editor/common/modes","vs/base/common/async"],function(e,t,n,o,i,r,s,a){"use strict";function l(e,t){var r=s.HoverProviderRegistry.ordered(e),l=[],u=r.map(function(n,i){return a.asWinJsPromise(function(o){return n.provideHover(e,t,o)}).then(function(e){if(e){var t="undefined"!=typeof e.range,n="undefined"!=typeof e.htmlContent&&e.htmlContent&&e.htmlContent.length>0;t&&n&&(l[i]=e)}},function(e){o.onUnexpectedError(e)})});return i.TPromise.join(u).then(function(){return n.coalesce(l)})}t.getHover=l,r.CommonEditorRegistry.registerDefaultLanguageCommand("_executeHoverProvider",l)});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/contrib/hover/browser/modesContentHover",["require","exports","vs/nls!vs/editor/contrib/hover/browser/modesContentHover","vs/base/common/uri","vs/base/common/winjs.base","vs/base/browser/htmlContentRenderer","vs/platform/opener/common/opener","vs/editor/common/core/range","vs/editor/common/core/position","vs/editor/common/modes","vs/editor/common/modes/textToHtmlTokenizer","../common/hover","./hoverOperation","./hoverWidgets","vs/css!vs/base/browser/ui/progressbar/progressbar"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p){
"use strict";var m=function(){function e(e){this._editor=e,this._range=null}return e.prototype.setRange=function(e){this._range=e,this._result=[]},e.prototype.clearResult=function(){this._result=[]},e.prototype.computeAsync=function(){var e=this._editor.getModel();return u.HoverProviderRegistry.has(e)?d.getHover(e,new l.Position(this._range.startLineNumber,this._range.startColumn)):i.TPromise.as(null)},e.prototype.computeSync=function(){var e=this,t=[],n=this._range.startLineNumber;if(n>this._editor.getModel().getLineCount())return t;var o=this._editor.getLineDecorations(n),i=this._editor.getModel().getLineMaxColumn(n);return o.forEach(function(o){var r=o.range.startLineNumber===n?o.range.startColumn:1,s=o.range.endLineNumber===n?o.range.endColumn:i;if(r<=e._range.startColumn&&e._range.endColumn<=s&&(o.options.hoverMessage||o.options.htmlMessage&&o.options.htmlMessage.length>0)){var l={htmlContent:[],range:new a.Range(e._range.startLineNumber,r,e._range.startLineNumber,s)};o.options.hoverMessage&&l.htmlContent.push({text:o.options.hoverMessage}),o.options.htmlMessage&&(l.htmlContent=l.htmlContent.concat(o.options.htmlMessage)),t.push(l)}}),t},e.prototype.onResult=function(e,t){t?this._result=e.concat(this._result):this._result=this._result.concat(e)},e.prototype.getResult=function(){return this._result.slice(0)},e.prototype.getResultWithLoadingMessage=function(){return this._result.slice(0).concat([this._getLoadingMessage()])},e.prototype._getLoadingMessage=function(){return{range:this._range,htmlContent:[{tagName:"div",className:"",children:[{text:n.localize(0,null)}]}]}},e}(),f=function(e){function t(n,o){var i=this;e.call(this,t.ID,n),this._computer=new m(this._editor),this._highlightDecorations=[],this._isChangingDecorations=!1,this._openerService=o||s.NullOpenerService,this._hoverOperation=new h.HoverOperation(this._computer,function(e){return i._withResult(e,!0)},null,function(e){return i._withResult(e,!1)})}return __extends(t,e),t.prototype.dispose=function(){this._hoverOperation.cancel(),e.prototype.dispose.call(this)},t.prototype.onModelDecorationsChanged=function(){this._isChangingDecorations||this._isVisible&&(this._hoverOperation.cancel(),this._computer.clearResult(),this._hoverOperation.start())},t.prototype.startShowingAt=function(e,t){if(!this._lastRange||!this._lastRange.equalsRange(e)){if(this._hoverOperation.cancel(),this._isVisible)if(this._showAtPosition.lineNumber!==e.startLineNumber)this.hide();else{for(var n=[],o=0,i=this._messages.length;i>o;o++){var r=this._messages[o],s=r.range;s.startColumn<=e.startColumn&&s.endColumn>=e.endColumn&&n.push(r)}n.length>0?this._renderMessages(e,n):this.hide()}this._lastRange=e,this._computer.setRange(e),this._shouldFocus=t,this._hoverOperation.start()}},t.prototype.hide=function(){this._lastRange=null,this._hoverOperation.cancel(),e.prototype.hide.call(this),this._isChangingDecorations=!0,this._highlightDecorations=this._editor.deltaDecorations(this._highlightDecorations,[]),this._isChangingDecorations=!1},t.prototype._withResult=function(e,t){this._messages=e,this._lastRange&&this._messages.length>0?this._renderMessages(this._lastRange,this._messages):t&&this.hide()},t.prototype._renderMessages=function(e,t){var n=this,i=Number.MAX_VALUE,s=t[0].range,l=document.createDocumentFragment();t.forEach(function(e){if(e.range){i=Math.min(i,e.range.startColumn),s=a.Range.plusRange(s,e.range);var t=document.createElement("div"),u=t;e.htmlContent&&e.htmlContent.length>0&&e.htmlContent.forEach(function(e){u.appendChild(r.renderHtml(e,{actionCallback:function(e){n._openerService.open(o["default"].parse(e))},codeBlockRenderer:function(e,t){var o,i=n._editor.getModel();return i.isDisposed()||(o=i.getMode()),c.tokenizeToString(t,i.getMode())}}))}),l.appendChild(t)}}),this._domNode.textContent="",this._domNode.appendChild(l),this.showAt({lineNumber:e.startLineNumber,column:i},this._shouldFocus),this._isChangingDecorations=!0,this._highlightDecorations=this._editor.deltaDecorations(this._highlightDecorations,[{range:s,options:{className:"hoverHighlight"}}]),this._isChangingDecorations=!1},t.ID="editor.contrib.modesContentHoverWidget",t}(p.ContentHoverWidget);t.ModesContentHoverWidget=f});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/contrib/hover/browser/hover",["require","exports","vs/nls!vs/editor/contrib/hover/browser/hover","vs/base/common/keyCodes","vs/base/common/platform","vs/base/common/winjs.base","vs/platform/opener/common/opener","vs/platform/keybinding/common/keybindingService","vs/editor/common/core/range","vs/editor/common/editorAction","vs/editor/common/editorActionEnablement","vs/editor/common/editorCommon","vs/editor/common/editorCommonExtensions","vs/editor/browser/editorBrowserExtensions","./modesContentHover","./modesGlyphHover","vs/base/common/lifecycle","vs/css!./hover"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m,f,g){"use strict";var v=function(){function e(e,t){var n=this;this._editor=e,this._toUnhook=[],e.getConfiguration().contribInfo.hover&&(this._toUnhook.push(this._editor.onMouseDown(function(e){return n._onEditorMouseDown(e)})),this._toUnhook.push(this._editor.onMouseMove(function(e){return n._onEditorMouseMove(e)})),this._toUnhook.push(this._editor.onMouseLeave(function(e){return n._hideWidgets()})),this._toUnhook.push(this._editor.onKeyDown(function(e){return n._onKeyDown(e)})),this._toUnhook.push(this._editor.onDidChangeModel(function(){return n._hideWidgets()})),this._toUnhook.push(this._editor.onDidChangeModelDecorations(function(){return n._onModelDecorationsChanged()})),this._toUnhook.push(this._editor.onDidScrollChange(function(e){(e.scrollTopChanged||e.scrollLeftChanged)&&n._hideWidgets()})),this._contentWidget=new m.ModesContentHoverWidget(e,t),this._glyphWidget=new f.ModesGlyphHoverWidget(e))}return e.getModesHoverController=function(t){return t.getContribution(e.ID)},e.prototype._onModelDecorationsChanged=function(){this._contentWidget.onModelDecorationsChanged(),this._glyphWidget.onModelDecorationsChanged()},e.prototype._onEditorMouseDown=function(e){var t=e.target.type;t===d.MouseTargetType.CONTENT_WIDGET&&e.target.detail===m.ModesContentHoverWidget.ID||t===d.MouseTargetType.OVERLAY_WIDGET&&e.target.detail===f.ModesGlyphHoverWidget.ID||this._hideWidgets()},e.prototype._onEditorMouseMove=function(e){var t=e.target.type,n=i.isMacintosh?"metaKey":"ctrlKey";(t!==d.MouseTargetType.CONTENT_WIDGET||e.target.detail!==m.ModesContentHoverWidget.ID||e.event[n])&&(t!==d.MouseTargetType.OVERLAY_WIDGET||e.target.detail!==f.ModesGlyphHoverWidget.ID||e.event[n])&&(this._editor.getConfiguration().contribInfo.hover&&t===d.MouseTargetType.CONTENT_TEXT?(this._glyphWidget.hide(),this._contentWidget.startShowingAt(e.target.range,!1)):t===d.MouseTargetType.GUTTER_GLYPH_MARGIN?(this._contentWidget.hide(),this._glyphWidget.startShowingAt(e.target.position.lineNumber)):this._hideWidgets())},e.prototype._onKeyDown=function(e){var t=i.isMacintosh?o.KeyCode.Meta:o.KeyCode.Ctrl;e.keyCode!==t&&this._hideWidgets()},e.prototype._hideWidgets=function(){this._glyphWidget.hide(),this._contentWidget.hide()},e.prototype.showContentHover=function(e,t){this._contentWidget.startShowingAt(e,t)},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this._toUnhook=g.dispose(this._toUnhook),this._glyphWidget&&(this._glyphWidget.dispose(),this._glyphWidget=null),this._contentWidget&&(this._contentWidget.dispose(),this._contentWidget=null)},e.ID="editor.contrib.hover",e=__decorate([__param(1,s.IOpenerService)],e)}(),y=function(e){function t(t,n){e.call(this,t,n,c.Behaviour.TextFocus)}return __extends(t,e),t.prototype.run=function(){var e=this.editor.getPosition(),t=new l.Range(e.lineNumber,e.column,e.lineNumber,e.column);return this.editor.getContribution(v.ID).showContentHover(t,!0),r.TPromise.as(null)},t.ID="editor.action.showHover",t}(u.EditorAction);p.EditorBrowserRegistry.registerEditorContribution(v),h.CommonEditorRegistry.registerEditorAction(new h.EditorActionDescriptor(y,y.ID,n.localize(0,null),{context:h.ContextKey.EditorTextFocus,kbExpr:a.KbExpr.has(d.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS),primary:o.KeyMod.chord(o.KeyMod.CtrlCmd|o.KeyCode.KEY_K,o.KeyMod.CtrlCmd|o.KeyCode.KEY_I)},"Show Hover"))});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/contrib/inPlaceReplace/common/inPlaceReplace",["require","exports","vs/nls!vs/editor/contrib/inPlaceReplace/common/inPlaceReplace","vs/base/common/keyCodes","vs/base/common/winjs.base","vs/editor/common/core/range","vs/editor/common/editorAction","vs/editor/common/editorCommon","vs/editor/common/editorCommonExtensions","vs/editor/common/services/editorWorkerService","./inPlaceReplaceCommand"],function(e,t,n,o,i,r,s,a,l,u,c){"use strict";var d=function(e){function t(t,n,o,r){e.call(this,t,n),this.editorWorkerService=r,this.up=o,this.requestIdPool=0,this.currentRequest=i.TPromise.as(null),this.decorationRemover=i.TPromise.as(null),this.decorationIds=[]}return __extends(t,e),t.prototype.run=function(){var e=this;this.currentRequest.cancel();var n=this.editor.getSelection(),o=this.editor.getModel(),s=o.getMode().inplaceReplaceSupport,l=o.uri;if(n.startLineNumber!==n.endLineNumber)return null;var u=this.editor.captureState(a.CodeEditorStateFlag.Value,a.CodeEditorStateFlag.Position);return this.currentRequest=this.editorWorkerService.navigateValueSet(l,n,this.up),this.currentRequest=this.currentRequest.then(function(t){return t&&t.range&&t.value?t:s?s.navigateValueSet(l,n,e.up):null}),this.currentRequest.then(function(o){if(o&&o.range&&o.value&&u.validate(e.editor)){var s=r.Range.lift(o.range),a=o.range,l=o.value.length-(n.endColumn-n.startColumn);a.endColumn=a.startColumn+o.value.length,n.endColumn+=l>1?l-1:0;var d=new c.InPlaceReplaceCommand(s,n,o.value);return e.editor.executeCommand(e.id,d),e.decorationIds=e.editor.deltaDecorations(e.decorationIds,[{range:a,options:t.DECORATION}]),e.decorationRemover.cancel(),e.decorationRemover=i.TPromise.timeout(350),e.decorationRemover.then(function(){e.editor.changeDecorations(function(t){e.decorationIds=t.deltaDecorations(e.decorationIds,[])})}),!0}})},t.DECORATION={className:"valueSetReplacement"},t=__decorate([__param(3,u.IEditorWorkerService)],t)}(s.EditorAction),h=function(e){function t(t,n,o){e.call(this,t,n,!0,o)}return __extends(t,e),t.ID="editor.action.inPlaceReplace.up",t=__decorate([__param(2,u.IEditorWorkerService)],t)}(d),p=function(e){function t(t,n,o){e.call(this,t,n,!1,o)}return __extends(t,e),t.ID="editor.action.inPlaceReplace.down",t=__decorate([__param(2,u.IEditorWorkerService)],t)}(d);l.CommonEditorRegistry.registerEditorAction(new l.EditorActionDescriptor(h,h.ID,n.localize(0,null),{context:l.ContextKey.EditorTextFocus,primary:o.KeyMod.CtrlCmd|o.KeyMod.Shift|o.KeyCode.US_COMMA},"Replace with Previous Value")),l.CommonEditorRegistry.registerEditorAction(new l.EditorActionDescriptor(p,p.ID,n.localize(1,null),{context:l.ContextKey.EditorTextFocus,primary:o.KeyMod.CtrlCmd|o.KeyMod.Shift|o.KeyCode.US_DOT},"Replace with Next Value"))});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/contrib/linesOperations/common/linesOperations",["require","exports","vs/nls!vs/editor/contrib/linesOperations/common/linesOperations","vs/base/common/keyCodes","vs/base/common/winjs.base","vs/editor/contrib/linesOperations/common/sortLinesCommand","vs/editor/common/commands/trimTrailingWhitespaceCommand","vs/editor/common/editorAction","vs/editor/common/editorCommon","vs/editor/common/editorCommonExtensions","./copyLinesCommand","./deleteLinesCommand","./moveLinesCommand"],function(e,t,n,o,i,r,s,a,l,u,c,d,h){"use strict";var p=function(e){function t(t,n,o){e.call(this,t,n),this.down=o}return __extends(t,e),t.prototype.run=function(){for(var e=[],t=this.editor.getSelections(),n=0;n<t.length;n++)e.push(new c.CopyLinesCommand(t[n],this.down));return this.editor.executeCommands(this.id,e),i.TPromise.as(!0)},t}(a.EditorAction),m=function(e){function t(t,n){e.call(this,t,n,!1)}return __extends(t,e),t.ID="editor.action.copyLinesUpAction",t}(p),f=function(e){function t(t,n){e.call(this,t,n,!0)}return __extends(t,e),t.ID="editor.action.copyLinesDownAction",t}(p),g=function(e){function t(t,n,o){e.call(this,t,n),this.down=o}return __extends(t,e),t.prototype.run=function(){for(var e=[],t=this.editor.getSelections(),n=0;n<t.length;n++)e.push(new h.MoveLinesCommand(t[n],this.down));return this.editor.executeCommands(this.id,e),i.TPromise.as(!0)},t}(a.EditorAction),v=function(e){function t(t,n){e.call(this,t,n,!1)}return __extends(t,e),t.ID="editor.action.moveLinesUpAction",t}(g),y=function(e){function t(t,n){e.call(this,t,n,!0)}return __extends(t,e),t.ID="editor.action.moveLinesDownAction",t}(g),_=function(e){function t(t,n,o){e.call(this,t,n),this.descending=o}return __extends(t,e),t.prototype.run=function(){var e=new r.SortLinesCommand(this.editor.getSelection(),this.descending);return this.editor.executeCommands(this.id,[e]),i.TPromise.as(!0)},t}(a.EditorAction),b=function(e){function t(t,n){e.call(this,t,n,!1)}return __extends(t,e),t.ID="editor.action.sortLinesAscending",t}(_),C=function(e){function t(t,n){e.call(this,t,n,!0)}return __extends(t,e),t.ID="editor.action.sortLinesDescending",t}(_),w=function(e){function t(t,n){e.call(this,t,n)}return __extends(t,e),t.prototype.run=function(){var e=new s.TrimTrailingWhitespaceCommand(this.editor.getSelection());return this.editor.executeCommands(this.id,[e]),i.TPromise.as(!0)},t.ID="editor.action.trimTrailingWhitespace",t}(a.EditorAction);t.TrimTrailingWhitespaceAction=w;var E=function(e){function t(t,n){e.call(this,t,n)}return __extends(t,e),t.prototype._getLinesToRemove=function(){var e=this.editor.getSelections().map(function(e){var t=e.endLineNumber;return e.startLineNumber<e.endLineNumber&&1===e.endColumn&&(t-=1),{startLineNumber:e.startLineNumber,endLineNumber:t,positionColumn:e.positionColumn}});e.sort(function(e,t){return e.startLineNumber-t.startLineNumber});for(var t=[],n=e[0],o=1;o<e.length;o++)n.endLineNumber+1===e[o].startLineNumber?n.endLineNumber=e[o].endLineNumber:(t.push(n),n=e[o]);return t.push(n),t},t}(a.EditorAction),S=function(e){function t(t,n){e.call(this,t,n)}return __extends(t,e),t.prototype.run=function(){var e=this._getLinesToRemove(),t=e.map(function(e){return new d.DeleteLinesCommand(e.startLineNumber,e.endLineNumber,e.positionColumn)});return this.editor.executeCommands(this.id,t),i.TPromise.as(!0)},t.ID="editor.action.deleteLines",t}(E),x=function(e){function t(t,n){e.call(this,t,n,l.Handler.Indent)}return __extends(t,e),t.ID="editor.action.indentLines",t}(a.HandlerEditorAction),T=function(e){function t(t,n){e.call(this,t,n,l.Handler.Outdent)}return __extends(t,e),t.ID="editor.action.outdentLines",t}(a.HandlerEditorAction),L=function(e){function t(t,n){e.call(this,t,n,l.Handler.LineInsertBefore)}return __extends(t,e),t.ID="editor.action.insertLineBefore",t}(a.HandlerEditorAction),M=function(e){function t(t,n){e.call(this,t,n,l.Handler.LineInsertAfter)}return __extends(t,e),t.ID="editor.action.insertLineAfter",t}(a.HandlerEditorAction);u.CommonEditorRegistry.registerEditorAction(new u.EditorActionDescriptor(S,S.ID,n.localize(0,null),{context:u.ContextKey.EditorTextFocus,primary:o.KeyMod.CtrlCmd|o.KeyMod.Shift|o.KeyCode.KEY_K},"Delete Line")),u.CommonEditorRegistry.registerEditorAction(new u.EditorActionDescriptor(b,b.ID,n.localize(1,null),{context:u.ContextKey.EditorTextFocus,primary:o.KeyMod.CtrlCmd|o.KeyMod.Shift|o.KeyCode.KEY_2},"Sort Lines Ascending")),u.CommonEditorRegistry.registerEditorAction(new u.EditorActionDescriptor(C,C.ID,n.localize(2,null),{context:u.ContextKey.EditorTextFocus,primary:o.KeyMod.CtrlCmd|o.KeyMod.Shift|o.KeyCode.KEY_3},"Sort Lines Descending")),u.CommonEditorRegistry.registerEditorAction(new u.EditorActionDescriptor(w,w.ID,n.localize(3,null),{context:u.ContextKey.EditorTextFocus,primary:o.KeyMod.CtrlCmd|o.KeyMod.Shift|o.KeyCode.KEY_X},"Trim Trailing Whitespace")),u.CommonEditorRegistry.registerEditorAction(new u.EditorActionDescriptor(y,y.ID,n.localize(4,null),{context:u.ContextKey.EditorTextFocus,primary:o.KeyMod.Alt|o.KeyCode.DownArrow,linux:{primary:o.KeyMod.Alt|o.KeyCode.DownArrow}},"Move Line Down")),u.CommonEditorRegistry.registerEditorAction(new u.EditorActionDescriptor(v,v.ID,n.localize(5,null),{context:u.ContextKey.EditorTextFocus,primary:o.KeyMod.Alt|o.KeyCode.UpArrow,linux:{primary:o.KeyMod.Alt|o.KeyCode.UpArrow}},"Move Line Up")),u.CommonEditorRegistry.registerEditorAction(new u.EditorActionDescriptor(f,f.ID,n.localize(6,null),{context:u.ContextKey.EditorTextFocus,primary:o.KeyMod.Alt|o.KeyMod.Shift|o.KeyCode.DownArrow,linux:{primary:o.KeyMod.CtrlCmd|o.KeyMod.Alt|o.KeyMod.Shift|o.KeyCode.DownArrow}},"Copy Line Down")),u.CommonEditorRegistry.registerEditorAction(new u.EditorActionDescriptor(m,m.ID,n.localize(7,null),{context:u.ContextKey.EditorTextFocus,primary:o.KeyMod.Alt|o.KeyMod.Shift|o.KeyCode.UpArrow,linux:{primary:o.KeyMod.CtrlCmd|o.KeyMod.Alt|o.KeyMod.Shift|o.KeyCode.UpArrow}},"Copy Line Up")),u.CommonEditorRegistry.registerEditorAction(new u.EditorActionDescriptor(x,x.ID,n.localize(8,null),{context:u.ContextKey.EditorTextFocus,primary:o.KeyMod.CtrlCmd|o.KeyCode.US_CLOSE_SQUARE_BRACKET},"Indent Line")),u.CommonEditorRegistry.registerEditorAction(new u.EditorActionDescriptor(T,T.ID,n.localize(9,null),{context:u.ContextKey.EditorTextFocus,primary:o.KeyMod.CtrlCmd|o.KeyCode.US_OPEN_SQUARE_BRACKET},"Outdent Line")),u.CommonEditorRegistry.registerEditorAction(new u.EditorActionDescriptor(L,L.ID,n.localize(10,null),{context:u.ContextKey.EditorTextFocus,primary:o.KeyMod.CtrlCmd|o.KeyMod.Shift|o.KeyCode.Enter},"Insert Line Above")),u.CommonEditorRegistry.registerEditorAction(new u.EditorActionDescriptor(M,M.ID,n.localize(11,null),{context:u.ContextKey.EditorTextFocus,primary:o.KeyMod.CtrlCmd|o.KeyCode.Enter},"Insert Line Below"))});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/contrib/links/browser/links",["require","exports","vs/nls!vs/editor/contrib/links/browser/links","vs/base/common/errors","vs/base/common/keyCodes","vs/base/common/platform","vs/base/common/severity","vs/base/common/uri","vs/base/common/winjs.base","vs/platform/editor/common/editor","vs/platform/message/common/message","vs/editor/common/core/range","vs/editor/common/editorAction","vs/editor/common/editorActionEnablement","vs/editor/common/editorCommon","vs/editor/common/editorCommonExtensions","vs/editor/common/modes","vs/editor/common/services/editorWorkerService","vs/editor/contrib/links/common/links","vs/base/common/lifecycle","vs/editor/browser/editorBrowserExtensions","vs/css!./links"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m,f,g,v,y,_,b){"use strict";var C=function(){function e(e,t){this.link=e,this.decorationId=t}return e.decoration=function(t){return{range:{startLineNumber:t.range.startLineNumber,startColumn:t.range.startColumn,endLineNumber:t.range.startLineNumber,endColumn:t.range.endColumn},options:e._getOptions(t,!1)}},e._getOptions=function(e,t){var n="";return n+=t?E.CLASS_NAME_ACTIVE:E.CLASS_NAME,{stickiness:m.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,inlineClassName:n,hoverMessage:E.HOVER_MESSAGE_GENERAL}},e.prototype.activate=function(t){t.changeDecorationOptions(this.decorationId,e._getOptions(this.link,!0))},e.prototype.deactivate=function(t){t.changeDecorationOptions(this.decorationId,e._getOptions(this.link,!1))},e}(),w=function(){function e(e){this.range=new d.Range(e.range.startLineNumber,e.range.startColumn,e.range.endLineNumber,e.range.endColumn),this.url=e.url}return e}(),E=function(){function e(e,t,n,o){var i=this;this.editor=e,this.editorService=t,this.messageService=n,this.editorWorkerService=o,this.listenersToRemove=[],this.listenersToRemove.push(e.onDidChangeModelContent(function(e){return i.onChange()})),this.listenersToRemove.push(e.onDidChangeModel(function(e){return i.onModelChanged()})),this.listenersToRemove.push(e.onDidChangeModelMode(function(e){return i.onModelModeChanged()})),this.listenersToRemove.push(this.editor.onMouseUp(function(e){return i.onEditorMouseUp(e)})),this.listenersToRemove.push(this.editor.onMouseMove(function(e){return i.onEditorMouseMove(e)})),this.listenersToRemove.push(this.editor.onKeyDown(function(e){return i.onEditorKeyDown(e)})),this.listenersToRemove.push(this.editor.onKeyUp(function(e){return i.onEditorKeyUp(e)})),this.timeoutPromise=null,this.computePromise=null,this.currentOccurences={},this.activeLinkDecorationId=null,this.beginCompute()}return e.get=function(t){return t.getContribution(e.ID)},e.prototype.getId=function(){return e.ID},e.prototype.isComputing=function(){return l.TPromise.is(this.computePromise)},e.prototype.onModelChanged=function(){this.lastMouseEvent=null,this.currentOccurences={},this.activeLinkDecorationId=null,this.stop(),this.beginCompute()},e.prototype.onModelModeChanged=function(){this.stop(),this.beginCompute()},e.prototype.onChange=function(){var t=this;this.timeoutPromise||(this.timeoutPromise=l.TPromise.timeout(e.RECOMPUTE_TIME),this.timeoutPromise.then(function(){t.timeoutPromise=null,t.beginCompute()}))},e.prototype.beginCompute=function(){var t=this;if(this.editor.getModel()){var n=l.TPromise.as(null);g.LinkProviderRegistry.has(this.editor.getModel())&&(n=y.getLinks(this.editor.getModel()));var o=this.editorWorkerService.computeLinks(this.editor.getModel().uri);this.computePromise=l.TPromise.join([n,o]).then(function(t){var n=t[0],o=t[1];return n&&0!==n.length?o&&0!==o.length?e._linksUnion(n.map(function(e){return new w(e)}),o.map(function(e){return new w(e)})):n||[]:o||[]}),this.computePromise.then(function(e){t.updateDecorations(e),t.computePromise=null})}},e._linksUnion=function(e,t){var n,o,i,r,s,a,l,u=[];for(n=0,i=0,o=e.length,r=t.length;o>n&&r>i;)s=e[n],a=t[i],d.Range.areIntersectingOrTouching(s.range,a.range)?n++:(l=d.Range.compareRangesUsingStarts(s.range,a.range),0>l?(u.push(s),n++):(u.push(a),i++));for(;o>n;n++)u.push(e[n]);for(;r>i;i++)u.push(t[i]);return u},e.prototype.updateDecorations=function(e){var t=this;this.editor.changeDecorations(function(n){for(var o=[],i=Object.keys(t.currentOccurences),r=0,s=i.length;s>r;r++){var a=i[r],l=t.currentOccurences[a];o.push(l.decorationId)}var u=[];if(e)for(var c=0;c<e.length;c++)u.push(C.decoration(e[c]));var d=n.deltaDecorations(o,u);t.currentOccurences={},t.activeLinkDecorationId=null;for(var h=0,s=d.length;s>h;h++){var p=new C(e[h],d[h]);t.currentOccurences[p.decorationId]=p}})},e.prototype.onEditorKeyDown=function(t){t.keyCode===e.TRIGGER_KEY_VALUE&&this.lastMouseEvent&&this.onEditorMouseMove(this.lastMouseEvent,t)},e.prototype.onEditorKeyUp=function(t){t.keyCode===e.TRIGGER_KEY_VALUE&&this.cleanUpActiveLinkDecoration()},e.prototype.onEditorMouseMove=function(e,t){var n=this;if(this.lastMouseEvent=e,this.isEnabled(e,t)){this.cleanUpActiveLinkDecoration();var o=this.getLinkOccurence(e.target.position);o&&this.editor.changeDecorations(function(e){o.activate(e),n.activeLinkDecorationId=o.decorationId})}else this.cleanUpActiveLinkDecoration()},e.prototype.cleanUpActiveLinkDecoration=function(){if(this.activeLinkDecorationId){var e=this.currentOccurences[this.activeLinkDecorationId];e&&this.editor.changeDecorations(function(t){e.deactivate(t)}),this.activeLinkDecorationId=null}},e.prototype.onEditorMouseUp=function(e){if(this.isEnabled(e)){var t=this.getLinkOccurence(e.target.position);t&&this.openLinkOccurence(t,e.event.altKey)}},e.prototype.openLinkOccurence=function(e,t){if(this.editorService){var i=e.link,r=i.url,l=r.indexOf("#"),u=-1,c=-1;if(l>=0){var d=r.substr(l+1),h=d.split(",");h.length>0&&(u=Number(h[0])),h.length>1&&(c=Number(h[1])),(u>=0||c>=0)&&(r=r.substr(0,l))}var p;try{p=a["default"].parse(r)}catch(m){return void this.messageService.show(s["default"].Warning,n.localize(2,null,r))}var f={resource:p};u>=0&&(f.options={selection:{startLineNumber:u,startColumn:c}}),this.editorService.openEditor(f,t).done(null,o.onUnexpectedError)}},e.prototype.getLinkOccurence=function(e){for(var t=this.editor.getModel().getDecorationsInRange({startLineNumber:e.lineNumber,startColumn:e.column,endLineNumber:e.lineNumber,endColumn:e.column},null,!0),n=0;n<t.length;n++){var o=t[n],i=this.currentOccurences[o.id];if(i)return i}return null},e.prototype.isEnabled=function(t,n){return t.target.type===m.MouseTargetType.CONTENT_TEXT&&(t.event[e.TRIGGER_MODIFIER]||n&&n.keyCode===e.TRIGGER_KEY_VALUE)},e.prototype.stop=function(){this.timeoutPromise&&(this.timeoutPromise.cancel(),this.timeoutPromise=null),this.computePromise&&(this.computePromise.cancel(),this.computePromise=null)},e.prototype.dispose=function(){this.listenersToRemove=_.dispose(this.listenersToRemove),this.stop()},e.ID="editor.linkDetector",e.RECOMPUTE_TIME=1e3,e.TRIGGER_KEY_VALUE=r.isMacintosh?i.KeyCode.Meta:i.KeyCode.Ctrl,e.TRIGGER_MODIFIER=r.isMacintosh?"metaKey":"ctrlKey",e.HOVER_MESSAGE_GENERAL=r.isMacintosh?n.localize(0,null):n.localize(1,null),e.CLASS_NAME="detected-link",e.CLASS_NAME_ACTIVE="detected-link-active",e=__decorate([__param(1,u.IEditorService),__param(2,c.IMessageService),__param(3,v.IEditorWorkerService)],e)}(),S=function(e){function t(t,n){e.call(this,t,n,p.Behaviour.WidgetFocus|p.Behaviour.UpdateOnCursorPositionChange)}return __extends(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype.getEnablementState=function(){return E.get(this.editor).isComputing()?!0:!!E.get(this.editor).getLinkOccurence(this.editor.getPosition())},t.prototype.run=function(){var e=E.get(this.editor).getLinkOccurence(this.editor.getPosition());return e&&E.get(this.editor).openLinkOccurence(e,!1),l.TPromise.as(null)},t.ID="editor.action.openLink",t}(h.EditorAction);f.CommonEditorRegistry.registerEditorAction(new f.EditorActionDescriptor(S,S.ID,n.localize(3,null),void 0,"Open Link")),b.EditorBrowserRegistry.registerEditorContribution(E)});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/contrib/multicursor/common/multicursor",["require","exports","vs/nls!vs/editor/contrib/multicursor/common/multicursor","vs/base/common/keyCodes","vs/base/common/winjs.base","vs/editor/common/editorAction","vs/editor/common/editorCommon","vs/editor/common/editorCommonExtensions"],function(e,t,n,o,i,r,s,a){"use strict";var l=function(e){function t(t,n){e.call(this,t,n,s.Handler.AddCursorUp)}return __extends(t,e),t.ID="editor.action.insertCursorAbove",t}(r.HandlerEditorAction),u=function(e){function t(t,n){e.call(this,t,n,s.Handler.AddCursorDown)}return __extends(t,e),t.ID="editor.action.insertCursorBelow",t}(r.HandlerEditorAction),c=function(e){function t(t,n){e.call(this,t,n)}return __extends(t,e),t.prototype.run=function(){var e=this.editor.getSelection();if(!e.isEmpty()){for(var t=this.editor.getModel(),n=new Array,o=e.getStartPosition(),r=e.getEndPosition(),s=o.lineNumber;s<=r.lineNumber;s++)if(s!==r.lineNumber){var a=t.getLineMaxColumn(s);n.push({selectionStartLineNumber:s,selectionStartColumn:a,positionLineNumber:s,positionColumn:a})}else r.column>0&&n.push({selectionStartLineNumber:r.lineNumber,selectionStartColumn:r.column,positionLineNumber:r.lineNumber,positionColumn:r.column});this.editor.setSelections(n)}return i.TPromise.as(!0)},t.ID="editor.action.insertCursorAtEndOfEachLineSelected",t}(r.EditorAction);a.CommonEditorRegistry.registerEditorAction(new a.EditorActionDescriptor(l,l.ID,n.localize(0,null),{context:a.ContextKey.EditorTextFocus,primary:o.KeyMod.CtrlCmd|o.KeyMod.Alt|o.KeyCode.UpArrow,linux:{primary:o.KeyMod.Shift|o.KeyMod.Alt|o.KeyCode.UpArrow,secondary:[o.KeyMod.CtrlCmd|o.KeyMod.Shift|o.KeyCode.UpArrow]}},"Add Cursor Above")),a.CommonEditorRegistry.registerEditorAction(new a.EditorActionDescriptor(u,u.ID,n.localize(1,null),{context:a.ContextKey.EditorTextFocus,primary:o.KeyMod.CtrlCmd|o.KeyMod.Alt|o.KeyCode.DownArrow,linux:{primary:o.KeyMod.Shift|o.KeyMod.Alt|o.KeyCode.DownArrow,secondary:[o.KeyMod.CtrlCmd|o.KeyMod.Shift|o.KeyCode.DownArrow]}},"Add Cursor Below")),a.CommonEditorRegistry.registerEditorAction(new a.EditorActionDescriptor(c,c.ID,n.localize(2,null),{context:a.ContextKey.EditorTextFocus,primary:o.KeyMod.Shift|o.KeyMod.Alt|o.KeyCode.KEY_I},"Create Multiple Cursors from Selected Lines"))}),define("vs/editor/contrib/parameterHints/common/parameterHints",["require","exports","vs/base/common/winjs.base","vs/editor/common/editorCommonExtensions","vs/editor/common/modes","vs/base/common/async"],function(e,t,n,o,i,r){"use strict";function s(e,t){var o=i.SignatureHelpProviderRegistry.ordered(e)[0];return o?r.asWinJsPromise(function(n){return o.provideSignatureHelp(e,t,n)}):n.TPromise.as(void 0)}t.provideSignatureHelp=s,o.CommonEditorRegistry.registerDefaultLanguageCommand("_executeSignatureHelpProvider",s)});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/contrib/parameterHints/browser/parameterHintsModel",["require","exports","vs/base/common/async","vs/base/common/errors","vs/base/common/event","vs/base/common/lifecycle","vs/editor/common/modes","../common/parameterHints"],function(e,t,n,o,i,r,s,a){"use strict";var l=function(e){function t(o){var r=this;e.call(this),this._onHint=this._register(new i.Emitter),this.onHint=this._onHint.event,this._onCancel=this._register(new i.Emitter),this.onCancel=this._onCancel.event,this.editor=o,this.triggerCharactersListeners=[],this.throttledDelayer=new n.RunOnceScheduler(function(){return r.doTrigger()},t.DELAY),this.active=!1,this._register(this.editor.onDidChangeModel(function(e){return r.onModelChanged()})),this._register(this.editor.onDidChangeModelMode(function(e){return r.onModelChanged()})),this._register(this.editor.onDidChangeCursorSelection(function(e){return r.onCursorChange(e)})),this._register(s.SignatureHelpProviderRegistry.onDidChange(this.onModelChanged,this)),this.onModelChanged()}return __extends(t,e),t.prototype.cancel=function(e){
void 0===e&&(e=!1),this.active=!1,this.throttledDelayer.cancel(),e||this._onCancel.fire(void 0)},t.prototype.trigger=function(e){return void 0===e&&(e=t.DELAY),s.SignatureHelpProviderRegistry.has(this.editor.getModel())?(this.cancel(!0),this.throttledDelayer.schedule(e)):void 0},t.prototype.doTrigger=function(){var e=this;a.provideSignatureHelp(this.editor.getModel(),this.editor.getPosition()).then(null,o.onUnexpectedError).then(function(t){if(!t||0===t.signatures.length)return e.cancel(),e._onCancel.fire(void 0),!1;e.active=!0;var n={hints:t};return e._onHint.fire(n),!0})},t.prototype.isTriggered=function(){return this.active||this.throttledDelayer.isScheduled()},t.prototype.onModelChanged=function(){var e=this;this.active&&this.cancel(),this.triggerCharactersListeners=r.dispose(this.triggerCharactersListeners);var t=this.editor.getModel();if(t){var n=s.SignatureHelpProviderRegistry.ordered(t)[0];n&&(this.triggerCharactersListeners=n.signatureHelpTriggerCharacters.map(function(t){return e.editor.addTypingListener(t,function(){e.trigger()})}))}},t.prototype.onCursorChange=function(e){"mouse"===e.source?this.cancel():this.isTriggered()&&this.trigger()},t.prototype.dispose=function(){this.cancel(!0),this.triggerCharactersListeners=r.dispose(this.triggerCharactersListeners),e.prototype.dispose.call(this)},t.DELAY=120,t}(r.Disposable);t.ParameterHintsModel=l});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/contrib/parameterHints/browser/parameterHints",["require","exports","vs/nls!vs/editor/contrib/parameterHints/browser/parameterHints","vs/base/common/keyCodes","vs/base/common/winjs.base","vs/platform/keybinding/common/keybindingService","vs/editor/common/editorAction","vs/editor/common/editorCommonExtensions","vs/editor/browser/editorBrowserExtensions","vs/editor/common/modes","./parameterHintsModel","./parameterHintsWidget"],function(e,t,n,o,i,r,s,a,l,u,c,d){"use strict";var h=function(){function e(e,t){var n=this;this.editor=e,this.model=new c.ParameterHintsModel(this.editor),this.parameterHintsVisible=t.createKey(m,!1),this.widget=new d.ParameterHintsWidget(this.model,this.editor,function(){n.parameterHintsVisible.set(!0)},function(){n.parameterHintsVisible.reset()})}return e.get=function(t){return t.getContribution(e.ID)},e.prototype.dispose=function(){this.model.dispose(),this.model=null,this.widget.destroy(),this.widget=null},e.prototype.getId=function(){return e.ID},e.prototype.closeWidget=function(){this.widget.cancel()},e.prototype.showPrevHint=function(){this.widget.selectPrevious()},e.prototype.showNextHint=function(){this.widget.selectNext()},e.prototype.trigger=function(){this.model.trigger(0)},e.ID="editor.controller.parameterHints",e=__decorate([__param(1,r.IKeybindingService)],e)}(),p=function(e){function t(t,n){e.call(this,t,n)}return __extends(t,e),t.prototype.isSupported=function(){return u.SignatureHelpProviderRegistry.has(this.editor.getModel())&&e.prototype.isSupported.call(this)},t.prototype.run=function(){return h.get(this.editor).trigger(),i.TPromise.as(!0)},t.ID="editor.action.triggerParameterHints",t}(s.EditorAction);t.TriggerParameterHintsAction=p;var m="parameterHintsVisible",f=a.CommonEditorRegistry.commandWeight(75);l.EditorBrowserRegistry.registerEditorContribution(h),a.CommonEditorRegistry.registerEditorAction(new a.EditorActionDescriptor(p,p.ID,n.localize(0,null),{context:a.ContextKey.EditorTextFocus,primary:o.KeyMod.CtrlCmd|o.KeyMod.Shift|o.KeyCode.Space},"Trigger Parameter Hints")),a.CommonEditorRegistry.registerEditorCommand("closeParameterHints",f,{primary:o.KeyCode.Escape,secondary:[o.KeyMod.Shift|o.KeyCode.Escape]},!0,m,function(e,t,n){h.get(t).closeWidget()}),a.CommonEditorRegistry.registerEditorCommand("showPrevParameterHint",f,{primary:o.KeyCode.UpArrow,secondary:[o.KeyMod.Alt|o.KeyCode.UpArrow]},!0,m,function(e,t,n){h.get(t).showPrevHint()}),a.CommonEditorRegistry.registerEditorCommand("showNextParameterHint",f,{primary:o.KeyCode.DownArrow,secondary:[o.KeyMod.Alt|o.KeyCode.DownArrow]},!0,m,function(e,t,n){h.get(t).showNextHint()})}),define("vs/editor/contrib/quickFix/common/quickFix",["require","exports","vs/base/common/errors","vs/base/common/uri","vs/base/common/winjs.base","vs/base/common/idGenerator","vs/editor/common/core/range","vs/editor/common/editorCommonExtensions","vs/editor/common/modes","vs/editor/common/services/modelService","vs/base/common/async"],function(e,t,n,o,i,r,s,a,l,u,c){"use strict";function d(e,t){var o=[],s=new r.IdGenerator("quickfix"),a=l.CodeActionProviderRegistry.all(e).map(function(i){return c.asWinJsPromise(function(n){return i.provideCodeActions(e,t,n)}).then(function(e){if(Array.isArray(e))for(var t=0,n=e;t<n.length;t++){var r=n[t];o.push({command:r.command,score:r.score,id:s.nextId(),support:i})}},function(e){n.onUnexpectedError(e)})});return i.TPromise.join(a).then(function(){return o})}t.getCodeActions=d,a.CommonEditorRegistry.registerLanguageCommand("_executeCodeActionProvider",function(e,t){var i=t.resource,r=t.range;if(!(i instanceof o["default"]&&s.Range.isIRange(r)))throw n.illegalArgument();var a=e.get(u.IModelService).getModel(i);if(!a)throw n.illegalArgument();var l=s.Range.lift(r);return d(a,l)})});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/contrib/gotoError/browser/gotoError",["require","exports","vs/nls!vs/editor/contrib/gotoError/browser/gotoError","vs/base/common/errors","vs/base/common/event","vs/base/common/keyCodes","vs/base/common/lifecycle","vs/base/common/severity","vs/base/common/strings","vs/base/common/winjs.base","vs/base/browser/dom","vs/base/browser/htmlContentRenderer","vs/platform/keybinding/common/keybindingService","vs/platform/markers/common/markers","vs/platform/telemetry/common/telemetry","vs/editor/common/core/position","vs/editor/common/core/range","vs/editor/common/editorAction","vs/editor/common/editorActionEnablement","vs/editor/common/editorCommonExtensions","vs/editor/browser/editorBrowserExtensions","vs/editor/contrib/zoneWidget/browser/zoneWidget","vs/editor/contrib/quickFix/common/quickFix","vs/css!./gotoError"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m,f,g,v,y,_,b,C,w){"use strict";var E=function(){function e(e,t){var n=this;this._editor=e,this._markers=null,this._nextIdx=-1,this._toUnbind=[],this._ignoreSelectionChange=!1,this._onCurrentMarkerChanged=new i.Emitter,this._onMarkerSetChanged=new i.Emitter,this.setMarkers(t),this._toUnbind.push(this._editor.onDidDispose(function(){return n.dispose()})),this._toUnbind.push(this._editor.onDidChangeCursorPosition(function(){n._ignoreSelectionChange||(n._nextIdx=-1)}))}return Object.defineProperty(e.prototype,"onCurrentMarkerChanged",{get:function(){return this._onCurrentMarkerChanged.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onMarkerSetChanged",{get:function(){return this._onMarkerSetChanged.event},enumerable:!0,configurable:!0}),e.prototype.setMarkers=function(e){this._markers=e||[],this._markers.sort(function(e,t){return a["default"].compare(e.severity,t.severity)||g.Range.compareRangesUsingStarts(e,t)}),this._nextIdx=-1,this._onMarkerSetChanged.fire(this)},e.prototype.withoutWatchingEditorPosition=function(e){this._ignoreSelectionChange=!0;try{e()}finally{this._ignoreSelectionChange=!1}},e.prototype.initIdx=function(e){for(var t=!1,n=this._editor.getPosition(),o=0,i=this._markers.length;i>o&&!t;o++){var r={lineNumber:this._markers[o].startLineNumber,column:this._markers[o].startColumn};n.isBeforeOrEqual(r)&&(this._nextIdx=o+(e?0:-1),t=!0)}t||(this._nextIdx=e?0:this._markers.length-1),this._nextIdx<0&&(this._nextIdx=this._markers.length-1)},e.prototype.move=function(e){if(!this.canNavigate())return void this._onCurrentMarkerChanged.fire(void 0);-1===this._nextIdx?this.initIdx(e):e?(this._nextIdx+=1,this._nextIdx>=this._markers.length&&(this._nextIdx=0)):(this._nextIdx-=1,this._nextIdx<0&&(this._nextIdx=this._markers.length-1));var t=this._markers[this._nextIdx];this._onCurrentMarkerChanged.fire(t)},e.prototype.canNavigate=function(){return this._markers.length>0},e.prototype.next=function(){this.move(!0)},e.prototype.previous=function(){this.move(!1)},e.prototype.goTo=function(e){for(var t=0;t<this._markers.length;t++){var n=this._markers[t];if(n.startLineNumber<=e.lineNumber&&n.endLineNumber>=e.lineNumber&&n.startColumn<=e.column&&n.endColumn>=e.column)return void this._onCurrentMarkerChanged.fire(n)}return null},e.prototype.indexOf=function(e){return this._markers.indexOf(e)},e.prototype.length=function(){return this._markers.length},e.prototype.reveal=function(){var e=this;-1!==this._nextIdx&&this.withoutWatchingEditorPosition(function(){var t=new f.Position(e._markers[e._nextIdx].startLineNumber,e._markers[e._nextIdx].startColumn);e._editor.setPosition(t),e._editor.revealPositionInCenter(t)})},e.prototype.dispose=function(){this._toUnbind=s.dispose(this._toUnbind)},e}(),S={showFrame:!0,showArrow:!0,isAccessible:!0},x=function(e){function t(t,n,o){e.call(this,t,S),this._model=n,this._keybindingService=o,this._callOnDispose=[],this._localCleanup=[],this.create(),this._wireModelAndView()}return __extends(t,e),t.prototype._fillContainer=function(e){var t=this;this._container=e,c.addClass(this._container,"marker-widget"),this._container.tabIndex=0,this._container.setAttribute("role","tooltip"),this._element=document.createElement("div"),this._element.className="descriptioncontainer",this._element.setAttribute("aria-live","assertive"),this._element.setAttribute("role","alert"),this._container.appendChild(this._element),this._quickFixSection=document.createElement("div"),this._container.appendChild(this._quickFixSection),this._callOnDispose.push(c.addStandardDisposableListener(this._container,"keydown",function(e){switch(e.asKeybinding()){case r.CommonKeybindings.LEFT_ARROW:t._goLeft(),e.preventDefault(),e.stopPropagation();break;case r.CommonKeybindings.RIGHT_ARROW:t._goRight(),e.preventDefault(),e.stopPropagation()}}))},t.prototype._goLeft=function(){if(this._quickFixEntries){var e=this._quickFixEntries.indexOf(document.activeElement);-1===e&&(e=1),e=(e+this._quickFixEntries.length-1)%this._quickFixEntries.length,this._quickFixEntries[e].focus()}},t.prototype._goRight=function(){if(this._quickFixEntries){var e=this._quickFixEntries.indexOf(document.activeElement);e=(e+1)%this._quickFixEntries.length,this._quickFixEntries[e].focus()}},t.prototype.show=function(t,n){e.prototype.show.call(this,t,n),this._container.focus()},t.prototype._wireModelAndView=function(){this._model.onCurrentMarkerChanged(this.showAtMarker,this,this._callOnDispose)},t.prototype.showAtMarker=function(e){var t=this;if(e){switch(e.severity){case a["default"].Error:this.options.frameColor="#ff5a5a";break;case a["default"].Warning:case a["default"].Info:this.options.frameColor="#5aac5a"}this._localCleanup=s.dispose(this._localCleanup);var i=l.format("({0}/{1}) ",this._model.indexOf(e)+1,this._model.length());e.source&&(i=i+"["+e.source+"] "),c.clearNode(this._element),this._element.appendChild(document.createTextNode(i)),this._element.appendChild(d.renderHtml(e.message)),this._quickFixSection.style.display="none",w.getCodeActions(this.editor.getModel(),g.Range.lift(e)).then(function(o){if(c.clearNode(t._quickFixSection),o.length>0){t._localCleanup.push({dispose:function(){t._quickFixEntries=[]}});var i=document.createElement("span");i.className="quickfixhead",i.appendChild(document.createTextNode(o.length>1?n.localize(0,null):n.localize(1,null))),t._quickFixSection.appendChild(i),t._quickFixEntries=[];var s=document.createElement("span");s.className="quickfixcontainer",o.forEach(function(e,n,o){var i=s;if(n>0){var a=document.createElement("span");a.appendChild(document.createTextNode(", ")),i.appendChild(a)}var l=document.createElement("a");l.tabIndex=0,l.className="quickfixentry",l.appendChild(document.createTextNode(e.command.title)),t._localCleanup.push(c.addDisposableListener(l,c.EventType.CLICK,function(){return(n=t._keybindingService).executeCommand.apply(n,[e.command.id].concat(e.command.arguments)),!0;var n})),t._localCleanup.push(c.addStandardDisposableListener(l,"keydown",function(n){switch(n.asKeybinding()){case r.CommonKeybindings.ENTER:case r.CommonKeybindings.SPACE:(o=t._keybindingService).executeCommand.apply(o,[e.command.id].concat(e.command.arguments)),n.preventDefault(),n.stopPropagation()}var o})),i.appendChild(l),t._quickFixEntries.push(l)}),t._quickFixSection.appendChild(s),t._quickFixSection.style.display="",t.show(new f.Position(e.startLineNumber,e.startColumn),4)}},o.onUnexpectedError),this._model.withoutWatchingEditorPosition(function(){return t.show(new f.Position(e.startLineNumber,e.startColumn),3)})}},t.prototype.dispose=function(){this._callOnDispose=s.dispose(this._callOnDispose),e.prototype.dispose.call(this)},t}(C.ZoneWidget),T=function(e){function t(t,n,o,i){e.call(this,t,n,y.Behaviour.WidgetFocus|y.Behaviour.Writeable|y.Behaviour.UpdateOnModelChange),this.telemetryService=i,this._isNext=o}return __extends(t,e),t.prototype.run=function(){var e=L.getMarkerController(this.editor).getOrCreateModel();return this.telemetryService.publicLog("zoneWidgetShown",{mode:"go to error"}),e&&(this._isNext?e.next():e.previous(),e.reveal()),u.TPromise.as(!0)},t=__decorate([__param(3,m.ITelemetryService)],t)}(v.EditorAction),L=function(){function e(e,t,n){this._markerService=t,this._keybindingService=n,this._callOnClose=[],this._editor=e,this._markersNavigationVisible=this._keybindingService.createKey(I,!1)}return e.getMarkerController=function(t){return t.getContribution(e.ID)},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this._cleanUp()},e.prototype._cleanUp=function(){this._markersNavigationVisible.reset(),this._callOnClose=s.dispose(this._callOnClose),this._zone=null,this._model=null},e.prototype.getOrCreateModel=function(){var e=this;if(this._model)return this._model;var t=this._getMarkers();return this._model=new E(this._editor,t),this._zone=new x(this._editor,this._model,this._keybindingService),this._markersNavigationVisible.set(!0),this._callOnClose.push(this._model),this._callOnClose.push(this._zone),this._callOnClose.push(this._editor.onDidChangeModel(function(){e._cleanUp()})),this._model.onCurrentMarkerChanged(function(t){return!t&&e._cleanUp()},void 0,this._callOnClose),this._markerService.onMarkerChanged(this._onMarkerChanged,this,this._callOnClose),this._model},e.prototype.closeMarkersNavigation=function(){this._cleanUp(),this._editor.focus()},e.prototype._onMarkerChanged=function(e){var t=this;e.some(function(e){return t._editor.getModel().uri.toString()===e.toString()})&&this._model.setMarkers(this._getMarkers())},e.prototype._getMarkers=function(){var e=this._editor.getModel().uri,t=this._markerService.read({resource:e});return t},e.ID="editor.contrib.markerController",e=__decorate([__param(1,p.IMarkerService),__param(2,h.IKeybindingService)],e)}(),M=function(e){function t(t,n,o){e.call(this,t,n,!0,o)}return __extends(t,e),t.ID="editor.action.marker.next",t=__decorate([__param(2,m.ITelemetryService)],t)}(T),N=function(e){function t(t,n,o){e.call(this,t,n,!1,o)}return __extends(t,e),t.ID="editor.action.marker.prev",t=__decorate([__param(2,m.ITelemetryService)],t)}(T),I="markersNavigationVisible";_.CommonEditorRegistry.registerEditorAction(new _.EditorActionDescriptor(M,M.ID,n.localize(2,null),{context:_.ContextKey.EditorFocus,primary:r.KeyCode.F8},"Go to Next Error or Warning")),_.CommonEditorRegistry.registerEditorAction(new _.EditorActionDescriptor(N,N.ID,n.localize(3,null),{context:_.ContextKey.EditorFocus,primary:r.KeyMod.Shift|r.KeyCode.F8},"Go to Previous Error or Warning")),_.CommonEditorRegistry.registerEditorCommand("closeMarkersNavigation",_.CommonEditorRegistry.commandWeight(50),{primary:r.KeyCode.Escape,secondary:[r.KeyMod.Shift|r.KeyCode.Escape]},!1,I,function(e,t,n){var o=L.getMarkerController(t);o.closeMarkersNavigation()}),b.EditorBrowserRegistry.registerEditorContribution(L)});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/contrib/quickFix/browser/quickFixModel",["require","exports","vs/base/common/arrays","vs/base/common/async","vs/base/common/errors","vs/base/common/eventEmitter","vs/base/common/lifecycle","vs/base/common/timer","vs/base/common/winjs.base","vs/editor/common/core/range","vs/editor/common/modes","../common/quickFix","./lightBulpWidget"],function(e,t,n,o,i,r,s,a,l,u,c,d,h){"use strict";var p;!function(e){e[e.NOT_ACTIVE=0]="NOT_ACTIVE",e[e.MANUAL_TRIGGER=1]="MANUAL_TRIGGER",e[e.AUTO_TRIGGER=2]="AUTO_TRIGGER"}(p||(p={}));var m=function(e){function t(t,n,o){var i=this;e.call(this),this.editor=t,this.markerService=n,this.onAccept=o,this.quickFixRequestPromise=null,this.lightBulpDecoration=[],this.toDispose=[],this.toLocalDispose=[],this.lightBulp=new h.LightBulpWidget(t,function(e){i.onLightBulpClicked(e)}),this.enableAutoQuckFix=!1,this.autoSuggestDelay=this.editor.getConfiguration().contribInfo.quickSuggestionsDelay,(isNaN(this.autoSuggestDelay)||!this.autoSuggestDelay&&0!==this.autoSuggestDelay||this.autoSuggestDelay>2e3||this.autoSuggestDelay<0)&&(this.autoSuggestDelay=300),this.toDispose.push(this.editor.onDidChangeModel(function(){return i.onModelChanged()})),this.toDispose.push(this.editor.onDidChangeModelMode(function(){return i.onModelChanged()})),this.toDispose.push(c.CodeActionProviderRegistry.onDidChange(this.onModelChanged,this))}return __extends(t,e),t.prototype.onModelChanged=function(){var e=this;return this.cancelDialog(),this.localDispose(),this.lastMarker=null,this.lightBulpPosition=null,this.markers=null,this.updateScheduler=null,!c.CodeActionProviderRegistry.has(this.editor.getModel())||this.editor.getConfiguration().readOnly?void this.setDecoration(null):(this.markerService.onMarkerChanged(this.onMarkerChanged,this,this.toLocalDispose),void this.toLocalDispose.push(this.editor.onDidChangeCursorPosition(function(t){e.onCursorPositionChanged()})))},t.prototype.onLightBulpClicked=function(e){this.triggerDialog(!0,e)},t.prototype.isSimilarMarker=function(e,t){return e?t&&e.owner===t.owner&&e.code===t.code:!t},t.prototype.onMarkerChanged=function(e){var t=this.editor.getModel();if(t){var n=t.uri;if(e.some(function(e){return n.toString()===e.toString()})){var o=this.lastMarker;this.markers=null,this.lastMarker=null;var i=this.findMarker(this.editor.getPosition(),!1);this.isSimilarMarker(i,o)?this.lastMarker=i:this.onCursorPositionChanged()}}},t.prototype.setDecoration=function(e){this.lightBulpPosition=e,this.updateDecoration()},t.prototype.updateDecoration=function(){this.lightBulpPosition&&this.state===p.NOT_ACTIVE?this.lightBulp.show(this.lightBulpPosition):this.lightBulp.hide()},t.prototype.onCursorPositionChanged=function(){var e=this;this.triggerAutoSuggestPromise&&(this.triggerAutoSuggestPromise.cancel(),this.triggerAutoSuggestPromise=null),this.cancelDialog(),this.updateScheduler||(this.updateScheduler=new o.RunOnceScheduler(function(){var t=e.lastMarker,o=e.editor.getPosition();if(t&&u.Range.containsPosition(t,o))return void(e.lightBulpPosition&&e.setDecoration(o));if(e.lastMarker=t=e.findMarker(o,!1),!t)return void e.setDecoration(null);var r=a.start(a.Topic.EDITOR,"quickfix/lighbulp"),s=e.computeFixes(t);s.done(function(i){e.setDecoration(n.isFalsyOrEmpty(i)?null:o),e.triggerAutoSuggest(t),r.stop()},function(t){i.onUnexpectedError(t),e.setDecoration(null),r.stop()})},250),this.toLocalDispose.push(this.updateScheduler)),this.updateScheduler.schedule()},t.prototype.computeFixes=function(e){var t=this.editor.getModel();return c.CodeActionProviderRegistry.has(t)?this.quickFixRequestPromise&&e===this.quickFixRequestPromiseRange?this.quickFixRequestPromise:(this.quickFixRequestPromise&&(this.quickFixRequestPromise.cancel(),this.quickFixRequestPromise=null),this.quickFixRequestPromiseRange=e,this.quickFixRequestPromise=d.getCodeActions(t,u.Range.lift(e)),this.quickFixRequestPromise):l.TPromise.as(null)},t.prototype.getMarkers=function(){if(null!==this.markers)return this.markers;var e=this.editor.getModel();if(e)return this.markers=this.markerService.read({resource:e.uri}).sort(function(e,t){return e.startLineNumber-t.startLineNumber}),this.markers},t.prototype.findMarker=function(e,t){if(this.lastMarker&&u.Range.containsPosition(this.lastMarker,e))return this.lastMarker;for(var o=this.getMarkers(),i=null,r=0,s=e.lineNumber,a=n.findFirst(o,function(e){return e.startLineNumber>=s});a<o.length&&o[a].startLineNumber===s;){var l=o[a];if(l.startColumn<=e.column&&l.endColumn>=e.column)return l;if(t){var c=e.column<l.startColumn?l.startColumn-e.column:e.column-l.endColumn;(!i||r>c)&&(i=l,r=c)}a++}return i},t.prototype.cancelDialog=function(e){return void 0===e&&(e=!1),this.state!==p.NOT_ACTIVE?(this.state=p.NOT_ACTIVE,e||this.emit("cancel"),this.updateDecoration(),!0):!1},t.prototype.isAutoSuggest=function(){return this.state===p.AUTO_TRIGGER},t.prototype.triggerAutoSuggest=function(e){var t=this;this.enableAutoQuckFix&&this.state===p.NOT_ACTIVE&&(this.triggerAutoSuggestPromise=l.TPromise.timeout(this.autoSuggestDelay),this.triggerAutoSuggestPromise.then(function(){t.triggerAutoSuggestPromise=null,e===t.lastMarker&&t.triggerDialog(!0,t.editor.getPosition())}))},t.prototype.triggerDialog=function(e,t){var n=this;this.cancelDialog(!1);var o;if(e){if(o=this.findMarker(t,!0),!o)return}else o=this.findMarker(t,!0),o||(o=this.editor.getSelection()),u.Range.containsPosition(o,t)||this.editor.setPosition({lineNumber:o.startLineNumber,column:o.startColumn});var r=a.start(a.Topic.EDITOR,"quickfix/triggerdialog");this.state=e?p.AUTO_TRIGGER:p.MANUAL_TRIGGER,this.updateDecoration(),this.emit("loading",{auto:this.isAutoSuggest()}),this.computeFixes(o).done(function(e){e&&e.length>0?(e.sort(function(e,t){return t.score-e.score}),n.emit("suggest",{fixes:e,range:o,auto:n.isAutoSuggest()})):n.emit("empty",{auto:n.isAutoSuggest()}),r.stop()},function(e){i.onUnexpectedError(e),n.emit("empty",{auto:n.isAutoSuggest()}),r.stop()})},t.prototype.accept=function(e,t){return this.cancelDialog(),e?(this.onAccept(e,t),!0):!1},t.prototype.localDispose=function(){this.toLocalDispose=s.dispose(this.toLocalDispose),this.quickFixRequestPromise&&(this.quickFixRequestPromise.cancel(),this.quickFixRequestPromise=null)},t.prototype.dispose=function(){this.localDispose(),this.toDispose=s.dispose(this.toDispose),this.emit("destroy",null)},t}(r.EventEmitter);t.QuickFixModel=m});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/contrib/quickFix/browser/quickFix",["require","exports","vs/nls!vs/editor/contrib/quickFix/browser/quickFix","vs/base/common/errors","vs/base/common/keyCodes","vs/base/common/winjs.base","vs/platform/editor/common/editor","vs/platform/event/common/event","vs/platform/keybinding/common/keybindingService","vs/platform/markers/common/markers","vs/platform/message/common/message","vs/platform/telemetry/common/telemetry","vs/editor/common/editorAction","vs/editor/common/editorCommonExtensions","vs/editor/common/modes","vs/editor/browser/editorBrowserExtensions","./quickFixModel","./quickFixSelectionWidget"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m,f,g,v){"use strict";var y=function(){function e(e,t,n,o,i,r,s){var a=this;this._markerService=t,this._keybindingService=n,this._eventService=i,this.editor=e,this.model=new g.QuickFixModel(this.editor,this._markerService,this.onAccept.bind(this)),this.quickFixWidgetVisible=this._keybindingService.createKey(b,!1),this.suggestWidget=new v.QuickFixSelectionWidget(this.editor,o,function(){a.quickFixWidgetVisible.set(!0)},function(){a.quickFixWidgetVisible.reset()}),this.suggestWidget.setModel(this.model)}return e.getQuickFixController=function(t){return t.getContribution(e.ID)},e.prototype.getId=function(){return e.ID},e.prototype.onAccept=function(e,t){var n=this.editor.getModel();if(n){var i=e.command;return(r=this._keybindingService).executeCommand.apply(r,[i.id].concat(i.arguments)).done(void 0,o.onUnexpectedError)}var r},e.prototype.run=function(){return this.model.triggerDialog(!1,this.editor.getPosition()),this.editor.focus(),r.TPromise.as(!1)},e.prototype.dispose=function(){this.suggestWidget&&(this.suggestWidget.destroy(),this.suggestWidget=null),this.model&&(this.model.dispose(),this.model=null)},e.prototype.acceptSelectedSuggestion=function(){this.suggestWidget&&this.suggestWidget.acceptSelectedSuggestion()},e.prototype.closeWidget=function(){this.model&&this.model.cancelDialog()},e.prototype.selectNextSuggestion=function(){this.suggestWidget&&this.suggestWidget.selectNext()},e.prototype.selectNextPageSuggestion=function(){this.suggestWidget&&this.suggestWidget.selectNextPage()},e.prototype.selectPrevSuggestion=function(){this.suggestWidget&&this.suggestWidget.selectPrevious()},e.prototype.selectPrevPageSuggestion=function(){this.suggestWidget&&this.suggestWidget.selectPreviousPage()},e.ID="editor.contrib.quickFixController",e=__decorate([__param(1,u.IMarkerService),__param(2,l.IKeybindingService),__param(3,d.ITelemetryService),__param(4,a.IEventService),__param(5,s.IEditorService),__param(6,c.IMessageService)],e)}();t.QuickFixController=y;var _=function(e){function t(t,n){e.call(this,t,n)}return __extends(t,e),t.prototype.isSupported=function(){var e=this.editor.getModel();return m.CodeActionProviderRegistry.has(e)&&!this.editor.getConfiguration().readOnly},t.prototype.run=function(){return y.getQuickFixController(this.editor).run()},t.ID="editor.action.quickFix",t}(h.EditorAction);t.QuickFixAction=_;var b="quickFixWidgetVisible",C=p.CommonEditorRegistry.commandWeight(80);p.CommonEditorRegistry.registerEditorAction(new p.EditorActionDescriptor(_,_.ID,n.localize(0,null),{context:p.ContextKey.EditorTextFocus,primary:i.KeyMod.CtrlCmd|i.KeyCode.US_DOT},"Quick Fix")),p.CommonEditorRegistry.registerEditorCommand("acceptQuickFixSuggestion",C,{primary:i.KeyCode.Enter,secondary:[i.KeyCode.Tab]},!1,b,function(e,t,n){var o=y.getQuickFixController(t);o.acceptSelectedSuggestion()}),p.CommonEditorRegistry.registerEditorCommand("closeQuickFixWidget",C,{primary:i.KeyCode.Escape,secondary:[i.KeyMod.Shift|i.KeyCode.Escape]},!1,b,function(e,t,n){var o=y.getQuickFixController(t);o.closeWidget()}),p.CommonEditorRegistry.registerEditorCommand("selectNextQuickFix",C,{primary:i.KeyCode.DownArrow},!1,b,function(e,t,n){var o=y.getQuickFixController(t);o.selectNextSuggestion()}),p.CommonEditorRegistry.registerEditorCommand("selectNextPageQuickFix",C,{primary:i.KeyCode.PageDown},!1,b,function(e,t,n){var o=y.getQuickFixController(t);o.selectNextPageSuggestion()}),p.CommonEditorRegistry.registerEditorCommand("selectPrevQuickFix",C,{primary:i.KeyCode.UpArrow},!1,b,function(e,t,n){var o=y.getQuickFixController(t);o.selectPrevSuggestion()}),p.CommonEditorRegistry.registerEditorCommand("selectPrevPageQuickFix",C,{primary:i.KeyCode.PageUp},!1,b,function(e,t,n){var o=y.getQuickFixController(t);o.selectPrevPageSuggestion()}),f.EditorBrowserRegistry.registerEditorContribution(y)}),define("vs/editor/contrib/quickOpen/browser/gotoLine.contribution",["require","exports","vs/nls!vs/editor/contrib/quickOpen/browser/gotoLine.contribution","vs/base/common/keyCodes","vs/editor/common/editorCommonExtensions","./gotoLine"],function(e,t,n,o,i,r){"use strict";i.CommonEditorRegistry.registerEditorAction(new i.EditorActionDescriptor(r.GotoLineAction,r.GotoLineAction.ID,n.localize(0,null),{context:i.ContextKey.EditorFocus,primary:o.KeyMod.CtrlCmd|o.KeyCode.KEY_G,mac:{primary:o.KeyMod.WinCtrl|o.KeyCode.KEY_G}},"Go to Line..."))}),define("vs/editor/contrib/quickOpen/browser/quickCommand.contribution",["require","exports","vs/nls!vs/editor/contrib/quickOpen/browser/quickCommand.contribution","vs/base/common/keyCodes","vs/base/browser/browser","vs/editor/common/editorCommonExtensions","./quickCommand"],function(e,t,n,o,i,r,s){"use strict";r.CommonEditorRegistry.registerEditorAction(new r.EditorActionDescriptor(s.QuickCommandAction,s.QuickCommandAction.ID,n.localize(0,null),{context:r.ContextKey.EditorFocus,primary:i.isIE11orEarlier?o.KeyMod.Alt|o.KeyCode.F1:o.KeyCode.F1},"Command Palette"))}),define("vs/editor/contrib/quickOpen/common/quickOpen",["require","exports","vs/base/common/errors","vs/base/common/uri","vs/base/common/winjs.base","vs/editor/common/core/range","vs/editor/common/editorCommonExtensions","vs/editor/common/modes","vs/editor/common/services/modelService","vs/base/common/async"],function(e,t,n,o,i,r,s,a,l,u){"use strict";function c(e){var t=[],o=a.DocumentSymbolProviderRegistry.all(e).map(function(o){return u.asWinJsPromise(function(t){return o.provideDocumentSymbols(e,t)}).then(function(e){Array.isArray(e)&&t.push.apply(t,e)},function(e){n.onUnexpectedError(e)})});return i.TPromise.join(o).then(function(){var e=[];return h(e,t,""),e.sort(d),{entries:e}})}function d(e,t){return r.Range.compareRangesUsingStarts(r.Range.lift(e.location.range),r.Range.lift(t.location.range))}function h(e,t,n){for(var o=0,i=t;o<i.length;o++){var r=i[o];e.push({kind:r.kind,location:r.location,name:r.name,containerName:r.containerName||n})}}t.getDocumentSymbols=c,s.CommonEditorRegistry.registerLanguageCommand("_executeDocumentSymbolProvider",function(e,t){var i=t.resource;if(!(i instanceof o["default"]))throw n.illegalArgument("resource");var r=e.get(l.IModelService).getModel(i);if(!r)throw n.illegalArgument("resource");return c(r)})}),define("vs/editor/contrib/outlineMarker/browser/outlineMarker",["require","exports","vs/base/common/async","vs/base/common/errors","vs/base/common/lifecycle","vs/editor/common/core/range","vs/editor/common/modes","vs/editor/browser/editorBrowserExtensions","vs/editor/contrib/quickOpen/common/quickOpen","vs/css!./outlineMarker"],function(e,t,n,o,i,r,s,a,l){"use strict";var u=function(){function e(e,t){this.afterLineNumber=e.startLineNumber-1,this.heightInPx=4,this.suppressMouseDown=!0,this.domNode=document.createElement("div");var n=document.createElement("hr");n.className="outlineRule "+s.SymbolKind.from(t),this.domNode.appendChild(n)}return e}(),c=function(){function e(){this._removeDecorations=[],this._addDecorations=[],this._addDecorationsCallbacks=[]}return e.prototype.addDecoration=function(e,t){
this._addDecorations.push(e),this._addDecorationsCallbacks.push(t)},e.prototype.removeDecoration=function(e){this._removeDecorations.push(e)},e.prototype.commit=function(e){for(var t=e.deltaDecorations(this._removeDecorations,this._addDecorations),n=0,o=t.length;o>n;n++)this._addDecorationsCallbacks[n](t[n])},e}(),d=function(){function e(e,t,n,o,i){var r=this;this._editor=n,this._viewZone=new u(e,t),this._viewZoneId=i.addZone(this._viewZone),o.addDecoration({range:e,options:{}},function(e){r._decorationId=e})}return e.prototype.dispose=function(e,t){e.removeDecoration(this._decorationId),t.removeZone(this._viewZoneId)},e.prototype.getLine=function(){return this._viewZone.afterLineNumber},e.prototype.update=function(e){var t=this._editor.getModel().getDecorationRange(this._decorationId);this._viewZone.afterLineNumber=t.startLineNumber-1,e.layoutZone(this._viewZoneId)},e}(),h=function(){function e(e){var t=this;this._editor=e,this._isEnabled=this._editor.getConfiguration().contribInfo.outlineMarkers,this._globalToDispose=[],this._localToDispose=[],this._markers=[],this._currentOutlinePromise=null,this._globalToDispose.push(this._editor.onDidChangeModel(function(){return t.onChange(!0)})),this._globalToDispose.push(this._editor.onDidChangeModelMode(function(){return t.onChange(!1)})),this._globalToDispose.push(this._editor.onDidChangeConfiguration(function(e){var n=t._isEnabled;t._isEnabled=t._editor.getConfiguration().contribInfo.outlineMarkers,n!==t._isEnabled&&t.onChange(!1)})),this.onChange(!1)}return e.prototype.dispose=function(){this.localDispose(),this._globalToDispose=i.dispose(this._globalToDispose)},e.prototype.localDispose=function(){this._currentOutlinePromise&&this._currentOutlinePromise.cancel(),this._localToDispose=i.dispose(this._localToDispose)},e.prototype.getId=function(){return e.ID},e.prototype.onChange=function(e){var t=this;if(e&&(this._markers=[]),this.localDispose(),this._isEnabled){var i=this._editor.getModel();if(i&&s.DocumentSymbolProviderRegistry.has(i)){var r=new n.RunOnceScheduler(function(){t._currentOutlinePromise&&t._currentOutlinePromise.cancel(),t._currentOutlinePromise=l.getDocumentSymbols(i),t._currentOutlinePromise.then(function(e){t.renderOutlines(e.entries)},function(e){o.onUnexpectedError(e)})},250);this._localToDispose.push(r),this._localToDispose.push(this._editor.onDidChangeModelContent(function(){t._editor.changeViewZones(function(e){t._markers.forEach(function(t){t.update(e)})}),r.schedule()})),this._localToDispose.push({dispose:function(){if(t._markers.length>0){var e=new c;t._editor.changeViewZones(function(n){t._markers.forEach(function(t){return t.dispose(e,n)}),t._markers=[]}),t._editor.changeDecorations(function(t){e.commit(t)})}}}),r.schedule()}}},e.prototype.renderOutlines=function(e){var t=this,n=this._editor.getCenteredRangeInViewport(),o=this._markers.length;this._editor.changeDecorations(function(n){var o=new c;t._editor.changeViewZones(function(n){t._markers.forEach(function(e){return e.dispose(o,n)}),t._markers=[],t.renderOutlinesRecursive(e,o,n)}),o.commit(n)});var i=this._markers.length;Math.abs(o-i)>1&&this._editor.revealRangeInCenter(n)},e.prototype.renderOutlinesRecursive=function(e,t,n){var o=this;e&&e.forEach(function(e){if(e.kind===s.SymbolKind.Class||e.kind===s.SymbolKind.Method||e.kind===s.SymbolKind.Function){var i=r.Range.lift(e.location.range);if(!o.alreadyHasMarkerAtRange(i)){var a=new d(i,e.kind,o._editor,t,n);o._markers.push(a)}}})},e.prototype.alreadyHasMarkerAtRange=function(e){for(var t=0;t<this._markers.length;++t)if(this._markers[t].getLine()===e.startLineNumber-1)return!0;return!1},e.ID="editor.outlineMarker",e}();t.OutlineMarkerContribution=h,a.EditorBrowserRegistry.registerEditorContribution(h)});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/contrib/quickOpen/browser/quickOutline",["require","exports","vs/nls!vs/editor/contrib/quickOpen/browser/quickOutline","vs/base/common/errors","vs/base/common/filters","vs/base/common/strings","vs/base/common/winjs.base","vs/base/parts/quickopen/browser/quickOpenModel","vs/base/parts/quickopen/common/quickOpen","vs/editor/common/editorActionEnablement","vs/editor/common/modes","./editorQuickOpen","vs/editor/contrib/quickOpen/common/quickOpen","vs/css!./quickOutline"],function(e,t,n,o,i,r,s,a,l,u,c,d,h){"use strict";var p=":",m=function(e){function t(t,n,o,i,r,s,a){e.call(this),this.name=t,this.type=n,this.description=o,this.range=i,this.setHighlights(r),this.editor=s,this.decorator=a}return __extends(t,e),t.prototype.getLabel=function(){return this.name},t.prototype.getAriaLabel=function(){return n.localize(0,null,this.name)},t.prototype.getIcon=function(){return this.type},t.prototype.getDescription=function(){return this.description},t.prototype.getType=function(){return this.type},t.prototype.getRange=function(){return this.range},t.prototype.run=function(e,t){return e===l.Mode.OPEN?this.runOpen(t):this.runPreview()},t.prototype.runOpen=function(e){var t=this.toSelection();return this.editor.setSelection(t),this.editor.revealRangeInCenter(t),this.editor.focus(),!0},t.prototype.runPreview=function(){var e=this.toSelection();return this.editor.revealRangeInCenter(e),this.decorator.decorateLine(this.range,this.editor),!1},t.prototype.toSelection=function(){return{startLineNumber:this.range.startLineNumber,startColumn:this.range.startColumn||1,endLineNumber:this.range.startLineNumber,endColumn:this.range.startColumn||1}},t}(a.QuickOpenEntryGroup),f=function(e){function t(t,o){e.call(this,t,o,n.localize(1,null),u.Behaviour.WidgetFocus|u.Behaviour.ShowInContextMenu)}return __extends(t,e),t.prototype.getGroupId=function(){return"1_goto/5_visitSymbol"},t.prototype.isSupported=function(){return c.DocumentSymbolProviderRegistry.has(this.editor.getModel())&&e.prototype.isSupported.call(this)},t.prototype.run=function(){var t=this,n=this.editor.getModel();if(!c.DocumentSymbolProviderRegistry.has(n))return null;var i=h.getDocumentSymbols(n);return i.then(function(n){return n.entries.length>0?(t.cachedResult=n.entries,e.prototype.run.call(t)):s.TPromise.as(!0)},function(e){return o.onUnexpectedError(e),!1})},t.prototype._getModel=function(e){return new a.QuickOpenModel(this.toQuickOpenEntries(this.cachedResult,e))},t.prototype._getAutoFocus=function(e){return 0===e.indexOf(p)&&(e=e.substr(p.length)),{autoFocusPrefixMatch:e,autoFocusFirstEntry:!!e}},t.prototype._getInputAriaLabel=function(){return n.localize(2,null)},t.prototype.toQuickOpenEntries=function(e,t){var o=[],s=t;0===t.indexOf(p)&&(s=s.substr(p.length));for(var a=0;a<e.length;a++){var l=e[a],u=r.trim(l.name),d=i.matchesFuzzy(s,u);if(d){var h=null;l.containerName&&(h=l.containerName),o.push(new m(u,c.SymbolKind.from(l.kind),h,l.location.range,d,this.editor,this))}}if(t&&(o=0===t.indexOf(p)?o.sort(this.sortScoped.bind(this,t.toLowerCase())):o.sort(this.sortNormal.bind(this,t.toLowerCase()))),o.length>0&&0===t.indexOf(p)){for(var f=null,g=null,v=0,a=0;a<o.length;a++){var y=o[a];f!==y.getType()?(g&&g.setGroupLabel(this.typeToLabel(f,v)),f=y.getType(),g=y,v=1,y.setShowBorder(a>0)):v++}g&&g.setGroupLabel(this.typeToLabel(f,v))}else o.length>0&&o[0].setGroupLabel(n.localize(3,null,o.length));return o},t.prototype.typeToLabel=function(e,t){switch(e){case"module":return n.localize(4,null,t);case"class":return n.localize(5,null,t);case"interface":return n.localize(6,null,t);case"method":return n.localize(7,null,t);case"function":return n.localize(8,null,t);case"property":return n.localize(9,null,t);case"variable":return n.localize(10,null,t);case"var":return n.localize(11,null,t);case"constructor":return n.localize(12,null,t);case"call":return n.localize(13,null,t)}return e},t.prototype.sortNormal=function(e,t,n){var o=t.getLabel().toLowerCase(),i=n.getLabel().toLowerCase(),s=r.localeCompare(o,i);if(0!==s)return s;var a=t.getRange(),l=n.getRange();return a.startLineNumber-l.startLineNumber},t.prototype.sortScoped=function(e,t,n){e=e.substr(p.length);var o=t.getType(),i=n.getType(),s=r.localeCompare(o,i);if(0!==s)return s;if(e){var a=t.getLabel().toLowerCase(),l=n.getLabel().toLowerCase(),u=r.localeCompare(a,l);if(0!==u)return u}var c=t.getRange(),d=n.getRange();return c.startLineNumber-d.startLineNumber},t.prototype._onClose=function(t){e.prototype._onClose.call(this,t),this.cachedResult=null},t.prototype.dispose=function(){e.prototype.dispose.call(this),this.cachedResult=null},t.ID="editor.action.quickOutline",t}(d.BaseEditorQuickOpenAction);t.QuickOutlineAction=f}),define("vs/editor/contrib/quickOpen/browser/quickOutline.contribution",["require","exports","vs/nls!vs/editor/contrib/quickOpen/browser/quickOutline.contribution","vs/base/common/keyCodes","vs/editor/common/editorCommonExtensions","./quickOutline"],function(e,t,n,o,i,r){"use strict";i.CommonEditorRegistry.registerEditorAction(new i.EditorActionDescriptor(r.QuickOutlineAction,r.QuickOutlineAction.ID,n.localize(0,null),{context:i.ContextKey.EditorFocus,primary:o.KeyMod.CtrlCmd|o.KeyMod.Shift|o.KeyCode.KEY_O},"Go to Symbol..."))}),define("vs/editor/contrib/referenceSearch/common/referenceSearch",["require","exports","vs/base/common/errors","vs/base/common/winjs.base","vs/editor/common/editorCommonExtensions","vs/editor/common/modes","vs/base/common/async"],function(e,t,n,o,i,r,s){"use strict";function a(e,t){var i=r.ReferenceProviderRegistry.ordered(e).map(function(o){return s.asWinJsPromise(function(n){return o.provideReferences(e,t,{includeDeclaration:!0},n)}).then(function(e){return Array.isArray(e)?e:void 0},function(e){n.onUnexpectedError(e)})});return o.TPromise.join(i).then(function(e){for(var t=[],n=0,o=e;n<o.length;n++){var i=o[n];i&&t.push.apply(t,i)}return t})}t.provideReferences=a,i.CommonEditorRegistry.registerDefaultLanguageCommand("_executeReferenceProvider",a)}),define("vs/editor/contrib/rename/common/rename",["require","exports","vs/nls!vs/editor/contrib/rename/common/rename","vs/base/common/async","vs/base/common/errors","vs/editor/common/editorCommonExtensions","vs/editor/common/modes"],function(e,t,n,o,i,r,s){"use strict";function a(e,t,i){var r=s.RenameProviderRegistry.ordered(e),a=[],l=!1,u=r.map(function(n){return function(){return l?void 0:o.asWinJsPromise(function(o){return n.provideRenameEdits(e,t,i,o)}).then(function(e){if(e){if(!e.rejectReason)return l=!0,e;a.push(e.rejectReason)}else;})}});return o.sequence(u).then(function(e){var t=e[0];return a.length>0?{edits:void 0,rejectReason:a.join("\n")}:t?t:{edits:void 0,rejectReason:n.localize(0,null)}})}t.rename=a,r.CommonEditorRegistry.registerDefaultLanguageCommand("_executeDocumentRenameProvider",function(e,t,n){var o=n.newName;if("string"!=typeof o)throw i.illegalArgument("newName");return a(e,t,o)})});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/contrib/rename/browser/rename",["require","exports","vs/nls!vs/editor/contrib/rename/browser/rename","vs/base/common/errors","vs/base/common/keyCodes","vs/base/common/severity","vs/base/common/winjs.base","vs/platform/editor/common/editor","vs/platform/event/common/event","vs/platform/keybinding/common/keybindingService","vs/platform/message/common/message","vs/editor/common/editorAction","vs/editor/common/editorActionEnablement","vs/editor/common/editorCommonExtensions","vs/editor/common/modes","vs/editor/common/services/bulkEdit","../common/rename","./renameInputField"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m,f,g,v){"use strict";var y="renameInputVisible",_=function(e){function t(t,n,o,i,r,s){e.call(this,t,n,h.Behaviour.WidgetFocus|h.Behaviour.Writeable|h.Behaviour.ShowInContextMenu|h.Behaviour.UpdateOnCursorPositionChange),this._messageService=o,this._eventService=r,this._editorService=s,this._renameInputField=new v["default"](n),this._renameInputVisible=i.createKey(y,!1)}return __extends(t,e),t.prototype.getGroupId=function(){return"2_change/1_rename2"},t.prototype.isSupported=function(){return m.RenameProviderRegistry.has(this.editor.getModel())&&!this.editor.getModel().hasEditableRange()&&e.prototype.isSupported.call(this)},t.prototype.getEnablementState=function(){return m.RenameProviderRegistry.has(this.editor.getModel())},t.prototype.run=function(e){var t=this,n=this.editor.getSelection(),i=this.editor.getModel().getWordAtPosition(n.getStartPosition());if(i){var a,l=n.startLineNumber,u=0,c=i.word.length;return a={startLineNumber:l,startColumn:i.startColumn,endLineNumber:l,endColumn:i.endColumn},n.isEmpty()||n.startLineNumber!==n.endLineNumber||(u=Math.max(0,n.startColumn-i.startColumn),c=Math.min(i.endColumn,n.endColumn)-i.startColumn),this._renameInputVisible.set(!0),this._renameInputField.getInput(a,i.word,u,c).then(function(e){return t._renameInputVisible.reset(),t._prepareRename(e).then(function(e){return e.finish().then(function(e){t.editor.focus(),e&&t.editor.setSelection(e)})},function(e){return"string"!=typeof e?s.TPromise.wrapError(e):void t._messageService.show(r["default"].Info,e)})},function(e){return t._renameInputVisible.reset(),t.editor.focus(),o.isPromiseCanceledError(e)?void 0:s.TPromise.wrapError(e)})}},t.prototype.acceptRenameInput=function(){this._renameInputField.acceptInput()},t.prototype.cancelRenameInput=function(){this._renameInputField.cancelInput()},t.prototype._prepareRename=function(e){var t=f.createBulkEdit(this._eventService,this._editorService,this.editor);return g.rename(this.editor.getModel(),this.editor.getPosition(),e).then(function(e){return e.rejectReason?s.TPromise.wrapError(e.rejectReason):(t.add(e.edits),t)})},t.ID="editor.action.rename",t=__decorate([__param(2,c.IMessageService),__param(3,u.IKeybindingService),__param(4,l.IEventService),__param(5,a.IEditorService)],t)}(d.EditorAction);t.RenameAction=_;var b=p.CommonEditorRegistry.commandWeight(99);p.CommonEditorRegistry.registerEditorAction(new p.EditorActionDescriptor(_,_.ID,n.localize(0,null),{context:p.ContextKey.EditorTextFocus,primary:i.KeyCode.F2},"Rename Symbol")),p.CommonEditorRegistry.registerEditorCommand("acceptRenameInput",b,{primary:i.KeyCode.Enter},!1,y,function(e,t,n){var o=t.getAction(_.ID);o.acceptRenameInput()}),p.CommonEditorRegistry.registerEditorCommand("cancelRenameInput",b,{primary:i.KeyCode.Escape,secondary:[i.KeyMod.Shift|i.KeyCode.Escape]},!1,y,function(e,t,n){var o=t.getAction(_.ID);o.cancelRenameInput()})});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/contrib/smartSelect/common/jumpToBracket",["require","exports","vs/nls!vs/editor/contrib/smartSelect/common/jumpToBracket","vs/base/common/keyCodes","vs/base/common/winjs.base","vs/editor/common/editorAction","vs/editor/common/editorActionEnablement","vs/editor/common/editorCommon","vs/editor/common/editorCommonExtensions"],function(e,t,n,o,i,r,s,a,l){"use strict";var u=function(e){function t(t,n){e.call(this,t,n,s.Behaviour.TextFocus)}return __extends(t,e),t.prototype.run=function(){return this.editor.trigger(this.id,a.Handler.JumpToBracket,{}),i.TPromise.as(!0)},t.ID="editor.action.jumpToBracket",t}(r.EditorAction);l.CommonEditorRegistry.registerEditorAction(new l.EditorActionDescriptor(u,u.ID,n.localize(0,null),{context:l.ContextKey.EditorTextFocus,primary:o.KeyMod.CtrlCmd|o.KeyMod.Shift|o.KeyCode.US_BACKSLASH},"Go to Bracket"))});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/contrib/smartSelect/common/smartSelect",["require","exports","vs/nls!vs/editor/contrib/smartSelect/common/smartSelect","vs/base/common/arrays","vs/base/common/keyCodes","vs/base/common/winjs.base","vs/platform/instantiation/common/instantiation","vs/editor/common/core/range","vs/editor/common/editorAction","vs/editor/common/editorActionEnablement","vs/editor/common/editorCommonExtensions","./tokenSelectionSupport"],function(e,t,n,o,i,r,s,a,l,u,c,d){"use strict";var h=function(){function e(e){this.editor=e,this.next=null,this.previous=null,this.selection=e.getSelection()}return e}(),p=null,m=!1,f=function(e){function t(t,n,o,i){e.call(this,t,n,u.Behaviour.TextFocus|u.Behaviour.UpdateOnModelChange),this._tokenSelectionSupport=i.createInstance(d.TokenSelectionSupport),this._forward=o}return __extends(t,e),t.prototype.run=function(){var e=this,t=this.editor.getSelection(),n=this.editor.getModel();p&&p.editor!==this.editor&&(p=null);var i=r.TPromise.as(null);return p||(i=this._tokenSelectionSupport.getRangesToPosition(n.uri,t.getStartPosition()).then(function(t){if(!o.isFalsyOrEmpty(t)){var n;t.filter(function(t){var n=e.editor.getSelection(),o=new a.Range(t.range.startLineNumber,t.range.startColumn,t.range.endLineNumber,t.range.endColumn);return o.containsPosition(n.getStartPosition())&&o.containsPosition(n.getEndPosition())}).forEach(function(t){var o=t.range,i=new h(e.editor);i.selection=new a.Range(o.startLineNumber,o.startColumn,o.endLineNumber,o.endColumn),n&&(i.next=n,n.previous=i),n=i});var i=new h(e.editor);i.next=n,n&&(n.previous=i),p=i;var r=e.editor.onDidChangeCursorPosition(function(e){m||(p=null,r.dispose())})}})),i.then(function(){if(p&&(p=e._forward?p.next:p.previous)){m=!0;try{e.editor.setSelection(p.selection)}finally{m=!1}return!0}})},t}(l.EditorAction),g=function(e){function t(t,n,o){e.call(this,t,n,!0,o)}return __extends(t,e),t.ID="editor.action.smartSelect.grow",t=__decorate([__param(2,s.IInstantiationService)],t)}(f),v=function(e){function t(t,n,o){e.call(this,t,n,!1,o)}return __extends(t,e),t.ID="editor.action.smartSelect.shrink",t=__decorate([__param(2,s.IInstantiationService)],t)}(f);c.CommonEditorRegistry.registerEditorAction(new c.EditorActionDescriptor(g,g.ID,n.localize(0,null),{context:c.ContextKey.EditorTextFocus,primary:i.KeyMod.Shift|i.KeyMod.Alt|i.KeyCode.RightArrow,mac:{primary:i.KeyMod.CtrlCmd|i.KeyMod.WinCtrl|i.KeyMod.Shift|i.KeyCode.RightArrow}},"Expand Select")),c.CommonEditorRegistry.registerEditorAction(new c.EditorActionDescriptor(v,v.ID,n.localize(1,null),{context:c.ContextKey.EditorTextFocus,primary:i.KeyMod.Shift|i.KeyMod.Alt|i.KeyCode.LeftArrow,mac:{primary:i.KeyMod.CtrlCmd|i.KeyMod.WinCtrl|i.KeyMod.Shift|i.KeyCode.LeftArrow}},"Shrink Select"))});var __decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/contrib/snippet/common/snippet",["require","exports","vs/base/common/collections","vs/base/common/keyCodes","vs/base/common/strings","vs/platform/keybinding/common/keybindingService","vs/editor/common/core/editOperation","vs/editor/common/core/range","vs/editor/common/core/selection","vs/editor/common/editorCommon","vs/editor/common/editorCommonExtensions","vs/base/common/lifecycle"],function(e,t,n,o,i,r,s,a,l,u,c,d){"use strict";function h(e){return e.getContribution(g.ID)}!function(e){e[e.TextMateSnippet=0]="TextMateSnippet",e[e.EmmetSnippet=1]="EmmetSnippet"}(t.ExternalSnippetType||(t.ExternalSnippetType={}));var p=t.ExternalSnippetType,m=function(){function e(e){this.lines=[],this.placeHolders=[],this._lastGeneratedId=0,this.startPlaceHolderIndex=0,this.finishPlaceHolderIndex=-1,this.parseTemplate(e)}return e.prototype.parseTemplate=function(e){var t,o,i,r,s={},l=e.split("\n");for(t=0,o=l.length;o>t;t++){var u=this.parseLine(l[t],function(e){return n.contains(s,e)?s[e].value:""});for(i=0,r=u.placeHolders.length;r>i;i++){var c,d=u.placeHolders[i],h=new a.Range(t+1,d.startColumn,t+1,d.endColumn);n.contains(s,d.id)?c=s[d.id]:(c={id:d.id,value:d.value,occurences:[]},this.placeHolders.push(c),""===d.value&&(this.finishPlaceHolderIndex=this.placeHolders.length-1),s[d.id]=c),c.occurences.push(h)}this.lines.push(u.line)}if(this.placeHolders.length>this.startPlaceHolderIndex){var p=this.placeHolders[this.startPlaceHolderIndex];""===p.value&&""===p.id&&this.placeHolders.length>1&&this.startPlaceHolderIndex++}},e.prototype.parseLine=function(e,t){for(var n=[{placeHolderId:"",placeHolderText:""}],o=[],i=0,r=e.length,s=0;r>i;){var a=e.substr(i);if(/^{{/.test(a)){i+=2,n.push({placeHolderId:"",placeHolderText:""});var l=a.match(/^{{(\w+):/);Array.isArray(l)&&2===l.length&&(n[n.length-1].placeHolderId=l[1],i+=l[1].length+1)}else if(n.length>1&&/^}}/.test(a)){if(i+=2,0===n[n.length-1].placeHolderId.length&&(n[n.length-1].placeHolderId=n[n.length-1].placeHolderText,"_"===n[n.length-1].placeHolderId&&(n[n.length-1].placeHolderId="TAB_STOP_"+String(++this._lastGeneratedId),n[n.length-1].placeHolderText="",--s)),0===n[n.length-1].placeHolderText.length){var u=t(n[n.length-1].placeHolderId);n[n.length-1].placeHolderText=u,s+=u.length}o.push({id:n[n.length-1].placeHolderId,value:n[n.length-1].placeHolderText,startColumn:s+1-n[n.length-1].placeHolderText.length,endColumn:s+1}),n[n.length-2].placeHolderText+=n[n.length-1].placeHolderText,n.pop()}else/^\\./.test(a)&&("{"===a.charAt(1)||"}"===a.charAt(1)||"\\"===a.charAt(1)?++i:(n[n.length-1].placeHolderText+=e.charAt(i),++s,++i)),n[n.length-1].placeHolderText+=e.charAt(i),++s,++i}return o.sort(function(e,t){return e.startColumn<t.startColumn?-1:e.startColumn>t.startColumn?1:e.endColumn<t.endColumn?-1:e.endColumn>t.endColumn?1:0}),{line:n[0].placeHolderText,placeHolders:o}},e.convertExternalSnippet=function(e,t){for(var n=0,o="",i=0,r=e.length;r>i;){var s=e.substr(i);if(/^\$0/.test(s))i+=2,o+=t===p.EmmetSnippet?"{{_}}":"{{}}";else if(/^\$\{0\}/.test(s))i+=4,o+=t===p.EmmetSnippet?"{{_}}":"{{}}";else if(t===p.EmmetSnippet&&/^\|/.test(s))++i,o+="{{}}";else{var a=s.match(/^\$(\d+)/);Array.isArray(a)&&2===a.length?(i+=1+a[1].length,o+="{{"+a[1]+":}}"):(a=s.match(/^\$\{(\d+)\}/),Array.isArray(a)&&2===a.length?(i+=3+a[1].length,o+="{{"+a[1]+":}}"):/^\${/.test(s)?(i+=2,++n,o+="{{"):n>0&&/^}/.test(s)?(i+=1,--n,o+="}}"):/^\\./.test(s)?(i+=2,o+=/^\\\$/.test(s)?"$":s.substr(0,2)):(a=s.match(/^({|})/),Array.isArray(a)&&2===a.length?(i+=1,o+="\\"+a[1]):(i+=1,o+=s.charAt(0))))}}return o},e.prototype.extractLineIndentation=function(e,t){void 0===t&&(t=Number.MAX_VALUE);var n=i.getLeadingWhitespace(e);return n.length>t-1?n.substring(0,t-1):n},e.prototype.bind=function(e,t,n,o){var i,r,s,a,l,u,c,d,h=[],p=[],m=this.extractLineIndentation(e,n+1),f=[];for(l=0,u=this.lines.length;u>l;l++)i=this.lines[l],0===l?(f[l+1]=n,h[l]=i):(r=this.extractLineIndentation(i),s=i.substr(r.length),a=o.normalizeIndentation(m+r),f[l+1]=a.length-r.length,h[l]=a+s);var g,v,y;for(l=0,u=this.placeHolders.length;u>l;l++){for(g=this.placeHolders[l],y=[],c=0,d=g.occurences.length;d>c;c++)v=g.occurences[c],y.push({startLineNumber:v.startLineNumber+t,startColumn:v.startColumn+f[v.startLineNumber],endLineNumber:v.endLineNumber+t,endColumn:v.endColumn+f[v.endLineNumber]});p.push({id:g.id,value:g.value,occurences:y})}return{lines:h,placeHolders:p,startPlaceHolderIndex:this.startPlaceHolderIndex,finishPlaceHolderIndex:this.finishPlaceHolderIndex}},e}();t.CodeSnippet=m;var f=function(){function e(e,t,n,o,i){this.editor=e,this._onStop=i,this.model=e.getModel(),this.finishPlaceHolderIndex=t.finishPlaceHolderIndex,this.trackedPlaceHolders=[],this.placeHolderDecorations=[],this.currentPlaceHolderIndex=t.startPlaceHolderIndex,this.highlightDecorationId=null,this.isFinished=!1,this._initialAlternativeVersionId=o,this.initialize(t,n)}return e.prototype.dispose=function(){this.stopAll()},e.prototype.initialize=function(e,t){var n,o,i=this;for(n=0,o=e.placeHolders.length;o>n;n++){for(var r=e.placeHolders[n],s=[],l=0,c=r.occurences.length;c>l;l++)s.push(this.model.addTrackedRange(r.occurences[l],u.TrackedRangeStickiness.AlwaysGrowsWhenTypingAtEdges));this.trackedPlaceHolders.push({ranges:s})}this.editor.changeDecorations(function(n){var o=[],r=t+e.lines.length-1,s=i.model.getLineMaxColumn(r);o.push({range:new a.Range(t,1,r,s),options:{className:"new-snippet",isWholeLine:!0}});for(var l=0,u=i.trackedPlaceHolders.length;u>l;l++){var c=l===i.finishPlaceHolderIndex?"finish-snippet-placeholder":"snippet-placeholder";o.push({range:i.model.getTrackedRange(i.trackedPlaceHolders[l].ranges[0]),options:{className:c}})}var d=n.deltaDecorations([],o);i.highlightDecorationId=d[0],i.placeHolderDecorations=d.slice(1)}),this.listenersToRemove=[],this.listenersToRemove.push(this.editor.onDidChangeModelRawContent(function(e){if(!i.isFinished){if(e.changeType===u.EventType.ModelRawContentChangedFlush)i.stopAll();else if(e.changeType===u.EventType.ModelRawContentChangedLineChanged){var t=e.lineNumber,n=i.model.getDecorationRange(i.highlightDecorationId);(t<n.startLineNumber||t>n.endLineNumber)&&i.stopAll()}else if(e.changeType===u.EventType.ModelRawContentChangedLinesInserted){var o=e.fromLineNumber,n=i.model.getDecorationRange(i.highlightDecorationId);(o<n.startLineNumber||o>n.endLineNumber)&&i.stopAll()}else if(e.changeType===u.EventType.ModelRawContentChangedLinesDeleted){var r=e.fromLineNumber,s=e.toLineNumber,n=i.model.getDecorationRange(i.highlightDecorationId),a=s<n.startLineNumber,l=r>n.endLineNumber;(a||l)&&i.stopAll()}var c=i.editor.getModel().getAlternativeVersionId();i._initialAlternativeVersionId===c&&i.stopAll()}})),this.listenersToRemove.push(this.editor.onDidChangeCursorPosition(function(e){if(!i.isFinished){var t=i.model.getDecorationRange(i.highlightDecorationId),n=e.position.lineNumber;(n<t.startLineNumber||n>t.endLineNumber)&&i.stopAll()}})),this.listenersToRemove.push(this.editor.onDidChangeModel(function(){i.stopAll()}));var d=-1;this.listenersToRemove.push(this.editor.onDidBlurEditor(function(){d=setTimeout(function(){i.stopAll()},100)})),this.listenersToRemove.push(this.editor.onDidFocusEditor(function(){-1!==d&&(clearTimeout(d),d=-1)})),this.listenersToRemove.push(this.model.onDidChangeDecorations(function(e){if(!i.isFinished){for(var t=i.model.getEditableRange(),n=null,o=!0,r=!0,s=0;(o||r)&&s<i.trackedPlaceHolders.length;s++)for(var a=i.trackedPlaceHolders[s].ranges,l=0;(o||r)&&l<a.length;l++){var u=i.model.getTrackedRange(a[l]);o&&(u.isEmpty()?null===n?n=u:n.equalsRange(u)||(o=!1):o=!1),r&&!t.equalsRange(u)&&(r=!1)}if(o||r)i.stopAll();else if(-1!==i.finishPlaceHolderIndex){var c=i.placeHolderDecorations[i.finishPlaceHolderIndex],d=i.model.getDecorationRange(c),h=i.model.getDecorationOptions(c),p=d.isEmpty(),m="finish-snippet-placeholder"===h.className,f=Number(p)^Number(m);f&&i.editor.changeDecorations(function(e){var t=p?"finish-snippet-placeholder":"snippet-placeholder";e.changeDecorationOptions(c,{className:t})})}}})),this.doLinkEditing()},e.prototype.onNextPlaceHolder=function(){return this.changePlaceHolder(!0)},e.prototype.onPrevPlaceHolder=function(){return this.changePlaceHolder(!1)},e.prototype.changePlaceHolder=function(e){if(this.isFinished)return!1;var t=this.currentPlaceHolderIndex,n=this.model.getTrackedRange(this.trackedPlaceHolders[t].ranges[0]),o=!0;do{e?this.currentPlaceHolderIndex=(this.currentPlaceHolderIndex+1)%this.trackedPlaceHolders.length:this.currentPlaceHolderIndex=(this.trackedPlaceHolders.length+this.currentPlaceHolderIndex-1)%this.trackedPlaceHolders.length;var i=this.model.getTrackedRange(this.trackedPlaceHolders[this.currentPlaceHolderIndex].ranges[0]);o=n.equalsRange(i)}while(this.currentPlaceHolderIndex!==t&&o);return this.doLinkEditing(),!0},e.prototype.onAccept=function(){if(this.isFinished)return!1;if(-1!==this.finishPlaceHolderIndex){var e=this.model.getTrackedRange(this.trackedPlaceHolders[this.finishPlaceHolderIndex].ranges[0]);this.editor.setPosition({lineNumber:e.endLineNumber,column:e.endColumn})}return this.stopAll(),!0},e.prototype.onEscape=function(){return this.isFinished?!1:(this.stopAll(),this.editor.setSelections([this.editor.getSelections()[0]]),!0)},e.prototype.doLinkEditing=function(){for(var e=[],t=0,n=this.trackedPlaceHolders[this.currentPlaceHolderIndex].ranges.length;n>t;t++){var o=this.model.getTrackedRange(this.trackedPlaceHolders[this.currentPlaceHolderIndex].ranges[t]);e.push({selectionStartLineNumber:o.startLineNumber,selectionStartColumn:o.startColumn,positionLineNumber:o.endLineNumber,positionColumn:o.endColumn})}this.editor.setSelections(e)},e.prototype.stopAll=function(){var e=this;if(!this.isFinished){this._onStop(),this.isFinished=!0,this.listenersToRemove=d.dispose(this.listenersToRemove);for(var t=0;t<this.trackedPlaceHolders.length;t++)for(var n=this.trackedPlaceHolders[t].ranges,o=0;o<n.length;o++)this.model.removeTrackedRange(n[o]);this.trackedPlaceHolders=[],this.editor.changeDecorations(function(t){var n=[];n.push(e.highlightDecorationId);for(var o=0;o<e.placeHolderDecorations.length;o++)n.push(e.placeHolderDecorations[o]);t.deltaDecorations(n,[]),e.placeHolderDecorations=[],e.highlightDecorationId=null})}},e}();t.getSnippetController=h;var g=function(){function e(e,n){this._editor=e,this._currentController=null,this._inSnippetMode=n.createKey(t.CONTEXT_SNIPPET_MODE,!1)}return e.prototype.dispose=function(){this._currentController&&(this._currentController.dispose(),this._currentController=null)},e.prototype.getId=function(){return e.ID},e.prototype.run=function(e,t,n){var o=this._currentController;this._currentController=null,0===e.placeHolders.length?this._runForAllSelections(e,t,n):this._runForPrimarySelection(e,t,n),this._currentController?o&&o.dispose():this._currentController=o},e._getTypeRangeForSelection=function(e,t,n,o){var i;return i=n||o?e.validateRange(a.Range.plusRange(t,{startLineNumber:t.positionLineNumber,startColumn:t.positionColumn-n,endLineNumber:t.positionLineNumber,endColumn:t.positionColumn+o})):t},e._getAdaptedSnippet=function(e,t,n){return t.bind(e.getLineContent(n.startLineNumber),n.startLineNumber-1,n.startColumn-1,e)},e._addCommandForSnippet=function(e,t,n,o){var i=t.lines.join("\n"),r=e.getValueInRange(n,u.EndOfLinePreference.LF);i!==r&&o.push(s.EditOperation.replaceMove(n,i))},e.prototype._runForPrimarySelection=function(t,n,o){var i=this,r=this._editor.getModel().getAlternativeVersionId(),s=[],a=e._prepareSnippet(this._editor,this._editor.getSelection(),t,n,o);e._addCommandForSnippet(this._editor.getModel(),a.adaptedSnippet,a.typeRange,s),s.length>0&&this._editor.executeEdits("editor.contrib.insertSnippetHelper",s);var u=e._getSnippetCursorOnly(a.adaptedSnippet);u?this._editor.setSelection(l.Selection.createSelection(u.lineNumber,u.column,u.lineNumber,u.column)):a.adaptedSnippet.placeHolders.length>0&&(this._inSnippetMode.set(!0),this._currentController=new f(this._editor,a.adaptedSnippet,a.typeRange.startLineNumber,r,function(){i._inSnippetMode.reset()}))},e.prototype._runForAllSelections=function(t,n,o){
for(var i=this._editor.getSelections(),r=[],s=0;s<i.length;s++){var a=e._prepareSnippet(this._editor,i[s],t,n,o);e._addCommandForSnippet(this._editor.getModel(),a.adaptedSnippet,a.typeRange,r)}r.length>0&&this._editor.executeEdits("editor.contrib.insertSnippetHelper",r)},e._prepareSnippet=function(t,n,o,r,s){var a=t.getModel(),l=e._getTypeRangeForSelection(a,n,r,s);if(1===o.lines.length){var u=a.getLineContent(l.endLineNumber).substr(l.endColumn-1),c=o.lines[0].substr(r),d=i.commonPrefixLength(u,c);d>0&&(l=l.setEndPosition(l.endLineNumber,l.endColumn+d))}var h=e._getAdaptedSnippet(a,o,l);return{typeRange:l,adaptedSnippet:h}},e._getSnippetCursorOnly=function(e){if(1!==e.placeHolders.length)return null;var t=e.placeHolders[0];if(""!==t.value||1!==t.occurences.length)return null;var n=t.occurences[0];return a.Range.isEmpty(n)?{lineNumber:n.startLineNumber,column:n.startColumn}:null},e.prototype.jumpToNextPlaceholder=function(){this._currentController&&this._currentController.onNextPlaceHolder()},e.prototype.jumpToPrevPlaceholder=function(){this._currentController&&this._currentController.onPrevPlaceHolder()},e.prototype.acceptSnippet=function(){this._currentController&&this._currentController.onAccept()},e.prototype.leaveSnippet=function(){this._currentController&&this._currentController.onEscape()},e.ID="editor.contrib.snippetController",e=__decorate([__param(1,r.IKeybindingService)],e)}();t.CONTEXT_SNIPPET_MODE="inSnippetMode";var v=c.CommonEditorRegistry.commandWeight(30);c.CommonEditorRegistry.registerEditorContribution(g),c.CommonEditorRegistry.registerEditorCommand("jumpToNextSnippetPlaceholder",v,{primary:o.KeyCode.Tab},!0,t.CONTEXT_SNIPPET_MODE,function(e,t,n){h(t).jumpToNextPlaceholder()}),c.CommonEditorRegistry.registerEditorCommand("jumpToPrevSnippetPlaceholder",v,{primary:o.KeyMod.Shift|o.KeyCode.Tab},!0,t.CONTEXT_SNIPPET_MODE,function(e,t,n){h(t).jumpToPrevPlaceholder()}),c.CommonEditorRegistry.registerEditorCommand("acceptSnippet",v,{primary:o.KeyCode.Enter},!0,t.CONTEXT_SNIPPET_MODE,function(e,t,n){h(t).acceptSnippet()}),c.CommonEditorRegistry.registerEditorCommand("leaveSnippet",v,{primary:o.KeyCode.Escape,secondary:[o.KeyMod.Shift|o.KeyCode.Escape]},!0,t.CONTEXT_SNIPPET_MODE,function(e,t,n){h(t).leaveSnippet()})});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/contrib/defineKeybinding/browser/defineKeybinding",["require","exports","vs/nls!vs/editor/contrib/defineKeybinding/browser/defineKeybinding","vs/base/common/async","vs/base/common/keyCodes","vs/base/common/lifecycle","vs/base/common/winjs.base","vs/base/browser/dom","vs/base/browser/htmlContentRenderer","vs/base/browser/keyboardEvent","vs/base/browser/styleMutator","vs/platform/keybinding/common/keybindingResolver","vs/platform/keybinding/common/keybindingService","vs/editor/common/core/range","vs/editor/common/editorAction","vs/editor/common/editorActionEnablement","vs/editor/common/editorCommon","vs/editor/common/editorCommonExtensions","vs/editor/browser/editorBrowser","vs/editor/browser/editorBrowserExtensions","vs/editor/contrib/snippet/common/snippet","vs/editor/contrib/defineKeybinding/common/smartSnippetInserter","vs/css!./defineKeybinding"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m,f,g,v,y,_,b,C){"use strict";function w(e){if(e.getConfiguration().readOnly)return!1;var t=e.getModel();if(!t)return!1;var n=t.uri.toString();return M.test(n)}var E=n.localize(0,null),S=n.localize(1,null),x=n.localize(2,null),T=n.localize(3,null),L=n.localize(4,null),M=/keybindings\.json$/,N=function(){function e(e,t){var n=this;this._dec=[],this._editor=e,this._keybindingService=t,this._toDispose=[],this._launchWidget=new I(this._editor,t,function(){return n.launch()}),this._defineWidget=new D(this._editor,t,function(e){return n._onAccepted(e)}),this._toDispose.push(this._editor.onDidChangeConfiguration(function(e){w(n._editor)?n._launchWidget.show():n._launchWidget.hide()})),this._toDispose.push(this._editor.onDidChangeModel(function(e){w(n._editor)?n._launchWidget.show():n._launchWidget.hide(),n._onModel()})),this._updateDecorations=new o.RunOnceScheduler(function(){return n._updateDecorationsNow()},500),this._toDispose.push(this._updateDecorations),this._modelToDispose=[],this._onModel()}return e.get=function(t){return t.getContribution(e.ID)},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this._modelToDispose=r.dispose(this._modelToDispose),this._toDispose=r.dispose(this._toDispose),this._launchWidget.dispose(),this._launchWidget=null,this._defineWidget.dispose(),this._defineWidget=null},e.prototype.launch=function(){w(this._editor)&&this._defineWidget.start()},e.prototype._onAccepted=function(e){var t=["{",'	"key": "'+e+'",','	"command": "{{commandId}}",','	"when": "{{editorTextFocus}}"',"}{{}}"].join("\n"),n=C.SmartSnippetInserter.insertSnippet(this._editor.getModel(),this._editor.getPosition());t=n.prepend+t+n.append,this._editor.setPosition(n.position),b.getSnippetController(this._editor).run(new b.CodeSnippet(t),0,0)},e.prototype._onModel=function(){var e=this;this._modelToDispose=r.dispose(this._modelToDispose);var t=this._editor.getModel();if(t){var n=t.uri.toString();M.test(n)&&(this._modelToDispose.push(t.onDidChangeContent(function(t){return e._updateDecorations.schedule()})),this._modelToDispose.push({dispose:function(){e._dec=e._editor.deltaDecorations(e._dec,[]),e._updateDecorations.cancel()}}),this._updateDecorations.schedule())}},e.prototype._updateDecorationsNow=function(){var e=this,t=this._editor.getModel(),n=i.Keybinding.getUserSettingsKeybindingRegex(),o=t.findMatches(n,!1,!0,!1,!1),r=o.map(function(n){var o=t.getValueInRange(n),r=o.substring(1,o.length-1);r=r.replace(/\\\\/g,"\\");var s=d.IOSupport.readKeybinding(r),a=new i.Keybinding(s);return{strKeybinding:r,keybinding:a,usLabel:a._toUSLabel(),label:e._keybindingService.getLabelFor(a),range:n}});r=r.filter(function(e){return e.usLabel!==e.label});var s=[];r.forEach(function(t){var n,o,i,r;t.label?(n=[{tagName:"span",text:T}],n=n.concat(e._keybindingService.getHTMLLabelFor(t.keybinding)),o="keybindingInfo",i="inlineKeybindingInfo",r="rgba(100, 100, 250, 0.6)"):(n=[{tagName:"span",text:L}],o="keybindingError",i="inlineKeybindingError",r="rgba(250, 100, 100, 0.6)"),s.push({range:new p.Range(t.range.startLineNumber,t.range.startColumn,t.range.startLineNumber,t.range.startColumn+1),options:{stickiness:g.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,inlineClassName:i}}),s.push({range:t.range,options:{stickiness:g.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,className:o,htmlMessage:n,overviewRuler:{color:r,darkColor:r,position:g.OverviewRulerLane.Right}}})}),this._dec=this._editor.deltaDecorations(this._dec,s)},e.ID="editor.contrib.defineKeybinding",e=__decorate([__param(1,h.IKeybindingService)],e)}();t.DefineKeybindingController=N;var I=function(){function e(e,t,n){this._editor=e,this._domNode=document.createElement("div"),this._domNode.className="defineKeybindingLauncher",this._domNode.style.display="none",this._isVisible=!1;var o=t.lookupKeybindings(R.ID),i="";o.length>0&&(i+=" ("+t.getLabelFor(o[0])+")"),this._domNode.appendChild(document.createTextNode(E+i)),this._toDispose=[],this._toDispose.push(a.addDisposableListener(this._domNode,"click",function(e){n()})),this._editor.addOverlayWidget(this)}return e.prototype.dispose=function(){this._editor.removeOverlayWidget(this),this._toDispose=r.dispose(this._toDispose)},e.prototype.show=function(){this._isVisible||(this._domNode.style.display="block",this._isVisible=!0,this._editor.layoutOverlayWidget(this))},e.prototype.hide=function(){this._isVisible&&(this._domNode.style.display="none",this._isVisible=!1,this._editor.layoutOverlayWidget(this))},e.prototype.getId=function(){return e.ID},e.prototype.getDomNode=function(){return this._domNode},e.prototype.getPosition=function(){return{preference:this._isVisible?y.OverlayWidgetPositionPreference.BOTTOM_RIGHT_CORNER:null}},e.ID="editor.contrib.defineKeybindingLauncherWidget",e}(),D=function(){function e(t,n,o){var r=this;this._editor=t,this._keybindingService=n,this._onAccepted=o,this._toDispose=[],this._lastKeybinding=null,this._domNode=document.createElement("div"),this._domNode.className="defineKeybindingWidget",c.StyleMutator.setWidth(this._domNode,e.WIDTH),c.StyleMutator.setHeight(this._domNode,e.HEIGHT),this._domNode.style.display="none",this._isVisible=!1,this._messageNode=document.createElement("div"),this._messageNode.className="message",this._messageNode.innerText=S,this._domNode.appendChild(this._messageNode),this._inputNode=document.createElement("input"),this._inputNode.className="input",this._inputNode.type="text",this._domNode.appendChild(this._inputNode),this._outputNode=document.createElement("div"),this._outputNode.className="output",this._domNode.appendChild(this._outputNode),this._toDispose.push(a.addDisposableListener(this._inputNode,"keydown",function(e){var t=new u.StandardKeyboardEvent(e);t.preventDefault(),t.stopPropagation();var n=new i.Keybinding(t.asKeybinding());switch(n.value){case i.CommonKeybindings.ENTER:return r._lastKeybinding&&r._onAccepted(r._lastKeybinding.toUserSettingsLabel()),void r._stop();case i.CommonKeybindings.ESCAPE:return void r._stop()}r._lastKeybinding=n,r._inputNode.value=r._lastKeybinding.toUserSettingsLabel().toLowerCase(),r._inputNode.title="keyCode: "+t.browserEvent.keyCode,a.clearNode(r._outputNode);var o=r._keybindingService.getHTMLLabelFor(r._lastKeybinding);o.forEach(function(e){return r._outputNode.appendChild(l.renderHtml(e))})})),this._toDispose.push(this._editor.onDidChangeConfiguration(function(e){r._isVisible&&r._layout()})),this._toDispose.push(a.addDisposableListener(this._inputNode,"blur",function(e){return r._stop()})),this._editor.addOverlayWidget(this)}return e.prototype.dispose=function(){this._editor.removeOverlayWidget(this),this._toDispose=r.dispose(this._toDispose)},e.prototype.getId=function(){return e.ID},e.prototype.getDomNode=function(){return this._domNode},e.prototype.getPosition=function(){return{preference:null}},e.prototype._show=function(){this._isVisible||(this._isVisible=!0,this._layout(),this._domNode.style.display="block")},e.prototype._hide=function(){this._isVisible&&(this._isVisible=!1,this._domNode.style.display="none")},e.prototype._layout=function(){var t=this._editor.getLayoutInfo(),n=Math.round((t.height-e.HEIGHT)/2);c.StyleMutator.setTop(this._domNode,n);var o=Math.round((t.width-e.WIDTH)/2);c.StyleMutator.setLeft(this._domNode,o)},e.prototype.start=function(){this._editor.revealPositionInCenterIfOutsideViewport(this._editor.getPosition()),this._show(),this._lastKeybinding=null,this._inputNode.value="",a.clearNode(this._outputNode),this._inputNode.focus()},e.prototype._stop=function(){this._editor.focus(),this._hide()},e.ID="editor.contrib.defineKeybindingWidget",e.WIDTH=340,e.HEIGHT=90,e}(),R=function(e){function t(t,n){e.call(this,t,n,f.Behaviour.WidgetFocus|f.Behaviour.UpdateOnModelChange|f.Behaviour.Writeable)}return __extends(t,e),t.prototype.isSupported=function(){return e.prototype.isSupported.call(this)?w(this.editor):!1},t.prototype.run=function(){var e=N.get(this.editor);return e.launch(),s.TPromise.as(!0)},t.ID="editor.action.defineKeybinding",t}(m.EditorAction);t.DefineKeybindingAction=R,_.EditorBrowserRegistry.registerEditorContribution(N),v.CommonEditorRegistry.registerEditorAction(new v.EditorActionDescriptor(R,R.ID,x,{context:v.ContextKey.EditorFocus,primary:i.KeyMod.chord(i.KeyMod.CtrlCmd|i.KeyCode.KEY_K,i.KeyMod.CtrlCmd|i.KeyCode.KEY_K)},"Define Keybinding"))}),define("vs/editor/contrib/suggest/common/suggest",["require","exports","vs/base/common/async","vs/base/common/arrays","vs/base/common/errors","vs/base/common/winjs.base","vs/editor/common/editorCommonExtensions","vs/editor/common/modes","vs/editor/common/modes/supports"],function(e,t,n,o,i,r,s,a,l){"use strict";function u(e,t,s){s||(s=a.SuggestRegistry.orderedGroups(e));var u=[],c=s.map(function(s,a){return function(){return u.length>0?void 0:r.TPromise.join(s.map(function(r){return n.asWinJsPromise(function(n){return r.provideCompletionItems(e,t,n)}).then(function(e){if(e)for(var t=0,n=e;t<n.length;t++){var i=n[t];i&&!o.isFalsyOrEmpty(i.suggestions)&&u.push({support:r,currentWord:i.currentWord,incomplete:i.incomplete,suggestions:i.suggestions})}},i.onUnexpectedError)}))}});return n.sequence(c).then(function(){var n=l.SnippetsRegistry.getSnippets(e,t);return u.push(n),u})}t.Context={Visible:"suggestWidgetVisible",MultipleSuggestions:"suggestWidgetMultipleSuggestions",AcceptOnKey:"suggestionSupportsAcceptOnKey"},t.provideCompletionItems=u,s.CommonEditorRegistry.registerDefaultLanguageCommand("_executeCompletionItemProvider",function(e,t,n){return u(e,t)})}),define("vs/editor/contrib/suggest/browser/suggestModel",["require","exports","vs/base/common/errors","vs/base/common/event","vs/base/common/lifecycle","vs/base/common/strings","vs/base/common/winjs.base","vs/editor/common/editorCommon","vs/editor/common/modes","vs/editor/contrib/snippet/common/snippet","../common/suggest","./completionModel","vs/editor/common/core/position"],function(e,t,n,o,i,r,s,a,l,u,c,d,h){"use strict";var p,m=function(){function e(e,t){this.auto=t;var n=e.getModel(),o=e.getPosition(),i=n.getLineContent(o.lineNumber),r=n.getWordAtPosition(o);if(r?(this.wordBefore=i.substring(r.startColumn-1,o.column-1),this.wordAfter=i.substring(o.column-1,r.endColumn-1)):(this.wordBefore="",this.wordAfter=""),this.lineNumber=o.lineNumber,this.column=o.column,this.lineContentBefore=i.substr(0,o.column-1),this.lineContentAfter=i.substr(o.column-1),this.isInEditableRange=!0,n.hasEditableRange()){var s=n.getEditableRange();s.containsPosition(o)||(this.isInEditableRange=!1)}var a=l.SuggestRegistry.all(n);this.isAutoTriggerEnabled=a.some(function(e){return e.shouldAutotriggerSuggest})}return e.prototype.shouldAutoTrigger=function(){return this.isAutoTriggerEnabled?0===this.wordBefore.length?!1:isNaN(Number(this.wordBefore))?!(this.wordAfter.length>0):!1:!1},e.prototype.isDifferentContext=function(e){return this.lineNumber!==e.lineNumber?!0:e.column<this.column-this.wordBefore.length?!0:r.startsWith(e.lineContentBefore,this.lineContentBefore)&&this.lineContentAfter===e.lineContentAfter?""===e.wordBefore&&e.lineContentBefore!==this.lineContentBefore:!0},e.prototype.shouldRetrigger=function(e){return r.startsWith(this.lineContentBefore,e.lineContentBefore)&&this.lineContentAfter===e.lineContentAfter?this.lineContentBefore.length>e.lineContentBefore.length&&0===this.wordBefore.length?!1:!this.auto||0!==e.wordBefore.length:!1},e}();!function(e){e[e.Idle=0]="Idle",e[e.Manual=1]="Manual",e[e.Auto=2]="Auto"}(p||(p={}));var f=function(){function e(e){var t=this;this.editor=e,this._onDidCancel=new o.Emitter,this._onDidTrigger=new o.Emitter,this._onDidSuggest=new o.Emitter,this._onDidAccept=new o.Emitter,this.state=p.Idle,this.triggerAutoSuggestPromise=null,this.requestPromise=null,this.raw=null,this.completionModel=null,this.incomplete=!1,this.context=null,this.toDispose=[],this.toDispose.push(this.editor.onDidChangeConfiguration(function(){return t.onEditorConfigurationChange()})),this.toDispose.push(this.editor.onDidChangeCursorSelection(function(e){return t.onCursorChange(e)})),this.toDispose.push(this.editor.onDidChangeModel(function(){return t.cancel()})),this.toDispose.push(l.SuggestRegistry.onDidChange(this.onSuggestRegistryChange,this)),this.onEditorConfigurationChange()}return Object.defineProperty(e.prototype,"onDidCancel",{get:function(){return this._onDidCancel.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onDidTrigger",{get:function(){return this._onDidTrigger.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onDidSuggest",{get:function(){return this._onDidSuggest.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onDidAccept",{get:function(){return this._onDidAccept.event},enumerable:!0,configurable:!0}),e.prototype.cancel=function(e,t){void 0===e&&(e=!1),void 0===t&&(t=!1);var n=this.state!==p.Idle;return this.triggerAutoSuggestPromise&&(this.triggerAutoSuggestPromise.cancel(),this.triggerAutoSuggestPromise=null),this.requestPromise&&(this.requestPromise.cancel(),this.requestPromise=null),this.state=p.Idle,this.raw=null,this.completionModel=null,this.incomplete=!1,this.context=null,e||this._onDidCancel.fire({retrigger:t}),n},e.prototype.getRequestPosition=function(){return this.context?new h.Position(this.context.lineNumber,this.context.column):null},e.prototype.isAutoSuggest=function(){return this.state===p.Auto},e.prototype.onCursorChange=function(e){var t=this;if(!e.selection.isEmpty())return void this.cancel();if("keyboard"!==e.source||e.reason!==a.CursorChangeReason.NotSet)return void this.cancel();if(l.SuggestRegistry.has(this.editor.getModel())){var n=this.state===p.Idle;if(!n||this.editor.getConfiguration().contribInfo.quickSuggestions){var o=new m(this.editor,!1);n?(this.cancel(),o.shouldAutoTrigger()&&(this.triggerAutoSuggestPromise=s.TPromise.timeout(this.autoSuggestDelay),this.triggerAutoSuggestPromise.then(function(){t.triggerAutoSuggestPromise=null,t.trigger(!0)}))):this.raw&&this.incomplete?this.trigger(this.state===p.Auto,void 0,!0):this.onNewContext(o)}}},e.prototype.onSuggestRegistryChange=function(){return this.state!==p.Idle?l.SuggestRegistry.has(this.editor.getModel())?void this.trigger(this.state===p.Auto,void 0,!0):void this.cancel():void 0},e.prototype.trigger=function(e,t,o,i){var r=this;void 0===o&&(o=!1);var s=this.editor.getModel(),a=!!t;if(i=i||l.SuggestRegistry.orderedGroups(s),0!==i.length){var u=new m(this.editor,e);if(u.isInEditableRange){this.cancel(!1,o),this.state=e||a?p.Auto:p.Manual,this._onDidTrigger.fire({auto:this.isAutoSuggest(),characterTriggered:a,retrigger:o}),this.context=u;var d=this.editor.getPosition();this.requestPromise=c.provideCompletionItems(s,d,i).then(function(t){r.requestPromise=null,r.state!==p.Idle&&(r.raw=t,r.incomplete=t.some(function(e){return e.incomplete}),r.onNewContext(new m(r.editor,e)))}).then(null,n.onUnexpectedError)}}},e.prototype.onNewContext=function(e){if(this.context&&this.context.isDifferentContext(e))return void(this.context.shouldRetrigger(e)?this.trigger(this.state===p.Auto,void 0,!0):this.cancel());if(this.raw){var t=this.isAutoSuggest(),n=!1;if(this.completionModel&&this.completionModel.raw===this.raw){var o=this.completionModel.lineContext;this.completionModel.lineContext={leadingLineContent:e.lineContentBefore,characterCountDelta:this.context?e.column-this.context.column:0},t||0!==this.completionModel.items.length||(this.completionModel.lineContext=o,n=!0)}else this.completionModel=new d.CompletionModel(this.raw,e.lineContentBefore);this._onDidSuggest.fire({completionModel:this.completionModel,currentWord:e.wordBefore,isFrozen:n,auto:this.isAutoSuggest()})}},e.prototype.accept=function(e,t,n){return null===this.raw?!1:(this._onDidAccept.fire({snippet:new u.CodeSnippet(e.codeSnippet),overwriteBefore:t+(this.editor.getPosition().column-this.context.column),overwriteAfter:n}),this.cancel(),!0)},e.prototype.onEditorConfigurationChange=function(){this.autoSuggestDelay=this.editor.getConfiguration().contribInfo.quickSuggestionsDelay,(isNaN(this.autoSuggestDelay)||!this.autoSuggestDelay&&0!==this.autoSuggestDelay||this.autoSuggestDelay<0)&&(this.autoSuggestDelay=10)},e.prototype.dispose=function(){this.cancel(!0),this.toDispose=i.dispose(this.toDispose)},e}();t.SuggestModel=f});var __decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/contrib/suggest/browser/suggestWidget",["require","exports","vs/nls!vs/editor/contrib/suggest/browser/suggestWidget","vs/base/common/strings","vs/base/common/winjs.base","vs/base/common/errors","vs/base/common/lifecycle","vs/base/browser/dom","vs/base/browser/ui/highlightedlabel/highlightedLabel","vs/base/browser/ui/list/listWidget","vs/base/browser/ui/scrollbar/scrollableElement","vs/platform/instantiation/common/instantiation","vs/platform/keybinding/common/keybindingService","vs/platform/telemetry/common/telemetry","vs/editor/browser/editorBrowser","../common/suggest","vs/base/browser/ui/aria/aria","vs/css!./suggest"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m,f,g){"use strict";function v(e,t,n){for(var o=e.toLowerCase(),i=0,r=0;r<t.length&&r<e.length;r++)if(t[r]===e[r])i+=2;else{if(n[r]!==o[r])break;i+=1}return i}var y,_=function(){function e(e,t,n){this.widget=e,this.editor=t;var o=n.lookupKeybindings("editor.action.triggerSuggest");this.triggerKeybindingLabel=0===o.length?"":" ("+n.getLabelFor(o[0])+")"}return Object.defineProperty(e.prototype,"templateId",{get:function(){return"suggestion"},enumerable:!0,configurable:!0}),e.prototype.renderTemplate=function(e){var t=this,o=Object.create(null);o.disposables=[],o.root=e,o.icon=a.append(e,a.emmet(".icon")),o.colorspan=a.append(o.icon,a.emmet("span.colorspan"));var i=a.append(e,a.emmet(".text")),r=a.append(i,a.emmet(".main"));o.highlightedLabel=new l.HighlightedLabel(r),o.disposables.push(o.highlightedLabel),o.typeLabel=a.append(r,a.emmet("span.type-label"));var s=a.append(i,a.emmet(".docs"));o.documentation=a.append(s,a.emmet("span.docs-text")),o.documentationDetails=a.append(s,a.emmet("span.docs-details.octicon.octicon-info")),o.documentationDetails.title=n.localize(0,null,this.triggerKeybindingLabel);var u=function(){var e=t.editor.getConfiguration().fontInfo;r.style.fontFamily=e.fontFamily};return u(),o.disposables.push(this.editor.onDidChangeConfiguration(function(e){e.fontInfo&&u()})),o},e.prototype.renderElement=function(e,t,o){var i=this,r=o,s=e.suggestion;s.documentationLabel?r.root.setAttribute("aria-label",n.localize(1,null,s.label)):r.root.setAttribute("aria-label",n.localize(2,null,s.label)),"customcolor"===s.type?(r.icon.className="icon customcolor",r.colorspan.style.backgroundColor=s.label):(r.icon.className="icon "+s.type,r.colorspan.style.backgroundColor=""),r.highlightedLabel.set(s.label,e.highlights),r.typeLabel.textContent=s.typeLabel||"",r.documentation.textContent=s.documentationLabel||"",s.documentationLabel?(a.show(r.documentationDetails),r.documentationDetails.onmousedown=function(e){e.stopPropagation(),e.preventDefault()},r.documentationDetails.onclick=function(e){e.stopPropagation(),e.preventDefault(),i.widget.toggleDetails()}):(a.hide(r.documentationDetails),r.documentationDetails.onmousedown=null,r.documentationDetails.onclick=null)},e.prototype.disposeTemplate=function(e){e.highlightedLabel.dispose(),e.disposables=s.dispose(e.disposables)},e=__decorate([__param(2,h.IKeybindingService)],e)}(),b=35,C=19,w=function(){function e(e){this.listProvider=e}return e.prototype.getHeight=function(e){var t=this.listProvider().getFocus()[0];return e.suggestion.documentationLabel&&e===t?b:C},e.prototype.getTemplateId=function(e){return"suggestion"},e}();!function(e){e[e.Hidden=0]="Hidden",e[e.Loading=1]="Loading",e[e.Empty=2]="Empty",e[e.Open=3]="Open",e[e.Frozen=4]="Frozen",e[e.Details=5]="Details"}(y||(y={}));var E=function(){function e(e,t,o){var i=this;this.widget=t,this.editor=o,this.disposables=[],this.el=a.append(e,a.emmet(".details")),this.disposables.push(s.toDisposable(function(){return e.removeChild(i.el)}));var r=a.append(this.el,a.emmet(".header"));this.title=a.append(r,a.emmet("span.title")),this.back=a.append(r,a.emmet("span.go-back.octicon.octicon-mail-reply")),this.back.title=n.localize(3,null),this.body=a.emmet(".body"),this.scrollbar=new c.DomScrollableElement(this.body,{canUseTranslate3d:!1}),a.append(this.el,this.scrollbar.getDomNode()),this.disposables.push(this.scrollbar),this.type=a.append(this.body,a.emmet("p.type")),this.docs=a.append(this.body,a.emmet("p.docs")),this.ariaLabel=null,this.configureFont(),this.disposables.push(this.editor.onDidChangeConfiguration(function(e){e.fontInfo&&i.configureFont()}))}return Object.defineProperty(e.prototype,"element",{get:function(){return this.el},enumerable:!0,configurable:!0}),e.prototype.render=function(e){var t=this;return e?(this.title.innerText=e.suggestion.label,this.type.innerText=e.suggestion.typeLabel||"",this.docs.innerText=e.suggestion.documentationLabel,this.back.onmousedown=function(e){e.preventDefault(),e.stopPropagation()},this.back.onclick=function(e){e.preventDefault(),e.stopPropagation(),t.widget.toggleDetails()},this.scrollbar.scanDomNode(),void(this.ariaLabel=o.format("{0}\n{1}\n{2}",e.suggestion.label||"",e.suggestion.typeLabel||"",e.suggestion.documentationLabel||""))):(this.title.textContent="",this.type.textContent="",this.docs.textContent="",void(this.ariaLabel=null))},e.prototype.getAriaLabel=function(){return this.ariaLabel},e.prototype.scrollDown=function(e){void 0===e&&(e=8),this.body.scrollTop+=e},e.prototype.scrollUp=function(e){void 0===e&&(e=8),this.body.scrollTop-=e},e.prototype.pageDown=function(){this.scrollDown(80)},e.prototype.pageUp=function(){this.scrollUp(80)},e.prototype.configureFont=function(){var e=this.editor.getConfiguration().fontInfo;this.title.style.fontFamily=e.fontFamily,this.type.style.fontFamily=e.fontFamily},e.prototype.dispose=function(){this.disposables=s.dispose(this.disposables)},e}(),S=function(){function e(t,n,o,i,r){var s=this;this.editor=t,this.model=n,this.allowEditorOverflow=!0,this.isAuto=!1,this.focusedItem=null,this.telemetryData=null,this.telemetryService=i,this.element=a.emmet(".editor-widget.suggest-widget.monaco-editor-background"),this.element.style.width=e.WIDTH+"px",this.element.style.top="0",this.element.style.left="0",this.editor.getConfiguration().contribInfo.iconsInSuggestions||a.addClass(this.element,"no-icons"),this.messageElement=a.append(this.element,a.emmet(".message")),this.listElement=a.append(this.element,a.emmet(".tree")),this.details=new E(this.element,this,this.editor);var l=r.createInstance(_,this,this.editor);this.delegate=new w(function(){return s.list}),this.list=new u.List(this.listElement,this.delegate,[l]),this.toDispose=[t.onDidBlurEditorText(function(){return s.onEditorBlur()}),this.list.onSelectionChange(function(e){return s.onListSelection(e)}),this.list.onFocusChange(function(e){return s.onListFocus(e)}),this.editor.onDidChangeCursorSelection(function(){return s.onCursorSelectionChanged()}),this.model.onDidTrigger(function(e){return s.onDidTrigger(e)}),this.model.onDidSuggest(function(e){return s.onDidSuggest(e)}),this.model.onDidCancel(function(e){return s.onDidCancel(e)})],this.suggestWidgetVisible=o.createKey(f.Context.Visible,!1),this.suggestWidgetMultipleSuggestions=o.createKey(f.Context.MultipleSuggestions,!1),this.suggestionSupportsAutoAccept=o.createKey(f.Context.AcceptOnKey,!0),this.editor.addContentWidget(this),this.setState(y.Hidden)}return e.prototype.onCursorSelectionChanged=function(){this.state!==y.Hidden&&this.editor.layoutContentWidget(this)},e.prototype.onEditorBlur=function(){var e=this;this.editorBlurTimeout=i.TPromise.timeout(150).then(function(){e.editor.isFocused()||e.setState(y.Hidden)})},e.prototype.onListSelection=function(e){if(e.elements.length){this.telemetryData.selectedIndex=0,this.telemetryData.wasCancelled=!1,this.telemetryData.selectedIndex=e.indexes[0],this.submitTelemetryData();var t=e.elements[0],o=t.container,i="undefined"==typeof t.suggestion.overwriteBefore?o.currentWord.length:t.suggestion.overwriteBefore,r="undefined"==typeof t.suggestion.overwriteAfter?0:Math.max(0,t.suggestion.overwriteAfter);this.model.accept(t.suggestion,i,r),g.alert(n.localize(6,null,t.suggestion.label)),this.editor.focus()}},e.prototype._getSuggestionAriaAlertLabel=function(e){return e.suggestion.documentationLabel?n.localize(7,null,e.suggestion.label):n.localize(8,null,e.suggestion.label)},e.prototype._ariaAlert=function(e){this._lastAriaAlertLabel!==e&&(this._lastAriaAlertLabel=e,this._lastAriaAlertLabel&&g.alert(this._lastAriaAlertLabel))},e.prototype.onListFocus=function(e){var t=this;if(!e.elements.length)return this.currentSuggestionDetails&&(this.currentSuggestionDetails.cancel(),this.currentSuggestionDetails=null,this.focusedItem=null),void this._ariaAlert(null);var n=e.elements[0];if(this._ariaAlert(this._getSuggestionAriaAlertLabel(n)),n!==this.focusedItem){this.currentSuggestionDetails&&(this.currentSuggestionDetails.cancel(),this.currentSuggestionDetails=null);var o=e.indexes[0];this.suggestionSupportsAutoAccept.set(!n.suggestion.noAutoAccept),this.focusedItem=n,this.updateWidgetHeight(),this.list.reveal(o);var i=this.model.getRequestPosition()||this.editor.getPosition();this.currentSuggestionDetails=n.resolveDetails(this.editor.getModel(),i).then(function(e){n.updateDetails(e),t.list.setFocus(o),t.updateWidgetHeight(),t.list.reveal(o),t._ariaAlert(t._getSuggestionAriaAlertLabel(n))}).then(null,function(e){return!r.isPromiseCanceledError(e)&&r.onUnexpectedError(e)}).then(function(){return t.currentSuggestionDetails=null})}},e.prototype.setState=function(t){var n=this.state!==t;switch(this.state=t,a.toggleClass(this.element,"frozen",t===y.Frozen),t){case y.Hidden:a.hide(this.messageElement,this.details.element),a.show(this.listElement),this.hide(),n&&this.list.splice(0,this.list.length);break;case y.Loading:this.messageElement.innerText=e.LOADING_MESSAGE,a.hide(this.listElement,this.details.element),a.show(this.messageElement),this.show();break;case y.Empty:this.messageElement.innerText=e.NO_SUGGESTIONS_MESSAGE,a.hide(this.listElement,this.details.element),a.show(this.messageElement),this.show();break;case y.Open:a.hide(this.messageElement,this.details.element),a.show(this.listElement),this.show();break;case y.Frozen:a.hide(this.messageElement,this.details.element),a.show(this.listElement),this.show();break;case y.Details:a.hide(this.messageElement,this.listElement),a.show(this.details.element),this.show(),this._ariaAlert(this.details.getAriaLabel())}n&&this.editor.layoutContentWidget(this)},e.prototype.onDidTrigger=function(e){var t=this;this.state===y.Hidden&&(this.telemetryTimer=this.telemetryService.timedPublicLog("suggestWidgetLoadingTime"),this.isAuto=!!e.auto,this.isAuto||(this.loadingTimeout=setTimeout(function(){t.loadingTimeout=null,t.setState(y.Loading)},50)),e.retrigger||(this.telemetryData={wasAutomaticallyTriggered:e.characterTriggered}))},e.prototype.onDidSuggest=function(e){if(this.loadingTimeout&&(clearTimeout(this.loadingTimeout),this.loadingTimeout=null),this.completionModel=e.completionModel,e.isFrozen&&this.state!==y.Empty)return void this.setState(y.Frozen);var t=this.completionModel.items.length,n=0===t;if(this.suggestWidgetMultipleSuggestions.set(t>1),n)e.auto?this.setState(y.Hidden):this.setState(y.Empty),this.completionModel=null;else{var o=e.currentWord,i=o.toLowerCase(),r=-1,s=-1;this.completionModel.items.forEach(function(e,t){var n=v(e.suggestion.label,o,i);n>s&&(s=n,r=t)}),this.telemetryData=this.telemetryData||{},this.telemetryData.suggestionCount=this.completionModel.items.length,this.telemetryData.suggestedIndex=r,this.telemetryData.hintLength=o.length,(a=this.list).splice.apply(a,[0,this.list.length].concat(this.completionModel.items)),this.list.setFocus(r),
this.list.reveal(r,0),this.setState(y.Open)}this.telemetryTimer&&(this.telemetryTimer.data={reason:n?"empty":"results"},this.telemetryTimer.stop(),this.telemetryTimer=null);var a},e.prototype.onDidCancel=function(e){this.loadingTimeout&&(clearTimeout(this.loadingTimeout),this.loadingTimeout=null),e.retrigger||(this.setState(y.Hidden),this.telemetryData&&(this.telemetryData.selectedIndex=-1,this.telemetryData.wasCancelled=!0,this.submitTelemetryData())),this.telemetryTimer&&(this.telemetryTimer.data={reason:"cancel"},this.telemetryTimer.stop(),this.telemetryTimer=null)},e.prototype.selectNextPage=function(){switch(this.state){case y.Hidden:return!1;case y.Details:return this.details.pageDown(),!0;case y.Loading:return!this.isAuto;default:return this.list.focusNextPage(),!0}},e.prototype.selectNext=function(){switch(this.state){case y.Hidden:return!1;case y.Details:return this.details.scrollDown(),!0;case y.Loading:return!this.isAuto;default:return this.list.focusNext(1,!0),!0}},e.prototype.selectPreviousPage=function(){switch(this.state){case y.Hidden:return!1;case y.Details:return this.details.pageUp(),!0;case y.Loading:return!this.isAuto;default:return this.list.focusPreviousPage(),!0}},e.prototype.selectPrevious=function(){switch(this.state){case y.Hidden:return!1;case y.Details:return this.details.scrollUp(),!0;case y.Loading:return!this.isAuto;default:return this.list.focusPrevious(1,!0),!1}},e.prototype.acceptSelectedSuggestion=function(){switch(this.state){case y.Hidden:return!1;case y.Empty:return!1;case y.Loading:return!this.isAuto;default:var e=this.list.getFocus()[0];return e?this.list.setSelection(this.completionModel.items.indexOf(e)):this.model.cancel(),!0}},e.prototype.toggleDetails=function(){if(this.state===y.Details)return this.setState(y.Open),void this.editor.focus();if(this.state===y.Open){var e=this.list.getFocus()[0];e&&e.suggestion.documentationLabel&&(this.setState(y.Details),this.editor.focus())}},e.prototype.show=function(){var e=this;this.updateWidgetHeight(),this.suggestWidgetVisible.set(!0),this.renderDetails(),this.showTimeout=i.TPromise.timeout(100).then(function(){a.addClass(e.element,"visible")})},e.prototype.hide=function(){this.suggestWidgetVisible.reset(),a.removeClass(this.element,"visible")},e.prototype.cancel=function(){this.state===y.Details?this.toggleDetails():this.model.cancel()},e.prototype.getPosition=function(){return this.state===y.Hidden?null:{position:this.editor.getPosition(),preference:[m.ContentWidgetPositionPreference.BELOW,m.ContentWidgetPositionPreference.ABOVE]}},e.prototype.getDomNode=function(){return this.element},e.prototype.getId=function(){return e.ID},e.prototype.submitTelemetryData=function(){this.telemetryService.publicLog("suggestWidget",this.telemetryData),this.telemetryData=null},e.prototype.updateWidgetHeight=function(){var e=0;if(this.state===y.Empty||this.state===y.Loading)e=C;else if(this.state===y.Details)e=12*C;else{var t=this.list.getFocus()[0],n=t?this.delegate.getHeight(t):C;e=n;var o=(this.list.contentHeight-n)/C;e+=Math.min(o,11)*C}return this.element.style.height=e+"px",this.list.layout(e),this.editor.layoutContentWidget(this),e},e.prototype.renderDetails=function(){this.state!==y.Details?this.details.render(null):this.details.render(this.list.getFocus()[0])},e.prototype.dispose=function(){this.state=null,this.suggestionSupportsAutoAccept=null,this.currentSuggestionDetails=null,this.focusedItem=null,this.telemetryData=null,this.telemetryService=null,this.telemetryTimer=null,this.element=null,this.messageElement=null,this.listElement=null,this.details.dispose(),this.details=null,this.list.dispose(),this.list=null,this.toDispose=s.dispose(this.toDispose),this.loadingTimeout&&(clearTimeout(this.loadingTimeout),this.loadingTimeout=null),this.editorBlurTimeout&&(this.editorBlurTimeout.cancel(),this.editorBlurTimeout=null),this.showTimeout&&(this.showTimeout.cancel(),this.showTimeout=null)},e.ID="editor.widget.suggestWidget",e.WIDTH=438,e.LOADING_MESSAGE=n.localize(4,null),e.NO_SUGGESTIONS_MESSAGE=n.localize(5,null),e=__decorate([__param(2,h.IKeybindingService),__param(3,p.ITelemetryService),__param(4,d.IInstantiationService)],e)}();t.SuggestWidget=S});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/contrib/suggest/browser/suggest",["require","exports","vs/nls!vs/editor/contrib/suggest/browser/suggest","vs/base/common/errors","vs/base/common/keyCodes","vs/base/common/lifecycle","vs/base/common/winjs.base","vs/platform/instantiation/common/instantiation","vs/platform/keybinding/common/keybindingService","vs/editor/common/editorAction","vs/editor/common/editorCommon","vs/editor/common/editorCommonExtensions","vs/editor/common/modes","vs/editor/browser/editorBrowserExtensions","vs/editor/contrib/snippet/common/snippet","vs/editor/contrib/suggest/common/suggest","vs/platform/keybinding/common/keybindingsRegistry","vs/editor/common/config/config","./suggestModel","./suggestWidget"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m,f,g,v,y,_){"use strict";function b(e,t){return function(n){return v.withCodeEditorFromCommandHandler(e,n,function(e){t(C.getController(e))})}}var C=function(){function e(e,t){var n=this;this.editor=e,this.model=new y.SuggestModel(this.editor),this.widget=t.createInstance(_.SuggestWidget,this.editor,this.model),this.triggerCharacterListeners=[],this.toDispose=[],this.toDispose.push(e.onDidChangeConfiguration(function(){return n.update()})),this.toDispose.push(e.onDidChangeModel(function(){return n.update()})),this.toDispose.push(e.onDidChangeModelMode(function(){return n.update()})),this.toDispose.push(h.SuggestRegistry.onDidChange(this.update,this)),this.toDispose.push(this.model.onDidAccept(function(e){return m.getSnippetController(n.editor).run(e.snippet,e.overwriteBefore,e.overwriteAfter)})),this.update()}return e.getController=function(t){return t.getContribution(e.ID)},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this.toDispose=r.dispose(this.toDispose),this.triggerCharacterListeners=r.dispose(this.triggerCharacterListeners),this.widget&&(this.widget.dispose(),this.widget=null),this.model&&(this.model.dispose(),this.model=null)},e.prototype.update=function(){var e=this;if(this.triggerCharacterListeners=r.dispose(this.triggerCharacterListeners),!this.editor.getConfiguration().readOnly&&this.editor.getModel()&&this.editor.getConfiguration().contribInfo.suggestOnTriggerCharacters){var t=h.SuggestRegistry.orderedGroups(this.editor.getModel());if(0!==t.length){var n=Object.create(null);t.forEach(function(e){var t=Object.create(null);e.forEach(function(e){var o=e.triggerCharacters;if(o)for(var i=0,r=o;i<r.length;i++){var s=r[i],a=t[s];a?a.push(e):(a=[e],t[s]=a,n[s]?n[s].push(a):n[s]=[a])}})}),Object.keys(n).forEach(function(t){e.triggerCharacterListeners.push(e.editor.addTypingListener(t,function(){e.triggerCharacterHandler(t,n[t])}))})}}},e.prototype.triggerCharacterHandler=function(e,t){t=t.map(function(e){return e.filter(function(e){return e.shouldAutotriggerSuggest})}),t.length>0&&this.triggerSuggest(e,t).done(null,o.onUnexpectedError)},e.prototype.triggerSuggest=function(e,t){return this.model.trigger(!1,e,!1,t),this.editor.focus(),s.TPromise.as(!1)},e.prototype.acceptSelectedSuggestion=function(){this.widget&&this.widget.acceptSelectedSuggestion()},e.prototype.cancelSuggestWidget=function(){this.widget&&this.widget.cancel()},e.prototype.selectNextSuggestion=function(){this.widget&&this.widget.selectNext()},e.prototype.selectNextPageSuggestion=function(){this.widget&&this.widget.selectNextPage()},e.prototype.selectPrevSuggestion=function(){this.widget&&this.widget.selectPrevious()},e.prototype.selectPrevPageSuggestion=function(){this.widget&&this.widget.selectPreviousPage()},e.prototype.toggleSuggestionDetails=function(){this.widget&&this.widget.toggleDetails()},e.ID="editor.contrib.suggestController",e=__decorate([__param(1,a.IInstantiationService)],e)}();t.SuggestController=C;var w=function(e){function t(t,n){e.call(this,t,n)}return __extends(t,e),t.prototype.isSupported=function(){return h.SuggestRegistry.has(this.editor.getModel())&&!this.editor.getConfiguration().readOnly},t.prototype.run=function(){return C.getController(this.editor).triggerSuggest()},t.ID="editor.action.triggerSuggest",t}(u.EditorAction);t.TriggerSuggestAction=w,d.CommonEditorRegistry.registerEditorAction(new d.EditorActionDescriptor(w,w.ID,n.localize(0,null),{context:d.ContextKey.EditorTextFocus,primary:i.KeyMod.CtrlCmd|i.KeyCode.Space,mac:{primary:i.KeyMod.WinCtrl|i.KeyCode.Space}},"Trigger Suggest"));var E=d.CommonEditorRegistry.commandWeight(90);g.KeybindingsRegistry.registerCommandDesc({id:"acceptSelectedSuggestion",handler:b("acceptSelectedSuggestion",function(e){return e.acceptSelectedSuggestion()}),weight:E,when:l.KbExpr.and(l.KbExpr.has(c.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS),l.KbExpr.has(f.Context.Visible)),primary:i.KeyCode.Tab}),g.KeybindingsRegistry.registerCommandDesc({id:"acceptSelectedSuggestionOnEnter",handler:b("acceptSelectedSuggestionOnEnter",function(e){return e.acceptSelectedSuggestion()}),weight:E,when:l.KbExpr.and(l.KbExpr.has(c.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS),l.KbExpr.has(f.Context.Visible),l.KbExpr.has("config.editor.acceptSuggestionOnEnter")),primary:i.KeyCode.Enter}),g.KeybindingsRegistry.registerCommandDesc({id:"hideSuggestWidget",handler:b("hideSuggestWidget",function(e){return e.cancelSuggestWidget()}),weight:E,when:l.KbExpr.and(l.KbExpr.has(c.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS),l.KbExpr.has(f.Context.Visible)),primary:i.KeyCode.Escape,secondary:[i.KeyMod.Shift|i.KeyCode.Escape]}),g.KeybindingsRegistry.registerCommandDesc({id:"selectNextSuggestion",handler:b("selectNextSuggestion",function(e){return e.selectNextSuggestion()}),weight:E,when:l.KbExpr.and(l.KbExpr.has(c.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS),l.KbExpr.has(f.Context.Visible),l.KbExpr.has(f.Context.MultipleSuggestions)),primary:i.KeyCode.DownArrow,secondary:[i.KeyMod.Alt|i.KeyCode.DownArrow]}),g.KeybindingsRegistry.registerCommandDesc({id:"selectNextPageSuggestion",handler:b("selectNextPageSuggestion",function(e){return e.selectNextPageSuggestion()}),weight:E,when:l.KbExpr.and(l.KbExpr.has(c.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS),l.KbExpr.has(f.Context.Visible),l.KbExpr.has(f.Context.MultipleSuggestions)),primary:i.KeyCode.PageDown,secondary:[i.KeyMod.Alt|i.KeyCode.PageDown]}),g.KeybindingsRegistry.registerCommandDesc({id:"selectPrevSuggestion",handler:b("selectPrevSuggestion",function(e){return e.selectPrevSuggestion()}),weight:E,when:l.KbExpr.and(l.KbExpr.has(c.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS),l.KbExpr.has(f.Context.Visible),l.KbExpr.has(f.Context.MultipleSuggestions)),primary:i.KeyCode.UpArrow,secondary:[i.KeyMod.Alt|i.KeyCode.UpArrow]}),g.KeybindingsRegistry.registerCommandDesc({id:"selectPrevPageSuggestion",handler:b("selectPrevPageSuggestion",function(e){return e.selectPrevPageSuggestion()}),weight:E,when:l.KbExpr.and(l.KbExpr.has(c.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS),l.KbExpr.has(f.Context.Visible),l.KbExpr.has(f.Context.MultipleSuggestions)),primary:i.KeyCode.PageUp,secondary:[i.KeyMod.Alt|i.KeyCode.PageUp]}),g.KeybindingsRegistry.registerCommandDesc({id:"toggleSuggestionDetails",handler:b("toggleSuggestionDetails",function(e){return e.toggleSuggestionDetails()}),weight:E,when:l.KbExpr.and(l.KbExpr.has(c.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS),l.KbExpr.has(f.Context.Visible)),primary:i.KeyMod.CtrlCmd|i.KeyCode.Space,mac:{primary:i.KeyMod.WinCtrl|i.KeyCode.Space}}),p.EditorBrowserRegistry.registerEditorContribution(C)});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/contrib/toggleTabFocusMode/common/toggleTabFocusMode",["require","exports","vs/nls!vs/editor/contrib/toggleTabFocusMode/common/toggleTabFocusMode","vs/base/common/keyCodes","vs/base/common/winjs.base","vs/editor/common/editorAction","vs/editor/common/editorActionEnablement","vs/editor/common/editorCommonExtensions"],function(e,t,n,o,i,r,s,a){"use strict";var l=function(e){function t(t,n){e.call(this,t,n,s.Behaviour.TextFocus)}return __extends(t,e),t.prototype.run=function(){return this.editor.getConfiguration().tabFocusMode?this.editor.updateOptions({tabFocusMode:!1}):this.editor.updateOptions({tabFocusMode:!0}),i.TPromise.as(!0)},t.ID="editor.action.toggleTabFocusMode",t}(r.EditorAction);t.ToggleTabFocusModeAction=l,a.CommonEditorRegistry.registerEditorAction(new a.EditorActionDescriptor(l,l.ID,n.localize(0,null),{context:a.ContextKey.EditorTextFocus,primary:o.KeyMod.CtrlCmd|o.KeyCode.KEY_M,mac:{primary:o.KeyMod.WinCtrl|o.KeyMod.Shift|o.KeyCode.KEY_M}},"Toggle Use of Tab Key for Setting Focus"))});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/contrib/accessibility/browser/accessibility",["require","exports","vs/nls!vs/editor/contrib/accessibility/browser/accessibility","vs/base/common/keyCodes","vs/base/common/lifecycle","vs/base/common/strings","vs/base/common/winjs.base","vs/base/browser/dom","vs/base/browser/htmlContentRenderer","vs/base/browser/styleMutator","vs/base/browser/ui/widget","vs/platform/keybinding/common/keybindingService","vs/platform/keybinding/common/keybindingsRegistry","vs/editor/common/config/commonEditorConfig","vs/editor/common/editorAction","vs/editor/common/editorActionEnablement","vs/editor/common/editorCommon","vs/editor/common/editorCommonExtensions","vs/editor/browser/editorBrowserExtensions","vs/editor/contrib/toggleTabFocusMode/common/toggleTabFocusMode","vs/css!./accessibility"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m,f,g,v,y,_){"use strict";var b=n.localize(0,null),C="accessibilityHelpWidgetVisible",w="toggleExperimentalScreenReaderSupport",E=function(e){function t(t,n){e.call(this),this._editor=t,this._widget=this._register(new S(this._editor,n))}return __extends(t,e),t.get=function(e){return e.getContribution(t.ID)},t.prototype.getId=function(){return t.ID},t.prototype.show=function(){this._widget.show()},t.prototype.hide=function(){this._widget.hide()},t.ID="editor.contrib.accessibilityHelpController",t=__decorate([__param(1,d.IKeybindingService)],t)}(i.Disposable),S=function(e){function t(n,o){var i=this;e.call(this),this._editor=n,this._keybindingService=o,this._isVisibleKey=o.createKey(C,!1),this._domNode=document.createElement("div"),this._domNode.className="accessibilityHelpWidget",u.StyleMutator.setWidth(this._domNode,t.WIDTH),u.StyleMutator.setHeight(this._domNode,t.HEIGHT),this._domNode.style.display="none",this._domNode.setAttribute("role","tooltip"),this._domNode.setAttribute("aria-hidden","true"),this._isVisible=!1,this._register(this._editor.onDidLayoutChange(function(){i._isVisible&&i._layout()})),this.onblur(this._domNode,function(){i.hide()}),this._editor.addOverlayWidget(this)}return __extends(t,e),t.prototype.dispose=function(){this._editor.removeOverlayWidget(this),e.prototype.dispose.call(this)},t.prototype.getId=function(){return t.ID},t.prototype.getDomNode=function(){return this._domNode},t.prototype.getPosition=function(){return{preference:null}},t.prototype.show=function(){this._isVisible||(this._isVisible=!0,this._isVisibleKey.set(!0),this._layout(),this._domNode.style.display="block",this._domNode.setAttribute("aria-hidden","false"),this._domNode.tabIndex=0,this._buildContent(),this._domNode.focus())},t.prototype._descriptionForCommand=function(e,t,n){var o=this._keybindingService.lookupKeybindings(e);return o.length>0?r.format(t,this._keybindingService.getAriaLabelFor(o[0])):r.format(n,e)},t.prototype._buildContent=function(){var e=this._editor.getConfiguration(),t=n.localize(1,null);t+="\n\n"+n.localize(2,null);var o=n.localize(3,null),i=n.localize(4,null),r=n.localize(5,null),s=n.localize(6,null);t+=e.tabFocusMode?"\n\n - "+this._descriptionForCommand(_.ToggleTabFocusModeAction.ID,o,i):"\n\n - "+this._descriptionForCommand(_.ToggleTabFocusModeAction.ID,r,s),t+="\n\n"+n.localize(7,null),this._domNode.appendChild(l.renderHtml({formattedText:t}))},t.prototype.hide=function(){this._isVisible&&(this._isVisible=!1,this._isVisibleKey.reset(),this._domNode.style.display="none",this._domNode.setAttribute("aria-hidden","true"),this._domNode.tabIndex=-1,a.clearNode(this._domNode),this._editor.focus())},t.prototype._layout=function(){var e=this._editor.getLayoutInfo(),n=Math.round((e.height-t.HEIGHT)/2);u.StyleMutator.setTop(this._domNode,n);var o=Math.round((e.width-t.WIDTH)/2);u.StyleMutator.setLeft(this._domNode,o)},t.ID="editor.contrib.accessibilityHelpWidget",t.WIDTH=500,t.HEIGHT=300,t}(c.Widget),x=function(e){function t(t,n){e.call(this,t,n,f.Behaviour.WidgetFocus)}return __extends(t,e),t.prototype.run=function(){var e=E.get(this.editor);return e.show(),s.TPromise.as(!0)},t}(m.EditorAction);y.EditorBrowserRegistry.registerEditorContribution(E),v.CommonEditorRegistry.registerEditorAction(new v.EditorActionDescriptor(x,g.SHOW_ACCESSIBILITY_HELP_ACTION_ID,b,{context:v.ContextKey.EditorFocus,primary:o.KeyMod.Alt|o.KeyCode.F1},"Show Accessibility Help")),v.CommonEditorRegistry.registerEditorCommand("closeAccessibilityHelp",v.CommonEditorRegistry.commandWeight(100),{primary:o.KeyCode.Escape,secondary:[o.KeyMod.Shift|o.KeyCode.Escape]},!1,C,function(e,t,n){E.get(t).hide()}),h.KeybindingsRegistry.registerCommandDesc({id:w,handler:function(e){var t=p.GlobalScreenReaderNVDA.getValue();p.GlobalScreenReaderNVDA.setValue(!t)},weight:h.KeybindingsRegistry.WEIGHT.workbenchContrib(),when:null,primary:o.KeyMod.CtrlCmd|o.KeyMod.Shift|o.KeyCode.KEY_R})});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/contrib/toggleWordWrap/common/toggleWordWrap",["require","exports","vs/nls!vs/editor/contrib/toggleWordWrap/common/toggleWordWrap","vs/base/common/keyCodes","vs/base/common/winjs.base","vs/editor/common/editorAction","vs/editor/common/editorActionEnablement","vs/editor/common/editorCommonExtensions"],function(e,t,n,o,i,r,s,a){"use strict";var l=function(e){function t(t,n){e.call(this,t,n,s.Behaviour.TextFocus)}return __extends(t,e),t.prototype.run=function(){var e,t=this.editor.getConfiguration().wrappingInfo;return e=t.isViewportWrapping?-1:0,this.editor.updateOptions({wrappingColumn:e}),i.TPromise.as(!0)},t.ID="editor.action.toggleWordWrap",t}(r.EditorAction);a.CommonEditorRegistry.registerEditorAction(new a.EditorActionDescriptor(l,l.ID,n.localize(0,null),{context:a.ContextKey.EditorTextFocus,primary:o.KeyMod.Alt|o.KeyCode.KEY_Z,mac:{primary:o.KeyMod.Alt|o.KeyCode.KEY_Z},linux:{primary:o.KeyMod.Alt|o.KeyCode.KEY_Z}},"View: Toggle Word Wrap"))}),define("vs/editor/contrib/wordHighlighter/common/wordHighlighter",["require","exports","vs/base/common/async","vs/base/common/errors","vs/editor/common/core/range","vs/editor/common/editorCommon","vs/editor/common/editorCommonExtensions","vs/editor/common/modes","vs/base/common/lifecycle"],function(e,t,n,o,i,r,s,a,l){"use strict";function u(e,t){var i=a.DocumentHighlightProviderRegistry.ordered(e),r=!1;return n.sequence(i.map(function(i){return function(){return r?void 0:n.asWinJsPromise(function(n){return i.provideDocumentHighlights(e,t,n)}).then(function(e){return Array.isArray(e)&&e.length>0?(r=!0,e):void 0},function(e){o.onUnexpectedError(e)})}})).then(function(e){return e[0]})}t.getOccurrencesAtPosition=u,s.CommonEditorRegistry.registerDefaultLanguageCommand("_executeDocumentHighlights",u);var c=function(){function e(e){var t=this;this.workerRequestTokenId=0,this.workerRequest=null,this.workerRequestCompleted=!1,this.workerRequestValue=[],this.lastCursorPositionChangeTime=0,this.renderDecorationsTimer=-1,this.editor=e,this.model=this.editor.getModel(),this.toUnhook=[],this.toUnhook.push(e.onDidChangeCursorPosition(function(e){t._onPositionChanged(e)})),this.toUnhook.push(e.onDidChangeModel(function(e){t._stopAll(),t.model=t.editor.getModel()})),this.toUnhook.push(e.onDidChangeModelContent(function(e){t._stopAll()})),this._lastWordRange=null,this._decorationIds=[],this.workerRequestTokenId=0,this.workerRequest=null,this.workerRequestCompleted=!1,this.lastCursorPositionChangeTime=0,this.renderDecorationsTimer=-1}return e.prototype._removeDecorations=function(){this._decorationIds.length>0&&(this._decorationIds=this.editor.deltaDecorations(this._decorationIds,[]))},e.prototype._stopAll=function(){this._lastWordRange=null,this._removeDecorations(),-1!==this.renderDecorationsTimer&&(window.clearTimeout(this.renderDecorationsTimer),this.renderDecorationsTimer=-1),null!==this.workerRequest&&(this.workerRequest.cancel(),this.workerRequest=null),this.workerRequestCompleted||(this.workerRequestTokenId++,this.workerRequestCompleted=!0)},e.prototype._onPositionChanged=function(e){var t=this;if(e.reason!==r.CursorChangeReason.Explicit)return void this._stopAll();if(!a.DocumentHighlightProviderRegistry.has(this.model))return void this._stopAll();var n=this.editor.getSelection();if(n.startLineNumber!==n.endLineNumber)return void this._stopAll();var o=n.startLineNumber,s=n.startColumn,l=n.endColumn,c=this.model.getWordAtPosition({lineNumber:o,column:s});if(!c||c.startColumn>s||c.endColumn<l)return void this._stopAll();for(var d=new i.Range(o,c.startColumn,o,c.endColumn),h=this._lastWordRange&&this._lastWordRange.equalsRange(d),p=0,m=this._decorationIds.length;!h&&m>p;p++){var f=this.model.getDecorationRange(this._decorationIds[p]);f&&f.startLineNumber===o&&f.startColumn<=s&&f.endColumn>=l&&(h=!0)}if(this.lastCursorPositionChangeTime=(new Date).getTime(),h)this.workerRequestCompleted&&-1!==this.renderDecorationsTimer&&(window.clearTimeout(this.renderDecorationsTimer),this.renderDecorationsTimer=-1,this._beginRenderDecorations());else{this._stopAll();var g=++this.workerRequestTokenId;this.workerRequestCompleted=!1,this.workerRequest=u(this.model,this.editor.getPosition()),this.workerRequest.then(function(e){g===t.workerRequestTokenId&&(t.workerRequestCompleted=!0,t.workerRequestValue=e||[],t._beginRenderDecorations())}).done()}this._lastWordRange=d},e.prototype._beginRenderDecorations=function(){var e=this,t=(new Date).getTime(),n=this.lastCursorPositionChangeTime+250;t>=n?(this.renderDecorationsTimer=-1,this.renderDecorations()):this.renderDecorationsTimer=window.setTimeout(function(){e.renderDecorations()},n-t)},e.prototype.renderDecorations=function(){this.renderDecorationsTimer=-1;for(var e=[],t=0,n=this.workerRequestValue.length;n>t;t++){var o=this.workerRequestValue[t],i="#A0A0A0",s=void 0;s=o.kind===a.DocumentHighlightKind.Write?"wordHighlightStrong":o.kind===a.DocumentHighlightKind.Text?"selectionHighlight":"wordHighlight",e.push({range:o.range,options:{stickiness:r.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,className:s,overviewRuler:{color:i,darkColor:i,position:r.OverviewRulerLane.Center}}})}this._decorationIds=this.editor.deltaDecorations(this._decorationIds,e)},e.prototype.destroy=function(){this._stopAll(),this.toUnhook=l.dispose(this.toUnhook)},e}(),d=function(){function e(e){this.wordHighligher=new c(e)}return e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this.wordHighligher.destroy()},e.ID="editor.contrib.wordHighlighter",e}();s.CommonEditorRegistry.registerEditorContribution(d)}),define("vs/languages/css/common/css.contribution",["require","exports","vs/nls!vs/languages/css/common/css.contribution","vs/platform/platform","vs/editor/common/modes/modesRegistry","vs/platform/configuration/common/configurationRegistry","vs/languages/css/common/services/lintRules","vs/editor/common/core/range","vs/editor/common/editorCommonExtensions","vs/editor/common/commands/replaceCommand","vs/css!vs/languages/css/common/css-hover"],function(e,t,n,o,i,r,s,a,l,u){"use strict";i.ModesRegistry.registerCompatMode({id:"css",extensions:[".css"],aliases:["CSS","css"],mimetypes:["text/css"],moduleId:"vs/languages/css/common/css",ctorName:"CSSMode"});var c=o.Registry.as(r.Extensions.Configuration);c.registerConfiguration({id:"css",order:20,title:n.localize(0,null),allOf:[{title:n.localize(1,null),properties:s.getConfigurationProperties("css")}]}),l.CommonEditorRegistry.registerEditorCommand("_css.replaceText",-1,{primary:void 0},!0,void 0,function(e,t,n){var o=n.range,i=n.newText;t.executeCommand("_css.replaceText",new u.ReplaceCommandWithoutChangingPosition(a.Range.lift(o),i))})}),define("vs/languages/languages.main",["require","exports","vs/languages/css/common/css.contribution","vs/languages/handlebars/common/handlebars.contribution","vs/languages/html/common/html.contribution","vs/languages/markdown/common/markdown.contribution","vs/languages/razor/common/razor.contribution","vs/languages/less/common/less.contribution","vs/languages/sass/common/sass.contribution"],function(e,t){"use strict"}),define("vs/platform/request/common/baseRequestService",["require","exports","vs/base/common/uri","vs/base/common/winjs.base","vs/base/common/strings","vs/base/common/timer","vs/base/common/async","vs/base/common/objects","vs/platform/request/common/request","vs/platform/telemetry/common/telemetry"],function(e,t,n,o,i,r,s,a,l,u){"use strict";var c=function(){function e(e,t){void 0===t&&(t=u.NullTelemetryService),this.serviceId=l.IRequestService;var n=null,o=e.getWorkspace();this._serviceMap=o||Object.create(null),this._telemetryService=t,o&&(n=i.rtrim(o.resource.toString(),"/")+"/"),this.computeOrigin(n)}return e.prototype.computeOrigin=function(e){if(e){this._origin=e;var t=n["default"].parse(this._origin).path;t&&t.length>0&&(this._origin=this._origin.substring(0,this._origin.length-t.length+1)),i.endsWith(this._origin,"/")||(this._origin+="/")}else this._origin="/"},e.prototype.makeCrossOriginRequest=function(e){return null},e.prototype.makeRequest=function(e){var t=r.nullEvent,n=!1,l=e.url;if(!l)throw new Error("IRequestService.makeRequest: Url is required");if((i.startsWith(l,"http://")||i.startsWith(l,"https://"))&&this._origin&&!i.startsWith(l,this._origin)){var u=this.makeCrossOriginRequest(e);if(u)return u;n=!0}var c=e,d=o.TPromise.as(void 0);return n||(c=this._telemetryService.getTelemetryInfo().then(function(e){var t={};t["X-TelemetrySession"]=e.sessionId,t["X-Requested-With"]="XMLHttpRequest",c.headers=a.mixin(c.headers,t)})),e.timeout&&(c.customRequestInitializer=function(t){t.timeout=e.timeout}),d.then(function(){return s.always(o.xhr(c),function(e){t.data&&(t.data.status=e.status),t.stop()})})},e}();t.BaseRequestService=c});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/standalone/simpleServices",["require","exports","vs/base/common/errors","vs/base/common/eventEmitter","vs/base/common/network","vs/base/common/severity","vs/base/common/winjs.base","vs/platform/configuration/common/configurationService","vs/platform/editor/common/editor","vs/platform/extensions/common/abstractExtensionService","vs/platform/keybinding/browser/keybindingServiceImpl","vs/platform/keybinding/common/keybindingResolver","vs/platform/message/common/message","vs/platform/request/common/baseRequestService","vs/editor/common/editorCommon"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m){"use strict";var f=function(){function e(e){this._widget=e}return e.prototype.getId=function(){return"editor"},e.prototype.getControl=function(){return this._widget},e.prototype.getSelection=function(){return this._widget.getSelection()},e.prototype.focus=function(){this._widget.focus()},e.prototype.withTypedEditor=function(e,t){return this._widget.getEditorType()===m.EditorType.ICodeEditor?e(this._widget):t(this._widget)},e}();t.SimpleEditor=f;var g=function(e){function t(t){e.call(this),this.model=t}return __extends(t,e),Object.defineProperty(t.prototype,"textEditorModel",{get:function(){return this.model},enumerable:!0,configurable:!0}),t}(o.EventEmitter);t.SimpleModel=g;var v=function(){function e(){this.serviceId=l.IEditorService,this.openEditorDelegate=null}return e.prototype.setEditor=function(e){this.editor=new f(e)},e.prototype.setOpenEditorDelegate=function(e){this.openEditorDelegate=e},e.prototype.openEditor=function(e,t){var n=this;return s.TPromise.as(this.editor.withTypedEditor(function(t){return n.doOpenEditor(t,e)},function(t){return n.doOpenEditor(t.getOriginalEditor(),e)||n.doOpenEditor(t.getModifiedEditor(),e)}))},e.prototype.doOpenEditor=function(e,t){var n=this.findModel(e,t);if(!n){if(t.resource){if(this.openEditorDelegate)return this.openEditorDelegate(t.resource.toString()),null;var o=t.resource.scheme;if(o===i.Schemas.http||o===i.Schemas.https)return window.open(t.resource.toString()),this.editor}return null}var r=t.options.selection;if(r)if("number"==typeof r.endLineNumber&&"number"==typeof r.endColumn)e.setSelection(r),e.revealRangeInCenter(r);else{var s={lineNumber:r.startLineNumber,column:r.startColumn};e.setPosition(s),e.revealPositionInCenter(s)}return this.editor},e.prototype.findModel=function(e,t){var n=e.getModel();return n.uri.toString()!==t.resource.toString()?null:n},e.prototype.resolveEditorModel=function(e,t){var n,o=this;return n=this.editor.withTypedEditor(function(t){return o.findModel(t,e)},function(t){return o.findModel(t.getOriginalEditor(),e)||o.findModel(t.getModifiedEditor(),e)}),n?s.TPromise.as(new g(n)):s.TPromise.as(null)},e}();t.SimpleEditorService=v;var y=function(){function e(){this.serviceId=h.IMessageService}return e.prototype.show=function(t,o){switch(t){case r["default"].Error:console.error(n.toErrorMessage(o,!0));break;case r["default"].Warning:console.warn(o);break;default:console.log(o)}return e.Empty},e.prototype.hideAll=function(){},e.prototype.confirm=function(e){var t=e.message;return e.detail&&(t=t+"\n\n"+e.detail),window.confirm(t)},e.Empty=function(){},e}();t.SimpleMessageService=y;var _=function(e){function t(t,n){e.call(this,t,n)}return __extends(t,e),t}(p.BaseRequestService);t.SimpleEditorRequestService=_;var b=function(e){function t(t,n,o){e.call(this,t,n),this._dynamicKeybindings=[],this._dynamicCommands=Object.create(null),this._beginListening(o)}return __extends(t,e),t.prototype.addDynamicKeybinding=function(e,n,o,i){void 0===i&&(i=null),null===i&&(i="DYNAMIC_"+ ++t.LAST_GENERATED_ID);var r=d.IOSupport.readKeybindingWhen(o);return this._dynamicKeybindings.push({keybinding:e,command:i,when:r,weight1:1e3,weight2:0}),this._dynamicCommands[i]=n,this.updateResolver(),i},t.prototype._getExtraKeybindings=function(e){return this._dynamicKeybindings},t.prototype._getCommandHandler=function(t){return e.prototype._getCommandHandler.call(this,t)||this._dynamicCommands[t]},t.LAST_GENERATED_ID=0,t}(c.KeybindingService);
t.StandaloneKeybindingService=b;var C=function(e){function t(){e.call(this,!0)}return __extends(t,e),t.prototype._showMessage=function(e,t){switch(e){case r["default"].Error:console.error(t);break;case r["default"].Warning:console.warn(t);break;case r["default"].Info:console.info(t);break;default:console.log(t)}},t.prototype._createFailedExtension=function(){throw new Error("unexpected")},t.prototype._actualActivateExtension=function(e){throw new Error("unexpected")},t}(u.AbstractExtensionService);t.SimpleExtensionService=C;var w=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),t.prototype.resolveContents=function(e){return s.TPromise.as(e.map(function(e){return{resource:e,value:""}}))},t.prototype.resolveContent=function(e){return s.TPromise.as({resource:e,value:""})},t.prototype.resolveStat=function(e){return s.TPromise.as({resource:e,isDirectory:!1})},t.prototype.setUserConfiguration=function(e,t){return s.TPromise.as(null)},t}(a.ConfigurationService);t.SimpleConfigurationService=w}),define("vs/platform/theme/common/themes",["require","exports"],function(e,t){"use strict";function n(e){return/vs($| )/.test(e)}function o(e){return e.split(" ")[1]}function i(e){return e.split(" ")[0]}t.isLightTheme=n,t.getSyntaxThemeId=o,t.getBaseThemeId=i});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/viewParts/overviewRuler/decorationsOverviewRuler",["require","exports","vs/platform/theme/common/themes","vs/editor/common/editorCommon","vs/editor/browser/view/viewPart","vs/editor/browser/viewParts/overviewRuler/overviewRulerImpl"],function(e,t,n,o,i,r){"use strict";var s=function(e){function t(o,i,s){e.call(this,o),this._overviewRuler=new r.OverviewRulerImpl(1,"decorationsOverviewRuler",i,this._context.configuration.editor.lineHeight,this._context.configuration.editor.viewInfo.canUseTranslate3d,t.DECORATION_HEIGHT,t.DECORATION_HEIGHT,s),this._overviewRuler.setLanesCount(this._context.configuration.editor.viewInfo.overviewRulerLanes,!1);var a=this._context.configuration.editor.viewInfo.theme;this._overviewRuler.setUseDarkColor(!n.isLightTheme(a),!1),this._shouldUpdateDecorations=!0,this._zonesFromDecorations=[],this._shouldUpdateCursorPosition=!0,this._hideCursor=this._context.configuration.editor.viewInfo.hideCursorInOverviewRuler,this._zonesFromCursors=[],this._cursorPositions=[]}return __extends(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this),this._overviewRuler.dispose()},t.prototype.onCursorPositionChanged=function(e){return this._shouldUpdateCursorPosition=!0,this._cursorPositions=[e.position],this._cursorPositions=this._cursorPositions.concat(e.secondaryPositions),!0},t.prototype.onConfigurationChanged=function(e){var t=this._overviewRuler.getLanesCount(),o=this._context.configuration.editor.viewInfo.overviewRulerLanes,i=!1;if(e.lineHeight&&(this._overviewRuler.setLineHeight(this._context.configuration.editor.lineHeight,!1),i=!0),e.viewInfo.canUseTranslate3d&&(this._overviewRuler.setCanUseTranslate3d(this._context.configuration.editor.viewInfo.canUseTranslate3d,!1),i=!0),t!==o&&(this._overviewRuler.setLanesCount(o,!1),i=!0),e.viewInfo.hideCursorInOverviewRuler&&(this._hideCursor=this._context.configuration.editor.viewInfo.hideCursorInOverviewRuler,this._shouldUpdateCursorPosition=!0,i=!0),e.viewInfo.theme){var r=this._context.configuration.editor.viewInfo.theme;this._overviewRuler.setUseDarkColor(!n.isLightTheme(r),!1),i=!0}return i},t.prototype.onLayoutChanged=function(e){return this._overviewRuler.setLayout(e.overviewRuler,!1),!0},t.prototype.onZonesChanged=function(){return!0},t.prototype.onModelFlushed=function(){return this._shouldUpdateCursorPosition=!0,this._shouldUpdateDecorations=!0,!0},t.prototype.onModelDecorationsChanged=function(e){return this._shouldUpdateDecorations=!0,!0},t.prototype.onScrollChanged=function(t){return this._overviewRuler.setScrollHeight(t.scrollHeight,!1),e.prototype.onScrollChanged.call(this,t)||t.scrollHeightChanged},t.prototype.getDomNode=function(){return this._overviewRuler.getDomNode()},t.prototype._createZonesFromDecorations=function(){for(var e=this._context.model.getAllDecorations(),t=[],n=0,i=e.length;i>n;n++){var r=e[n];r.options.overviewRuler.color&&t.push(new o.OverviewRulerZone(r.range.startLineNumber,r.range.endLineNumber,r.options.overviewRuler.position,0,r.options.overviewRuler.color,r.options.overviewRuler.darkColor))}return t},t.prototype._createZonesFromCursors=function(){for(var e=[],n=0,i=this._cursorPositions.length;i>n;n++){var r=this._cursorPositions[n];e.push(new o.OverviewRulerZone(r.lineNumber,r.lineNumber,o.OverviewRulerLane.Full,2,t._CURSOR_COLOR,t._CURSOR_COLOR_DARK))}return e},t.prototype.prepareRender=function(e){if(!this.shouldRender())throw new Error("I did not ask to render!")},t.prototype.render=function(e){if(this._shouldUpdateDecorations||this._shouldUpdateCursorPosition){this._shouldUpdateDecorations&&(this._shouldUpdateDecorations=!1,this._zonesFromDecorations=this._createZonesFromDecorations()),this._shouldUpdateCursorPosition&&(this._shouldUpdateCursorPosition=!1,this._hideCursor?this._zonesFromCursors=[]:this._zonesFromCursors=this._createZonesFromCursors());var t=[];t=t.concat(this._zonesFromCursors),t=t.concat(this._zonesFromDecorations),this._overviewRuler.setZones(t,!1)}var n=this._overviewRuler.render(!1);if(n&&r.OverviewRulerImpl.hasCanvas&&this._overviewRuler.getLanesCount()>0&&(this._zonesFromDecorations.length>0||this._zonesFromCursors.length>0)){var o=this._overviewRuler.getDomNode().getContext("2d");o.beginPath(),o.lineWidth=1,o.strokeStyle="rgba(197,197,197,0.8)",o.moveTo(0,0),o.lineTo(0,this._overviewRuler.getPixelHeight()),o.stroke(),o.moveTo(0,0),o.lineTo(this._overviewRuler.getPixelWidth(),0),o.stroke()}},t.DECORATION_HEIGHT=6,t._CURSOR_COLOR="rgba(0, 0, 102, 0.8)",t._CURSOR_COLOR_DARK="rgba(152, 152, 152, 0.8)",t}(i.ViewPart);t.DecorationsOverviewRuler=s});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/browser/view/viewImpl",["require","exports","vs/base/common/errors","vs/base/common/eventEmitter","vs/base/common/lifecycle","vs/base/common/timer","vs/base/browser/browser","vs/base/browser/dom","vs/base/browser/styleMutator","vs/editor/common/core/range","vs/editor/common/editorCommon","vs/editor/common/viewModel/viewEventHandler","vs/editor/browser/controller/keyboardHandler","vs/editor/browser/controller/pointerHandler","vs/editor/browser/editorBrowser","vs/editor/browser/view/viewController","vs/editor/browser/view/viewEventDispatcher","vs/editor/browser/view/viewOverlays","vs/editor/browser/viewLayout/layoutProvider","vs/editor/browser/viewParts/contentWidgets/contentWidgets","vs/editor/browser/viewParts/currentLineHighlight/currentLineHighlight","vs/editor/browser/viewParts/decorations/decorations","vs/editor/browser/viewParts/glyphMargin/glyphMargin","vs/editor/browser/viewParts/lineNumbers/lineNumbers","vs/editor/browser/viewParts/lines/viewLines","vs/editor/browser/viewParts/linesDecorations/linesDecorations","vs/editor/browser/viewParts/overlayWidgets/overlayWidgets","vs/editor/browser/viewParts/overviewRuler/decorationsOverviewRuler","vs/editor/browser/viewParts/overviewRuler/overviewRuler","vs/editor/browser/viewParts/rulers/rulers","vs/editor/browser/viewParts/scrollDecoration/scrollDecoration","vs/editor/browser/viewParts/selections/selections","vs/editor/browser/viewParts/viewCursors/viewCursors","vs/editor/browser/viewParts/viewZones/viewZones","vs/editor/common/view/viewContext"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m,f,g,v,y,_,b,C,w,E,S,x,T,L,M,N,I,D,R,O,k){"use strict";function P(e){try{return e()}catch(t){n.onUnexpectedError(t)}}function A(e,t){try{return e(t)}catch(o){n.onUnexpectedError(o)}}var W=function(e){function t(t,n,i,r){var s=this;e.call(this),this._isDisposed=!1,this._renderAnimationFrame=null,this.outgoingEventBus=new o.EventEmitter;var a=new f.ViewController(i,r,this.outgoingEventBus,t);this.listenersToRemove=[],this.listenersToDispose=[],this.eventDispatcher=new g.ViewEventDispatcher(function(e){return s._renderOnce(e)}),this.linesContent=document.createElement("div"),this.linesContent.className=m.ClassNames.LINES_CONTENT+" monaco-editor-background",this.domNode=document.createElement("div"),this.domNode.className=n.editor.viewInfo.editorClassName,this.overflowGuardContainer=document.createElement("div"),this.overflowGuardContainer.className=m.ClassNames.OVERFLOW_GUARD,this.layoutProvider=new y.LayoutProvider(n,i,this.eventDispatcher,this.linesContent,this.domNode,this.overflowGuardContainer),this.eventDispatcher.addEventHandler(this.layoutProvider),this._context=new k.ViewContext(n,i,this.eventDispatcher,function(e){return s.eventDispatcher.addEventHandler(e)},function(e){return s.eventDispatcher.removeEventHandler(e)}),this.createTextArea(t),this.createViewParts(),this.keyboardHandler=new h.KeyboardHandler(this._context,a,this.createKeyboardHandlerHelper()),this.pointerHandler=new p.PointerHandler(this._context,a,this.createPointerHandlerHelper()),this.hasFocus=!1,this.codeEditorHelper=null,this.eventDispatcher.addEventHandler(this),this.handleAccumulatedModelEventsTimeout=-1,this.accumulatedModelEvents=[],this.listenersToRemove.push(i.addBulkListener2(function(e){s.accumulatedModelEvents=s.accumulatedModelEvents.concat(e),-1===s.handleAccumulatedModelEventsTimeout&&(s.handleAccumulatedModelEventsTimeout=setTimeout(function(){s.handleAccumulatedModelEventsTimeout=-1,s._flushAnyAccumulatedEvents()}))}))}return __extends(t,e),t.prototype._flushAnyAccumulatedEvents=function(){var e=this.accumulatedModelEvents;this.accumulatedModelEvents=[],e.length>0&&this.eventDispatcher.emitMany(e)},t.prototype.createTextArea=function(e){var t=this;this.textArea=document.createElement("textarea"),this._keybindingService=e.createScoped(this.textArea),this._editorTextFocusContextKey=this._keybindingService.createKey(c.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS,void 0),this.textArea.className=m.ClassNames.TEXTAREA,this.textArea.setAttribute("wrap","off"),this.textArea.setAttribute("autocorrect","off"),this.textArea.setAttribute("autocapitalize","off"),this.textArea.setAttribute("spellcheck","false"),this.textArea.setAttribute("aria-label",this._context.configuration.editor.viewInfo.ariaLabel),this.textArea.setAttribute("role","textbox"),this.textArea.setAttribute("aria-multiline","true"),this.textArea.setAttribute("aria-haspopup","false"),this.textArea.setAttribute("aria-autocomplete","both"),l.StyleMutator.setTop(this.textArea,0),l.StyleMutator.setLeft(this.textArea,0),this.listenersToDispose.push(a.addDisposableListener(this.textArea,"focus",function(){return t._setHasFocus(!0)})),this.listenersToDispose.push(a.addDisposableListener(this.textArea,"blur",function(){return t._setHasFocus(!1)})),this.textAreaCover=document.createElement("div"),this._context.configuration.editor.viewInfo.glyphMargin?this.textAreaCover.className="monaco-editor-background "+m.ClassNames.GLYPH_MARGIN+" "+m.ClassNames.TEXTAREA_COVER:this._context.configuration.editor.viewInfo.lineNumbers?this.textAreaCover.className="monaco-editor-background "+m.ClassNames.LINE_NUMBERS+" "+m.ClassNames.TEXTAREA_COVER:this.textAreaCover.className="monaco-editor-background "+m.ClassNames.TEXTAREA_COVER,this.textAreaCover.style.position="absolute",l.StyleMutator.setWidth(this.textAreaCover,1),l.StyleMutator.setHeight(this.textAreaCover,1),l.StyleMutator.setTop(this.textAreaCover,0),l.StyleMutator.setLeft(this.textAreaCover,0)},t.prototype.createViewParts=function(){var e=this;this.viewParts=[],this.viewLines=new S.ViewLines(this._context,this.layoutProvider),this.viewZones=new O.ViewZones(this._context,this.layoutProvider),this.viewParts.push(this.viewZones);var t=new L.DecorationsOverviewRuler(this._context,this.layoutProvider.getScrollHeight(),function(t){return e.layoutProvider.getVerticalOffsetForLineNumber(t)});this.viewParts.push(t);var n=new I.ScrollDecorationViewPart(this._context);this.viewParts.push(n);var o=new v.ContentViewOverlays(this._context,this.layoutProvider);this.viewParts.push(o),o.addDynamicOverlay(new b.CurrentLineHighlightOverlay(this._context,this.layoutProvider)),o.addDynamicOverlay(new D.SelectionsOverlay(this._context)),o.addDynamicOverlay(new C.DecorationsOverlay(this._context));var i=new v.MarginViewOverlays(this._context,this.layoutProvider);this.viewParts.push(i),i.addDynamicOverlay(new w.GlyphMarginOverlay(this._context)),i.addDynamicOverlay(new x.LinesDecorationsOverlay(this._context)),i.addDynamicOverlay(new E.LineNumbersOverlay(this._context)),this.contentWidgets=new _.ViewContentWidgets(this._context,this.domNode),this.viewParts.push(this.contentWidgets);var r=new R.ViewCursors(this._context);this.viewParts.push(r),this.overlayWidgets=new T.ViewOverlayWidgets(this._context),this.viewParts.push(this.overlayWidgets);var s=new N.Rulers(this._context,this.layoutProvider);if(this.viewParts.push(s),this.linesContentContainer=this.layoutProvider.getScrollbarContainerDomNode(),this.linesContentContainer.style.position="absolute",t){var a=this.layoutProvider.getOverviewRulerInsertData();a.parent.insertBefore(t.getDomNode(),a.insertBefore)}this.linesContent.appendChild(o.getDomNode()),this.linesContent.appendChild(s.domNode),this.linesContent.appendChild(this.viewZones.domNode),this.linesContent.appendChild(this.viewLines.getDomNode()),this.linesContent.appendChild(this.contentWidgets.domNode),this.linesContent.appendChild(r.getDomNode()),this.overflowGuardContainer.appendChild(i.getDomNode()),this.overflowGuardContainer.appendChild(this.linesContentContainer),this.overflowGuardContainer.appendChild(n.getDomNode()),this.overflowGuardContainer.appendChild(this.overlayWidgets.domNode),this.overflowGuardContainer.appendChild(this.textArea),this.overflowGuardContainer.appendChild(this.textAreaCover),this.domNode.appendChild(this.overflowGuardContainer),this.domNode.appendChild(this.contentWidgets.overflowingContentWidgetsDomNode)},t.prototype._flushAccumulatedAndRenderNow=function(){this._flushAnyAccumulatedEvents(),this._renderNow()},t.prototype.createPointerHandlerHelper=function(){var e=this;return{viewDomNode:this.domNode,linesContentDomNode:this.linesContent,focusTextArea:function(){if(e._isDisposed)throw new Error("ViewImpl.pointerHandler.focusTextArea: View is disposed");e.focus()},isDirty:function(){return e.accumulatedModelEvents.length>0},getScrollLeft:function(){if(e._isDisposed)throw new Error("ViewImpl.pointerHandler.getScrollLeft: View is disposed");return e.layoutProvider.getScrollLeft()},getScrollTop:function(){if(e._isDisposed)throw new Error("ViewImpl.pointerHandler.getScrollTop: View is disposed");return e.layoutProvider.getScrollTop()},setScrollPosition:function(t){if(e._isDisposed)throw new Error("ViewImpl.pointerHandler.setScrollPosition: View is disposed");e.layoutProvider.setScrollPosition(t)},isAfterLines:function(t){if(e._isDisposed)throw new Error("ViewImpl.pointerHandler.isAfterLines: View is disposed");return e.layoutProvider.isAfterLines(t)},getLineNumberAtVerticalOffset:function(t){if(e._isDisposed)throw new Error("ViewImpl.pointerHandler.getLineNumberAtVerticalOffset: View is disposed");return e.layoutProvider.getLineNumberAtVerticalOffset(t)},getVerticalOffsetForLineNumber:function(t){if(e._isDisposed)throw new Error("ViewImpl.pointerHandler.getVerticalOffsetForLineNumber: View is disposed");return e.layoutProvider.getVerticalOffsetForLineNumber(t)},getWhitespaceAtVerticalOffset:function(t){if(e._isDisposed)throw new Error("ViewImpl.pointerHandler.getWhitespaceAtVerticalOffset: View is disposed");return e.layoutProvider.getWhitespaceAtVerticalOffset(t)},shouldSuppressMouseDownOnViewZone:function(t){if(e._isDisposed)throw new Error("ViewImpl.pointerHandler.shouldSuppressMouseDownOnViewZone: View is disposed");return e.viewZones.shouldSuppressMouseDownOnViewZone(t)},getPositionFromDOMInfo:function(t,n){if(e._isDisposed)throw new Error("ViewImpl.pointerHandler.getPositionFromDOMInfo: View is disposed");return e._flushAccumulatedAndRenderNow(),e.viewLines.getPositionFromDOMInfo(t,n)},visibleRangeForPosition2:function(t,n){if(e._isDisposed)throw new Error("ViewImpl.pointerHandler.visibleRangeForPosition2: View is disposed");e._flushAccumulatedAndRenderNow();var o=e.viewLines.visibleRangesForRange2(new u.Range(t,n,t,n),0);return o?o[0]:null},getLineWidth:function(t){if(e._isDisposed)throw new Error("ViewImpl.pointerHandler.getLineWidth: View is disposed");return e._flushAccumulatedAndRenderNow(),e.viewLines.getLineWidth(t)}}},t.prototype.createKeyboardHandlerHelper=function(){var e=this;return{viewDomNode:this.domNode,textArea:this.textArea,visibleRangeForPositionRelativeToEditor:function(t,n){if(e._isDisposed)throw new Error("ViewImpl.keyboardHandler.visibleRangeForPositionRelativeToEditor: View is disposed");e._flushAccumulatedAndRenderNow();var o=e.layoutProvider.getLinesViewportData(),i=e.viewLines.visibleRangesForRange2(new u.Range(t,n,t,n),o.visibleRangesDeltaTop);return i?i[0]:null},flushAnyAccumulatedEvents:function(){e._flushAnyAccumulatedEvents()}}},t.prototype.setAriaActiveDescendant=function(e){e?(this.textArea.setAttribute("role","combobox"),this.textArea.getAttribute("aria-activedescendant")!==e&&(this.textArea.setAttribute("aria-haspopup","true"),this.textArea.setAttribute("aria-activedescendant",e))):(this.textArea.setAttribute("role","textbox"),this.textArea.removeAttribute("aria-activedescendant"),this.textArea.removeAttribute("aria-haspopup"))},t.prototype.onLayoutChanged=function(e){if(s.isChrome){this.overflowGuardContainer.clientWidth+"px"}return l.StyleMutator.setWidth(this.domNode,e.width),l.StyleMutator.setHeight(this.domNode,e.height),l.StyleMutator.setWidth(this.overflowGuardContainer,e.width),l.StyleMutator.setHeight(this.overflowGuardContainer,e.height),l.StyleMutator.setWidth(this.linesContent,1e6),l.StyleMutator.setHeight(this.linesContent,1e6),l.StyleMutator.setLeft(this.linesContentContainer,e.contentLeft),l.StyleMutator.setWidth(this.linesContentContainer,e.contentWidth),l.StyleMutator.setHeight(this.linesContentContainer,e.contentHeight),this.outgoingEventBus.emit(c.EventType.ViewLayoutChanged,e),!1},t.prototype.onConfigurationChanged=function(e){return e.viewInfo.editorClassName&&(this.domNode.className=this._context.configuration.editor.viewInfo.editorClassName),e.viewInfo.ariaLabel&&this.textArea.setAttribute("aria-label",this._context.configuration.editor.viewInfo.ariaLabel),!1},t.prototype.onScrollChanged=function(e){return this.outgoingEventBus.emit("scroll",e),!1},t.prototype.onViewFocusChanged=function(e){return a.toggleClass(this.domNode,"focused",e),e?(this._editorTextFocusContextKey.set(!0),this.outgoingEventBus.emit(c.EventType.ViewFocusGained,{})):(this._editorTextFocusContextKey.reset(),this.outgoingEventBus.emit(c.EventType.ViewFocusLost,{})),!1},t.prototype.dispose=function(){this._isDisposed=!0,-1!==this.handleAccumulatedModelEventsTimeout&&(clearTimeout(this.handleAccumulatedModelEventsTimeout),this.handleAccumulatedModelEventsTimeout=-1),null!==this._renderAnimationFrame&&(this._renderAnimationFrame.dispose(),this._renderAnimationFrame=null),this.accumulatedModelEvents=[],this.eventDispatcher.removeEventHandler(this),this.outgoingEventBus.dispose(),this.listenersToRemove=i.dispose(this.listenersToRemove),this.listenersToDispose=i.dispose(this.listenersToDispose),this.keyboardHandler.dispose(),this.pointerHandler.dispose(),this.viewLines.dispose();for(var e=0,t=this.viewParts.length;t>e;e++)this.viewParts[e].dispose();this.viewParts=[],this.layoutProvider.dispose(),this._keybindingService.dispose()},t.prototype.getCodeEditorHelper=function(){var e=this;return this.codeEditorHelper||(this.codeEditorHelper={getScrollWidth:function(){if(e._isDisposed)throw new Error("ViewImpl.codeEditorHelper.getScrollWidth: View is disposed");return e.layoutProvider.getScrollWidth()},getScrollLeft:function(){if(e._isDisposed)throw new Error("ViewImpl.codeEditorHelper.getScrollLeft: View is disposed");return e.layoutProvider.getScrollLeft()},getScrollHeight:function(){if(e._isDisposed)throw new Error("ViewImpl.codeEditorHelper.getScrollHeight: View is disposed");return e.layoutProvider.getScrollHeight()},getScrollTop:function(){if(e._isDisposed)throw new Error("ViewImpl.codeEditorHelper.getScrollTop: View is disposed");return e.layoutProvider.getScrollTop()},setScrollPosition:function(t){if(e._isDisposed)throw new Error("ViewImpl.codeEditorHelper.setScrollPosition: View is disposed");e.layoutProvider.setScrollPosition(t)},getVerticalOffsetForPosition:function(t,n){if(e._isDisposed)throw new Error("ViewImpl.codeEditorHelper.getVerticalOffsetForPosition: View is disposed");var o=e._context.model.validateModelPosition({lineNumber:t,column:n}),i=e._context.model.convertModelPositionToViewPosition(o.lineNumber,o.column);return e.layoutProvider.getVerticalOffsetForLineNumber(i.lineNumber)},delegateVerticalScrollbarMouseDown:function(t){if(e._isDisposed)throw new Error("ViewImpl.codeEditorHelper.delegateVerticalScrollbarMouseDown: View is disposed");e.layoutProvider.delegateVerticalScrollbarMouseDown(t)},getOffsetForColumn:function(t,n){if(e._isDisposed)throw new Error("ViewImpl.codeEditorHelper.getOffsetForColumn: View is disposed");var o=e._context.model.validateModelPosition({lineNumber:t,column:n}),i=e._context.model.convertModelPositionToViewPosition(o.lineNumber,o.column);e._flushAccumulatedAndRenderNow();var r=e.viewLines.visibleRangesForRange2(new u.Range(i.lineNumber,i.column,i.lineNumber,i.column),0);return r?r[0].left:-1}}),this.codeEditorHelper},t.prototype.getCenteredRangeInViewport=function(){if(this._isDisposed)throw new Error("ViewImpl.getCenteredRangeInViewport: View is disposed");var e=this.layoutProvider.getCenteredViewLineNumberInViewport(),t=this._context.model,n=new u.Range(e,1,e,t.getLineMaxColumn(e));return t.convertViewRangeToModelRange(n)},t.prototype.getInternalEventBus=function(){if(this._isDisposed)throw new Error("ViewImpl.getInternalEventBus: View is disposed");return this.outgoingEventBus},t.prototype.saveState=function(){if(this._isDisposed)throw new Error("ViewImpl.saveState: View is disposed");return this.layoutProvider.saveState()},t.prototype.restoreState=function(e){if(this._isDisposed)throw new Error("ViewImpl.restoreState: View is disposed");return this._flushAnyAccumulatedEvents(),this.layoutProvider.restoreState(e)},t.prototype.focus=function(){if(this._isDisposed)throw new Error("ViewImpl.focus: View is disposed");this.keyboardHandler.focusTextArea(),this._setHasFocus(!0)},t.prototype.isFocused=function(){if(this._isDisposed)throw new Error("ViewImpl.isFocused: View is disposed");return this.hasFocus},t.prototype.createOverviewRuler=function(e,t,n){var o=this;if(this._isDisposed)throw new Error("ViewImpl.createOverviewRuler: View is disposed");return new M.OverviewRuler(this._context,e,this.layoutProvider.getScrollHeight(),t,n,function(e){return o.layoutProvider.getVerticalOffsetForLineNumber(e)})},t.prototype.change=function(e){var t=this;if(this._isDisposed)throw new Error("ViewImpl.change: View is disposed");var n=!1;return this._renderOnce(function(){t._flushAnyAccumulatedEvents();var o={addZone:function(e){return n=!0,t.viewZones.addZone(e)},removeZone:function(e){n=t.viewZones.removeZone(e)||n},layoutZone:function(e){n=t.viewZones.layoutZone(e)||n}},i=A(e,o);return o.addZone=null,o.removeZone=null,n&&t._context.privateViewEventBus.emit(c.EventType.ViewZonesChanged,null),i}),n},t.prototype.getWhitespaces=function(){if(this._isDisposed)throw new Error("ViewImpl.getWhitespaces: View is disposed");return this.layoutProvider.getWhitespaces()},t.prototype.addContentWidget=function(e){var t=this;if(this._isDisposed)throw new Error("ViewImpl.addContentWidget: View is disposed");this._renderOnce(function(){t.contentWidgets.addWidget(e.widget),t.layoutContentWidget(e)})},t.prototype.layoutContentWidget=function(e){var t=this;if(this._isDisposed)throw new Error("ViewImpl.layoutContentWidget: View is disposed");this._renderOnce(function(){var n=e.position?e.position.position:null,o=e.position?e.position.preference:null;t.contentWidgets.setWidgetPosition(e.widget,n,o)})},t.prototype.removeContentWidget=function(e){var t=this;if(this._isDisposed)throw new Error("ViewImpl.removeContentWidget: View is disposed");this._renderOnce(function(){t.contentWidgets.removeWidget(e.widget)})},t.prototype.addOverlayWidget=function(e){var t=this;if(this._isDisposed)throw new Error("ViewImpl.addOverlayWidget: View is disposed");this._renderOnce(function(){t.overlayWidgets.addWidget(e.widget),t.layoutOverlayWidget(e)})},t.prototype.layoutOverlayWidget=function(e){if(this._isDisposed)throw new Error("ViewImpl.layoutOverlayWidget: View is disposed");var t=e.position?e.position.preference:null,n=this.overlayWidgets.setWidgetPosition(e.widget,t);n&&this._scheduleRender()},t.prototype.removeOverlayWidget=function(e){var t=this;if(this._isDisposed)throw new Error("ViewImpl.removeOverlayWidget: View is disposed");this._renderOnce(function(){t.overlayWidgets.removeWidget(e.widget)})},t.prototype.render=function(e,t){if(this._isDisposed)throw new Error("ViewImpl.render: View is disposed");t&&this.layoutProvider.emitLayoutChangedEvent(),e&&this._flushAccumulatedAndRenderNow()},t.prototype.renderOnce=function(e){if(this._isDisposed)throw new Error("ViewImpl.renderOnce: View is disposed");return this._renderOnce(e)},t.prototype._renderOnce=function(e){var t=this;if(this._isDisposed)throw new Error("ViewImpl._renderOnce: View is disposed");return this.outgoingEventBus.deferredEmit(function(){var n=P(e);return t._scheduleRender(),n})},t.prototype._scheduleRender=function(){if(this._isDisposed)throw new Error("ViewImpl._scheduleRender: View is disposed");null===this._renderAnimationFrame&&(this._renderAnimationFrame=a.runAtThisOrScheduleAtNextAnimationFrame(this._onRenderScheduled.bind(this),100))},t.prototype._onRenderScheduled=function(){this._renderAnimationFrame=null,this._flushAccumulatedAndRenderNow()},t.prototype._renderNow=function(){var e=this;P(function(){return e._actualRender()})},t.prototype.createRenderingContext=function(e){var t=this,n=this.layoutProvider.getCurrentViewport(),o=e.visibleRangesDeltaTop,i={linesViewportData:e,scrollWidth:this.layoutProvider.getScrollWidth(),scrollHeight:this.layoutProvider.getScrollHeight(),visibleRange:e.visibleRange,bigNumbersDelta:e.bigNumbersDelta,viewportWidth:n.width,viewportHeight:n.height,viewportLeft:n.left,viewportTop:n.top,getScrolledTopFromAbsoluteTop:function(e){return t.layoutProvider.getScrolledTopFromAbsoluteTop(e)},getViewportVerticalOffsetForLineNumber:function(e){var n=t.layoutProvider.getVerticalOffsetForLineNumber(e),o=t.layoutProvider.getScrolledTopFromAbsoluteTop(n);return o},getDecorationsInViewport:function(){return e.getDecorationsInViewport()},linesVisibleRangesForRange:function(e,n){return t.viewLines.linesVisibleRangesForRange(e,n)},visibleRangeForPosition:function(e){var n=t.viewLines.visibleRangesForRange2(new u.Range(e.lineNumber,e.column,e.lineNumber,e.column),o);return n?n[0]:null},lineIsVisible:function(t){return e.visibleRange.startLineNumber<=t&&t<=e.visibleRange.endLineNumber}};return i},t.prototype._getViewPartsToRender=function(){for(var e=[],t=0,n=this.viewParts.length;n>t;t++){var o=this.viewParts[t];o.shouldRender()&&e.push(o)}return e},t.prototype._actualRender=function(){var e=this;if(a.isInDOM(this.domNode)){var t=r.start(r.Topic.EDITOR,"View.render"),n=this._getViewPartsToRender();if(!this.viewLines.shouldRender()&&0===n.length)return this.keyboardHandler.writeToTextArea(),void t.stop();var o=this.layoutProvider.getLinesViewportData();this.viewLines.shouldRender()?(this.viewLines.renderText(o,function(){e.keyboardHandler.writeToTextArea()}),this.viewLines.onDidRender(),n=this._getViewPartsToRender()):this.keyboardHandler.writeToTextArea();for(var i=this.createRenderingContext(o),s=0,l=n.length;l>s;s++){var u=n[s];u.prepareRender(i)}for(var s=0,l=n.length;l>s;s++){var u=n[s];u.render(i),u.onDidRender()}this.layoutProvider.renderScrollbar(),t.stop()}},t.prototype._setHasFocus=function(e){this.hasFocus!==e&&(this.hasFocus=e,this._context.privateViewEventBus.emit(c.EventType.ViewFocusChanged,this.hasFocus))},t}(d.ViewEventHandler);t.View=W});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/browser/widget/codeEditorWidget",["require","exports","vs/base/common/errors","vs/base/browser/browser","vs/base/browser/dom","vs/platform/instantiation/common/instantiation","vs/platform/keybinding/common/keybindingService","vs/platform/telemetry/common/telemetry","vs/editor/common/commonCodeEditor","vs/editor/common/core/range","vs/editor/common/core/selection","vs/editor/common/editorCommon","vs/editor/common/editorCommonExtensions","vs/editor/common/services/codeEditorService","vs/editor/browser/config/configuration","vs/editor/browser/editorBrowserExtensions","vs/editor/browser/standalone/colorizer","vs/editor/browser/view/viewImpl","vs/base/common/lifecycle","vs/base/common/event","vs/css!./media/editor","vs/css!./media/tokens"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m,f,g,v,y,_){"use strict";var b=function(e){function t(t,o,i,r,s,a){var l=this;e.call(this,t,o,i,r,s,a),this._focusTracker=new C(t),this._focusTracker.onChage(function(){var e=l._focusTracker.hasFocus();e?(l._editorFocusContextKey.set(!0),l.emit(d.EventType.EditorFocus,{})):(l._editorFocusContextKey.reset(),l.emit(d.EventType.EditorBlur,{}))}),this.contentWidgets={},this.overlayWidgets={};for(var u=[].concat(f.EditorBrowserRegistry.getEditorContributions()).concat(h.CommonEditorRegistry.getEditorContributions()),c=0,p=u.length;p>c;c++)try{var m=u[c].createInstance(this._instantiationService,this);this.contributions[m.getId()]=m}catch(g){console.error("Could not instantiate contribution "+m.getId()),n.onUnexpectedError(g)}}return __extends(t,e),t.prototype.onMouseUp=function(e){return this.addListener2(d.EventType.MouseUp,e)},t.prototype.onMouseDown=function(e){return this.addListener2(d.EventType.MouseDown,e)},t.prototype.onContextMenu=function(e){return this.addListener2(d.EventType.ContextMenu,e)},t.prototype.onMouseMove=function(e){return this.addListener2(d.EventType.MouseMove,e)},t.prototype.onMouseLeave=function(e){return this.addListener2(d.EventType.MouseLeave,e)},t.prototype.onKeyUp=function(e){return this.addListener2(d.EventType.KeyUp,e)},t.prototype.onKeyDown=function(e){return this.addListener2(d.EventType.KeyDown,e)},t.prototype.onDidLayoutChange=function(e){return this.addListener2(d.EventType.EditorLayout,e)},t.prototype.onDidScrollChange=function(e){return this.addListener2("scroll",e)},t.prototype._createConfiguration=function(e){return new m.Configuration(e,this.domElement)},t.prototype.dispose=function(){this.contentWidgets={},this.overlayWidgets={},this._focusTracker.dispose(),e.prototype.dispose.call(this)},t.prototype.updateOptions=function(t){var n=this._configuration.editor.viewInfo.theme;e.prototype.updateOptions.call(this,t);var o=this._configuration.editor.viewInfo.theme;n!==o&&this.render()},t.prototype.colorizeModelLine=function(e,t){
if(void 0===t&&(t=this.model),!t)return"";var n=t.getLineContent(e),o=t.getLineTokens(e,!1),i=o.inflate(),r=t.getOptions().tabSize;return g.Colorizer.colorizeLine(n,i,r)},t.prototype.getView=function(){return this._view},t.prototype.getDomNode=function(){return this.hasView?this._view.domNode:null},t.prototype.getCenteredRangeInViewport=function(){return this.hasView?this._view.getCenteredRangeInViewport():null},t.prototype.getScrollWidth=function(){return this.hasView?this._view.getCodeEditorHelper().getScrollWidth():-1},t.prototype.getScrollLeft=function(){return this.hasView?this._view.getCodeEditorHelper().getScrollLeft():-1},t.prototype.getScrollHeight=function(){return this.hasView?this._view.getCodeEditorHelper().getScrollHeight():-1},t.prototype.getScrollTop=function(){return this.hasView?this._view.getCodeEditorHelper().getScrollTop():-1},t.prototype.setScrollLeft=function(e){if(this.hasView){if("number"!=typeof e)throw new Error("Invalid arguments");this._view.getCodeEditorHelper().setScrollPosition({scrollLeft:e})}},t.prototype.setScrollTop=function(e){if(this.hasView){if("number"!=typeof e)throw new Error("Invalid arguments");this._view.getCodeEditorHelper().setScrollPosition({scrollTop:e})}},t.prototype.setScrollPosition=function(e){this.hasView&&this._view.getCodeEditorHelper().setScrollPosition(e)},t.prototype.delegateVerticalScrollbarMouseDown=function(e){this.hasView&&this._view.getCodeEditorHelper().delegateVerticalScrollbarMouseDown(e)},t.prototype.saveViewState=function(){if(!this.cursor||!this.hasView)return null;var e={};for(var t in this.contributions){var n=this.contributions[t];"function"==typeof n.saveViewState&&(e[t]=n.saveViewState())}var o=this.cursor.saveState(),i=this._view.saveState();return{cursorState:o,viewState:i,contributionsState:e}},t.prototype.restoreViewState=function(e){if(this.cursor&&this.hasView){var t=e;if(t&&t.cursorState&&t.viewState){var n=t,o=n.cursorState;Array.isArray(o)?this.cursor.restoreState(o):this.cursor.restoreState([o]),this._view.restoreState(n.viewState);var i=t.contributionsState||{};for(var r in this.contributions){var s=this.contributions[r];"function"==typeof s.restoreViewState&&s.restoreViewState(i[r])}}}},t.prototype.layout=function(e){this._configuration.observeReferenceElement(e),this.render()},t.prototype.focus=function(){this.hasView&&this._view.focus()},t.prototype.beginForcedWidgetFocus=function(){this._focusTracker.beginForcedFocus()},t.prototype.endForcedWidgetFocus=function(){this._focusTracker.endForcedFocus()},t.prototype.isFocused=function(){return this.hasView&&this._view.isFocused()},t.prototype.hasWidgetFocus=function(){return this._focusTracker.hasFocus()},t.prototype.addContentWidget=function(e){var t={widget:e,position:e.getPosition()};this.contentWidgets.hasOwnProperty(e.getId())&&console.warn("Overwriting a content widget with the same id."),this.contentWidgets[e.getId()]=t,this.hasView&&this._view.addContentWidget(t)},t.prototype.layoutContentWidget=function(e){var t=e.getId();if(this.contentWidgets.hasOwnProperty(t)){var n=this.contentWidgets[t];n.position=e.getPosition(),this.hasView&&this._view.layoutContentWidget(n)}},t.prototype.removeContentWidget=function(e){var t=e.getId();if(this.contentWidgets.hasOwnProperty(t)){var n=this.contentWidgets[t];delete this.contentWidgets[t],this.hasView&&this._view.removeContentWidget(n)}},t.prototype.addOverlayWidget=function(e){var t={widget:e,position:e.getPosition()};this.overlayWidgets.hasOwnProperty(e.getId())&&console.warn("Overwriting an overlay widget with the same id."),this.overlayWidgets[e.getId()]=t,this.hasView&&this._view.addOverlayWidget(t)},t.prototype.layoutOverlayWidget=function(e){var t=e.getId();if(this.overlayWidgets.hasOwnProperty(t)){var n=this.overlayWidgets[t];n.position=e.getPosition(),this.hasView&&this._view.layoutOverlayWidget(n)}},t.prototype.removeOverlayWidget=function(e){var t=e.getId();if(this.overlayWidgets.hasOwnProperty(t)){var n=this.overlayWidgets[t];delete this.overlayWidgets[t],this.hasView&&this._view.removeOverlayWidget(n)}},t.prototype.changeViewZones=function(e){if(this.hasView){var t=this._view.change(e);t&&this.emit(d.EventType.ViewZonesChanged)}},t.prototype.getWhitespaces=function(){return this.hasView?this._view.getWhitespaces():[]},t.prototype.getTopForLineNumber=function(e){return this.hasView?this._view.getCodeEditorHelper().getVerticalOffsetForPosition(e,1):-1},t.prototype.getTopForPosition=function(e,t){return this.hasView?this._view.getCodeEditorHelper().getVerticalOffsetForPosition(e,t):-1},t.prototype.getScrolledVisiblePosition=function(e){if(!this.hasView)return null;var t=this.model.validatePosition(e),n=this._view.getCodeEditorHelper(),o=this._configuration.editor.layoutInfo,i=n.getVerticalOffsetForPosition(t.lineNumber,t.column)-n.getScrollTop(),r=n.getOffsetForColumn(t.lineNumber,t.column)+o.glyphMarginWidth+o.lineNumbersWidth+o.decorationsWidth-n.getScrollLeft();return{top:i,left:r,height:this._configuration.editor.lineHeight}},t.prototype.getOffsetForColumn=function(e,t){return this.hasView?this._view.getCodeEditorHelper().getOffsetForColumn(e,t):-1},t.prototype.render=function(){this.hasView&&this._view.render(!0,!1)},t.prototype.setHiddenAreas=function(e){this.viewModel&&this.viewModel.setHiddenAreas(e)},t.prototype.setAriaActiveDescendant=function(e){this.hasView&&this._view.setAriaActiveDescendant(e)},t.prototype.applyFontInfo=function(e){m.Configuration.applyFontInfoSlow(e,this._configuration.editor.fontInfo)},t.prototype._attachModel=function(t){var n=this;this._view=null,e.prototype._attachModel.call(this,t),this._view&&(this.domElement.appendChild(this._view.domNode),this._view.renderOnce(function(){for(var e=Object.keys(n.contentWidgets),t=0,o=e.length;o>t;t++){var i=e[t];n._view.addContentWidget(n.contentWidgets[i])}e=Object.keys(n.overlayWidgets);for(var t=0,o=e.length;o>t;t++){var i=e[t];n._view.addOverlayWidget(n.overlayWidgets[i])}n._view.render(!1,!0),n.hasView=!0}))},t.prototype._enableEmptySelectionClipboard=function(){return o.enableEmptySelectionClipboard},t.prototype._createView=function(){var e=this;this._view=new v.View(this._keybindingService,this._configuration,this.viewModel,function(t,n,o){e.cursor&&e.cursor.trigger(t,n,o)})},t.prototype._getViewInternalEventBus=function(){return this._view.getInternalEventBus()},t.prototype._detachModel=function(){var t=null;this._view&&(this._view.dispose(),t=this._view.domNode,this._view=null);var n=e.prototype._detachModel.call(this);return t&&this.domElement.removeChild(t),n},t=__decorate([__param(2,r.IInstantiationService),__param(3,p.ICodeEditorService),__param(4,s.IKeybindingService),__param(5,a.ITelemetryService)],t)}(l.CommonCodeEditor);t.CodeEditorWidget=b;var C=function(e){function t(t){var n=this;e.call(this),this._onChange=this._register(new _.Emitter),this.onChage=this._onChange.event,this._focusTrackerHasFocus=!1,this._forcedWidgetFocusCount=0,this._actualHasFocus=!1,this._focusTracker=this._register(i.trackFocus(t)),this._focusTracker.addFocusListener(function(){n._focusTrackerHasFocus=!0,n._update()}),this._focusTracker.addBlurListener(function(){n._focusTrackerHasFocus=!1,n._update()})}return __extends(t,e),t.prototype.hasFocus=function(){return this._actualHasFocus},t.prototype.beginForcedFocus=function(){this._forcedWidgetFocusCount++,this._update()},t.prototype.endForcedFocus=function(){this._forcedWidgetFocusCount--,this._update()},t.prototype._update=function(){var e=this._focusTrackerHasFocus;this._forcedWidgetFocusCount>0&&(e=!0),this._actualHasFocus!==e&&(this._actualHasFocus=e,this._onChange.fire(void 0))},t}(y.Disposable);(function(){function e(e,t){this._id=e,this._position=t,this._domNode=document.createElement("div"),this._domNode.className=this._id.replace(/\./g,"-").replace(/[^a-z0-9\-]/,"")}return e.prototype.getId=function(){return this._id},e.prototype.getDomNode=function(){return this._domNode},e.prototype.getPosition=function(){return this._position},e})();!function(e){e[e.EndOfLastEditOperation=0]="EndOfLastEditOperation"}(t.EditCursorState||(t.EditCursorState={}));var w=(t.EditCursorState,function(){function e(e){this.range=new u.Range(e.range.startLineNumber,e.range.startColumn,e.range.endLineNumber,e.range.endColumn),this.text=e.text,this.forceMoveMarkers=e.forceMoveMarkers||!1}return e}()),E=function(){function e(e,t){this._ops=e.map(function(e){return new w(e)}),this._editCursorState=t}return e.prototype.getEditOperations=function(e,t){if(0!==this._ops.length){this._ops.sort(function(e,t){return u.Range.compareRangesUsingStarts(e.range,t.range)});for(var n=[],o=this._ops[0],i=1;i<this._ops.length;i++)o.range.endLineNumber===this._ops[i].range.startLineNumber&&o.range.endColumn===this._ops[i].range.startColumn?(o.range=u.Range.plusRange(o.range,this._ops[i].range),o.text=o.text+this._ops[i].text):(n.push(o),o=this._ops[i]);n.push(o);for(var i=0;i<n.length;i++)t.addEditOperation(u.Range.lift(n[i].range),n[i].text)}},e.prototype.computeCursorState=function(e,t){var n=t.getInverseEditOperations(),o=n[n.length-1].range;return c.Selection.createSelection(o.endLineNumber,o.endColumn,o.endLineNumber,o.endColumn)},e}();t.CommandRunner=E});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/browser/widget/diffEditorWidget",["require","exports","vs/base/common/async","vs/base/common/eventEmitter","vs/base/common/lifecycle","vs/base/common/objects","vs/base/browser/dom","vs/base/browser/styleMutator","vs/base/browser/ui/sash/sash","vs/platform/instantiation/common/instantiation","vs/editor/common/config/defaultConfig","vs/editor/common/core/range","vs/editor/common/editorCommon","vs/editor/common/services/editorWorkerService","vs/editor/common/viewLayout/viewLineParts","vs/editor/common/viewLayout/viewLineRenderer","vs/editor/browser/widget/codeEditorWidget","vs/editor/common/core/viewLineToken","vs/editor/browser/config/configuration","vs/css!./media/diffEditor"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m,f,g,v,y){"use strict";function _(e){return e.modifiedEndLineNumber>0}function b(e){return e.originalEndLineNumber>0}function C(e,t,n,o,i,r){return{range:new d.Range(e,t,n,o),options:{className:i,isWholeLine:r}}}function w(){var e=document.createElement("div");return e.className="diagonal-fill",e}var E=function(){function e(){this._zones=[],this._zonesMap={},this._decorations=[]}return e.prototype.getForeignViewZones=function(e){var t=this;return e.filter(function(e){return!t._zonesMap[String(e.id)]})},e.prototype.clean=function(e){var t=this;this._zones.length>0&&e.changeViewZones(function(e){for(var n=0,o=t._zones.length;o>n;n++)e.removeZone(t._zones[n])}),this._zones=[],this._zonesMap={},this._decorations.length>0&&e.changeDecorations(function(e){e.deltaDecorations(t._decorations,[])}),this._decorations=[]},e.prototype.apply=function(e,t,n){var o,i,r=this;e.changeViewZones(function(e){for(o=0,i=r._zones.length;i>o;o++)e.removeZone(r._zones[o]);for(r._zones=[],r._zonesMap={},o=0,i=n.zones.length;i>o;o++){n.zones[o].suppressMouseDown=!0;var t=e.addZone(n.zones[o]);r._zones.push(t),r._zonesMap[String(t)]=!0}}),this._decorations=e.deltaDecorations(this._decorations,n.decorations),t.setZones(n.overviewZones)},e}(),S=0,x=function(e){function t(o,i,r,a){var l=this;e.call(this),this._editorWorkerService=r,this.id=++S,this._domElement=o,i=i||{},this._theme=i.theme||c.DefaultConfig.editor.theme,this._renderSideBySide=!0,"undefined"!=typeof i.renderSideBySide&&(this._renderSideBySide=i.renderSideBySide),this._ignoreTrimWhitespace=!0,"undefined"!=typeof i.ignoreTrimWhitespace&&(this._ignoreTrimWhitespace=i.ignoreTrimWhitespace),this._originalIsEditable=!1,"undefined"!=typeof i.originalEditable&&(this._originalIsEditable=Boolean(i.originalEditable)),this._updateDecorationsRunner=new n.RunOnceScheduler(function(){return l._updateDecorations()},0),this._toDispose=[],this._toDispose.push(this._updateDecorationsRunner),this._containerDomElement=document.createElement("div"),this._containerDomElement.className=t._getClassName(this._theme,this._renderSideBySide),this._containerDomElement.style.position="relative",this._containerDomElement.style.height="100%",this._domElement.appendChild(this._containerDomElement),this._overviewViewportDomElement=document.createElement("div"),this._overviewViewportDomElement.className="diffViewport",this._overviewViewportDomElement.style.position="absolute",this._overviewDomElement=document.createElement("div"),this._overviewDomElement.className="diffOverview",this._overviewDomElement.style.position="absolute",this._overviewDomElement.style.height="100%",this._overviewDomElement.appendChild(this._overviewViewportDomElement),this._toDispose.push(s.addDisposableListener(this._overviewDomElement,"mousedown",function(e){l.modifiedEditor.delegateVerticalScrollbarMouseDown(e)})),this._containerDomElement.appendChild(this._overviewDomElement),this._createLeftHandSide(),this._createRightHandSide(),this._beginUpdateDecorationsTimeout=-1,this._currentlyChangingViewZones=!1,this._diffComputationToken=0,this._originalEditorState=new E,this._modifiedEditorState=new E,this._isVisible=!0,this._isHandlingScrollEvent=!1,this._width=0,this._height=0,this._lineChanges=null,this._createLeftHandSideEditor(i,a),this._createRightHandSideEditor(i,a),i.automaticLayout&&(this._measureDomElementToken=window.setInterval(function(){return l._measureDomElement(!1)},100)),this._enableSplitViewResizing=!0,"undefined"!=typeof i.enableSplitViewResizing&&(this._enableSplitViewResizing=i.enableSplitViewResizing),this._renderSideBySide?this._setStrategy(new N(this._createDataSource(),this._enableSplitViewResizing)):this._setStrategy(new D(this._createDataSource(),this._enableSplitViewResizing))}return __extends(t,e),t.prototype.onDidChangeModelRawContent=function(e){return this.addListener2(h.EventType.ModelRawContentChanged,e)},t.prototype.onDidChangeModelContent=function(e){return this.addListener2(h.EventType.ModelContentChanged2,e)},t.prototype.onDidChangeModelMode=function(e){return this.addListener2(h.EventType.ModelModeChanged,e)},t.prototype.onDidChangeModelOptions=function(e){return this.addListener2(h.EventType.ModelOptionsChanged,e)},t.prototype.onDidChangeConfiguration=function(e){return this.addListener2(h.EventType.ConfigurationChanged,e)},t.prototype.onDidChangeCursorPosition=function(e){return this.addListener2(h.EventType.CursorPositionChanged,e)},t.prototype.onDidChangeCursorSelection=function(e){return this.addListener2(h.EventType.CursorSelectionChanged,e)},t.prototype.onDidDispose=function(e){return this.addListener2(h.EventType.Disposed,e)},t.prototype.onDidUpdateDiff=function(e){return this.addListener2(h.EventType.DiffUpdated,e)},Object.defineProperty(t.prototype,"ignoreTrimWhitespace",{get:function(){return this._ignoreTrimWhitespace},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"renderSideBySide",{get:function(){return this._renderSideBySide},enumerable:!0,configurable:!0}),t._getClassName=function(e,t){var n="monaco-diff-editor monaco-editor-background ";return t&&(n+="side-by-side "),n+=e},t.prototype._recreateOverviewRulers=function(){this._originalOverviewRuler&&(this._overviewDomElement.removeChild(this._originalOverviewRuler.getDomNode()),this._originalOverviewRuler.dispose()),this._originalOverviewRuler=this.originalEditor.getView().createOverviewRuler("original diffOverviewRuler",4,Number.MAX_VALUE),this._overviewDomElement.appendChild(this._originalOverviewRuler.getDomNode()),this._modifiedOverviewRuler&&(this._overviewDomElement.removeChild(this._modifiedOverviewRuler.getDomNode()),this._modifiedOverviewRuler.dispose()),this._modifiedOverviewRuler=this.modifiedEditor.getView().createOverviewRuler("modified diffOverviewRuler",4,Number.MAX_VALUE),this._overviewDomElement.appendChild(this._modifiedOverviewRuler.getDomNode()),this._layoutOverviewRulers()},t.prototype._createLeftHandSide=function(){this._originalDomNode=document.createElement("div"),this._originalDomNode.className="editor original",this._originalDomNode.style.position="absolute",this._originalDomNode.style.height="100%",this._containerDomElement.appendChild(this._originalDomNode)},t.prototype._createRightHandSide=function(){this._modifiedDomNode=document.createElement("div"),this._modifiedDomNode.className="editor modified",this._modifiedDomNode.style.position="absolute",this._modifiedDomNode.style.height="100%",this._containerDomElement.appendChild(this._modifiedDomNode)},t.prototype._createLeftHandSideEditor=function(e,t){var n=this;this.originalEditor=t.createInstance(g.CodeEditorWidget,this._originalDomNode,this._adjustOptionsForLeftHandSide(e,this._originalIsEditable)),this._toDispose.push(this.originalEditor.addBulkListener2(function(e){return n._onOriginalEditorEvents(e)})),this._toDispose.push(this.addEmitter2(this.originalEditor))},t.prototype._createRightHandSideEditor=function(e,t){var n=this;this.modifiedEditor=t.createInstance(g.CodeEditorWidget,this._modifiedDomNode,this._adjustOptionsForRightHandSide(e)),this._toDispose.push(this.modifiedEditor.addBulkListener2(function(e){return n._onModifiedEditorEvents(e)})),this._toDispose.push(this.addEmitter2(this.modifiedEditor))},t.prototype.destroy=function(){this.dispose()},t.prototype.dispose=function(){this._toDispose=i.dispose(this._toDispose),window.clearInterval(this._measureDomElementToken),this._cleanViewZonesAndDecorations(),this._originalOverviewRuler.dispose(),this._modifiedOverviewRuler.dispose(),this.originalEditor.destroy(),this.modifiedEditor.destroy(),this._strategy.dispose(),this.emit(h.EventType.Disposed),e.prototype.dispose.call(this)},t.prototype.getId=function(){return this.getEditorType()+":"+this.id},t.prototype.getEditorType=function(){return h.EditorType.IDiffEditor},t.prototype.getLineChanges=function(){return this._lineChanges},t.prototype.getOriginalEditor=function(){return this.originalEditor},t.prototype.getModifiedEditor=function(){return this.modifiedEditor},t.prototype.updateOptions=function(e){this._theme=e&&e.theme?e.theme:this._theme;var n=!1;"undefined"!=typeof e.renderSideBySide&&this._renderSideBySide!==e.renderSideBySide&&(this._renderSideBySide=e.renderSideBySide,n=!0),"undefined"!=typeof e.ignoreTrimWhitespace&&this._ignoreTrimWhitespace!==e.ignoreTrimWhitespace&&(this._ignoreTrimWhitespace=e.ignoreTrimWhitespace,this._beginUpdateDecorations()),"undefined"!=typeof e.originalEditable&&(this._originalIsEditable=Boolean(e.originalEditable)),this._containerDomElement.className=t._getClassName(this._theme,this._renderSideBySide),this.modifiedEditor.updateOptions(this._adjustOptionsForRightHandSide(e)),this.originalEditor.updateOptions(this._adjustOptionsForLeftHandSide(e,this._originalIsEditable)),"undefined"!=typeof e.enableSplitViewResizing&&(this._enableSplitViewResizing=e.enableSplitViewResizing),this._strategy.setEnableSplitViewResizing(this._enableSplitViewResizing),n&&(this._renderSideBySide?this._setStrategy(new N(this._createDataSource(),this._enableSplitViewResizing)):this._setStrategy(new D(this._createDataSource(),this._enableSplitViewResizing)))},t.prototype.getValue=function(e){return void 0===e&&(e=null),this.modifiedEditor.getValue(e)},t.prototype.getModel=function(){return{original:this.originalEditor.getModel(),modified:this.modifiedEditor.getModel()}},t.prototype.setModel=function(e){if(e&&(!e.original||!e.modified))throw new Error(e.original?"DiffEditorWidget.setModel: Modified model is null":"DiffEditorWidget.setModel: Original model is null");this._cleanViewZonesAndDecorations(),this.originalEditor.setModel(e?e.original:null),this.modifiedEditor.setModel(e?e.modified:null),this._updateDecorationsRunner.cancel(),e&&(this.originalEditor.setScrollTop(0),this.modifiedEditor.setScrollTop(0)),this._lineChanges=null,this._diffComputationToken++,e?(this._recreateOverviewRulers(),this._beginUpdateDecorations()):this._lineChanges=null,this._layoutOverviewViewport()},t.prototype.getDomNode=function(){return this._domElement},t.prototype.getVisibleColumnFromPosition=function(e){return this.modifiedEditor.getVisibleColumnFromPosition(e)},t.prototype.getPosition=function(){return this.modifiedEditor.getPosition()},t.prototype.setPosition=function(e,t,n,o){this.modifiedEditor.setPosition(e,t,n,o)},t.prototype.revealLine=function(e){this.modifiedEditor.revealLine(e)},t.prototype.revealLineInCenter=function(e){this.modifiedEditor.revealLineInCenter(e)},t.prototype.revealLineInCenterIfOutsideViewport=function(e){this.modifiedEditor.revealLineInCenterIfOutsideViewport(e)},t.prototype.revealPosition=function(e,t,n){void 0===t&&(t=!1),void 0===n&&(n=!1),this.modifiedEditor.revealPosition(e,t,n)},t.prototype.revealPositionInCenter=function(e){this.modifiedEditor.revealPositionInCenter(e)},t.prototype.revealPositionInCenterIfOutsideViewport=function(e){this.modifiedEditor.revealPositionInCenterIfOutsideViewport(e)},t.prototype.getSelection=function(){return this.modifiedEditor.getSelection()},t.prototype.getSelections=function(){return this.modifiedEditor.getSelections()},t.prototype.setSelection=function(e,t,n,o){this.modifiedEditor.setSelection(e,t,n,o)},t.prototype.setSelections=function(e){this.modifiedEditor.setSelections(e)},t.prototype.revealLines=function(e,t){this.modifiedEditor.revealLines(e,t)},t.prototype.revealLinesInCenter=function(e,t){this.modifiedEditor.revealLinesInCenter(e,t)},t.prototype.revealLinesInCenterIfOutsideViewport=function(e,t){this.modifiedEditor.revealLinesInCenterIfOutsideViewport(e,t)},t.prototype.revealRange=function(e,t,n){void 0===t&&(t=!1),void 0===n&&(n=!0),this.modifiedEditor.revealRange(e,t,n)},t.prototype.revealRangeInCenter=function(e){this.modifiedEditor.revealRangeInCenter(e)},t.prototype.revealRangeInCenterIfOutsideViewport=function(e){this.modifiedEditor.revealRangeInCenterIfOutsideViewport(e)},t.prototype.addAction=function(e){this.modifiedEditor.addAction(e)},t.prototype.getActions=function(){return this.modifiedEditor.getActions()},t.prototype.getAction=function(e){return this.modifiedEditor.getAction(e)},t.prototype.saveViewState=function(){var e=this.originalEditor.saveViewState(),t=this.modifiedEditor.saveViewState();return{original:e,modified:t}},t.prototype.restoreViewState=function(e){var t=e;if(t.original&&t.original){var n=t;this.originalEditor.restoreViewState(n.original),this.modifiedEditor.restoreViewState(n.modified)}},t.prototype.layout=function(e){this._measureDomElement(!1,e)},t.prototype.focus=function(){this.modifiedEditor.focus()},t.prototype.isFocused=function(){return this.originalEditor.isFocused()||this.modifiedEditor.isFocused()},t.prototype.onVisible=function(){this._isVisible=!0,this.originalEditor.onVisible(),this.modifiedEditor.onVisible(),this._beginUpdateDecorations()},t.prototype.onHide=function(){this._isVisible=!1,this.originalEditor.onHide(),this.modifiedEditor.onHide(),this._cleanViewZonesAndDecorations()},t.prototype.trigger=function(e,t,n){this.modifiedEditor.trigger(e,t,n)},t.prototype.changeDecorations=function(e){return this.modifiedEditor.changeDecorations(e)},t.prototype._measureDomElement=function(e,t){return t=t||s.getDomNodePosition(this._containerDomElement),t.width<=0?(this._width=0,void(this._height=0)):void((e||t.width!==this._width||t.height!==this._height)&&(this._width=t.width,this._height=t.height,this._doLayout()))},t.prototype._layoutOverviewRulers=function(){var e=t.ENTIRE_DIFF_OVERVIEW_WIDTH-2*t.ONE_OVERVIEW_WIDTH,n=this.modifiedEditor.getLayoutInfo();n&&(this._originalOverviewRuler.setLayout(new h.OverviewRulerPosition({top:0,width:t.ONE_OVERVIEW_WIDTH,right:e+t.ONE_OVERVIEW_WIDTH,height:this._height})),this._modifiedOverviewRuler.setLayout(new h.OverviewRulerPosition({top:0,right:0,width:t.ONE_OVERVIEW_WIDTH,height:this._height})))},t.prototype._recomputeIfNecessary=function(e){for(var n=this,o=!1,i=0;!o&&i<e.length;i++){var r=e[i].getType();o=o||r===h.EventType.ModelRawContentChanged||r===h.EventType.ModelModeChanged}o&&this._isVisible&&(-1!==this._beginUpdateDecorationsTimeout&&(window.clearTimeout(this._beginUpdateDecorationsTimeout),this._beginUpdateDecorationsTimeout=-1),this._beginUpdateDecorationsTimeout=window.setTimeout(function(){return n._beginUpdateDecorations()},t.UPDATE_DIFF_DECORATIONS_DELAY))},t.prototype._onOriginalEditorEvents=function(e){for(var t=0;t<e.length;t++){var n=e[t].getType(),o=e[t].getData();if("scroll"===n&&this._onOriginalEditorScroll(o),n===h.EventType.ViewZonesChanged&&this._onViewZonesChanged(),n===h.EventType.ConfigurationChanged){var i=this.originalEditor.getConfiguration().wrappingInfo.isViewportWrapping;i&&this.originalEditor.updateOptions({wrappingColumn:-1})}}this._recomputeIfNecessary(e)},t.prototype._onModifiedEditorEvents=function(e){for(var t=0;t<e.length;t++){var n=e[t].getType(),o=e[t].getData();if("scroll"===n&&(this._onModifiedEditorScroll(o),this._layoutOverviewViewport()),"viewLayoutChanged"===n&&this._layoutOverviewViewport(),n===h.EventType.ViewZonesChanged&&this._onViewZonesChanged(),n===h.EventType.ConfigurationChanged){var i=this.modifiedEditor.getConfiguration().wrappingInfo.isViewportWrapping;i&&this.modifiedEditor.updateOptions({wrappingColumn:-1})}}this._recomputeIfNecessary(e)},t.prototype._onViewZonesChanged=function(){this._currentlyChangingViewZones||this._updateDecorationsRunner.schedule()},t.prototype._beginUpdateDecorations=function(){var e=this;if(this._beginUpdateDecorationsTimeout=-1,this.modifiedEditor.getModel()){this._diffComputationToken++;var t=this._diffComputationToken,n=this.originalEditor.getModel(),o=this.modifiedEditor.getModel();this._editorWorkerService.computeDiff(n.uri,o.uri,this._ignoreTrimWhitespace).then(function(i){t===e._diffComputationToken&&n===e.originalEditor.getModel()&&o===e.modifiedEditor.getModel()&&(e._lineChanges=i,e._updateDecorationsRunner.schedule(),e.emit(h.EventType.DiffUpdated,{}))},function(i){t===e._diffComputationToken&&n===e.originalEditor.getModel()&&o===e.modifiedEditor.getModel()&&(e._lineChanges=null,e._updateDecorationsRunner.schedule())})}},t.prototype._cleanViewZonesAndDecorations=function(){this._originalEditorState.clean(this.originalEditor),this._modifiedEditorState.clean(this.modifiedEditor)},t.prototype._updateDecorations=function(){var e=this._lineChanges||[],t=this._originalEditorState.getForeignViewZones(this.originalEditor.getWhitespaces()),n=this._modifiedEditorState.getForeignViewZones(this.modifiedEditor.getWhitespaces()),o=this._strategy.getEditorsDiffDecorations(e,this._ignoreTrimWhitespace,t,n,this.originalEditor,this.modifiedEditor);try{this._currentlyChangingViewZones=!0,this._originalEditorState.apply(this.originalEditor,this._originalOverviewRuler,o.original),this._modifiedEditorState.apply(this.modifiedEditor,this._modifiedOverviewRuler,o.modified)}finally{this._currentlyChangingViewZones=!1}},t.prototype._adjustOptionsForSubEditor=function(e){var t=r.clone(e||{});return t.wrappingColumn=-1,t.automaticLayout=!1,t.scrollbar=t.scrollbar||{},t.scrollbar.vertical="visible",t.folding=!1,t.referenceInfos=!1,t},t.prototype._adjustOptionsForLeftHandSide=function(e,t){var n=this._adjustOptionsForSubEditor(e);return n.readOnly=!t,n.overviewRulerLanes=1,n.theme=this._theme+" original-in-monaco-diff-editor",n},t.prototype._adjustOptionsForRightHandSide=function(e){var n=this._adjustOptionsForSubEditor(e);return n.revealHorizontalRightPadding=c.DefaultConfig.editor.revealHorizontalRightPadding+t.ENTIRE_DIFF_OVERVIEW_WIDTH,n.scrollbar.verticalHasArrows=!1,n.theme=this._theme+" modified-in-monaco-diff-editor",n},t.prototype._onOriginalEditorScroll=function(e){(e.scrollTopChanged||e.scrollLeftChanged)&&(this._isHandlingScrollEvent||(this._isHandlingScrollEvent=!0,this.modifiedEditor.setScrollPosition({scrollLeft:e.scrollLeft,scrollTop:e.scrollTop}),this._isHandlingScrollEvent=!1))},t.prototype._onModifiedEditorScroll=function(e){(e.scrollTopChanged||e.scrollLeftChanged)&&(this._isHandlingScrollEvent||(this._isHandlingScrollEvent=!0,this.originalEditor.setScrollPosition({scrollLeft:e.scrollLeft,scrollTop:e.scrollTop}),this._isHandlingScrollEvent=!1))},t.prototype._doLayout=function(){var e=this._strategy.layout();this._originalDomNode.style.width=e+"px",this._originalDomNode.style.left="0px",this._modifiedDomNode.style.width=this._width-e+"px",this._modifiedDomNode.style.left=e+"px",this._overviewDomElement.style.top="0px",this._overviewDomElement.style.width=t.ENTIRE_DIFF_OVERVIEW_WIDTH+"px",this._overviewDomElement.style.left=this._width-t.ENTIRE_DIFF_OVERVIEW_WIDTH+"px",this._overviewViewportDomElement.style.width=t.ENTIRE_DIFF_OVERVIEW_WIDTH+"px",this._overviewViewportDomElement.style.height="30px",this.originalEditor.layout({width:e,height:this._height}),this.modifiedEditor.layout({width:this._width-e-t.ENTIRE_DIFF_OVERVIEW_WIDTH,height:this._height}),(this._originalOverviewRuler||this._modifiedOverviewRuler)&&this._layoutOverviewRulers(),this._layoutOverviewViewport()},t.prototype._layoutOverviewViewport=function(){var e=this._computeOverviewViewport();e?(a.StyleMutator.setTop(this._overviewViewportDomElement,e.top),a.StyleMutator.setHeight(this._overviewViewportDomElement,e.height)):(a.StyleMutator.setTop(this._overviewViewportDomElement,0),a.StyleMutator.setHeight(this._overviewViewportDomElement,0))},t.prototype._computeOverviewViewport=function(){var e=this.modifiedEditor.getLayoutInfo();if(!e)return null;var t=this.modifiedEditor.getScrollTop(),n=this.modifiedEditor.getScrollHeight(),o=Math.max(0,e.contentHeight),i=Math.max(0,o-0),r=n>0?i/n:0,s=Math.max(1,Math.floor(e.contentHeight*r)),a=Math.floor(t*r);return{height:s,top:a}},t.prototype._createDataSource=function(){var e=this;return{getWidth:function(){return e._width},getHeight:function(){return e._height},getContainerDomNode:function(){return e._containerDomElement},relayoutEditors:function(){e._doLayout()},getOriginalEditor:function(){return e.originalEditor},getModifiedEditor:function(){return e.modifiedEditor}}},t.prototype._setStrategy=function(e){this._strategy&&this._strategy.dispose(),this._strategy=e,this._lineChanges&&this._updateDecorations(),this._measureDomElement(!0)},t.prototype._getLineChangeAtOrBeforeLineNumber=function(e,t){if(0===this._lineChanges.length||e<t(this._lineChanges[0]))return null;for(var n=0,o=this._lineChanges.length-1;o>n;){var i=Math.floor((n+o)/2),r=t(this._lineChanges[i]),s=o>=i+1?t(this._lineChanges[i+1]):Number.MAX_VALUE;r>e?o=i-1:e>=s?n=i+1:(n=i,o=i)}return this._lineChanges[n]},t.prototype._getEquivalentLineForOriginalLineNumber=function(e){var t=this._getLineChangeAtOrBeforeLineNumber(e,function(e){return e.originalStartLineNumber});if(!t)return e;var n=t.originalStartLineNumber+(t.originalEndLineNumber>0?-1:0),o=t.modifiedStartLineNumber+(t.modifiedEndLineNumber>0?-1:0),i=t.originalEndLineNumber>0?t.originalEndLineNumber-t.originalStartLineNumber+1:0,r=t.modifiedEndLineNumber>0?t.modifiedEndLineNumber-t.modifiedStartLineNumber+1:0,s=e-n;return i>=s?o+Math.min(s,r):o+r-i+s},t.prototype._getEquivalentLineForModifiedLineNumber=function(e){var t=this._getLineChangeAtOrBeforeLineNumber(e,function(e){return e.modifiedStartLineNumber});if(!t)return e;var n=t.originalStartLineNumber+(t.originalEndLineNumber>0?-1:0),o=t.modifiedStartLineNumber+(t.modifiedEndLineNumber>0?-1:0),i=t.originalEndLineNumber>0?t.originalEndLineNumber-t.originalStartLineNumber+1:0,r=t.modifiedEndLineNumber>0?t.modifiedEndLineNumber-t.modifiedStartLineNumber+1:0,s=e-o;
return r>=s?n+Math.min(s,i):n+i-r+s},t.prototype.getDiffLineInformationForOriginal=function(e){return this._lineChanges?{equivalentLineNumber:this._getEquivalentLineForOriginalLineNumber(e)}:null},t.prototype.getDiffLineInformationForModified=function(e){return this._lineChanges?{equivalentLineNumber:this._getEquivalentLineForModifiedLineNumber(e)}:null},t.ONE_OVERVIEW_WIDTH=15,t.ENTIRE_DIFF_OVERVIEW_WIDTH=30,t.UPDATE_DIFF_DECORATIONS_DELAY=200,t=__decorate([__param(2,p.IEditorWorkerService),__param(3,u.IInstantiationService)],t)}(o.EventEmitter);t.DiffEditorWidget=x;var T=function(){function e(e){this._dataSource=e}return e.prototype.getEditorsDiffDecorations=function(e,t,n,o,i,r){o=o.sort(function(e,t){return e.afterLineNumber-t.afterLineNumber}),n=n.sort(function(e,t){return e.afterLineNumber-t.afterLineNumber});var s=this._getViewZones(e,n,o,i,r),a=this._getOriginalEditorDecorations(e,t,i,r),l=this._getModifiedEditorDecorations(e,t,i,r);return{original:{decorations:a.decorations,overviewZones:a.overviewZones,zones:s.original},modified:{decorations:l.decorations,overviewZones:l.overviewZones,zones:s.modified}}},e.prototype._getViewZones=function(e,t,n,o,i){return null},e.prototype._getOriginalEditorDecorations=function(e,t,n,o){return null},e.prototype._getModifiedEditorDecorations=function(e,t,n,o){return null},e}(),L=function(){function e(e){this._source=e,this._index=-1,this.advance()}return e.prototype.advance=function(){this._index++,this._index<this._source.length?this.current=this._source[this._index]:this.current=null},e}(),M=function(){function e(e,t,n){this.lineChanges=e,this.originalForeignVZ=t,this.modifiedForeignVZ=n}return e.prototype.getViewZones=function(){var e,t,n,o,i,r,s,a={original:[],modified:[]},l=0,u=0,c=0,d=0,h=0,p=0,m=0,f=function(e,t){return e.afterLineNumber-t.afterLineNumber},g=function(e,t){if(null===t.domNode&&e.length>0){var n=e[e.length-1];if(n.afterLineNumber===t.afterLineNumber&&null===n.domNode)return void(n.heightInLines+=t.heightInLines)}e.push(t)},v=new L(this.modifiedForeignVZ),y=new L(this.originalForeignVZ);for(e=0,t=this.lineChanges.length;t>=e;e++){for(n=t>e?this.lineChanges[e]:null,null!==n?(c=n.originalStartLineNumber+(n.originalEndLineNumber>0?-1:0),d=n.modifiedStartLineNumber+(n.modifiedEndLineNumber>0?-1:0),u=n.originalEndLineNumber>0?n.originalEndLineNumber-n.originalStartLineNumber+1:0,l=n.modifiedEndLineNumber>0?n.modifiedEndLineNumber-n.modifiedStartLineNumber+1:0,h=Math.max(n.originalStartLineNumber,n.originalEndLineNumber),p=Math.max(n.modifiedStartLineNumber,n.modifiedEndLineNumber)):(c+=1e7+u,d+=1e7+l,h=c,p=d),o=[],i=[];v.current&&v.current.afterLineNumber<=p;)m=v.current.afterLineNumber<=d?c-d+v.current.afterLineNumber:h,o.push({afterLineNumber:m,heightInLines:v.current.heightInLines,domNode:null}),v.advance();for(;y.current&&y.current.afterLineNumber<=h;)m=y.current.afterLineNumber<=c?d-c+y.current.afterLineNumber:p,i.push({afterLineNumber:m,heightInLines:y.current.heightInLines,domNode:null}),y.advance();if(null!==n&&_(n)){var C=this._produceOriginalFromDiff(n,u,l);C&&o.push(C)}if(null!==n&&b(n)){var C=this._produceModifiedFromDiff(n,u,l);C&&i.push(C)}for(r=0,s=0,o=o.sort(f),i=i.sort(f);r<o.length&&s<i.length;){var E=o[r],S=i[s],x=E.afterLineNumber-c,T=S.afterLineNumber-d;T>x?(g(a.original,E),r++):x>T?(g(a.modified,S),s++):E.shouldNotShrink?(g(a.original,E),r++):S.shouldNotShrink?(g(a.modified,S),s++):E.heightInLines>=S.heightInLines?(E.heightInLines-=S.heightInLines,s++):(S.heightInLines-=E.heightInLines,r++)}for(;r<o.length;)g(a.original,o[r]),r++;for(;s<i.length;)g(a.modified,i[s]),s++}var M=function(e){e.domNode||(e.domNode=w())};return a.original.forEach(M),a.modified.forEach(M),a},e}(),N=function(e){function t(t,n){var o=this;e.call(this,t),this._disableSash=n===!1,this._sashRatio=null,this._sashPosition=null,this._sash=new l.Sash(this._dataSource.getContainerDomNode(),this),this._disableSash&&this._sash.disable(),this._sash.addListener2("start",function(){return o.onSashDragStart()}),this._sash.addListener2("change",function(e){return o.onSashDrag(e)}),this._sash.addListener2("end",function(){return o.onSashDragEnd()}),this._sash.addListener2("reset",function(){return o.onSashReset()})}return __extends(t,e),t.prototype.dispose=function(){this._sash.dispose()},t.prototype.setEnableSplitViewResizing=function(e){var t=e===!1;this._disableSash!==t&&(this._disableSash=t,this._disableSash?this._sash.disable():this._sash.enable())},t.prototype.layout=function(e){void 0===e&&(e=this._sashRatio);var n=this._dataSource.getWidth(),o=n-x.ENTIRE_DIFF_OVERVIEW_WIDTH,i=Math.floor((e||.5)*o),r=Math.floor(.5*o);return i=this._disableSash?r:i||r,o>2*t.MINIMUM_EDITOR_WIDTH?(i<t.MINIMUM_EDITOR_WIDTH&&(i=t.MINIMUM_EDITOR_WIDTH),i>o-t.MINIMUM_EDITOR_WIDTH&&(i=o-t.MINIMUM_EDITOR_WIDTH)):i=r,this._sashPosition!==i&&(this._sashPosition=i,this._sash.layout()),this._sashPosition},t.prototype.onSashDragStart=function(){this._startSashPosition=this._sashPosition},t.prototype.onSashDrag=function(e){var t=this._dataSource.getWidth(),n=t-x.ENTIRE_DIFF_OVERVIEW_WIDTH,o=this.layout((this._startSashPosition+(e.currentX-e.startX))/n);this._sashRatio=o/n,this._dataSource.relayoutEditors()},t.prototype.onSashDragEnd=function(){this._sash.layout()},t.prototype.onSashReset=function(){this._sashRatio=.5,this._dataSource.relayoutEditors(),this._sash.layout()},t.prototype.getVerticalSashTop=function(e){return 0},t.prototype.getVerticalSashLeft=function(e){return this._sashPosition},t.prototype.getVerticalSashHeight=function(e){return this._dataSource.getHeight()},t.prototype._getViewZones=function(e,t,n,o,i){var r=new I(e,t,n);return r.getViewZones()},t.prototype._getOriginalEditorDecorations=function(e,t,n,o){var i,r,s,a,l,u,c,d,p,m={decorations:[],overviewZones:[]},f=n.getModel();for(i=0,r=e.length;r>i;i++)if(l=e[i],b(l)&&(m.decorations.push(C(l.originalStartLineNumber,1,l.originalEndLineNumber,Number.MAX_VALUE,"line-delete",!0)),_(l)&&l.charChanges||m.decorations.push(C(l.originalStartLineNumber,1,l.originalEndLineNumber,Number.MAX_VALUE,"char-delete",!0)),m.overviewZones.push(new h.OverviewRulerZone(l.originalStartLineNumber,l.originalEndLineNumber,h.OverviewRulerLane.Full,0,"rgba(255, 0, 0, 0.4)","rgba(255, 0, 0, 0.4)")),l.charChanges))for(s=0,a=l.charChanges.length;a>s;s++)if(u=l.charChanges[s],b(u))if(t)for(c=u.originalStartLineNumber;c<=u.originalEndLineNumber;c++)d=c===u.originalStartLineNumber?u.originalStartColumn:f.getLineFirstNonWhitespaceColumn(c),p=c===u.originalEndLineNumber?u.originalEndColumn:f.getLineLastNonWhitespaceColumn(c),m.decorations.push(C(c,d,c,p,"char-delete",!1));else m.decorations.push(C(u.originalStartLineNumber,u.originalStartColumn,u.originalEndLineNumber,u.originalEndColumn,"char-delete",!1));return m},t.prototype._getModifiedEditorDecorations=function(e,t,n,o){var i,r,s,a,l,u,c,d,p,m={decorations:[],overviewZones:[]},f=o.getModel();for(i=0,r=e.length;r>i;i++)if(l=e[i],_(l)&&(m.decorations.push(C(l.modifiedStartLineNumber,1,l.modifiedEndLineNumber,Number.MAX_VALUE,"line-insert",!0)),b(l)&&l.charChanges||m.decorations.push(C(l.modifiedStartLineNumber,1,l.modifiedEndLineNumber,Number.MAX_VALUE,"char-insert",!0)),m.overviewZones.push(new h.OverviewRulerZone(l.modifiedStartLineNumber,l.modifiedEndLineNumber,h.OverviewRulerLane.Full,0,"rgba(155, 185, 85, 0.4)","rgba(155, 185, 85, 0.4)")),l.charChanges))for(s=0,a=l.charChanges.length;a>s;s++)if(u=l.charChanges[s],_(u))if(t)for(c=u.modifiedStartLineNumber;c<=u.modifiedEndLineNumber;c++)d=c===u.modifiedStartLineNumber?u.modifiedStartColumn:f.getLineFirstNonWhitespaceColumn(c),p=c===u.modifiedEndLineNumber?u.modifiedEndColumn:f.getLineLastNonWhitespaceColumn(c),m.decorations.push(C(c,d,c,p,"char-insert",!1));else m.decorations.push(C(u.modifiedStartLineNumber,u.modifiedStartColumn,u.modifiedEndLineNumber,u.modifiedEndColumn,"char-insert",!1));return m},t.MINIMUM_EDITOR_WIDTH=100,t}(T),I=function(e){function t(t,n,o){e.call(this,t,n,o)}return __extends(t,e),t.prototype._produceOriginalFromDiff=function(e,t,n){return n>t?{afterLineNumber:Math.max(e.originalStartLineNumber,e.originalEndLineNumber),heightInLines:n-t,domNode:null}:null},t.prototype._produceModifiedFromDiff=function(e,t,n){return t>n?{afterLineNumber:Math.max(e.modifiedStartLineNumber,e.modifiedEndLineNumber),heightInLines:t-n,domNode:null}:null},t}(M),D=function(e){function t(t,n){var o=this;e.call(this,t),this.decorationsLeft=t.getOriginalEditor().getLayoutInfo().decorationsLeft,this.toDispose=[],this.toDispose.push(t.getOriginalEditor().onDidLayoutChange(function(e){o.decorationsLeft!==e.decorationsLeft&&(o.decorationsLeft=e.decorationsLeft,t.relayoutEditors())}))}return __extends(t,e),t.prototype.dispose=function(){this.toDispose=i.dispose(this.toDispose)},t.prototype.setEnableSplitViewResizing=function(e){},t.prototype._getViewZones=function(e,t,n,o,i){var r=new R(e,t,n,o,i);return r.getViewZones()},t.prototype._getOriginalEditorDecorations=function(e,t,n,o){var i,r,s,a={decorations:[],overviewZones:[]};for(i=0,r=e.length;r>i;i++)s=e[i],b(s)&&a.overviewZones.push(new h.OverviewRulerZone(s.originalStartLineNumber,s.originalEndLineNumber,h.OverviewRulerLane.Full,0,"rgba(255, 0, 0, 0.4)","rgba(255, 0, 0, 0.4)"));return a},t.prototype._getModifiedEditorDecorations=function(e,t,n,o){var i,r,s,a,l,u,c,d,p,m={decorations:[],overviewZones:[]},f=o.getModel();for(i=0,r=e.length;r>i;i++)if(s=e[i],_(s))if(m.decorations.push(C(s.modifiedStartLineNumber,1,s.modifiedEndLineNumber,Number.MAX_VALUE,"line-insert",!0)),m.overviewZones.push(new h.OverviewRulerZone(s.modifiedStartLineNumber,s.modifiedEndLineNumber,h.OverviewRulerLane.Full,0,"rgba(155, 185, 85, 0.4)","rgba(155, 185, 85, 0.4)")),s.charChanges){for(a=0,l=s.charChanges.length;l>a;a++)if(u=s.charChanges[a],_(u))if(t)for(c=u.modifiedStartLineNumber;c<=u.modifiedEndLineNumber;c++)d=c===u.modifiedStartLineNumber?u.modifiedStartColumn:f.getLineFirstNonWhitespaceColumn(c),p=c===u.modifiedEndLineNumber?u.modifiedEndColumn:f.getLineLastNonWhitespaceColumn(c),m.decorations.push(C(c,d,c,p,"char-insert",!1));else m.decorations.push(C(u.modifiedStartLineNumber,u.modifiedStartColumn,u.modifiedEndLineNumber,u.modifiedEndColumn,"char-insert",!1))}else m.decorations.push(C(s.modifiedStartLineNumber,1,s.modifiedEndLineNumber,Number.MAX_VALUE,"char-insert",!0));return m},t.prototype.layout=function(){return Math.max(5,this.decorationsLeft)},t}(T),R=function(e){function t(t,n,o,i,r){e.call(this,t,n,o),this.originalModel=i.getModel(),this.modifiedEditorConfiguration=r.getConfiguration(),this.modifiedEditorTabSize=r.getModel().getOptions().tabSize}return __extends(t,e),t.prototype._produceOriginalFromDiff=function(e,t,n){return{afterLineNumber:Math.max(e.originalStartLineNumber,e.originalEndLineNumber),heightInLines:n,domNode:document.createElement("div")}},t.prototype._produceModifiedFromDiff=function(e,t,n){var o,i,r,s,a=[];if(e.charChanges)for(o=0,i=e.charChanges.length;i>o;o++)r=e.charChanges[o],b(r)&&(s=C(r.originalStartLineNumber,r.originalStartColumn,r.originalEndLineNumber,r.originalEndColumn,"char-delete",!1),s.options.inlineClassName=s.options.className,a.push(s));var l,u=[];for(l=e.originalStartLineNumber;l<=e.originalEndLineNumber;l++)u=u.concat(this.renderOriginalLine(l-e.originalStartLineNumber,this.originalModel,this.modifiedEditorConfiguration,this.modifiedEditorTabSize,l,a));var c=document.createElement("div");return c.className="view-lines line-delete",c.innerHTML=u.join(""),y.Configuration.applyFontInfoSlow(c,this.modifiedEditorConfiguration.fontInfo),{shouldNotShrink:!0,afterLineNumber:0===e.modifiedEndLineNumber?e.modifiedStartLineNumber:e.modifiedStartLineNumber-1,heightInLines:t,domNode:c}},t.prototype.renderOriginalLine=function(e,t,n,o,i,r){var s=t.getLineContent(i),a=new v.ViewLineTokens([new v.ViewLineToken(0,"")],0,s.length),l=m.createLineParts(i,1,s,o,a,r,n.viewInfo.renderWhitespace,n.viewInfo.indentGuides),u=f.renderLine(new f.RenderLineInput(s,o,n.fontInfo.spaceWidth,n.viewInfo.stopRenderingLineAfter,n.viewInfo.renderWhitespace,l.getParts())),c=[];return c.push('<div class="view-line'),0===r.length&&c.push(" char-delete"),c.push('" style="top:'),c.push(String(e*n.lineHeight)),c.push('px;width:1000000px;">'),c=c.concat(u.output),c.push("</div>"),c},t}(M)});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/browser/widget/embeddedCodeEditorWidget",["require","exports","vs/base/common/objects","vs/platform/instantiation/common/instantiation","vs/platform/keybinding/common/keybindingService","vs/platform/telemetry/common/telemetry","vs/editor/common/services/codeEditorService","vs/editor/browser/widget/codeEditorWidget"],function(e,t,n,o,i,r,s,a){"use strict";var l=function(e){function t(t,n,o,i,r,s,a){var l=this;e.call(this,t,o.getRawConfiguration(),i,r,s,a),this._parentEditor=o,this._overwriteOptions=n,e.prototype.updateOptions.call(this,this._overwriteOptions),this._lifetimeDispose.push(o.onDidChangeConfiguration(function(e){return l._onParentConfigurationChanged(e)}))}return __extends(t,e),t.prototype.getParentEditor=function(){return this._parentEditor},t.prototype._onParentConfigurationChanged=function(t){e.prototype.updateOptions.call(this,this._parentEditor.getRawConfiguration()),e.prototype.updateOptions.call(this,this._overwriteOptions)},t.prototype.updateOptions=function(t){n.mixin(this._overwriteOptions,t,!0),e.prototype.updateOptions.call(this,this._overwriteOptions)},t=__decorate([__param(3,o.IInstantiationService),__param(4,s.ICodeEditorService),__param(5,i.IKeybindingService),__param(6,r.ITelemetryService)],t)}(a.CodeEditorWidget);t.EmbeddedCodeEditorWidget=l});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/contrib/zoneWidget/browser/peekViewWidget",["require","exports","vs/nls!vs/editor/contrib/zoneWidget/browser/peekViewWidget","vs/base/common/actions","vs/base/common/strings","vs/base/browser/builder","vs/base/common/event","vs/base/browser/dom","vs/base/browser/ui/actionbar/actionbar","vs/platform/instantiation/common/instantiation","vs/editor/common/services/codeEditorService","./zoneWidget","vs/editor/browser/widget/embeddedCodeEditorWidget","vs/css!./peekViewWidget"],function(e,t,n,o,i,r,s,a,l,u,c,d,h){"use strict";function p(e,t){var n=e.get(c.ICodeEditorService).getFocusedCodeEditor();return n instanceof h.EmbeddedCodeEditorWidget?n.getParentEditor():n}t.IPeekViewService=u.createDecorator("peekViewService"),t.getOuterEditor=p;var m=function(e){function u(n,o,i){void 0===i&&(i={}),e.call(this,n,i),this.serviceId=t.IPeekViewService,this._onDidClose=new s.Emitter,this._isActive=!1,this.contextKey=o}return __extends(u,e),u.prototype.dispose=function(){this._isActive=!1,e.prototype.dispose.call(this),this._onDidClose.fire(this)},Object.defineProperty(u.prototype,"onDidClose",{get:function(){return this._onDidClose.event},enumerable:!0,configurable:!0}),Object.defineProperty(u.prototype,"isActive",{get:function(){return this._isActive},enumerable:!0,configurable:!0}),u.prototype.show=function(t,n){this._isActive=!0,e.prototype.show.call(this,t,n)},u.prototype._fillContainer=function(e){r.$(e).addClass("peekview-widget"),this._headElement=r.$(".head").getHTMLElement(),this._bodyElement=r.$(".body").getHTMLElement(),this._fillHead(this._headElement),this._fillBody(this._bodyElement),e.appendChild(this._headElement),e.appendChild(this._bodyElement)},u.prototype._fillHead=function(e){var t=this,i=r.$(".peekview-title").on(a.EventType.CLICK,function(e){return t._onTitleClick(e)}).appendTo(this._headElement).getHTMLElement();this._primaryHeading=r.$("span.filename").appendTo(i).getHTMLElement(),this._secondaryHeading=r.$("span.dirname").appendTo(i).getHTMLElement(),this._metaHeading=r.$("span.meta").appendTo(i).getHTMLElement(),this._actionbarWidget=new l.ActionBar(r.$(".peekview-actions").appendTo(this._headElement)),this._actionbarWidget.push(new o.Action("peekview.close",n.localize(0,null),"close-peekview-action",!0,function(){return t.dispose(),null}),{label:!1,icon:!0})},u.prototype._onTitleClick=function(e){},u.prototype.setTitle=function(e,t){r.$(this._primaryHeading).safeInnerHtml(e),t?r.$(this._secondaryHeading).safeInnerHtml(t):a.clearNode(this._secondaryHeading)},u.prototype.setMetaTitle=function(e){e?r.$(this._metaHeading).safeInnerHtml(e):a.clearNode(this._metaHeading)},u.prototype._fillBody=function(e){},u.prototype._doLayout=function(e,t){if(0>e)return this.dispose(),void this._onDidClose.fire(this);var n=Math.ceil(1.2*this.editor.getConfiguration().lineHeight),o=e-(n+2);this._doLayoutHead(n,t),this._doLayoutBody(o,t)},u.prototype._doLayoutHead=function(e,t){this._headElement.style.height=i.format("{0}px",e),this._headElement.style.lineHeight=this._headElement.style.height},u.prototype._doLayoutBody=function(e,t){this._bodyElement.style.height=i.format("{0}px",e)},u}(d.ZoneWidget);t.PeekViewWidget=m}),define("vs/platform/thread/common/thread",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";t.IThreadService=n.createDecorator("threadService");var o=function(){function e(){}return e}();t.IRemotableCtorMap=o;var i=function(){function e(){}return e}();t.IRemotableCtorAffinityMap=i;var r=function(){function e(){}return e.getId=function(t){return t[e.PROP_NAME]||null},e.MainContext=function(t){return function(n){e._ensureUnique(t),e.Registry.MainContext[t]=n,n[e.PROP_NAME]=t}},e.ExtHostContext=function(t){return function(n){e._ensureUnique(t),e.Registry.ExtHostContext[t]=n,n[e.PROP_NAME]=t}},e.WorkerContext=function(t,n){return function(o){e._ensureUnique(t),e.Registry.WorkerContext[t]={ctor:o,affinity:n},o[e.PROP_NAME]=t}},e._ensureUnique=function(t){if(e.Registry.MainContext[t]||e.Registry.ExtHostContext[t]||e.Registry.WorkerContext[t])throw new Error("Duplicate Remotable identifier found")},e.PROP_NAME="$__REMOTABLE_ID",e.Registry={MainContext:Object.create(null),ExtHostContext:Object.create(null),WorkerContext:Object.create(null)},e}();t.Remotable=r,function(e){e[e.None=0]="None",e[e.Group1=1]="Group1",e[e.Group2=2]="Group2",e[e.Group3=3]="Group3",e[e.Group4=4]="Group4",e[e.Group5=5]="Group5",e[e.Group6=6]="Group6",e[e.Group7=7]="Group7",e[e.Group8=8]="Group8",e[e.Group9=9]="Group9",e[e.All=10]="All"}(t.ThreadAffinity||(t.ThreadAffinity={}));t.ThreadAffinity});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/common/services/modeServiceImpl",["require","exports","vs/nls!vs/editor/common/services/modeServiceImpl","vs/base/common/errors","vs/base/common/event","vs/base/common/lifecycle","vs/base/common/objects","vs/base/common/paths","vs/base/common/winjs.base","vs/base/common/mime","vs/platform/instantiation/common/descriptors","vs/platform/extensions/common/extensionsRegistry","vs/platform/thread/common/thread","vs/editor/common/modes","vs/editor/common/modes/abstractMode","vs/editor/common/modes/modesRegistry","vs/editor/common/modes/monarch/monarchCompile","vs/editor/common/modes/monarch/monarchDefinition","vs/editor/common/modes/monarch/monarchLexer","vs/editor/common/modes/supports/richEditSupport","vs/editor/common/services/languagesRegistry","vs/editor/common/services/modeService","vs/editor/common/modes/abstractState","vs/editor/common/modes/supports"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m,f,g,v,y,_,b,C,w,E){"use strict";function S(e){return"undefined"==typeof e?!0:Array.isArray(e)?e.every(function(e){return"string"==typeof e}):!1}function x(e,t){return e?"string"!=typeof e.id?(t.error(n.localize(10,null,"id")),!1):S(e.extensions)?S(e.filenames)?"undefined"!=typeof e.firstLine&&"string"!=typeof e.firstLine?(t.error(n.localize(13,null,"firstLine")),!1):"undefined"!=typeof e.configuration&&"string"!=typeof e.configuration?(t.error(n.localize(14,null,"configuration")),!1):S(e.aliases)?S(e.mimetypes)?!0:(t.error(n.localize(16,null,"mimetypes")),!1):(t.error(n.localize(15,null,"aliases")),!1):(t.error(n.localize(12,null,"filenames")),!1):(t.error(n.localize(11,null,"extensions")),!1):(t.error(n.localize(9,null,T.name)),!1)}var T=d.ExtensionsRegistry.registerExtensionPoint("languages",{description:n.localize(0,null),type:"array",defaultSnippets:[{body:[{id:"",aliases:[],extensions:[]}]}],items:{type:"object",defaultSnippets:[{body:{id:"",extensions:[]}}],properties:{id:{description:n.localize(1,null),type:"string"},aliases:{description:n.localize(2,null),type:"array",items:{type:"string"}},extensions:{description:n.localize(3,null),"default":[".foo"],type:"array",items:{type:"string"}},filenames:{description:n.localize(4,null),type:"array",items:{type:"string"}},filenamePatterns:{description:n.localize(5,null),type:"array",items:{type:"string"}},mimetypes:{description:n.localize(6,null),type:"array",items:{type:"string"}},firstLine:{description:n.localize(7,null),type:"string"},configuration:{description:n.localize(8,null),type:"string"}}}}),L=function(){function e(e,t){var n=this;this.serviceId=C.IModeService,this._onDidAddModes=new i.Emitter,this.onDidAddModes=this._onDidAddModes.event,this._onDidCreateMode=new i.Emitter,this.onDidCreateMode=this._onDidCreateMode.event,this._threadService=e,this._extensionService=t,this._activationPromises={},this._instantiatedModes={},this._config={},this._registry=new b.LanguagesRegistry,this._registry.onDidAddModes(function(e){return n._onDidAddModes.fire(e)})}return e.prototype.getConfigurationForMode=function(e){return this._config[e]||{}},e.prototype.configureMode=function(e,t){var n=this.getModeId(e);n&&this.configureModeById(n,t)},e.prototype.configureModeById=function(e,t){var n=this._config[e]||{},o=s.mixin(s.clone(n),t);if(!s.equals(n,o)){this._config[e]=o;var i=this.getMode(e);i&&i.configSupport&&i.configSupport.configure(this.getConfigurationForMode(e))}},e.prototype.configureAllModes=function(e){var t=this;if(e){var n=this._registry.getRegisteredModes();n.forEach(function(n){var o=e[n];t.configureModeById(n,o)})}},e.prototype.isRegisteredMode=function(e){return this._registry.isRegisteredMode(e)},e.prototype.isCompatMode=function(e){var t=this._registry.getCompatMode(e);return!!t},e.prototype.getRegisteredModes=function(){return this._registry.getRegisteredModes()},e.prototype.getRegisteredLanguageNames=function(){return this._registry.getRegisteredLanguageNames()},e.prototype.getExtensions=function(e){return this._registry.getExtensions(e)},e.prototype.getMimeForMode=function(e){return this._registry.getMimeForMode(e)},e.prototype.getLanguageName=function(e){return this._registry.getLanguageName(e)},e.prototype.getModeIdForLanguageName=function(e){return this._registry.getModeIdForLanguageNameLowercase(e)},e.prototype.getModeId=function(e){var t=this._registry.extractModeIds(e);return t.length>0?t[0]:null},e.prototype.getConfigurationFiles=function(e){return this._registry.getConfigurationFiles(e)},e.prototype.lookup=function(e){for(var t=[],n=this._registry.extractModeIds(e),o=0;o<n.length;o++){var i=n[o];t.push({modeId:i,isInstantiated:this._instantiatedModes.hasOwnProperty(i)})}return t},e.prototype.getMode=function(e){for(var t=this._registry.extractModeIds(e),n=!1,i=0;i<t.length;i++){if(this._instantiatedModes.hasOwnProperty(t[i]))return this._instantiatedModes[t[i]];n=n||"plaintext"===t[i]}if(n){var r=null;return this.getOrCreateMode(e).then(function(e){r=e}).done(null,o.onUnexpectedError),r}},e.prototype.getModeIdByLanguageName=function(e){var t=this._registry.getModeIdsFromLanguageName(e);return t.length>0?t[0]:null},e.prototype.getModeIdByFilenameOrFirstLine=function(e,t){var n=this._registry.getModeIdsFromFilenameOrFirstLine(e,t);return n.length>0?n[0]:null},e.prototype.onReady=function(){return this._extensionService.onReady()},e.prototype.getOrCreateMode=function(e){var t=this;return this.onReady().then(function(){var n=t.getModeId(e);return t._getOrCreateMode(n||"plaintext")})},e.prototype.getOrCreateModeByLanguageName=function(e){var t=this;return this.onReady().then(function(){var n=t.getModeIdByLanguageName(e);return t._getOrCreateMode(n||"plaintext")})},e.prototype.getOrCreateModeByFilenameOrFirstLine=function(e,t){var n=this;return this.onReady().then(function(){var o=n.getModeIdByFilenameOrFirstLine(e,t);return n._getOrCreateMode(o||"plaintext")})},e.prototype._getOrCreateMode=function(e){var t=this;if(this._instantiatedModes.hasOwnProperty(e))return l.TPromise.as(this._instantiatedModes[e]);if(this._activationPromises.hasOwnProperty(e))return this._activationPromises[e];var n,i,r=new l.TPromise(function(e,t,o){n=e,i=t});return this._activationPromises[e]=r,this._createMode(e).then(function(n){return t._instantiatedModes[e]=n,delete t._activationPromises[e],t._onDidCreateMode.fire(n),t._extensionService.activateByEvent("onLanguage:"+e).done(null,o.onUnexpectedError),t._instantiatedModes[e]}).then(n,i),r},e.prototype._createMode=function(e){var t=this,n=this._createModeDescriptor(e),o=this._registry.getCompatMode(e);if(o){var i=c.createAsyncDescriptor1(o.moduleId,o.ctorName);return this._threadService.createInstance(i,n).then(function(n){return n.configSupport&&n.configSupport.configure(t.getConfigurationForMode(e)),n})}return l.TPromise.as(this._threadService.createInstance(m.FrankensteinMode,n))},e.prototype._createModeDescriptor=function(e){return{id:e}},e.prototype._registerModeSupport=function(e,t,n){return e.registerSupport?e.registerSupport(t,n):(console.warn("Cannot register support "+p.mutableSupportToString(t)+" on mode "+e.getId()+" because it does not support it."),r.empty)},e.prototype.registerModeSupport=function(e,t,n){var o=this;if(this._instantiatedModes.hasOwnProperty(e))return this._registerModeSupport(this._instantiatedModes[e],t,n);var i,r=new l.TPromise(function(e,t){i=e}),s=this.onDidCreateMode(function(r){r.getId()===e&&(i(o._registerModeSupport(r,t,n)),s.dispose())});return{dispose:function(){r.done(function(e){return e.dispose()},null)}}},e.prototype.doRegisterMonarchDefinition=function(e,t){var n=this;return r.combinedDisposable(this.registerTokenizationSupport(e,function(e){return y.createTokenizationSupport(n,e,t)}),this.registerRichEditSupport(e,v.createRichEditSupport(t)))},e.prototype.registerMonarchDefinition=function(e,t,n,o){var i=g.compile(s.clone(o));return this.doRegisterMonarchDefinition(n,i)},e.prototype.registerRichEditSupport=function(e,t){return this.registerModeSupport(e,p.MutableSupport.RichEditSupport,function(n){return new _.RichEditSupport(e,n.richEditSupport,t)})},e.prototype.registerTokenizationSupport=function(e,t){return this.registerModeSupport(e,p.MutableSupport.TokenizationSupport,t)},e.prototype.registerTokenizationSupport2=function(e,t){return this.registerModeSupport(e,p.MutableSupport.TokenizationSupport,function(e){return new N(e,t)})},e}();t.ModeServiceImpl=L;var M=function(){function e(e,t,n){this._mode=e,this._actual=t,this._stateData=n}return Object.defineProperty(e.prototype,"actual",{get:function(){return this._actual},enumerable:!0,configurable:!0}),e.prototype.clone=function(){return new e(this._mode,this._actual.clone(),w.AbstractState.safeClone(this._stateData))},e.prototype.equals=function(t){return t instanceof e&&this._actual.equals(t._actual)?w.AbstractState.safeEquals(this._stateData,t._stateData):!1},e.prototype.getMode=function(){return this._mode},e.prototype.tokenize=function(e){throw new Error("Unexpected tokenize call!")},e.prototype.getStateData=function(){return this._stateData},e.prototype.setStateData=function(e){this._stateData=e},e}();t.TokenizationState2Adapter=M;var N=function(){function e(e,t){this.shouldGenerateEmbeddedModels=!1,this._mode=e,this._actual=t}return e.prototype.getInitialState=function(){return new M(this._mode,this._actual.getInitialState(),null)},e.prototype.tokenize=function(e,t,n,o){if(void 0===n&&(n=0),t instanceof M){var i=this._actual.tokenize(e,t.actual),r=[];return i.tokens.forEach(function(e){if("string"==typeof e.scopes)r.push(new E.Token(e.startIndex+n,e.scopes));else{if(!Array.isArray(e.scopes)||1!==e.scopes.length)throw new Error("Only token scopes as strings or of precisely 1 length are supported at this time!");r.push(new E.Token(e.startIndex+n,e.scopes[0]))}}),{tokens:r,actualStopOffset:n+e.length,endState:new M(t.getMode(),i.endState,t.getStateData()),modeTransitions:[{startIndex:n,mode:t.getMode()}]}}throw new Error("Unexpected state to tokenize with!")},e}();t.TokenizationSupport2Adapter=N;var I=function(e){function t(t,o,i){var r=this;e.call(this,t,o),this._configurationService=i,this._hasInitialized=!1,T.setHandler(function(e){for(var t=[],o=0,i=e.length;i>o;o++){var r=e[o];if(Array.isArray(r.value))for(var s=0,l=r.value.length;l>s;s++){var u=r.value[s];if(x(u,r.collector)){var c=u.configuration?a.join(r.description.extensionFolderPath,u.configuration):u.configuration;t.push({id:u.id,extensions:u.extensions,filenames:u.filenames,filenamePatterns:u.filenamePatterns,firstLine:u.firstLine,aliases:u.aliases,mimetypes:u.mimetypes,configuration:c})}}else r.collector.error(n.localize(17,null,T.name))}f.ModesRegistry.registerLanguages(t)}),this._configurationService.onDidUpdateConfiguration(function(e){return r.onConfigurationChange(e.config)})}return __extends(t,e),t.prototype.onReady=function(){var e=this;if(!this._onReadyPromise){var t=this._configurationService.getConfiguration();this._onReadyPromise=this._extensionService.onReady().then(function(){return e.onConfigurationChange(t),!0})}return this._onReadyPromise},t.prototype.onConfigurationChange=function(e){var t=this;u.clearTextMimes(!0),e.files&&e.files.associations&&Object.keys(e.files.associations).forEach(function(n){u.registerTextMime({mime:t.getMimeForMode(e.files.associations[n]),filepattern:n,userConfigured:!0})})},t.prototype._getModeServiceWorkerHelper=function(){var e=this._threadService.getRemotable(D);if(!this._hasInitialized){this._hasInitialized=!0;var t={compatModes:f.ModesRegistry.getCompatModes(),languages:f.ModesRegistry.getLanguages()};e._initialize(t),f.ModesRegistry.onDidAddCompatModes(function(t){return e._acceptCompatModes(t)}),f.ModesRegistry.onDidAddLanguages(function(t){return e._acceptLanguages(t)})}return e},t.prototype.configureModeById=function(t,n){this._getModeServiceWorkerHelper().configureModeById(t,n),e.prototype.configureModeById.call(this,t,n)},t.prototype._createMode=function(t){return this._getModeServiceWorkerHelper().instantiateMode(t),e.prototype._createMode.call(this,t)},t.prototype.registerMonarchDefinition=function(t,n,o,i){this._getModeServiceWorkerHelper().registerMonarchDefinition(o,i);var r=g.compile(s.clone(i));return e.prototype.doRegisterMonarchDefinition.call(this,o,r)},t}(L);t.MainThreadModeServiceImpl=I;var D=function(){function e(e){this._modeService=e;
}return e.prototype._initialize=function(e){f.ModesRegistry.registerCompatModes(e.compatModes),f.ModesRegistry.registerLanguages(e.languages)},e.prototype._acceptCompatModes=function(e){f.ModesRegistry.registerCompatModes(e)},e.prototype._acceptLanguages=function(e){f.ModesRegistry.registerLanguages(e)},e.prototype.instantiateMode=function(e){this._modeService.getOrCreateMode(e).done(null,o.onUnexpectedError)},e.prototype.configureModeById=function(e,t){this._modeService.configureMode(e,t)},e.prototype.registerMonarchDefinition=function(e,t){this._modeService.registerMonarchDefinition(null,null,e,t)},e=__decorate([h.Remotable.WorkerContext("ModeServiceWorkerHelper",h.ThreadAffinity.All),__param(0,C.IModeService)],e)}();t.ModeServiceWorkerHelper=D});var __decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/common/services/modelServiceImpl",["require","exports","vs/nls!vs/editor/common/services/modelServiceImpl","vs/base/common/errors","vs/base/common/event","vs/base/common/severity","vs/base/common/uri","vs/platform/telemetry/common/telemetry","vs/platform/thread/common/thread","vs/editor/common/core/range","vs/editor/common/editorCommon","vs/editor/common/model/mirrorModel","vs/editor/common/model/model","vs/editor/common/services/modeService","vs/editor/common/services/modelService","vs/editor/common/services/resourceService","vs/base/common/platform","vs/editor/common/config/defaultConfig"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m,f,g,v){"use strict";function y(e){return e.toString()}var _=function(){function e(e,t){var n=this;this.model=e,this.isSyncedToWorkers=!1,this._markerDecorations=[],this._modelEventsListener=e.addBulkListener(function(e){return t(n,e)})}return e.prototype.dispose=function(){this._markerDecorations=this.model.deltaDecorations(this._markerDecorations,[]),this._modelEventsListener.dispose(),this._modelEventsListener=null,this.model=null},e.prototype.getModelId=function(){return y(this.model.uri)},e.prototype.acceptMarkerDecorations=function(e){this._markerDecorations=this.model.deltaDecorations(this._markerDecorations,e)},e}(),b=function(){function e(){}return e.setMarkers=function(e,t){var n=this;t=t.slice(0,500);var o=t.map(function(t){return{range:n._createDecorationRange(e.model,t),options:n._createDecorationOption(t)}});e.acceptMarkerDecorations(o)},e._createDecorationRange=function(e,t){var n=e.validateRange(new u.Range(t.startLineNumber,t.startColumn,t.endLineNumber,t.endColumn)),o=new u.Range(n.startLineNumber,n.startColumn,n.endLineNumber,n.endColumn);if(o.isEmpty()){var i=e.getWordAtPosition(o.getStartPosition());if(i)o.startColumn=i.startColumn,o.endColumn=i.endColumn;else{var r=e.getLineLastNonWhitespaceColumn(n.startLineNumber)||e.getLineMaxColumn(n.startLineNumber);1===r||(o.endColumn>=r?(o.endColumn=r,o.startColumn=r-1):o.endColumn+=1)}}else if(t.endColumn===Number.MAX_VALUE&&1===t.startColumn&&o.startLineNumber===o.endLineNumber){var s=e.getLineFirstNonWhitespaceColumn(t.startLineNumber);s<o.endColumn&&(o.startColumn=s,t.startColumn=s)}return o},e._createDecorationOption=function(e){var t,n,o,i=null;switch(e.severity){case r["default"].Ignore:break;case r["default"].Warning:case r["default"].Info:t=c.ClassName.EditorWarningDecoration,n="rgba(18,136,18,0.7)",o="rgba(18,136,18,0.7)";break;case r["default"].Error:default:t=c.ClassName.EditorErrorDecoration,n="rgba(255,18,18,0.7)",o="rgba(255,18,18,0.7)"}return"string"==typeof e.message?i=[{isText:!0,text:e.message}]:Array.isArray(e.message)?i=e.message:e.message&&(i=[e.message]),i&&e.source&&i.unshift({isText:!0,text:"["+e.source+"] "}),{stickiness:c.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,className:t,htmlMessage:i,overviewRuler:{color:n,darkColor:o,position:c.OverviewRulerLane.Right}}},e}(),C=function(){function e(e,t,o,s,a){var l=this;this.serviceId=m.IModelService,this._modelCreationOptions={tabSize:v.DEFAULT_INDENTATION.tabSize,insertSpaces:v.DEFAULT_INDENTATION.insertSpaces,detectIndentation:v.DEFAULT_INDENTATION.detectIndentation,defaultEOL:g.isLinux||g.isMacintosh?c.DefaultEndOfLine.LF:c.DefaultEndOfLine.CRLF,trimAutoWhitespace:v.DEFAULT_TRIM_AUTO_WHITESPACE},this._threadService=e,this._markerService=t,this._modeService=o,this._workerHelper=this._threadService.getRemotable(w),this._configurationService=s,this._messageService=a,this._hasShownMigrationMessage=!1,this._models={},this._onModelAdded=new i.Emitter,this._onModelRemoved=new i.Emitter,this._onModelModeChanged=new i.Emitter,this._markerService&&(this._markerServiceSubscription=this._markerService.onMarkerChanged(this._handleMarkerChange,this));var u=function(e){var t=!1,o=v.DEFAULT_INDENTATION.tabSize;if(e.editor&&"undefined"!=typeof e.editor.tabSize){var i=parseInt(e.editor.tabSize,10);isNaN(i)||(o=i),t=t||"auto"===e.editor.tabSize}var s=v.DEFAULT_INDENTATION.insertSpaces;e.editor&&"undefined"!=typeof e.editor.insertSpaces&&(s="false"===e.editor.insertSpaces?!1:Boolean(e.editor.insertSpaces),t=t||"auto"===e.editor.insertSpaces);var a=l._modelCreationOptions.defaultEOL,u=e.files&&e.files.eol;"\r\n"===u?a=c.DefaultEndOfLine.CRLF:"\n"===u&&(a=c.DefaultEndOfLine.LF);var d=l._modelCreationOptions.trimAutoWhitespace;e.editor&&"undefined"!=typeof e.editor.trimAutoWhitespace&&(d="false"===e.editor.trimAutoWhitespace?!1:Boolean(e.editor.trimAutoWhitespace));var h=v.DEFAULT_INDENTATION.detectIndentation;e.editor&&"undefined"!=typeof e.editor.detectIndentation&&(h="false"===e.editor.detectIndentation?!1:Boolean(e.editor.detectIndentation)),l._setModelOptions({tabSize:o,insertSpaces:s,detectIndentation:h,defaultEOL:a,trimAutoWhitespace:d}),t&&!l._hasShownMigrationMessage&&(l._hasShownMigrationMessage=!0,l._messageService.show(r["default"].Info,n.localize(0,null)))};this._configurationServiceSubscription=this._configurationService.onDidUpdateConfiguration(function(e){u(e.config)}),u(this._configurationService.getConfiguration())}return e.prototype.getCreationOptions=function(){return this._modelCreationOptions},e.prototype._setModelOptions=function(e){if(this._modelCreationOptions.detectIndentation===e.detectIndentation&&this._modelCreationOptions.insertSpaces===e.insertSpaces&&this._modelCreationOptions.tabSize===e.tabSize&&this._modelCreationOptions.trimAutoWhitespace===e.trimAutoWhitespace)return void(this._modelCreationOptions=e);this._modelCreationOptions=e;for(var t=Object.keys(this._models),n=0,o=t.length;o>n;n++){var i=t[n],r=this._models[i];this._modelCreationOptions.detectIndentation?(r.model.detectIndentation(this._modelCreationOptions.insertSpaces,this._modelCreationOptions.tabSize),r.model.updateOptions({trimAutoWhitespace:this._modelCreationOptions.trimAutoWhitespace})):r.model.updateOptions({insertSpaces:this._modelCreationOptions.insertSpaces,tabSize:this._modelCreationOptions.tabSize,trimAutoWhitespace:this._modelCreationOptions.trimAutoWhitespace})}},e.prototype.dispose=function(){this._markerServiceSubscription&&this._markerServiceSubscription.dispose(),this._configurationServiceSubscription.dispose()},e.prototype._handleMarkerChange=function(e){var t=this;e.forEach(function(e){var n=y(e),o=t._models[n];o&&b.setMarkers(o,t._markerService.read({resource:e,take:500}))})},e.prototype._shouldSyncModelToWorkers=function(e){return e.isTooLargeForHavingARichMode()?!1:this._modeService.isCompatMode(e.getMode().getId())},e.prototype._createModelData=function(e,t,n){var o=this,i=new h.Model(e,this._modelCreationOptions,t,n),r=y(i.uri);if(this._models[r])throw new Error("ModelService: Cannot add model "+a.anonymize(r)+" because it already exists!");var s=new _(i,function(e,t){return o._onModelEvents(e,t)});return this._models[r]=s,s},e.prototype.createModel=function(e,t,n){var o=this._createModelData(e,t,n);return this._markerService&&b.setMarkers(o,this._markerService.read({resource:o.model.uri})),this._shouldSyncModelToWorkers(o.model)&&this._beginWorkerSync(o),this._onModelAdded.fire(o.model),o.model},e.prototype.destroyModel=function(e){var t=this._models[y(e)];t&&t.model.dispose()},e.prototype.getModels=function(){for(var e=[],t=Object.keys(this._models),n=0,o=t.length;o>n;n++){var i=t[n];e.push(this._models[i].model)}return e},e.prototype.getModel=function(e){var t=y(e),n=this._models[t];return n?n.model:null},Object.defineProperty(e.prototype,"onModelAdded",{get:function(){return this._onModelAdded?this._onModelAdded.event:null},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onModelRemoved",{get:function(){return this._onModelRemoved?this._onModelRemoved.event:null},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onModelModeChanged",{get:function(){return this._onModelModeChanged?this._onModelModeChanged.event:null},enumerable:!0,configurable:!0}),e.prototype._beginWorkerSync=function(t){if(t.isSyncedToWorkers)throw new Error("Model is already being synced to workers!");t.isSyncedToWorkers=!0,this._workerHelper.$_acceptNewModel(e._getBoundModelData(t.model))},e.prototype._stopWorkerSync=function(e){if(!e.isSyncedToWorkers)throw new Error("Model is already not being synced to workers!");e.isSyncedToWorkers=!1,this._workerHelper.$_acceptDidDisposeModel(e.model.uri)},e.prototype._onModelDisposing=function(e){var t=y(e.uri),n=this._models[t];n.isSyncedToWorkers&&this._stopWorkerSync(n),delete this._models[t],n.dispose(),this._onModelRemoved.fire(e)},e._getBoundModelData=function(e){return{url:e.uri,versionId:e.getVersionId(),value:e.toRawText(),modeId:e.getMode().getId()}},e.prototype._onModelEvents=function(e,t){for(var n=0,o=t.length;o>n;n++){var i=t[n];if(i.getType()===c.EventType.ModelDispose)return void this._onModelDisposing(e.model)}for(var n=0,o=t.length;o>n;n++){var i=t[n];if(i.getType()===c.EventType.ModelModeChanged){var r=e.isSyncedToWorkers,s=this._shouldSyncModelToWorkers(e.model);if(this._onModelModeChanged.fire({model:e.model,oldModeId:i.getData().oldMode.getId()}),!r)return s?void this._beginWorkerSync(e):void 0;if(!s)return void this._stopWorkerSync(e);this._workerHelper.$_acceptDidChangeModelMode(e.getModelId(),e.model.getMode().getId())}}if(e.isSyncedToWorkers){for(var a={contentChanged:[]},n=0,o=t.length;o>n;n++){var i=t[n];i.getType()===c.EventType.ModelRawContentChanged&&a.contentChanged.push(i.getData())}a.contentChanged.length>0&&this._workerHelper.$_acceptModelEvents(e.getModelId(),a)}},e}();t.ModelServiceImpl=C;var w=function(){function e(e,t){this._resourceService=e,this._modeService=t}return e.prototype.$_acceptNewModel=function(e){var t=this,n=new d.MirrorModel(this._resourceService,e.versionId,e.value,null,e.url);return this._resourceService.insert(n.uri,n),this._modeService.getOrCreateMode(e.modeId).then(function(e){t._resourceService.remove(n.uri),n.setMode(e),t._resourceService.insert(n.uri,n)})},e.prototype.$_acceptDidChangeModelMode=function(e,t){var n=this,o=this._resourceService.get(s["default"].parse(e));return this._modeService.getOrCreateMode(t).then(function(e){n._resourceService.remove(o.uri),o.setMode(e),n._resourceService.insert(o.uri,o)})},e.prototype.$_acceptDidDisposeModel=function(e){var t=this._resourceService.get(e);this._resourceService.remove(e),t&&t.dispose()},e.prototype.$_acceptModelEvents=function(e,t){var n=this._resourceService.get(s["default"].parse(e));if(!n)throw new Error("Received model events for missing model "+a.anonymize(e));try{n.onEvents(t)}catch(i){o.onUnexpectedError(i)}},e=__decorate([l.Remotable.WorkerContext("ModelServiceWorkerHelper",l.ThreadAffinity.All),__param(0,f.IResourceService),__param(1,p.IModeService)],e)}();t.ModelServiceWorkerHelper=w});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s};define("vs/platform/markers/common/markerService",["require","exports","vs/base/common/arrays","vs/base/common/network","vs/base/common/strings","vs/base/common/collections","vs/base/common/uri","vs/base/common/event","vs/base/common/severity","vs/platform/thread/common/thread","./markers"],function(e,t,n,o,i,r,s,a,l,u,c){"use strict";var d;!function(e){function t(e){var t=/^(.*)→(.*)$/.exec(e);return{owner:t[1],resource:s["default"].parse(t[2])}}function n(e){return e.owner+"→"+e.resource}function o(e,t){return new RegExp(i.format(a,e?i.escapeRegExpCharacters(e):".*",t?i.escapeRegExpCharacters(t.toString()):".*"))}function r(e,t){return e+"→"+t}e.fromValue=t,e.valueOf=n;var a="^({0})→({1})$";e.selector=o,e.raw=r}(d||(d={}));var h=function(){function e(){this.serviceId=c.IMarkerService,this._data=Object.create(null),this._stats=this._emptyStats(),this._onMarkerChanged=new a.Emitter}return e.prototype.getStatistics=function(){return this._stats},Object.defineProperty(e.prototype,"onMarkerChanged",{get:function(){return this._onMarkerChanged?this._onMarkerChanged.event:null},enumerable:!0,configurable:!0}),e.prototype.changeOne=function(e,t,n){this._doChangeOne(e,t,n)&&this._onMarkerChanged.fire([t])},e.prototype.remove=function(e,t){if(!n.isFalsyOrEmpty(t)){for(var o,i=0,r=t;i<r.length;i++){var s=r[i];this._doChangeOne(e,s,void 0)&&(o||(o=[]),o.push(s))}o&&this._onMarkerChanged.fire(o)}},e.prototype._doChangeOne=function(e,t,o){var i=d.raw(e,t),r=this._data[i],s=!n.isFalsyOrEmpty(r),a=!n.isFalsyOrEmpty(o),l=this._computeStats(r),u=this._computeStats(o);if(s||a)return a?this._data[i]=o:s&&delete this._data[i],this._isStatRelevant(t)&&(this._updateStatsMinus(l),this._updateStatsPlus(u)),!0},e.prototype.changeAll=function(e,t){var o=this,i=Object.create(null),s=this._emptyStats();if(this._forEach(e,void 0,void 0,-1,function(e,t){var n=d.fromValue(e.key).resource;o._isStatRelevant(n)&&o._updateStatsPlus(s,o._computeStats(e.value)),i[n.toString()]=n,t()}),this._updateStatsMinus(s),!n.isFalsyOrEmpty(t)){var a=this._emptyStats();t.forEach(function(t){i[t.resource.toString()]=t.resource,r.lookupOrInsert(o._data,d.raw(e,t.resource),[]).push(t.marker),o._isStatRelevant(t.resource)&&o._updateStatsMarker(a,t.marker)}),this._updateStatsPlus(a)}this._onMarkerChanged.fire(r.values(i))},e.prototype.read=function(e){var t=this;void 0===e&&(e=Object.create(null));var n=[];return this._forEach(e.owner,e.resource,e.selector,e.take,function(e){return t._fromEntry(e,n)}),n},e.prototype._isStatRelevant=function(e){return e.scheme!==o.Schemas.inMemory},e.prototype._forEach=function(e,t,n,o,i){var s=n||d.selector(e,t),a=0;r.forEach(this._data,function(e,t){return s.test(e.key)&&(i(e,t),o>0&&a++>=o)?!1:void 0})},e.prototype._fromEntry=function(t,n){var o=d.fromValue(t.key);t.value.forEach(function(t){var i=e._sanitize(t);i&&n.push({owner:o.owner,resource:o.resource,code:t.code,message:t.message,source:t.source,severity:t.severity,startLineNumber:t.startLineNumber,startColumn:t.startColumn,endLineNumber:t.endLineNumber,endColumn:t.endColumn})})},e.prototype._computeStats=function(e){var t=0,n=0,o=0,i=0;if(e)for(var r=0;r<e.length;r++){var s=e[r];if(s.severity)switch(s.severity){case l["default"].Error:t++;break;case l["default"].Warning:n++;break;case l["default"].Info:o++;break;default:i++}else i++}return{errors:t,warnings:n,infos:o,unknwons:i}},e.prototype._emptyStats=function(){return{errors:0,warnings:0,infos:0,unknwons:0}},e.prototype._updateStatsPlus=function(e,t){t||(t=e,e=this._stats),e.errors+=t.errors,e.warnings+=t.warnings,e.infos+=t.infos,e.unknwons+=t.unknwons},e.prototype._updateStatsMinus=function(e,t){t||(t=e,e=this._stats),e.errors-=t.errors,e.warnings-=t.warnings,e.infos-=t.infos,e.unknwons-=t.unknwons},e.prototype._updateStatsMarker=function(e,t){switch(t.severity){case l["default"].Error:e.errors++;break;case l["default"].Warning:e.warnings++;break;case l["default"].Info:e.infos++;break;default:e.unknwons++}},e._sanitize=function(e){return e.message?(e.code=e.code||null,e.startLineNumber=e.startLineNumber>0?e.startLineNumber:1,e.startColumn=e.startColumn>0?e.startColumn:1,e.endLineNumber=e.endLineNumber>=e.startLineNumber?e.endLineNumber:e.startLineNumber,e.endColumn=e.endColumn>0?e.endColumn:e.startColumn,!0):!1},e}();t.MarkerService=h;var p=function(e){function t(t){e.call(this),this._proxy=t.getRemotable(m)}return __extends(t,e),t.prototype.changeOne=function(t,n,o){e.prototype.changeOne.call(this,t,n,o),this._proxy.changeOne(t,n,o)},t.prototype.changeAll=function(t,n){e.prototype.changeAll.call(this,t,n),this._proxy.changeAll(t,n)},t}(h);t.SecondaryMarkerService=p;var m=function(e){function t(n){e.call(this),n.registerRemotableInstance(t,this)}return __extends(t,e),t.prototype.changeOne=function(t,n,o){e.prototype.changeOne.call(this,t,n,o)},t.prototype.changeAll=function(t,n){e.prototype.changeAll.call(this,t,n)},t=__decorate([u.Remotable.MainContext("MainProcessMarkerService")],t)}(h);t.MainProcessMarkerService=m});var __decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/platform/telemetry/common/remoteTelemetryService",["require","exports","vs/base/common/errors","vs/platform/telemetry/common/telemetry","vs/platform/thread/common/thread"],function(e,t,n,o,i){"use strict";var r=function(){function e(e){this._telemetryService=e}return e.prototype.$publicLog=function(e,t){this._telemetryService.publicLog(e,t)},e.prototype.$getTelemetryInfo=function(){return this._telemetryService.getTelemetryInfo()},e=__decorate([i.Remotable.MainContext("RemoteTelemetryServiceHelper"),__param(0,o.ITelemetryService)],e)}();t.RemoteTelemetryServiceHelper=r;var s=function(){function e(e,t){this._name=e,this._proxy=t.getRemotable(r)}return Object.defineProperty(e.prototype,"isOptedIn",{get:function(){throw n.notImplemented()},enumerable:!0,configurable:!0}),e.prototype.getTelemetryInfo=function(){return this._proxy.$getTelemetryInfo()},e.prototype.publicLog=function(e,t){t=t||Object.create(null),t[this._name]=!0,this._proxy.$publicLog(e,t)},e.prototype.timedPublicLog=function(){throw n.notImplemented()},e.prototype.addTelemetryAppender=function(){throw n.notImplemented()},e}();t.RemoteTelemetryService=s}),define("vs/platform/thread/common/threadService",["require","exports","vs/base/common/winjs.base","./thread"],function(e,t,n,o){"use strict";function i(e,t){for(var n in e)if(e[n]===t)return n;throw new Error("Member not found in prototype")}function r(e){var n=e[t.THREAD_SERVICE_PROPERTY_NAME];if(!n)throw new Error("Objects that use thread attributes must be instantiated with the thread service");return n}function s(e,t,s,a){void 0===a&&(a=o.ThreadAffinity.None);var l,u=i(e.prototype,t);"function"==typeof s?l=s:"undefined"!=typeof s&&(a=s),e.prototype[u]=function(){for(var e=[],o=0;o<arguments.length;o++)e[o-0]=arguments[o];if(l){var i=this,s=l.call(i);return n.TPromise.is(s)||(s=n.TPromise.as(s)),s.then(function(){return r(i).OneWorker(i,u,t,e,a)})}return r(this).OneWorker(this,u,t,e,a)}}function a(e,t){var n=i(e.prototype,t);e.prototype[n]=function(){for(var e=[],o=0;o<arguments.length;o++)e[o-0]=arguments[o];return r(this).AllWorkers(this,n,t,e)}}t.THREAD_SERVICE_PROPERTY_NAME="__$$__threadService",t.OneWorkerAttr=s,t.AllWorkersAttr=a}),define("vs/platform/thread/common/abstractThreadService",["require","exports","vs/base/common/winjs.base","vs/platform/thread/common/thread","vs/platform/thread/common/threadService","vs/platform/instantiation/common/descriptors"],function(e,t,n,o,i,r){"use strict";function s(e,t,n){var o={$__IS_REMOTE_OBJ:!0};for(var i in n.prototype)"function"==typeof n.prototype[i]&&(o[i]=a(e,t,i));return o}function a(e,t,n){return function(){for(var o=[],i=0;i<arguments.length;i++)o[i-0]=arguments[i];return e.callOnRemote(t,n,o)}}var l=function(){function e(e){this.isInMainThread=e,this._boundObjects={},this._pendingObjects=[],this._localObjMap=Object.create(null),this._proxyObjMap=Object.create(null)}return e.prototype.setInstantiationService=function(e){this._instantiationService=e},e.prototype.createInstance=function(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];return this._doCreateInstance(e)},e.prototype._doCreateInstance=function(e){var t=this,o=this._instantiationService.createInstance.apply(this._instantiationService,e);if(n.TPromise.is(o)){var i;return i=o.then(function(e){if(e.asyncCtor){var t=e.asyncCtor();if(n.TPromise.is(t))return t.then(function(){return e})}return e}),this._pendingObjects.push(i),i.then(function(e){for(var n=t._finishInstance(e),o=0;o<t._pendingObjects.length;o++)if(t._pendingObjects[o]===i){t._pendingObjects.splice(o,1);break}return n})}return this._finishInstance(o)},e.prototype._finishInstance=function(e){return e[i.THREAD_SERVICE_PROPERTY_NAME]=this,this._boundObjects[e.getId()]=e,e.creationDone&&e.creationDone(),e},e.prototype.handle=function(e,t,n){if(!this._localObjMap[e])throw new Error("Unknown actor "+e);var o=this._localObjMap[e],i=o[t];if("function"!=typeof i)throw new Error("Unknown method "+t+" on actor "+e);return i.apply(o,n)},e.prototype._getOrCreateProxyInstance=function(e,t,n){if(this._proxyObjMap[t])return this._proxyObjMap[t];var o=s(e,t,n.ctor);return this._proxyObjMap[t]=o,o},e.prototype._registerLocalInstance=function(e,t){this._localObjMap[e]=t},e.prototype._getOrCreateLocalInstance=function(e,t){if(this._localObjMap[e])return this._localObjMap[e];var n=this._instantiationService.createInstance(t);return this._registerLocalInstance(e,n),n},e.prototype.getRemotable=function(e){var t=o.Remotable.getId(e);if(!t)throw new Error("Unknown Remotable: <<"+t+">>");var n=r.createSyncDescriptor(e);if(o.Remotable.Registry.MainContext[t])return this._registerAndInstantiateMainProcessActor(t,n);if(o.Remotable.Registry.ExtHostContext[t])return this._registerAndInstantiateExtHostActor(t,n);if(o.Remotable.Registry.WorkerContext[t])return this._registerAndInstantiateWorkerActor(t,n,o.Remotable.Registry.WorkerContext[t].affinity);throw new Error("Unknown Remotable: <<"+t+">>")},e.prototype.registerRemotableInstance=function(e,t){var n=o.Remotable.getId(e);if(!n)throw new Error("Unknown Remotable: <<"+n+">>");if(o.Remotable.Registry.MainContext[n])return this._registerMainProcessActor(n,t);if(o.Remotable.Registry.ExtHostContext[n])return this._registerExtHostActor(n,t);if(o.Remotable.Registry.WorkerContext[n])return this._registerWorkerActor(n,t);throw new Error("Unknown Remotable: <<"+n+">>")},e}();t.AbstractThreadService=l});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/platform/thread/common/mainThreadService",["require","exports","vs/base/common/winjs.base","vs/base/common/worker/workerClient","vs/platform/thread/common/abstractThreadService","vs/base/common/flags","vs/base/common/platform","vs/base/common/timer","vs/platform/thread/common/thread","vs/base/worker/defaultWorkerFactory"],function(e,t,n,o,i,r,s,a,l,u){"use strict";var c=function(e){function t(o,i,r){var s=this;if(e.call(this,!0),this.serviceId=l.IThreadService,this._contextService=o,this._workerModuleId=i,this._defaultWorkerCount=r,this._workerFactory=new u.DefaultWorkerFactory,!this.isInMainThread)throw new Error("Incorrect Service usage: this service must be used only in the main thread");this._workerPool=[],this._affinityScrambler={},this._workersCreatedPromise=new n.TPromise(function(e,t,n){s._triggerWorkersCreatedPromise=e},function(){}),n.TPromise.timeout(t.MAXIMUM_WORKER_CREATION_DELAY).then(function(){return s.ensureWorkers()})}return __extends(t,e),t.prototype.ensureWorkers=function(){if(this._triggerWorkersCreatedPromise){var e=r.workersCount(this._defaultWorkerCount);s.hasWebWorkerSupport()||(e=Math.min(e,1));for(var t=0;e>t;t++)this._createWorker();var n=this._triggerWorkersCreatedPromise;this._triggerWorkersCreatedPromise=null,n(null)}},t.prototype._afterWorkers=function(){var e=this,t=!1;return new n.TPromise(function(n,o,i){e._workersCreatedPromise.then(function(){t||n(null)},o,i)},function(){t=!0})},t.prototype._createWorker=function(){this._workerPool.push(this._doCreateWorker())},t.prototype._shortName=function(e,t){return e.substring(e.length-14)+"."+t.substr(0,14)},t.prototype._doCreateWorker=function(){var e=this,t=new o.WorkerClient(this._workerFactory,this._workerModuleId,function(t){return"threadService"===t.type?e._shortName(t.payload[0],t.payload[1]):t.type});return t.getRemoteCom().setManyHandler(this),t.onModuleLoaded=t.request("initialize",{contextService:{workspace:this._contextService.getWorkspace(),configuration:this._contextService.getConfiguration(),options:this._contextService.getOptions()}}),t},t.prototype._getWorkerIndex=function(e,t){if(t===l.ThreadAffinity.None){for(var n=[0],o=this._workerPool[0].getQueueSize(),i=1;i<this._workerPool.length;i++){var r=this._workerPool[i].getQueueSize();o>r?(o=r,n=[i]):r===o&&n.push(i)}return n[Math.floor(Math.random()*n.length)]}var s=0;return this._affinityScrambler.hasOwnProperty(e.getId())?s=this._affinityScrambler[e.getId()]:(s=Math.floor(Math.random()*this._workerPool.length),this._affinityScrambler[e.getId()]=s),(s+t)%this._workerPool.length},t.prototype.OneWorker=function(e,t,n,o,i){var r=this;return this._afterWorkers().then(function(){if(0===r._workerPool.length)throw new Error("Cannot fulfill request...");var n=r._getWorkerIndex(e,i);return r._remoteCall(r._workerPool[n],e,t,o)})},t.prototype.AllWorkers=function(e,t,o,i){var r=this;return this._afterWorkers().then(function(){return n.TPromise.join(r._workerPool.map(function(n){return r._remoteCall(n,e,t,i)}))})},t.prototype._remoteCall=function(e,t,o,i){var r=t.getId();if(!r)throw new Error("Synchronizable Objects must have an identifier");var s=a.start(a.Topic.LANGUAGES,this._shortName(r,o)),l=function(){s.stop()},u=n.decoratePromise(e.request("threadService",[r,o,i]),l,l);return u},t.prototype._registerAndInstantiateMainProcessActor=function(e,t){return this._getOrCreateLocalInstance(e,t)},t.prototype._registerMainProcessActor=function(e,t){this._registerLocalInstance(e,t)},t.prototype._registerAndInstantiateExtHostActor=function(e,t){throw new Error("Not supported in this runtime context: Cannot communicate to non-existant Extension Host!")},t.prototype._registerExtHostActor=function(e,t){throw new Error("Not supported in this runtime context!")},t.prototype._registerAndInstantiateWorkerActor=function(e,t,n){var o=this._createWorkerProxyHelper(n);return this._getOrCreateProxyInstance(o,e,t)},t.prototype._registerWorkerActor=function(e,t){throw new Error("Not supported in this runtime context!")},t.prototype._createWorkerProxyHelper=function(e){var t=this;return{callOnRemote:function(n,o,i){return t._callOnWorker(e,n,o,i)}}},t.prototype._callOnWorker=function(e,t,o,i){var r=this;return e===l.ThreadAffinity.None?n.TPromise.as(null):this._afterWorkers().then(function(){if(e===l.ThreadAffinity.All){var s=r._workerPool.map(function(e){return e.getRemoteCom()}).map(function(e){return e.callOnRemote(t,o,i)});return n.TPromise.join(s)}var a=e%r._workerPool.length,u=r._workerPool[a];return u.getRemoteCom().callOnRemote(t,o,i)})},t.MAXIMUM_WORKER_CREATION_DELAY=500,t}(i.AbstractThreadService);t.MainThreadService=c}),define("vs/platform/workspace/common/workspace",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";t.IWorkspaceContextService=n.createDecorator("contextService")}),define("vs/editor/common/languages.common",["require","exports","vs/base/common/assert","vs/base/common/async","vs/base/common/callbackList","vs/base/common/cancellation","vs/base/common/collections","vs/base/common/event","vs/base/common/events","vs/base/common/lifecycle","vs/base/common/paths","vs/base/common/uri","vs/platform/platform","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/files/common/files","vs/platform/request/common/request","vs/platform/workspace/common/workspace","vs/platform/telemetry/common/telemetry","vs/platform/thread/common/thread","vs/platform/thread/common/threadService","vs/editor/common/editorCommon","vs/editor/common/modes","vs/editor/common/modes/abstractMode","vs/editor/common/modes/abstractState","vs/editor/common/modes/monarch/monarchCommon","vs/editor/common/modes/monarch/monarchDefinition","vs/editor/common/modes/monarch/monarchLexer","vs/editor/common/modes/monarch/monarchCompile","vs/editor/common/modes/supports/richEditSupport","vs/editor/common/modes/supports/suggestSupport","vs/editor/common/modes/supports/tokenizationSupport","vs/editor/common/services/modelService","vs/editor/common/services/modeService"],function(e,t){"use strict"});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/contrib/referenceSearch/browser/referencesWidget",["require","exports","vs/nls!vs/editor/contrib/referenceSearch/browser/referencesWidget","vs/base/common/collections","vs/base/common/errors","vs/base/common/labels","vs/base/common/event","vs/base/common/lifecycle","vs/base/common/network","vs/base/common/strings","vs/base/common/winjs.base","vs/base/browser/builder","vs/base/browser/dom","vs/base/browser/ui/sash/sash","vs/base/browser/ui/countBadge/countBadge","vs/base/browser/ui/filelabel/fileLabel","vs/base/browser/ui/leftRightWidget/leftRightWidget","vs/base/parts/tree/browser/treeDefaults","vs/base/parts/tree/browser/treeImpl","vs/platform/editor/common/editor","vs/platform/instantiation/common/serviceCollection","vs/platform/workspace/common/workspace","vs/editor/common/config/defaultConfig","vs/editor/common/core/range","vs/editor/common/editorCommon","vs/editor/common/model/model","vs/editor/browser/widget/embeddedCodeEditorWidget","vs/editor/contrib/zoneWidget/browser/peekViewWidget","./referencesModel","vs/css!./referencesWidget"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m,f,g,v,y,_,b,C,w,E,S,x,T,L,M){"use strict";var N=function(){function e(e,t){var n=this;this.editor=e,this.model=t,this._decorationSet=o.createStringDictionary(),this._decorationIgnoreSet=o.createStringDictionary(),this._callOnDispose=[],this._callOnModelChange=[],this._callOnDispose.push(this.editor.onDidChangeModel(function(){return n._onModelChanged()})),this._onModelChanged()}return e.prototype.dispose=function(){this._callOnModelChange=a.dispose(this._callOnModelChange),this._callOnDispose=a.dispose(this._callOnDispose),this.removeDecorations()},e.prototype._onModelChanged=function(){this.removeDecorations(),
this._callOnModelChange=a.dispose(this._callOnModelChange);var e=this.editor.getModel();if(e)for(var t=0,n=this.model.groups.length;n>t;t++)if(this.model.groups[t].uri.toString()===e.uri.toString())return void this._addDecorations(this.model.groups[t])},e.prototype._addDecorations=function(t){var n=this;this._callOnModelChange.push(this.editor.getModel().onDidChangeDecorations(function(e){return n._onDecorationChanged(e)})),this.editor.getModel().changeDecorations(function(o){for(var i=[],r=[],s=0,a=t.children.length;a>s;s++){var l=t.children[s];n._decorationIgnoreSet[l.id]||(i.push({range:l.range,options:e.DecorationOptions}),r.push(s))}for(var u=o.deltaDecorations([],i),c=0;c<u.length;c++)n._decorationSet[u[c]]=t.children[r[c]]})},e.prototype._onDecorationChanged=function(e){for(var t=this,n=e.addedOrChangedDecorations,i=[],r=0,s=n.length;s>r;r++){var a=o.lookup(this._decorationSet,n[r].id);if(a){var l=n[r].range,u=!1;if(!E.Range.equalsRange(l,a.range)){if(E.Range.spansMultipleLines(l))u=!0;else{var c=a.range.endColumn-a.range.startColumn,d=l.endColumn-l.startColumn;c!==d&&(u=!0)}u?(this._decorationIgnoreSet[a.id]=a,i.push(n[r].id)):a.range=l}}}this.editor.changeDecorations(function(e){for(var n=0,o=i.length;o>n;n++)delete t._decorationSet[i[n]];e.deltaDecorations(i,[])})},e.prototype.removeDecorations=function(){var e=Object.keys(this._decorationSet);e.length>0&&this.editor.changeDecorations(function(t){t.deltaDecorations(e,[])}),this._decorationSet={}},e.DecorationOptions={stickiness:S.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,className:"reference-decoration"},e}(),I=function(){function e(e){this._editorService=e}return e.prototype.getId=function(e,t){return t instanceof M.ReferencesModel?"root":t instanceof M.FileReferences?t.id:t instanceof M.OneReference?t.id:void 0},e.prototype.hasChildren=function(e,t){return t instanceof M.ReferencesModel?!0:t instanceof M.FileReferences&&!t.failure?!0:void 0},e.prototype.getChildren=function(e,t){return t instanceof M.ReferencesModel?c.TPromise.as(t.groups):t instanceof M.FileReferences?t.resolve(this._editorService).then(function(n){return t.failure?e.refresh(t).then(function(){return n.children}):n.children}):c.TPromise.as([])},e.prototype.getParent=function(e,t){var n=null;return t instanceof M.FileReferences?n=t.parent:t instanceof M.OneReference&&(n=t.parent),c.TPromise.as(n)},e=__decorate([__param(0,_.IEditorService)],e)}(),D=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),t.prototype.onTap=function(n,o,i){if(o instanceof M.FileReferences)return i.preventDefault(),i.stopPropagation(),this._expandCollapse(n,o);var r=e.prototype.onTap.call(this,n,o,i);return n.emit(t.Events.FOCUSED,o),r},t.prototype.onMouseDown=function(n,o,i){if(i.leftButton){if(o instanceof M.FileReferences)return i.preventDefault(),i.stopPropagation(),this._expandCollapse(n,o);var r=e.prototype.onClick.call(this,n,o,i);return i.ctrlKey||i.metaKey?n.emit(t.Events.OPEN_TO_SIDE,o):2===i.detail?n.emit(t.Events.SELECTED,o):n.emit(t.Events.FOCUSED,o),r}return!1},t.prototype.onClick=function(t,n,o){return o.leftButton?!1:e.prototype.onClick.call(this,t,n,o)},t.prototype._expandCollapse=function(e,t){return e.isExpanded(t)?e.collapse(t).done(null,i.onUnexpectedError):e.expand(t).done(null,i.onUnexpectedError),!0},t.prototype.onEscape=function(e,t){return!1},t.prototype.onEnter=function(n,o){var i=n.getFocus();if(i instanceof M.FileReferences)return this._expandCollapse(n,i);var r=e.prototype.onEnter.call(this,n,o);return o.ctrlKey||o.metaKey?n.emit(t.Events.OPEN_TO_SIDE,i):n.emit(t.Events.SELECTED,i),r},t.prototype.onUp=function(t,n){return e.prototype.onUp.call(this,t,n),this._fakeFocus(t,n),!0},t.prototype.onPageUp=function(t,n){return e.prototype.onPageUp.call(this,t,n),this._fakeFocus(t,n),!0},t.prototype.onLeft=function(t,n){return e.prototype.onLeft.call(this,t,n),this._fakeFocus(t,n),!0},t.prototype.onDown=function(t,n){return e.prototype.onDown.call(this,t,n),this._fakeFocus(t,n),!0},t.prototype.onPageDown=function(t,n){return e.prototype.onPageDown.call(this,t,n),this._fakeFocus(t,n),!0},t.prototype.onRight=function(t,n){return e.prototype.onRight.call(this,t,n),this._fakeFocus(t,n),!0},t.prototype._fakeFocus=function(e,n){var o=e.getFocus();e.setSelection([o]),e.emit(t.Events.FOCUSED,o)},t.Events={FOCUSED:"events/custom/focused",SELECTED:"events/custom/selected",OPEN_TO_SIDE:"events/custom/opentoside"},t}(v.DefaultController),R=function(e){function t(t){e.call(this),this._contextService=t}return __extends(t,e),t.prototype.getHeight=function(e,t){return 22},t.prototype.render=function(e,t,o){var i=this;if(h.clearNode(o),t instanceof M.FileReferences){var r=d.$(".reference-file");new g.LeftRightWidget(r,function(e){return new f.FileLabel(e,t.uri,i._contextService),null},function(e){var o=t.children.length,i=new m.CountBadge(e,o);return t.failure?i.setTitleFormat(n.localize(0,null)):o>1?i.setTitleFormat(n.localize(1,null,o)):i.setTitleFormat(n.localize(2,null,o)),i}),r.appendTo(o)}else if(t instanceof M.OneReference){var s=t.parent.preview.preview(t.range);d.$(".reference").innerHtml(u.format('<span>{0}</span><span class="referenceMatch">{1}</span><span>{2}</span>',u.escape(s.before),u.escape(s.inside),u.escape(s.after))).appendTo(o)}return null},t=__decorate([__param(0,C.IWorkspaceContextService)],t)}(v.LegacyRenderer),O=function(){function e(e,t){var n=this;this._disposables=new a.Disposables,this._onDidChangePercentages=new s.Emitter,this._ratio=t,this._sash=new p.Sash(e,{getVerticalSashLeft:function(){return n._width*n._ratio},getVerticalSashHeight:function(){return n._height}});var o;this._disposables.add(this._sash.addListener2("start",function(e){o=e.startX-n._width*n.ratio})),this._disposables.add(this._sash.addListener2("change",function(e){var t=e.currentX-o;t>20&&t+20<n._width&&(n._ratio=t/n._width,n._sash.layout(),n._onDidChangePercentages.fire(n))}))}return e.prototype.dispose=function(){this._sash.dispose(),this._onDidChangePercentages.dispose(),this._disposables.dispose()},Object.defineProperty(e.prototype,"onDidChangePercentages",{get:function(){return this._onDidChangePercentages.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"width",{set:function(e){this._width=e,this._sash.layout()},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"height",{set:function(e){this._height=e,this._sash.layout()},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"percentages",{get:function(){var e=100*this._ratio,t=100-e;return[e+"%",t+"%"]},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"ratio",{get:function(){return this._ratio},enumerable:!0,configurable:!0}),e}(),k=function(e){function t(n,o,i,r,a){e.call(this,n,t.INNER_EDITOR_CONTEXT_KEY,{frameColor:"#007ACC",showFrame:!1,showArrow:!0,isResizeable:!0}),this.layoutData=o,this._editorService=i,this._contextService=r,this._instantiationService=a,this._disposeOnNewModel=[],this._onDidSelectReference=new s.Emitter,this._instantiationService=this._instantiationService.createChild(new b.ServiceCollection([L.IPeekViewService,this])),this.create()}return __extends(t,e),t.prototype.dispose=function(){this.setModel(null),a.dispose(this._preview,this._previewNotAvailableMessage,this._tree,this._sash),e.prototype.dispose.call(this)},Object.defineProperty(t.prototype,"onDidSelectReference",{get:function(){return this._onDidSelectReference.event},enumerable:!0,configurable:!0}),t.prototype.show=function(t){this.editor.revealRangeInCenterIfOutsideViewport(t),e.prototype.show.call(this,t,this.layoutData.heightInLines||18)},t.prototype.focus=function(){this._tree.DOMFocus()},t.prototype._onTitleClick=function(e){this._preview&&this._preview.getModel()&&this._onDidSelectReference.fire({element:this._getFocusedReference(),kind:e.ctrlKey||e.metaKey?"side":"open",source:"title"})},t.prototype._fillBody=function(e){var t=this,o=d.$(e);o.addClass("reference-zone-widget"),o.div({"class":"messages"},function(e){t._messageContainer=e.hide()}),o.div({"class":"preview inline"},function(e){var o={scrollBeyondLastLine:!1,scrollbar:w.DefaultConfig.editor.scrollbar,overviewRulerLanes:2};t._preview=t._instantiationService.createInstance(T.EmbeddedCodeEditorWidget,e.getHTMLElement(),o,t.editor),t._previewContainer=e.hide(),t._previewNotAvailableMessage=new x.Model(n.localize(3,null),x.Model.DEFAULT_CREATION_OPTIONS,null)}),this._sash=new O(e,this.layoutData.ratio||.8),this._sash.onDidChangePercentages(function(){var e=t._sash.percentages,n=e[0],o=e[1];t._previewContainer.style({width:n}),t._treeContainer.style({width:o}),t._preview.layout(),t._tree.layout(),t.layoutData.ratio=t._sash.ratio}),o.div({"class":"ref-tree inline"},function(e){var o={dataSource:t._instantiationService.createInstance(I),renderer:t._instantiationService.createInstance(R),controller:new D},i={allowHorizontalScroll:!1,twistiePixels:20,ariaLabel:n.localize(4,null)};t._tree=new y.Tree(e.getHTMLElement(),o,i),t._treeContainer=e.hide()})},t.prototype._doLayoutBody=function(t,n){e.prototype._doLayoutBody.call(this,t,n);var o=t+"px";this._sash.height=t,this._sash.width=n;var i=this._sash.percentages,r=i[0],s=i[1];this._previewContainer.style({height:o,width:r}),this._treeContainer.style({height:o,width:s}),this._tree.layout(t),this._preview.layout(),this.layoutData={heightInLines:this._viewZone.heightInLines,ratio:this._sash.ratio}},t.prototype._onWidth=function(e){this._sash.width=e,this._preview.layout()},t.prototype.setSelection=function(e){return this._revealReference(e)},t.prototype.setModel=function(e){return this._disposeOnNewModel=a.dispose(this._disposeOnNewModel),this._model=e,this._model?this._onNewModel():void 0},t.prototype._onNewModel=function(){var e=this;if(this._model.empty)return this.setTitle(""),this._messageContainer.innerHtml(n.localize(5,null)).show(),c.TPromise.as(void 0);this._messageContainer.hide(),this._decorationsManager=new N(this._preview,this._model),this._disposeOnNewModel.push(this._decorationsManager),this._disposeOnNewModel.push(this._model.onDidChangeReferenceRange(function(t){return e._tree.refresh(t)})),this._disposeOnNewModel.push(this._tree.addListener2(D.Events.FOCUSED,function(t){t instanceof M.OneReference&&(e._revealReference(t),e._onDidSelectReference.fire({element:t,kind:"show",source:"tree"}))})),this._disposeOnNewModel.push(this._tree.addListener2(D.Events.SELECTED,function(t){t instanceof M.OneReference&&(e._revealReference(t),e._onDidSelectReference.fire({element:t,kind:"goto",source:"tree"}))})),this._disposeOnNewModel.push(this._tree.addListener2(D.Events.OPEN_TO_SIDE,function(t){t instanceof M.OneReference&&e._onDidSelectReference.fire({element:t,kind:"side",source:"tree"})})),this._disposeOnNewModel.push(this._preview.onMouseDown(function(t){2===t.event.detail&&e._onDidSelectReference.fire({element:e._getFocusedReference(),kind:t.event.ctrlKey||t.event.metaKey?"side":"open",source:"editor"})})),h.addClass(this.container,"results-loaded"),this._treeContainer.show(),this._previewContainer.show(),this._preview.layout(),this._tree.layout(),this.focus();var t=1===this._model.groups.length?this._model.groups[0]:this._model;return this._tree.setInput(t)},t.prototype._getFocusedReference=function(){var e=this._tree.getFocus();return e instanceof M.OneReference?e:e instanceof M.FileReferences&&e.children.length>0?e.children[0]:void 0},t.prototype._revealReference=function(e){var t=this;return e.uri.scheme!==l.Schemas.inMemory?this.setTitle(e.name,r.getPathLabel(e.directory,this._contextService)):this.setTitle(n.localize(6,null)),c.TPromise.join([this._editorService.resolveEditorModel({resource:e.uri}),this._tree.reveal(e)]).then(function(n){if(t._model){var o=n[0];if(o){t._preview.setModel(o.textEditorModel);var i=E.Range.lift(e.range).collapseToStart();t._preview.setSelection(i),t._preview.revealRangeInCenter(i)}else t._preview.setModel(t._previewNotAvailableMessage);t._tree.setSelection([e]),t._tree.setFocus(e)}},i.onUnexpectedError)},t.INNER_EDITOR_CONTEXT_KEY="inReferenceSearchEditor",t}(L.PeekViewWidget);t.ReferenceWidget=k});var __decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/contrib/referenceSearch/browser/referencesController",["require","exports","vs/nls!vs/editor/contrib/referenceSearch/browser/referencesController","vs/base/common/errors","vs/base/common/lifecycle","vs/base/common/severity","vs/platform/editor/common/editor","vs/platform/instantiation/common/instantiation","vs/platform/keybinding/common/keybindingService","vs/platform/message/common/message","vs/platform/telemetry/common/telemetry","vs/platform/configuration/common/configuration","vs/platform/workspace/common/workspace","vs/platform/storage/common/storage","vs/editor/browser/editorBrowserExtensions","vs/editor/contrib/zoneWidget/browser/peekViewWidget","./referencesWidget"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m,f,g){"use strict";t.ctxReferenceSearchVisible="referenceSearchVisible";var v=function(){function e(e,n,o,i,r,s,a,l,u,c){this._editorService=o,this._telemetryService=i,this._messageService=r,this._instantiationService=s,this._contextService=a,this._storageService=l,this._configurationService=u,this._peekViewService=c,this._requestIdPool=0,this._disposables=[],this._ignoreModelChangeEvent=!1,this._editor=e,this._referenceSearchVisible=n.createKey(t.ctxReferenceSearchVisible,!1)}return e.getController=function(t){return t.getContribution(e.ID)},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this._widget&&(this._widget.dispose(),this._widget=null),this._editor=null},e.prototype.toggleWidget=function(e,t,o){var i,s=this;if(this._widget&&(i=this._widget.position),this.closeWidget(),i&&e.containsPosition(i))return null;this._referenceSearchVisible.set(!0),this._disposables.push(this._editor.onDidChangeModelMode(function(){s.closeWidget()})),this._disposables.push(this._editor.onDidChangeModel(function(){s._ignoreModelChangeEvent||s.closeWidget()}));var a="peekViewLayout",l=JSON.parse(this._storageService.get(a,void 0,"{}"));this._widget=new g.ReferenceWidget(this._editor,l,this._editorService,this._contextService,this._instantiationService),this._widget.setTitle(n.localize(0,null)),this._widget.show(e),this._disposables.push(this._widget.onDidClose(function(){t.cancel(),s._storageService.store(a,JSON.stringify(s._widget.layoutData)),s._widget=null,s.closeWidget()})),this._disposables.push(this._widget.onDidSelectReference(function(e){var t=e.element,n=e.kind;switch(n){case"open":if("editor"===e.source&&d.getConfigurationValue(s._configurationService.getConfiguration(),"editor.stablePeek",!1))break;case"side":s._openReference(t,"side"===n);break;case"goto":o.onGoto?o.onGoto(t):s._gotoReference(t)}}));var u=++this._requestIdPool,c=this._telemetryService.timedPublicLog("findReferences",{mode:this._editor.getModel().getMode().getId()});t.then(function(t){if(u===s._requestIdPool&&s._widget){s._model=t;var n=Date.now();return s._disposables.push({dispose:function(){s._telemetryService.publicLog("zoneWidgetShown",{mode:"reference search",elapsedTime:Date.now()-n})}}),s._widget.setModel(s._model).then(function(){s._widget.setMetaTitle(o.getMetaTitle(s._model));var t=s._editor.getModel().uri,n={lineNumber:e.startLineNumber,column:e.startColumn},i=s._model.nearestReference(t,n);return i?s._widget.setSelection(i):void 0})}},function(e){s._messageService.show(r["default"].Error,e)}).done(function(){c.stop()})},e.prototype.closeWidget=function(){this._widget&&(this._widget.dispose(),this._widget=null),this._referenceSearchVisible.reset(),this._disposables=i.dispose(this._disposables),this._model=null,this._editor.focus(),this._requestIdPool+=1},e.prototype._gotoReference=function(e){var t=this;this._ignoreModelChangeEvent=!0;var n=e.uri,i=e.range;this._editorService.openEditor({resource:n,options:{selection:i}}).done(function(e){return t._ignoreModelChangeEvent=!1,e&&e.getControl()===t._editor?(t._widget.show(i),void t._widget.focus()):void t.closeWidget()},function(e){t._ignoreModelChangeEvent=!1,o.onUnexpectedError(e)})},e.prototype._openReference=function(e,t){var n=e.uri,o=e.range;this._editorService.openEditor({resource:n,options:{selection:o}},t),t||this.closeWidget()},e.ID="editor.contrib.referencesController",e=__decorate([__param(1,l.IKeybindingService),__param(2,s.IEditorService),__param(3,c.ITelemetryService),__param(4,u.IMessageService),__param(5,a.IInstantiationService),__param(6,h.IWorkspaceContextService),__param(7,p.IStorageService),__param(8,d.IConfigurationService),__param(9,a.optional(f.IPeekViewService))],e)}();t.ReferencesController=v,m.EditorBrowserRegistry.registerEditorContribution(v)});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/contrib/goToDeclaration/browser/goToDeclaration",["require","exports","vs/nls!vs/editor/contrib/goToDeclaration/browser/goToDeclaration","vs/base/common/async","vs/base/common/errors","vs/base/common/keyCodes","vs/base/common/platform","vs/base/common/severity","vs/base/common/strings","vs/base/common/winjs.base","vs/base/browser/browser","vs/platform/editor/common/editor","vs/platform/message/common/message","vs/editor/common/core/range","vs/editor/common/editorAction","vs/editor/common/editorActionEnablement","vs/editor/common/editorCommon","vs/editor/common/editorCommonExtensions","vs/editor/common/modes","vs/editor/common/modes/textToHtmlTokenizer","vs/editor/browser/editorBrowserExtensions","vs/editor/contrib/goToDeclaration/common/goToDeclaration","vs/editor/contrib/referenceSearch/browser/referencesController","vs/editor/contrib/referenceSearch/browser/referencesModel","vs/base/common/lifecycle","vs/editor/contrib/zoneWidget/browser/peekViewWidget","vs/platform/instantiation/common/instantiation","vs/css!./goToDeclaration"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m,f,g,v,y,_,b,C,w,E,S,x,T){"use strict";var L=function(){function e(e,t,n,o){void 0===e&&(e=f.Behaviour.WidgetFocus|f.Behaviour.ShowInContextMenu|f.Behaviour.UpdateOnCursorPositionChange),void 0===t&&(t=!1),void 0===n&&(n=!1),void 0===o&&(o=!0),this.condition=e,this.openToSide=t,this.openInPeek=n,this.filterCurrent=o}return e}();t.DefinitionActionConfig=L;var M=function(e){function t(t,n,o,i,r){e.call(this,t,n,r.condition),this._messageService=o,this._editorService=i,this._configuration=r}return __extends(t,e),t.prototype.getGroupId=function(){return"1_goto/2_visitDefinition"},t.prototype.isSupported=function(){return y.DefinitionProviderRegistry.has(this.editor.getModel())&&e.prototype.isSupported.call(this)},t.prototype.getEnablementState=function(){return e.prototype.getEnablementState.call(this)?y.DefinitionProviderRegistry.has(this.editor.getModel()):!1},t.prototype.run=function(){var e=this,t=this.editor.getModel(),n=this.editor.getPosition();return C.getDeclarationsAtPosition(t,n).then(function(o){if(o){for(var i=[],r=0;r<o.length;r++){var s=o[r];if(s){var a=s.uri,l=s.range;e._configuration.filterCurrent&&a.toString()===t.uri.toString()&&p.Range.containsPosition(l,n)||i.push({uri:a,range:p.Range.collapseToStart(l)})}}if(0!==i.length)return e._onResult(i)}},function(t){return e._messageService.show(a["default"].Error,t),!1})},t.prototype._onResult=function(e){var t=this;if(this._configuration.openInPeek)this._openInPeek(this.editor,e);else{var n=e[0];this._openReference(n,this._configuration.openToSide).then(function(n){e.length>1&&t._openInPeek(n,e)})}},t.prototype._openReference=function(e,t){var n=e.uri,o=e.range;return this._editorService.openEditor({resource:n,options:{selection:o}},t).then(function(e){return e.getControl()})},t.prototype._openInPeek=function(e,t){var o=this,i=w.ReferencesController.getController(e);i.toggleWidget(e.getSelection(),u.TPromise.as(new E.ReferencesModel(t)),{getMetaTitle:function(e){return e.references.length>1&&n.localize(0,null,e.references.length)},onGoto:function(e){return i.closeWidget(),o._openReference(e,!1)}})},t}(m.EditorAction);t.DefinitionAction=M;var N=function(e){function t(t,n,o,i){e.call(this,t,n,o,i,new L)}return __extends(t,e),t.ID="editor.action.goToDeclaration",t=__decorate([__param(2,h.IMessageService),__param(3,d.IEditorService)],t)}(M);t.GoToDefinitionAction=N;var I=function(e){function t(t,n,o,i){e.call(this,t,n,o,i,new L(f.Behaviour.WidgetFocus|f.Behaviour.UpdateOnCursorPositionChange,!0))}return __extends(t,e),t.ID="editor.action.openDeclarationToTheSide",t=__decorate([__param(2,h.IMessageService),__param(3,d.IEditorService)],t)}(M);t.OpenDefinitionToSideAction=I;var D=function(e){function t(t,n,o,i,r){e.call(this,t,n,o,i,new L(void 0,void 0,!0,!1)),this._peekViewService=r}return __extends(t,e),t.prototype.getEnablementState=function(){return(!this._peekViewService||!this._peekViewService.isActive)&&e.prototype.getEnablementState.call(this)},t.ID="editor.action.previewDeclaration",t=__decorate([__param(2,h.IMessageService),__param(3,d.IEditorService),__param(4,T.optional(x.IPeekViewService))],t)}(M);t.PeekDefinitionAction=D;var R=function(){function e(e,t){var n=this;this.editorService=t,this.toUnhook=[],this.decorations=[],this.editor=e,this.throttler=new o.Throttler,this.toUnhook.push(this.editor.onMouseDown(function(e){return n.onEditorMouseDown(e)})),this.toUnhook.push(this.editor.onMouseUp(function(e){return n.onEditorMouseUp(e)})),this.toUnhook.push(this.editor.onMouseMove(function(e){return n.onEditorMouseMove(e)})),this.toUnhook.push(this.editor.onKeyDown(function(e){return n.onEditorKeyDown(e)})),this.toUnhook.push(this.editor.onKeyUp(function(e){return n.onEditorKeyUp(e)})),this.toUnhook.push(this.editor.onDidChangeModel(function(e){return n.resetHandler()})),this.toUnhook.push(this.editor.onDidChangeModelContent(function(){return n.resetHandler()})),this.toUnhook.push(this.editor.onDidScrollChange(function(e){(e.scrollTopChanged||e.scrollLeftChanged)&&n.resetHandler()}))}return e.prototype.onEditorMouseMove=function(e,t){this.lastMouseMoveEvent=e,this.startFindDefinition(e,t)},e.prototype.startFindDefinition=function(t,o){var r=this;if(!this.isEnabled(t,o))return this.currentWordUnderMouse=null,void this.removeDecorations();var s=t.target.position,a=s?this.editor.getModel().getWordAtPosition(s):null;if(!a)return this.currentWordUnderMouse=null,void this.removeDecorations();if(!this.currentWordUnderMouse||this.currentWordUnderMouse.startColumn!==a.startColumn||this.currentWordUnderMouse.endColumn!==a.endColumn||this.currentWordUnderMouse.word!==a.word){this.currentWordUnderMouse=a;var c=this.editor.captureState(g.CodeEditorStateFlag.Position,g.CodeEditorStateFlag.Value,g.CodeEditorStateFlag.Selection,g.CodeEditorStateFlag.Scroll);this.throttler.queue(function(){return c.validate(r.editor)?r.findDefinition(t.target):u.TPromise.as(null)}).then(function(t){if(!t||!t.length||!c.validate(r.editor))return void r.removeDecorations();if(t.length>1)r.addDecoration({startLineNumber:s.lineNumber,startColumn:a.startColumn,endLineNumber:s.lineNumber,endColumn:a.endColumn},n.localize(1,null,t.length),!1);else{var o=t[0];r.editorService.resolveEditorModel({resource:o.uri}).then(function(t){var n;if(t&&t.textEditorModel){var i=Math.max(1,o.range.startLineNumber),u=void 0,c=void 0;c=t.textEditorModel,u=o.range.startLineNumber!==o.range.endLineNumber||o.range.startColumn!==o.range.endColumn?Math.min(o.range.endLineNumber,o.range.startLineNumber+e.MAX_SOURCE_PREVIEW_LINES,c.getLineCount()):Math.min(i+e.MAX_SOURCE_PREVIEW_LINES,c.getLineCount()),n=c.getValueInRange({startLineNumber:i,startColumn:1,endLineNumber:u,endColumn:c.getLineMaxColumn(u)}).trim();for(var d=Number.MAX_VALUE,h=/^[ \t]*/,p=void 0,m=void 0;u>=i&&d>0;)m=c.getLineContent(i++),0!==m.trim().length&&(p=h.exec(m),d=Math.min(d,p[0].length));n=n.replace(new RegExp("^([ \\t]{"+d+"})","gm"),l.empty),o.range.endLineNumber-o.range.startLineNumber>e.MAX_SOURCE_PREVIEW_LINES&&(n+="\n…")}r.addDecoration({startLineNumber:s.lineNumber,startColumn:a.startColumn,endLineNumber:s.lineNumber,endColumn:a.endColumn},n,!0)})}}).done(void 0,i.onUnexpectedError)}},e.prototype.addDecoration=function(e,t,n){var o=this.editor.getModel();if(o){var i={tagName:"div",className:"goto-definition-link-hover",style:"tab-size: "+o.getOptions().tabSize};t&&t.trim().length>0&&(i.children=[n?_.tokenizeToHtmlContent(t,o.getMode()):{tagName:"span",text:t}]);var r={range:e,options:{inlineClassName:"goto-definition-link",htmlMessage:[i]}};this.decorations=this.editor.deltaDecorations(this.decorations,[r])}},e.prototype.removeDecorations=function(){this.decorations.length>0&&(this.decorations=this.editor.deltaDecorations(this.decorations,[]))},e.prototype.onEditorKeyDown=function(t){this.lastMouseMoveEvent&&(t.keyCode===e.TRIGGER_KEY_VALUE||t.keyCode===e.TRIGGER_SIDEBYSIDE_KEY_VALUE&&t[e.TRIGGER_MODIFIER])?this.startFindDefinition(this.lastMouseMoveEvent,t):t[e.TRIGGER_MODIFIER]&&this.removeDecorations()},e.prototype.resetHandler=function(){this.lastMouseMoveEvent=null,this.removeDecorations()},e.prototype.onEditorMouseDown=function(t){this.hasTriggerKeyOnMouseDown=!!t.event[e.TRIGGER_MODIFIER]},e.prototype.onEditorMouseUp=function(e){var t=this;this.isEnabled(e)&&this.hasTriggerKeyOnMouseDown&&this.gotoDefinition(e.target,e.event.altKey).done(function(){t.removeDecorations()},function(e){t.removeDecorations(),i.onUnexpectedError(e)})},e.prototype.onEditorKeyUp=function(t){t.keyCode===e.TRIGGER_KEY_VALUE&&(this.removeDecorations(),this.currentWordUnderMouse=null)},e.prototype.isEnabled=function(t,n){return this.editor.getModel()&&(c.isIE11orEarlier||t.event.detail<=1)&&t.target.type===g.MouseTargetType.CONTENT_TEXT&&(t.event[e.TRIGGER_MODIFIER]||n&&n.keyCode===e.TRIGGER_KEY_VALUE)&&y.DefinitionProviderRegistry.has(this.editor.getModel())},e.prototype.findDefinition=function(e){var t=this.editor.getModel();return t?C.getDeclarationsAtPosition(this.editor.getModel(),e.position):u.TPromise.as(null)},e.prototype.gotoDefinition=function(e,t){var n=t?I.ID:N.ID;return this.editor.setPosition(e.position),this.editor.getAction(n).run()},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this.toUnhook=S.dispose(this.toUnhook)},e.ID="editor.contrib.gotodefinitionwithmouse",e.TRIGGER_MODIFIER=s.isMacintosh?"metaKey":"ctrlKey",e.TRIGGER_SIDEBYSIDE_KEY_VALUE=r.KeyCode.Alt,e.TRIGGER_KEY_VALUE=s.isMacintosh?r.KeyCode.Meta:r.KeyCode.Ctrl,e.MAX_SOURCE_PREVIEW_LINES=7,e=__decorate([__param(1,d.IEditorService)],e)}();v.CommonEditorRegistry.registerEditorAction(new v.EditorActionDescriptor(D,D.ID,n.localize(2,null),{context:v.ContextKey.EditorTextFocus,primary:r.KeyMod.Alt|r.KeyCode.F12,linux:{primary:r.KeyMod.CtrlCmd|r.KeyMod.Shift|r.KeyCode.F10}},"Peek Definition"));var O;O=s.isWeb?r.KeyMod.CtrlCmd|r.KeyCode.F12:r.KeyCode.F12,v.CommonEditorRegistry.registerEditorAction(new v.EditorActionDescriptor(N,N.ID,n.localize(3,null),{context:v.ContextKey.EditorTextFocus,primary:O},"Go to Definition")),v.CommonEditorRegistry.registerEditorAction(new v.EditorActionDescriptor(I,I.ID,n.localize(4,null),{context:v.ContextKey.EditorTextFocus,primary:r.KeyMod.chord(r.KeyMod.CtrlCmd|r.KeyCode.KEY_K,O)},"Open Definition to the Side")),b.EditorBrowserRegistry.registerEditorContribution(R)});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/contrib/referenceSearch/browser/referenceSearch",["require","exports","vs/nls!vs/editor/contrib/referenceSearch/browser/referenceSearch","vs/base/common/keyCodes","vs/base/common/uri","vs/base/common/winjs.base","vs/platform/editor/common/editor","vs/platform/instantiation/common/instantiation","vs/platform/keybinding/common/keybindingService","vs/platform/keybinding/common/keybindingsRegistry","vs/editor/common/core/position","vs/editor/common/core/range","vs/editor/common/editorAction","vs/editor/common/editorActionEnablement","vs/editor/common/editorCommonExtensions","vs/editor/common/modes","vs/editor/contrib/zoneWidget/browser/peekViewWidget","../common/referenceSearch","./referencesWidget","./referencesController","./referencesModel"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m,f,g,v,y,_,b){"use strict";function C(e,t){var n=g.getOuterEditor(e,t);if(n){var o=_.ReferencesController.getController(n);o.closeWidget()}}var w={getMetaTitle:function(e){return e.references.length>1&&n.localize(0,null,e.references.length)}},E=function(e){function t(t,o,i,r){e.call(this,t,o,p.Behaviour.WidgetFocus|p.Behaviour.ShowInContextMenu|p.Behaviour.UpdateOnCursorPositionChange),this.label=n.localize(1,null),this.peekViewService=r,this.peekViewService&&i.createKey(this.peekViewService.contextKey,!0)}return __extends(t,e),t.prototype.getGroupId=function(){return"1_goto/4_references"},t.prototype.isSupported=function(){return f.ReferenceProviderRegistry.has(this.editor.getModel())&&e.prototype.isSupported.call(this)},t.prototype.getEnablementState=function(){return this.peekViewService&&this.peekViewService.isActive?!1:f.ReferenceProviderRegistry.has(this.editor.getModel())},t.prototype.run=function(){var e=this.editor.getSelection(),t=this.editor.getModel(),n=v.provideReferences(t,e.getStartPosition()).then(function(e){return new b.ReferencesModel(e)}),o=_.ReferencesController.getController(this.editor);return r.TPromise.as(o.toggleWidget(e,n,w)).then(function(){return!0})},t.ID="editor.action.referenceSearch.trigger",t=__decorate([__param(2,l.IKeybindingService),__param(3,a.optional(g.IPeekViewService))],t)}(h.EditorAction);t.ReferenceAction=E;var S=function(e,t,n){if(!(t instanceof i["default"]))throw new Error("illegal argument, uri");if(!n)throw new Error("illega argument, position");return e.get(s.IEditorService).openEditor({resource:t}).then(function(e){var t=e.getControl();if(t&&"function"==typeof t.getEditorType){var o=v.provideReferences(t.getModel(),c.Position.lift(n)).then(function(e){return new b.ReferencesModel(e)}),i=_.ReferencesController.getController(t),s=new d.Range(n.lineNumber,n.column,n.lineNumber,n.column);return r.TPromise.as(i.toggleWidget(s,o,w))}})},x=function(e,t,n,o){if(!(t instanceof i["default"]))throw new Error("illegal argument, uri expected");return e.get(s.IEditorService).openEditor({resource:t}).then(function(e){var t=e.getControl();if(t&&"function"==typeof t.getEditorType){var i=_.ReferencesController.getController(t);return r.TPromise.as(i.toggleWidget(d.Range.lift(c.Position.asEmptyRange(n)),r.TPromise.as(new b.ReferencesModel(o)),w)).then(function(){return!0})}})};m.CommonEditorRegistry.registerEditorAction(new m.EditorActionDescriptor(E,E.ID,n.localize(2,null),{
context:m.ContextKey.EditorTextFocus,primary:o.KeyMod.Shift|o.KeyCode.F12},"Find All References")),u.KeybindingsRegistry.registerCommandDesc({id:"editor.action.findReferences",handler:S,weight:m.CommonEditorRegistry.commandWeight(50),when:null,primary:void 0}),u.KeybindingsRegistry.registerCommandDesc({id:"editor.action.showReferences",handler:x,weight:m.CommonEditorRegistry.commandWeight(50),when:null,primary:void 0,description:{description:"Show references at a position in a file",args:[{name:"uri",description:"The text document in which to show references",constraint:i["default"]},{name:"position",description:"The position at which to show",constraint:c.Position.isIPosition},{name:"locations",description:"An array of locations.",constraint:Array}]}}),u.KeybindingsRegistry.registerCommandDesc({id:"closeReferenceSearch",weight:m.CommonEditorRegistry.commandWeight(50),primary:o.KeyCode.Escape,secondary:[o.KeyMod.Shift|o.KeyCode.Escape],when:l.KbExpr.and(l.KbExpr.has(_.ctxReferenceSearchVisible),l.KbExpr.not("config.editor.stablePeek")),handler:C}),u.KeybindingsRegistry.registerCommandDesc({id:"closeReferenceSearchEditor",weight:m.CommonEditorRegistry.commandWeight(-101),primary:o.KeyCode.Escape,secondary:[o.KeyMod.Shift|o.KeyCode.Escape],when:l.KbExpr.and(l.KbExpr.has(y.ReferenceWidget.INNER_EDITOR_CONTEXT_KEY),l.KbExpr.not("config.editor.stablePeek")),handler:C})}),define("vs/platform/workspace/common/baseWorkspaceContextService",["require","exports","vs/base/common/uri","vs/base/common/paths","./workspace"],function(e,t,n,o,i){"use strict";var r=function(){function e(e,t,n){void 0===n&&(n={}),this.serviceId=i.IWorkspaceContextService,this.workspace=e,this.configuration=t,this.options=n}return e.prototype.getWorkspace=function(){return this.workspace},e.prototype.getConfiguration=function(){return this.configuration},e.prototype.getOptions=function(){return this.options},e.prototype.isInsideWorkspace=function(e){return e&&this.workspace?o.isEqualOrParent(e.fsPath,this.workspace.resource.fsPath):!1},e.prototype.toWorkspaceRelativePath=function(e){return this.isInsideWorkspace(e)?o.normalize(o.relative(this.workspace.resource.fsPath,e.fsPath)):null},e.prototype.toResource=function(e){return"string"==typeof e&&this.workspace?n["default"].file(o.join(this.workspace.resource.fsPath,e)):null},e}();t.BaseWorkspaceContextService=r}),define("vs/editor/browser/standalone/standaloneServices",["require","exports","vs/base/common/flags","vs/base/common/uri","vs/platform/contextview/browser/contextMenuService","vs/platform/contextview/browser/contextViewService","vs/platform/event/common/eventService","vs/platform/instantiation/common/instantiation","vs/platform/instantiation/common/instantiationService","vs/platform/instantiation/common/serviceCollection","vs/platform/markers/common/markerService","vs/platform/storage/common/storage","vs/platform/telemetry/common/telemetry","vs/platform/thread/common/mainThreadService","vs/platform/workspace/common/baseWorkspaceContextService","vs/editor/common/services/editorWorkerServiceImpl","vs/editor/common/services/modeServiceImpl","vs/editor/common/services/modelServiceImpl","vs/editor/browser/services/codeEditorServiceImpl","vs/editor/browser/standalone/simpleServices"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m,f,g,v,y,_){"use strict";function b(e){var t={};if(e)for(var n=Object.keys(e),o=0,i=n.length;i>o;o++){var r=n[o];t[r]=e[r]}return t}function C(e){e=b(e);for(var t=E(e),n=Object.keys(t),o=0,i=n.length;i>o;o++){var r=n[o];e.hasOwnProperty(r)||(e[r]=t[r])}return e}function w(e,t){var n=[];if("undefined"==typeof t.keybindingService){var o=new _.StandaloneKeybindingService(t.configurationService,t.messageService,e);n.push(o),t.keybindingService=o}if("undefined"==typeof t.contextViewService){var s=new r.ContextViewService(e,t.telemetryService,t.messageService);n.push(s),t.contextViewService=s}if("undefined"==typeof t.contextMenuService){var a=new i.ContextMenuService(e,t.telemetryService,t.messageService,s);n.push(a),t.contextMenuService=a}return n}function E(e){if(S)return S;e=e||{};var t=e.contextService;t||(t=new m.BaseWorkspaceContextService({resource:o["default"].create("inmemory","model","/"),id:null,name:null,uid:null,mtime:null},{}));var i=e.telemetryService;i||(i=h.NullTelemetryService);var r=e.eventService||new s.EventService,b=e.configurationService||new _.SimpleConfigurationService(t,r);n.standaloneEditorTelemetryEndpoint&&console.warn("standaloneEditorTelemetryEndpoint is obsolete");var C=e.threadService||new p.MainThreadService(t,"vs/editor/common/worker/editorWorkerServer",1),w=e.messageService||new _.SimpleMessageService,E=e.extensionService||new _.SimpleExtensionService,x=e.markerService||new c.MainProcessMarkerService(C),T=e.requestService||new _.SimpleEditorRequestService(t,i),L=e.modeService||new g.MainThreadModeServiceImpl(C,E,b),M=e.modelService||new v.ModelServiceImpl(C,x,L,b,w),N=e.editorWorkerService||new f.EditorWorkerServiceImpl(M),I=e.codeEditorService||new y.CodeEditorServiceImpl;S={configurationService:b,extensionService:E,modeService:L,threadService:C,markerService:x,contextService:t,telemetryService:i,requestService:T,messageService:w,modelService:M,codeEditorService:I,editorWorkerService:N,eventService:r,storageService:e.storageService||d.NullStorageService,instantiationService:void 0};var D=new u.ServiceCollection;for(var R in S)if(S.hasOwnProperty(R)){var O=a.createDecorator(R),k=S[R];D.set(O,k)}var P=new l.InstantiationService(D);return S.instantiationService=P,C instanceof p.MainThreadService&&C.setInstantiationService(P),S}t.ensureStaticPlatformServices=C,t.ensureDynamicPlatformServices=w;var S=null;t.getOrCreateStaticServices=E});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/browser/standalone/standaloneCodeEditor",["require","exports","vs/base/common/lifecycle","vs/platform/contextview/browser/contextView","vs/platform/editor/common/editor","vs/platform/instantiation/common/instantiation","vs/platform/keybinding/browser/keybindingServiceImpl","vs/platform/keybinding/common/keybindingService","vs/platform/markers/common/markers","vs/platform/telemetry/common/remoteTelemetryService","vs/platform/telemetry/common/telemetry","vs/editor/common/editorCommon","vs/editor/common/services/codeEditorService","vs/editor/common/services/editorWorkerService","vs/editor/browser/standalone/simpleServices","vs/editor/browser/standalone/standaloneServices","vs/editor/browser/widget/codeEditorWidget","vs/editor/browser/widget/diffEditorWidget"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m,f,g,v){"use strict";var y=function(e){function t(t,n,o,i,r,a,l,u,c,h){a instanceof s.AbstractKeybindingService&&a.setInstantiationService(i),n=n||{},e.call(this,t,n,i,r,a,l),a instanceof m.StandaloneKeybindingService&&(this._standaloneKeybindingService=a),this._contextViewService=u,this._editorService=c,this._markerService=h,this._toDispose2=o;var p=null;if("undefined"==typeof n.model?(p=self.monaco.editor.createModel(n.value||"",n.language||"text/plain"),this._ownsModel=!0):(p=n.model,delete n.model,this._ownsModel=!1),this._attachModel(p),p){var f={oldModelUrl:null,newModelUrl:p.uri.toString()};this.emit(d.EventType.ModelChanged,f)}}return __extends(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this),this._toDispose2=n.dispose(this._toDispose2)},t.prototype.destroy=function(){this.dispose()},t.prototype.getMarkerService=function(){return this._markerService},t.prototype.addCommand=function(e,t,n){return this._standaloneKeybindingService?this._standaloneKeybindingService.addDynamicKeybinding(e,t,n):(console.warn("Cannot add command because the editor is configured with an unrecognized KeybindingService"),null)},t.prototype.createContextKey=function(e,t){return this._standaloneKeybindingService?this._standaloneKeybindingService.createKey(e,t):(console.warn("Cannot create context key because the editor is configured with an unrecognized KeybindingService"),null)},t.prototype.addAction=function(t){var n=this;if(e.prototype.addAction.call(this,t),!this._standaloneKeybindingService)return console.warn("Cannot add keybinding because the editor is configured with an unrecognized KeybindingService"),null;if(Array.isArray(t.keybindings)){var o=function(e){return n.trigger("keyboard",t.id,null)};t.keybindings.forEach(function(e){n._standaloneKeybindingService.addDynamicKeybinding(e,o,t.keybindingContext,t.id)})}},t.prototype.getTelemetryService=function(){return this._telemetryService},t.prototype.getEditorService=function(){return this._editorService},t.prototype._attachModel=function(t){e.prototype._attachModel.call(this,t),this._view&&this._contextViewService.setContainer(this._view.domNode)},t.prototype._postDetachModelCleanup=function(t){e.prototype._postDetachModelCleanup.call(this,t),t&&this._ownsModel&&(t.destroy(),this._ownsModel=!1)},t=__decorate([__param(3,r.IInstantiationService),__param(4,h.ICodeEditorService),__param(5,a.IKeybindingService),__param(6,c.ITelemetryService),__param(7,o.IContextViewService),__param(8,i.IEditorService),__param(9,l.IMarkerService)],t)}(g.CodeEditorWidget);t.StandaloneEditor=y;var _=function(e){function t(t,n,o,i,r,a,l,u,c,d){r instanceof s.AbstractKeybindingService&&r.setInstantiationService(i),e.call(this,t,n,d,i),r instanceof m.StandaloneKeybindingService&&(this._standaloneKeybindingService=r),this._contextViewService=a,this._markerService=u,this._telemetryService=c,this._toDispose2=o,this._contextViewService.setContainer(this._containerDomElement)}return __extends(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this),this._toDispose2=n.dispose(this._toDispose2)},t.prototype.destroy=function(){this.dispose()},t.prototype.getMarkerService=function(){return this._markerService},t.prototype.addCommand=function(e,t,n){return this._standaloneKeybindingService?this._standaloneKeybindingService.addDynamicKeybinding(e,t,n):(console.warn("Cannot add command because the editor is configured with an unrecognized KeybindingService"),null)},t.prototype.createContextKey=function(e,t){return this._standaloneKeybindingService?this._standaloneKeybindingService.createKey(e,t):(console.warn("Cannot create context key because the editor is configured with an unrecognized KeybindingService"),null)},t.prototype.addAction=function(t){var n=this;if(e.prototype.addAction.call(this,t),!this._standaloneKeybindingService)return console.warn("Cannot add keybinding because the editor is configured with an unrecognized KeybindingService"),null;if(Array.isArray(t.keybindings)){var o=function(e){return n.trigger("keyboard",t.id,null)};t.keybindings.forEach(function(e){n._standaloneKeybindingService.addDynamicKeybinding(e,o,t.keybindingContext,t.id)})}},t.prototype.getTelemetryService=function(){return this._telemetryService},t=__decorate([__param(3,r.IInstantiationService),__param(4,a.IKeybindingService),__param(5,o.IContextViewService),__param(6,i.IEditorService),__param(7,l.IMarkerService),__param(8,c.ITelemetryService),__param(9,p.IEditorWorkerService)],t)}(v.DiffEditorWidget);t.StandaloneDiffEditor=_,t.startup=function(){var e=!1,t=!1;return{initStaticServicesIfNecessary:function(){if(!e){e=!0;var t=f.getOrCreateStaticServices();t.threadService.getRemotable(u.RemoteTelemetryServiceHelper)}},setupServices:function(n){return t?void console.error("Call to monaco.editor.setupServices is ignored because it was called before"):(t=!0,e?void console.error("Call to monaco.editor.setupServices is ignored because other API was called before"):f.ensureStaticPlatformServices(n))}}}()}),define("vs/editor/browser/standalone/standaloneEditor",["require","exports","vs/editor/common/editorCommon","vs/editor/browser/editorBrowser","vs/base/common/async","vs/editor/browser/standalone/standaloneCodeEditor","vs/base/browser/ui/scrollbar/scrollableElementOptions","vs/editor/browser/standalone/standaloneServices","vs/platform/instantiation/common/instantiation","vs/platform/instantiation/common/serviceCollection","vs/platform/instantiation/common/instantiationService","vs/editor/common/modes/modesRegistry","vs/editor/browser/standalone/colorizer","vs/editor/browser/standalone/simpleServices","vs/editor/common/services/editorWorkerServiceImpl","vs/base/common/worker/simpleWorker","vs/base/worker/defaultWorkerFactory","vs/editor/standalone-languages/all","./standaloneSchemas","vs/css!./media/standalone-tokens"],function(e,t,n,o,i,r,s,a,l,u,c,d,h,p,m,f,g){"use strict";function v(e){var t={};if(e)for(var n=Object.keys(e),o=0,i=n.length;i>o;o++){var r=n[o];t[r]=e[r]}return t}function y(e){return r.startup.setupServices(e)}function _(e,t,n){r.startup.initStaticServicesIfNecessary(),n=v(n);var o=null;n&&n.editorService||(o=new p.SimpleEditorService,n.editorService=o);var i=C(e,n),s=i.ctx.instantiationService.createInstance(r.StandaloneEditor,e,t,i.toDispose);return o&&o.setEditor(s),s}function b(e,t,n){r.startup.initStaticServicesIfNecessary(),n=v(n);var o=null;n&&n.editorService||(o=new p.SimpleEditorService,n.editorService=o);var i=C(e,n),s=i.ctx.instantiationService.createInstance(r.StandaloneDiffEditor,e,t,i.toDispose);return o&&o.setEditor(s),s}function C(e,t){t=a.ensureStaticPlatformServices(t);var n=a.ensureDynamicPlatformServices(e,t),o=new u.ServiceCollection;for(var i in t)if(t.hasOwnProperty(i)){var r=l.createDecorator(i),s=t[i];o.set(r,s)}return t.instantiationService=new c.InstantiationService(o),{ctx:t,toDispose:n}}function w(e,t,n){var o=a.ensureStaticPlatformServices(null).modelService;return o.createModel(e,t,n)}function E(e,t,n){r.startup.initStaticServicesIfNecessary(),e=e||"";var o=a.ensureStaticPlatformServices(null).modeService;if(!t){var i=n?n.path:null,s=e.indexOf("\n"),l=e;return-1!==s&&(l=e.substring(0,s)),w(e,o.getOrCreateModeByFilenameOrFirstLine(i,l),n)}return w(e,o.getOrCreateMode(t),n)}function S(e,t){r.startup.initStaticServicesIfNecessary();var n=a.ensureStaticPlatformServices(null).modeService;e.setMode(n.getOrCreateMode(t))}function x(e,t,n){r.startup.initStaticServicesIfNecessary();var o=a.ensureStaticPlatformServices(null).markerService;o.changeOne(t,e.uri,n)}function T(e){r.startup.initStaticServicesIfNecessary();var t=a.ensureStaticPlatformServices(null).modelService;return t.getModel(e)}function L(){r.startup.initStaticServicesIfNecessary();var e=a.ensureStaticPlatformServices(null).modelService;return e.getModels()}function M(e){r.startup.initStaticServicesIfNecessary();var t=a.ensureStaticPlatformServices(null).modelService;return t.onModelAdded(e)}function N(e){r.startup.initStaticServicesIfNecessary();var t=a.ensureStaticPlatformServices(null).modelService;return t.onModelRemoved(e)}function I(e){r.startup.initStaticServicesIfNecessary();var t=a.ensureStaticPlatformServices(null).modelService;return t.onModelModeChanged(function(t){e({model:t.model,oldLanguage:t.oldModeId})})}function D(e){r.startup.initStaticServicesIfNecessary();var t=a.ensureStaticPlatformServices(null).modeService;return t.getOrCreateMode(e)}function R(e,t){r.startup.initStaticServicesIfNecessary();var n=a.ensureStaticPlatformServices(null).modeService;n.configureModeById(e,t)}function O(e){r.startup.initStaticServicesIfNecessary();var t=a.ensureStaticPlatformServices(null),n=t.modeService,o=t.modelService,i=t.editorWorkerService,s=e.name,l=e.name;d.ModesRegistry.registerLanguage({id:s,aliases:[l]});var u=n.onDidCreateMode(function(t){t.getId()===s&&(n.registerMonarchDefinition(o,i,s,e),u.dispose())});return n.getOrCreateMode(s)}function k(e){r.startup.initStaticServicesIfNecessary();var t=a.ensureStaticPlatformServices(null),n=t.modelService;return new H(n,e)}function P(e,t){r.startup.initStaticServicesIfNecessary();var n=a.ensureStaticPlatformServices(null).modeService;return h.Colorizer.colorizeElement(n,e,t)}function A(e,t,n){r.startup.initStaticServicesIfNecessary();var o=a.ensureStaticPlatformServices(null).modeService;return h.Colorizer.colorize(o,e,t,n)}function W(e,t,n){return void 0===n&&(n=4),h.Colorizer.colorizeModelLine(e,t,n)}function F(){return{create:_,createDiffEditor:b,createModel:E,setModelLanguage:S,setModelMarkers:x,getModels:L,getModel:T,onDidCreateModel:M,onWillDisposeModel:N,onDidChangeModelLanguage:I,createWebWorker:k,colorizeElement:P,colorize:A,colorizeModelLine:W,ScrollbarVisibility:s.ScrollbarVisibility,WrappingIndent:n.WrappingIndent,OverviewRulerLane:n.OverviewRulerLane,EndOfLinePreference:n.EndOfLinePreference,DefaultEndOfLine:n.DefaultEndOfLine,EndOfLineSequence:n.EndOfLineSequence,TrackedRangeStickiness:n.TrackedRangeStickiness,CursorChangeReason:n.CursorChangeReason,MouseTargetType:n.MouseTargetType,TextEditorCursorStyle:n.TextEditorCursorStyle,ContentWidgetPositionPreference:o.ContentWidgetPositionPreference,OverlayWidgetPositionPreference:o.OverlayWidgetPositionPreference,MonacoWebWorker:H,InternalEditorScrollbarOptions:n.InternalEditorScrollbarOptions,EditorWrappingInfo:n.EditorWrappingInfo,InternalEditorViewOptions:n.InternalEditorViewOptions,EditorContribOptions:n.EditorContribOptions,InternalEditorOptions:n.InternalEditorOptions,OverviewRulerPosition:n.OverviewRulerPosition,EditorLayoutInfo:n.EditorLayoutInfo,BareFontInfo:n.BareFontInfo,FontInfo:n.FontInfo,EditorType:n.EditorType,Handler:n.Handler,KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS:n.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS,KEYBINDING_CONTEXT_EDITOR_FOCUS:n.KEYBINDING_CONTEXT_EDITOR_FOCUS,KEYBINDING_CONTEXT_EDITOR_HAS_MULTIPLE_SELECTIONS:n.KEYBINDING_CONTEXT_EDITOR_HAS_MULTIPLE_SELECTIONS,KEYBINDING_CONTEXT_EDITOR_HAS_NON_EMPTY_SELECTION:n.KEYBINDING_CONTEXT_EDITOR_HAS_NON_EMPTY_SELECTION,KEYBINDING_CONTEXT_EDITOR_LANGUAGE_ID:n.KEYBINDING_CONTEXT_EDITOR_LANGUAGE_ID}}t.setupServices=y,t.create=_,t.createDiffEditor=b,t.createModel=E,t.setModelLanguage=S,t.setModelMarkers=x,t.getModel=T,t.getModels=L,t.onDidCreateModel=M,t.onWillDisposeModel=N,t.onDidChangeModelLanguage=I,t.getOrCreateMode=D,t.configureMode=R,t.createCustomMode=O;var H=function(){function e(e,t){this._client=new f.SimpleWorkerClient(new g.DefaultWorkerFactory,"vs/editor/browser/standalone/standaloneWorker",null),this._loaded=this._client.getProxyObject().then(function(n){var o=function(e,t){return n.fmr(e,t)},i=function(e,t){return function(){var n=Array.prototype.slice.call(arguments,0);return t(e,n)}},r=new m.EditorModelManager(n,e,!0);return n.loadModule(t.moduleId).then(function(e){for(var t={},s=0;s<e.length;s++)t[e[s]]=i(e[s],o);return{myProxy:n,foreignProxy:t,modelMananger:r}})})}return e.prototype.dispose=function(){console.log("TODO: I should dispose now")},e.prototype.getProxy=function(){return new i.ShallowCancelThenPromise(this._loaded.then(function(e){return e.foreignProxy}))},e.prototype.withSyncedResources=function(e){return new i.ShallowCancelThenPromise(this._loaded.then(function(t){return t.modelMananger.withSyncedResources(e)}))},e}();t.MonacoWebWorker=H,t.createWebWorker=k,t.colorizeElement=P,t.colorize=A,t.colorizeModelLine=W,t.createMonacoEditorAPI=F}),define("vs/editor/browser/standalone/standaloneLanguages",["require","exports","vs/base/common/winjs.base","vs/platform/extensions/common/extensionsRegistry","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/platform","vs/editor/common/modes/modesRegistry","vs/editor/browser/standalone/standaloneServices","vs/editor/common/modes","./standaloneCodeEditor","vs/editor/common/core/range","vs/base/common/async"],function(e,t,n,o,i,r,s,a,l,u,c,d){"use strict";function h(e){s.ModesRegistry.registerLanguage(e)}function p(){var e=[];return e=e.concat(s.ModesRegistry.getLanguages()),e=e.concat(s.ModesRegistry.getCompatModes())}function m(e,t){var n=!1;return o.ExtensionsRegistry.registerOneTimeActivationEventListener("onLanguage:"+e,function(){n||t()}),{dispose:function(){n=!0}}}function f(e,t){u.startup.initStaticServicesIfNecessary();var n=a.ensureStaticPlatformServices(null);return n.modeService.registerRichEditSupport(e,t)}function g(e,t){u.startup.initStaticServicesIfNecessary();var n=a.ensureStaticPlatformServices(null);return n.modeService.registerTokenizationSupport2(e,t)}function v(e,t){return l.ReferenceProviderRegistry.register(e,t)}function y(e,t){return l.RenameProviderRegistry.register(e,t)}function _(e,t){var n=new W(t);return l.SuggestRegistry.register(e,{triggerCharacters:t.triggerCharacters,shouldAutotriggerSuggest:!0,provideCompletionItems:function(e,t,o){return n.provideCompletionItems(e,t,o)},resolveCompletionItem:function(e,t,o,i){return n.resolveCompletionItem(e,t,o,i)}})}function b(e){switch(e){case A.Function:return"function";case A.Constructor:return"constructor";case A.Field:return"field";case A.Variable:return"variable";case A.Class:return"class";case A.Interface:return"interface";case A.Module:return"module";case A.Property:return"property";case A.Unit:return"unit";case A.Value:return"value";case A.Enum:return"enum";case A.Keyword:return"keyword";case A.Snippet:return"snippet";case A.Text:return"text";case A.Color:return"color";case A.File:return"file";case A.Reference:return"reference"}return"property"}function C(e,t){return l.SignatureHelpProviderRegistry.register(e,t)}function w(e,t){return l.HoverProviderRegistry.register(e,t)}function E(e,t){return l.DocumentSymbolProviderRegistry.register(e,t)}function S(e,t){return l.DocumentHighlightProviderRegistry.register(e,t)}function x(e,t){return l.DefinitionProviderRegistry.register(e,t)}function T(e,t){return l.CodeLensProviderRegistry.register(e,t)}function L(e,t){return l.CodeActionProviderRegistry.register(e,t)}function M(e,t){return l.DocumentFormattingEditProviderRegistry.register(e,t)}function N(e,t){return l.DocumentRangeFormattingEditProviderRegistry.register(e,t)}function I(e,t){return l.OnTypeFormattingEditProviderRegistry.register(e,t)}function D(e,t){return l.LinkProviderRegistry.register(e,t)}function R(t,n){s.ModesRegistry.registerLanguage(t),o.ExtensionsRegistry.registerOneTimeActivationEventListener("onLanguage:"+t.id,function(){e([n],function(e){if(!e.language)return void console.error("Expected "+n+" to export a `language`");u.startup.initStaticServicesIfNecessary();var o=a.ensureStaticPlatformServices(null),i=o.modeService,r=o.modelService,s=o.editorWorkerService;i.registerMonarchDefinition(r,s,t.id,e.language)},function(e){console.error("Cannot find module "+n,e)})})}function O(t,n){s.ModesRegistry.registerLanguage(t),o.ExtensionsRegistry.registerOneTimeActivationEventListener("onLanguage:"+t.id,function(){e([n],function(e){if(!e.activate)return void console.error("Expected "+n+" to export an `activate` function");u.startup.initStaticServicesIfNecessary();var t=a.ensureStaticPlatformServices(null),o=t.instantiationService;o.invokeFunction(e.activate)},function(e){console.error("Cannot find module "+n,e)})})}function k(e,t){var n=r.Registry.as(i.Extensions.JSONContribution);n.registerSchema(e,t)}function P(){return{register:h,getLanguages:p,onLanguage:m,setLanguageConfiguration:f,setTokensProvider:g,registerReferenceProvider:v,registerRenameProvider:y,registerCompletionItemProvider:_,registerSignatureHelpProvider:C,registerHoverProvider:w,registerDocumentSymbolProvider:E,registerDocumentHighlightProvider:S,registerDefinitionProvider:x,registerCodeLensProvider:T,registerCodeActionProvider:L,registerDocumentFormattingEditProvider:M,registerDocumentRangeFormattingEditProvider:N,registerOnTypeFormattingEditProvider:I,registerLinkProvider:D,DocumentHighlightKind:l.DocumentHighlightKind,CompletionItemKind:A,SymbolKind:l.SymbolKind,IndentAction:l.IndentAction}}t.register=h,t.getLanguages=p,t.onLanguage=m,t.setLanguageConfiguration=f,t.setTokensProvider=g,t.registerReferenceProvider=v,t.registerRenameProvider=y,function(e){e[e.Text=0]="Text",e[e.Method=1]="Method",e[e.Function=2]="Function",e[e.Constructor=3]="Constructor",e[e.Field=4]="Field",e[e.Variable=5]="Variable",e[e.Class=6]="Class",e[e.Interface=7]="Interface",e[e.Module=8]="Module",e[e.Property=9]="Property",e[e.Unit=10]="Unit",e[e.Value=11]="Value",e[e.Enum=12]="Enum",e[e.Keyword=13]="Keyword",e[e.Snippet=14]="Snippet",e[e.Color=15]="Color",e[e.File=16]="File",e[e.Reference=17]="Reference"}(t.CompletionItemKind||(t.CompletionItemKind={}));var A=t.CompletionItemKind;t.registerCompletionItemProvider=_;var W=function(){function e(e){this._provider=e}return e.from=function(e){return{_actual:e,label:e.label,codeSnippet:e.insertText||e.label,type:b(e.kind),typeLabel:e.detail,documentationLabel:e.documentation,sortText:e.sortText,filterText:e.filterText}},e.prototype.provideCompletionItems=function(t,n,o){var i=t.getWordAtPosition(n);return d.toThenable(this._provider.provideCompletionItems(t,n,o)).then(function(o){var r;if(Array.isArray(o))r={items:o,isIncomplete:!1};else if("object"==typeof o&&Array.isArray(o.items))r=o;else{if(!o)return;console.warn("INVALID result from completion provider. expected CompletionItem-array or CompletionList but got:",o)}for(var s={suggestions:[],currentWord:i?t.getValueInRange(new c.Range(n.lineNumber,i.startColumn,n.lineNumber,i.endColumn)):""},a=[s],l=0;l<r.items.length;l++){var u=r.items[l],d=e.from(u);if(u.textEdit){var h=u.textEdit.range,p=h.startLineNumber===h.endLineNumber;if(!p||h.startColumn!==n.lineNumber){console.warn("INVALID text edit, must be single line and on the same line");continue}d.codeSnippet=u.textEdit.text,d.overwriteBefore=n.column-h.startColumn,d.overwriteAfter=h.endColumn-n.column,a.push({currentWord:t.getValueInRange(h),suggestions:[d],incomplete:r.isIncomplete})}else s.suggestions.push(d)}return a})},e.prototype.resolveCompletionItem=function(t,o,i,r){if("function"!=typeof this._provider.resolveCompletionItem)return n.TPromise.as(i);var s=i._actual;return s?d.toThenable(this._provider.resolveCompletionItem(s,r)).then(function(t){return e.from(t)}):n.TPromise.as(i)},e}();t.registerSignatureHelpProvider=C,t.registerHoverProvider=w,t.registerDocumentSymbolProvider=E,t.registerDocumentHighlightProvider=S,t.registerDefinitionProvider=x,t.registerCodeLensProvider=T,t.registerCodeActionProvider=L,t.registerDocumentFormattingEditProvider=M,t.registerDocumentRangeFormattingEditProvider=N,t.registerOnTypeFormattingEditProvider=I,t.registerLinkProvider=D,t.registerMonarchStandaloneLanguage=R,t.registerStandaloneLanguage=O,t.registerStandaloneSchema=k,t.createMonacoLanguagesAPI=P}),define("vs/workbench/services/quickopen/common/quickOpenService",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";t.IQuickOpenService=n.createDecorator("quickOpenService")});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){var i,r=arguments.length,s=3>r?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,o);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>r?i(s):r>3?i(t,n,s):i(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/editor/contrib/indentation/common/indentation",["require","exports","vs/nls!vs/editor/contrib/indentation/common/indentation","vs/base/common/winjs.base","vs/editor/common/editorAction","vs/editor/common/editorCommonExtensions","vs/editor/contrib/indentation/common/indentationCommands","vs/workbench/services/quickopen/common/quickOpenService","vs/editor/common/services/modelService","vs/editor/common/editorActionEnablement"],function(e,t,n,o,i,r,s,a,l,u){"use strict";var c=function(e){function t(t,n){e.call(this,t,n)}return __extends(t,e),t.prototype.run=function(){var e=this.editor.getModel();if(e){var t=e.getOptions(),n=new s.IndentationToSpacesCommand(this.editor.getSelection(),t.tabSize);return this.editor.executeCommands(this.id,[n]),e.updateOptions({insertSpaces:!0}),o.TPromise.as(!0)}},t.ID="editor.action.indentationToSpaces",t}(i.EditorAction);t.IndentationToSpacesAction=c;var d=function(e){function t(t,n){e.call(this,t,n)}return __extends(t,e),t.prototype.run=function(){var e=this.editor.getModel();if(e){var t=e.getOptions(),n=new s.IndentationToTabsCommand(this.editor.getSelection(),t.tabSize);return this.editor.executeCommands(this.id,[n]),e.updateOptions({insertSpaces:!1}),o.TPromise.as(!0)}},t.ID="editor.action.indentationToTabs",t}(i.EditorAction);t.IndentationToTabsAction=d;var h=function(e){function t(t,n,o,i,r){e.call(this,t,n,u.Behaviour.Writeable),this.insertSpaces=o,this.quickOpenService=i,this.modelService=r}return __extends(t,e),t.prototype.run=function(){var e=this,t=this.editor.getModel();if(t){var i=this.modelService.getCreationOptions(),r=[1,2,3,4,5,6,7,8].map(function(e){return{id:e.toString(),label:e.toString(),description:e===i.tabSize?n.localize(0,null):null}}),s=Math.min(t.getOptions().tabSize-1,7);return o.TPromise.timeout(50).then(function(){return e.quickOpenService.pick(r,{placeHolder:n.localize(1,null),autoFocus:{autoFocusIndex:s}}).then(function(n){return n&&t.updateOptions({tabSize:parseInt(n.label,10),insertSpaces:e.insertSpaces}),!0})})}},t}(i.EditorAction);t.ChangeIndentationSizeAction=h;var p=function(e){function t(t,n,o,i){e.call(this,t,n,!1,o,i)}return __extends(t,e),t.ID="editor.action.indentUsingTabs",t=__decorate([__param(2,a.IQuickOpenService),__param(3,l.IModelService)],t)}(h);t.IndentUsingTabs=p;var m=function(e){function t(t,n,o,i){e.call(this,t,n,!0,o,i)}return __extends(t,e),t.ID="editor.action.indentUsingSpaces",t=__decorate([__param(2,a.IQuickOpenService),__param(3,l.IModelService)],t)}(h);t.IndentUsingSpaces=m;var f=function(e){function t(t,n,o){e.call(this,t,n),this.modelService=o}return __extends(t,e),t.prototype.run=function(){var e=this.editor.getModel();if(e){var t=this.modelService.getCreationOptions();e.detectIndentation(t.insertSpaces,t.tabSize)}},t.ID="editor.action.detectIndentation",t=__decorate([__param(2,l.IModelService)],t)}(i.EditorAction);t.DetectIndentation=f;var g=function(e){function t(t,n){e.call(this,t,n,u.Behaviour.TextFocus)}return __extends(t,e),t.prototype.run=function(){return this.editor.updateOptions({renderWhitespace:!this.editor.getConfiguration().viewInfo.renderWhitespace}),o.TPromise.as(!0)},t.ID="editor.action.toggleRenderWhitespace",t}(i.EditorAction);t.ToggleRenderWhitespaceAction=g,r.CommonEditorRegistry.registerEditorAction(new r.EditorActionDescriptor(c,c.ID,n.localize(2,null),void 0,"Convert Indentation to Spaces")),r.CommonEditorRegistry.registerEditorAction(new r.EditorActionDescriptor(d,d.ID,n.localize(3,null),void 0,"Convert Indentation to Tabs")),r.CommonEditorRegistry.registerEditorAction(new r.EditorActionDescriptor(m,m.ID,n.localize(4,null),void 0,"Indent Using Spaces")),r.CommonEditorRegistry.registerEditorAction(new r.EditorActionDescriptor(p,p.ID,n.localize(5,null),void 0,"Indent Using Tabs")),r.CommonEditorRegistry.registerEditorAction(new r.EditorActionDescriptor(f,f.ID,n.localize(6,null),void 0,"Detect Indentation from Content")),r.CommonEditorRegistry.registerEditorAction(new r.EditorActionDescriptor(g,g.ID,n.localize(7,null),void 0,"Toggle Render Whitespace"))}),define("vs/editor/browser/editor.all",["require","exports","vs/editor/browser/widget/codeEditorWidget","vs/editor/browser/widget/diffEditorWidget","vs/editor/contrib/accessibility/browser/accessibility","vs/editor/contrib/clipboard/browser/clipboard","vs/editor/contrib/codelens/browser/codelens","vs/editor/contrib/color/browser/color","vs/editor/contrib/comment/common/comment","vs/editor/contrib/contextmenu/browser/contextmenu","vs/editor/contrib/diffNavigator/common/diffNavigator","vs/editor/contrib/find/browser/find","vs/editor/contrib/format/common/formatActions","vs/editor/contrib/goToDeclaration/browser/goToDeclaration","vs/editor/contrib/gotoError/browser/gotoError","vs/editor/contrib/hover/browser/hover","vs/css!vs/editor/contrib/inPlaceReplace/browser/inPlaceReplace","vs/editor/contrib/inPlaceReplace/common/inPlaceReplace","vs/editor/contrib/iPadShowKeyboard/browser/iPadShowKeyboard","vs/editor/contrib/linesOperations/common/linesOperations","vs/editor/contrib/links/browser/links","vs/editor/contrib/multicursor/common/multicursor","vs/editor/contrib/outlineMarker/browser/outlineMarker","vs/editor/contrib/parameterHints/browser/parameterHints","vs/editor/contrib/quickFix/browser/quickFix","vs/editor/contrib/referenceSearch/browser/referenceSearch","vs/editor/contrib/rename/browser/rename","vs/editor/contrib/smartSelect/common/smartSelect","vs/editor/contrib/smartSelect/common/jumpToBracket","vs/editor/contrib/snippet/common/snippet","vs/editor/contrib/snippet/browser/snippet","vs/editor/contrib/suggest/browser/suggest","vs/editor/contrib/toggleTabFocusMode/common/toggleTabFocusMode","vs/editor/contrib/toggleWordWrap/common/toggleWordWrap","vs/css!vs/editor/contrib/wordHighlighter/browser/wordHighlighter","vs/editor/contrib/wordHighlighter/common/wordHighlighter","vs/editor/contrib/defineKeybinding/browser/defineKeybinding","vs/editor/contrib/folding/browser/folding","vs/editor/contrib/indentation/common/indentation","vs/editor/common/languages.common"],function(e,t){
"use strict"}),define("vs/editor/editor.main",["require","exports","vs/editor/common/standalone/standaloneBase","vs/editor/browser/standalone/standaloneEditor","vs/editor/browser/standalone/standaloneLanguages","vs/editor/common/config/defaultConfig","vs/editor/browser/editor.all","vs/editor/contrib/quickOpen/browser/quickOutline.contribution","vs/editor/contrib/quickOpen/browser/gotoLine.contribution","vs/editor/contrib/quickOpen/browser/quickCommand.contribution","vs/languages/languages.main","vs/languages/php/common/php.contribution","vs/languages/json/common/json.contribution"],function(e,t,n,o,i,r){"use strict";r.DefaultConfig.editor.wrappingIndent="none",r.DefaultConfig.editor.folding=!1;var s=self;s.monaco=n.createMonacoBaseAPI(),s.monaco.editor=o.createMonacoEditorAPI(),s.monaco.languages=i.createMonacoLanguagesAPI();var a=s.MonacoEditorLanguages||[];a.forEach(function(e){i.registerMonarchStandaloneLanguage(e,e.defModule)});var l=s.MonacoEditorSchemas||{};for(var u in l)i.registerStandaloneSchema(u,l[u])});
//# sourceMappingURL=../../../min-maps/vs/editor/editor.main.js.map