/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.2.3(84e204b238a1eff25d4c6f611fdcd76a494005a7)
 * Released under the MIT license
 * https://github.com/Microsoft/vscode/blob/master/LICENSE.txt
 *-----------------------------------------------------------*/
define("vs/languages/css/common/cssTokenTypes",["require","exports"],function(t,e){"use strict";e.TOKEN_SELECTOR="entity.name.selector",e.TOKEN_SELECTOR_TAG="entity.name.tag",e.TOKEN_PROPERTY="support.type.property-name",e.TOKEN_VALUE="support.property-value",e.TOKEN_AT_KEYWORD="keyword.control.at-rule"});var __extends=this&&this.__extends||function(t,e){function n(){this.constructor=t}for(var r in e)e.hasOwnProperty(r)&&(t[r]=e[r]);t.prototype=null===e?Object.create(e):(n.prototype=e.prototype,new n)},__decorate=this&&this.__decorate||function(t,e,n,r){var o,i=arguments.length,s=3>i?e:null===r?r=Object.getOwnPropertyDescriptor(e,n):r;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(t,e,n,r);else for(var a=t.length-1;a>=0;a--)(o=t[a])&&(s=(3>i?o(s):i>3?o(e,n,s):o(e,n))||s);return i>3&&s&&Object.defineProperty(e,n,s),s},__param=this&&this.__param||function(t,e){return function(n,r){e(n,r,t)}};define("vs/languages/css/common/css",["require","exports","vs/base/common/objects","vs/editor/common/modes","vs/platform/thread/common/threadService","vs/languages/css/common/cssTokenTypes","vs/editor/common/modes/abstractMode","vs/editor/common/modes/abstractState","vs/platform/instantiation/common/instantiation","vs/platform/thread/common/thread","vs/editor/common/modes/supports/richEditSupport","vs/editor/common/modes/supports/tokenizationSupport","vs/base/common/async"],function(t,e,n,r,o,i,s,a,c,u,p,d,l){"use strict";e.cssTokenTypes=i,function(t){t[t.Selector=0]="Selector",t[t.Rule=1]="Rule",t[t.Value=2]="Value",t[t.ValuePostUrl=3]="ValuePostUrl",t[t.ValueInUrlFunction=4]="ValueInUrlFunction",t[t.Unit=5]="Unit",t[t.Meta=6]="Meta",t[t.MetaPostUrl=7]="MetaPostUrl",t[t.MetaInUrlFunction=8]="MetaInUrlFunction"}(e.States||(e.States={}));var h=e.States,f=/^-?-?([a-zA-Z]|(\\(([0-9a-fA-F]{1,6}\s?)|[^[0-9a-fA-F])))([\w\-]|(\\(([0-9a-fA-F]{1,6}\s?)|[^[0-9a-fA-F])))*/,m=function(t){function e(e,n,r,o,i,s){t.call(this,e),this.kind=n,this.inComment=r,this.quote=o,this.inMeta=i,this.metaBraceCount=s}return __extends(e,t),e.prototype.nextState=function(t,e){return this.kind=t,e},e.prototype.makeClone=function(){return new e(this.getMode(),this.kind,this.inComment,this.quote,this.inMeta,this.metaBraceCount)},e.prototype.equals=function(e){return t.prototype.equals.call(this,e)&&n.equals(this,e)},e.prototype.tokenizeInComment=function(t){return/\*\/$/.test(t.advanceUntilString("*/",!0))&&(this.inComment=!1),{type:"comment.css"}},e.prototype.tokenizeInString=function(t){for(var e,n=!1,r=this.quote;!t.eos();)if(e=t.next(),n)n=!1;else if("\\"===e)n=!0;else if(e===r){this.quote=null;break}return{type:"string.css"}},e.prototype.consumeIdent=function(t){return t.goBack(1),t.advanceIfRegExp2(f)?!0:(t.advance(1),!1)},e.prototype.tokenize=function(t){if(this.inComment)return this.tokenizeInComment(t);if(null!==this.quote)return this.tokenizeInString(t);if(t.skipWhitespace2())return{type:""};if(t.advanceIfString2("/*"))return this.inComment=!0,this.tokenizeInComment(t);if(t.advanceIfString2("'"))return this.quote="'",this.tokenizeInString(t);if(t.advanceIfString2('"'))return this.quote='"',this.tokenizeInString(t);var e=t.next();switch(this.kind){case h.ValuePostUrl:if("("===e)return this.nextState(h.ValueInUrlFunction,{type:"punctuation.parenthesis.css"});this.kind=h.Value;break;case h.MetaPostUrl:if("("===e)return this.nextState(h.MetaInUrlFunction,{type:"punctuation.parenthesis.css"});this.kind=h.Meta;break;case h.ValueInUrlFunction:case h.MetaInUrlFunction:if(")"!==e)return t.advanceIfRegExp2(/^[^\)]*/),{type:"string.css"};this.kind=this.kind===h.ValueInUrlFunction?h.Value:h.Meta}switch(this.kind){case h.Selector:return"{"===e?this.nextState(h.Rule,{type:"punctuation.bracket.css"}):"("===e||")"===e?{type:"punctuation.parenthesis.css"}:"@"!==e||this.inMeta?"}"===e&&this.inMeta?(this.inMeta=!1,this.nextState(h.Selector,{type:"punctuation.bracket.css"})):/[\*\(\)\[\]\+>=\~\|;]/.test(e)?{type:"punctuation.css"}:"#"===e?(t.advanceIfRegExp2(f),{type:i.TOKEN_SELECTOR+".id.css"}):"."===e?(t.advanceIfRegExp2(f),{type:i.TOKEN_SELECTOR+".class.css"}):(this.consumeIdent(t),{type:i.TOKEN_SELECTOR_TAG+".css"}):(t.advanceIfRegExp2(f),this.nextState(h.Meta,{type:i.TOKEN_AT_KEYWORD+".css"}));case h.Meta:if("{"===e){var n=h.Rule;return this.inMeta&&(n=h.Selector),this.nextState(n,{type:"punctuation.bracket.css"})}return"("===e||")"===e?{type:"punctuation.parenthesis.css"}:";"===e?(0===this.metaBraceCount&&(this.inMeta=!1),this.nextState(h.Selector,{type:"punctuation.css"})):"u"!==e&&"U"!==e||!t.advanceIfStringCaseInsensitive2("rl")?/[\*\(\)\[\]\+>=\~\|]/.test(e)?{type:"punctuation.css"}:(this.inMeta=!0,this.consumeIdent(t),{type:i.TOKEN_VALUE+".css"}):(t.advanceIfStringCaseInsensitive2("-prefix"),this.nextState(h.MetaPostUrl,{type:i.TOKEN_VALUE+".css"}));case h.Rule:return"}"===e?this.nextState(h.Selector,{type:"punctuation.bracket.css"}):":"===e?this.nextState(h.Value,{type:"punctuation.css"}):"("===e||")"===e?{type:"punctuation.parenthesis.css"}:(this.consumeIdent(t),{type:i.TOKEN_PROPERTY+".css"});case h.Value:if("}"===e)return this.nextState(h.Selector,{type:"punctuation.bracket.css"});if(";"===e)return this.nextState(h.Rule,{type:"punctuation.css"});if(("u"===e||"U"===e)&&t.advanceIfStringCaseInsensitive2("rl"))return this.nextState(h.ValuePostUrl,{type:i.TOKEN_VALUE+".css"});if("("===e||")"===e)return{type:"punctuation.parenthesis.css"};if(","===e)return{type:"punctuation.css"};if("#"===e)return t.advanceIfRegExp2(/^[\w]*/),{type:i.TOKEN_VALUE+".hex.css"};if(/\d/.test(e)||/-|\+/.test(e)&&!t.eos()&&/\d/.test(t.peek()))return t.advanceIfRegExp2(/^[\d\.]*/),this.nextState(h.Unit,{type:i.TOKEN_VALUE+".numeric.css"});if("!"===e)return{type:i.TOKEN_VALUE+".keyword.css"};if(("i"===e||"I"===e)&&t.advanceIfStringCaseInsensitive2("mportant"))return{type:i.TOKEN_VALUE+".keyword.css"};if(this.consumeIdent(t))return{type:i.TOKEN_VALUE+".css"};break;case h.Unit:return t.goBack(1),t.advanceIfRegExp2(/^(em|ex|ch|rem|vw|vh|vm|cm|mm|in|px|pt|pc|deg|grad|rad|turn|s|ms|Hz|kHz|%)/)?{type:i.TOKEN_VALUE+".unit.css"}:(this.nextState(h.Value,null),this.tokenize(t))}return{type:""}},e}(a.AbstractState);e.State=m;var v=function(t){function e(e,n,o){var i=this;t.call(this,e.id),this._modeWorkerManager=new s.ModeWorkerManager(e,"vs/languages/css/common/cssWorker","CSSWorker",null,n),this._threadService=o,this.tokenizationSupport=new d.TokenizationSupport(this,{getInitialState:function(){return new m(i,h.Selector,!1,null,!1,0)}},!1,!1),this.richEditSupport=new p.RichEditSupport(this.getId(),null,{wordPattern:/(#?-?\d*\.\d\w*%?)|((::|[@#.!:])?[\w-?]+%?)|::|[@#.!:]/g,comments:{blockComment:["/*","*/"]},brackets:[["{","}"],["[","]"],["(",")"]],autoClosingPairs:[{open:"{",close:"}"},{open:"[",close:"]"},{open:"(",close:")"},{open:'"',close:'"',notIn:["string"]},{open:"'",close:"'",notIn:["string"]}]}),this.inplaceReplaceSupport=this,this.configSupport=this,r.DocumentHighlightProviderRegistry.register(this.getId(),{provideDocumentHighlights:function(t,e,n){return l.wireCancellationToken(n,i._provideDocumentHighlights(t.uri,e))}},!0),r.HoverProviderRegistry.register(this.getId(),{provideHover:function(t,e,n){return l.wireCancellationToken(n,i._provideHover(t.uri,e))}},!0),r.ReferenceProviderRegistry.register(this.getId(),{provideReferences:function(t,e,n,r){return l.wireCancellationToken(r,i._provideReferences(t.uri,e))}},!0),r.DocumentSymbolProviderRegistry.register(this.getId(),{provideDocumentSymbols:function(t,e){return l.wireCancellationToken(e,i._provideDocumentSymbols(t.uri))}},!0),r.DefinitionProviderRegistry.register(this.getId(),{provideDefinition:function(t,e,n){return l.wireCancellationToken(n,i._provideDefinition(t.uri,e))}},!0),r.SuggestRegistry.register(this.getId(),{triggerCharacters:[" ",":"],shouldAutotriggerSuggest:!0,provideCompletionItems:function(t,e,n){return l.wireCancellationToken(n,i._provideCompletionItems(t.uri,e))}},!0),r.CodeActionProviderRegistry.register(this.getId(),{provideCodeActions:function(t,e,n){return l.wireCancellationToken(n,i._provideCodeActions(t.uri,e))}},!0)}return __extends(e,t),e.prototype.creationDone=function(){this._threadService.isInMainThread&&this._pickAWorkerToValidate()},e.prototype._worker=function(t){return this._modeWorkerManager.worker(t)},e.prototype.configure=function(t){return this._threadService.isInMainThread?this._configureWorkers(t):this._worker(function(e){return e._doConfigure(t)})},e.prototype._configureWorkers=function(t){return this._worker(function(e){return e._doConfigure(t)})},e.prototype.navigateValueSet=function(t,e,n){return this._worker(function(r){return r.navigateValueSet(t,e,n)})},e.prototype._pickAWorkerToValidate=function(){return this._worker(function(t){return t.enableValidator()})},e.prototype._provideDocumentHighlights=function(t,e){return this._worker(function(n){return n.provideDocumentHighlights(t,e)})},e.prototype._provideCompletionItems=function(t,e){return this._worker(function(n){return n.provideCompletionItems(t,e)})},e.prototype._provideDefinition=function(t,e){return this._worker(function(n){return n.provideDefinition(t,e)})},e.prototype._provideHover=function(t,e){return this._worker(function(n){return n.provideHover(t,e)})},e.prototype._provideReferences=function(t,e){return this._worker(function(n){return n.provideReferences(t,e)})},e.prototype._provideDocumentSymbols=function(t){return this._worker(function(e){return e.provideDocumentSymbols(t)})},e.prototype.findColorDeclarations=function(t){return this._worker(function(e){return e.findColorDeclarations(t)})},e.prototype._provideCodeActions=function(t,e){return this._worker(function(n){return n.provideCodeActions(t,e)})},e.$_configureWorkers=o.AllWorkersAttr(e,e.prototype._configureWorkers),e.$navigateValueSet=o.OneWorkerAttr(e,e.prototype.navigateValueSet),e.$_pickAWorkerToValidate=o.OneWorkerAttr(e,e.prototype._pickAWorkerToValidate,u.ThreadAffinity.Group1),e.$_provideDocumentHighlights=o.OneWorkerAttr(e,e.prototype._provideDocumentHighlights),e.$_provideCompletionItems=o.OneWorkerAttr(e,e.prototype._provideCompletionItems),e.$_provideDefinition=o.OneWorkerAttr(e,e.prototype._provideDefinition),e.$_provideHover=o.OneWorkerAttr(e,e.prototype._provideHover),e.$_provideReferences=o.OneWorkerAttr(e,e.prototype._provideReferences),e.$_provideDocumentSymbols=o.OneWorkerAttr(e,e.prototype._provideDocumentSymbols),e.$findColorDeclarations=o.OneWorkerAttr(e,e.prototype.findColorDeclarations),e._provideCodeActions=o.OneWorkerAttr(e,e.prototype._provideCodeActions),e=__decorate([__param(1,c.IInstantiationService),__param(2,u.IThreadService)],e)}(s.AbstractMode);e.CSSMode=v});
//# sourceMappingURL=../../../../../min-maps/vs/languages/css/common/css.js.map