/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.2.3(84e204b238a1eff25d4c6f611fdcd76a494005a7)
 * Released under the MIT license
 * https://github.com/Microsoft/vscode/blob/master/LICENSE.txt
 *-----------------------------------------------------------*/
define("vs/languages/handlebars/common/handlebarsTokenTypes",["require","exports"],function(e,t){"use strict";t.EMBED="punctuation.expression.unescaped.handlebars",t.EMBED_UNESCAPED="punctuation.expression.handlebars",t.KEYWORD="keyword.helper.handlebars",t.VARIABLE="variable.parameter.handlebars"});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,r){var i,o=arguments.length,s=3>o?t:null===r?r=Object.getOwnPropertyDescriptor(t,n):r;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,r);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(3>o?i(s):o>3?i(t,n,s):i(t,n))||s);return o>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,r){t(n,r,e)}};define("vs/languages/handlebars/common/handlebars",["require","exports","vs/editor/common/modes","vs/languages/html/common/html","vs/languages/handlebars/common/handlebarsTokenTypes","vs/platform/instantiation/common/instantiation","vs/editor/common/services/modeService","vs/editor/common/modes/supports/richEditSupport","vs/editor/common/modes/abstractMode","vs/platform/thread/common/thread","vs/base/common/async"],function(e,t,n,r,i,o,s,a,c,d,p){"use strict";!function(e){e[e.HTML=0]="HTML",e[e.Expression=1]="Expression",e[e.UnescapedExpression=2]="UnescapedExpression"}(t.States||(t.States={}));var l=t.States,u=function(e){function t(t,n,r,i,o,s,a,c){e.call(this,t,n,i,o,s,a,c),this.kind=n,this.handlebarsKind=r,this.lastTagName=i,this.lastAttributeName=o,this.embeddedContentType=s,this.attributeValueQuote=a,this.attributeValue=c}return __extends(t,e),t.prototype.makeClone=function(){return new t(this.getMode(),this.kind,this.handlebarsKind,this.lastTagName,this.lastAttributeName,this.embeddedContentType,this.attributeValueQuote,this.attributeValue)},t.prototype.equals=function(n){return n instanceof t?e.prototype.equals.call(this,n):!1},t.prototype.tokenize=function(t){switch(this.handlebarsKind){case l.HTML:if(t.advanceIfString("{{{").length>0)return this.handlebarsKind=l.UnescapedExpression,{type:i.EMBED_UNESCAPED};if(t.advanceIfString("{{").length>0)return this.handlebarsKind=l.Expression,{type:i.EMBED};break;case l.Expression:case l.UnescapedExpression:if(this.handlebarsKind===l.Expression&&t.advanceIfString("}}").length>0)return this.handlebarsKind=l.HTML,{type:i.EMBED};if(this.handlebarsKind===l.UnescapedExpression&&t.advanceIfString("}}}").length>0)return this.handlebarsKind=l.HTML,{type:i.EMBED_UNESCAPED};if(t.skipWhitespace().length>0)return{type:""};if("#"===t.peek())return t.advanceWhile(/^[^\s}]/),{type:i.KEYWORD};if("/"===t.peek())return t.advanceWhile(/^[^\s}]/),{type:i.KEYWORD};if(t.advanceIfString("else")){var n=t.peek();if(" "===n||"	"===n||"}"===n)return{type:i.KEYWORD};t.goBack(4)}if(t.advanceWhile(/^[^\s}]/).length>0)return{type:i.VARIABLE}}return e.prototype.tokenize.call(this,t)},t}(r.State);t.HandlebarsState=u;var h=function(e){function t(t,n,r,i){e.call(this,t,n,r,i)}return __extends(t,e),t.prototype._registerSupports=function(){var e=this;n.HoverProviderRegistry.register(this.getId(),{provideHover:function(t,n,r){return p.wireCancellationToken(r,e._provideHover(t.uri,n))}},!0),n.ReferenceProviderRegistry.register(this.getId(),{provideReferences:function(t,n,r,i){return p.wireCancellationToken(i,e._provideReferences(t.uri,n,r))}},!0),n.SuggestRegistry.register(this.getId(),{triggerCharacters:[".",":","<",'"',"=","/"],shouldAutotriggerSuggest:!0,provideCompletionItems:function(t,n,r){return p.wireCancellationToken(r,e._provideCompletionItems(t.uri,n))}},!0),n.DocumentHighlightProviderRegistry.register(this.getId(),{provideDocumentHighlights:function(t,n,r){return p.wireCancellationToken(r,e._provideDocumentHighlights(t.uri,n))}},!0),n.LinkProviderRegistry.register(this.getId(),{provideLinks:function(t,n){return p.wireCancellationToken(n,e._provideLinks(t.uri))}},!0)},t.prototype._createRichEditSupport=function(){return new a.RichEditSupport(this.getId(),null,{wordPattern:c.createWordRegExp("#-?%"),comments:{blockComment:["<!--","-->"]},brackets:[["<!--","-->"],["{{","}}"]],__electricCharacterSupport:{caseInsensitive:!0,embeddedElectricCharacters:["*","}","]",")"]},autoClosingPairs:[{open:"{",close:"}"},{open:"[",close:"]"},{open:"(",close:")"},{open:'"',close:'"'},{open:"'",close:"'"}],surroundingPairs:[{open:"<",close:">"},{open:'"',close:'"'},{open:"'",close:"'"}],onEnterRules:[{beforeText:new RegExp("<(?!(?:"+r.EMPTY_ELEMENTS.join("|")+"))(\\w[\\w\\d]*)([^/>]*(?!/)>)[^<]*$","i"),afterText:/^<\/(\w[\w\d]*)\s*>$/i,action:{indentAction:n.IndentAction.IndentOutdent}},{beforeText:new RegExp("<(?!(?:"+r.EMPTY_ELEMENTS.join("|")+"))(\\w[\\w\\d]*)([^/>]*(?!/)>)[^<]*$","i"),action:{indentAction:n.IndentAction.Indent}}]})},t.prototype.getInitialState=function(){return new u(this,r.States.Content,l.HTML,"","","","","")},t.prototype.getLeavingNestedModeData=function(t,n){var i=e.prototype.getLeavingNestedModeData.call(this,t,n);return i&&(i.stateAfterNestedMode=new u(this,r.States.Content,l.HTML,"","","","","")),i},t=__decorate([__param(1,o.IInstantiationService),__param(2,s.IModeService),__param(3,d.IThreadService)],t)}(r.HTMLMode);t.HandlebarsMode=h});
//# sourceMappingURL=../../../../../min-maps/vs/languages/handlebars/common/handlebars.js.map