/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.2.3(84e204b238a1eff25d4c6f611fdcd76a494005a7)
 * Released under the MIT license
 * https://github.com/Microsoft/vscode/blob/master/LICENSE.txt
 *-----------------------------------------------------------*/
define("vs/languages/html/common/htmlEmptyTagsShared",["require","exports","vs/base/common/arrays"],function(t,e,i){"use strict";function r(t){return i.binarySearch(e.EMPTY_ELEMENTS,t,function(t,e){return t.localeCompare(e)})>=0}e.EMPTY_ELEMENTS=["area","base","br","col","embed","hr","img","input","keygen","link","menuitem","meta","param","source","track","wbr"],e.isEmptyElement=r}),define("vs/languages/html/common/htmlTokenTypes",["require","exports","vs/base/common/strings"],function(t,e,i){"use strict";function r(t){return i.startsWith(t,o)}function n(t){return o+t}e.DELIM_END="punctuation.definition.meta.tag.end.html",e.DELIM_START="punctuation.definition.meta.tag.begin.html",e.DELIM_ASSIGN="meta.tag.assign.html",e.ATTRIB_NAME="entity.other.attribute-name.html",e.ATTRIB_VALUE="string.html",e.COMMENT="comment.html.content",e.DELIM_COMMENT="comment.html",e.DOCTYPE="entity.other.attribute-name.html",e.DELIM_DOCTYPE="entity.name.tag.html";var o="entity.name.tag.tag-";e.isTag=r,e.getTag=n});var __extends=this&&this.__extends||function(t,e){function i(){this.constructor=t}for(var r in e)e.hasOwnProperty(r)&&(t[r]=e[r]);t.prototype=null===e?Object.create(e):(i.prototype=e.prototype,new i)},__decorate=this&&this.__decorate||function(t,e,i,r){var n,o=arguments.length,a=3>o?e:null===r?r=Object.getOwnPropertyDescriptor(e,i):r;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)a=Reflect.decorate(t,e,i,r);else for(var s=t.length-1;s>=0;s--)(n=t[s])&&(a=(3>o?n(a):o>3?n(e,i,a):n(e,i))||a);return o>3&&a&&Object.defineProperty(e,i,a),a},__param=this&&this.__param||function(t,e){return function(i,r){e(i,r,t)}};define("vs/languages/html/common/html",["require","exports","vs/base/common/winjs.base","vs/editor/common/modes","vs/editor/common/modes/abstractMode","vs/editor/common/modes/abstractState","vs/platform/thread/common/threadService","vs/editor/common/services/modeService","vs/platform/instantiation/common/instantiation","vs/languages/html/common/htmlTokenTypes","vs/languages/html/common/htmlEmptyTagsShared","vs/editor/common/modes/supports/richEditSupport","vs/editor/common/modes/supports/tokenizationSupport","vs/platform/thread/common/thread","vs/base/common/async"],function(t,e,i,r,n,o,a,s,u,d,c,p,h,m,l){"use strict";e.htmlTokenTypes=d,e.EMPTY_ELEMENTS=c.EMPTY_ELEMENTS,function(t){t[t.Content=0]="Content",t[t.OpeningStartTag=1]="OpeningStartTag",t[t.OpeningEndTag=2]="OpeningEndTag",t[t.WithinDoctype=3]="WithinDoctype",t[t.WithinTag=4]="WithinTag",t[t.WithinComment=5]="WithinComment",t[t.WithinEmbeddedContent=6]="WithinEmbeddedContent",t[t.AttributeName=7]="AttributeName",t[t.AttributeValue=8]="AttributeValue"}(e.States||(e.States={}));var g=e.States,f=["script","style"],v=function(t){function e(e,i,r,n,o,a,s){t.call(this,e),this.kind=i,this.lastTagName=r,this.lastAttributeName=n,this.embeddedContentType=o,this.attributeValueQuote=a,this.attributeValue=s}return __extends(e,t),e.escapeTagName=function(t){return d.getTag(t.replace(/[:_.]/g,"-"))},e.prototype.makeClone=function(){return new e(this.getMode(),this.kind,this.lastTagName,this.lastAttributeName,this.embeddedContentType,this.attributeValueQuote,this.attributeValue)},e.prototype.equals=function(i){return i instanceof e?t.prototype.equals.call(this,i)&&this.kind===i.kind&&this.lastTagName===i.lastTagName&&this.lastAttributeName===i.lastAttributeName&&this.embeddedContentType===i.embeddedContentType&&this.attributeValueQuote===i.attributeValueQuote&&this.attributeValue===i.attributeValue:!1},e.prototype.nextElementName=function(t){return t.advanceIfRegExp(/^[_:\w][_:\w-.\d]*/).toLowerCase()},e.prototype.nextAttributeName=function(t){return t.advanceIfRegExp(/^[^\s"'>\/=\x00-\x0F\x7F\x80-\x9F]*/).toLowerCase()},e.prototype.tokenize=function(t){switch(this.kind){case g.WithinComment:if(t.advanceUntilString2("-->",!1))return{type:d.COMMENT};if(t.advanceIfString2("-->"))return this.kind=g.Content,{type:d.DELIM_COMMENT,dontMergeWithPrev:!0};break;case g.WithinDoctype:if(t.advanceUntilString2(">",!1))return{type:d.DOCTYPE};if(t.advanceIfString2(">"))return this.kind=g.Content,{type:d.DELIM_DOCTYPE,dontMergeWithPrev:!0};break;case g.Content:if(t.advanceIfCharCode2("<".charCodeAt(0))){if(!t.eos()&&"!"===t.peek()){if(t.advanceIfString2("!--"))return this.kind=g.WithinComment,{type:d.DELIM_COMMENT,dontMergeWithPrev:!0};if(t.advanceIfStringCaseInsensitive2("!DOCTYPE"))return this.kind=g.WithinDoctype,{type:d.DELIM_DOCTYPE,dontMergeWithPrev:!0}}return t.advanceIfCharCode2("/".charCodeAt(0))?(this.kind=g.OpeningEndTag,{type:d.DELIM_END,dontMergeWithPrev:!0}):(this.kind=g.OpeningStartTag,{type:d.DELIM_START,dontMergeWithPrev:!0})}break;case g.OpeningEndTag:var i=this.nextElementName(t);return i.length>0?{type:e.escapeTagName(i)}:t.advanceIfString2(">")?(this.kind=g.Content,{type:d.DELIM_END,dontMergeWithPrev:!0}):(t.advanceUntilString2(">",!1),{type:""});case g.OpeningStartTag:if(this.lastTagName=this.nextElementName(t),this.lastTagName.length>0)return this.lastAttributeName=null,"script"!==this.lastTagName&&"style"!==this.lastTagName||(this.lastAttributeName=null,this.embeddedContentType=null),this.kind=g.WithinTag,{type:e.escapeTagName(this.lastTagName)};break;case g.WithinTag:if(t.skipWhitespace2()||t.eos())return this.lastAttributeName="",{type:""};if(""===this.lastAttributeName){var r=this.nextAttributeName(t);if(r.length>0)return this.lastAttributeName=r,this.kind=g.AttributeName,{type:d.ATTRIB_NAME}}return t.advanceIfString2("/>")?(this.kind=g.Content,{type:d.DELIM_START,dontMergeWithPrev:!0}):t.advanceIfCharCode2(">".charCodeAt(0))?-1!==f.indexOf(this.lastTagName)?(this.kind=g.WithinEmbeddedContent,{type:d.DELIM_START,dontMergeWithPrev:!0}):(this.kind=g.Content,{type:d.DELIM_START,dontMergeWithPrev:!0}):(t.next2(),{type:""});case g.AttributeName:return t.skipWhitespace2()||t.eos()?{type:""}:t.advanceIfCharCode2("=".charCodeAt(0))?(this.kind=g.AttributeValue,{type:d.DELIM_ASSIGN}):(this.kind=g.WithinTag,this.lastAttributeName="",this.tokenize(t));case g.AttributeValue:if(t.eos())return{type:""};if(t.skipWhitespace2())return'"'===this.attributeValueQuote||"'"===this.attributeValueQuote?{type:d.ATTRIB_VALUE}:{type:""};if('"'!==this.attributeValueQuote&&"'"!==this.attributeValueQuote){var n=t.advanceIfRegExp(/^[^\s"'`=<>]+/);if(n.length>0)return this.kind=g.WithinTag,this.lastAttributeName=null,{type:d.ATTRIB_VALUE};var o=t.peek();return"'"===o||'"'===o?(this.attributeValueQuote=o,this.attributeValue=o,t.next2(),{type:d.ATTRIB_VALUE}):(this.kind=g.WithinTag,this.lastAttributeName=null,this.tokenize(t))}if(this.attributeValue!==this.attributeValueQuote||"script"!==this.lastTagName&&"style"!==this.lastTagName||"type"!==this.lastAttributeName){if(t.advanceIfCharCode2(this.attributeValueQuote.charCodeAt(0)))this.kind=g.WithinTag,this.attributeValue="",this.attributeValueQuote="",this.lastAttributeName=null;else{var a=t.next();this.attributeValue+=a}return{type:d.ATTRIB_VALUE}}if(this.attributeValue=t.advanceUntilString(this.attributeValueQuote,!0),this.attributeValue.length>0)return this.embeddedContentType=this.unquote(this.attributeValue),this.kind=g.WithinTag,this.attributeValue="",this.attributeValueQuote="",{type:d.ATTRIB_VALUE}}return t.next2(),this.kind=g.Content,{type:""}},e.prototype.unquote=function(t){var e=0,i=t.length;return'"'===t[0]&&e++,'"'===t[i-1]&&i--,t.substring(e,i)},e}(o.AbstractState);e.State=v;var T=function(t){function e(e,i,r,n){t.call(this,e.id),this._modeWorkerManager=this._createModeWorkerManager(e,i),this.modeService=r,this.threadService=n,this.tokenizationSupport=new h.TokenizationSupport(this,this,!0,!0),this.configSupport=this,this.richEditSupport=this._createRichEditSupport(),this._registerSupports()}return __extends(e,t),e.prototype.asyncCtor=function(){return i.Promise.join([this.modeService.getOrCreateMode("text/css"),this.modeService.getOrCreateMode("text/javascript")])},e.prototype._registerSupports=function(){var t=this;if("html"!==this.getId())throw new Error("This method must be overwritten!");r.HoverProviderRegistry.register(this.getId(),{provideHover:function(e,i,r){return l.wireCancellationToken(r,t._provideHover(e.uri,i))}},!0),r.ReferenceProviderRegistry.register(this.getId(),{provideReferences:function(e,i,r,n){return l.wireCancellationToken(n,t._provideReferences(e.uri,i,r))}},!0),r.SuggestRegistry.register(this.getId(),{triggerCharacters:[".",":","<",'"',"=","/"],shouldAutotriggerSuggest:!0,provideCompletionItems:function(e,i,r){return l.wireCancellationToken(r,t._provideCompletionItems(e.uri,i))}},!0),r.DocumentHighlightProviderRegistry.register(this.getId(),{provideDocumentHighlights:function(e,i,r){return l.wireCancellationToken(r,t._provideDocumentHighlights(e.uri,i))}},!0),r.DocumentRangeFormattingEditProviderRegistry.register(this.getId(),{provideDocumentRangeFormattingEdits:function(e,i,r,n){return l.wireCancellationToken(n,t._provideDocumentRangeFormattingEdits(e.uri,i,r))}},!0),r.LinkProviderRegistry.register(this.getId(),{provideLinks:function(e,i){return l.wireCancellationToken(i,t._provideLinks(e.uri))}},!0)},e.prototype._createModeWorkerManager=function(t,e){return new n.ModeWorkerManager(t,"vs/languages/html/common/htmlWorker","HTMLWorker",null,e)},e.prototype._worker=function(t){return this._modeWorkerManager.worker(t)},e.prototype._createRichEditSupport=function(){return new p.RichEditSupport(this.getId(),null,{wordPattern:n.createWordRegExp("#-?%"),comments:{blockComment:["<!--","-->"]},brackets:[["<!--","-->"],["<",">"]],__electricCharacterSupport:{caseInsensitive:!0,embeddedElectricCharacters:["*","}","]",")"]},autoClosingPairs:[{open:"{",close:"}"},{open:"[",close:"]"},{open:"(",close:")"},{open:'"',close:'"'},{open:"'",close:"'"}],surroundingPairs:[{open:'"',close:'"'},{open:"'",close:"'"}],onEnterRules:[{beforeText:new RegExp("<(?!(?:"+c.EMPTY_ELEMENTS.join("|")+"))([_:\\w][_:\\w-.\\d]*)([^/>]*(?!/)>)[^<]*$","i"),afterText:/^<\/([_:\w][_:\w-.\d]*)\s*>$/i,action:{indentAction:r.IndentAction.IndentOutdent}},{beforeText:new RegExp("<(?!(?:"+c.EMPTY_ELEMENTS.join("|")+"))(\\w[\\w\\d]*)([^/>]*(?!/)>)[^<]*$","i"),action:{indentAction:r.IndentAction.Indent}}]})},e.prototype.getInitialState=function(){return new v(this,g.Content,"","","","","")},e.prototype.enterNestedMode=function(t){return t instanceof v&&t.kind===g.WithinEmbeddedContent},e.prototype.getNestedMode=function(t){var e=null,i=t,r=null;if(null!==i.embeddedContentType)this.modeService.isRegisteredMode(i.embeddedContentType)&&(e=this.modeService.getMode(i.embeddedContentType),e||(r=this.modeService.getOrCreateMode(i.embeddedContentType)));else{var n=null;n="script"===i.lastTagName?"text/javascript":"style"===i.lastTagName?"text/css":"text/plain",e=this.modeService.getMode(n)}return null===e&&(e=this.modeService.getMode("text/plain")),{mode:e,missingModePromise:r}},e.prototype.getLeavingNestedModeData=function(t,e){var i=e.lastTagName,r=new RegExp("<\\/"+i+"\\s*>","i"),n=r.exec(t);return null!==n?{nestedModeBuffer:t.substring(0,n.index),bufferAfterNestedMode:t.substring(n.index),stateAfterNestedMode:new v(this,g.Content,"","","","","")}:null},e.prototype.configure=function(t){return this.threadService.isInMainThread?this._configureWorkers(t):this._worker(function(e){return e._doConfigure(t)})},e.prototype._configureWorkers=function(t){return this._worker(function(e){return e._doConfigure(t)})},e.prototype._provideLinks=function(t){return this._worker(function(e){return e.provideLinks(t)})},e.prototype._provideDocumentRangeFormattingEdits=function(t,e,i){return this._worker(function(r){return r.provideDocumentRangeFormattingEdits(t,e,i)})},e.prototype._provideHover=function(t,e){return this._worker(function(i){return i.provideHover(t,e)})},e.prototype._provideReferences=function(t,e,i){return this._worker(function(i){return i.provideReferences(t,e)})},e.prototype._provideDocumentHighlights=function(t,e,i){return void 0===i&&(i=!1),this._worker(function(r){return r.provideDocumentHighlights(t,e,i)})},e.prototype._provideCompletionItems=function(t,e){return this._worker(function(i){return i.provideCompletionItems(t,e)})},e.prototype.findColorDeclarations=function(t){return this._worker(function(e){return e.findColorDeclarations(t)})},e.$_configureWorkers=a.AllWorkersAttr(e,e.prototype._configureWorkers),e.$_provideLinks=a.OneWorkerAttr(e,e.prototype._provideLinks),e.$_provideDocumentRangeFormattingEdits=a.OneWorkerAttr(e,e.prototype._provideDocumentRangeFormattingEdits),e.$_provideHover=a.OneWorkerAttr(e,e.prototype._provideHover),e.$_provideReferences=a.OneWorkerAttr(e,e.prototype._provideReferences),e.$_provideDocumentHighlights=a.OneWorkerAttr(e,e.prototype._provideDocumentHighlights),e.$_provideCompletionItems=a.OneWorkerAttr(e,e.prototype._provideCompletionItems),e.$findColorDeclarations=a.OneWorkerAttr(e,e.prototype.findColorDeclarations),e=__decorate([__param(1,u.IInstantiationService),__param(2,s.IModeService),__param(3,m.IThreadService)],e)}(n.AbstractMode);e.HTMLMode=T});
//# sourceMappingURL=../../../../../min-maps/vs/languages/html/common/html.js.map