/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.2.3(84e204b238a1eff25d4c6f611fdcd76a494005a7)
 * Released under the MIT license
 * https://github.com/Microsoft/vscode/blob/master/LICENSE.txt
 *-----------------------------------------------------------*/
define("vs/languages/json/common/parser/jsonLocation",["require","exports"],function(e,t){"use strict";var n=function(){function e(e){this.segments=e}return e.prototype.append=function(t){return new e(this.segments.concat(t))},e.prototype.getSegments=function(){return this.segments},e.prototype.matches=function(e){for(var t=0,n=0;t<e.length&&n<this.segments.length;n++)if(e[t]===this.segments[n]||"*"===e[t])t++;else if("**"!==e[t])return!1;return t===e.length},e.prototype.toString=function(){return"["+this.segments.join("][")+"]"},e}();t.JSONLocation=n}),define("vs/nls!vs/base/common/http",["vs/nls","vs/nls!vs/languages/json/common/jsonWorker"],function(e,t){return e.create("vs/base/common/http",t)}),define("vs/base/common/http",["require","exports","vs/nls!vs/base/common/http"],function(e,t,n){"use strict";function r(e){if(!(400>e))switch(e){case 400:return n.localize(0,null);case 401:return n.localize(1,null);case 403:return n.localize(2,null);case 404:return n.localize(3,null);case 405:return n.localize(4,null);case 406:return n.localize(5,null);case 407:return n.localize(6,null);case 408:return n.localize(7,null);case 409:return n.localize(8,null);case 410:return n.localize(9,null);case 411:return n.localize(10,null);case 412:return n.localize(11,null);case 413:return n.localize(12,null);case 414:return n.localize(13,null);case 415:return n.localize(14,null);case 500:return n.localize(15,null);case 501:return n.localize(16,null);case 503:return n.localize(17,null);default:return n.localize(18,null,e)}}t.getErrorStatusDescription=r}),define("vs/base/common/jsonFormatter",["require","exports","./json"],function(e,t,n){"use strict";function r(e,t){return e.substring(0,t.offset)+t.content+e.substring(t.offset+t.length)}function o(e,t){for(var n=t.length-1;n>=0;n--)e=r(e,t[n]);return e}function i(e,t,r){function o(){return v+s(g,p+S)}function i(){var e=b.scan();for(y=!1;e===n.SyntaxKind.Trivia||e===n.SyntaxKind.LineBreakTrivia;)y=y||e===n.SyntaxKind.LineBreakTrivia,e=b.scan();return e}function u(t,n,r){e.substring(n,r)!==t&&O.push({offset:n,length:r-n,content:t})}var p,h,f,m;if(t){for(f=t.offset,m=f+t.length;f>0&&!c(e,f-1);)f--;var d=n.createScanner(e,!0);d.setPosition(m),d.scan(),m=d.getPosition(),h=e.substring(f,m),p=a(h,0,r)}else h=e,f=0,m=e.length,p=0;var g,v=l(r,e),y=!1,S=0;g=r.insertSpaces?s(" ",r.tabSize):"	";var b=n.createScanner(h,!1),O=[],k=i();if(k!==n.SyntaxKind.EOF){var x=b.getTokenOffset()+f,j=s(g,p);u(j,f,x)}for(;k!==n.SyntaxKind.EOF;){for(var w=b.getTokenOffset()+b.getTokenLength()+f,N=i(),P="";!y&&(N===n.SyntaxKind.LineCommentTrivia||N===n.SyntaxKind.BlockCommentTrivia);){var T=b.getTokenOffset()+f;u(" ",w,T),w=b.getTokenOffset()+b.getTokenLength()+f,P=N===n.SyntaxKind.LineCommentTrivia?o():"",N=i()}if(N===n.SyntaxKind.CloseBraceToken)k!==n.SyntaxKind.OpenBraceToken&&(S--,P=o());else if(N===n.SyntaxKind.CloseBracketToken)k!==n.SyntaxKind.OpenBracketToken&&(S--,P=o());else if(N!==n.SyntaxKind.EOF){switch(k){case n.SyntaxKind.OpenBracketToken:case n.SyntaxKind.OpenBraceToken:S++,P=o();break;case n.SyntaxKind.CommaToken:case n.SyntaxKind.LineCommentTrivia:P=o();break;case n.SyntaxKind.BlockCommentTrivia:P=y?o():" ";break;case n.SyntaxKind.ColonToken:P=" ";break;case n.SyntaxKind.NullKeyword:case n.SyntaxKind.TrueKeyword:case n.SyntaxKind.FalseKeyword:case n.SyntaxKind.NumericLiteral:N!==n.SyntaxKind.NullKeyword&&N!==n.SyntaxKind.FalseKeyword&&N!==n.SyntaxKind.NumericLiteral||(P=" ")}!y||N!==n.SyntaxKind.LineCommentTrivia&&N!==n.SyntaxKind.BlockCommentTrivia||(P=o())}var A=b.getTokenOffset()+f;u(P,w,A),k=N}return O}function s(e,t){for(var n="",r=0;t>r;r++)n+=e;return n}function a(e,t,n){for(var r=0,o=0,i=n.tabSize||4;r<e.length;){var s=e.charAt(r);if(" "===s)o++;else{if("	"!==s)break;o+=i}r++}return Math.floor(o/i)}function l(e,t){for(var n=0;n<t.length;n++){var r=t.charAt(n);if("\r"===r)return n+1<t.length&&"\n"===t.charAt(n+1)?"\r\n":"\r";if("\n"===r)return"\n"}return e&&e.eol||"\n"}function c(e,t){return-1!=="\r\n".indexOf(e.charAt(t))}t.applyEdit=r,t.applyEdits=o,t.format=i}),define("vs/nls!vs/languages/json/common/contributions/bowerJSONContribution",["vs/nls","vs/nls!vs/languages/json/common/jsonWorker"],function(e,t){return e.create("vs/languages/json/common/contributions/bowerJSONContribution",t)}),define("vs/nls!vs/languages/json/common/contributions/globPatternContribution",["vs/nls","vs/nls!vs/languages/json/common/jsonWorker"],function(e,t){return e.create("vs/languages/json/common/contributions/globPatternContribution",t)}),define("vs/languages/json/common/contributions/globPatternContribution",["require","exports","vs/base/common/strings","vs/nls!vs/languages/json/common/contributions/globPatternContribution"],function(e,t,n,r){"use strict";var o=[{type:"value",label:r.localize(0,null),codeSnippet:'"**/*.{{extension}}": true',documentationLabel:r.localize(1,null)},{type:"value",label:r.localize(2,null),codeSnippet:'"**/*.{ext1,ext2,ext3}": true',documentationLabel:r.localize(3,null)},{type:"value",label:r.localize(4,null),codeSnippet:'"**/*.{{source-extension}}": { "when": "$(basename).{{target-extension}}" }',documentationLabel:r.localize(5,null)},{type:"value",label:r.localize(6,null),codeSnippet:'"{{name}}": true',documentationLabel:r.localize(7,null)},{type:"value",label:r.localize(8,null),codeSnippet:'"{folder1,folder2,folder3}": true',documentationLabel:r.localize(9,null)},{type:"value",label:r.localize(10,null),codeSnippet:'"**/{{name}}": true',documentationLabel:r.localize(11,null)}],i=[{type:"value",label:r.localize(12,null),codeSnippet:"true",documentationLabel:r.localize(13,null)},{type:"value",label:r.localize(14,null),codeSnippet:"false",documentationLabel:r.localize(15,null)},{type:"value",label:r.localize(16,null),codeSnippet:'{ "when": "$(basename).{{extension}}" }',documentationLabel:r.localize(17,null)}],s=function(){function e(){}return e.prototype.isSettingsFile=function(e){var t=e.path;return n.endsWith(t,"/settings.json")},e.prototype.collectDefaultSuggestions=function(e,t){return null},e.prototype.collectPropertySuggestions=function(e,t,n,r,i,s){return this.isSettingsFile(e)&&(t.matches(["files.exclude"])||t.matches(["search.exclude"]))&&o.forEach(function(e){return s.add(e)}),null},e.prototype.collectValueSuggestions=function(e,t,n,r){return this.isSettingsFile(e)&&(t.matches(["files.exclude"])||t.matches(["search.exclude"]))&&i.forEach(function(e){return r.add(e)}),null},e.prototype.getInfoContribution=function(e,t){return null},e}();t.GlobPatternContribution=s}),define("vs/nls!vs/languages/json/common/contributions/packageJSONContribution",["vs/nls","vs/nls!vs/languages/json/common/jsonWorker"],function(e,t){return e.create("vs/languages/json/common/contributions/packageJSONContribution",t)}),define("vs/nls!vs/languages/json/common/contributions/projectJSONContribution",["vs/nls","vs/nls!vs/languages/json/common/jsonWorker"],function(e,t){return e.create("vs/languages/json/common/contributions/projectJSONContribution",t)}),define("vs/nls!vs/languages/json/common/jsonIntellisense",["vs/nls","vs/nls!vs/languages/json/common/jsonWorker"],function(e,t){return e.create("vs/languages/json/common/jsonIntellisense",t)}),define("vs/nls!vs/languages/json/common/jsonSchemaService",["vs/nls","vs/nls!vs/languages/json/common/jsonWorker"],function(e,t){return e.create("vs/languages/json/common/jsonSchemaService",t)}),define("vs/nls!vs/languages/json/common/parser/jsonParser",["vs/nls","vs/nls!vs/languages/json/common/jsonWorker"],function(e,t){return e.create("vs/languages/json/common/parser/jsonParser",t)});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/languages/json/common/parser/jsonParser",["require","exports","vs/nls!vs/languages/json/common/parser/jsonParser","vs/base/common/arrays","vs/base/common/types","vs/base/common/json","./jsonLocation"],function(e,t,n,r,o,i,s){"use strict";var a=function(){function e(e,t,n,r,o){this.type=t,this.name=n,this.start=r,this.end=o,this.parent=e}return e.prototype.getNodeLocation=function(){var e=this.parent?this.parent.getNodeLocation():new s.JSONLocation([]);return this.name&&(e=e.append(this.name)),e},e.prototype.getChildNodes=function(){return[]},e.prototype.getValue=function(){},e.prototype.contains=function(e,t){return void 0===t&&(t=!1),e>=this.start&&e<this.end||t&&e===this.end},e.prototype.visit=function(e){return e(this)},e.prototype.getNodeFromOffset=function(e){var t=function(n){if(e>=n.start&&e<n.end){for(var r=n.getChildNodes(),o=0;o<r.length&&r[o].start<=e;o++){var i=t(r[o]);if(i)return i}return n}return null};return t(this)},e.prototype.getNodeFromOffsetEndInclusive=function(e){var t=function(n){if(e>=n.start&&e<=n.end){for(var r=n.getChildNodes(),o=0;o<r.length&&r[o].start<=e;o++){var i=t(r[o]);if(i)return i}return n}return null};return t(this)},e.prototype.validate=function(e,t,o,i){var s=this;if(void 0===i&&(i=-1),-1===i||this.contains(i)){if(Array.isArray(e.type)?r.contains(e.type,this.type)===!1&&t.warnings.push({location:{start:this.start,end:this.end},message:e.errorMessage||n.localize(0,null,e.type.join())}):e.type&&this.type!==e.type&&t.warnings.push({location:{start:this.start,end:this.end},message:e.errorMessage||n.localize(1,null,e.type)}),Array.isArray(e.allOf)&&e.allOf.forEach(function(e){s.validate(e,t,o,i)}),e.not){var a=new g,l=[];this.validate(e.not,a,l,i),a.hasErrors()||t.warnings.push({location:{start:this.start,end:this.end},message:n.localize(2,null)}),o&&l.forEach(function(e){e.inverted=!e.inverted,o.push(e)})}var c=function(e,r){var i=[],a=null;return e.forEach(function(e){var t=new g,n=[];if(s.validate(e,t,n),t.hasErrors()||i.push(e),a)if(r||t.hasErrors()||a.validationResult.hasErrors()){var o=t.compare(a.validationResult);o>0?a={schema:e,validationResult:t,matchingSchemas:n}:0===o&&a.matchingSchemas.push.apply(a.matchingSchemas,n)}else a.matchingSchemas.push.apply(a.matchingSchemas,n),a.validationResult.propertiesMatches+=t.propertiesMatches,a.validationResult.propertiesValueMatches+=t.propertiesValueMatches;else a={schema:e,validationResult:t,matchingSchemas:n}}),i.length>1&&r&&t.warnings.push({location:{start:s.start,end:s.start+1},message:n.localize(3,null)}),null!==a&&(t.merge(a.validationResult),t.propertiesMatches+=a.validationResult.propertiesMatches,t.propertiesValueMatches+=a.validationResult.propertiesValueMatches,o&&o.push.apply(o,a.matchingSchemas)),i.length};Array.isArray(e.anyOf)&&c(e.anyOf,!1),Array.isArray(e.oneOf)&&c(e.oneOf,!0),Array.isArray(e["enum"])&&(r.contains(e["enum"],this.getValue())===!1?t.warnings.push({location:{start:this.start,end:this.end},message:n.localize(4,null,JSON.stringify(e["enum"]))}):t.enumValueMatch=!0),null!==o&&o.push({node:this,schema:e})}},e}();t.ASTNode=a;var l=function(e){function t(t,n,r,o){e.call(this,t,"null",n,r,o)}return __extends(t,e),t.prototype.getValue=function(){return null},t}(a);t.NullASTNode=l;var c=function(e){function t(t,n,r,o,i){e.call(this,t,"boolean",n,o,i),this.value=r}return __extends(t,e),t.prototype.getValue=function(){return this.value},t}(a);t.BooleanASTNode=c;var u=function(e){function t(t,n,r,o){e.call(this,t,"array",n,r,o),this.items=[]}return __extends(t,e),t.prototype.getChildNodes=function(){return this.items},t.prototype.getValue=function(){return this.items.map(function(e){return e.getValue()})},t.prototype.addItem=function(e){return e?(this.items.push(e),!0):!1},t.prototype.visit=function(e){for(var t=e(this),n=0;n<this.items.length&&t;n++)t=this.items[n].visit(e);return t},t.prototype.validate=function(t,r,o,i){var s=this;if(void 0===i&&(i=-1),-1===i||this.contains(i)){if(e.prototype.validate.call(this,t,r,o,i),Array.isArray(t.items)){var a=t.items;a.forEach(function(e,t){var n=new g,l=s.items[t];l?(l.validate(e,n,o,i),r.mergePropertyMatch(n)):s.items.length>=a.length&&r.propertiesValueMatches++}),t.additionalItems===!1&&this.items.length>a.length?r.warnings.push({location:{start:this.start,end:this.end},message:n.localize(5,null,a.length)}):this.items.length>=a.length&&(r.propertiesValueMatches+=this.items.length-a.length)}else t.items&&this.items.forEach(function(e){var n=new g;e.validate(t.items,n,o,i),r.mergePropertyMatch(n)});if(t.minItems&&this.items.length<t.minItems&&r.warnings.push({location:{start:this.start,end:this.end},message:n.localize(6,null,t.minItems)}),t.maxItems&&this.items.length>t.maxItems&&r.warnings.push({location:{start:this.start,end:this.end},message:n.localize(7,null,t.minItems)}),t.uniqueItems===!0){var l=this.items.map(function(e){return e.getValue()}),c=l.some(function(e,t){return t!==l.lastIndexOf(e)});c&&r.warnings.push({location:{start:this.start,end:this.end},message:n.localize(8,null)})}}},t}(a);t.ArrayASTNode=u;var p=function(e){function t(t,n,r,o){e.call(this,t,"number",n,r,o),this.isInteger=!0,this.value=Number.NaN}return __extends(t,e),t.prototype.getValue=function(){return this.value},t.prototype.validate=function(t,i,s,a){if(void 0===a&&(a=-1),-1===a||this.contains(a)){var l=!1;("integer"===t.type||Array.isArray(t.type)&&r.contains(t.type,"integer"))&&(l=!0),l&&this.isInteger===!0&&(this.type="integer"),e.prototype.validate.call(this,t,i,s,a),this.type="number";var c=this.getValue();o.isNumber(t.multipleOf)&&c%t.multipleOf!==0&&i.warnings.push({location:{start:this.start,end:this.end},message:n.localize(9,null,t.multipleOf)}),o.isUndefined(t.minimum)||(t.exclusiveMinimum&&c<=t.minimum&&i.warnings.push({location:{start:this.start,end:this.end},message:n.localize(10,null,t.minimum)}),!t.exclusiveMinimum&&c<t.minimum&&i.warnings.push({location:{start:this.start,end:this.end},message:n.localize(11,null,t.minimum)})),o.isUndefined(t.maximum)||(t.exclusiveMaximum&&c>=t.maximum&&i.warnings.push({location:{start:this.start,end:this.end},message:n.localize(12,null,t.maximum)}),!t.exclusiveMaximum&&c>t.maximum&&i.warnings.push({location:{start:this.start,end:this.end},message:n.localize(13,null,t.maximum)}))}},t}(a);t.NumberASTNode=p;var h=function(e){function t(t,n,r,o,i){e.call(this,t,"string",n,o,i),this.isKey=r,this.value=""}return __extends(t,e),t.prototype.getValue=function(){return this.value},t.prototype.validate=function(t,r,o,i){if(void 0===i&&(i=-1),(-1===i||this.contains(i))&&(e.prototype.validate.call(this,t,r,o,i),t.minLength&&this.value.length<t.minLength&&r.warnings.push({location:{start:this.start,end:this.end},message:n.localize(14,null,t.minLength)}),t.maxLength&&this.value.length>t.maxLength&&r.warnings.push({location:{start:this.start,end:this.end},message:n.localize(15,null,t.maxLength)}),t.pattern)){var s=new RegExp(t.pattern);s.test(this.value)||r.warnings.push({location:{start:this.start,end:this.end},message:t.errorMessage||n.localize(16,null,t.pattern)})}},t}(a);t.StringASTNode=h;var f=function(e){function t(t,n){e.call(this,t,"property",null,n.start),this.key=n,n.parent=this,n.name=n.value,this.colonOffset=-1}return __extends(t,e),t.prototype.getChildNodes=function(){return this.value?[this.key,this.value]:[this.key]},t.prototype.setValue=function(e){return this.value=e,null!==e},t.prototype.visit=function(e){return e(this)&&this.key.visit(e)&&this.value&&this.value.visit(e)},t.prototype.validate=function(e,t,n,r){void 0===r&&(r=-1),(-1===r||this.contains(r))&&this.value&&this.value.validate(e,t,n,r)},t}(a);t.PropertyASTNode=f;var m=function(e){function t(t,n,r,o){e.call(this,t,"object",n,r,o),this.properties=[]}return __extends(t,e),t.prototype.getChildNodes=function(){return this.properties},t.prototype.addProperty=function(e){return e?(this.properties.push(e),!0):!1},t.prototype.getFirstProperty=function(e){for(var t=0;t<this.properties.length;t++)if(this.properties[t].key.value===e)return this.properties[t];return null},t.prototype.getKeyList=function(){return this.properties.map(function(e){return e.key.getValue()})},t.prototype.getValue=function(){var e={};return this.properties.forEach(function(t){var n=t.value&&t.value.getValue();n&&(e[t.key.getValue()]=n)}),e},t.prototype.visit=function(e){for(var t=e(this),n=0;n<this.properties.length&&t;n++)t=this.properties[n].visit(e);return t},t.prototype.validate=function(t,r,i,s){var a=this;if(void 0===s&&(s=-1),-1===s||this.contains(s)){e.prototype.validate.call(this,t,r,i,s);var l={},c=[];this.properties.forEach(function(e){var t=e.key.value;l[t]=e.value,c.push(t)}),Array.isArray(t.required)&&t.required.forEach(function(e){if(!l[e]){var t=a.parent&&a.parent&&a.parent.key,o=t?{start:t.start,end:t.end}:{start:a.start,end:a.start+1};r.warnings.push({location:o,message:n.localize(17,null,e)})}});var u=function(e){for(var t=c.indexOf(e);t>=0;)c.splice(t,1),t=c.indexOf(e)};t.properties&&Object.keys(t.properties).forEach(function(e){u(e);var n=t.properties[e],o=l[e];if(o){var a=new g;o.validate(n,a,i,s),r.mergePropertyMatch(a)}}),t.patternProperties&&Object.keys(t.patternProperties).forEach(function(e){var n=new RegExp(e);c.slice(0).forEach(function(o){if(n.test(o)){u(o);var a=l[o];if(a){var c=new g;a.validate(t.patternProperties[e],c,i,s),r.mergePropertyMatch(c)}}})}),o.isObject(t.additionalProperties)?c.forEach(function(e){var n=l[e];if(n){var o=new g;n.validate(t.additionalProperties,o,i,s),r.mergePropertyMatch(o)}}):t.additionalProperties===!1&&c.length>0&&c.forEach(function(e){var t=l[e];if(t){var o=t.parent;r.warnings.push({location:{start:o.key.start,end:o.key.end},message:n.localize(18,null,e)})}}),t.maxProperties&&this.properties.length>t.maxProperties&&r.warnings.push({location:{start:this.start,end:this.end},message:n.localize(19,null,t.maxProperties)}),t.minProperties&&this.properties.length<t.minProperties&&r.warnings.push({location:{start:this.start,end:this.end},message:n.localize(20,null,t.minProperties)}),o.isObject(t.dependencies)&&Object.keys(t.dependencies).forEach(function(e){var c=l[e];if(c)if(Array.isArray(t.dependencies[e])){var u=t.dependencies[e];u.forEach(function(t){l[t]?r.propertiesValueMatches++:r.warnings.push({location:{start:a.start,end:a.end},message:n.localize(21,null,t,e)})})}else if(o.isObject(t.dependencies[e])){var p=t.dependencies[e],h=new g;a.validate(p,h,i,s),r.mergePropertyMatch(h)}})}},t}(a);t.ObjectASTNode=m;var d=function(){function e(){this.ignoreDanglingComma=!1}return e}();t.JSONDocumentConfig=d;var g=function(){function e(){this.errors=[],this.warnings=[],this.propertiesMatches=0,this.propertiesValueMatches=0,this.enumValueMatch=!1}return e.prototype.hasErrors=function(){return!!this.errors.length||!!this.warnings.length},e.prototype.mergeAll=function(e){var t=this;e.forEach(function(e){t.merge(e)})},e.prototype.merge=function(e){this.errors=this.errors.concat(e.errors),this.warnings=this.warnings.concat(e.warnings)},e.prototype.mergePropertyMatch=function(e){this.merge(e),this.propertiesMatches++,(e.enumValueMatch||!e.hasErrors()&&e.propertiesMatches)&&this.propertiesValueMatches++},e.prototype.compare=function(e){var t=this.hasErrors();return t!==e.hasErrors()?t?-1:1:this.enumValueMatch!==e.enumValueMatch?e.enumValueMatch?-1:1:this.propertiesValueMatches!==e.propertiesValueMatches?this.propertiesValueMatches-e.propertiesValueMatches:this.propertiesMatches-e.propertiesMatches},e}();t.ValidationResult=g;var v=function(){function e(e){this.config=e,this.validationResult=new g}return Object.defineProperty(e.prototype,"errors",{get:function(){return this.validationResult.errors},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"warnings",{get:function(){return this.validationResult.warnings},enumerable:!0,configurable:!0}),e.prototype.getNodeFromOffset=function(e){return this.root&&this.root.getNodeFromOffset(e)},e.prototype.getNodeFromOffsetEndInclusive=function(e){return this.root&&this.root.getNodeFromOffsetEndInclusive(e)},e.prototype.visit=function(e){this.root&&this.root.visit(e)},e.prototype.validate=function(e,t,n){void 0===t&&(t=null),void 0===n&&(n=-1),this.root&&this.root.validate(e,this.validationResult,t,n)},e}();t.JSONDocument=v;var y=function(){function e(){}return e.prototype.parse=function(e,t){function r(e){return w.getToken()===e?(w.scan(),!0):!1}function o(e,t,n,r){if(void 0===t&&(t=null),void 0===n&&(n=[]),void 0===r&&(r=[]),0===j.errors.length||j.errors[0].location.start!==w.getTokenOffset()){var o={message:e,location:{start:w.getTokenOffset(),end:w.getTokenOffset()+w.getTokenLength()}};j.errors.push(o)}if(t&&a(t,!1),n.length+r.length>0)for(var s=w.getToken();s!==i.SyntaxKind.EOF;){if(-1!==n.indexOf(s)){w.scan();break}if(-1!==r.indexOf(s))break;s=w.scan()}return t}function s(){switch(w.getTokenError()){case i.ScanError.InvalidUnicode:return o(n.localize(22,null)),!0;case i.ScanError.InvalidEscapeCharacter:return o(n.localize(23,null)),!0;case i.ScanError.UnexpectedEndOfNumber:return o(n.localize(24,null)),!0;case i.ScanError.UnexpectedEndOfComment:return o(n.localize(25,null)),!0;case i.ScanError.UnexpectedEndOfString:return o(n.localize(26,null)),!0}return!1}function a(e,t){return e.end=w.getTokenOffset()+w.getTokenLength(),t&&w.scan(),e}function g(e,t){if(w.getToken()!==i.SyntaxKind.OpenBracketToken)return null;var s=new u(e,t,w.getTokenOffset());w.scan();var l=0;if(s.addItem(x(s,""+l++)))for(;r(i.SyntaxKind.CommaToken);)s.addItem(x(s,""+l++))||j.config.ignoreDanglingComma||o(n.localize(27,null));return w.getToken()!==i.SyntaxKind.CloseBracketToken?o(n.localize(28,null),s):a(s,!0)}function y(e,t){var r=b(null,null,!0);if(!r){if(w.getToken()===i.SyntaxKind.Unknown){var s=w.getTokenValue();s.match(/^['\w]/)&&o(n.localize(29,null))}return null}var a=new f(e,r);return t[r.value]&&j.warnings.push({location:{start:a.key.start,end:a.key.end},message:n.localize(30,null)}),t[r.value]=!0,w.getToken()!==i.SyntaxKind.ColonToken?o(n.localize(31,null),a,[],[i.SyntaxKind.CloseBraceToken,i.SyntaxKind.CommaToken]):(a.colonOffset=w.getTokenOffset(),w.scan(),a.setValue(x(a,r.value))?(a.end=a.value.end,a):o(n.localize(32,null),a,[],[i.SyntaxKind.CloseBraceToken,i.SyntaxKind.CommaToken]))}function S(e,t){if(w.getToken()!==i.SyntaxKind.OpenBraceToken)return null;var s=new m(e,t,w.getTokenOffset());w.scan();var l={};if(s.addProperty(y(s,l)))for(;r(i.SyntaxKind.CommaToken);)s.addProperty(y(s,l))||j.config.ignoreDanglingComma||o(n.localize(33,null));return w.getToken()!==i.SyntaxKind.CloseBraceToken?o(n.localize(34,null),s):a(s,!0)}function b(e,t,n){if(w.getToken()!==i.SyntaxKind.StringLiteral)return null;var r=new h(e,t,n,w.getTokenOffset());return r.value=w.getTokenValue(),s(),a(r,!0)}function O(e,t){if(w.getToken()!==i.SyntaxKind.NumericLiteral)return null;var r=new p(e,t,w.getTokenOffset());if(!s()){var l=w.getTokenValue();try{var c=JSON.parse(l);if("number"!=typeof c)return o(n.localize(35,null),r);r.value=c}catch(u){return o(n.localize(36,null),r)}r.isInteger=-1===l.indexOf(".")}return a(r,!0)}function k(e,t){var n;switch(w.getToken()){case i.SyntaxKind.NullKeyword:n=new l(e,t,w.getTokenOffset());break;case i.SyntaxKind.TrueKeyword:n=new c(e,t,!0,w.getTokenOffset());break;case i.SyntaxKind.FalseKeyword:n=new c(e,t,!1,w.getTokenOffset());break;default:return null}return a(n,!0)}function x(e,t){return g(e,t)||S(e,t)||b(e,t,!1)||O(e,t)||k(e,t)}void 0===t&&(t=new d);var j=new v(t),w=i.createScanner(e,!0);return w.scan(),j.root=x(null,null),j.root?w.getToken()!==i.SyntaxKind.EOF&&o(n.localize(38,null)):o(n.localize(37,null)),j},e}();t.JSONParser=y}),define("vs/languages/json/common/jsonIntellisense",["require","exports","./parser/jsonParser","vs/base/common/types","vs/base/common/winjs.base","vs/nls!vs/languages/json/common/jsonIntellisense","vs/base/common/errors"],function(e,t,n,r,o,i,s){"use strict";var a=function(){function e(e,t,n){this.schemaService=e,this.requestService=t,this.contributions=n}return e.prototype.doSuggest=function(e,t,r){var i=this,a=t.getWordUntilPosition(r).word,l=new n.JSONParser,c=new n.JSONDocumentConfig;c.ignoreDanglingComma=!0;var u=l.parse(t.getValue(),c),p={currentWord:a,incomplete:!1,suggestions:[]},h=void 0,f=void 0,m={},d={add:function(e){m[e.label]||(m[e.label]=!0,e.overwriteBefore=h,e.overwriteAfter=f,p.suggestions.push(e))},setAsIncomplete:function(){p.incomplete=!0},error:function(e){s.onUnexpectedError(e)}};return this.schemaService.getSchemaForResource(e.toString(),u).then(function(n){var s=[],l=t.getOffsetFromPosition(r),c=u.getNodeFromOffsetEndInclusive(l),g=!0,v=a,y=null;if(c&&"string"===c.type){var S=c;if(S.isKey){var b=t.getRangeFromOffsetAndLength(c.start,c.end-c.start);h=r.column-b.startColumn,f=b.endColumn-r.column,g=!(c.parent&&c.parent.value),y=c.parent?c.parent:null,v=t.getValueInRange({startColumn:b.startColumn+1,startLineNumber:b.startLineNumber,endColumn:r.column,endLineNumber:r.lineNumber}),c.parent&&(c=c.parent.parent)}}if(c&&"object"===c.type){if(c.start===l)return p;var O=c.properties;if(O.forEach(function(e){y&&y===e||(m[e.key.value]=!0)}),n){var k=0===O.length||l>=O[O.length-1].start;i.getPropertySuggestions(e,n,u,c,v,g,k,d)}else c.parent&&i.getSchemaLessPropertySuggestions(u,c,d);var x=c.getNodeLocation();i.contributions.forEach(function(t){var n=t.collectPropertySuggestions(e,x,a,g,k,d);n&&s.push(n)})}if(c&&("string"===c.type||"number"===c.type||"integer"===c.type||"boolean"===c.type||"null"===c.type)){var b=t.getRangeFromOffsetAndLength(c.start,c.end-c.start);h=r.column-b.startColumn,f=b.endColumn-r.column,c=c.parent}if(n?i.getValueSuggestions(e,n,u,c,l,d):i.getSchemaLessValueSuggestions(u,c,l,t,d),c){if("property"===c.type&&l>c.colonOffset){var j=c.key.value,w=c.value;if(!w||l<=w.end){var x=c.parent.getNodeLocation();i.contributions.forEach(function(t){var n=t.collectValueSuggestions(e,x,j,d);n&&s.push(n)})}}}else i.contributions.forEach(function(t){var n=t.collectDefaultSuggestions(e,d);n&&s.push(n)});return o.Promise.join(s).then(function(){return p})})},e.prototype.getPropertySuggestions=function(e,t,n,r,o,i,s,a){var l=this,c=[];n.validate(t.schema,c,r.start),c.forEach(function(e){if(e.node===r&&!e.inverted){var t=e.schema.properties;t&&Object.keys(t).forEach(function(e){var n=t[e];a.add({type:"property",label:e,codeSnippet:l.getTextForProperty(e,n,i,s),documentationLabel:n.description||""})})}})},e.prototype.getSchemaLessPropertySuggestions=function(e,t,n){var r=this,o=function(e){e.properties.forEach(function(e){var t=e.key.value;n.add({type:"property",label:t,codeSnippet:r.getTextForSimilarProperty(t,e.value),documentationLabel:""})})};if("property"===t.parent.type){var i=t.parent.key.value;e.visit(function(e){return"property"===e.type&&e.key.value===i&&e.value&&"object"===e.value.type&&o(e.value),!0})}else"array"===t.parent.type&&t.parent.items.forEach(function(e){"object"===e.type&&e!==t&&o(e)})},e.prototype.getSchemaLessValueSuggestions=function(e,t,n,r,o){var i=this,s=function(e){var t=i.getTextForMatchingNode(e,r);o.add({type:i.getSuggestionType(e.type),label:t,codeSnippet:t,documentationLabel:""}),"boolean"===e.type&&i.addBooleanSuggestion(!e.getValue(),o)};if(t){if("property"===t.type&&n>t.colonOffset){var a=t.value;if(a&&n>a.end)return;var l=t.key.value;e.visit(function(e){return"property"===e.type&&e.key.value===l&&e.value&&s(e.value),!0})}if("array"===t.type)if(t.parent&&"property"===t.parent.type){var l=t.parent.key.value;e.visit(function(e){return"property"===e.type&&e.key.value===l&&e.value&&"array"===e.value.type&&e.value.items.forEach(function(e){s(e)}),!0})}else t.items.forEach(function(e){s(e)})}else o.add({type:this.getSuggestionType("object"),label:"Empty object",codeSnippet:"{\n	{{}}\n}",documentationLabel:""}),o.add({type:this.getSuggestionType("array"),label:"Empty array",codeSnippet:"[\n	{{}}\n]",documentationLabel:""})},e.prototype.getValueSuggestions=function(e,t,n,r,o,i){var s=this;if(r){var a=null;if(r&&"property"===r.type&&o>r.colonOffset){var l=r.value;if(l&&o>l.end)return;a=r.key.value,r=r.parent}if(r&&(null!==a||"array"===r.type)){var c=[];n.validate(t.schema,c,r.start),c.forEach(function(e){if(e.node===r&&!e.inverted&&e.schema&&(e.schema.items&&(s.addDefaultSuggestion(e.schema.items,i),s.addEnumSuggestion(e.schema.items,i)),e.schema.properties)){var t=e.schema.properties[a];t&&(s.addDefaultSuggestion(t,i),s.addEnumSuggestion(t,i))}})}}else this.addDefaultSuggestion(t.schema,i)},e.prototype.addBooleanSuggestion=function(e,t){t.add({type:this.getSuggestionType("boolean"),label:e?"true":"false",codeSnippet:this.getTextForEnumValue(e),documentationLabel:""})},e.prototype.addEnumSuggestion=function(e,t){var n=this;Array.isArray(e["enum"])?e["enum"].forEach(function(r){return t.add({type:n.getSuggestionType(e.type),label:n.getLabelForValue(r),codeSnippet:n.getTextForEnumValue(r),documentationLabel:""})}):"boolean"===e.type&&(this.addBooleanSuggestion(!0,t),this.addBooleanSuggestion(!1,t)),Array.isArray(e.allOf)&&e.allOf.forEach(function(e){return n.addEnumSuggestion(e,t)}),Array.isArray(e.anyOf)&&e.anyOf.forEach(function(e){return n.addEnumSuggestion(e,t)}),Array.isArray(e.oneOf)&&e.oneOf.forEach(function(e){return n.addEnumSuggestion(e,t)})},e.prototype.addDefaultSuggestion=function(e,t){var n=this;e["default"]&&t.add({type:this.getSuggestionType(e.type),label:this.getLabelForValue(e["default"]),codeSnippet:this.getTextForValue(e["default"]),typeLabel:i.localize(0,null)}),Array.isArray(e.defaultSnippets)&&e.defaultSnippets.forEach(function(e){t.add({type:"snippet",label:n.getLabelForSnippetValue(e.body),codeSnippet:n.getTextForSnippetValue(e.body)})}),Array.isArray(e.allOf)&&e.allOf.forEach(function(e){return n.addDefaultSuggestion(e,t)}),Array.isArray(e.anyOf)&&e.anyOf.forEach(function(e){return n.addDefaultSuggestion(e,t)}),Array.isArray(e.oneOf)&&e.oneOf.forEach(function(e){return n.addDefaultSuggestion(e,t)})},e.prototype.getLabelForValue=function(e){var t=JSON.stringify(e);return t=t.replace("{{","").replace("}}",""),t.length>57?t.substr(0,57).trim()+"...":t},e.prototype.getLabelForSnippetValue=function(e){var t=JSON.stringify(e);return t=t.replace(/\{\{|\}\}/g,""),t.length>57?t.substr(0,57).trim()+"...":t},e.prototype.getTextForValue=function(e){var t=JSON.stringify(e,null,"	");return t=t.replace(/[\\\{\}]/g,"\\$&")},e.prototype.getTextForSnippetValue=function(e){return JSON.stringify(e,null,"	")},e.prototype.getTextForEnumValue=function(e){var t=JSON.stringify(e,null,"	");switch(typeof e){case"object":return null===e?"{{null}}":t;case"string":return'"{{'+t.substr(1,t.length-2)+'}}"';case"number":case"integer":case"boolean":return"{{"+t+"}}"}return t},e.prototype.getSuggestionType=function(e){if(Array.isArray(e)){var t=e;e=t.length>0?t[0]:null}if(!e)return"text";switch(e){case"string":return"text";case"object":return"module";case"property":return"property";default:return"value"}},e.prototype.getTextForMatchingNode=function(e,t){switch(e.type){case"array":return"[]";case"object":return"{}";default:var n=t.getValueInRange(t.getRangeFromOffsetAndLength(e.start,e.end-e.start));return n}},e.prototype.getTextForProperty=function(e,t,n,o){var i=this.getTextForValue(e);if(!n)return i;i+=": ";var s=t["default"];if(r.isUndefined(s))if(t["enum"]&&t["enum"].length>0)i+=this.getTextForEnumValue(t["enum"][0]);else switch(t.type){case"boolean":i+="{{false}}";break;case"string":i+='"{{}}"';break;case"object":i+="{\n	{{}}\n}";break;case"array":i+="[\n	{{}}\n]";break;case"number":case"integer":i+="{{0}}";break;case"null":i+="{{null}}";break;default:return i}else i+=this.getTextForEnumValue(s);return o||(i+=","),i},e.prototype.getTextForSimilarProperty=function(e,t){return this.getTextForValue(e)},e}();t.JSONIntellisense=a});var __decorate=this&&this.__decorate||function(e,t,n,r){var o,i=arguments.length,s=3>i?t:null===r?r=Object.getOwnPropertyDescriptor(t,n):r;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,r);else for(var a=e.length-1;a>=0;a--)(o=e[a])&&(s=(3>i?o(s):i>3?o(t,n,s):o(t,n))||s);return i>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,r){t(n,r,e)}};define("vs/languages/json/common/contributions/bowerJSONContribution",["require","exports","vs/base/common/strings","vs/nls!vs/languages/json/common/contributions/bowerJSONContribution","vs/platform/request/common/request"],function(e,t,n,r,o){
"use strict";var i=function(){function e(e){this.topRanked=["twitter","bootstrap","angular-1.1.6","angular-latest","angulerjs","d3","myjquery","jq","abcdef1234567890","jQuery","jquery-1.11.1","jquery","sushi-vanilla-x-data","font-awsome","Font-Awesome","font-awesome","fontawesome","html5-boilerplate","impress.js","homebrew","backbone","moment1","momentjs","moment","linux","animate.css","animate-css","reveal.js","jquery-file-upload","blueimp-file-upload","threejs","express","chosen","normalize-css","normalize.css","semantic","semantic-ui","Semantic-UI","modernizr","underscore","underscore1","material-design-icons","ionic","chartjs","Chart.js","nnnick-chartjs","select2-ng","select2-dist","phantom","skrollr","scrollr","less.js","leancss","parser-lib","hui","bootstrap-languages","async","gulp","jquery-pjax","coffeescript","hammer.js","ace","leaflet","jquery-mobile","sweetalert","typeahead.js","soup","typehead.js","sails","codeigniter2"],this.requestService=e}return e.prototype.isBowerFile=function(e){var t=e.path;return n.endsWith(t,"/bower.json")||n.endsWith(t,"/.bower.json")},e.prototype.collectDefaultSuggestions=function(e,t){if(this.isBowerFile(e)){var n={name:"{{name}}",description:"{{description}}",authors:["{{author}}"],version:"{{1.0.0}}",main:"{{pathToMain}}",dependencies:{}};t.add({type:"snippet",label:r.localize(0,null),codeSnippet:JSON.stringify(n,null,"	"),documentationLabel:""})}return null},e.prototype.collectPropertySuggestions=function(e,t,n,o,i,s){if(this.isBowerFile(e)&&(t.matches(["dependencies"])||t.matches(["devDependencies"]))){if(n.length>0){var a="https://bower.herokuapp.com/packages/search/"+encodeURIComponent(n);return this.requestService.makeRequest({url:a}).then(function(e){if(200!==e.status)return s.error(r.localize(1,null,e.responseText)),0;try{var t=JSON.parse(e.responseText);if(Array.isArray(t)){for(var n=t,a=0;a<n.length;a++){var l=n[a].name,c=n[a].description||"",u=JSON.stringify(l);o&&(u+=': "{{*}}"',i||(u+=",")),s.add({type:"property",label:l,codeSnippet:u,documentationLabel:c})}s.setAsIncomplete()}}catch(p){}},function(e){return s.error(r.localize(2,null,e.responseText)),0})}this.topRanked.forEach(function(e){var t=JSON.stringify(e);o&&(t+=': "{{*}}"',i||(t+=",")),s.add({type:"property",label:e,codeSnippet:t,documentationLabel:""})}),s.setAsIncomplete()}return null},e.prototype.collectValueSuggestions=function(e,t,n,r){return null},e.prototype.getInfoContribution=function(e,t){if(this.isBowerFile(e)&&(t.matches(["dependencies","*"])||t.matches(["devDependencies","*"]))){var o=t.getSegments()[t.getSegments().length-1],i=[];i.push({className:"type",text:r.localize(3,null,o)});var s="https://bower.herokuapp.com/packages/"+encodeURIComponent(o);return this.requestService.makeRequest({url:s}).then(function(e){try{var t=JSON.parse(e.responseText);if(t&&t.url){var r=t.url;n.startsWith(r,"git://")&&(r=r.substring(6)),n.endsWith(r,".git")&&(r=r.substring(0,r.length-4)),i.push({className:"documentation",text:r})}}catch(o){}return i},function(e){return i})}return null},e=__decorate([__param(0,o.IRequestService)],e)}();t.BowerJSONContribution=i});var __decorate=this&&this.__decorate||function(e,t,n,r){var o,i=arguments.length,s=3>i?t:null===r?r=Object.getOwnPropertyDescriptor(t,n):r;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,r);else for(var a=e.length-1;a>=0;a--)(o=e[a])&&(s=(3>i?o(s):i>3?o(t,n,s):o(t,n))||s);return i>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,r){t(n,r,e)}};define("vs/languages/json/common/contributions/packageJSONContribution",["require","exports","vs/base/common/strings","vs/nls!vs/languages/json/common/contributions/packageJSONContribution","vs/platform/request/common/request"],function(e,t,n,r,o){"use strict";var i=40,s=function(){function e(e){this.mostDependedOn=["lodash","async","underscore","request","commander","express","debug","chalk","colors","q","coffee-script","mkdirp","optimist","through2","yeoman-generator","moment","bluebird","glob","gulp-util","minimist","cheerio","jade","redis","node-uuid","socket","io","uglify-js","winston","through","fs-extra","handlebars","body-parser","rimraf","mime","semver","mongodb","jquery","grunt","connect","yosay","underscore","string","xml2js","ejs","mongoose","marked","extend","mocha","superagent","js-yaml","xtend","shelljs","gulp","yargs","browserify","minimatch","react","less","prompt","inquirer","ws","event-stream","inherits","mysql","esprima","jsdom","stylus","when","readable-stream","aws-sdk","concat-stream","chai","promise","wrench"],this.requestService=e}return e.prototype.isPackageJSONFile=function(e){var t=e.path;return n.endsWith(t,"/package.json")},e.prototype.collectDefaultSuggestions=function(e,t){if(this.isPackageJSONFile(e)){var n={name:"{{name}}",description:"{{description}}",author:"{{author}}",version:"{{1.0.0}}",main:"{{pathToMain}}",dependencies:{}};t.add({type:"module",label:r.localize(0,null),codeSnippet:JSON.stringify(n,null,"	"),documentationLabel:""})}return null},e.prototype.collectPropertySuggestions=function(e,t,n,o,s,a){if(this.isPackageJSONFile(e)&&(t.matches(["dependencies"])||t.matches(["devDependencies"])||t.matches(["optionalDependencies"])||t.matches(["peerDependencies"]))){var l;if(n.length>0)return l="https://skimdb.npmjs.com/registry/_design/app/_view/browseAll?group_level=1&limit="+i+"&start_key=%5B%22"+encodeURIComponent(n)+"%22%5D&end_key=%5B%22"+encodeURIComponent(n+"z")+"%22,%7B%7D%5D",this.requestService.makeRequest({url:l}).then(function(e){if(200!==e.status)return a.error(r.localize(1,null,e.responseText)),0;try{var t=JSON.parse(e.responseText);if(t&&Array.isArray(t.rows)){for(var n=t.rows,l=0;l<n.length;l++){var c=n[l].key;if(Array.isArray(c)&&c.length>0){var u=c[0],p=JSON.stringify(u);o&&(p+=': "{{*}}"',s||(p+=",")),a.add({type:"property",label:u,codeSnippet:p,documentationLabel:""})}}n.length===i&&a.setAsIncomplete()}}catch(h){}},function(e){return a.error(r.localize(2,null,e.responseText)),0});this.mostDependedOn.forEach(function(e){var t=JSON.stringify(e);o&&(t+=': "{{*}}"',s||(t+=",")),a.add({type:"property",label:e,codeSnippet:t,documentationLabel:""})}),a.setAsIncomplete()}return null},e.prototype.collectValueSuggestions=function(e,t,n,o){if(this.isPackageJSONFile(e)&&(t.matches(["dependencies"])||t.matches(["devDependencies"])||t.matches(["optionalDependencies"])||t.matches(["peerDependencies"]))){var i="http://registry.npmjs.org/"+encodeURIComponent(n)+"/latest";return this.requestService.makeRequest({url:i}).then(function(e){try{var t=JSON.parse(e.responseText);if(t&&t.version){var n=t.version,i=JSON.stringify(n);o.add({type:"class",label:i,codeSnippet:i,documentationLabel:r.localize(3,null)}),i=JSON.stringify("^"+n),o.add({type:"class",label:i,codeSnippet:i,documentationLabel:r.localize(4,null)}),i=JSON.stringify("~"+n),o.add({type:"class",label:i,codeSnippet:i,documentationLabel:r.localize(5,null)})}}catch(s){}return 0},function(e){return 0})}return null},e.prototype.getInfoContribution=function(e,t){if(this.isPackageJSONFile(e)&&(t.matches(["dependencies","*"])||t.matches(["devDependencies","*"])||t.matches(["optionalDependencies","*"])||t.matches(["peerDependencies","*"]))){var n=t.getSegments()[t.getSegments().length-1],o=[];o.push({className:"type",text:r.localize(6,null,n)});var i="http://registry.npmjs.org/"+encodeURIComponent(n)+"/latest";return this.requestService.makeRequest({url:i}).then(function(e){try{var t=JSON.parse(e.responseText);t&&(t.description&&o.push({className:"documentation",text:t.description}),t.version&&o.push({className:"documentation",text:r.localize(7,null,t.version)}))}catch(n){}return o},function(e){return o})}return null},e=__decorate([__param(0,o.IRequestService)],e)}();t.PackageJSONContribution=s});var __decorate=this&&this.__decorate||function(e,t,n,r){var o,i=arguments.length,s=3>i?t:null===r?r=Object.getOwnPropertyDescriptor(t,n):r;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,r);else for(var a=e.length-1;a>=0;a--)(o=e[a])&&(s=(3>i?o(s):i>3?o(t,n,s):o(t,n))||s);return i>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,r){t(n,r,e)}};define("vs/languages/json/common/contributions/projectJSONContribution",["require","exports","vs/base/common/strings","vs/nls!vs/languages/json/common/contributions/projectJSONContribution","vs/platform/request/common/request"],function(e,t,n,r,o){"use strict";var i=40,s=function(){function e(e){this.requestService=e}return e.prototype.isProjectJSONFile=function(e){var t=e.path;return n.endsWith(t,"/project.json")},e.prototype.collectDefaultSuggestions=function(e,t){if(this.isProjectJSONFile(e)){var n={version:"{{1.0.0-*}}",dependencies:{},frameworks:{dnx451:{},dnxcore50:{}}};t.add({type:"snippet",label:r.localize(0,null),codeSnippet:JSON.stringify(n,null,"	"),documentationLabel:""})}return null},e.prototype.collectPropertySuggestions=function(e,t,n,o,s,a){if(this.isProjectJSONFile(e)&&(t.matches(["dependencies"])||t.matches(["frameworks","*","dependencies"])||t.matches(["frameworks","*","frameworkAssemblies"]))){var l;return l=n.length>0?"https://www.nuget.org/api/v2/Packages?$filter=Id%20ge%20'"+encodeURIComponent(n)+"'%20and%20Id%20lt%20'"+encodeURIComponent(n+"z")+"'%20and%20IsAbsoluteLatestVersion%20eq%20true&$select=Id,Version,Description&$format=json&$top="+i:"https://www.nuget.org/api/v2/Packages?$filter=IsAbsoluteLatestVersion%20eq%20true&$orderby=DownloadCount%20desc&$top="+i+"&$select=Id,Version,DownloadCount,Description&$format=json",this.requestService.makeRequest({url:l}).then(function(e){if(200!==e.status)return a.error(r.localize(1,null,e.responseText)),0;try{var t=JSON.parse(e.responseText);if(Array.isArray(t.d)){for(var n=t.d,l=0;l<n.length;l++){var c=n[l],u=c.Id,p=c.Version;if(u){var h=c.Description,f=c.Version,m=JSON.stringify(u);o&&(m+=': "{{'+p+'}}"',s||(m+=",")),a.add({type:"property",label:u,codeSnippet:m,typeLabel:f,documentationLabel:h})}}n.length===i&&a.setAsIncomplete()}}catch(d){}},function(e){return a.error(r.localize(2,null,e.responseText)),0})}return null},e.prototype.collectValueSuggestions=function(e,t,n,o){if(this.isProjectJSONFile(e)&&(t.matches(["dependencies"])||t.matches(["frameworks","*","dependencies"])||t.matches(["frameworks","*","frameworkAssemblies"]))){var s="https://www.myget.org/F/aspnetrelease/api/v2/Packages?$filter=Id%20eq%20'"+encodeURIComponent(n)+"'&$select=Version,IsAbsoluteLatestVersion&$format=json&$top="+i;return this.requestService.makeRequest({url:s}).then(function(e){try{var t=JSON.parse(e.responseText);if(Array.isArray(t.d)){for(var n=t.d,s=0;s<n.length;s++){var a=n[s],l=a.Version;if(l){var c=JSON.stringify(l),u="true"===a.IsAbsoluteLatestVersion,p=c,h="";u&&(h=r.localize(3,null)),o.add({type:"class",label:p,codeSnippet:c,documentationLabel:h})}}n.length===i&&o.setAsIncomplete()}}catch(f){}return 0},function(e){return 0})}return null},e.prototype.getInfoContribution=function(e,t){if(this.isProjectJSONFile(e)&&(t.matches(["dependencies","*"])||t.matches(["frameworks","*","dependencies","*"])||t.matches(["frameworks","*","frameworkAssemblies","*"]))){var n=t.getSegments()[t.getSegments().length-1],o=[];o.push({className:"type",text:r.localize(4,null,n)});var i="https://www.myget.org/F/aspnetrelease/api/v2/Packages?$filter=Id%20eq%20'"+encodeURIComponent(n)+"'%20and%20IsAbsoluteLatestVersion%20eq%20true&$select=Version,Description&$format=json&$top=5";return this.requestService.makeRequest({url:i}).then(function(e){var t=e.responseText;if(t)try{var n=JSON.parse(t);if(n.d&&n.d[0]){var i=n.d[0];i.Description&&o.push({className:"documentation",text:i.Description}),i.Version&&o.push({className:"documentation",text:r.localize(5,null,i.Version)})}}catch(s){}return o},function(e){return o})}return null},e=__decorate([__param(0,o.IRequestService)],e)}();t.ProjectJSONContribution=s});var __decorate=this&&this.__decorate||function(e,t,n,r){var o,i=arguments.length,s=3>i?t:null===r?r=Object.getOwnPropertyDescriptor(t,n):r;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,r);else for(var a=e.length-1;a>=0;a--)(o=e[a])&&(s=(3>i?o(s):i>3?o(t,n,s):o(t,n))||s);return i>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,r){t(n,r,e)}};define("vs/languages/json/common/jsonSchemaService",["require","exports","vs/nls!vs/languages/json/common/jsonSchemaService","vs/base/common/objects","vs/base/common/json","vs/base/common/http","vs/base/common/strings","vs/base/common/uri","vs/base/common/types","vs/base/common/winjs.base","vs/editor/common/services/resourceService","vs/platform/request/common/request","vs/platform/workspace/common/workspace","vs/base/common/lifecycle"],function(e,t,n,r,o,i,s,a,l,c,u,p,h,f){"use strict";function m(e){try{var t=a["default"].parse(e);if("file"===t.scheme)return t.fsPath}catch(n){}return e}var d=function(){function e(e){this.combinedSchemaId="local://combinedSchema/"+encodeURIComponent(e);try{this.patternRegExp=new RegExp(s.convertSimple2RegExpPattern(e)+"$")}catch(t){this.patternRegExp=null}this.schemas=[],this.combinedSchema=null}return e.prototype.addSchema=function(e){this.schemas.push(e),this.combinedSchema=null},e.prototype.matchesPattern=function(e){return this.patternRegExp&&this.patternRegExp.test(e)},e.prototype.getCombinedSchema=function(e){return this.combinedSchema||(this.combinedSchema=e.createCombinedSchema(this.combinedSchemaId,this.schemas)),this.combinedSchema},e}(),g=function(){function e(e,t,n){this.service=e,this.url=t,n&&(this.unresolvedSchema=c.TPromise.as(new v(n)))}return e.prototype.getUnresolvedSchema=function(){return this.unresolvedSchema||(this.unresolvedSchema=this.service.loadSchema(this.url)),this.unresolvedSchema},e.prototype.getResolvedSchema=function(){var e=this;return this.resolvedSchema||(this.resolvedSchema=this.getUnresolvedSchema().then(function(t){return e.service.resolveSchemaContent(t)})),this.resolvedSchema},e.prototype.clearSchema=function(){this.resolvedSchema=null,this.unresolvedSchema=null},e}(),v=function(){function e(e,t){void 0===t&&(t=[]),this.schema=e,this.errors=t}return e}();t.UnresolvedSchema=v;var y=function(){function e(e,t){void 0===t&&(t=[]),this.schema=e,this.errors=t}return e.prototype.getSection=function(e){return this.getSectionRecursive(e,this.schema)},e.prototype.getSectionRecursive=function(e,t){var n=this;if(!t||0===e.length)return t;var r=e.shift();if(t.properties&&t.properties[r])return this.getSectionRecursive(e,t.properties[r]);if(l.isObject(t.patternProperties))Object.keys(t.patternProperties).forEach(function(o){var i=new RegExp(o);return i.test(r)?n.getSectionRecursive(e,t.patternProperties[o]):void 0});else{if(l.isObject(t.additionalProperties))return this.getSectionRecursive(e,t.additionalProperties);if(r.match("[0-9]+")){if(l.isObject(t.items))return this.getSectionRecursive(e,t.items);if(Array.isArray(t.items))try{var o=parseInt(r,10);return t.items[o]?this.getSectionRecursive(e,t.items[o]):null}catch(i){return null}}}return null},e}();t.ResolvedSchema=y;var S=function(){function e(e,t,n){var r=this;this.requestService=e,this.contextService=t,this.callOnDispose=[],n&&this.callOnDispose.push(n.addListener2_(u.ResourceEvents.CHANGED,function(e){return r.onResourceChange(e)})),this.contributionSchemas={},this.contributionAssociations={},this.schemasById={},this.filePatternAssociations=[],this.filePatternAssociationById={}}return e.prototype.dispose=function(){this.callOnDispose=f.dispose(this.callOnDispose)},e.prototype.onResourceChange=function(e){var t=e.url.toString(),n=this.schemasById[t];n&&n.clearSchema()},e.prototype.normalizeId=function(e){return e.length>0&&"#"===e.charAt(e.length-1)?e.substring(0,e.length-1):e},e.prototype.setSchemaContributions=function(e){if(e.schemas){var t=e.schemas;for(var n in t)n=this.normalizeId(n),this.contributionSchemas[n]=this.addSchemaHandle(n,t[n])}},e.prototype.addSchemaHandle=function(e,t){var n=new g(this,e,t);return this.schemasById[e]=n,n},e.prototype.getOrAddSchemaHandle=function(e,t){return this.schemasById[e]||this.addSchemaHandle(e,t)},e.prototype.getOrAddFilePatternAssociation=function(e){var t=this.filePatternAssociationById[e];return t||(t=new d(e),this.filePatternAssociationById[e]=t,this.filePatternAssociations.push(t)),t},e.prototype.registerExternalSchema=function(e,t,n){var r=this;void 0===t&&(t=null);var o=this.normalizeId(e);return t&&t.forEach(function(t){r.getOrAddFilePatternAssociation(t).addSchema(e)}),n?this.addSchemaHandle(o,n):this.getOrAddSchemaHandle(o)},e.prototype.clearExternalSchemas=function(){var e=this;this.schemasById={},this.filePatternAssociations=[],this.filePatternAssociationById={};for(var t in this.contributionSchemas)this.schemasById[t]=this.contributionSchemas[t];for(var n in this.contributionAssociations){var r=this.getOrAddFilePatternAssociation(n);this.contributionAssociations[n].forEach(function(t){var n=e.normalizeId(t);r.addSchema(n)})}},e.prototype.getResolvedSchema=function(e){var t=this.normalizeId(e),n=this.schemasById[t];return n?n.getResolvedSchema():c.TPromise.as(null)},e.prototype.loadSchema=function(e){return this.requestService.makeRequest({url:e}).then(function(t){var r=t.responseText;if(!r){var i=n.localize(0,null,m(e));return new v({},[i])}var s={},a=[];s=o.parse(r,a);var l=a.length?[n.localize(1,null,m(e),o.getParseErrorMessage(a[0].error))]:[];return new v(s,l)},function(t){var r=n.localize(2,null,m(e),t.responseText||i.getErrorStatusDescription(t.status)||t.toString());return new v({},[r])})},e.prototype.resolveSchemaContent=function(e){var t=this,o=e.errors.slice(0),i=e.schema,s=function(e,t){if(!t)return e;var n=e;return t.substr(1).split("/").some(function(e){return n=n[e],!n}),n},a=function(e,t,i){var a=s(t,i);"object"==typeof a?r.mixin(e,a,!1):o.push(n.localize(3,null,i,t.id)),delete e.$ref},l=function(e,r,i){return t.getOrAddSchemaHandle(r).getUnresolvedSchema().then(function(t){if(t.errors.length){var s=i?r+"#"+i:r;o.push(n.localize(4,null,s,t.errors[0]))}return a(e,t.schema,i),u(e,t.schema)})},u=function(e,t){for(var n=[e],r=[],o=[],i=function(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];for(var r=0,o=e;r<o.length;r++){var i=o[r];"object"==typeof i&&n.push(i)}},s=function(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];for(var r=0,o=e;r<o.length;r++){var i=o[r];if("object"==typeof i)for(var s in i){var a=i[s];n.push(a)}}},u=function(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];for(var r=0,o=e;r<o.length;r++){var i=o[r];Array.isArray(i)&&n.push.apply(n,i)}};n.length;){var p=n.pop();if(!(r.indexOf(p)>=0)){if(r.push(p),p.$ref){var h=p.$ref.split("#",2);if(h[0].length>0){o.push(l(p,h[0],h[1]));continue}a(p,t,h[1])}i(p.items,p.additionalProperties,p.not),s(p.definitions,p.properties,p.patternProperties,p.dependencies),u(p.anyOf,p.allOf,p.oneOf,p.items)}}return c.Promise.join(o)};return u(i,i).then(function(e){return new y(i,o)})},e.prototype.getSchemaForResource=function(e,t){if(t&&t.root&&"object"===t.root.type){var n=t.root.properties.filter(function(e){return"$schema"===e.key.value&&!!e.value});if(n.length>0){var r=n[0].value.getValue();if(!s.startsWith(r,"http://")&&!s.startsWith(r,"https://")&&!s.startsWith(r,"file://")){var o=this.contextService.toResource(r);o&&(r=o.toString())}if(r){var i=this.normalizeId(r);return this.getOrAddSchemaHandle(i).getResolvedSchema()}}}for(var a=this.filePatternAssociations.length-1;a>=0;a--){var l=this.filePatternAssociations[a];if(l.matchesPattern(e))return l.getCombinedSchema(this).getResolvedSchema()}return c.TPromise.as(null)},e.prototype.createCombinedSchema=function(e,t){if(1===t.length)return this.getOrAddSchemaHandle(t[0]);var n={allOf:t.map(function(e){return{$ref:e}})};return this.addSchemaHandle(e,n)},e=__decorate([__param(0,p.IRequestService),__param(1,h.IWorkspaceContextService),__param(2,u.IResourceService)],e)}();t.JSONSchemaService=S});var __decorate=this&&this.__decorate||function(e,t,n,r){var o,i=arguments.length,s=3>i?t:null===r?r=Object.getOwnPropertyDescriptor(t,n):r;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,r);else for(var a=e.length-1;a>=0;a--)(o=e[a])&&(s=(3>i?o(s):i>3?o(t,n,s):o(t,n))||s);return i>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,r){t(n,r,e)}};define("vs/languages/json/common/jsonWorker",["require","exports","vs/base/common/severity","vs/editor/common/modes","./parser/jsonParser","vs/base/common/jsonFormatter","./jsonSchemaService","./jsonIntellisense","vs/base/common/winjs.base","vs/base/common/strings","./contributions/projectJSONContribution","./contributions/packageJSONContribution","./contributions/bowerJSONContribution","./contributions/globPatternContribution","vs/base/common/errors","vs/platform/markers/common/markers","vs/platform/request/common/request","vs/platform/workspace/common/workspace","vs/editor/common/services/resourceService","vs/platform/instantiation/common/instantiation","vs/editor/common/modes/supports/suggestSupport","vs/editor/common/worker/validationHelper"],function(e,t,n,r,o,i,s,a,l,c,u,p,h,f,m,d,g,v,y,S,b,O){"use strict";function k(e){switch(e){case"object":return r.SymbolKind.Module;case"string":return r.SymbolKind.String;case"number":return r.SymbolKind.Number;case"array":return r.SymbolKind.Array;case"boolean":return r.SymbolKind.Boolean;default:return r.SymbolKind.Variable}}var x=function(){function e(e,t,n,r,o,i){var l=this;this._modeId=e,this.resourceService=t,this.markerService=n,this._validationHelper=new O.ValidationHelper(this.resourceService,this._modeId,function(e){return l.doValidate(e)}),this.requestService=r,this.contextService=o,this.schemaService=i.createInstance(s.JSONSchemaService),this.contributions=[i.createInstance(u.ProjectJSONContribution),i.createInstance(p.PackageJSONContribution),i.createInstance(h.BowerJSONContribution),i.createInstance(f.GlobPatternContribution)],this.jsonIntellisense=new a.JSONIntellisense(this.schemaService,this.requestService,this.contributions)}return e.prototype.navigateValueSet=function(e,t,n){var r=this,i=this.resourceService.get(e),s=i.getOffsetFromPosition({lineNumber:t.startLineNumber,column:t.startColumn}),a=new o.JSONParser,l=new o.JSONDocumentConfig;l.ignoreDanglingComma=!0;var u=a.parse(i.getValue(),l),p=u.getNodeFromOffsetEndInclusive(s);return!p||"string"!==p.type&&"number"!==p.type&&"boolean"!==p.type&&"null"!==p.type?null:this.schemaService.getSchemaForResource(e.toString(),u).then(function(t){if(t){var o=[],s={},a={add:function(e){s[e.label]||(s[e.label]=!0,o.push(e))},setAsIncomplete:function(){},error:function(e){m.onUnexpectedError(e)}};r.jsonIntellisense.getValueSuggestions(e,t,u,p.parent,p.start,a);for(var l=i.getRangeFromOffsetAndLength(p.start,p.end-p.start),h=i.getValueInRange(l),f=0,d=o.length;d>f;f++)if(c.equalsIgnoreCase(o[f].label,h)){var g=f;return n?g=(f+1)%d:(g=f-1,0>g&&(g=d-1)),{value:o[g].label,range:l}}return null}})},e.prototype._doConfigure=function(e){var t=this;return e&&e.schemas&&(this.schemaService.clearExternalSchemas(),e.schemas.forEach(function(e){if(e.url&&(e.fileMatch||e.schema)){var n=e.url;if(!c.startsWith(n,"http://")&&!c.startsWith(n,"https://")&&!c.startsWith(n,"file://")){var r=t.contextService.toResource(n);r&&(n=r.toString())}n&&t.schemaService.registerExternalSchema(n,e.fileMatch,e.schema)}else if(e.filePattern&&e.schemaPath){var n=t.contextService.toResource(e.schemaPath).toString(),o=e.filePattern?[e.filePattern]:[];t.schemaService.registerExternalSchema(n,o)}})),this._validationHelper.triggerDueToConfigurationChange(),l.TPromise.as(void 0)},e.prototype.setSchemaContributions=function(e){return this.schemaService.setSchemaContributions(e),l.TPromise.as(!0)},e.prototype.enableValidator=function(){return this._validationHelper.enable(),l.TPromise.as(null)},e.prototype.doValidate=function(e){for(var t=0;t<e.length;t++)this.doValidate1(e[t])},e.prototype.doValidate1=function(e){var t=this,r=this.resourceService.get(e),i=new o.JSONParser,s=r.getValue();if(0!==s.length){var a=i.parse(s);this.schemaService.getSchemaForResource(e.toString(),a).then(function(o){if(o)if(o.errors.length&&a.root){var i="object"===a.root.type?a.root.getFirstProperty("$schema"):null;if(i){var s=i.value||i;a.warnings.push({location:{start:s.start,end:s.end},message:o.errors[0]})}else a.warnings.push({location:{start:a.root.start,end:a.root.start+1},message:o.errors[0]})}else a.validate(o.schema);var l={},c=[];a.errors.concat(a.warnings).forEach(function(e,t){var o=e.location.start+" "+e.location.end+" "+e.message;if(!l[o]){l[o]=!0;var i=r.getPositionFromOffset(e.location.start),s=r.getPositionFromOffset(e.location.end);c.push({message:e.message,severity:t>=a.errors.length?n["default"].Warning:n["default"].Error,startLineNumber:i.lineNumber,startColumn:i.column,endLineNumber:s.lineNumber,endColumn:s.column})}}),t.markerService.changeOne(t._modeId,e,c)})}},e.prototype.provideCompletionItems=function(e,t){return this.doSuggest(e,t).then(function(e){return b.filterSuggestions(e)})},e.prototype.doSuggest=function(e,t){var n=this.resourceService.get(e);return this.jsonIntellisense.doSuggest(e,n,t)},e.prototype.provideHover=function(e,t){var n=this,r=this.resourceService.get(e),i=new o.JSONParser,s=i.parse(r.getValue()),a=r.getOffsetFromPosition(t),c=s.getNodeFromOffset(a),u=c;if(c&&"string"===c.type){var p=c;if(p.isKey){var h=c.parent;c=h.value}}return c?this.schemaService.getSchemaForResource(e.toString(),s).then(function(t){if(t){var o=[];s.validate(t.schema,o,c.start);var i=null,a=null;o.every(function(e){return e.node===c&&!e.inverted&&e.schema&&(i=i||e.schema.description,a=a||e.schema.id),!0});for(var l=c.getNodeLocation(),p=n.contributions.length-1;p>=0;p--){var h=n.contributions[p],f=h.getInfoContribution(e,l);if(f)return f.then(function(e){return n.createInfoResult(e,u,r)})}if(i){var m=[{className:"documentation",text:i}];return n.createInfoResult(m,u,r)}}return null}):l.TPromise.as(null)},e.prototype.createInfoResult=function(e,t,n){var r=n.getRangeFromOffsetAndLength(t.start,t.end-t.start),o={htmlContent:e,range:r};return o},e.prototype.provideDocumentSymbols=function(e){function t(r,o,i){if("array"===o.type)o.items.forEach(function(e){t(r,e,i)});else if("object"===o.type){var s=o;s.properties.forEach(function(o){var s=n.getRangeFromOffsetAndLength(o.start,o.end-o.start),a=o.value;if(a){var l=i?i+"."+o.key.name:o.key.name;r.push({name:o.key.getValue(),kind:k(a.type),location:{uri:e,range:s},containerName:i}),t(r,a,l)}})}return r}var n=this.resourceService.get(e),i=new o.JSONParser,s=i.parse(n.getValue()),a=s.root;if(!a)return l.TPromise.as(null);var u=e.toString();if(("vscode://defaultsettings/keybindings.json"===u||c.endsWith(u.toLowerCase(),"/user/keybindings.json"))&&"array"===a.type){var p=[];return a.items.forEach(function(t){if("object"===t.type){var o=t.getFirstProperty("key");if(o&&o.value){var i=n.getRangeFromOffsetAndLength(t.start,t.end-t.start);p.push({name:o.value.getValue(),kind:r.SymbolKind.String,location:{uri:e,range:i}})}}}),l.TPromise.as(p)}var p=t([],a,void 0);return l.TPromise.as(p)},e.prototype.format=function(e,t,n){var r=this.resourceService.get(e),o=t?r.getOffsetAndLengthFromRange(t):void 0,s=i.format(r.getValue(),o,{insertSpaces:n.insertSpaces,tabSize:n.tabSize,eol:r.getEOL()}),a=s.map(function(e){return{range:r.getRangeFromOffsetAndLength(e.offset,e.length),text:e.content}});return l.TPromise.as(a)},e=__decorate([__param(1,y.IResourceService),__param(2,d.IMarkerService),__param(3,g.IRequestService),__param(4,v.IWorkspaceContextService),__param(5,S.IInstantiationService)],e)}();t.JSONWorker=x});
//# sourceMappingURL=../../../../../min-maps/vs/languages/json/common/jsonWorker.js.map