/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.2.3(84e204b238a1eff25d4c6f611fdcd76a494005a7)
 * Released under the MIT license
 * https://github.com/Microsoft/vscode/blob/master/LICENSE.txt
 *-----------------------------------------------------------*/
define("vs/languages/less/common/lessTokenTypes",["require","exports"],function(e,t){"use strict";t.TOKEN_SELECTOR="entity.name.selector",t.TOKEN_SELECTOR_TAG="entity.name.tag",t.TOKEN_PROPERTY="support.type.property-name",t.TOKEN_VALUE="support.property-value",t.TOKEN_AT_KEYWORD="keyword.control.at-rule"});var __extends=this&&this.__extends||function(e,t){function r(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(r.prototype=t.prototype,new r)},__decorate=this&&this.__decorate||function(e,t,r,o){var n,i=arguments.length,s=3>i?t:null===o?o=Object.getOwnPropertyDescriptor(t,r):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,r,o);else for(var a=e.length-1;a>=0;a--)(n=e[a])&&(s=(3>i?n(s):i>3?n(t,r,s):n(t,r))||s);return i>3&&s&&Object.defineProperty(t,r,s),s},__param=this&&this.__param||function(e,t){return function(r,o){t(r,o,e)}};define("vs/languages/less/common/less",["require","exports","vs/editor/common/modes","vs/editor/common/modes/monarch/monarchCompile","vs/languages/less/common/lessTokenTypes","vs/editor/common/modes/abstractMode","vs/platform/thread/common/threadService","vs/editor/common/services/modeService","vs/platform/instantiation/common/instantiation","vs/platform/thread/common/thread","vs/editor/common/services/modelService","vs/editor/common/services/editorWorkerService","vs/base/common/async","vs/editor/common/modes/monarch/monarchDefinition","vs/editor/common/modes/monarch/monarchLexer","vs/editor/common/modes/supports/richEditSupport"],function(e,t,r,o,n,i,s,a,c,u,p,d,l,m,f,k){"use strict";t.language={displayName:"LESS",name:"less",wordDefinition:/(#?-?\d*\.\d\w*%?)|([@#!.:]?[\w-?]+%?)|[@#!.]/g,defaultToken:"",lineComment:"//",blockCommentStart:"/*",blockCommentEnd:"*/",identifier:"-?-?([a-zA-Z]|(\\\\(([0-9a-fA-F]{1,6}\\s?)|[^[0-9a-fA-F])))([\\w\\-]|(\\\\(([0-9a-fA-F]{1,6}\\s?)|[^[0-9a-fA-F])))*",identifierPlus:"-?-?([a-zA-Z:.]|(\\\\(([0-9a-fA-F]{1,6}\\s?)|[^[0-9a-fA-F])))([\\w\\-:.]|(\\\\(([0-9a-fA-F]{1,6}\\s?)|[^[0-9a-fA-F])))*",brackets:[{open:"{",close:"}",token:"punctuation.curly"},{open:"[",close:"]",token:"punctuation.bracket"},{open:"(",close:")",token:"punctuation.parenthesis"},{open:"<",close:">",token:"punctuation.angle"}],tokenizer:{root:[{include:"@nestedJSBegin"},["[ \\t\\r\\n]+",""],{include:"@comments"},{include:"@keyword"},{include:"@strings"},{include:"@numbers"},["[*_]?[a-zA-Z\\-\\s]+(?=:.*(;|(\\\\$)))",n.TOKEN_PROPERTY,"@attribute"],["url(\\-prefix)?\\(",{token:"function",bracket:"@open",next:"@urldeclaration"}],["[{}()\\[\\]]","@brackets"],["[,:;]","punctuation"],["#@identifierPlus",n.TOKEN_SELECTOR+".id"],["&",n.TOKEN_SELECTOR_TAG],["\\.@identifierPlus(?=\\()",n.TOKEN_SELECTOR+".class","@attribute"],["\\.@identifierPlus",n.TOKEN_SELECTOR+".class"],["@identifierPlus",n.TOKEN_SELECTOR_TAG],{include:"@operators"},["@(@identifier(?=[:,\\)]))","variable","@attribute"],["@(@identifier)","variable"],["@","key","@atRules"]],nestedJSBegin:[["``","punctuation.backtick"],["`",{token:"punctuation.backtick",bracket:"@open",next:"@nestedJSEnd",nextEmbedded:"text/javascript"}]],nestedJSEnd:[["`",{token:"punctuation.backtick",bracket:"@close",next:"@pop"}],[".",{token:"@rematch",next:"@javascript_block"}]],javascript_block:[["`",{token:"@rematch",next:"@pop",nextEmbedded:"@pop"}]],operators:[["[<>=\\+\\-\\*\\/\\^\\|\\~]","operator"]],keyword:[["(@[\\s]*import|![\\s]*important|true|false|when|iscolor|isnumber|isstring|iskeyword|isurl|ispixel|ispercentage|isem|hue|saturation|lightness|alpha|lighten|darken|saturate|desaturate|fadein|fadeout|fade|spin|mix|round|ceil|floor|percentage)\\b","keyword"]],urldeclaration:[{include:"@strings"},["[^)\r\n]+","string"],["\\)",{token:"tag",bracket:"@close",next:"@pop"}]],attribute:[{include:"@nestedJSBegin"},{include:"@comments"},{include:"@strings"},{include:"@numbers"},{include:"@keyword"},["[a-zA-Z\\-]+(?=\\()",n.TOKEN_VALUE,"@attribute"],[">","operator","@pop"],["@identifier",n.TOKEN_VALUE],{include:"@operators"},["@(@identifier)","variable"],["[)\\}]","@brackets","@pop"],["[{}()\\[\\]>]","@brackets"],["[;]","punctuation","@pop"],["[,=:]","punctuation"],["\\s",""],[".",n.TOKEN_VALUE]],comments:[["\\/\\*","comment","@comment"],["\\/\\/+.*","comment"]],comment:[["\\*\\/","comment","@pop"],[".","comment"]],numbers:[["(\\d*\\.)?\\d+([eE][\\-+]?\\d+)?",{token:n.TOKEN_VALUE+".numeric",next:"@units"}],["#[0-9a-fA-F_]+(?!\\w)",n.TOKEN_VALUE+".rgb-value"]],units:[["((em|ex|ch|rem|vw|vh|vm|cm|mm|in|px|pt|pc|deg|grad|rad|turn|s|ms|Hz|kHz|%)\\b)?",n.TOKEN_VALUE+".unit","@pop"]],strings:[['~?"',{token:"string.punctuation",bracket:"@open",next:"@stringsEndDoubleQuote"}],["~?'",{token:"string.punctuation",bracket:"@open",next:"@stringsEndQuote"}]],stringsEndDoubleQuote:[['\\\\"',"string"],['"',{token:"string.punctuation",next:"@popall",bracket:"@close"}],[".","string"]],stringsEndQuote:[["\\\\'","string"],["'",{token:"string.punctuation",next:"@popall",bracket:"@close"}],[".","string"]],atRules:[{include:"@comments"},{include:"@strings"},["[()]","punctuation"],["[\\{;]","punctuation","@pop"],[".","key"]]}};var v=function(e){function n(n,s,a,c,u,p){var d=this;e.call(this,n.id);var v=o.compile(t.language);this._modeWorkerManager=new i.ModeWorkerManager(n,"vs/languages/less/common/lessWorker","LessWorker","vs/languages/css/common/cssWorker",s),this._threadService=a,this.modeService=c,r.HoverProviderRegistry.register(this.getId(),{provideHover:function(e,t,r){return l.wireCancellationToken(r,d._provideHover(e.uri,t))}},!0),this.inplaceReplaceSupport=this,this.configSupport=this,r.ReferenceProviderRegistry.register(this.getId(),{provideReferences:function(e,t,r,o){return l.wireCancellationToken(o,d._provideReferences(e.uri,t))}},!0),r.DefinitionProviderRegistry.register(this.getId(),{provideDefinition:function(e,t,r){return l.wireCancellationToken(r,d._provideDefinition(e.uri,t))}},!0),r.DocumentSymbolProviderRegistry.register(this.getId(),{provideDocumentSymbols:function(e,t){return l.wireCancellationToken(t,d._provideDocumentSymbols(e.uri))}},!0),r.SuggestRegistry.register(this.getId(),{triggerCharacters:[],shouldAutotriggerSuggest:!0,provideCompletionItems:function(e,t,r){return l.wireCancellationToken(r,d._provideCompletionItems(e.uri,t))}},!0),this.tokenizationSupport=f.createTokenizationSupport(c,this,v),this.richEditSupport=new k.RichEditSupport(this.getId(),null,m.createRichEditSupport(v))}return __extends(n,e),n.prototype.creationDone=function(){this._threadService.isInMainThread&&this._pickAWorkerToValidate()},n.prototype._worker=function(e){return this._modeWorkerManager.worker(e)},n.prototype.configure=function(e){return this._threadService.isInMainThread?this._configureWorkers(e):this._worker(function(t){return t._doConfigure(e)})},n.prototype._configureWorkers=function(e){return this._worker(function(t){return t._doConfigure(e)})},n.prototype.navigateValueSet=function(e,t,r){return this._worker(function(o){return o.navigateValueSet(e,t,r)})},n.prototype._pickAWorkerToValidate=function(){return this._worker(function(e){return e.enableValidator()})},n.prototype._provideReferences=function(e,t){return this._worker(function(r){return r.provideReferences(e,t)})},n.prototype._provideCompletionItems=function(e,t){return this._worker(function(r){return r.provideCompletionItems(e,t)})},n.prototype._provideHover=function(e,t){return this._worker(function(r){return r.provideHover(e,t)})},n.prototype._provideDocumentSymbols=function(e){return this._worker(function(t){return t.provideDocumentSymbols(e)})},n.prototype._provideDefinition=function(e,t){return this._worker(function(r){return r.provideDefinition(e,t)})},n.prototype.findColorDeclarations=function(e){return this._worker(function(t){return t.findColorDeclarations(e)})},n.$_configureWorkers=s.AllWorkersAttr(n,n.prototype._configureWorkers),n.$navigateValueSet=s.OneWorkerAttr(n,n.prototype.navigateValueSet),n.$_pickAWorkerToValidate=s.OneWorkerAttr(n,n.prototype._pickAWorkerToValidate,u.ThreadAffinity.Group1),n.$_provideReferences=s.OneWorkerAttr(n,n.prototype._provideReferences),n.$_provideCompletionItems=s.OneWorkerAttr(n,n.prototype._provideCompletionItems),n.$_provideHover=s.OneWorkerAttr(n,n.prototype._provideHover),n.$_provideDocumentSymbols=s.OneWorkerAttr(n,n.prototype._provideDocumentSymbols),n.$_provideDefinition=s.OneWorkerAttr(n,n.prototype._provideDefinition),n.$findColorDeclarations=s.OneWorkerAttr(n,n.prototype.findColorDeclarations),n=__decorate([__param(1,c.IInstantiationService),__param(2,u.IThreadService),__param(3,a.IModeService),__param(4,p.IModelService),__param(5,d.IEditorWorkerService)],n)}(i.AbstractMode);t.LESSMode=v});
//# sourceMappingURL=../../../../../min-maps/vs/languages/less/common/less.js.map