/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.2.3(84e204b238a1eff25d4c6f611fdcd76a494005a7)
 * Released under the MIT license
 * https://github.com/Microsoft/vscode/blob/master/LICENSE.txt
 *-----------------------------------------------------------*/
define("vs/languages/markdown/common/markdownTokenTypes",["require","exports"],function(e,t){"use strict";t.TOKEN_HEADER_LEAD="entity.name.tag",t.TOKEN_HEADER="entity.name.tag",t.TOKEN_EXT_HEADER="entity.other.attribute-name",t.TOKEN_SEPARATOR="meta.separator",t.TOKEN_QUOTE="comment",t.TOKEN_LIST="keyword",t.TOKEN_BLOCK="string",t.TOKEN_BLOCK_CODE="variable.source"});var __extends=this&&this.__extends||function(e,t){function o(){this.constructor=e}for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n]);e.prototype=null===t?Object.create(t):(o.prototype=t.prototype,new o)},__decorate=this&&this.__decorate||function(e,t,o,n){var r,s=arguments.length,i=3>s?t:null===n?n=Object.getOwnPropertyDescriptor(t,o):n;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)i=Reflect.decorate(e,t,o,n);else for(var a=e.length-1;a>=0;a--)(r=e[a])&&(i=(3>s?r(i):s>3?r(t,o,i):r(t,o))||i);return s>3&&i&&Object.defineProperty(t,o,i),i},__param=this&&this.__param||function(e,t){return function(o,n){t(o,n,e)}};define("vs/languages/markdown/common/markdown",["require","exports","vs/editor/common/modes/monarch/monarchCompile","vs/editor/common/modes","vs/platform/thread/common/threadService","vs/languages/html/common/html","vs/languages/markdown/common/markdownTokenTypes","vs/editor/common/services/modeService","vs/platform/instantiation/common/instantiation","vs/platform/thread/common/thread","vs/platform/configuration/common/configuration","vs/editor/common/services/editorWorkerService","vs/editor/common/modes/abstractMode","vs/editor/common/modes/monarch/monarchDefinition","vs/editor/common/modes/monarch/monarchLexer","vs/editor/common/modes/supports/richEditSupport","vs/base/common/async"],function(e,t,o,n,r,s,i,a,c,m,p,T,d,g,l,_,h){"use strict";t.language={displayName:"Markdown",name:"md",defaultToken:"",autoClosingPairs:[],blockCommentStart:"<!--",blockCommentEnd:"-->",control:/[\\`*_\[\]{}()#+\-\.!]/,noncontrol:/[^\\`*_\[\]{}()#+\-\.!]/,escapes:/\\(?:@control)/,jsescapes:/\\(?:[btnfr\\"']|[0-7][0-7]?|[0-3][0-7]{2})/,empty:["area","base","basefont","br","col","frame","hr","img","input","isindex","link","meta","param"],tokenizer:{root:[[/^(\s{0,3})(#+)((?:[^\\#]|@escapes)+)((?:#+)?)/,["white",i.TOKEN_HEADER_LEAD,i.TOKEN_HEADER,i.TOKEN_HEADER]],[/^\s*(=+|\-+)\s*$/,i.TOKEN_EXT_HEADER],[/^\s*((\*[ ]?)+)\s*$/,i.TOKEN_SEPARATOR],[/^\s*>+/,i.TOKEN_QUOTE],[/^\s*([\*\-+:]|\d+\.)\s/,i.TOKEN_LIST],[/^(\t|[ ]{4})[^ ].*$/,i.TOKEN_BLOCK],[/^\s*~{3}\s*((?:\w|[\/\-#])+)?\s*$/,{token:i.TOKEN_BLOCK,next:"@codeblock"}],[/^\s*```\s*((?:\w|[\/\-#])+)\s*$/,{token:i.TOKEN_BLOCK,next:"@codeblockgh",nextEmbedded:"$1"}],[/^\s*`{3}\s*$/,{token:i.TOKEN_BLOCK,next:"@codeblock"}],{include:"@linecontent"}],codeblock:[[/^\s*~{3}\s*$/,{token:i.TOKEN_BLOCK,next:"@pop"}],[/^\s*`{3}\s*$/,{token:i.TOKEN_BLOCK,next:"@pop"}],[/.*$/,i.TOKEN_BLOCK_CODE]],codeblockgh:[[/```\s*$/,{token:"@rematch",switchTo:"@codeblockghend",nextEmbedded:"@pop"}],[/[^`]*$/,i.TOKEN_BLOCK_CODE]],codeblockghend:[[/\s*```/,{token:i.TOKEN_BLOCK_CODE,next:"@pop"}],[/./,"@rematch","@pop"]],linecontent:[[/&\w+;/,"string.escape"],[/@escapes/,"escape"],[/\b__([^\\_]|@escapes|_(?!_))+__\b/,"strong"],[/\*\*([^\\*]|@escapes|\*(?!\*))+\*\*/,"strong"],[/\b_[^_]+_\b/,"emphasis"],[/\*([^\\*]|@escapes)+\*/,"emphasis"],[/`([^\\`]|@escapes)+`/,"variable"],[/\{[^}]+\}/,"string.target"],[/(!?\[)((?:[^\]\\]|@escapes)*)(\]\([^\)]+\))/,["string.link","","string.link"]],[/(!?\[)((?:[^\]\\]|@escapes)*)(\])/,"string.link"],{include:"html"}],html:[[/<(\w+)\/>/,s.htmlTokenTypes.getTag("$1")],[/<(\w+)/,{cases:{"@empty":{token:s.htmlTokenTypes.getTag("$1"),next:"@tag.$1"},"@default":{token:s.htmlTokenTypes.getTag("$1"),bracket:"@open",next:"@tag.$1"}}}],[/<\/(\w+)\s*>/,{token:s.htmlTokenTypes.getTag("$1"),bracket:"@close"}],[/<!--/,"comment","@comment"]],comment:[[/[^<\-]+/,"comment.content"],[/-->/,"comment","@pop"],[/<!--/,"comment.content.invalid"],[/[<\-]/,"comment.content"]],tag:[[/[ \t\r\n]+/,"white"],[/(type)(\s*=\s*)(")([^"]+)(")/,[s.htmlTokenTypes.ATTRIB_NAME,s.htmlTokenTypes.DELIM_ASSIGN,s.htmlTokenTypes.ATTRIB_VALUE,{token:s.htmlTokenTypes.ATTRIB_VALUE,switchTo:"@tag.$S2.$4"},s.htmlTokenTypes.ATTRIB_VALUE]],[/(type)(\s*=\s*)(')([^']+)(')/,[s.htmlTokenTypes.ATTRIB_NAME,s.htmlTokenTypes.DELIM_ASSIGN,s.htmlTokenTypes.ATTRIB_VALUE,{token:s.htmlTokenTypes.ATTRIB_VALUE,switchTo:"@tag.$S2.$4"},s.htmlTokenTypes.ATTRIB_VALUE]],[/(\w+)(\s*=\s*)("[^"]*"|'[^']*')/,[s.htmlTokenTypes.ATTRIB_NAME,s.htmlTokenTypes.DELIM_ASSIGN,s.htmlTokenTypes.ATTRIB_VALUE]],[/\w+/,s.htmlTokenTypes.ATTRIB_NAME],[/\/>/,s.htmlTokenTypes.getTag("$S2"),"@pop"],[/>/,{cases:{"$S2==style":{token:s.htmlTokenTypes.getTag("$S2"),switchTo:"@embedded.$S2",nextEmbedded:"text/css"},"$S2==script":{cases:{$S3:{token:s.htmlTokenTypes.getTag("$S2"),switchTo:"@embedded.$S2",nextEmbedded:"$S3"},"@default":{token:s.htmlTokenTypes.getTag("$S2"),switchTo:"@embedded.$S2",nextEmbedded:"text/javascript"}}},"@default":{token:s.htmlTokenTypes.getTag("$S2"),next:"@pop"}}}]],embedded:[[/[^"'<]+/,""],[/<\/(\w+)\s*>/,{cases:{"$1==$S2":{token:"@rematch",next:"@pop",nextEmbedded:"@pop"},"@default":""}}],[/"([^"\\]|\\.)*$/,"string.invalid"],[/'([^'\\]|\\.)*$/,"string.invalid"],[/"/,"string",'@string."'],[/'/,"string","@string.'"],[/</,""]],string:[[/[^\\"']+/,"string"],[/@jsescapes/,"string.escape"],[/\\./,"string.escape.invalid"],[/["']/,{cases:{"$#==$S2":{token:"string",next:"@pop"},"@default":"string"}}]]}};var k=function(e){function s(r,s,i,a,c,m){e.call(this,r.id);var p=o.compile(t.language);this._modeWorkerManager=new d.ModeWorkerManager(r,"vs/languages/markdown/common/markdownWorker","MarkdownWorker",null,s),this._threadService=i,this.emitOutputSupport=this,this.configSupport=this,this.tokenizationSupport=l.createTokenizationSupport(a,this,p),this.richEditSupport=new _.RichEditSupport(this.getId(),null,g.createRichEditSupport(p)),n.SuggestRegistry.register(this.getId(),{triggerCharacters:[],shouldAutotriggerSuggest:!1,provideCompletionItems:function(e,t,o){return h.wireCancellationToken(o,c.textualSuggest(e.uri,t))}},!0)}return __extends(s,e),s.prototype._worker=function(e){return this._modeWorkerManager.worker(e)},s.prototype.configure=function(e){return this._threadService.isInMainThread?this._configureWorkers(e):this._worker(function(t){return t._doConfigure(e)})},s.prototype._configureWorkers=function(e){return this._worker(function(t){return t._doConfigure(e)})},s.prototype.getEmitOutput=function(e,t){return this._worker(function(o){return o.getEmitOutput(e,t)})},s.$_configureWorkers=r.AllWorkersAttr(s,s.prototype._configureWorkers),s.$getEmitOutput=r.OneWorkerAttr(s,s.prototype.getEmitOutput),s=__decorate([__param(1,c.IInstantiationService),__param(2,m.IThreadService),__param(3,a.IModeService),__param(4,T.IEditorWorkerService),__param(5,p.IConfigurationService)],s)}(d.AbstractMode);t.MarkdownMode=k});
//# sourceMappingURL=../../../../../min-maps/vs/languages/markdown/common/markdown.js.map