/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.2.3(84e204b238a1eff25d4c6f611fdcd76a494005a7)
 * Released under the MIT license
 * https://github.com/Microsoft/vscode/blob/master/LICENSE.txt
 *-----------------------------------------------------------*/
define("vs/base/common/marked/marked",["require","exports"],function(e,t){"use strict";function r(e){return e}r.Renderer=function(){};var n={marked:r};return n}),define("vs/editor/common/modes/textToHtmlTokenizer",["require","exports","vs/base/common/strings","vs/editor/common/modes/nullMode"],function(e,t,r,n){"use strict";function o(e,t){return a(e,s(t))}function i(e,t,r){return c(e,s(t),r)}function s(e){return e&&e.tokenizationSupport?e.tokenizationSupport:{shouldGenerateEmbeddedModels:!1,getInitialState:function(){return new n.NullState(null,null)},tokenize:function(e,t,r,o){return void 0===r&&(r=0),n.nullTokenize(null,e,t,r,o)}}}function a(e,t){var r={tagName:"div",style:"white-space: pre-wrap",children:[]},n=function(e,t){r.children.push({tagName:"span",className:e,text:t})},o=function(){r.children.push({tagName:"br"})};return l(e,t,n,o),r}function c(e,t,n){void 0===n&&(n=""),n&&n.length>0&&(n=" "+n);var o="",i=function(e,t){o+='<span class="'+e+n+'">'+r.escape(t)+"</span>"},s=function(){o+="<br/>"};return o='<div style="white-space: pre-wrap;">',l(e,t,i,s),o+="</div>"}function l(e,t,r,n){for(var o=e.split(/\r\n|\r|\n/),i=t.getInitialState(),s=0;s<o.length;s++)i=u(o[s],t,r,i),s<o.length-1&&n()}function u(e,t,r,n){for(var o,i=t.tokenize(e,n),s=i.endState,a=i.tokens,c=0,l=0;l<a.length;l++){var u=a[l];l<a.length-1?(o=e.substring(c,a[l+1].startIndex),c=a[l+1].startIndex):o=e.substr(c);var m="token",h=u.type.replace(/[^a-z0-9\-]/gi," ");h.length>0&&(m+=" "+h),r(m,o)}return s}t.tokenizeToHtmlContent=o,t.tokenizeToString=i});var __decorate=this&&this.__decorate||function(e,t,r,n){var o,i=arguments.length,s=3>i?t:null===n?n=Object.getOwnPropertyDescriptor(t,r):n;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,r,n);else for(var a=e.length-1;a>=0;a--)(o=e[a])&&(s=(3>i?o(s):i>3?o(t,r,s):o(t,r))||s);return i>3&&s&&Object.defineProperty(t,r,s),s},__param=this&&this.__param||function(e,t){return function(r,n){t(r,n,e)}};define("vs/languages/markdown/common/markdownWorker",["require","exports","vs/base/common/winjs.base","vs/base/common/uri","vs/base/common/types","vs/base/common/paths","vs/base/common/marked/marked","vs/editor/common/modes/textToHtmlTokenizer","vs/base/common/platform","vs/editor/common/services/modeService","vs/editor/common/services/resourceService","vs/platform/markers/common/markers"],function(e,t,r,n,o,i,s,a,c,l,u,m){"use strict";var h;!function(e){e[e.LIGHT=0]="LIGHT",e[e.DARK=1]="DARK",e[e.HC_BLACK=2]="HC_BLACK"}(h||(h={}));var d=function(){function e(e,t,r,n){this.theme=h.DARK,this._modeId=e,this.resourceService=t,this.markerService=r,this.modeService=n}return e.prototype._doConfigure=function(e){return e&&e.theme&&(this.theme="vs-dark"===e.theme?h.DARK:"vs"===e.theme?h.LIGHT:h.HC_BLACK),e&&o.isArray(e.styles)&&(this.cssLinks=e.styles),r.TPromise.as(void 0)},e.prototype.getEmitOutput=function(t,n){var o=this,i=this.resourceService.get(t),l=this.cssLinks||[],u=new s.marked.Renderer,m=this;u.image=function(e,r,n){var o='<img src="'+m.fixHref(t,e)+'" alt="'+n+'"';return r&&(o+=' title="'+r+'"'),o+=this.options&&this.options.xhtml?"/>":">"};var d=u.link;u.link=function(e,t,r){var n=d.call(this,e,t,r);return n=e&&"#"===e[0]?n.replace("href=","localhref="):n.replace("<a",'<a target="_blank"')};var b=this.modeService,f=function(t,r,n){var o=b.getModeIdForLanguageName(r)||r||e.DEFAULT_MODE;b.getOrCreateMode(o).then(function(e){n(null,a.tokenizeToString(t,e))})};return new r.Promise(function(r,a){s.marked(i.getValue(),{gfm:!0,renderer:u,highlight:f},function(i,s){var a=["<!DOCTYPE html>","<html>","<head>",'<meta http-equiv="Content-type" content="text/html;charset=UTF-8">',0===l.length?'<link rel="stylesheet" href="'+n+'/markdown.css" type="text/css" media="screen">':"",0===l.length?'<link rel="stylesheet" href="'+n+'/tokens.css" type="text/css" media="screen">':"",o.theme===h.LIGHT?e.LIGHT_SCROLLBAR_CSS:o.theme===h.DARK?e.DARK_SCROLLBAR_CSS:e.HC_BLACK_SCROLLBAR_CSS,l.map(function(e){return'<link rel="stylesheet" href="'+o.fixHref(t,e)+'" type="text/css" media="screen">'}).join("\n"),"</head>",c.isMacintosh?'<body class="mac">':"<body>"].join("\n"),u=[o.theme===h.LIGHT?'<div class="monaco-editor vs">':o.theme===h.DARK?'<div class="monaco-editor vs-dark">':'<div class="monaco-editor hc-black">',s,"</div>"].join("\n"),m=["</body>","</html>"].join("\n");r({head:a,body:u,tail:m})})})},e.prototype.fixHref=function(e,t){return t?n["default"].parse(t).scheme?t:n["default"].file(i.join(i.dirname(e.fsPath),t)).toString():t},e.DEFAULT_MODE="text/plain",e.LIGHT_SCROLLBAR_CSS=['<style type="text/css">',"	::-webkit-scrollbar {","		width: 14px;","		height: 14px;","	}","","	::-webkit-scrollbar-thumb {","		background-color: rgba(100, 100, 100, 0.4);","	}","","	::-webkit-scrollbar-thumb:hover {","		background-color: rgba(100, 100, 100, 0.7);","	}","","	::-webkit-scrollbar-thumb:active {","		background-color: rgba(0, 0, 0, 0.6);","	}","</style>"].join("\n"),e.DARK_SCROLLBAR_CSS=['<style type="text/css">',"	::-webkit-scrollbar {","		width: 14px;","		height: 14px;","	}","","	::-webkit-scrollbar-thumb {","		background-color: rgba(121, 121, 121, 0.4);","	}","","	::-webkit-scrollbar-thumb:hover {","		background-color: rgba(100, 100, 100, 0.7);","	}","","	::-webkit-scrollbar-thumb:active {","		background-color: rgba(85, 85, 85, 0.8);","	}","</style>"].join("\n"),e.HC_BLACK_SCROLLBAR_CSS=['<style type="text/css">',"	::-webkit-scrollbar {","		width: 14px;","		height: 14px;","	}","","	::-webkit-scrollbar-thumb {","		background-color: rgba(111, 195, 223, 0.3);","	}","","	::-webkit-scrollbar-thumb:hover {","		background-color: rgba(111, 195, 223, 0.4);","	}","","	::-webkit-scrollbar-thumb:active {","		background-color: rgba(111, 195, 223, 0.4);","	}","</style>"].join("\n"),e=__decorate([__param(1,u.IResourceService),__param(2,m.IMarkerService),__param(3,l.IModeService)],e)}();t.MarkdownWorker=d});
//# sourceMappingURL=../../../../../min-maps/vs/languages/markdown/common/markdownWorker.js.map