/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.2.3(84e204b238a1eff25d4c6f611fdcd76a494005a7)
 * Released under the MIT license
 * https://github.com/Microsoft/vscode/blob/master/LICENSE.txt
 *-----------------------------------------------------------*/
define("vs/languages/razor/common/razorTokenTypes",["require","exports"],function(t,e){"use strict";e.EMBED_CS="support.function.cshtml"}),define("vs/languages/razor/common/vsxmlTokenTypes",["require","exports"],function(t,e){"use strict";e.TOKEN_VALUE="support.property-value.constant.other.json",e.TOKEN_KEY="support.type.property-name.json"});var __extends=this&&this.__extends||function(t,e){function n(){this.constructor=t}for(var o in e)e.hasOwnProperty(o)&&(t[o]=e[o]);t.prototype=null===e?Object.create(e):(n.prototype=e.prototype,new n)};define("vs/languages/razor/common/vsxml",["require","exports","vs/base/common/objects","vs/base/common/errors","vs/editor/common/modes/abstractState","vs/languages/razor/common/vsxmlTokenTypes"],function(t,e,n,o,r,s){"use strict";var i='<>"=/',a="	 ",p=n.createKeywordMatcher(["summary","reference","returns","param","loc"]),c=n.createKeywordMatcher(["type","path","name","locid","filename","format","optional"]),u=n.createKeywordMatcher(i.split("")),h=function(t){function e(e,n,o){t.call(this,e),this.state=n,this.parentState=o}return __extends(e,t),e.prototype.getParentState=function(){return this.parentState},e.prototype.makeClone=function(){return new e(this.getMode(),r.AbstractState.safeClone(this.state),r.AbstractState.safeClone(this.parentState))},e.prototype.equals=function(n){return n instanceof e?t.prototype.equals.call(this,n)&&r.AbstractState.safeEquals(this.state,n.state)&&r.AbstractState.safeEquals(this.parentState,n.parentState):!1},e.prototype.setState=function(t){this.state=t},e.prototype.postTokenize=function(t,e){return t},e.prototype.tokenize=function(t){var e=this.state.tokenize(t);return void 0!==e.nextState&&this.setState(e.nextState),e.nextState=this,this.postTokenize(e,t)},e}(r.AbstractState);e.EmbeddedState=h;var l=function(t){function e(e,n,o){t.call(this,e,n,o)}return __extends(e,t),e.prototype.equals=function(n){return n instanceof e?t.prototype.equals.call(this,n):!1},e.prototype.setState=function(e){t.prototype.setState.call(this,e),this.getParentState().setVSXMLState(e)},e.prototype.postTokenize=function(t,e){return e.eos()&&(t.nextState=this.getParentState()),t},e}(h);e.VSXMLEmbeddedState=l;var f=function(t){function e(e,n,o,r){void 0===r&&(r=""),t.call(this,e),this.name=n,this.parent=o,this.whitespaceTokenType=r}return __extends(e,t),e.prototype.equals=function(n){return n instanceof e?t.prototype.equals.call(this,n)&&this.whitespaceTokenType===n.whitespaceTokenType&&this.name===n.name&&r.AbstractState.safeEquals(this.parent,n.parent):!1},e.prototype.tokenize=function(t){return t.setTokenRules(i,a),t.skipWhitespace().length>0?{type:this.whitespaceTokenType}:this.stateTokenize(t)},e.prototype.stateTokenize=function(t){throw o.notImplemented()},e}(r.AbstractState);e.VSXMLState=f;var d=function(t){function e(e,n){t.call(this,e,"string",n,s.TOKEN_VALUE)}return __extends(e,t),e.prototype.makeClone=function(){return new e(this.getMode(),this.parent?this.parent.clone():null)},e.prototype.equals=function(n){return n instanceof e?t.prototype.equals.call(this,n):!1},e.prototype.stateTokenize=function(t){for(;!t.eos();){var e=t.nextToken();if('"'===e)return{type:s.TOKEN_VALUE,nextState:this.parent}}return{type:s.TOKEN_VALUE,nextState:this.parent}},e}(f);e.VSXMLString=d;var y=function(t){function e(e,n){t.call(this,e,"expression",n,"vs")}return __extends(e,t),e.prototype.makeClone=function(){return new e(this.getMode(),this.parent?this.parent.clone():null)},e.prototype.equals=function(n){return n instanceof e?t.prototype.equals.call(this,n):!1},e.prototype.stateTokenize=function(t){var e=t.nextToken(),n=this.whitespaceTokenType;return">"===e?{type:"punctuation.vs",nextState:this.parent}:'"'===e?{type:s.TOKEN_VALUE,nextState:new d(this.getMode(),this)}:(p(e)?n="tag.vs":c(e)?n=s.TOKEN_KEY:u(e)&&(n="punctuation.vs"),{type:n,nextState:this})},e}(f);e.VSXMLTag=y;var g=function(t){function e(e,n){t.call(this,e,"expression",n,"vs")}return __extends(e,t),e.prototype.makeClone=function(){return new e(this.getMode(),this.parent?this.parent.clone():null)},e.prototype.equals=function(n){return n instanceof e?t.prototype.equals.call(this,n):!1},e.prototype.stateTokenize=function(t){var e=t.nextToken();return"<"===e?{type:"punctuation.vs",nextState:new y(this.getMode(),this)}:{type:this.whitespaceTokenType,nextState:this}},e}(f);e.VSXMLExpression=g});var __extends=this&&this.__extends||function(t,e){function n(){this.constructor=t}for(var o in e)e.hasOwnProperty(o)&&(t[o]=e[o]);t.prototype=null===e?Object.create(e):(n.prototype=e.prototype,new n)};define("vs/languages/razor/common/csharpTokenization",["require","exports","vs/base/common/objects","vs/languages/html/common/html","vs/languages/razor/common/vsxml","vs/editor/common/modes/abstractState","vs/editor/common/modes/abstractMode","vs/languages/razor/common/razorTokenTypes"],function(t,e,n,o,r,s,i,a){"use strict";var p=o.htmlTokenTypes,c="+-*%&|^~!=<>/?;:.,",u="+-*/%&|^~!=<>(){}[]\"'\\/?;:.,",h="	 ",l=function(){for(var t=[{tokenType:"punctuation.bracket.cs",open:"{",close:"}"},{tokenType:"punctuation.array.cs",open:"[",close:"]"},{tokenType:"punctuation.parenthesis.cs",open:"(",close:")"}],e=Object.create(null),n=0;n<t.length;n++){var o=t[n];e[o.open]={tokenType:o.tokenType},e[o.close]={tokenType:o.tokenType}}return{stringIsBracket:function(t){return!!e[t]},tokenTypeFromString:function(t){return e[t].tokenType}}}(),f=n.createKeywordMatcher(["abstract","as","async","await","base","bool","break","by","byte","case","catch","char","checked","class","const","continue","decimal","default","delegate","do","double","descending","explicit","event","extern","else","enum","false","finally","fixed","float","for","foreach","from","goto","group","if","implicit","in","int","interface","internal","into","is","lock","long","nameof","new","null","namespace","object","operator","out","override","orderby","params","private","protected","public","readonly","ref","return","switch","struct","sbyte","sealed","short","sizeof","stackalloc","static","string","select","this","throw","true","try","typeof","uint","ulong","unchecked","unsafe","ushort","using","var","virtual","volatile","void","when","while","where","yield","model","inject"]),d=function(t){return c.indexOf(t)>-1},y=function(t){function e(e,n,o){t.call(this,e),this.name=n,this.parent=o}return __extends(e,t),e.prototype.equals=function(n){if(!t.prototype.equals.call(this,n))return!1;var o=n;return n instanceof e&&this.getMode()===o.getMode()&&this.name===o.name&&(null===this.parent&&null===o.parent||null!==this.parent&&this.parent.equals(o.parent))},e.prototype.tokenize=function(t){return t.setTokenRules(u,h),t.skipWhitespace().length>0?{type:""}:this.stateTokenize(t)},e.prototype.stateTokenize=function(t){throw new Error("To be implemented")},e}(s.AbstractState);e.CSState=y;var g=function(t){function e(e,n,o){t.call(this,e,"string",n),this.isAtBeginning=!0,this.punctuation=o}return __extends(e,t),e.prototype.makeClone=function(){return new e(this.getMode(),this.parent?this.parent.clone():null,this.punctuation)},e.prototype.equals=function(e){return t.prototype.equals.call(this,e)&&this.punctuation===e.punctuation},e.prototype.tokenize=function(t){var e=this.isAtBeginning?1:0;for(this.isAtBeginning=!1;!t.eos();){var n=t.next();if("\\"===n)return 0===e?t.eos()?{type:"string.escape.cs"}:(t.next(),t.eos()?{type:"string.escape.cs",nextState:this.parent}:{type:"string.escape.cs"}):(t.goBack(1),{type:"string.cs"});if(n===this.punctuation)break;e+=1}return{type:"string.cs",nextState:this.parent}},e}(y),m=function(t){function e(e,n){t.call(this,e,"verbatimstring",n)}return __extends(e,t),e.prototype.makeClone=function(){return new e(this.getMode(),this.parent?this.parent.clone():null)},e.prototype.tokenize=function(t){for(;!t.eos();){var e=t.next();if('"'===e){if(t.eos()||'"'!==t.peek())return{type:"string.cs",nextState:this.parent};t.next()}}return{type:"string.cs"}},e}(y),v=function(t){function e(e,n,o){t.call(this,e,"number",n),this.firstDigit=o}return __extends(e,t),e.prototype.makeClone=function(){return new e(this.getMode(),this.parent?this.parent.clone():null,this.firstDigit)},e.prototype.tokenize=function(t){var e=this.firstDigit,n=10,o=!1,r=!1;if("0"===e&&!t.eos()){if(e=t.peek(),"x"===e)n=16;else{if("."!==e)return{type:"number.cs",nextState:this.parent};n=10}t.next()}for(;!t.eos();)if(e=t.peek(),i.isDigit(e,n))t.next();else{if(10!==n)break;if("."!==e||r||o){if("e"!==e.toLowerCase()||r){if("f"===e.toLowerCase()||"d"===e.toLowerCase()){t.next();break}break}r=!0,t.next(),t.eos()||"-"!==t.peek()||t.next()}else o=!0,t.next()}var s="number";return 16===n&&(s+=".hex"),{type:s+".cs",nextState:this.parent}},e}(y),S=function(t){function e(e,n,o){t.call(this,e,"comment",n),this.commentChar=o}return __extends(e,t),e.prototype.makeClone=function(){return new e(this.getMode(),this.parent?this.parent.clone():null,this.commentChar)},e.prototype.tokenize=function(t){for(;!t.eos();){var e=t.next();if("*"===e&&!t.eos()&&!t.peekWhitespace()&&t.peek()===this.commentChar)return t.next(),{type:"comment.cs",nextState:this.parent}}return{type:"comment.cs"}},e}(y);e.CSComment=S;var k=function(t){function e(e,n,o,s,i,a,p,c){t.call(this,e,"expression",n),this.level=o,this.plevel=s,this.razorMode=i,this.expression=a,this.vsState=new r.VSXMLExpression(e,null),this.firstToken=p,this.firstTokenWasKeyword=c}return __extends(e,t),e.prototype.setVSXMLState=function(t){this.vsState=t},e.prototype.makeClone=function(){var t=new e(this.getMode(),this.parent?this.parent.clone():null,this.level,this.plevel,this.razorMode,this.expression,this.firstToken,this.firstTokenWasKeyword);return null!==this.vsState&&t.setVSXMLState(this.vsState.clone()),t},e.prototype.equals=function(n){return t.prototype.equals.call(this,n)&&n instanceof e&&(null===this.vsState&&null===n.vsState||null!==this.vsState&&this.vsState.equals(n.vsState))},e.prototype.stateTokenize=function(t){if(i.isDigit(t.peek(),10))return this.firstToken=!1,{nextState:new v(this.getMode(),this,t.next())};var e=t.nextToken(),n=!this.firstTokenWasKeyword,s=this.level<=0&&this.plevel<=0&&t.eos()?this.parent:void 0;if(t.eos()&&(this.firstTokenWasKeyword=!1),f(e))return this.level<=0&&(this.expression=!1),this.firstToken&&(this.firstTokenWasKeyword=!0),{type:"keyword.cs"};if(this.firstToken=!1,this.razorMode&&"<"===e&&n&&!t.eos()&&/[_:!\/\w]/.test(t.peek()))return{nextState:new x(this.getMode(),this,o.States.Content)};if(this.razorMode&&this.expression&&this.level<=0&&this.plevel<=0&&!t.eos()&&(/^(\.|\[|\(|\{\w+)$/.test(t.peekToken())||(s=this.parent)),"/"===e){if(!t.eos()&&!t.peekWhitespace())switch(t.peekToken()){case"/":if(t.nextToken(),!t.eos()&&"/"===t.peekToken()){if(t.nextToken(),t.eos())return{type:"comment.vs"};if("/"!==t.peekToken())return{type:"comment.vs",nextState:new r.VSXMLEmbeddedState(this.getMode(),this.vsState,this)}}return t.advanceToEOS(),{type:"comment.cs"};case"*":return t.nextToken(),{nextState:new S(this.getMode(),this,"/")}}return{type:"punctuation.cs",nextState:s}}if("@"===e&&!t.eos())switch(t.peekToken()){case'"':return t.nextToken(),{nextState:new m(this.getMode(),this)};case"*":return t.nextToken(),{nextState:new S(this.getMode(),this,"@")}}if(/@?\w+/.test(e))return{type:"ident.cs",nextState:s};if('"'===e||"'"===e)return{nextState:new g(this.getMode(),this,e)};if(l.stringIsBracket(e)){var p={type:l.tokenTypeFromString(e),nextState:s};return this.razorMode&&("{"===e&&(this.expression=!1,this.level++,1===this.level&&(p.type=a.EMBED_CS,p.nextState=void 0)),"}"===e&&(this.level--,this.level<=0&&(p.type=a.EMBED_CS,p.nextState=this.parent)),this.expression&&("("===e&&(this.plevel++,1===this.plevel&&(p.type=a.EMBED_CS,p.nextState=void 0)),")"===e&&(this.plevel--,this.expression&&this.plevel<=0&&(p.type=a.EMBED_CS,p.nextState=this.parent)),"["===e&&(this.plevel++,p.nextState=void 0),"]"===e&&this.plevel--)),p}return d(e)?{type:"punctuation.cs",nextState:s}:this.razorMode&&this.expression&&this.plevel<=0?{type:"",nextState:this.parent}:{type:"",nextState:s}},e}(y);e.CSStatement=k;var x=function(t){function e(e,n,o){t.call(this,e,"number",n),this.state=o}return __extends(e,t),e.prototype.makeClone=function(){return new e(this.getMode(),this.parent?this.parent.clone():null,this.state)},e.prototype.nextName=function(t){return t.advanceIfRegExp(/^[_:\w][_:\w-.\d]*/)},e.prototype.nextAttrValue=function(t){return t.advanceIfRegExp(/^('|').*?\1/)},e.prototype.tokenize=function(t){switch(this.state){case o.States.WithinComment:if(t.advanceUntil("-->",!1).length>0)return{type:p.COMMENT};if(t.advanceIfString("-->").length>0)return this.state=o.States.Content,{type:p.DELIM_COMMENT,nextState:this.parent};break;case o.States.WithinDoctype:if(t.advanceUntil(">",!1).length>0)return{type:p.DOCTYPE};if(t.advanceIfString(">").length>0)return this.state=o.States.Content,{type:p.DELIM_DOCTYPE,nextState:this.parent};break;case o.States.Content:return t.advanceIfString("!--").length>0?(this.state=o.States.WithinComment,{type:p.DELIM_COMMENT}):t.advanceIfRegExp(/!DOCTYPE/i).length>0?(this.state=o.States.WithinDoctype,{type:p.DELIM_DOCTYPE}):t.advanceIfString("/").length>0?(this.state=o.States.OpeningEndTag,{type:p.DELIM_END}):(this.state=o.States.OpeningStartTag,{type:p.DELIM_START});case o.States.OpeningEndTag:var e=this.nextName(t);return e.length>0?{type:p.getTag(e)}:t.advanceIfString(">").length>0?(this.state=o.States.Content,{type:p.DELIM_END,nextState:this.parent}):(t.advanceUntil(">",!1),{type:""});case o.States.OpeningStartTag:var e=this.nextName(t);if(e.length>0)return this.state=o.States.WithinTag,{type:p.getTag(e)};break;case o.States.WithinTag:if(t.skipWhitespace().length>0)return{type:""};var n=this.nextName(t);return n.length>0?(this.state=o.States.AttributeName,{type:p.ATTRIB_NAME}):t.advanceIfRegExp(/^\/?>/).length>0?(this.state=o.States.Content,{type:p.DELIM_START,nextState:this.parent}):(t.next(),{type:""});case o.States.AttributeName:return t.skipWhitespace().length>0||t.eos()?{type:""}:"="===t.peek()?(t.next(),this.state=o.States.AttributeValue,{type:""}):(this.state=o.States.WithinTag,this.tokenize(t));case o.States.AttributeValue:if(t.skipWhitespace().length>0||t.eos())return{type:""};var r=this.nextAttrValue(t);return r.length>0?(this.state=o.States.WithinTag,{type:p.ATTRIB_VALUE}):(this.state=o.States.WithinTag,this.tokenize(t))}return t.next(),this.state=o.States.Content,{type:"",nextState:this.parent}},e}(y)});var __extends=this&&this.__extends||function(t,e){function n(){this.constructor=t}for(var o in e)e.hasOwnProperty(o)&&(t[o]=e[o]);t.prototype=null===e?Object.create(e):(n.prototype=e.prototype,new n)},__decorate=this&&this.__decorate||function(t,e,n,o){var r,s=arguments.length,i=3>s?e:null===o?o=Object.getOwnPropertyDescriptor(e,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)i=Reflect.decorate(t,e,n,o);else for(var a=t.length-1;a>=0;a--)(r=t[a])&&(i=(3>s?r(i):s>3?r(e,n,i):r(e,n))||i);return s>3&&i&&Object.defineProperty(e,n,i),i},__param=this&&this.__param||function(t,e){return function(n,o){e(n,o,t)}};define("vs/languages/razor/common/razor",["require","exports","vs/editor/common/modes","vs/languages/html/common/html","vs/languages/razor/common/csharpTokenization","vs/editor/common/modes/abstractMode","vs/languages/razor/common/razorTokenTypes","vs/platform/instantiation/common/instantiation","vs/editor/common/services/modeService","vs/editor/common/modes/supports/richEditSupport","vs/platform/thread/common/thread","vs/base/common/async"],function(t,e,n,o,r,s,i,a,p,c,u,h){"use strict";var l=function(t){function e(e,n,o,r,s,i,a){t.call(this,e,n,o,r,s,i,a)}return __extends(e,t),e.prototype.makeClone=function(){return new e(this.getMode(),this.kind,this.lastTagName,this.lastAttributeName,this.embeddedContentType,this.attributeValueQuote,this.attributeValue)},e.prototype.equals=function(n){return n instanceof e?t.prototype.equals.call(this,n):!1},e.prototype.tokenize=function(e){if(!e.eos()&&"@"===e.peek()){if(e.next(),!e.eos()&&"*"===e.peek())return{nextState:new r.CSComment(this.getMode(),this,"@")};if(e.eos()||"@"!==e.peek())return{type:i.EMBED_CS,nextState:new r.CSStatement(this.getMode(),this,0,0,!0,!0,!0,!1)}}return t.prototype.tokenize.call(this,e)},e}(o.State),f=function(t){function e(e,n,o,r){t.call(this,e,n,o,r)}return __extends(e,t),e.prototype._registerSupports=function(){var t=this;n.HoverProviderRegistry.register(this.getId(),{provideHover:function(e,n,o){return h.wireCancellationToken(o,t._provideHover(e.uri,n))}},!0),n.ReferenceProviderRegistry.register(this.getId(),{provideReferences:function(e,n,o,r){return h.wireCancellationToken(r,t._provideReferences(e.uri,n,o))}},!0),n.SuggestRegistry.register(this.getId(),{triggerCharacters:[".",":","<",'"',"=","/"],shouldAutotriggerSuggest:!0,provideCompletionItems:function(e,n,o){return h.wireCancellationToken(o,t._provideCompletionItems(e.uri,n))}},!0),n.DocumentHighlightProviderRegistry.register(this.getId(),{provideDocumentHighlights:function(e,n,o){return h.wireCancellationToken(o,t._provideDocumentHighlights(e.uri,n))}},!0),n.LinkProviderRegistry.register(this.getId(),{provideLinks:function(e,n){return h.wireCancellationToken(n,t._provideLinks(e.uri))}},!0)},e.prototype._createModeWorkerManager=function(t,e){return new s.ModeWorkerManager(t,"vs/languages/razor/common/razorWorker","RAZORWorker","vs/languages/html/common/htmlWorker",e)},e.prototype._createRichEditSupport=function(){return new c.RichEditSupport(this.getId(),null,{wordPattern:s.createWordRegExp("#?%"),comments:{blockComment:["<!--","-->"]},brackets:[["<!--","-->"],["{","}"],["(",")"]],__electricCharacterSupport:{caseInsensitive:!0,embeddedElectricCharacters:["*","}","]",")"]},autoClosingPairs:[{open:"{",close:"}"},{open:"[",close:"]"},{open:"(",close:")"},{open:'"',close:'"'},{open:"'",close:"'"}],surroundingPairs:[{open:'"',close:'"'},{open:"'",close:"'"}],onEnterRules:[{beforeText:new RegExp("<(?!(?:"+o.EMPTY_ELEMENTS.join("|")+"))(\\w[\\w\\d]*)([^/>]*(?!/)>)[^<]*$","i"),afterText:/^<\/(\w[\w\d]*)\s*>$/i,action:{indentAction:n.IndentAction.IndentOutdent}},{beforeText:new RegExp("<(?!(?:"+o.EMPTY_ELEMENTS.join("|")+"))(\\w[\\w\\d]*)([^/>]*(?!/)>)[^<]*$","i"),action:{indentAction:n.IndentAction.Indent}}]})},e.prototype.getInitialState=function(){return new l(this,o.States.Content,"","","","","")},e.prototype.getLeavingNestedModeData=function(e,n){var r=t.prototype.getLeavingNestedModeData.call(this,e,n);return r&&(r.stateAfterNestedMode=new l(this,o.States.Content,"","","","","")),r},e=__decorate([__param(1,a.IInstantiationService),__param(2,p.IModeService),__param(3,u.IThreadService)],e)}(o.HTMLMode);e.RAZORMode=f});
//# sourceMappingURL=../../../../../min-maps/vs/languages/razor/common/razor.js.map