/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.2.3(84e204b238a1eff25d4c6f611fdcd76a494005a7)
 * Released under the MIT license
 * https://github.com/Microsoft/vscode/blob/master/LICENSE.txt
 *-----------------------------------------------------------*/
define("vs/languages/sass/common/sassTokenTypes",["require","exports"],function(e,t){"use strict";t.TOKEN_SELECTOR="entity.name.selector",t.TOKEN_SELECTOR_TAG="entity.name.tag",t.TOKEN_PROPERTY="support.type.property-name",t.TOKEN_VALUE="support.property-value",t.TOKEN_AT_KEYWORD="keyword.control.at-rule"});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){var r,i=arguments.length,a=3>i?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)a=Reflect.decorate(e,t,n,o);else for(var c=e.length-1;c>=0;c--)(r=e[c])&&(a=(3>i?r(a):i>3?r(t,n,a):r(t,n))||a);return i>3&&a&&Object.defineProperty(t,n,a),a},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/languages/sass/common/sass",["require","exports","vs/editor/common/modes/monarch/monarchCompile","vs/editor/common/modes","vs/languages/sass/common/sassTokenTypes","vs/editor/common/modes/abstractMode","vs/platform/thread/common/threadService","vs/editor/common/services/modeService","vs/platform/instantiation/common/instantiation","vs/platform/thread/common/thread","vs/editor/common/services/modelService","vs/editor/common/services/editorWorkerService","vs/base/common/async","vs/editor/common/modes/monarch/monarchDefinition","vs/editor/common/modes/monarch/monarchLexer","vs/editor/common/modes/supports/richEditSupport"],function(e,t,n,o,r,i,a,c,u,p,s,d,l,m,k,f){"use strict";t.language={displayName:"Sass",name:"sass",wordDefinition:/(#?-?\d*\.\d\w*%?)|([$@#!.:]?[\w-?]+%?)|[$@#!.]/g,defaultToken:"",lineComment:"//",blockCommentStart:"/*",blockCommentEnd:"*/",ws:"[ 	\n\r\f]*",identifier:"-?-?([a-zA-Z]|(\\\\(([0-9a-fA-F]{1,6}\\s?)|[^[0-9a-fA-F])))([\\w\\-]|(\\\\(([0-9a-fA-F]{1,6}\\s?)|[^[0-9a-fA-F])))*",brackets:[{open:"{",close:"}",token:"punctuation.curly"},{open:"[",close:"]",token:"punctuation.bracket"},{open:"(",close:")",token:"punctuation.parenthesis"},{open:"<",close:">",token:"punctuation.angle"}],tokenizer:{root:[{include:"@selector"}],selector:[{include:"@comments"},{include:"@import"},{include:"@variabledeclaration"},{include:"@warndebug"},["[@](include)",{token:r.TOKEN_AT_KEYWORD,next:"@includedeclaration"}],["[@](keyframes|-webkit-keyframes|-moz-keyframes|-o-keyframes)",{token:r.TOKEN_AT_KEYWORD,next:"@keyframedeclaration"}],["[@](page|content|font-face|-moz-document)",{token:r.TOKEN_AT_KEYWORD}],["[@](charset|namespace)",{token:r.TOKEN_AT_KEYWORD,next:"@declarationbody"}],["[@](function)",{token:r.TOKEN_AT_KEYWORD,next:"@functiondeclaration"}],["[@](mixin)",{token:r.TOKEN_AT_KEYWORD,next:"@mixindeclaration"}],["url(\\-prefix)?\\(",{token:"support.function.name",bracket:"@open",next:"@urldeclaration"}],{include:"@controlstatement"},{include:"@selectorname"},["[&\\*]",r.TOKEN_SELECTOR_TAG],["[>\\+,]","punctuation"],["\\[",{token:"punctuation.bracket",bracket:"@open",next:"@selectorattribute"}],["{",{token:"punctuation.curly",bracket:"@open",next:"@selectorbody"}]],selectorbody:[["[*_]?@identifier@ws:(?=(\\s|\\d|[^{;}]*[;}]))",r.TOKEN_PROPERTY,"@rulevalue"],{include:"@selector"},["[@](extend)",{token:r.TOKEN_AT_KEYWORD,next:"@extendbody"}],["[@](return)",{token:r.TOKEN_AT_KEYWORD,next:"@declarationbody"}],["}",{token:"punctuation.curly",bracket:"@close",next:"@pop"}]],selectorname:[["#{",{token:"support.function.interpolation",bracket:"@open",next:"@variableinterpolation"}],["(\\.|#(?=[^{])|%|(@identifier)|:)+",r.TOKEN_SELECTOR]],selectorattribute:[{include:"@term"},["]",{token:"punctuation.bracket",bracket:"@close",next:"@pop"}]],term:[{include:"@comments"},["url(\\-prefix)?\\(",{token:"support.function.name",bracket:"@open",next:"@urldeclaration"}],{include:"@functioninvocation"},{include:"@numbers"},{include:"@strings"},{include:"@variablereference"},["(and\\b|or\\b|not\\b)","keyword.operator"],{include:"@name"},["([<>=\\+\\-\\*\\/\\^\\|\\~,])","keyword.operator"],[",","punctuation"],["!default","literal"],["\\(",{token:"punctuation.parenthesis",bracket:"@open",next:"@parenthizedterm"}]],rulevalue:[{include:"@term"},["!important","literal"],[";","punctuation","@pop"],["{",{token:"punctuation.curly",bracket:"@open",switchTo:"@nestedproperty"}],["(?=})",{token:"",next:"@pop"}]],nestedproperty:[["[*_]?@identifier@ws:",r.TOKEN_PROPERTY,"@rulevalue"],{include:"@comments"},["}",{token:"punctuation.curly",bracket:"@close",next:"@pop"}]],warndebug:[["[@](warn|debug)",{token:r.TOKEN_AT_KEYWORD,next:"@declarationbody"}]],"import":[["[@](import)",{token:r.TOKEN_AT_KEYWORD,next:"@declarationbody"}]],variabledeclaration:[["\\$@identifier@ws:","variable.decl","@declarationbody"]],urldeclaration:[{include:"@strings"},["[^)\r\n]+","string"],["\\)",{token:"support.function.name",bracket:"@close",next:"@pop"}]],parenthizedterm:[{include:"@term"},["\\)",{token:"punctuation.parenthesis",bracket:"@close",next:"@pop"}]],declarationbody:[{include:"@term"},[";","punctuation","@pop"],["(?=})",{token:"",next:"@pop"}]],extendbody:[{include:"@selectorname"},["!optional","literal"],[";","punctuation","@pop"],["(?=})",{token:"",next:"@pop"}]],variablereference:[["\\$@identifier","variable.ref"],["\\.\\.\\.","keyword.operator"],["#{",{token:"support.function.interpolation",bracket:"@open",next:"@variableinterpolation"}]],variableinterpolation:[{include:"@variablereference"},["}",{token:"support.function.interpolation",bracket:"@close",next:"@pop"}]],comments:[["\\/\\*","comment","@comment"],["\\/\\/+.*","comment"]],comment:[["\\*\\/","comment","@pop"],[".","comment"]],name:[["@identifier",r.TOKEN_VALUE]],numbers:[["(\\d*\\.)?\\d+([eE][\\-+]?\\d+)?",{token:"constant.numeric",next:"@units"}],["#[0-9a-fA-F_]+(?!\\w)","constant.rgb-value"]],units:[["(em|ex|ch|rem|vw|vh|vm|cm|mm|in|px|pt|pc|deg|grad|rad|turn|s|ms|Hz|kHz|%)?","constant.numeric","@pop"]],functiondeclaration:[["@identifier@ws\\(",{token:"support.function.name",bracket:"@open",next:"@parameterdeclaration"}],["{",{token:"punctuation.curly",bracket:"@open",switchTo:"@functionbody"}]],mixindeclaration:[["@identifier@ws\\(",{token:"support.function.name",bracket:"@open",next:"@parameterdeclaration"}],["@identifier","support.function.name"],["{",{token:"punctuation.curly",bracket:"@open",switchTo:"@selectorbody"}]],parameterdeclaration:[["\\$@identifier@ws:","variable"],["\\.\\.\\.","keyword.operator"],[",","punctuation"],{include:"@term"},["\\)",{token:"support.function.name",bracket:"@close",next:"@pop"}]],includedeclaration:[{include:"@functioninvocation"},["@identifier","support.function.name"],[";","punctuation","@pop"],["(?=})",{token:"",next:"@pop"}],["{",{token:"punctuation.curly",bracket:"@open",switchTo:"@selectorbody"}]],keyframedeclaration:[["@identifier","support.function.name"],["{",{token:"punctuation.curly",bracket:"@open",switchTo:"@keyframebody"}]],keyframebody:[{include:"@term"},["{",{token:"punctuation.curly",bracket:"@open",next:"@selectorbody"}],["}",{token:"punctuation.curly",bracket:"@close",next:"@pop"}]],controlstatement:[["[@](if|else|for|while|each|media)",{token:"keyword.flow.control.at-rule",next:"@controlstatementdeclaration"}]],controlstatementdeclaration:[["(in|from|through|if|to)\\b",{token:"keyword.flow.control.at-rule"}],{include:"@term"},["{",{token:"punctuation.curly",bracket:"@open",switchTo:"@selectorbody"}]],functionbody:[["[@](return)",{token:r.TOKEN_AT_KEYWORD}],{include:"@variabledeclaration"},{include:"@term"},{include:"@controlstatement"},[";","punctuation"],["}",{token:"punctuation.curly",bracket:"@close",next:"@pop"}]],functioninvocation:[["@identifier\\(",{token:"support.function.name",bracket:"@open",next:"@functionarguments"}]],functionarguments:[["\\$@identifier@ws:",r.TOKEN_PROPERTY],["[,]","punctuation"],{include:"@term"},["\\)",{token:"support.function.name",bracket:"@close",next:"@pop"}]],strings:[['~?"',{token:"string.punctuation",bracket:"@open",next:"@stringenddoublequote"}],["~?'",{token:"string.punctuation",bracket:"@open",next:"@stringendquote"}]],stringenddoublequote:[["\\\\.","string"],['"',{token:"string.punctuation",next:"@pop",bracket:"@close"}],[".","string"]],stringendquote:[["\\\\.","string"],["'",{token:"string.punctuation",next:"@pop",bracket:"@close"}],[".","string"]]}};var _=function(e){function r(r,a,c,u,p,s){var d=this;e.call(this,r.id);var _=n.compile(t.language);this._modeWorkerManager=new i.ModeWorkerManager(r,"vs/languages/sass/common/sassWorker","SassWorker","vs/languages/css/common/cssWorker",a),this._threadService=c,this.modeService=u,o.HoverProviderRegistry.register(this.getId(),{provideHover:function(e,t,n){return l.wireCancellationToken(n,d._provideHover(e.uri,t))}},!0),this.inplaceReplaceSupport=this,this.configSupport=this,o.ReferenceProviderRegistry.register(this.getId(),{provideReferences:function(e,t,n,o){return l.wireCancellationToken(o,d._provideReferences(e.uri,t))}},!0),o.DefinitionProviderRegistry.register(this.getId(),{provideDefinition:function(e,t,n){return l.wireCancellationToken(n,d._provideDefinition(e.uri,t))}},!0),o.DocumentSymbolProviderRegistry.register(this.getId(),{provideDocumentSymbols:function(e,t){return l.wireCancellationToken(t,d._provideDocumentSymbols(e.uri))}},!0),o.SuggestRegistry.register(this.getId(),{triggerCharacters:[],shouldAutotriggerSuggest:!0,provideCompletionItems:function(e,t,n){return l.wireCancellationToken(n,d._provideCompletionItems(e.uri,t))}},!0),this.tokenizationSupport=k.createTokenizationSupport(u,this,_),this.richEditSupport=new f.RichEditSupport(this.getId(),null,m.createRichEditSupport(_))}return __extends(r,e),r.prototype.creationDone=function(){this._threadService.isInMainThread&&this._pickAWorkerToValidate()},r.prototype._worker=function(e){return this._modeWorkerManager.worker(e)},r.prototype.configure=function(e){return this._threadService.isInMainThread?this._configureWorkers(e):this._worker(function(t){return t._doConfigure(e)})},r.prototype._configureWorkers=function(e){return this._worker(function(t){return t._doConfigure(e)})},r.prototype.navigateValueSet=function(e,t,n){return this._worker(function(o){return o.navigateValueSet(e,t,n)})},r.prototype._pickAWorkerToValidate=function(){return this._worker(function(e){return e.enableValidator()})},r.prototype._provideReferences=function(e,t){return this._worker(function(n){return n.provideReferences(e,t)})},r.prototype._provideCompletionItems=function(e,t){return this._worker(function(n){return n.provideCompletionItems(e,t)})},r.prototype._provideHover=function(e,t){return this._worker(function(n){return n.provideHover(e,t)})},r.prototype._provideDocumentSymbols=function(e){return this._worker(function(t){return t.provideDocumentSymbols(e)})},r.prototype._provideDefinition=function(e,t){return this._worker(function(n){return n.provideDefinition(e,t)})},r.prototype.findColorDeclarations=function(e){return this._worker(function(t){return t.findColorDeclarations(e)})},r.$_configureWorkers=a.AllWorkersAttr(r,r.prototype._configureWorkers),r.$navigateValueSet=a.OneWorkerAttr(r,r.prototype.navigateValueSet),r.$_pickAWorkerToValidate=a.OneWorkerAttr(r,r.prototype._pickAWorkerToValidate,p.ThreadAffinity.Group1),r.$_provideReferences=a.OneWorkerAttr(r,r.prototype._provideReferences),r.$_provideCompletionItems=a.OneWorkerAttr(r,r.prototype._provideCompletionItems),r.$_provideHover=a.OneWorkerAttr(r,r.prototype._provideHover),r.$_provideDocumentSymbols=a.OneWorkerAttr(r,r.prototype._provideDocumentSymbols),r.$_provideDefinition=a.OneWorkerAttr(r,r.prototype._provideDefinition),r.$findColorDeclarations=a.OneWorkerAttr(r,r.prototype.findColorDeclarations),r=__decorate([__param(1,u.IInstantiationService),__param(2,p.IThreadService),__param(3,c.IModeService),__param(4,s.IModelService),__param(5,d.IEditorWorkerService)],r)}(i.AbstractMode);t.SASSMode=_});
//# sourceMappingURL=../../../../../min-maps/vs/languages/sass/common/sass.js.map